#include "parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 5875
#define LARGE_STATE_COUNT 2125
#define SYMBOL_COUNT 349
#define ALIAS_COUNT 4
#define TOKEN_COUNT 159
#define EXTERNAL_TOKEN_COUNT 30
#define FIELD_COUNT 32
#define MAX_ALIAS_SEQUENCE_LENGTH 8
#define PRODUCTION_ID_COUNT 125

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_program_token1 = 2,
  anon_sym___END__ = 3,
  anon_sym_ = 4,
  sym_uninterpreted = 5,
  anon_sym_BEGIN = 6,
  anon_sym_LBRACE = 7,
  anon_sym_RBRACE = 8,
  anon_sym_END = 9,
  anon_sym_def = 10,
  anon_sym_LPAREN = 11,
  anon_sym_RPAREN = 12,
  anon_sym_DOT = 13,
  anon_sym_COLON_COLON = 14,
  anon_sym_end = 15,
  anon_sym_rescue = 16,
  anon_sym_EQ = 17,
  anon_sym_COMMA = 18,
  anon_sym_PIPE = 19,
  anon_sym_SEMI = 20,
  anon_sym_DOT_DOT_DOT = 21,
  anon_sym_STAR = 22,
  anon_sym_STAR_STAR = 23,
  anon_sym_nil = 24,
  anon_sym_AMP = 25,
  anon_sym_COLON = 26,
  anon_sym_class = 27,
  anon_sym_LT = 28,
  anon_sym_module = 29,
  anon_sym_return = 30,
  anon_sym_yield = 31,
  anon_sym_break = 32,
  anon_sym_next = 33,
  anon_sym_redo = 34,
  anon_sym_retry = 35,
  anon_sym_if = 36,
  anon_sym_unless = 37,
  anon_sym_while = 38,
  anon_sym_until = 39,
  anon_sym_for = 40,
  anon_sym_in = 41,
  anon_sym_do = 42,
  anon_sym_case = 43,
  anon_sym_when = 44,
  anon_sym_EQ_GT = 45,
  anon_sym_LBRACK = 46,
  anon_sym_RBRACK = 47,
  anon_sym_LBRACK2 = 48,
  anon_sym_LPAREN2 = 49,
  anon_sym_DOT_DOT = 50,
  sym_line = 51,
  sym_file = 52,
  sym_encoding = 53,
  anon_sym_CARET = 54,
  anon_sym_elsif = 55,
  anon_sym_else = 56,
  anon_sym_then = 57,
  anon_sym_begin = 58,
  anon_sym_ensure = 59,
  anon_sym_COLON_COLON2 = 60,
  anon_sym_AMP_DOT = 61,
  anon_sym_PLUS_EQ = 62,
  anon_sym_DASH_EQ = 63,
  anon_sym_STAR_EQ = 64,
  anon_sym_STAR_STAR_EQ = 65,
  anon_sym_SLASH_EQ = 66,
  anon_sym_PIPE_PIPE_EQ = 67,
  anon_sym_PIPE_EQ = 68,
  anon_sym_AMP_AMP_EQ = 69,
  anon_sym_AMP_EQ = 70,
  anon_sym_PERCENT_EQ = 71,
  anon_sym_GT_GT_EQ = 72,
  anon_sym_LT_LT_EQ = 73,
  anon_sym_CARET_EQ = 74,
  anon_sym_QMARK = 75,
  anon_sym_COLON2 = 76,
  anon_sym_and = 77,
  anon_sym_or = 78,
  anon_sym_PIPE_PIPE = 79,
  anon_sym_AMP_AMP = 80,
  anon_sym_LT_LT = 81,
  anon_sym_GT_GT = 82,
  anon_sym_LT_EQ = 83,
  anon_sym_GT = 84,
  anon_sym_GT_EQ = 85,
  anon_sym_PLUS = 86,
  anon_sym_SLASH = 87,
  anon_sym_PERCENT = 88,
  anon_sym_EQ_EQ = 89,
  anon_sym_BANG_EQ = 90,
  anon_sym_EQ_EQ_EQ = 91,
  anon_sym_LT_EQ_GT = 92,
  anon_sym_EQ_TILDE = 93,
  anon_sym_BANG_TILDE = 94,
  anon_sym_defined_QMARK = 95,
  anon_sym_not = 96,
  anon_sym_BANG = 97,
  anon_sym_TILDE = 98,
  anon_sym_DASH = 99,
  anon_sym_PLUS_AT = 100,
  anon_sym_DASH_AT = 101,
  anon_sym_TILDE_AT = 102,
  anon_sym_LBRACK_RBRACK = 103,
  anon_sym_LBRACK_RBRACK_EQ = 104,
  anon_sym_BQUOTE = 105,
  anon_sym_EQ2 = 106,
  anon_sym_undef = 107,
  anon_sym_alias = 108,
  sym_comment = 109,
  sym_integer = 110,
  sym_float = 111,
  anon_sym_i = 112,
  anon_sym_ri = 113,
  anon_sym_r = 114,
  sym_super = 115,
  sym_self = 116,
  sym_true = 117,
  sym_false = 118,
  sym_constant = 119,
  aux_sym_constant_suffix_token1 = 120,
  aux_sym_identifier_suffix_token1 = 121,
  sym_instance_variable = 122,
  sym_class_variable = 123,
  sym_global_variable = 124,
  sym_character = 125,
  anon_sym_POUND_LBRACE = 126,
  aux_sym_string_array_token1 = 127,
  sym_escape_sequence = 128,
  anon_sym_DASH_GT = 129,
  sym__line_break = 130,
  sym__no_line_break = 131,
  sym_simple_symbol = 132,
  sym__string_start = 133,
  sym__symbol_start = 134,
  sym__subshell_start = 135,
  sym__regex_start = 136,
  sym__string_array_start = 137,
  sym__symbol_array_start = 138,
  sym__heredoc_body_start = 139,
  sym_string_content = 140,
  sym_heredoc_content = 141,
  sym__string_end = 142,
  sym_heredoc_end = 143,
  sym_heredoc_beginning = 144,
  sym__block_ampersand = 145,
  sym__splat_star = 146,
  sym__unary_minus = 147,
  sym__unary_minus_num = 148,
  sym__binary_minus = 149,
  sym__binary_star = 150,
  sym__singleton_class_left_angle_left_langle = 151,
  sym_hash_key_symbol = 152,
  sym__identifier_suffix = 153,
  sym__constant_suffix = 154,
  sym__hash_splat_star_star = 155,
  sym__binary_star_star = 156,
  sym__element_reference_bracket = 157,
  sym__short_interpolation = 158,
  sym_program = 159,
  sym_block_body = 160,
  sym__statements = 161,
  sym_begin_block = 162,
  sym_end_block = 163,
  sym__statement = 164,
  sym_method = 165,
  sym_singleton_method = 166,
  sym__method_rest = 167,
  sym_rescue_modifier_arg = 168,
  sym_rescue_modifier_expression = 169,
  sym__body_expr = 170,
  sym_parameters = 171,
  sym_bare_parameters = 172,
  sym_block_parameters = 173,
  sym__formal_parameter = 174,
  sym__simple_formal_parameter = 175,
  sym_forward_parameter = 176,
  sym_splat_parameter = 177,
  sym_hash_splat_parameter = 178,
  sym_hash_splat_nil = 179,
  sym_block_parameter = 180,
  sym_keyword_parameter = 181,
  sym_optional_parameter = 182,
  sym_class = 183,
  sym_superclass = 184,
  sym_singleton_class = 185,
  sym_module = 186,
  sym_return_command = 187,
  sym_yield_command = 188,
  sym_break_command = 189,
  sym_next_command = 190,
  sym_return = 191,
  sym_yield = 192,
  sym_break = 193,
  sym_next = 194,
  sym_redo = 195,
  sym_retry = 196,
  sym_if_modifier = 197,
  sym_unless_modifier = 198,
  sym_while_modifier = 199,
  sym_until_modifier = 200,
  sym_rescue_modifier = 201,
  sym_while = 202,
  sym_until = 203,
  sym_for = 204,
  sym_in = 205,
  sym_do = 206,
  sym_case = 207,
  sym_case_match = 208,
  sym_when = 209,
  sym_in_clause = 210,
  sym_pattern = 211,
  sym__guard = 212,
  sym_if_guard = 213,
  sym_unless_guard = 214,
  sym__pattern_top_expr_body = 215,
  sym__array_pattern_n = 216,
  sym__pattern_expr = 217,
  sym_as_pattern = 218,
  sym__pattern_expr_alt = 219,
  sym_alternative_pattern = 220,
  sym__array_pattern_body = 221,
  sym_array_pattern = 222,
  sym__find_pattern_body = 223,
  sym_find_pattern = 224,
  sym__hash_pattern_body = 225,
  sym_keyword_pattern = 226,
  sym__hash_pattern_any_rest = 227,
  sym_hash_pattern = 228,
  sym__pattern_expr_basic = 229,
  sym_parenthesized_pattern = 230,
  sym__pattern_value = 231,
  sym__pattern_range = 232,
  sym__pattern_primitive = 233,
  sym__pattern_lambda = 234,
  sym__pattern_literal = 235,
  sym__keyword_variable = 236,
  sym_variable_reference_pattern = 237,
  sym_expression_reference_pattern = 238,
  sym__pattern_constant = 239,
  sym__pattern_constant_resolution = 240,
  sym_if = 241,
  sym_unless = 242,
  sym_elsif = 243,
  sym_else = 244,
  sym_then = 245,
  sym_begin = 246,
  sym_ensure = 247,
  sym_rescue = 248,
  sym_exceptions = 249,
  sym_exception_variable = 250,
  sym_body_statement = 251,
  sym__body_statement = 252,
  sym__expression = 253,
  sym_match_pattern = 254,
  sym_test_pattern = 255,
  sym__arg = 256,
  sym__unary_minus_pow = 257,
  sym__pow = 258,
  sym__primary = 259,
  sym_parenthesized_statements = 260,
  sym_element_reference = 261,
  sym_scope_resolution = 262,
  sym__call = 263,
  sym_command_call = 264,
  sym_command_call_with_block = 265,
  sym__chained_command_call = 266,
  sym_call = 267,
  sym_command_argument_list = 268,
  sym_argument_list = 269,
  sym__argument_list_with_trailing_comma = 270,
  sym__argument = 271,
  sym_forward_argument = 272,
  sym_splat_argument = 273,
  sym_hash_splat_argument = 274,
  sym_block_argument = 275,
  sym_do_block = 276,
  sym_block = 277,
  sym_assignment = 278,
  sym_command_assignment = 279,
  sym_operator_assignment = 280,
  sym_command_operator_assignment = 281,
  sym_conditional = 282,
  sym_range = 283,
  sym_binary = 284,
  sym_command_binary = 285,
  sym_unary = 286,
  sym_command_unary = 287,
  sym_parenthesized_unary = 288,
  sym_unary_literal = 289,
  sym__literal = 290,
  sym__numeric = 291,
  sym__simple_numeric = 292,
  sym_right_assignment_list = 293,
  sym_left_assignment_list = 294,
  sym__mlhs = 295,
  sym_destructured_left_assignment = 296,
  sym_rest_assignment = 297,
  sym__function_identifier = 298,
  sym__function_identifier_call = 299,
  sym__lhs = 300,
  sym__variable = 301,
  sym_operator = 302,
  sym__method_name = 303,
  sym__nonlocal_variable = 304,
  sym_setter = 305,
  sym_undef = 306,
  sym_alias = 307,
  sym__int_or_float = 308,
  sym_complex = 309,
  sym_rational = 310,
  sym_nil = 311,
  sym_constant_suffix = 312,
  sym_identifier_suffix = 313,
  sym_chained_string = 314,
  sym_interpolation = 315,
  sym_string = 316,
  sym_subshell = 317,
  sym_string_array = 318,
  sym_symbol_array = 319,
  sym_delimited_symbol = 320,
  sym_regex = 321,
  sym_heredoc_body = 322,
  aux_sym__literal_contents = 323,
  sym_array = 324,
  sym_hash = 325,
  sym_pair = 326,
  sym_lambda = 327,
  sym_empty_statement = 328,
  sym__terminator = 329,
  aux_sym__statements_repeat1 = 330,
  aux_sym_parameters_repeat1 = 331,
  aux_sym_block_parameters_repeat1 = 332,
  aux_sym_case_repeat1 = 333,
  aux_sym_case_match_repeat1 = 334,
  aux_sym_when_repeat1 = 335,
  aux_sym__array_pattern_n_repeat1 = 336,
  aux_sym_alternative_pattern_repeat1 = 337,
  aux_sym__hash_pattern_body_repeat1 = 338,
  aux_sym_exceptions_repeat1 = 339,
  aux_sym__body_statement_repeat1 = 340,
  aux_sym_command_argument_list_repeat1 = 341,
  aux_sym__mlhs_repeat1 = 342,
  aux_sym_undef_repeat1 = 343,
  aux_sym_chained_string_repeat1 = 344,
  aux_sym_string_array_repeat1 = 345,
  aux_sym_symbol_array_repeat1 = 346,
  aux_sym_heredoc_body_repeat1 = 347,
  aux_sym_hash_repeat1 = 348,
  alias_sym_bare_string = 349,
  alias_sym_bare_symbol = 350,
  alias_sym_destructured_parameter = 351,
  alias_sym_lambda_parameters = 352,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_program_token1] = "program_token1",
  [anon_sym___END__] = "__END__",
  [anon_sym_] = "uninterpreted",
  [sym_uninterpreted] = "uninterpreted",
  [anon_sym_BEGIN] = "BEGIN",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_END] = "END",
  [anon_sym_def] = "def",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_DOT] = ".",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_end] = "end",
  [anon_sym_rescue] = "rescue",
  [anon_sym_EQ] = "=",
  [anon_sym_COMMA] = ",",
  [anon_sym_PIPE] = "|",
  [anon_sym_SEMI] = ";",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_STAR] = "*",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_nil] = "nil",
  [anon_sym_AMP] = "&",
  [anon_sym_COLON] = ":",
  [anon_sym_class] = "class",
  [anon_sym_LT] = "<",
  [anon_sym_module] = "module",
  [anon_sym_return] = "return",
  [anon_sym_yield] = "yield",
  [anon_sym_break] = "break",
  [anon_sym_next] = "next",
  [anon_sym_redo] = "redo",
  [anon_sym_retry] = "retry",
  [anon_sym_if] = "if",
  [anon_sym_unless] = "unless",
  [anon_sym_while] = "while",
  [anon_sym_until] = "until",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_do] = "do",
  [anon_sym_case] = "case",
  [anon_sym_when] = "when",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACK2] = "[",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_DOT_DOT] = "..",
  [sym_line] = "line",
  [sym_file] = "file",
  [sym_encoding] = "encoding",
  [anon_sym_CARET] = "^",
  [anon_sym_elsif] = "elsif",
  [anon_sym_else] = "else",
  [anon_sym_then] = "then",
  [anon_sym_begin] = "begin",
  [anon_sym_ensure] = "ensure",
  [anon_sym_COLON_COLON2] = "::",
  [anon_sym_AMP_DOT] = "&.",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON2] = ":",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_PLUS] = "+",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_BANG_TILDE] = "!~",
  [anon_sym_defined_QMARK] = "defined\?",
  [anon_sym_not] = "not",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS_AT] = "+@",
  [anon_sym_DASH_AT] = "-@",
  [anon_sym_TILDE_AT] = "~@",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_LBRACK_RBRACK_EQ] = "[]=",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_EQ2] = "=",
  [anon_sym_undef] = "undef",
  [anon_sym_alias] = "alias",
  [sym_comment] = "comment",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [anon_sym_i] = "i",
  [anon_sym_ri] = "ri",
  [anon_sym_r] = "r",
  [sym_super] = "super",
  [sym_self] = "self",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_constant] = "constant",
  [aux_sym_constant_suffix_token1] = "constant_suffix_token1",
  [aux_sym_identifier_suffix_token1] = "identifier_suffix_token1",
  [sym_instance_variable] = "instance_variable",
  [sym_class_variable] = "class_variable",
  [sym_global_variable] = "global_variable",
  [sym_character] = "character",
  [anon_sym_POUND_LBRACE] = "#{",
  [aux_sym_string_array_token1] = "string_array_token1",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_DASH_GT] = "->",
  [sym__line_break] = "_line_break",
  [sym__no_line_break] = "_no_line_break",
  [sym_simple_symbol] = "simple_symbol",
  [sym__string_start] = "\"",
  [sym__symbol_start] = ":\"",
  [sym__subshell_start] = "`",
  [sym__regex_start] = "/",
  [sym__string_array_start] = "%w(",
  [sym__symbol_array_start] = "%i(",
  [sym__heredoc_body_start] = "_heredoc_body_start",
  [sym_string_content] = "string_content",
  [sym_heredoc_content] = "heredoc_content",
  [sym__string_end] = ")",
  [sym_heredoc_end] = "heredoc_end",
  [sym_heredoc_beginning] = "heredoc_beginning",
  [sym__block_ampersand] = "&",
  [sym__splat_star] = "*",
  [sym__unary_minus] = "-",
  [sym__unary_minus_num] = "-",
  [sym__binary_minus] = "-",
  [sym__binary_star] = "*",
  [sym__singleton_class_left_angle_left_langle] = "<<",
  [sym_hash_key_symbol] = "hash_key_symbol",
  [sym__identifier_suffix] = "_identifier_suffix",
  [sym__constant_suffix] = "_constant_suffix",
  [sym__hash_splat_star_star] = "**",
  [sym__binary_star_star] = "**",
  [sym__element_reference_bracket] = "[",
  [sym__short_interpolation] = "_short_interpolation",
  [sym_program] = "program",
  [sym_block_body] = "block_body",
  [sym__statements] = "_statements",
  [sym_begin_block] = "begin_block",
  [sym_end_block] = "end_block",
  [sym__statement] = "_statement",
  [sym_method] = "method",
  [sym_singleton_method] = "singleton_method",
  [sym__method_rest] = "_method_rest",
  [sym_rescue_modifier_arg] = "rescue_modifier",
  [sym_rescue_modifier_expression] = "rescue_modifier",
  [sym__body_expr] = "_body_expr",
  [sym_parameters] = "method_parameters",
  [sym_bare_parameters] = "method_parameters",
  [sym_block_parameters] = "block_parameters",
  [sym__formal_parameter] = "_formal_parameter",
  [sym__simple_formal_parameter] = "_simple_formal_parameter",
  [sym_forward_parameter] = "forward_parameter",
  [sym_splat_parameter] = "splat_parameter",
  [sym_hash_splat_parameter] = "hash_splat_parameter",
  [sym_hash_splat_nil] = "hash_splat_nil",
  [sym_block_parameter] = "block_parameter",
  [sym_keyword_parameter] = "keyword_parameter",
  [sym_optional_parameter] = "optional_parameter",
  [sym_class] = "class",
  [sym_superclass] = "superclass",
  [sym_singleton_class] = "singleton_class",
  [sym_module] = "module",
  [sym_return_command] = "return",
  [sym_yield_command] = "yield",
  [sym_break_command] = "break",
  [sym_next_command] = "next",
  [sym_return] = "return",
  [sym_yield] = "yield",
  [sym_break] = "break",
  [sym_next] = "next",
  [sym_redo] = "redo",
  [sym_retry] = "retry",
  [sym_if_modifier] = "if_modifier",
  [sym_unless_modifier] = "unless_modifier",
  [sym_while_modifier] = "while_modifier",
  [sym_until_modifier] = "until_modifier",
  [sym_rescue_modifier] = "rescue_modifier",
  [sym_while] = "while",
  [sym_until] = "until",
  [sym_for] = "for",
  [sym_in] = "in",
  [sym_do] = "do",
  [sym_case] = "case",
  [sym_case_match] = "case_match",
  [sym_when] = "when",
  [sym_in_clause] = "in_clause",
  [sym_pattern] = "pattern",
  [sym__guard] = "_guard",
  [sym_if_guard] = "if_guard",
  [sym_unless_guard] = "unless_guard",
  [sym__pattern_top_expr_body] = "_pattern_top_expr_body",
  [sym__array_pattern_n] = "_array_pattern_n",
  [sym__pattern_expr] = "_pattern_expr",
  [sym_as_pattern] = "as_pattern",
  [sym__pattern_expr_alt] = "_pattern_expr_alt",
  [sym_alternative_pattern] = "alternative_pattern",
  [sym__array_pattern_body] = "_array_pattern_body",
  [sym_array_pattern] = "array_pattern",
  [sym__find_pattern_body] = "_find_pattern_body",
  [sym_find_pattern] = "find_pattern",
  [sym__hash_pattern_body] = "_hash_pattern_body",
  [sym_keyword_pattern] = "keyword_pattern",
  [sym__hash_pattern_any_rest] = "_hash_pattern_any_rest",
  [sym_hash_pattern] = "hash_pattern",
  [sym__pattern_expr_basic] = "_pattern_expr_basic",
  [sym_parenthesized_pattern] = "parenthesized_pattern",
  [sym__pattern_value] = "_pattern_value",
  [sym__pattern_range] = "range",
  [sym__pattern_primitive] = "_pattern_primitive",
  [sym__pattern_lambda] = "_pattern_lambda",
  [sym__pattern_literal] = "_pattern_literal",
  [sym__keyword_variable] = "_keyword_variable",
  [sym_variable_reference_pattern] = "variable_reference_pattern",
  [sym_expression_reference_pattern] = "expression_reference_pattern",
  [sym__pattern_constant] = "_pattern_constant",
  [sym__pattern_constant_resolution] = "scope_resolution",
  [sym_if] = "if",
  [sym_unless] = "unless",
  [sym_elsif] = "elsif",
  [sym_else] = "else",
  [sym_then] = "then",
  [sym_begin] = "begin",
  [sym_ensure] = "ensure",
  [sym_rescue] = "rescue",
  [sym_exceptions] = "exceptions",
  [sym_exception_variable] = "exception_variable",
  [sym_body_statement] = "body_statement",
  [sym__body_statement] = "_body_statement",
  [sym__expression] = "_expression",
  [sym_match_pattern] = "match_pattern",
  [sym_test_pattern] = "test_pattern",
  [sym__arg] = "_arg",
  [sym__unary_minus_pow] = "unary",
  [sym__pow] = "binary",
  [sym__primary] = "_primary",
  [sym_parenthesized_statements] = "parenthesized_statements",
  [sym_element_reference] = "element_reference",
  [sym_scope_resolution] = "scope_resolution",
  [sym__call] = "_call",
  [sym_command_call] = "call",
  [sym_command_call_with_block] = "call",
  [sym__chained_command_call] = "_chained_command_call",
  [sym_call] = "call",
  [sym_command_argument_list] = "argument_list",
  [sym_argument_list] = "argument_list",
  [sym__argument_list_with_trailing_comma] = "_argument_list_with_trailing_comma",
  [sym__argument] = "_argument",
  [sym_forward_argument] = "forward_argument",
  [sym_splat_argument] = "splat_argument",
  [sym_hash_splat_argument] = "hash_splat_argument",
  [sym_block_argument] = "block_argument",
  [sym_do_block] = "do_block",
  [sym_block] = "block",
  [sym_assignment] = "assignment",
  [sym_command_assignment] = "assignment",
  [sym_operator_assignment] = "operator_assignment",
  [sym_command_operator_assignment] = "operator_assignment",
  [sym_conditional] = "conditional",
  [sym_range] = "range",
  [sym_binary] = "binary",
  [sym_command_binary] = "binary",
  [sym_unary] = "unary",
  [sym_command_unary] = "unary",
  [sym_parenthesized_unary] = "unary",
  [sym_unary_literal] = "unary",
  [sym__literal] = "_literal",
  [sym__numeric] = "_numeric",
  [sym__simple_numeric] = "_simple_numeric",
  [sym_right_assignment_list] = "right_assignment_list",
  [sym_left_assignment_list] = "left_assignment_list",
  [sym__mlhs] = "_mlhs",
  [sym_destructured_left_assignment] = "destructured_left_assignment",
  [sym_rest_assignment] = "rest_assignment",
  [sym__function_identifier] = "_function_identifier",
  [sym__function_identifier_call] = "call",
  [sym__lhs] = "_lhs",
  [sym__variable] = "_variable",
  [sym_operator] = "operator",
  [sym__method_name] = "_method_name",
  [sym__nonlocal_variable] = "_nonlocal_variable",
  [sym_setter] = "setter",
  [sym_undef] = "undef",
  [sym_alias] = "alias",
  [sym__int_or_float] = "_int_or_float",
  [sym_complex] = "complex",
  [sym_rational] = "rational",
  [sym_nil] = "nil",
  [sym_constant_suffix] = "hash_key_symbol",
  [sym_identifier_suffix] = "hash_key_symbol",
  [sym_chained_string] = "chained_string",
  [sym_interpolation] = "interpolation",
  [sym_string] = "string",
  [sym_subshell] = "subshell",
  [sym_string_array] = "string_array",
  [sym_symbol_array] = "symbol_array",
  [sym_delimited_symbol] = "delimited_symbol",
  [sym_regex] = "regex",
  [sym_heredoc_body] = "heredoc_body",
  [aux_sym__literal_contents] = "_literal_contents",
  [sym_array] = "array",
  [sym_hash] = "hash",
  [sym_pair] = "pair",
  [sym_lambda] = "lambda",
  [sym_empty_statement] = "empty_statement",
  [sym__terminator] = "_terminator",
  [aux_sym__statements_repeat1] = "_statements_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym_block_parameters_repeat1] = "block_parameters_repeat1",
  [aux_sym_case_repeat1] = "case_repeat1",
  [aux_sym_case_match_repeat1] = "case_match_repeat1",
  [aux_sym_when_repeat1] = "when_repeat1",
  [aux_sym__array_pattern_n_repeat1] = "_array_pattern_n_repeat1",
  [aux_sym_alternative_pattern_repeat1] = "alternative_pattern_repeat1",
  [aux_sym__hash_pattern_body_repeat1] = "_hash_pattern_body_repeat1",
  [aux_sym_exceptions_repeat1] = "exceptions_repeat1",
  [aux_sym__body_statement_repeat1] = "_body_statement_repeat1",
  [aux_sym_command_argument_list_repeat1] = "command_argument_list_repeat1",
  [aux_sym__mlhs_repeat1] = "_mlhs_repeat1",
  [aux_sym_undef_repeat1] = "undef_repeat1",
  [aux_sym_chained_string_repeat1] = "chained_string_repeat1",
  [aux_sym_string_array_repeat1] = "string_array_repeat1",
  [aux_sym_symbol_array_repeat1] = "symbol_array_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_hash_repeat1] = "hash_repeat1",
  [alias_sym_bare_string] = "bare_string",
  [alias_sym_bare_symbol] = "bare_symbol",
  [alias_sym_destructured_parameter] = "destructured_parameter",
  [alias_sym_lambda_parameters] = "lambda_parameters",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_program_token1] = aux_sym_program_token1,
  [anon_sym___END__] = anon_sym___END__,
  [anon_sym_] = sym_uninterpreted,
  [sym_uninterpreted] = sym_uninterpreted,
  [anon_sym_BEGIN] = anon_sym_BEGIN,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_END] = anon_sym_END,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_end] = anon_sym_end,
  [anon_sym_rescue] = anon_sym_rescue,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_nil] = anon_sym_nil,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_next] = anon_sym_next,
  [anon_sym_redo] = anon_sym_redo,
  [anon_sym_retry] = anon_sym_retry,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_unless] = anon_sym_unless,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_until] = anon_sym_until,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACK2] = anon_sym_LBRACK,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [sym_line] = sym_line,
  [sym_file] = sym_file,
  [sym_encoding] = sym_encoding,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_elsif] = anon_sym_elsif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_begin] = anon_sym_begin,
  [anon_sym_ensure] = anon_sym_ensure,
  [anon_sym_COLON_COLON2] = anon_sym_COLON_COLON,
  [anon_sym_AMP_DOT] = anon_sym_AMP_DOT,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON2] = anon_sym_COLON,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_EQ_TILDE] = anon_sym_EQ_TILDE,
  [anon_sym_BANG_TILDE] = anon_sym_BANG_TILDE,
  [anon_sym_defined_QMARK] = anon_sym_defined_QMARK,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS_AT] = anon_sym_PLUS_AT,
  [anon_sym_DASH_AT] = anon_sym_DASH_AT,
  [anon_sym_TILDE_AT] = anon_sym_TILDE_AT,
  [anon_sym_LBRACK_RBRACK] = anon_sym_LBRACK_RBRACK,
  [anon_sym_LBRACK_RBRACK_EQ] = anon_sym_LBRACK_RBRACK_EQ,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_EQ2] = anon_sym_EQ,
  [anon_sym_undef] = anon_sym_undef,
  [anon_sym_alias] = anon_sym_alias,
  [sym_comment] = sym_comment,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [anon_sym_i] = anon_sym_i,
  [anon_sym_ri] = anon_sym_ri,
  [anon_sym_r] = anon_sym_r,
  [sym_super] = sym_super,
  [sym_self] = sym_self,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_constant] = sym_constant,
  [aux_sym_constant_suffix_token1] = aux_sym_constant_suffix_token1,
  [aux_sym_identifier_suffix_token1] = aux_sym_identifier_suffix_token1,
  [sym_instance_variable] = sym_instance_variable,
  [sym_class_variable] = sym_class_variable,
  [sym_global_variable] = sym_global_variable,
  [sym_character] = sym_character,
  [anon_sym_POUND_LBRACE] = anon_sym_POUND_LBRACE,
  [aux_sym_string_array_token1] = aux_sym_string_array_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym__line_break] = sym__line_break,
  [sym__no_line_break] = sym__no_line_break,
  [sym_simple_symbol] = sym_simple_symbol,
  [sym__string_start] = sym__string_start,
  [sym__symbol_start] = sym__symbol_start,
  [sym__subshell_start] = anon_sym_BQUOTE,
  [sym__regex_start] = anon_sym_SLASH,
  [sym__string_array_start] = sym__string_array_start,
  [sym__symbol_array_start] = sym__symbol_array_start,
  [sym__heredoc_body_start] = sym__heredoc_body_start,
  [sym_string_content] = sym_string_content,
  [sym_heredoc_content] = sym_heredoc_content,
  [sym__string_end] = anon_sym_RPAREN,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_heredoc_beginning] = sym_heredoc_beginning,
  [sym__block_ampersand] = anon_sym_AMP,
  [sym__splat_star] = anon_sym_STAR,
  [sym__unary_minus] = anon_sym_DASH,
  [sym__unary_minus_num] = anon_sym_DASH,
  [sym__binary_minus] = anon_sym_DASH,
  [sym__binary_star] = anon_sym_STAR,
  [sym__singleton_class_left_angle_left_langle] = anon_sym_LT_LT,
  [sym_hash_key_symbol] = sym_hash_key_symbol,
  [sym__identifier_suffix] = sym__identifier_suffix,
  [sym__constant_suffix] = sym__constant_suffix,
  [sym__hash_splat_star_star] = anon_sym_STAR_STAR,
  [sym__binary_star_star] = anon_sym_STAR_STAR,
  [sym__element_reference_bracket] = anon_sym_LBRACK,
  [sym__short_interpolation] = sym__short_interpolation,
  [sym_program] = sym_program,
  [sym_block_body] = sym_block_body,
  [sym__statements] = sym__statements,
  [sym_begin_block] = sym_begin_block,
  [sym_end_block] = sym_end_block,
  [sym__statement] = sym__statement,
  [sym_method] = sym_method,
  [sym_singleton_method] = sym_singleton_method,
  [sym__method_rest] = sym__method_rest,
  [sym_rescue_modifier_arg] = sym_rescue_modifier,
  [sym_rescue_modifier_expression] = sym_rescue_modifier,
  [sym__body_expr] = sym__body_expr,
  [sym_parameters] = sym_parameters,
  [sym_bare_parameters] = sym_parameters,
  [sym_block_parameters] = sym_block_parameters,
  [sym__formal_parameter] = sym__formal_parameter,
  [sym__simple_formal_parameter] = sym__simple_formal_parameter,
  [sym_forward_parameter] = sym_forward_parameter,
  [sym_splat_parameter] = sym_splat_parameter,
  [sym_hash_splat_parameter] = sym_hash_splat_parameter,
  [sym_hash_splat_nil] = sym_hash_splat_nil,
  [sym_block_parameter] = sym_block_parameter,
  [sym_keyword_parameter] = sym_keyword_parameter,
  [sym_optional_parameter] = sym_optional_parameter,
  [sym_class] = sym_class,
  [sym_superclass] = sym_superclass,
  [sym_singleton_class] = sym_singleton_class,
  [sym_module] = sym_module,
  [sym_return_command] = sym_return,
  [sym_yield_command] = sym_yield,
  [sym_break_command] = sym_break,
  [sym_next_command] = sym_next,
  [sym_return] = sym_return,
  [sym_yield] = sym_yield,
  [sym_break] = sym_break,
  [sym_next] = sym_next,
  [sym_redo] = sym_redo,
  [sym_retry] = sym_retry,
  [sym_if_modifier] = sym_if_modifier,
  [sym_unless_modifier] = sym_unless_modifier,
  [sym_while_modifier] = sym_while_modifier,
  [sym_until_modifier] = sym_until_modifier,
  [sym_rescue_modifier] = sym_rescue_modifier,
  [sym_while] = sym_while,
  [sym_until] = sym_until,
  [sym_for] = sym_for,
  [sym_in] = sym_in,
  [sym_do] = sym_do,
  [sym_case] = sym_case,
  [sym_case_match] = sym_case_match,
  [sym_when] = sym_when,
  [sym_in_clause] = sym_in_clause,
  [sym_pattern] = sym_pattern,
  [sym__guard] = sym__guard,
  [sym_if_guard] = sym_if_guard,
  [sym_unless_guard] = sym_unless_guard,
  [sym__pattern_top_expr_body] = sym__pattern_top_expr_body,
  [sym__array_pattern_n] = sym__array_pattern_n,
  [sym__pattern_expr] = sym__pattern_expr,
  [sym_as_pattern] = sym_as_pattern,
  [sym__pattern_expr_alt] = sym__pattern_expr_alt,
  [sym_alternative_pattern] = sym_alternative_pattern,
  [sym__array_pattern_body] = sym__array_pattern_body,
  [sym_array_pattern] = sym_array_pattern,
  [sym__find_pattern_body] = sym__find_pattern_body,
  [sym_find_pattern] = sym_find_pattern,
  [sym__hash_pattern_body] = sym__hash_pattern_body,
  [sym_keyword_pattern] = sym_keyword_pattern,
  [sym__hash_pattern_any_rest] = sym__hash_pattern_any_rest,
  [sym_hash_pattern] = sym_hash_pattern,
  [sym__pattern_expr_basic] = sym__pattern_expr_basic,
  [sym_parenthesized_pattern] = sym_parenthesized_pattern,
  [sym__pattern_value] = sym__pattern_value,
  [sym__pattern_range] = sym_range,
  [sym__pattern_primitive] = sym__pattern_primitive,
  [sym__pattern_lambda] = sym__pattern_lambda,
  [sym__pattern_literal] = sym__pattern_literal,
  [sym__keyword_variable] = sym__keyword_variable,
  [sym_variable_reference_pattern] = sym_variable_reference_pattern,
  [sym_expression_reference_pattern] = sym_expression_reference_pattern,
  [sym__pattern_constant] = sym__pattern_constant,
  [sym__pattern_constant_resolution] = sym_scope_resolution,
  [sym_if] = sym_if,
  [sym_unless] = sym_unless,
  [sym_elsif] = sym_elsif,
  [sym_else] = sym_else,
  [sym_then] = sym_then,
  [sym_begin] = sym_begin,
  [sym_ensure] = sym_ensure,
  [sym_rescue] = sym_rescue,
  [sym_exceptions] = sym_exceptions,
  [sym_exception_variable] = sym_exception_variable,
  [sym_body_statement] = sym_body_statement,
  [sym__body_statement] = sym__body_statement,
  [sym__expression] = sym__expression,
  [sym_match_pattern] = sym_match_pattern,
  [sym_test_pattern] = sym_test_pattern,
  [sym__arg] = sym__arg,
  [sym__unary_minus_pow] = sym_unary,
  [sym__pow] = sym_binary,
  [sym__primary] = sym__primary,
  [sym_parenthesized_statements] = sym_parenthesized_statements,
  [sym_element_reference] = sym_element_reference,
  [sym_scope_resolution] = sym_scope_resolution,
  [sym__call] = sym__call,
  [sym_command_call] = sym_call,
  [sym_command_call_with_block] = sym_call,
  [sym__chained_command_call] = sym__chained_command_call,
  [sym_call] = sym_call,
  [sym_command_argument_list] = sym_argument_list,
  [sym_argument_list] = sym_argument_list,
  [sym__argument_list_with_trailing_comma] = sym__argument_list_with_trailing_comma,
  [sym__argument] = sym__argument,
  [sym_forward_argument] = sym_forward_argument,
  [sym_splat_argument] = sym_splat_argument,
  [sym_hash_splat_argument] = sym_hash_splat_argument,
  [sym_block_argument] = sym_block_argument,
  [sym_do_block] = sym_do_block,
  [sym_block] = sym_block,
  [sym_assignment] = sym_assignment,
  [sym_command_assignment] = sym_assignment,
  [sym_operator_assignment] = sym_operator_assignment,
  [sym_command_operator_assignment] = sym_operator_assignment,
  [sym_conditional] = sym_conditional,
  [sym_range] = sym_range,
  [sym_binary] = sym_binary,
  [sym_command_binary] = sym_binary,
  [sym_unary] = sym_unary,
  [sym_command_unary] = sym_unary,
  [sym_parenthesized_unary] = sym_unary,
  [sym_unary_literal] = sym_unary,
  [sym__literal] = sym__literal,
  [sym__numeric] = sym__numeric,
  [sym__simple_numeric] = sym__simple_numeric,
  [sym_right_assignment_list] = sym_right_assignment_list,
  [sym_left_assignment_list] = sym_left_assignment_list,
  [sym__mlhs] = sym__mlhs,
  [sym_destructured_left_assignment] = sym_destructured_left_assignment,
  [sym_rest_assignment] = sym_rest_assignment,
  [sym__function_identifier] = sym__function_identifier,
  [sym__function_identifier_call] = sym_call,
  [sym__lhs] = sym__lhs,
  [sym__variable] = sym__variable,
  [sym_operator] = sym_operator,
  [sym__method_name] = sym__method_name,
  [sym__nonlocal_variable] = sym__nonlocal_variable,
  [sym_setter] = sym_setter,
  [sym_undef] = sym_undef,
  [sym_alias] = sym_alias,
  [sym__int_or_float] = sym__int_or_float,
  [sym_complex] = sym_complex,
  [sym_rational] = sym_rational,
  [sym_nil] = sym_nil,
  [sym_constant_suffix] = sym_hash_key_symbol,
  [sym_identifier_suffix] = sym_hash_key_symbol,
  [sym_chained_string] = sym_chained_string,
  [sym_interpolation] = sym_interpolation,
  [sym_string] = sym_string,
  [sym_subshell] = sym_subshell,
  [sym_string_array] = sym_string_array,
  [sym_symbol_array] = sym_symbol_array,
  [sym_delimited_symbol] = sym_delimited_symbol,
  [sym_regex] = sym_regex,
  [sym_heredoc_body] = sym_heredoc_body,
  [aux_sym__literal_contents] = aux_sym__literal_contents,
  [sym_array] = sym_array,
  [sym_hash] = sym_hash,
  [sym_pair] = sym_pair,
  [sym_lambda] = sym_lambda,
  [sym_empty_statement] = sym_empty_statement,
  [sym__terminator] = sym__terminator,
  [aux_sym__statements_repeat1] = aux_sym__statements_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym_block_parameters_repeat1] = aux_sym_block_parameters_repeat1,
  [aux_sym_case_repeat1] = aux_sym_case_repeat1,
  [aux_sym_case_match_repeat1] = aux_sym_case_match_repeat1,
  [aux_sym_when_repeat1] = aux_sym_when_repeat1,
  [aux_sym__array_pattern_n_repeat1] = aux_sym__array_pattern_n_repeat1,
  [aux_sym_alternative_pattern_repeat1] = aux_sym_alternative_pattern_repeat1,
  [aux_sym__hash_pattern_body_repeat1] = aux_sym__hash_pattern_body_repeat1,
  [aux_sym_exceptions_repeat1] = aux_sym_exceptions_repeat1,
  [aux_sym__body_statement_repeat1] = aux_sym__body_statement_repeat1,
  [aux_sym_command_argument_list_repeat1] = aux_sym_command_argument_list_repeat1,
  [aux_sym__mlhs_repeat1] = aux_sym__mlhs_repeat1,
  [aux_sym_undef_repeat1] = aux_sym_undef_repeat1,
  [aux_sym_chained_string_repeat1] = aux_sym_chained_string_repeat1,
  [aux_sym_string_array_repeat1] = aux_sym_string_array_repeat1,
  [aux_sym_symbol_array_repeat1] = aux_sym_symbol_array_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_hash_repeat1] = aux_sym_hash_repeat1,
  [alias_sym_bare_string] = alias_sym_bare_string,
  [alias_sym_bare_symbol] = alias_sym_bare_symbol,
  [alias_sym_destructured_parameter] = alias_sym_destructured_parameter,
  [alias_sym_lambda_parameters] = alias_sym_lambda_parameters,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym___END__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_] = {
    .visible = true,
    .named = true,
  },
  [sym_uninterpreted] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BEGIN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_END] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rescue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nil] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_next] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_redo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_retry] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unless] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_until] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_line] = {
    .visible = true,
    .named = true,
  },
  [sym_file] = {
    .visible = true,
    .named = true,
  },
  [sym_encoding] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elsif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_begin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ensure] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_undef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alias] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_i] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ri] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_r] = {
    .visible = true,
    .named = false,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_self] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_constant] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_constant_suffix_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_identifier_suffix_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_instance_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_class_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_global_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_character] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_POUND_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_array_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym__line_break] = {
    .visible = false,
    .named = true,
  },
  [sym__no_line_break] = {
    .visible = false,
    .named = true,
  },
  [sym_simple_symbol] = {
    .visible = true,
    .named = true,
  },
  [sym__string_start] = {
    .visible = true,
    .named = false,
  },
  [sym__symbol_start] = {
    .visible = true,
    .named = false,
  },
  [sym__subshell_start] = {
    .visible = true,
    .named = false,
  },
  [sym__regex_start] = {
    .visible = true,
    .named = false,
  },
  [sym__string_array_start] = {
    .visible = true,
    .named = false,
  },
  [sym__symbol_array_start] = {
    .visible = true,
    .named = false,
  },
  [sym__heredoc_body_start] = {
    .visible = false,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_content] = {
    .visible = true,
    .named = true,
  },
  [sym__string_end] = {
    .visible = true,
    .named = false,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_beginning] = {
    .visible = true,
    .named = true,
  },
  [sym__block_ampersand] = {
    .visible = true,
    .named = false,
  },
  [sym__splat_star] = {
    .visible = true,
    .named = false,
  },
  [sym__unary_minus] = {
    .visible = true,
    .named = false,
  },
  [sym__unary_minus_num] = {
    .visible = true,
    .named = false,
  },
  [sym__binary_minus] = {
    .visible = true,
    .named = false,
  },
  [sym__binary_star] = {
    .visible = true,
    .named = false,
  },
  [sym__singleton_class_left_angle_left_langle] = {
    .visible = true,
    .named = false,
  },
  [sym_hash_key_symbol] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier_suffix] = {
    .visible = false,
    .named = true,
  },
  [sym__constant_suffix] = {
    .visible = false,
    .named = true,
  },
  [sym__hash_splat_star_star] = {
    .visible = true,
    .named = false,
  },
  [sym__binary_star_star] = {
    .visible = true,
    .named = false,
  },
  [sym__element_reference_bracket] = {
    .visible = true,
    .named = false,
  },
  [sym__short_interpolation] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_block_body] = {
    .visible = true,
    .named = true,
  },
  [sym__statements] = {
    .visible = false,
    .named = true,
  },
  [sym_begin_block] = {
    .visible = true,
    .named = true,
  },
  [sym_end_block] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_method] = {
    .visible = true,
    .named = true,
  },
  [sym_singleton_method] = {
    .visible = true,
    .named = true,
  },
  [sym__method_rest] = {
    .visible = false,
    .named = true,
  },
  [sym_rescue_modifier_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_rescue_modifier_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__body_expr] = {
    .visible = false,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_bare_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_block_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_forward_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_splat_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_splat_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_splat_nil] = {
    .visible = true,
    .named = true,
  },
  [sym_block_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_superclass] = {
    .visible = true,
    .named = true,
  },
  [sym_singleton_class] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_return_command] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_command] = {
    .visible = true,
    .named = true,
  },
  [sym_break_command] = {
    .visible = true,
    .named = true,
  },
  [sym_next_command] = {
    .visible = true,
    .named = true,
  },
  [sym_return] = {
    .visible = true,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_break] = {
    .visible = true,
    .named = true,
  },
  [sym_next] = {
    .visible = true,
    .named = true,
  },
  [sym_redo] = {
    .visible = true,
    .named = true,
  },
  [sym_retry] = {
    .visible = true,
    .named = true,
  },
  [sym_if_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_unless_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_while_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_until_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_rescue_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_while] = {
    .visible = true,
    .named = true,
  },
  [sym_until] = {
    .visible = true,
    .named = true,
  },
  [sym_for] = {
    .visible = true,
    .named = true,
  },
  [sym_in] = {
    .visible = true,
    .named = true,
  },
  [sym_do] = {
    .visible = true,
    .named = true,
  },
  [sym_case] = {
    .visible = true,
    .named = true,
  },
  [sym_case_match] = {
    .visible = true,
    .named = true,
  },
  [sym_when] = {
    .visible = true,
    .named = true,
  },
  [sym_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__guard] = {
    .visible = false,
    .named = true,
  },
  [sym_if_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_unless_guard] = {
    .visible = true,
    .named = true,
  },
  [sym__pattern_top_expr_body] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__array_pattern_n] = {
    .visible = false,
    .named = true,
  },
  [sym__pattern_expr] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__pattern_expr_alt] = {
    .visible = false,
    .named = true,
  },
  [sym_alternative_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__array_pattern_body] = {
    .visible = false,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__find_pattern_body] = {
    .visible = false,
    .named = true,
  },
  [sym_find_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__hash_pattern_body] = {
    .visible = false,
    .named = true,
  },
  [sym_keyword_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__hash_pattern_any_rest] = {
    .visible = false,
    .named = true,
  },
  [sym_hash_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__pattern_expr_basic] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__pattern_value] = {
    .visible = false,
    .named = true,
  },
  [sym__pattern_range] = {
    .visible = true,
    .named = true,
  },
  [sym__pattern_primitive] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__pattern_lambda] = {
    .visible = false,
    .named = true,
  },
  [sym__pattern_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__keyword_variable] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_reference_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_reference_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__pattern_constant] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__pattern_constant_resolution] = {
    .visible = true,
    .named = true,
  },
  [sym_if] = {
    .visible = true,
    .named = true,
  },
  [sym_unless] = {
    .visible = true,
    .named = true,
  },
  [sym_elsif] = {
    .visible = true,
    .named = true,
  },
  [sym_else] = {
    .visible = true,
    .named = true,
  },
  [sym_then] = {
    .visible = true,
    .named = true,
  },
  [sym_begin] = {
    .visible = true,
    .named = true,
  },
  [sym_ensure] = {
    .visible = true,
    .named = true,
  },
  [sym_rescue] = {
    .visible = true,
    .named = true,
  },
  [sym_exceptions] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_body_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__body_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_match_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_test_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__arg] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_minus_pow] = {
    .visible = true,
    .named = true,
  },
  [sym__pow] = {
    .visible = true,
    .named = true,
  },
  [sym__primary] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_element_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_scope_resolution] = {
    .visible = true,
    .named = true,
  },
  [sym__call] = {
    .visible = false,
    .named = true,
  },
  [sym_command_call] = {
    .visible = true,
    .named = true,
  },
  [sym_command_call_with_block] = {
    .visible = true,
    .named = true,
  },
  [sym__chained_command_call] = {
    .visible = false,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_command_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_list_with_trailing_comma] = {
    .visible = false,
    .named = true,
  },
  [sym__argument] = {
    .visible = false,
    .named = true,
  },
  [sym_forward_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_splat_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_splat_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_block_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_do_block] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_command_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_command_operator_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional] = {
    .visible = true,
    .named = true,
  },
  [sym_range] = {
    .visible = true,
    .named = true,
  },
  [sym_binary] = {
    .visible = true,
    .named = true,
  },
  [sym_command_binary] = {
    .visible = true,
    .named = true,
  },
  [sym_unary] = {
    .visible = true,
    .named = true,
  },
  [sym_command_unary] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_unary] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
  },
  [sym__numeric] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_numeric] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_right_assignment_list] = {
    .visible = true,
    .named = true,
  },
  [sym_left_assignment_list] = {
    .visible = true,
    .named = true,
  },
  [sym__mlhs] = {
    .visible = false,
    .named = true,
  },
  [sym_destructured_left_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__function_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__function_identifier_call] = {
    .visible = true,
    .named = true,
  },
  [sym__lhs] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__variable] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__method_name] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__nonlocal_variable] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_setter] = {
    .visible = true,
    .named = true,
  },
  [sym_undef] = {
    .visible = true,
    .named = true,
  },
  [sym_alias] = {
    .visible = true,
    .named = true,
  },
  [sym__int_or_float] = {
    .visible = false,
    .named = true,
  },
  [sym_complex] = {
    .visible = true,
    .named = true,
  },
  [sym_rational] = {
    .visible = true,
    .named = true,
  },
  [sym_nil] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_chained_string] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_subshell] = {
    .visible = true,
    .named = true,
  },
  [sym_string_array] = {
    .visible = true,
    .named = true,
  },
  [sym_symbol_array] = {
    .visible = true,
    .named = true,
  },
  [sym_delimited_symbol] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__literal_contents] = {
    .visible = false,
    .named = false,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_hash] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__terminator] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_match_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_when_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_pattern_n_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alternative_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__hash_pattern_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_exceptions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__body_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__mlhs_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_undef_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_chained_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_symbol_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_hash_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_bare_string] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_bare_symbol] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_destructured_parameter] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_alternatives = 3,
  field_arguments = 4,
  field_begin = 5,
  field_block = 6,
  field_body = 7,
  field_class = 8,
  field_clauses = 9,
  field_condition = 10,
  field_consequence = 11,
  field_else = 12,
  field_end = 13,
  field_exceptions = 14,
  field_guard = 15,
  field_handler = 16,
  field_key = 17,
  field_left = 18,
  field_locals = 19,
  field_method = 20,
  field_name = 21,
  field_object = 22,
  field_operand = 23,
  field_operator = 24,
  field_parameters = 25,
  field_pattern = 26,
  field_receiver = 27,
  field_right = 28,
  field_scope = 29,
  field_superclass = 30,
  field_value = 31,
  field_variable = 32,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_alternatives] = "alternatives",
  [field_arguments] = "arguments",
  [field_begin] = "begin",
  [field_block] = "block",
  [field_body] = "body",
  [field_class] = "class",
  [field_clauses] = "clauses",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_else] = "else",
  [field_end] = "end",
  [field_exceptions] = "exceptions",
  [field_guard] = "guard",
  [field_handler] = "handler",
  [field_key] = "key",
  [field_left] = "left",
  [field_locals] = "locals",
  [field_method] = "method",
  [field_name] = "name",
  [field_object] = "object",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_receiver] = "receiver",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_superclass] = "superclass",
  [field_value] = "value",
  [field_variable] = "variable",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 2},
  [2] = {.index = 2, .length = 3},
  [4] = {.index = 5, .length = 1},
  [5] = {.index = 6, .length = 1},
  [11] = {.index = 7, .length = 2},
  [12] = {.index = 9, .length = 5},
  [13] = {.index = 14, .length = 3},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 18, .length = 2},
  [16] = {.index = 20, .length = 1},
  [17] = {.index = 21, .length = 2},
  [18] = {.index = 23, .length = 4},
  [19] = {.index = 27, .length = 4},
  [20] = {.index = 31, .length = 2},
  [21] = {.index = 33, .length = 2},
  [28] = {.index = 35, .length = 1},
  [29] = {.index = 35, .length = 1},
  [30] = {.index = 36, .length = 1},
  [31] = {.index = 37, .length = 2},
  [32] = {.index = 39, .length = 2},
  [33] = {.index = 41, .length = 1},
  [34] = {.index = 42, .length = 1},
  [35] = {.index = 43, .length = 2},
  [37] = {.index = 45, .length = 2},
  [38] = {.index = 47, .length = 2},
  [39] = {.index = 49, .length = 2},
  [40] = {.index = 51, .length = 3},
  [41] = {.index = 54, .length = 3},
  [42] = {.index = 57, .length = 2},
  [46] = {.index = 59, .length = 3},
  [47] = {.index = 62, .length = 2},
  [48] = {.index = 64, .length = 1},
  [49] = {.index = 65, .length = 3},
  [50] = {.index = 68, .length = 3},
  [51] = {.index = 71, .length = 2},
  [52] = {.index = 73, .length = 5},
  [53] = {.index = 78, .length = 2},
  [54] = {.index = 80, .length = 3},
  [57] = {.index = 83, .length = 2},
  [58] = {.index = 83, .length = 2},
  [59] = {.index = 85, .length = 4},
  [60] = {.index = 89, .length = 2},
  [61] = {.index = 91, .length = 3},
  [62] = {.index = 94, .length = 2},
  [63] = {.index = 96, .length = 2},
  [64] = {.index = 98, .length = 1},
  [65] = {.index = 99, .length = 3},
  [66] = {.index = 102, .length = 1},
  [67] = {.index = 103, .length = 2},
  [68] = {.index = 105, .length = 1},
  [69] = {.index = 106, .length = 2},
  [70] = {.index = 108, .length = 2},
  [71] = {.index = 110, .length = 2},
  [72] = {.index = 112, .length = 1},
  [73] = {.index = 113, .length = 2},
  [74] = {.index = 115, .length = 1},
  [75] = {.index = 116, .length = 1},
  [76] = {.index = 117, .length = 2},
  [78] = {.index = 119, .length = 2},
  [79] = {.index = 121, .length = 4},
  [80] = {.index = 125, .length = 3},
  [81] = {.index = 128, .length = 2},
  [82] = {.index = 130, .length = 2},
  [83] = {.index = 132, .length = 2},
  [84] = {.index = 134, .length = 3},
  [85] = {.index = 137, .length = 2},
  [86] = {.index = 139, .length = 2},
  [87] = {.index = 141, .length = 3},
  [88] = {.index = 144, .length = 2},
  [89] = {.index = 146, .length = 2},
  [90] = {.index = 148, .length = 2},
  [91] = {.index = 150, .length = 3},
  [92] = {.index = 153, .length = 3},
  [93] = {.index = 156, .length = 2},
  [94] = {.index = 45, .length = 2},
  [95] = {.index = 158, .length = 1},
  [96] = {.index = 159, .length = 1},
  [97] = {.index = 160, .length = 2},
  [98] = {.index = 162, .length = 1},
  [99] = {.index = 163, .length = 2},
  [100] = {.index = 165, .length = 1},
  [101] = {.index = 166, .length = 3},
  [102] = {.index = 169, .length = 4},
  [103] = {.index = 173, .length = 3},
  [104] = {.index = 176, .length = 2},
  [105] = {.index = 178, .length = 3},
  [106] = {.index = 181, .length = 2},
  [107] = {.index = 183, .length = 3},
  [108] = {.index = 186, .length = 3},
  [109] = {.index = 189, .length = 2},
  [110] = {.index = 191, .length = 3},
  [111] = {.index = 194, .length = 1},
  [112] = {.index = 195, .length = 2},
  [113] = {.index = 197, .length = 2},
  [114] = {.index = 199, .length = 3},
  [115] = {.index = 202, .length = 1},
  [116] = {.index = 203, .length = 1},
  [117] = {.index = 204, .length = 2},
  [118] = {.index = 206, .length = 2},
  [119] = {.index = 208, .length = 2},
  [120] = {.index = 210, .length = 2},
  [121] = {.index = 212, .length = 1},
  [122] = {.index = 213, .length = 2},
  [123] = {.index = 215, .length = 1},
  [124] = {.index = 216, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_operand, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
  [2] =
    {field_method, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
    {field_receiver, 0, .inherited = true},
  [5] =
    {field_method, 0},
  [6] =
    {field_method, 0, .inherited = true},
  [7] =
    {field_operand, 1},
    {field_operator, 0},
  [9] =
    {field_left, 1, .inherited = true},
    {field_operand, 1},
    {field_operator, 0},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [14] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
  [17] =
    {field_name, 1},
  [18] =
    {field_end, 1},
    {field_operator, 0},
  [20] =
    {field_body, 1},
  [21] =
    {field_begin, 0},
    {field_operator, 1},
  [23] =
    {field_arguments, 1},
    {field_method, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
    {field_receiver, 0, .inherited = true},
  [27] =
    {field_block, 1},
    {field_method, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
    {field_receiver, 0, .inherited = true},
  [31] =
    {field_arguments, 1},
    {field_method, 0},
  [33] =
    {field_block, 1},
    {field_method, 0},
  [35] =
    {field_key, 0},
  [36] =
    {field_name, 0},
  [37] =
    {field_body, 1, .inherited = true},
    {field_name, 0},
  [39] =
    {field_body, 2},
    {field_condition, 1},
  [41] =
    {field_value, 1},
  [42] =
    {field_clauses, 0},
  [43] =
    {field_alias, 2},
    {field_name, 1},
  [45] =
    {field_body, 2},
    {field_parameters, 1},
  [47] =
    {field_body, 0},
    {field_handler, 2},
  [49] =
    {field_body, 0},
    {field_condition, 2},
  [51] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [54] =
    {field_begin, 0},
    {field_end, 2},
    {field_operator, 1},
  [57] =
    {field_pattern, 2},
    {field_value, 0},
  [59] =
    {field_begin, 0, .inherited = true},
    {field_end, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
  [62] =
    {field_name, 0, .inherited = true},
    {field_scope, 0, .inherited = true},
  [64] =
    {field_object, 0},
  [65] =
    {field_method, 2},
    {field_operator, 1},
    {field_receiver, 0},
  [68] =
    {field_arguments, 2},
    {field_operator, 1},
    {field_receiver, 0},
  [71] =
    {field_name, 2},
    {field_scope, 0},
  [73] =
    {field_arguments, 1},
    {field_block, 2},
    {field_method, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
    {field_receiver, 0, .inherited = true},
  [78] =
    {field_left, 0},
    {field_right, 2},
  [80] =
    {field_arguments, 1},
    {field_block, 2},
    {field_method, 0},
  [83] =
    {field_key, 0},
    {field_value, 2},
  [85] =
    {field_body, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_object, 1},
    {field_parameters, 3, .inherited = true},
  [89] =
    {field_name, 0},
    {field_parameters, 1},
  [91] =
    {field_body, 2, .inherited = true},
    {field_name, 0},
    {field_parameters, 1},
  [94] =
    {field_body, 2},
    {field_name, 1},
  [96] =
    {field_condition, 1},
    {field_consequence, 2},
  [98] =
    {field_condition, 1},
  [99] =
    {field_body, 3},
    {field_pattern, 1},
    {field_value, 2},
  [102] =
    {field_value, 2},
  [103] =
    {field_body, 2},
    {field_pattern, 1},
  [105] =
    {field_pattern, 1},
  [106] =
    {field_clauses, 2, .inherited = true},
    {field_value, 1},
  [108] =
    {field_clauses, 0, .inherited = true},
    {field_clauses, 1, .inherited = true},
  [110] =
    {field_body, 2},
    {field_exceptions, 1},
  [112] =
    {field_exceptions, 1},
  [113] =
    {field_body, 2},
    {field_variable, 1},
  [115] =
    {field_variable, 1},
  [116] =
    {field_parameters, 1},
  [117] =
    {field_name, 0},
    {field_value, 2},
  [119] =
    {field_alternatives, 0},
    {field_alternatives, 1, .inherited = true},
  [121] =
    {field_arguments, 2},
    {field_block, 3},
    {field_operator, 1},
    {field_receiver, 0},
  [125] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [128] =
    {field_body, 2},
    {field_name, 0},
  [130] =
    {field_name, 1},
    {field_superclass, 2},
  [132] =
    {field_body, 3},
    {field_name, 1},
  [134] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [137] =
    {field_alternative, 3},
    {field_condition, 1},
  [139] =
    {field_clauses, 3, .inherited = true},
    {field_value, 2},
  [141] =
    {field_body, 3},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [144] =
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [146] =
    {field_pattern, 0, .inherited = true},
    {field_pattern, 1, .inherited = true},
  [148] =
    {field_clauses, 3, .inherited = true},
    {field_value, 1},
  [150] =
    {field_clauses, 2, .inherited = true},
    {field_else, 3},
    {field_value, 1},
  [153] =
    {field_body, 3},
    {field_exceptions, 1},
    {field_variable, 2},
  [156] =
    {field_exceptions, 1},
    {field_variable, 2},
  [158] =
    {field_parameters, 2},
  [159] =
    {field_body, 2},
  [160] =
    {field_name, 2},
    {field_value, 0},
  [162] =
    {field_alternatives, 1},
  [163] =
    {field_alternatives, 0, .inherited = true},
    {field_alternatives, 1, .inherited = true},
  [165] =
    {field_class, 0},
  [166] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [169] =
    {field_body, 5, .inherited = true},
    {field_name, 5, .inherited = true},
    {field_object, 2},
    {field_parameters, 5, .inherited = true},
  [173] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 1},
  [176] =
    {field_body, 4},
    {field_value, 2},
  [178] =
    {field_body, 4},
    {field_name, 1},
    {field_superclass, 2},
  [181] =
    {field_clauses, 4, .inherited = true},
    {field_value, 2},
  [183] =
    {field_clauses, 3, .inherited = true},
    {field_else, 4},
    {field_value, 2},
  [186] =
    {field_body, 3},
    {field_guard, 2},
    {field_pattern, 1},
  [189] =
    {field_guard, 2},
    {field_pattern, 1},
  [191] =
    {field_clauses, 3, .inherited = true},
    {field_else, 4},
    {field_value, 1},
  [194] =
    {field_locals, 2},
  [195] =
    {field_body, 3},
    {field_parameters, 1},
  [197] =
    {field_body, 3},
    {field_parameters, 2},
  [199] =
    {field_clauses, 4, .inherited = true},
    {field_else, 5},
    {field_value, 2},
  [202] =
    {field_locals, 3},
  [203] =
    {field_locals, 1},
  [204] =
    {field_locals, 2},
    {field_locals, 3, .inherited = true},
  [206] =
    {field_locals, 0, .inherited = true},
    {field_locals, 1, .inherited = true},
  [208] =
    {field_body, 4},
    {field_parameters, 2},
  [210] =
    {field_locals, 3},
    {field_locals, 4, .inherited = true},
  [212] =
    {field_locals, 4},
  [213] =
    {field_locals, 4},
    {field_locals, 5, .inherited = true},
  [215] =
    {field_locals, 5},
  [216] =
    {field_locals, 5},
    {field_locals, 6, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_call,
  },
  [3] = {
    [0] = sym_call,
  },
  [6] = {
    [0] = sym_constant,
  },
  [7] = {
    [0] = sym_identifier,
  },
  [8] = {
    [1] = sym__string_start,
  },
  [9] = {
    [1] = anon_sym_BQUOTE,
  },
  [10] = {
    [1] = anon_sym_SLASH,
  },
  [22] = {
    [0] = sym_rational,
  },
  [23] = {
    [2] = sym__string_start,
  },
  [24] = {
    [2] = anon_sym_BQUOTE,
  },
  [25] = {
    [2] = anon_sym_SLASH,
  },
  [26] = {
    [1] = alias_sym_bare_string,
  },
  [27] = {
    [1] = alias_sym_bare_symbol,
  },
  [29] = {
    [0] = sym_hash_key_symbol,
  },
  [36] = {
    [0] = alias_sym_destructured_parameter,
  },
  [37] = {
    [1] = alias_sym_lambda_parameters,
  },
  [43] = {
    [0] = sym_array_pattern,
  },
  [44] = {
    [0] = sym_find_pattern,
  },
  [45] = {
    [0] = sym_hash_pattern,
  },
  [55] = {
    [2] = alias_sym_bare_string,
  },
  [56] = {
    [2] = alias_sym_bare_symbol,
  },
  [58] = {
    [0] = sym_hash_key_symbol,
  },
  [77] = {
    [1] = sym_splat_parameter,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_parameters, 3,
    sym_parameters,
    alias_sym_destructured_parameter,
    alias_sym_lambda_parameters,
  sym_bare_parameters, 2,
    sym_parameters,
    alias_sym_lambda_parameters,
  sym__array_pattern_n, 2,
    sym__array_pattern_n,
    sym_array_pattern,
  sym__find_pattern_body, 2,
    sym__find_pattern_body,
    sym_find_pattern,
  sym__hash_pattern_body, 2,
    sym__hash_pattern_body,
    sym_hash_pattern,
  sym__call, 2,
    sym__call,
    sym_call,
  sym__chained_command_call, 2,
    sym__chained_command_call,
    sym_call,
  sym__int_or_float, 2,
    sym__int_or_float,
    sym_rational,
  sym_constant_suffix, 2,
    sym_hash_key_symbol,
    sym_constant,
  sym_identifier_suffix, 2,
    sym_hash_key_symbol,
    sym_identifier,
  aux_sym__literal_contents, 3,
    aux_sym__literal_contents,
    alias_sym_bare_string,
    alias_sym_bare_symbol,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 4,
  [6] = 2,
  [7] = 4,
  [8] = 4,
  [9] = 2,
  [10] = 2,
  [11] = 4,
  [12] = 4,
  [13] = 2,
  [14] = 4,
  [15] = 2,
  [16] = 4,
  [17] = 4,
  [18] = 2,
  [19] = 2,
  [20] = 4,
  [21] = 2,
  [22] = 4,
  [23] = 2,
  [24] = 4,
  [25] = 2,
  [26] = 2,
  [27] = 2,
  [28] = 4,
  [29] = 4,
  [30] = 4,
  [31] = 4,
  [32] = 2,
  [33] = 2,
  [34] = 2,
  [35] = 2,
  [36] = 2,
  [37] = 4,
  [38] = 4,
  [39] = 4,
  [40] = 4,
  [41] = 2,
  [42] = 42,
  [43] = 42,
  [44] = 42,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 45,
  [50] = 47,
  [51] = 46,
  [52] = 48,
  [53] = 42,
  [54] = 42,
  [55] = 42,
  [56] = 42,
  [57] = 42,
  [58] = 48,
  [59] = 46,
  [60] = 47,
  [61] = 45,
  [62] = 42,
  [63] = 45,
  [64] = 47,
  [65] = 46,
  [66] = 48,
  [67] = 42,
  [68] = 42,
  [69] = 42,
  [70] = 42,
  [71] = 42,
  [72] = 42,
  [73] = 42,
  [74] = 42,
  [75] = 42,
  [76] = 48,
  [77] = 46,
  [78] = 47,
  [79] = 45,
  [80] = 48,
  [81] = 45,
  [82] = 47,
  [83] = 46,
  [84] = 47,
  [85] = 46,
  [86] = 45,
  [87] = 47,
  [88] = 46,
  [89] = 48,
  [90] = 48,
  [91] = 45,
  [92] = 42,
  [93] = 48,
  [94] = 45,
  [95] = 47,
  [96] = 46,
  [97] = 47,
  [98] = 48,
  [99] = 46,
  [100] = 47,
  [101] = 45,
  [102] = 48,
  [103] = 42,
  [104] = 45,
  [105] = 46,
  [106] = 45,
  [107] = 48,
  [108] = 46,
  [109] = 47,
  [110] = 45,
  [111] = 48,
  [112] = 47,
  [113] = 46,
  [114] = 114,
  [115] = 114,
  [116] = 114,
  [117] = 114,
  [118] = 118,
  [119] = 118,
  [120] = 118,
  [121] = 118,
  [122] = 118,
  [123] = 123,
  [124] = 123,
  [125] = 123,
  [126] = 126,
  [127] = 127,
  [128] = 126,
  [129] = 127,
  [130] = 127,
  [131] = 126,
  [132] = 132,
  [133] = 132,
  [134] = 132,
  [135] = 135,
  [136] = 135,
  [137] = 135,
  [138] = 135,
  [139] = 139,
  [140] = 135,
  [141] = 135,
  [142] = 135,
  [143] = 139,
  [144] = 135,
  [145] = 139,
  [146] = 139,
  [147] = 135,
  [148] = 135,
  [149] = 135,
  [150] = 139,
  [151] = 135,
  [152] = 135,
  [153] = 135,
  [154] = 135,
  [155] = 135,
  [156] = 135,
  [157] = 135,
  [158] = 135,
  [159] = 139,
  [160] = 139,
  [161] = 135,
  [162] = 135,
  [163] = 135,
  [164] = 135,
  [165] = 135,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 166,
  [170] = 166,
  [171] = 166,
  [172] = 168,
  [173] = 167,
  [174] = 166,
  [175] = 166,
  [176] = 167,
  [177] = 168,
  [178] = 168,
  [179] = 167,
  [180] = 167,
  [181] = 168,
  [182] = 167,
  [183] = 168,
  [184] = 167,
  [185] = 166,
  [186] = 168,
  [187] = 187,
  [188] = 187,
  [189] = 189,
  [190] = 190,
  [191] = 187,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 197,
  [200] = 195,
  [201] = 198,
  [202] = 194,
  [203] = 193,
  [204] = 204,
  [205] = 204,
  [206] = 198,
  [207] = 198,
  [208] = 197,
  [209] = 198,
  [210] = 193,
  [211] = 196,
  [212] = 193,
  [213] = 193,
  [214] = 196,
  [215] = 204,
  [216] = 192,
  [217] = 195,
  [218] = 190,
  [219] = 189,
  [220] = 192,
  [221] = 193,
  [222] = 194,
  [223] = 198,
  [224] = 193,
  [225] = 198,
  [226] = 190,
  [227] = 227,
  [228] = 227,
  [229] = 229,
  [230] = 227,
  [231] = 231,
  [232] = 231,
  [233] = 229,
  [234] = 234,
  [235] = 231,
  [236] = 231,
  [237] = 231,
  [238] = 231,
  [239] = 239,
  [240] = 231,
  [241] = 231,
  [242] = 190,
  [243] = 189,
  [244] = 244,
  [245] = 245,
  [246] = 190,
  [247] = 189,
  [248] = 248,
  [249] = 248,
  [250] = 250,
  [251] = 189,
  [252] = 252,
  [253] = 250,
  [254] = 190,
  [255] = 250,
  [256] = 256,
  [257] = 248,
  [258] = 258,
  [259] = 189,
  [260] = 260,
  [261] = 258,
  [262] = 258,
  [263] = 190,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 190,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 268,
  [273] = 190,
  [274] = 190,
  [275] = 268,
  [276] = 268,
  [277] = 268,
  [278] = 278,
  [279] = 189,
  [280] = 268,
  [281] = 281,
  [282] = 268,
  [283] = 283,
  [284] = 189,
  [285] = 189,
  [286] = 189,
  [287] = 189,
  [288] = 190,
  [289] = 229,
  [290] = 190,
  [291] = 190,
  [292] = 190,
  [293] = 293,
  [294] = 293,
  [295] = 293,
  [296] = 190,
  [297] = 234,
  [298] = 293,
  [299] = 293,
  [300] = 189,
  [301] = 190,
  [302] = 189,
  [303] = 229,
  [304] = 189,
  [305] = 190,
  [306] = 239,
  [307] = 293,
  [308] = 190,
  [309] = 293,
  [310] = 310,
  [311] = 310,
  [312] = 310,
  [313] = 310,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 190,
  [318] = 318,
  [319] = 319,
  [320] = 314,
  [321] = 318,
  [322] = 318,
  [323] = 310,
  [324] = 310,
  [325] = 310,
  [326] = 310,
  [327] = 310,
  [328] = 229,
  [329] = 315,
  [330] = 315,
  [331] = 310,
  [332] = 190,
  [333] = 310,
  [334] = 314,
  [335] = 189,
  [336] = 310,
  [337] = 310,
  [338] = 338,
  [339] = 190,
  [340] = 229,
  [341] = 190,
  [342] = 190,
  [343] = 189,
  [344] = 229,
  [345] = 190,
  [346] = 189,
  [347] = 229,
  [348] = 229,
  [349] = 190,
  [350] = 229,
  [351] = 229,
  [352] = 190,
  [353] = 353,
  [354] = 189,
  [355] = 189,
  [356] = 189,
  [357] = 190,
  [358] = 353,
  [359] = 189,
  [360] = 190,
  [361] = 353,
  [362] = 190,
  [363] = 189,
  [364] = 190,
  [365] = 190,
  [366] = 229,
  [367] = 190,
  [368] = 190,
  [369] = 229,
  [370] = 190,
  [371] = 190,
  [372] = 189,
  [373] = 189,
  [374] = 189,
  [375] = 190,
  [376] = 190,
  [377] = 190,
  [378] = 378,
  [379] = 379,
  [380] = 378,
  [381] = 190,
  [382] = 379,
  [383] = 383,
  [384] = 384,
  [385] = 384,
  [386] = 386,
  [387] = 379,
  [388] = 384,
  [389] = 378,
  [390] = 386,
  [391] = 190,
  [392] = 189,
  [393] = 386,
  [394] = 190,
  [395] = 190,
  [396] = 189,
  [397] = 190,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 401,
  [404] = 190,
  [405] = 399,
  [406] = 401,
  [407] = 190,
  [408] = 400,
  [409] = 399,
  [410] = 400,
  [411] = 189,
  [412] = 412,
  [413] = 401,
  [414] = 190,
  [415] = 415,
  [416] = 416,
  [417] = 416,
  [418] = 416,
  [419] = 416,
  [420] = 416,
  [421] = 416,
  [422] = 416,
  [423] = 416,
  [424] = 416,
  [425] = 416,
  [426] = 416,
  [427] = 416,
  [428] = 416,
  [429] = 416,
  [430] = 430,
  [431] = 430,
  [432] = 430,
  [433] = 430,
  [434] = 430,
  [435] = 430,
  [436] = 430,
  [437] = 430,
  [438] = 430,
  [439] = 430,
  [440] = 430,
  [441] = 430,
  [442] = 430,
  [443] = 430,
  [444] = 430,
  [445] = 430,
  [446] = 430,
  [447] = 430,
  [448] = 430,
  [449] = 430,
  [450] = 430,
  [451] = 430,
  [452] = 430,
  [453] = 430,
  [454] = 430,
  [455] = 455,
  [456] = 456,
  [457] = 189,
  [458] = 458,
  [459] = 458,
  [460] = 458,
  [461] = 458,
  [462] = 458,
  [463] = 458,
  [464] = 458,
  [465] = 458,
  [466] = 458,
  [467] = 458,
  [468] = 458,
  [469] = 469,
  [470] = 458,
  [471] = 455,
  [472] = 458,
  [473] = 456,
  [474] = 458,
  [475] = 458,
  [476] = 476,
  [477] = 458,
  [478] = 458,
  [479] = 458,
  [480] = 458,
  [481] = 458,
  [482] = 482,
  [483] = 458,
  [484] = 458,
  [485] = 458,
  [486] = 458,
  [487] = 458,
  [488] = 482,
  [489] = 189,
  [490] = 469,
  [491] = 476,
  [492] = 492,
  [493] = 493,
  [494] = 492,
  [495] = 493,
  [496] = 496,
  [497] = 492,
  [498] = 498,
  [499] = 496,
  [500] = 500,
  [501] = 501,
  [502] = 492,
  [503] = 493,
  [504] = 496,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 507,
  [509] = 509,
  [510] = 507,
  [511] = 501,
  [512] = 492,
  [513] = 493,
  [514] = 496,
  [515] = 496,
  [516] = 493,
  [517] = 492,
  [518] = 501,
  [519] = 496,
  [520] = 493,
  [521] = 493,
  [522] = 496,
  [523] = 493,
  [524] = 492,
  [525] = 501,
  [526] = 492,
  [527] = 509,
  [528] = 501,
  [529] = 507,
  [530] = 501,
  [531] = 496,
  [532] = 532,
  [533] = 501,
  [534] = 493,
  [535] = 496,
  [536] = 509,
  [537] = 532,
  [538] = 507,
  [539] = 496,
  [540] = 493,
  [541] = 496,
  [542] = 492,
  [543] = 507,
  [544] = 501,
  [545] = 493,
  [546] = 501,
  [547] = 547,
  [548] = 496,
  [549] = 493,
  [550] = 493,
  [551] = 507,
  [552] = 492,
  [553] = 509,
  [554] = 506,
  [555] = 505,
  [556] = 500,
  [557] = 498,
  [558] = 532,
  [559] = 492,
  [560] = 501,
  [561] = 501,
  [562] = 492,
  [563] = 501,
  [564] = 507,
  [565] = 501,
  [566] = 507,
  [567] = 507,
  [568] = 492,
  [569] = 501,
  [570] = 492,
  [571] = 493,
  [572] = 496,
  [573] = 507,
  [574] = 574,
  [575] = 492,
  [576] = 498,
  [577] = 507,
  [578] = 578,
  [579] = 507,
  [580] = 501,
  [581] = 493,
  [582] = 496,
  [583] = 493,
  [584] = 501,
  [585] = 496,
  [586] = 496,
  [587] = 493,
  [588] = 492,
  [589] = 507,
  [590] = 501,
  [591] = 492,
  [592] = 507,
  [593] = 501,
  [594] = 493,
  [595] = 492,
  [596] = 507,
  [597] = 496,
  [598] = 492,
  [599] = 493,
  [600] = 496,
  [601] = 493,
  [602] = 492,
  [603] = 501,
  [604] = 501,
  [605] = 605,
  [606] = 496,
  [607] = 493,
  [608] = 492,
  [609] = 501,
  [610] = 507,
  [611] = 496,
  [612] = 493,
  [613] = 496,
  [614] = 501,
  [615] = 507,
  [616] = 501,
  [617] = 507,
  [618] = 509,
  [619] = 492,
  [620] = 492,
  [621] = 493,
  [622] = 492,
  [623] = 496,
  [624] = 493,
  [625] = 496,
  [626] = 500,
  [627] = 507,
  [628] = 501,
  [629] = 501,
  [630] = 492,
  [631] = 493,
  [632] = 496,
  [633] = 605,
  [634] = 507,
  [635] = 496,
  [636] = 507,
  [637] = 507,
  [638] = 507,
  [639] = 507,
  [640] = 509,
  [641] = 506,
  [642] = 505,
  [643] = 643,
  [644] = 643,
  [645] = 643,
  [646] = 455,
  [647] = 643,
  [648] = 456,
  [649] = 643,
  [650] = 469,
  [651] = 456,
  [652] = 455,
  [653] = 476,
  [654] = 654,
  [655] = 482,
  [656] = 189,
  [657] = 657,
  [658] = 469,
  [659] = 476,
  [660] = 189,
  [661] = 482,
  [662] = 456,
  [663] = 456,
  [664] = 455,
  [665] = 455,
  [666] = 456,
  [667] = 455,
  [668] = 668,
  [669] = 455,
  [670] = 469,
  [671] = 668,
  [672] = 668,
  [673] = 455,
  [674] = 456,
  [675] = 668,
  [676] = 189,
  [677] = 668,
  [678] = 668,
  [679] = 189,
  [680] = 476,
  [681] = 469,
  [682] = 456,
  [683] = 476,
  [684] = 668,
  [685] = 668,
  [686] = 455,
  [687] = 456,
  [688] = 668,
  [689] = 482,
  [690] = 668,
  [691] = 668,
  [692] = 668,
  [693] = 189,
  [694] = 469,
  [695] = 482,
  [696] = 476,
  [697] = 482,
  [698] = 668,
  [699] = 668,
  [700] = 476,
  [701] = 189,
  [702] = 189,
  [703] = 469,
  [704] = 469,
  [705] = 482,
  [706] = 482,
  [707] = 476,
  [708] = 455,
  [709] = 456,
  [710] = 482,
  [711] = 189,
  [712] = 469,
  [713] = 476,
  [714] = 189,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 189,
  [719] = 482,
  [720] = 715,
  [721] = 469,
  [722] = 717,
  [723] = 715,
  [724] = 716,
  [725] = 717,
  [726] = 716,
  [727] = 455,
  [728] = 476,
  [729] = 456,
  [730] = 730,
  [731] = 730,
  [732] = 730,
  [733] = 730,
  [734] = 730,
  [735] = 730,
  [736] = 730,
  [737] = 730,
  [738] = 730,
  [739] = 730,
  [740] = 730,
  [741] = 730,
  [742] = 730,
  [743] = 730,
  [744] = 730,
  [745] = 730,
  [746] = 730,
  [747] = 469,
  [748] = 730,
  [749] = 730,
  [750] = 730,
  [751] = 730,
  [752] = 730,
  [753] = 730,
  [754] = 730,
  [755] = 730,
  [756] = 730,
  [757] = 730,
  [758] = 730,
  [759] = 730,
  [760] = 730,
  [761] = 730,
  [762] = 730,
  [763] = 730,
  [764] = 730,
  [765] = 730,
  [766] = 730,
  [767] = 730,
  [768] = 768,
  [769] = 730,
  [770] = 730,
  [771] = 730,
  [772] = 730,
  [773] = 730,
  [774] = 730,
  [775] = 730,
  [776] = 730,
  [777] = 730,
  [778] = 189,
  [779] = 779,
  [780] = 780,
  [781] = 476,
  [782] = 779,
  [783] = 783,
  [784] = 784,
  [785] = 784,
  [786] = 784,
  [787] = 779,
  [788] = 784,
  [789] = 784,
  [790] = 784,
  [791] = 784,
  [792] = 784,
  [793] = 784,
  [794] = 784,
  [795] = 784,
  [796] = 784,
  [797] = 784,
  [798] = 784,
  [799] = 784,
  [800] = 784,
  [801] = 784,
  [802] = 784,
  [803] = 784,
  [804] = 784,
  [805] = 784,
  [806] = 784,
  [807] = 784,
  [808] = 784,
  [809] = 784,
  [810] = 784,
  [811] = 784,
  [812] = 779,
  [813] = 784,
  [814] = 784,
  [815] = 815,
  [816] = 815,
  [817] = 815,
  [818] = 815,
  [819] = 815,
  [820] = 815,
  [821] = 815,
  [822] = 822,
  [823] = 822,
  [824] = 815,
  [825] = 815,
  [826] = 815,
  [827] = 815,
  [828] = 815,
  [829] = 822,
  [830] = 815,
  [831] = 815,
  [832] = 822,
  [833] = 815,
  [834] = 815,
  [835] = 822,
  [836] = 822,
  [837] = 815,
  [838] = 815,
  [839] = 815,
  [840] = 822,
  [841] = 822,
  [842] = 822,
  [843] = 815,
  [844] = 822,
  [845] = 822,
  [846] = 815,
  [847] = 822,
  [848] = 822,
  [849] = 815,
  [850] = 815,
  [851] = 815,
  [852] = 815,
  [853] = 822,
  [854] = 815,
  [855] = 815,
  [856] = 815,
  [857] = 822,
  [858] = 815,
  [859] = 822,
  [860] = 815,
  [861] = 815,
  [862] = 822,
  [863] = 815,
  [864] = 815,
  [865] = 815,
  [866] = 815,
  [867] = 815,
  [868] = 815,
  [869] = 815,
  [870] = 822,
  [871] = 822,
  [872] = 815,
  [873] = 822,
  [874] = 815,
  [875] = 822,
  [876] = 815,
  [877] = 815,
  [878] = 822,
  [879] = 822,
  [880] = 815,
  [881] = 815,
  [882] = 815,
  [883] = 815,
  [884] = 822,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 887,
  [889] = 887,
  [890] = 887,
  [891] = 887,
  [892] = 887,
  [893] = 887,
  [894] = 887,
  [895] = 887,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 887,
  [901] = 887,
  [902] = 887,
  [903] = 887,
  [904] = 887,
  [905] = 887,
  [906] = 887,
  [907] = 887,
  [908] = 887,
  [909] = 887,
  [910] = 887,
  [911] = 887,
  [912] = 887,
  [913] = 913,
  [914] = 887,
  [915] = 915,
  [916] = 915,
  [917] = 915,
  [918] = 915,
  [919] = 915,
  [920] = 915,
  [921] = 915,
  [922] = 915,
  [923] = 915,
  [924] = 915,
  [925] = 915,
  [926] = 915,
  [927] = 915,
  [928] = 915,
  [929] = 929,
  [930] = 915,
  [931] = 915,
  [932] = 896,
  [933] = 913,
  [934] = 885,
  [935] = 913,
  [936] = 885,
  [937] = 885,
  [938] = 913,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 886,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 899,
  [953] = 898,
  [954] = 897,
  [955] = 885,
  [956] = 913,
  [957] = 939,
  [958] = 939,
  [959] = 940,
  [960] = 941,
  [961] = 942,
  [962] = 943,
  [963] = 951,
  [964] = 950,
  [965] = 949,
  [966] = 948,
  [967] = 944,
  [968] = 947,
  [969] = 886,
  [970] = 945,
  [971] = 886,
  [972] = 972,
  [973] = 945,
  [974] = 944,
  [975] = 943,
  [976] = 942,
  [977] = 947,
  [978] = 948,
  [979] = 949,
  [980] = 950,
  [981] = 951,
  [982] = 899,
  [983] = 898,
  [984] = 897,
  [985] = 896,
  [986] = 899,
  [987] = 898,
  [988] = 897,
  [989] = 989,
  [990] = 940,
  [991] = 941,
  [992] = 942,
  [993] = 943,
  [994] = 944,
  [995] = 945,
  [996] = 886,
  [997] = 947,
  [998] = 948,
  [999] = 949,
  [1000] = 950,
  [1001] = 951,
  [1002] = 896,
  [1003] = 939,
  [1004] = 885,
  [1005] = 941,
  [1006] = 940,
  [1007] = 941,
  [1008] = 942,
  [1009] = 943,
  [1010] = 944,
  [1011] = 945,
  [1012] = 886,
  [1013] = 947,
  [1014] = 1014,
  [1015] = 948,
  [1016] = 949,
  [1017] = 950,
  [1018] = 951,
  [1019] = 899,
  [1020] = 898,
  [1021] = 897,
  [1022] = 896,
  [1023] = 1014,
  [1024] = 915,
  [1025] = 929,
  [1026] = 915,
  [1027] = 915,
  [1028] = 915,
  [1029] = 915,
  [1030] = 915,
  [1031] = 915,
  [1032] = 915,
  [1033] = 915,
  [1034] = 915,
  [1035] = 915,
  [1036] = 915,
  [1037] = 915,
  [1038] = 915,
  [1039] = 915,
  [1040] = 915,
  [1041] = 915,
  [1042] = 915,
  [1043] = 915,
  [1044] = 915,
  [1045] = 915,
  [1046] = 915,
  [1047] = 1047,
  [1048] = 915,
  [1049] = 915,
  [1050] = 915,
  [1051] = 915,
  [1052] = 915,
  [1053] = 915,
  [1054] = 896,
  [1055] = 896,
  [1056] = 896,
  [1057] = 913,
  [1058] = 913,
  [1059] = 896,
  [1060] = 897,
  [1061] = 898,
  [1062] = 899,
  [1063] = 915,
  [1064] = 896,
  [1065] = 885,
  [1066] = 913,
  [1067] = 885,
  [1068] = 887,
  [1069] = 885,
  [1070] = 913,
  [1071] = 885,
  [1072] = 885,
  [1073] = 913,
  [1074] = 885,
  [1075] = 913,
  [1076] = 885,
  [1077] = 913,
  [1078] = 885,
  [1079] = 913,
  [1080] = 885,
  [1081] = 913,
  [1082] = 885,
  [1083] = 913,
  [1084] = 929,
  [1085] = 885,
  [1086] = 913,
  [1087] = 885,
  [1088] = 913,
  [1089] = 885,
  [1090] = 913,
  [1091] = 885,
  [1092] = 913,
  [1093] = 885,
  [1094] = 913,
  [1095] = 939,
  [1096] = 940,
  [1097] = 941,
  [1098] = 942,
  [1099] = 943,
  [1100] = 944,
  [1101] = 945,
  [1102] = 947,
  [1103] = 948,
  [1104] = 949,
  [1105] = 950,
  [1106] = 951,
  [1107] = 899,
  [1108] = 898,
  [1109] = 897,
  [1110] = 885,
  [1111] = 913,
  [1112] = 885,
  [1113] = 913,
  [1114] = 939,
  [1115] = 940,
  [1116] = 941,
  [1117] = 942,
  [1118] = 943,
  [1119] = 944,
  [1120] = 945,
  [1121] = 886,
  [1122] = 947,
  [1123] = 948,
  [1124] = 949,
  [1125] = 950,
  [1126] = 951,
  [1127] = 899,
  [1128] = 898,
  [1129] = 897,
  [1130] = 885,
  [1131] = 913,
  [1132] = 885,
  [1133] = 913,
  [1134] = 939,
  [1135] = 940,
  [1136] = 941,
  [1137] = 942,
  [1138] = 943,
  [1139] = 944,
  [1140] = 945,
  [1141] = 886,
  [1142] = 947,
  [1143] = 948,
  [1144] = 949,
  [1145] = 950,
  [1146] = 951,
  [1147] = 899,
  [1148] = 898,
  [1149] = 897,
  [1150] = 885,
  [1151] = 913,
  [1152] = 939,
  [1153] = 885,
  [1154] = 913,
  [1155] = 939,
  [1156] = 940,
  [1157] = 941,
  [1158] = 942,
  [1159] = 943,
  [1160] = 944,
  [1161] = 945,
  [1162] = 886,
  [1163] = 947,
  [1164] = 948,
  [1165] = 949,
  [1166] = 950,
  [1167] = 951,
  [1168] = 899,
  [1169] = 898,
  [1170] = 897,
  [1171] = 885,
  [1172] = 913,
  [1173] = 939,
  [1174] = 940,
  [1175] = 941,
  [1176] = 942,
  [1177] = 943,
  [1178] = 944,
  [1179] = 945,
  [1180] = 886,
  [1181] = 947,
  [1182] = 948,
  [1183] = 949,
  [1184] = 950,
  [1185] = 951,
  [1186] = 899,
  [1187] = 898,
  [1188] = 897,
  [1189] = 896,
  [1190] = 885,
  [1191] = 913,
  [1192] = 939,
  [1193] = 940,
  [1194] = 941,
  [1195] = 942,
  [1196] = 943,
  [1197] = 944,
  [1198] = 945,
  [1199] = 886,
  [1200] = 947,
  [1201] = 940,
  [1202] = 948,
  [1203] = 949,
  [1204] = 950,
  [1205] = 989,
  [1206] = 939,
  [1207] = 951,
  [1208] = 899,
  [1209] = 898,
  [1210] = 897,
  [1211] = 896,
  [1212] = 885,
  [1213] = 913,
  [1214] = 939,
  [1215] = 940,
  [1216] = 941,
  [1217] = 942,
  [1218] = 943,
  [1219] = 944,
  [1220] = 945,
  [1221] = 886,
  [1222] = 947,
  [1223] = 948,
  [1224] = 949,
  [1225] = 950,
  [1226] = 951,
  [1227] = 899,
  [1228] = 898,
  [1229] = 897,
  [1230] = 896,
  [1231] = 885,
  [1232] = 913,
  [1233] = 939,
  [1234] = 940,
  [1235] = 941,
  [1236] = 942,
  [1237] = 943,
  [1238] = 944,
  [1239] = 945,
  [1240] = 886,
  [1241] = 947,
  [1242] = 948,
  [1243] = 949,
  [1244] = 950,
  [1245] = 951,
  [1246] = 899,
  [1247] = 898,
  [1248] = 897,
  [1249] = 896,
  [1250] = 913,
  [1251] = 939,
  [1252] = 940,
  [1253] = 941,
  [1254] = 942,
  [1255] = 943,
  [1256] = 944,
  [1257] = 945,
  [1258] = 886,
  [1259] = 947,
  [1260] = 948,
  [1261] = 949,
  [1262] = 950,
  [1263] = 951,
  [1264] = 899,
  [1265] = 898,
  [1266] = 897,
  [1267] = 896,
  [1268] = 939,
  [1269] = 940,
  [1270] = 941,
  [1271] = 942,
  [1272] = 943,
  [1273] = 944,
  [1274] = 945,
  [1275] = 886,
  [1276] = 947,
  [1277] = 948,
  [1278] = 949,
  [1279] = 950,
  [1280] = 951,
  [1281] = 899,
  [1282] = 898,
  [1283] = 897,
  [1284] = 896,
  [1285] = 885,
  [1286] = 913,
  [1287] = 939,
  [1288] = 940,
  [1289] = 941,
  [1290] = 942,
  [1291] = 943,
  [1292] = 944,
  [1293] = 945,
  [1294] = 886,
  [1295] = 947,
  [1296] = 948,
  [1297] = 949,
  [1298] = 950,
  [1299] = 951,
  [1300] = 899,
  [1301] = 898,
  [1302] = 897,
  [1303] = 896,
  [1304] = 885,
  [1305] = 913,
  [1306] = 939,
  [1307] = 940,
  [1308] = 941,
  [1309] = 942,
  [1310] = 943,
  [1311] = 944,
  [1312] = 945,
  [1313] = 886,
  [1314] = 885,
  [1315] = 947,
  [1316] = 948,
  [1317] = 949,
  [1318] = 950,
  [1319] = 951,
  [1320] = 913,
  [1321] = 899,
  [1322] = 898,
  [1323] = 897,
  [1324] = 896,
  [1325] = 939,
  [1326] = 940,
  [1327] = 941,
  [1328] = 942,
  [1329] = 943,
  [1330] = 944,
  [1331] = 945,
  [1332] = 886,
  [1333] = 947,
  [1334] = 948,
  [1335] = 949,
  [1336] = 950,
  [1337] = 951,
  [1338] = 899,
  [1339] = 898,
  [1340] = 897,
  [1341] = 896,
  [1342] = 885,
  [1343] = 913,
  [1344] = 939,
  [1345] = 989,
  [1346] = 940,
  [1347] = 951,
  [1348] = 950,
  [1349] = 949,
  [1350] = 896,
  [1351] = 897,
  [1352] = 898,
  [1353] = 899,
  [1354] = 948,
  [1355] = 947,
  [1356] = 886,
  [1357] = 915,
  [1358] = 941,
  [1359] = 945,
  [1360] = 942,
  [1361] = 943,
  [1362] = 944,
  [1363] = 945,
  [1364] = 886,
  [1365] = 947,
  [1366] = 948,
  [1367] = 949,
  [1368] = 950,
  [1369] = 951,
  [1370] = 944,
  [1371] = 943,
  [1372] = 899,
  [1373] = 898,
  [1374] = 897,
  [1375] = 896,
  [1376] = 885,
  [1377] = 913,
  [1378] = 942,
  [1379] = 939,
  [1380] = 940,
  [1381] = 941,
  [1382] = 942,
  [1383] = 943,
  [1384] = 944,
  [1385] = 945,
  [1386] = 886,
  [1387] = 947,
  [1388] = 948,
  [1389] = 949,
  [1390] = 951,
  [1391] = 950,
  [1392] = 949,
  [1393] = 948,
  [1394] = 950,
  [1395] = 947,
  [1396] = 886,
  [1397] = 972,
  [1398] = 945,
  [1399] = 944,
  [1400] = 943,
  [1401] = 942,
  [1402] = 951,
  [1403] = 899,
  [1404] = 898,
  [1405] = 897,
  [1406] = 896,
  [1407] = 939,
  [1408] = 940,
  [1409] = 941,
  [1410] = 942,
  [1411] = 943,
  [1412] = 944,
  [1413] = 945,
  [1414] = 886,
  [1415] = 947,
  [1416] = 948,
  [1417] = 949,
  [1418] = 950,
  [1419] = 951,
  [1420] = 899,
  [1421] = 898,
  [1422] = 897,
  [1423] = 896,
  [1424] = 939,
  [1425] = 940,
  [1426] = 941,
  [1427] = 941,
  [1428] = 942,
  [1429] = 943,
  [1430] = 944,
  [1431] = 945,
  [1432] = 972,
  [1433] = 1014,
  [1434] = 886,
  [1435] = 947,
  [1436] = 948,
  [1437] = 949,
  [1438] = 950,
  [1439] = 951,
  [1440] = 899,
  [1441] = 898,
  [1442] = 897,
  [1443] = 896,
  [1444] = 885,
  [1445] = 913,
  [1446] = 939,
  [1447] = 989,
  [1448] = 940,
  [1449] = 941,
  [1450] = 942,
  [1451] = 943,
  [1452] = 944,
  [1453] = 945,
  [1454] = 886,
  [1455] = 947,
  [1456] = 948,
  [1457] = 949,
  [1458] = 950,
  [1459] = 951,
  [1460] = 899,
  [1461] = 898,
  [1462] = 897,
  [1463] = 896,
  [1464] = 885,
  [1465] = 913,
  [1466] = 939,
  [1467] = 940,
  [1468] = 941,
  [1469] = 942,
  [1470] = 943,
  [1471] = 944,
  [1472] = 945,
  [1473] = 886,
  [1474] = 947,
  [1475] = 948,
  [1476] = 949,
  [1477] = 950,
  [1478] = 951,
  [1479] = 899,
  [1480] = 898,
  [1481] = 897,
  [1482] = 896,
  [1483] = 939,
  [1484] = 940,
  [1485] = 941,
  [1486] = 942,
  [1487] = 943,
  [1488] = 944,
  [1489] = 945,
  [1490] = 886,
  [1491] = 947,
  [1492] = 948,
  [1493] = 949,
  [1494] = 950,
  [1495] = 951,
  [1496] = 899,
  [1497] = 898,
  [1498] = 897,
  [1499] = 896,
  [1500] = 939,
  [1501] = 940,
  [1502] = 941,
  [1503] = 942,
  [1504] = 943,
  [1505] = 944,
  [1506] = 945,
  [1507] = 886,
  [1508] = 947,
  [1509] = 948,
  [1510] = 949,
  [1511] = 950,
  [1512] = 951,
  [1513] = 899,
  [1514] = 898,
  [1515] = 897,
  [1516] = 896,
  [1517] = 885,
  [1518] = 913,
  [1519] = 939,
  [1520] = 989,
  [1521] = 940,
  [1522] = 1014,
  [1523] = 1014,
  [1524] = 941,
  [1525] = 942,
  [1526] = 943,
  [1527] = 944,
  [1528] = 945,
  [1529] = 886,
  [1530] = 947,
  [1531] = 948,
  [1532] = 949,
  [1533] = 950,
  [1534] = 951,
  [1535] = 899,
  [1536] = 898,
  [1537] = 897,
  [1538] = 896,
  [1539] = 885,
  [1540] = 913,
  [1541] = 939,
  [1542] = 940,
  [1543] = 940,
  [1544] = 941,
  [1545] = 941,
  [1546] = 942,
  [1547] = 989,
  [1548] = 939,
  [1549] = 943,
  [1550] = 944,
  [1551] = 945,
  [1552] = 886,
  [1553] = 947,
  [1554] = 948,
  [1555] = 949,
  [1556] = 950,
  [1557] = 951,
  [1558] = 899,
  [1559] = 898,
  [1560] = 897,
  [1561] = 896,
  [1562] = 939,
  [1563] = 940,
  [1564] = 941,
  [1565] = 942,
  [1566] = 943,
  [1567] = 944,
  [1568] = 945,
  [1569] = 886,
  [1570] = 947,
  [1571] = 948,
  [1572] = 949,
  [1573] = 950,
  [1574] = 951,
  [1575] = 899,
  [1576] = 898,
  [1577] = 897,
  [1578] = 896,
  [1579] = 939,
  [1580] = 940,
  [1581] = 941,
  [1582] = 942,
  [1583] = 943,
  [1584] = 944,
  [1585] = 945,
  [1586] = 886,
  [1587] = 947,
  [1588] = 948,
  [1589] = 949,
  [1590] = 950,
  [1591] = 951,
  [1592] = 899,
  [1593] = 898,
  [1594] = 897,
  [1595] = 896,
  [1596] = 939,
  [1597] = 940,
  [1598] = 1014,
  [1599] = 941,
  [1600] = 942,
  [1601] = 943,
  [1602] = 944,
  [1603] = 945,
  [1604] = 972,
  [1605] = 886,
  [1606] = 947,
  [1607] = 948,
  [1608] = 949,
  [1609] = 950,
  [1610] = 951,
  [1611] = 899,
  [1612] = 898,
  [1613] = 897,
  [1614] = 896,
  [1615] = 885,
  [1616] = 913,
  [1617] = 939,
  [1618] = 989,
  [1619] = 940,
  [1620] = 1014,
  [1621] = 941,
  [1622] = 942,
  [1623] = 943,
  [1624] = 944,
  [1625] = 945,
  [1626] = 886,
  [1627] = 947,
  [1628] = 948,
  [1629] = 949,
  [1630] = 950,
  [1631] = 951,
  [1632] = 899,
  [1633] = 898,
  [1634] = 897,
  [1635] = 896,
  [1636] = 885,
  [1637] = 913,
  [1638] = 1638,
  [1639] = 939,
  [1640] = 940,
  [1641] = 941,
  [1642] = 896,
  [1643] = 897,
  [1644] = 898,
  [1645] = 899,
  [1646] = 942,
  [1647] = 943,
  [1648] = 944,
  [1649] = 945,
  [1650] = 886,
  [1651] = 947,
  [1652] = 1652,
  [1653] = 948,
  [1654] = 949,
  [1655] = 950,
  [1656] = 951,
  [1657] = 899,
  [1658] = 898,
  [1659] = 897,
  [1660] = 896,
  [1661] = 939,
  [1662] = 951,
  [1663] = 950,
  [1664] = 949,
  [1665] = 948,
  [1666] = 989,
  [1667] = 947,
  [1668] = 886,
  [1669] = 945,
  [1670] = 944,
  [1671] = 943,
  [1672] = 942,
  [1673] = 940,
  [1674] = 941,
  [1675] = 942,
  [1676] = 943,
  [1677] = 944,
  [1678] = 945,
  [1679] = 972,
  [1680] = 886,
  [1681] = 947,
  [1682] = 948,
  [1683] = 949,
  [1684] = 950,
  [1685] = 951,
  [1686] = 899,
  [1687] = 898,
  [1688] = 897,
  [1689] = 896,
  [1690] = 941,
  [1691] = 939,
  [1692] = 989,
  [1693] = 940,
  [1694] = 941,
  [1695] = 942,
  [1696] = 943,
  [1697] = 944,
  [1698] = 945,
  [1699] = 972,
  [1700] = 886,
  [1701] = 947,
  [1702] = 948,
  [1703] = 949,
  [1704] = 950,
  [1705] = 951,
  [1706] = 899,
  [1707] = 898,
  [1708] = 897,
  [1709] = 896,
  [1710] = 939,
  [1711] = 989,
  [1712] = 940,
  [1713] = 1014,
  [1714] = 941,
  [1715] = 942,
  [1716] = 943,
  [1717] = 944,
  [1718] = 945,
  [1719] = 972,
  [1720] = 886,
  [1721] = 947,
  [1722] = 948,
  [1723] = 949,
  [1724] = 950,
  [1725] = 951,
  [1726] = 1047,
  [1727] = 899,
  [1728] = 898,
  [1729] = 897,
  [1730] = 896,
  [1731] = 885,
  [1732] = 913,
  [1733] = 939,
  [1734] = 989,
  [1735] = 940,
  [1736] = 1047,
  [1737] = 1014,
  [1738] = 941,
  [1739] = 942,
  [1740] = 943,
  [1741] = 944,
  [1742] = 945,
  [1743] = 886,
  [1744] = 947,
  [1745] = 948,
  [1746] = 949,
  [1747] = 950,
  [1748] = 951,
  [1749] = 899,
  [1750] = 940,
  [1751] = 898,
  [1752] = 989,
  [1753] = 939,
  [1754] = 897,
  [1755] = 896,
  [1756] = 885,
  [1757] = 913,
  [1758] = 939,
  [1759] = 940,
  [1760] = 941,
  [1761] = 942,
  [1762] = 943,
  [1763] = 944,
  [1764] = 945,
  [1765] = 886,
  [1766] = 947,
  [1767] = 948,
  [1768] = 949,
  [1769] = 950,
  [1770] = 951,
  [1771] = 899,
  [1772] = 898,
  [1773] = 897,
  [1774] = 896,
  [1775] = 939,
  [1776] = 989,
  [1777] = 940,
  [1778] = 941,
  [1779] = 942,
  [1780] = 943,
  [1781] = 944,
  [1782] = 945,
  [1783] = 886,
  [1784] = 947,
  [1785] = 948,
  [1786] = 949,
  [1787] = 950,
  [1788] = 951,
  [1789] = 1652,
  [1790] = 899,
  [1791] = 898,
  [1792] = 897,
  [1793] = 896,
  [1794] = 939,
  [1795] = 989,
  [1796] = 940,
  [1797] = 1014,
  [1798] = 941,
  [1799] = 942,
  [1800] = 943,
  [1801] = 944,
  [1802] = 945,
  [1803] = 972,
  [1804] = 886,
  [1805] = 947,
  [1806] = 948,
  [1807] = 949,
  [1808] = 950,
  [1809] = 951,
  [1810] = 896,
  [1811] = 897,
  [1812] = 898,
  [1813] = 899,
  [1814] = 899,
  [1815] = 898,
  [1816] = 897,
  [1817] = 896,
  [1818] = 939,
  [1819] = 989,
  [1820] = 940,
  [1821] = 1014,
  [1822] = 941,
  [1823] = 942,
  [1824] = 943,
  [1825] = 944,
  [1826] = 945,
  [1827] = 972,
  [1828] = 951,
  [1829] = 950,
  [1830] = 949,
  [1831] = 948,
  [1832] = 886,
  [1833] = 947,
  [1834] = 886,
  [1835] = 945,
  [1836] = 944,
  [1837] = 943,
  [1838] = 942,
  [1839] = 947,
  [1840] = 948,
  [1841] = 949,
  [1842] = 950,
  [1843] = 951,
  [1844] = 899,
  [1845] = 898,
  [1846] = 897,
  [1847] = 896,
  [1848] = 885,
  [1849] = 913,
  [1850] = 939,
  [1851] = 989,
  [1852] = 940,
  [1853] = 1047,
  [1854] = 941,
  [1855] = 1014,
  [1856] = 941,
  [1857] = 942,
  [1858] = 943,
  [1859] = 944,
  [1860] = 945,
  [1861] = 886,
  [1862] = 947,
  [1863] = 948,
  [1864] = 949,
  [1865] = 950,
  [1866] = 951,
  [1867] = 899,
  [1868] = 898,
  [1869] = 897,
  [1870] = 896,
  [1871] = 885,
  [1872] = 913,
  [1873] = 940,
  [1874] = 989,
  [1875] = 939,
  [1876] = 896,
  [1877] = 939,
  [1878] = 940,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1881,
  [1882] = 1882,
  [1883] = 1883,
  [1884] = 1884,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 1883,
  [1889] = 1889,
  [1890] = 1652,
  [1891] = 1652,
  [1892] = 1880,
  [1893] = 1879,
  [1894] = 1881,
  [1895] = 1884,
  [1896] = 1883,
  [1897] = 1886,
  [1898] = 1885,
  [1899] = 1882,
  [1900] = 1883,
  [1901] = 1887,
  [1902] = 1652,
  [1903] = 1903,
  [1904] = 1652,
  [1905] = 1652,
  [1906] = 1652,
  [1907] = 1652,
  [1908] = 1883,
  [1909] = 1909,
  [1910] = 1883,
  [1911] = 1652,
  [1912] = 1889,
  [1913] = 1913,
  [1914] = 1652,
  [1915] = 1915,
  [1916] = 1886,
  [1917] = 1885,
  [1918] = 1652,
  [1919] = 1881,
  [1920] = 1884,
  [1921] = 1652,
  [1922] = 1883,
  [1923] = 1883,
  [1924] = 1880,
  [1925] = 1887,
  [1926] = 1882,
  [1927] = 1879,
  [1928] = 1883,
  [1929] = 1929,
  [1930] = 1889,
  [1931] = 1913,
  [1932] = 1932,
  [1933] = 1933,
  [1934] = 1884,
  [1935] = 1935,
  [1936] = 1936,
  [1937] = 1937,
  [1938] = 1936,
  [1939] = 1881,
  [1940] = 1935,
  [1941] = 1936,
  [1942] = 1937,
  [1943] = 1943,
  [1944] = 1886,
  [1945] = 1885,
  [1946] = 1946,
  [1947] = 1947,
  [1948] = 1947,
  [1949] = 1947,
  [1950] = 1937,
  [1951] = 1951,
  [1952] = 1881,
  [1953] = 1935,
  [1954] = 1954,
  [1955] = 1951,
  [1956] = 1884,
  [1957] = 1935,
  [1958] = 1951,
  [1959] = 1937,
  [1960] = 1886,
  [1961] = 1885,
  [1962] = 1881,
  [1963] = 1935,
  [1964] = 1935,
  [1965] = 1937,
  [1966] = 1937,
  [1967] = 1935,
  [1968] = 1937,
  [1969] = 1935,
  [1970] = 1937,
  [1971] = 1935,
  [1972] = 1937,
  [1973] = 1937,
  [1974] = 1884,
  [1975] = 1935,
  [1976] = 1937,
  [1977] = 1935,
  [1978] = 1937,
  [1979] = 1935,
  [1980] = 1886,
  [1981] = 1885,
  [1982] = 1937,
  [1983] = 1935,
  [1984] = 1984,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 1987,
  [1988] = 1988,
  [1989] = 1988,
  [1990] = 1987,
  [1991] = 1991,
  [1992] = 1992,
  [1993] = 1993,
  [1994] = 1991,
  [1995] = 1993,
  [1996] = 1993,
  [1997] = 1991,
  [1998] = 1991,
  [1999] = 1991,
  [2000] = 1993,
  [2001] = 1993,
  [2002] = 1984,
  [2003] = 1882,
  [2004] = 1885,
  [2005] = 1986,
  [2006] = 1886,
  [2007] = 1881,
  [2008] = 1985,
  [2009] = 1884,
  [2010] = 2010,
  [2011] = 1984,
  [2012] = 1883,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 1984,
  [2016] = 2013,
  [2017] = 2017,
  [2018] = 2014,
  [2019] = 1986,
  [2020] = 2020,
  [2021] = 1984,
  [2022] = 2022,
  [2023] = 1985,
  [2024] = 1885,
  [2025] = 2025,
  [2026] = 2026,
  [2027] = 2027,
  [2028] = 1886,
  [2029] = 2010,
  [2030] = 1882,
  [2031] = 1881,
  [2032] = 1884,
  [2033] = 1986,
  [2034] = 1886,
  [2035] = 2035,
  [2036] = 1913,
  [2037] = 1880,
  [2038] = 1883,
  [2039] = 1882,
  [2040] = 1985,
  [2041] = 1879,
  [2042] = 1887,
  [2043] = 1986,
  [2044] = 1885,
  [2045] = 1883,
  [2046] = 1881,
  [2047] = 1884,
  [2048] = 1985,
  [2049] = 2049,
  [2050] = 2022,
  [2051] = 2051,
  [2052] = 2052,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 2049,
  [2057] = 2057,
  [2058] = 1884,
  [2059] = 2059,
  [2060] = 1881,
  [2061] = 1885,
  [2062] = 1886,
  [2063] = 2063,
  [2064] = 1882,
  [2065] = 2065,
  [2066] = 2010,
  [2067] = 2067,
  [2068] = 2068,
  [2069] = 2069,
  [2070] = 2070,
  [2071] = 2071,
  [2072] = 2072,
  [2073] = 2073,
  [2074] = 2074,
  [2075] = 2075,
  [2076] = 2076,
  [2077] = 2077,
  [2078] = 2076,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 2081,
  [2082] = 2082,
  [2083] = 2073,
  [2084] = 2073,
  [2085] = 2076,
  [2086] = 2073,
  [2087] = 2076,
  [2088] = 2088,
  [2089] = 2088,
  [2090] = 2076,
  [2091] = 2025,
  [2092] = 2088,
  [2093] = 2088,
  [2094] = 2027,
  [2095] = 2076,
  [2096] = 2026,
  [2097] = 2017,
  [2098] = 2088,
  [2099] = 2035,
  [2100] = 2067,
  [2101] = 2079,
  [2102] = 2069,
  [2103] = 2103,
  [2104] = 2070,
  [2105] = 2103,
  [2106] = 2072,
  [2107] = 2081,
  [2108] = 2103,
  [2109] = 2074,
  [2110] = 2110,
  [2111] = 2080,
  [2112] = 2110,
  [2113] = 2103,
  [2114] = 2077,
  [2115] = 2068,
  [2116] = 2071,
  [2117] = 2075,
  [2118] = 2103,
  [2119] = 2057,
  [2120] = 2076,
  [2121] = 2073,
  [2122] = 2076,
  [2123] = 2035,
  [2124] = 2124,
  [2125] = 2013,
  [2126] = 2014,
  [2127] = 2076,
  [2128] = 2076,
  [2129] = 2076,
  [2130] = 2057,
  [2131] = 2073,
  [2132] = 1913,
  [2133] = 2073,
  [2134] = 2020,
  [2135] = 2076,
  [2136] = 2073,
  [2137] = 2137,
  [2138] = 2137,
  [2139] = 2139,
  [2140] = 2139,
  [2141] = 2139,
  [2142] = 2139,
  [2143] = 2020,
  [2144] = 1883,
  [2145] = 2139,
  [2146] = 1913,
  [2147] = 2014,
  [2148] = 1885,
  [2149] = 1884,
  [2150] = 1881,
  [2151] = 2151,
  [2152] = 2076,
  [2153] = 2073,
  [2154] = 2076,
  [2155] = 1880,
  [2156] = 1883,
  [2157] = 1887,
  [2158] = 1879,
  [2159] = 2076,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2073,
  [2163] = 2073,
  [2164] = 2164,
  [2165] = 2165,
  [2166] = 2013,
  [2167] = 2076,
  [2168] = 1882,
  [2169] = 1886,
  [2170] = 2170,
  [2171] = 2171,
  [2172] = 2052,
  [2173] = 2173,
  [2174] = 2051,
  [2175] = 2175,
  [2176] = 2053,
  [2177] = 2177,
  [2178] = 2020,
  [2179] = 2035,
  [2180] = 2022,
  [2181] = 2181,
  [2182] = 2182,
  [2183] = 2183,
  [2184] = 2184,
  [2185] = 2054,
  [2186] = 2183,
  [2187] = 1881,
  [2188] = 1884,
  [2189] = 2181,
  [2190] = 2035,
  [2191] = 2191,
  [2192] = 2055,
  [2193] = 2193,
  [2194] = 2184,
  [2195] = 2195,
  [2196] = 1885,
  [2197] = 1886,
  [2198] = 2035,
  [2199] = 2073,
  [2200] = 2053,
  [2201] = 2124,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2204,
  [2205] = 2076,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 2210,
  [2211] = 2211,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 2214,
  [2215] = 2215,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 2218,
  [2219] = 2219,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 2057,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 2076,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 2236,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2076,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2073,
  [2246] = 2246,
  [2247] = 2076,
  [2248] = 2248,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2076,
  [2259] = 2259,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2264,
  [2265] = 2073,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 2278,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2209,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2057,
  [2312] = 2312,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2209,
  [2344] = 2344,
  [2345] = 1913,
  [2346] = 1883,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2350,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 2356,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2359,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2076,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2365,
  [2366] = 2366,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 2057,
  [2370] = 2073,
  [2371] = 2076,
  [2372] = 1903,
  [2373] = 2076,
  [2374] = 2076,
  [2375] = 2203,
  [2376] = 2053,
  [2377] = 2073,
  [2378] = 2073,
  [2379] = 2076,
  [2380] = 2073,
  [2381] = 2381,
  [2382] = 2381,
  [2383] = 2381,
  [2384] = 2073,
  [2385] = 2381,
  [2386] = 2381,
  [2387] = 2381,
  [2388] = 2076,
  [2389] = 2381,
  [2390] = 2381,
  [2391] = 2381,
  [2392] = 2381,
  [2393] = 2381,
  [2394] = 2394,
  [2395] = 2076,
  [2396] = 2381,
  [2397] = 2381,
  [2398] = 2073,
  [2399] = 2381,
  [2400] = 2381,
  [2401] = 2381,
  [2402] = 2381,
  [2403] = 2381,
  [2404] = 2404,
  [2405] = 2381,
  [2406] = 2406,
  [2407] = 2407,
  [2408] = 2076,
  [2409] = 1913,
  [2410] = 2324,
  [2411] = 2381,
  [2412] = 2412,
  [2413] = 2413,
  [2414] = 2073,
  [2415] = 2020,
  [2416] = 2076,
  [2417] = 2381,
  [2418] = 2381,
  [2419] = 2381,
  [2420] = 2381,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 2423,
  [2424] = 2424,
  [2425] = 2324,
  [2426] = 2076,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2430,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 1652,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2438,
  [2439] = 1909,
  [2440] = 2073,
  [2441] = 2441,
  [2442] = 2073,
  [2443] = 2443,
  [2444] = 2444,
  [2445] = 2073,
  [2446] = 2446,
  [2447] = 2447,
  [2448] = 2448,
  [2449] = 2449,
  [2450] = 2076,
  [2451] = 2438,
  [2452] = 2452,
  [2453] = 2453,
  [2454] = 2454,
  [2455] = 2394,
  [2456] = 2073,
  [2457] = 2404,
  [2458] = 2406,
  [2459] = 2250,
  [2460] = 2076,
  [2461] = 2407,
  [2462] = 2243,
  [2463] = 2313,
  [2464] = 2076,
  [2465] = 2124,
  [2466] = 2226,
  [2467] = 2076,
  [2468] = 2407,
  [2469] = 2365,
  [2470] = 2076,
  [2471] = 2310,
  [2472] = 2203,
  [2473] = 2076,
  [2474] = 2217,
  [2475] = 2076,
  [2476] = 2394,
  [2477] = 2437,
  [2478] = 2423,
  [2479] = 2195,
  [2480] = 2446,
  [2481] = 2448,
  [2482] = 2454,
  [2483] = 2076,
  [2484] = 2449,
  [2485] = 2452,
  [2486] = 2434,
  [2487] = 2453,
  [2488] = 2429,
  [2489] = 2435,
  [2490] = 2424,
  [2491] = 2427,
  [2492] = 2430,
  [2493] = 2431,
  [2494] = 2441,
  [2495] = 2324,
  [2496] = 2438,
  [2497] = 2421,
  [2498] = 2422,
  [2499] = 2076,
  [2500] = 2438,
  [2501] = 2432,
  [2502] = 2076,
  [2503] = 2053,
  [2504] = 2428,
  [2505] = 2076,
  [2506] = 2444,
  [2507] = 2443,
  [2508] = 2436,
  [2509] = 2427,
  [2510] = 2510,
  [2511] = 2076,
  [2512] = 2512,
  [2513] = 2510,
  [2514] = 2510,
  [2515] = 2510,
  [2516] = 2512,
  [2517] = 2512,
  [2518] = 2512,
  [2519] = 2446,
  [2520] = 2443,
  [2521] = 2436,
  [2522] = 2512,
  [2523] = 2076,
  [2524] = 2512,
  [2525] = 2510,
  [2526] = 2428,
  [2527] = 2512,
  [2528] = 2510,
  [2529] = 2438,
  [2530] = 2512,
  [2531] = 2510,
  [2532] = 2512,
  [2533] = 2512,
  [2534] = 2512,
  [2535] = 2512,
  [2536] = 2510,
  [2537] = 2510,
  [2538] = 2407,
  [2539] = 2512,
  [2540] = 2512,
  [2541] = 2404,
  [2542] = 2422,
  [2543] = 2448,
  [2544] = 2510,
  [2545] = 2510,
  [2546] = 2424,
  [2547] = 2547,
  [2548] = 2510,
  [2549] = 2512,
  [2550] = 2449,
  [2551] = 2452,
  [2552] = 2453,
  [2553] = 2429,
  [2554] = 2435,
  [2555] = 2438,
  [2556] = 2444,
  [2557] = 2124,
  [2558] = 2394,
  [2559] = 2203,
  [2560] = 2430,
  [2561] = 2431,
  [2562] = 2441,
  [2563] = 2421,
  [2564] = 2510,
  [2565] = 2510,
  [2566] = 2512,
  [2567] = 2510,
  [2568] = 2512,
  [2569] = 2510,
  [2570] = 2512,
  [2571] = 2510,
  [2572] = 2454,
  [2573] = 2510,
  [2574] = 2510,
  [2575] = 2124,
  [2576] = 2423,
  [2577] = 2510,
  [2578] = 2512,
  [2579] = 2512,
  [2580] = 2512,
  [2581] = 2510,
  [2582] = 2076,
  [2583] = 2510,
  [2584] = 2076,
  [2585] = 2406,
  [2586] = 2512,
  [2587] = 2512,
  [2588] = 2510,
  [2589] = 2437,
  [2590] = 2512,
  [2591] = 2510,
  [2592] = 2592,
  [2593] = 2431,
  [2594] = 2594,
  [2595] = 2429,
  [2596] = 2404,
  [2597] = 2437,
  [2598] = 2598,
  [2599] = 2407,
  [2600] = 2435,
  [2601] = 2594,
  [2602] = 2602,
  [2603] = 2427,
  [2604] = 2604,
  [2605] = 2430,
  [2606] = 2446,
  [2607] = 2607,
  [2608] = 2424,
  [2609] = 2443,
  [2610] = 2453,
  [2611] = 2452,
  [2612] = 2436,
  [2613] = 2613,
  [2614] = 2421,
  [2615] = 2449,
  [2616] = 2428,
  [2617] = 2448,
  [2618] = 2423,
  [2619] = 2441,
  [2620] = 2434,
  [2621] = 2621,
  [2622] = 2422,
  [2623] = 2607,
  [2624] = 2598,
  [2625] = 2394,
  [2626] = 2626,
  [2627] = 2432,
  [2628] = 2444,
  [2629] = 2629,
  [2630] = 2406,
  [2631] = 2613,
  [2632] = 2632,
  [2633] = 2633,
  [2634] = 2394,
  [2635] = 2413,
  [2636] = 2437,
  [2637] = 2438,
  [2638] = 2427,
  [2639] = 2436,
  [2640] = 2430,
  [2641] = 2431,
  [2642] = 2406,
  [2643] = 2441,
  [2644] = 2404,
  [2645] = 2452,
  [2646] = 2646,
  [2647] = 2547,
  [2648] = 2449,
  [2649] = 2649,
  [2650] = 2428,
  [2651] = 2448,
  [2652] = 2652,
  [2653] = 2429,
  [2654] = 2424,
  [2655] = 2324,
  [2656] = 2453,
  [2657] = 2444,
  [2658] = 2407,
  [2659] = 2421,
  [2660] = 2435,
  [2661] = 2434,
  [2662] = 2422,
  [2663] = 2203,
  [2664] = 2446,
  [2665] = 2443,
  [2666] = 2137,
  [2667] = 2423,
  [2668] = 2668,
  [2669] = 2438,
  [2670] = 2412,
  [2671] = 2407,
  [2672] = 2432,
  [2673] = 2454,
  [2674] = 2547,
  [2675] = 2394,
  [2676] = 2406,
  [2677] = 2602,
  [2678] = 2427,
  [2679] = 2434,
  [2680] = 2422,
  [2681] = 2423,
  [2682] = 2430,
  [2683] = 2629,
  [2684] = 2195,
  [2685] = 2431,
  [2686] = 2621,
  [2687] = 2435,
  [2688] = 2441,
  [2689] = 2407,
  [2690] = 2429,
  [2691] = 2428,
  [2692] = 2453,
  [2693] = 2452,
  [2694] = 2404,
  [2695] = 2626,
  [2696] = 2436,
  [2697] = 2632,
  [2698] = 2592,
  [2699] = 2394,
  [2700] = 2437,
  [2701] = 2446,
  [2702] = 2449,
  [2703] = 2448,
  [2704] = 2394,
  [2705] = 2407,
  [2706] = 2444,
  [2707] = 2161,
  [2708] = 2421,
  [2709] = 2443,
  [2710] = 2203,
  [2711] = 2432,
  [2712] = 2424,
  [2713] = 2161,
  [2714] = 2422,
  [2715] = 2649,
  [2716] = 2629,
  [2717] = 2424,
  [2718] = 2444,
  [2719] = 2422,
  [2720] = 2160,
  [2721] = 2175,
  [2722] = 2171,
  [2723] = 2446,
  [2724] = 2443,
  [2725] = 2646,
  [2726] = 2436,
  [2727] = 2432,
  [2728] = 2621,
  [2729] = 2184,
  [2730] = 2191,
  [2731] = 2177,
  [2732] = 2632,
  [2733] = 2165,
  [2734] = 2421,
  [2735] = 2454,
  [2736] = 2437,
  [2737] = 2441,
  [2738] = 2431,
  [2739] = 2164,
  [2740] = 2430,
  [2741] = 2423,
  [2742] = 2438,
  [2743] = 2324,
  [2744] = 2424,
  [2745] = 2592,
  [2746] = 2151,
  [2747] = 2434,
  [2748] = 2427,
  [2749] = 2423,
  [2750] = 2428,
  [2751] = 2436,
  [2752] = 2443,
  [2753] = 2446,
  [2754] = 2173,
  [2755] = 2183,
  [2756] = 2435,
  [2757] = 2448,
  [2758] = 2429,
  [2759] = 2428,
  [2760] = 2453,
  [2761] = 2452,
  [2762] = 2182,
  [2763] = 2602,
  [2764] = 2438,
  [2765] = 2633,
  [2766] = 2181,
  [2767] = 2444,
  [2768] = 2449,
  [2769] = 2652,
  [2770] = 2449,
  [2771] = 2452,
  [2772] = 2668,
  [2773] = 2453,
  [2774] = 2429,
  [2775] = 2435,
  [2776] = 2427,
  [2777] = 2430,
  [2778] = 2165,
  [2779] = 2437,
  [2780] = 2431,
  [2781] = 2448,
  [2782] = 2421,
  [2783] = 2441,
  [2784] = 2449,
  [2785] = 2437,
  [2786] = 2406,
  [2787] = 2394,
  [2788] = 2407,
  [2789] = 2547,
  [2790] = 2209,
  [2791] = 2404,
  [2792] = 2444,
  [2793] = 2441,
  [2794] = 2431,
  [2795] = 2137,
  [2796] = 2407,
  [2797] = 2430,
  [2798] = 2443,
  [2799] = 2427,
  [2800] = 2435,
  [2801] = 2424,
  [2802] = 2394,
  [2803] = 2428,
  [2804] = 2423,
  [2805] = 2422,
  [2806] = 2202,
  [2807] = 2193,
  [2808] = 2452,
  [2809] = 2454,
  [2810] = 2453,
  [2811] = 2404,
  [2812] = 2668,
  [2813] = 2448,
  [2814] = 2446,
  [2815] = 2407,
  [2816] = 2203,
  [2817] = 2406,
  [2818] = 1886,
  [2819] = 1885,
  [2820] = 2429,
  [2821] = 2438,
  [2822] = 2421,
  [2823] = 2438,
  [2824] = 2209,
  [2825] = 2203,
  [2826] = 2436,
  [2827] = 1881,
  [2828] = 1884,
  [2829] = 2170,
  [2830] = 2394,
  [2831] = 2350,
  [2832] = 2602,
  [2833] = 2305,
  [2834] = 2317,
  [2835] = 2320,
  [2836] = 2434,
  [2837] = 2365,
  [2838] = 2316,
  [2839] = 2195,
  [2840] = 2306,
  [2841] = 2299,
  [2842] = 2321,
  [2843] = 2323,
  [2844] = 2325,
  [2845] = 2438,
  [2846] = 2363,
  [2847] = 2226,
  [2848] = 2217,
  [2849] = 2448,
  [2850] = 2449,
  [2851] = 2161,
  [2852] = 2452,
  [2853] = 2453,
  [2854] = 2429,
  [2855] = 2243,
  [2856] = 2435,
  [2857] = 2427,
  [2858] = 2430,
  [2859] = 2431,
  [2860] = 2441,
  [2861] = 2421,
  [2862] = 2422,
  [2863] = 2432,
  [2864] = 2438,
  [2865] = 2367,
  [2866] = 2368,
  [2867] = 2335,
  [2868] = 2339,
  [2869] = 2331,
  [2870] = 2272,
  [2871] = 2235,
  [2872] = 2165,
  [2873] = 2268,
  [2874] = 2224,
  [2875] = 2250,
  [2876] = 2626,
  [2877] = 2208,
  [2878] = 2277,
  [2879] = 2275,
  [2880] = 2236,
  [2881] = 2219,
  [2882] = 2207,
  [2883] = 2218,
  [2884] = 2216,
  [2885] = 2212,
  [2886] = 2206,
  [2887] = 2318,
  [2888] = 2264,
  [2889] = 2333,
  [2890] = 2334,
  [2891] = 2340,
  [2892] = 2421,
  [2893] = 2441,
  [2894] = 2431,
  [2895] = 2430,
  [2896] = 2427,
  [2897] = 2435,
  [2898] = 2429,
  [2899] = 2453,
  [2900] = 2452,
  [2901] = 2449,
  [2902] = 2448,
  [2903] = 2355,
  [2904] = 2358,
  [2905] = 2424,
  [2906] = 2437,
  [2907] = 2444,
  [2908] = 2454,
  [2909] = 2446,
  [2910] = 2443,
  [2911] = 2436,
  [2912] = 2428,
  [2913] = 2423,
  [2914] = 2310,
  [2915] = 2313,
  [2916] = 2366,
  [2917] = 2308,
  [2918] = 2227,
  [2919] = 2269,
  [2920] = 2328,
  [2921] = 2307,
  [2922] = 2315,
  [2923] = 2278,
  [2924] = 2282,
  [2925] = 2304,
  [2926] = 2329,
  [2927] = 2437,
  [2928] = 2446,
  [2929] = 2332,
  [2930] = 2336,
  [2931] = 2341,
  [2932] = 2326,
  [2933] = 2303,
  [2934] = 2279,
  [2935] = 2259,
  [2936] = 2327,
  [2937] = 2195,
  [2938] = 2424,
  [2939] = 2312,
  [2940] = 2324,
  [2941] = 2347,
  [2942] = 2351,
  [2943] = 2353,
  [2944] = 2361,
  [2945] = 2592,
  [2946] = 2364,
  [2947] = 2422,
  [2948] = 2357,
  [2949] = 2629,
  [2950] = 2443,
  [2951] = 2249,
  [2952] = 2434,
  [2953] = 2436,
  [2954] = 2432,
  [2955] = 2237,
  [2956] = 2221,
  [2957] = 2238,
  [2958] = 2300,
  [2959] = 2324,
  [2960] = 2284,
  [2961] = 2290,
  [2962] = 2222,
  [2963] = 2228,
  [2964] = 2428,
  [2965] = 2423,
  [2966] = 2229,
  [2967] = 2232,
  [2968] = 2233,
  [2969] = 2234,
  [2970] = 2344,
  [2971] = 2241,
  [2972] = 2360,
  [2973] = 2359,
  [2974] = 2354,
  [2975] = 2266,
  [2976] = 2274,
  [2977] = 2319,
  [2978] = 2291,
  [2979] = 2255,
  [2980] = 2246,
  [2981] = 2211,
  [2982] = 2215,
  [2983] = 2223,
  [2984] = 2295,
  [2985] = 2296,
  [2986] = 2297,
  [2987] = 2604,
  [2988] = 2262,
  [2989] = 2256,
  [2990] = 2244,
  [2991] = 2240,
  [2992] = 2239,
  [2993] = 2349,
  [2994] = 2348,
  [2995] = 2204,
  [2996] = 2298,
  [2997] = 2289,
  [2998] = 2288,
  [2999] = 2286,
  [3000] = 2281,
  [3001] = 2280,
  [3002] = 2271,
  [3003] = 2251,
  [3004] = 2252,
  [3005] = 2254,
  [3006] = 2314,
  [3007] = 2322,
  [3008] = 2285,
  [3009] = 2330,
  [3010] = 2261,
  [3011] = 2203,
  [3012] = 2214,
  [3013] = 2444,
  [3014] = 2632,
  [3015] = 2260,
  [3016] = 2257,
  [3017] = 2283,
  [3018] = 2337,
  [3019] = 2342,
  [3020] = 2267,
  [3021] = 2352,
  [3022] = 2356,
  [3023] = 2292,
  [3024] = 2273,
  [3025] = 2301,
  [3026] = 2270,
  [3027] = 2621,
  [3028] = 2338,
  [3029] = 2294,
  [3030] = 2293,
  [3031] = 2253,
  [3032] = 2248,
  [3033] = 2263,
  [3034] = 2287,
  [3035] = 2210,
  [3036] = 2213,
  [3037] = 2441,
  [3038] = 2394,
  [3039] = 2423,
  [3040] = 2428,
  [3041] = 2436,
  [3042] = 2443,
  [3043] = 2181,
  [3044] = 2438,
  [3045] = 2203,
  [3046] = 2446,
  [3047] = 2407,
  [3048] = 2438,
  [3049] = 2276,
  [3050] = 2422,
  [3051] = 2421,
  [3052] = 2231,
  [3053] = 2437,
  [3054] = 2431,
  [3055] = 2220,
  [3056] = 2309,
  [3057] = 2430,
  [3058] = 2231,
  [3059] = 2220,
  [3060] = 2427,
  [3061] = 2435,
  [3062] = 2547,
  [3063] = 2407,
  [3064] = 2429,
  [3065] = 2203,
  [3066] = 2394,
  [3067] = 2547,
  [3068] = 2276,
  [3069] = 2438,
  [3070] = 2453,
  [3071] = 2452,
  [3072] = 2449,
  [3073] = 2183,
  [3074] = 2448,
  [3075] = 2404,
  [3076] = 2406,
  [3077] = 2309,
  [3078] = 2184,
  [3079] = 2195,
  [3080] = 2444,
  [3081] = 2424,
  [3082] = 2394,
  [3083] = 2454,
  [3084] = 3084,
  [3085] = 3084,
  [3086] = 2646,
  [3087] = 2626,
  [3088] = 3084,
  [3089] = 3089,
  [3090] = 2203,
  [3091] = 2394,
  [3092] = 2649,
  [3093] = 3089,
  [3094] = 3084,
  [3095] = 2448,
  [3096] = 2394,
  [3097] = 2602,
  [3098] = 3084,
  [3099] = 3089,
  [3100] = 3089,
  [3101] = 3089,
  [3102] = 3084,
  [3103] = 3084,
  [3104] = 2449,
  [3105] = 2452,
  [3106] = 2453,
  [3107] = 2429,
  [3108] = 3089,
  [3109] = 2592,
  [3110] = 2394,
  [3111] = 2454,
  [3112] = 2436,
  [3113] = 2435,
  [3114] = 2427,
  [3115] = 2424,
  [3116] = 3084,
  [3117] = 3089,
  [3118] = 2430,
  [3119] = 2431,
  [3120] = 2434,
  [3121] = 2441,
  [3122] = 2421,
  [3123] = 3084,
  [3124] = 3089,
  [3125] = 2443,
  [3126] = 3084,
  [3127] = 2394,
  [3128] = 2652,
  [3129] = 3089,
  [3130] = 3084,
  [3131] = 3089,
  [3132] = 2432,
  [3133] = 3084,
  [3134] = 2324,
  [3135] = 2406,
  [3136] = 3084,
  [3137] = 3084,
  [3138] = 2404,
  [3139] = 2407,
  [3140] = 2404,
  [3141] = 2324,
  [3142] = 2406,
  [3143] = 2406,
  [3144] = 2621,
  [3145] = 2422,
  [3146] = 2629,
  [3147] = 3147,
  [3148] = 2407,
  [3149] = 2632,
  [3150] = 2444,
  [3151] = 2633,
  [3152] = 3089,
  [3153] = 3084,
  [3154] = 2424,
  [3155] = 2423,
  [3156] = 2428,
  [3157] = 2203,
  [3158] = 2404,
  [3159] = 2407,
  [3160] = 2668,
  [3161] = 2446,
  [3162] = 2437,
  [3163] = 3089,
  [3164] = 3084,
  [3165] = 3084,
  [3166] = 2423,
  [3167] = 2404,
  [3168] = 2437,
  [3169] = 2629,
  [3170] = 2209,
  [3171] = 1880,
  [3172] = 2428,
  [3173] = 2431,
  [3174] = 2436,
  [3175] = 2443,
  [3176] = 2430,
  [3177] = 2324,
  [3178] = 2446,
  [3179] = 2407,
  [3180] = 2441,
  [3181] = 2276,
  [3182] = 1885,
  [3183] = 1886,
  [3184] = 2592,
  [3185] = 2421,
  [3186] = 2428,
  [3187] = 2547,
  [3188] = 2394,
  [3189] = 2434,
  [3190] = 2621,
  [3191] = 2424,
  [3192] = 2432,
  [3193] = 2438,
  [3194] = 2448,
  [3195] = 2318,
  [3196] = 2436,
  [3197] = 2449,
  [3198] = 2443,
  [3199] = 2422,
  [3200] = 2444,
  [3201] = 2437,
  [3202] = 2421,
  [3203] = 2441,
  [3204] = 2431,
  [3205] = 2430,
  [3206] = 2427,
  [3207] = 2452,
  [3208] = 2453,
  [3209] = 2394,
  [3210] = 2444,
  [3211] = 2422,
  [3212] = 2299,
  [3213] = 2435,
  [3214] = 2406,
  [3215] = 2435,
  [3216] = 2429,
  [3217] = 2453,
  [3218] = 2452,
  [3219] = 2449,
  [3220] = 2448,
  [3221] = 2632,
  [3222] = 2429,
  [3223] = 2422,
  [3224] = 2547,
  [3225] = 2438,
  [3226] = 2446,
  [3227] = 2424,
  [3228] = 2435,
  [3229] = 2446,
  [3230] = 2220,
  [3231] = 2448,
  [3232] = 2427,
  [3233] = 2394,
  [3234] = 2394,
  [3235] = 2430,
  [3236] = 2431,
  [3237] = 2427,
  [3238] = 2435,
  [3239] = 2231,
  [3240] = 2428,
  [3241] = 2427,
  [3242] = 2309,
  [3243] = 2436,
  [3244] = 2430,
  [3245] = 2423,
  [3246] = 2441,
  [3247] = 2431,
  [3248] = 2404,
  [3249] = 2441,
  [3250] = 2421,
  [3251] = 2423,
  [3252] = 2429,
  [3253] = 2412,
  [3254] = 2413,
  [3255] = 2453,
  [3256] = 2454,
  [3257] = 2438,
  [3258] = 3258,
  [3259] = 1882,
  [3260] = 2452,
  [3261] = 2449,
  [3262] = 2444,
  [3263] = 2443,
  [3264] = 2421,
  [3265] = 2429,
  [3266] = 2453,
  [3267] = 2452,
  [3268] = 2449,
  [3269] = 2438,
  [3270] = 2454,
  [3271] = 2404,
  [3272] = 2448,
  [3273] = 2407,
  [3274] = 2444,
  [3275] = 2422,
  [3276] = 2424,
  [3277] = 2454,
  [3278] = 2412,
  [3279] = 2324,
  [3280] = 2454,
  [3281] = 3281,
  [3282] = 2406,
  [3283] = 2413,
  [3284] = 2423,
  [3285] = 2438,
  [3286] = 2428,
  [3287] = 2209,
  [3288] = 2438,
  [3289] = 2434,
  [3290] = 2436,
  [3291] = 2443,
  [3292] = 2406,
  [3293] = 1881,
  [3294] = 1884,
  [3295] = 2407,
  [3296] = 2446,
  [3297] = 2434,
  [3298] = 2437,
  [3299] = 2407,
  [3300] = 2424,
  [3301] = 2432,
  [3302] = 3302,
  [3303] = 2432,
  [3304] = 2602,
  [3305] = 2424,
  [3306] = 2437,
  [3307] = 2449,
  [3308] = 2422,
  [3309] = 2310,
  [3310] = 2423,
  [3311] = 2446,
  [3312] = 2431,
  [3313] = 2430,
  [3314] = 2441,
  [3315] = 2421,
  [3316] = 2424,
  [3317] = 3317,
  [3318] = 2443,
  [3319] = 2427,
  [3320] = 2436,
  [3321] = 2313,
  [3322] = 2217,
  [3323] = 2243,
  [3324] = 2435,
  [3325] = 2441,
  [3326] = 2423,
  [3327] = 2633,
  [3328] = 2428,
  [3329] = 2436,
  [3330] = 2443,
  [3331] = 2446,
  [3332] = 2406,
  [3333] = 2226,
  [3334] = 2438,
  [3335] = 2422,
  [3336] = 2250,
  [3337] = 2438,
  [3338] = 2444,
  [3339] = 2165,
  [3340] = 2437,
  [3341] = 2423,
  [3342] = 2209,
  [3343] = 2428,
  [3344] = 2436,
  [3345] = 2443,
  [3346] = 2435,
  [3347] = 2446,
  [3348] = 2437,
  [3349] = 3317,
  [3350] = 2407,
  [3351] = 2413,
  [3352] = 3317,
  [3353] = 2412,
  [3354] = 2428,
  [3355] = 2432,
  [3356] = 2444,
  [3357] = 2632,
  [3358] = 2621,
  [3359] = 2434,
  [3360] = 2424,
  [3361] = 2407,
  [3362] = 3362,
  [3363] = 2324,
  [3364] = 2629,
  [3365] = 2592,
  [3366] = 2602,
  [3367] = 2422,
  [3368] = 2444,
  [3369] = 2626,
  [3370] = 2652,
  [3371] = 2434,
  [3372] = 2421,
  [3373] = 2434,
  [3374] = 2404,
  [3375] = 3317,
  [3376] = 2432,
  [3377] = 2438,
  [3378] = 3317,
  [3379] = 2429,
  [3380] = 2432,
  [3381] = 2437,
  [3382] = 2365,
  [3383] = 2435,
  [3384] = 2431,
  [3385] = 2453,
  [3386] = 2438,
  [3387] = 2452,
  [3388] = 2449,
  [3389] = 2448,
  [3390] = 2430,
  [3391] = 2649,
  [3392] = 2646,
  [3393] = 2421,
  [3394] = 2427,
  [3395] = 2441,
  [3396] = 2454,
  [3397] = 2431,
  [3398] = 3362,
  [3399] = 2430,
  [3400] = 2427,
  [3401] = 3362,
  [3402] = 2429,
  [3403] = 2453,
  [3404] = 2429,
  [3405] = 2453,
  [3406] = 2452,
  [3407] = 2668,
  [3408] = 2452,
  [3409] = 2449,
  [3410] = 2448,
  [3411] = 2448,
  [3412] = 2160,
  [3413] = 2324,
  [3414] = 2668,
  [3415] = 2424,
  [3416] = 2547,
  [3417] = 2436,
  [3418] = 2441,
  [3419] = 2422,
  [3420] = 2435,
  [3421] = 2438,
  [3422] = 2164,
  [3423] = 2629,
  [3424] = 2421,
  [3425] = 2429,
  [3426] = 2454,
  [3427] = 2437,
  [3428] = 2394,
  [3429] = 2437,
  [3430] = 2394,
  [3431] = 2432,
  [3432] = 2423,
  [3433] = 2444,
  [3434] = 2452,
  [3435] = 2434,
  [3436] = 2422,
  [3437] = 2428,
  [3438] = 2449,
  [3439] = 2436,
  [3440] = 2443,
  [3441] = 2446,
  [3442] = 2431,
  [3443] = 2443,
  [3444] = 2427,
  [3445] = 1881,
  [3446] = 2453,
  [3447] = 2430,
  [3448] = 2423,
  [3449] = 2448,
  [3450] = 2424,
  [3451] = 2428,
  [3452] = 2602,
  [3453] = 2394,
  [3454] = 2407,
  [3455] = 2438,
  [3456] = 2394,
  [3457] = 2151,
  [3458] = 2621,
  [3459] = 2592,
  [3460] = 2444,
  [3461] = 2446,
  [3462] = 2421,
  [3463] = 2394,
  [3464] = 2441,
  [3465] = 2413,
  [3466] = 2412,
  [3467] = 2626,
  [3468] = 2448,
  [3469] = 2449,
  [3470] = 2452,
  [3471] = 2453,
  [3472] = 2429,
  [3473] = 2435,
  [3474] = 2427,
  [3475] = 1884,
  [3476] = 2632,
  [3477] = 2430,
  [3478] = 2431,
  [3479] = 2649,
  [3480] = 2404,
  [3481] = 3481,
  [3482] = 2404,
  [3483] = 2592,
  [3484] = 2444,
  [3485] = 2423,
  [3486] = 2668,
  [3487] = 2448,
  [3488] = 2422,
  [3489] = 2407,
  [3490] = 2407,
  [3491] = 2547,
  [3492] = 2428,
  [3493] = 2449,
  [3494] = 2424,
  [3495] = 2547,
  [3496] = 2407,
  [3497] = 2436,
  [3498] = 2452,
  [3499] = 2443,
  [3500] = 2406,
  [3501] = 2453,
  [3502] = 1935,
  [3503] = 2429,
  [3504] = 2438,
  [3505] = 2407,
  [3506] = 2407,
  [3507] = 2394,
  [3508] = 2394,
  [3509] = 2446,
  [3510] = 2435,
  [3511] = 2394,
  [3512] = 2404,
  [3513] = 2406,
  [3514] = 2646,
  [3515] = 2404,
  [3516] = 1937,
  [3517] = 2652,
  [3518] = 2633,
  [3519] = 2406,
  [3520] = 2427,
  [3521] = 2424,
  [3522] = 2438,
  [3523] = 2430,
  [3524] = 2431,
  [3525] = 2454,
  [3526] = 2441,
  [3527] = 2421,
  [3528] = 2407,
  [3529] = 2406,
  [3530] = 3530,
  [3531] = 3531,
  [3532] = 2394,
  [3533] = 2437,
  [3534] = 2626,
  [3535] = 2434,
  [3536] = 2424,
  [3537] = 2435,
  [3538] = 2427,
  [3539] = 2423,
  [3540] = 2428,
  [3541] = 2436,
  [3542] = 2424,
  [3543] = 2430,
  [3544] = 2443,
  [3545] = 2437,
  [3546] = 2446,
  [3547] = 2438,
  [3548] = 2431,
  [3549] = 2446,
  [3550] = 2441,
  [3551] = 2220,
  [3552] = 2421,
  [3553] = 2547,
  [3554] = 2424,
  [3555] = 2231,
  [3556] = 2437,
  [3557] = 2394,
  [3558] = 2407,
  [3559] = 2429,
  [3560] = 2394,
  [3561] = 2422,
  [3562] = 2453,
  [3563] = 2454,
  [3564] = 2452,
  [3565] = 2449,
  [3566] = 2443,
  [3567] = 2436,
  [3568] = 2629,
  [3569] = 2407,
  [3570] = 2434,
  [3571] = 2435,
  [3572] = 2432,
  [3573] = 2407,
  [3574] = 2621,
  [3575] = 2404,
  [3576] = 2632,
  [3577] = 2626,
  [3578] = 2432,
  [3579] = 2428,
  [3580] = 2423,
  [3581] = 2438,
  [3582] = 2438,
  [3583] = 2629,
  [3584] = 2602,
  [3585] = 2404,
  [3586] = 2592,
  [3587] = 2437,
  [3588] = 2437,
  [3589] = 2443,
  [3590] = 2394,
  [3591] = 2394,
  [3592] = 2394,
  [3593] = 2394,
  [3594] = 2448,
  [3595] = 2446,
  [3596] = 2446,
  [3597] = 2436,
  [3598] = 2443,
  [3599] = 2604,
  [3600] = 2436,
  [3601] = 2428,
  [3602] = 2423,
  [3603] = 2434,
  [3604] = 2406,
  [3605] = 2434,
  [3606] = 2404,
  [3607] = 3607,
  [3608] = 2428,
  [3609] = 2448,
  [3610] = 2449,
  [3611] = 2452,
  [3612] = 2453,
  [3613] = 2406,
  [3614] = 2446,
  [3615] = 2424,
  [3616] = 2443,
  [3617] = 2429,
  [3618] = 2170,
  [3619] = 2406,
  [3620] = 2668,
  [3621] = 2435,
  [3622] = 2436,
  [3623] = 2427,
  [3624] = 2428,
  [3625] = 2423,
  [3626] = 2422,
  [3627] = 2592,
  [3628] = 2430,
  [3629] = 2444,
  [3630] = 2431,
  [3631] = 2441,
  [3632] = 2421,
  [3633] = 2423,
  [3634] = 2424,
  [3635] = 2448,
  [3636] = 2407,
  [3637] = 2547,
  [3638] = 2444,
  [3639] = 2449,
  [3640] = 2452,
  [3641] = 2453,
  [3642] = 2429,
  [3643] = 2435,
  [3644] = 2427,
  [3645] = 2421,
  [3646] = 2430,
  [3647] = 2448,
  [3648] = 2431,
  [3649] = 2441,
  [3650] = 2421,
  [3651] = 2441,
  [3652] = 2431,
  [3653] = 2422,
  [3654] = 2444,
  [3655] = 2437,
  [3656] = 3656,
  [3657] = 2454,
  [3658] = 2421,
  [3659] = 2424,
  [3660] = 2432,
  [3661] = 2441,
  [3662] = 2604,
  [3663] = 2424,
  [3664] = 2432,
  [3665] = 2309,
  [3666] = 2449,
  [3667] = 2452,
  [3668] = 2453,
  [3669] = 2444,
  [3670] = 2422,
  [3671] = 2454,
  [3672] = 2276,
  [3673] = 2193,
  [3674] = 2438,
  [3675] = 2429,
  [3676] = 2422,
  [3677] = 2444,
  [3678] = 2621,
  [3679] = 2632,
  [3680] = 2448,
  [3681] = 2449,
  [3682] = 2452,
  [3683] = 2453,
  [3684] = 2429,
  [3685] = 2427,
  [3686] = 2435,
  [3687] = 2602,
  [3688] = 2427,
  [3689] = 2430,
  [3690] = 2430,
  [3691] = 2431,
  [3692] = 2422,
  [3693] = 2438,
  [3694] = 2452,
  [3695] = 2449,
  [3696] = 2421,
  [3697] = 2423,
  [3698] = 2441,
  [3699] = 2431,
  [3700] = 2424,
  [3701] = 2428,
  [3702] = 2436,
  [3703] = 2430,
  [3704] = 2423,
  [3705] = 2428,
  [3706] = 2427,
  [3707] = 2435,
  [3708] = 2446,
  [3709] = 2437,
  [3710] = 2429,
  [3711] = 2448,
  [3712] = 2443,
  [3713] = 2446,
  [3714] = 2424,
  [3715] = 2422,
  [3716] = 2438,
  [3717] = 2444,
  [3718] = 2423,
  [3719] = 2438,
  [3720] = 2422,
  [3721] = 2444,
  [3722] = 2626,
  [3723] = 2454,
  [3724] = 2428,
  [3725] = 2448,
  [3726] = 2407,
  [3727] = 2449,
  [3728] = 2444,
  [3729] = 2452,
  [3730] = 2421,
  [3731] = 2441,
  [3732] = 2431,
  [3733] = 2437,
  [3734] = 2430,
  [3735] = 2436,
  [3736] = 2421,
  [3737] = 2441,
  [3738] = 2427,
  [3739] = 2435,
  [3740] = 2443,
  [3741] = 2429,
  [3742] = 2453,
  [3743] = 2452,
  [3744] = 2449,
  [3745] = 2431,
  [3746] = 2438,
  [3747] = 2430,
  [3748] = 2427,
  [3749] = 2432,
  [3750] = 2404,
  [3751] = 2435,
  [3752] = 2429,
  [3753] = 2592,
  [3754] = 2448,
  [3755] = 2453,
  [3756] = 2434,
  [3757] = 2453,
  [3758] = 2452,
  [3759] = 2449,
  [3760] = 2448,
  [3761] = 2443,
  [3762] = 2435,
  [3763] = 2446,
  [3764] = 2437,
  [3765] = 2427,
  [3766] = 2436,
  [3767] = 2430,
  [3768] = 2422,
  [3769] = 2431,
  [3770] = 2437,
  [3771] = 2424,
  [3772] = 2441,
  [3773] = 2421,
  [3774] = 2421,
  [3775] = 2441,
  [3776] = 2547,
  [3777] = 2432,
  [3778] = 2431,
  [3779] = 2430,
  [3780] = 2427,
  [3781] = 2435,
  [3782] = 2429,
  [3783] = 2434,
  [3784] = 2453,
  [3785] = 2438,
  [3786] = 2452,
  [3787] = 2449,
  [3788] = 2438,
  [3789] = 2547,
  [3790] = 2448,
  [3791] = 2406,
  [3792] = 2602,
  [3793] = 2423,
  [3794] = 2428,
  [3795] = 2629,
  [3796] = 2444,
  [3797] = 2436,
  [3798] = 2443,
  [3799] = 2422,
  [3800] = 2407,
  [3801] = 2407,
  [3802] = 2454,
  [3803] = 2446,
  [3804] = 2621,
  [3805] = 2437,
  [3806] = 2429,
  [3807] = 2632,
  [3808] = 2453,
  [3809] = 2423,
  [3810] = 2444,
  [3811] = 2428,
  [3812] = 2436,
  [3813] = 2443,
  [3814] = 2434,
  [3815] = 2404,
  [3816] = 2446,
  [3817] = 2407,
  [3818] = 2432,
  [3819] = 2406,
  [3820] = 2604,
  [3821] = 2652,
  [3822] = 2446,
  [3823] = 2434,
  [3824] = 2432,
  [3825] = 2453,
  [3826] = 2429,
  [3827] = 2438,
  [3828] = 2437,
  [3829] = 2438,
  [3830] = 2449,
  [3831] = 2446,
  [3832] = 2424,
  [3833] = 2448,
  [3834] = 2423,
  [3835] = 2424,
  [3836] = 2547,
  [3837] = 2428,
  [3838] = 2443,
  [3839] = 2436,
  [3840] = 2436,
  [3841] = 3841,
  [3842] = 2449,
  [3843] = 2428,
  [3844] = 2626,
  [3845] = 2423,
  [3846] = 2452,
  [3847] = 2448,
  [3848] = 2592,
  [3849] = 2453,
  [3850] = 2429,
  [3851] = 2435,
  [3852] = 2437,
  [3853] = 2592,
  [3854] = 2427,
  [3855] = 2443,
  [3856] = 2446,
  [3857] = 2430,
  [3858] = 2547,
  [3859] = 2431,
  [3860] = 2441,
  [3861] = 2435,
  [3862] = 2421,
  [3863] = 2422,
  [3864] = 2438,
  [3865] = 2422,
  [3866] = 2444,
  [3867] = 2646,
  [3868] = 2602,
  [3869] = 2649,
  [3870] = 2394,
  [3871] = 2437,
  [3872] = 2452,
  [3873] = 2629,
  [3874] = 2430,
  [3875] = 2633,
  [3876] = 2431,
  [3877] = 2429,
  [3878] = 2668,
  [3879] = 2424,
  [3880] = 2394,
  [3881] = 2423,
  [3882] = 2448,
  [3883] = 2428,
  [3884] = 2441,
  [3885] = 2421,
  [3886] = 2632,
  [3887] = 2444,
  [3888] = 2621,
  [3889] = 2668,
  [3890] = 2444,
  [3891] = 2422,
  [3892] = 2449,
  [3893] = 2454,
  [3894] = 2452,
  [3895] = 2394,
  [3896] = 2633,
  [3897] = 2652,
  [3898] = 2453,
  [3899] = 2649,
  [3900] = 2421,
  [3901] = 2435,
  [3902] = 2427,
  [3903] = 2407,
  [3904] = 2430,
  [3905] = 2646,
  [3906] = 2394,
  [3907] = 2436,
  [3908] = 2427,
  [3909] = 2431,
  [3910] = 2454,
  [3911] = 2434,
  [3912] = 2592,
  [3913] = 2432,
  [3914] = 2441,
  [3915] = 2602,
  [3916] = 2626,
  [3917] = 2438,
  [3918] = 2632,
  [3919] = 2629,
  [3920] = 2621,
  [3921] = 2443,
  [3922] = 2621,
  [3923] = 2626,
  [3924] = 2632,
  [3925] = 2436,
  [3926] = 2444,
  [3927] = 2430,
  [3928] = 2427,
  [3929] = 2435,
  [3930] = 2629,
  [3931] = 2429,
  [3932] = 2434,
  [3933] = 2453,
  [3934] = 2452,
  [3935] = 2449,
  [3936] = 2431,
  [3937] = 2424,
  [3938] = 2441,
  [3939] = 2423,
  [3940] = 2421,
  [3941] = 2626,
  [3942] = 2422,
  [3943] = 2629,
  [3944] = 2407,
  [3945] = 2407,
  [3946] = 2432,
  [3947] = 2443,
  [3948] = 2621,
  [3949] = 2438,
  [3950] = 2428,
  [3951] = 2406,
  [3952] = 2437,
  [3953] = 2632,
  [3954] = 2448,
  [3955] = 2668,
  [3956] = 2423,
  [3957] = 2448,
  [3958] = 2633,
  [3959] = 2436,
  [3960] = 2443,
  [3961] = 2652,
  [3962] = 2446,
  [3963] = 2444,
  [3964] = 2407,
  [3965] = 2446,
  [3966] = 2449,
  [3967] = 2452,
  [3968] = 2454,
  [3969] = 2649,
  [3970] = 2437,
  [3971] = 2646,
  [3972] = 2453,
  [3973] = 2429,
  [3974] = 2428,
  [3975] = 2435,
  [3976] = 2427,
  [3977] = 2602,
  [3978] = 2602,
  [3979] = 2430,
  [3980] = 2431,
  [3981] = 2441,
  [3982] = 2421,
  [3983] = 2422,
  [3984] = 2404,
  [3985] = 2438,
  [3986] = 2453,
  [3987] = 2668,
  [3988] = 2633,
  [3989] = 2652,
  [3990] = 2446,
  [3991] = 2407,
  [3992] = 2424,
  [3993] = 2424,
  [3994] = 3994,
  [3995] = 2452,
  [3996] = 2443,
  [3997] = 2436,
  [3998] = 2421,
  [3999] = 2428,
  [4000] = 2649,
  [4001] = 2423,
  [4002] = 2602,
  [4003] = 2629,
  [4004] = 2406,
  [4005] = 2441,
  [4006] = 2431,
  [4007] = 2649,
  [4008] = 2646,
  [4009] = 2430,
  [4010] = 2633,
  [4011] = 2646,
  [4012] = 2421,
  [4013] = 2441,
  [4014] = 2431,
  [4015] = 2430,
  [4016] = 2668,
  [4017] = 2427,
  [4018] = 2652,
  [4019] = 2435,
  [4020] = 2429,
  [4021] = 2449,
  [4022] = 2394,
  [4023] = 2394,
  [4024] = 2434,
  [4025] = 2449,
  [4026] = 2592,
  [4027] = 2448,
  [4028] = 2646,
  [4029] = 2632,
  [4030] = 2621,
  [4031] = 1880,
  [4032] = 2649,
  [4033] = 2404,
  [4034] = 2437,
  [4035] = 2423,
  [4036] = 2428,
  [4037] = 2436,
  [4038] = 2444,
  [4039] = 2432,
  [4040] = 2443,
  [4041] = 2422,
  [4042] = 2446,
  [4043] = 2424,
  [4044] = 2435,
  [4045] = 2448,
  [4046] = 2437,
  [4047] = 2394,
  [4048] = 2407,
  [4049] = 2437,
  [4050] = 2394,
  [4051] = 2444,
  [4052] = 2427,
  [4053] = 2422,
  [4054] = 2633,
  [4055] = 2453,
  [4056] = 2592,
  [4057] = 2452,
  [4058] = 2429,
  [4059] = 2446,
  [4060] = 2602,
  [4061] = 2299,
  [4062] = 2421,
  [4063] = 2432,
  [4064] = 2621,
  [4065] = 2437,
  [4066] = 2632,
  [4067] = 2441,
  [4068] = 2431,
  [4069] = 2428,
  [4070] = 2318,
  [4071] = 4071,
  [4072] = 2649,
  [4073] = 2629,
  [4074] = 2434,
  [4075] = 4075,
  [4076] = 4076,
  [4077] = 2443,
  [4078] = 2423,
  [4079] = 2652,
  [4080] = 2430,
  [4081] = 2427,
  [4082] = 2429,
  [4083] = 2668,
  [4084] = 2633,
  [4085] = 2652,
  [4086] = 2421,
  [4087] = 4076,
  [4088] = 2453,
  [4089] = 2404,
  [4090] = 2435,
  [4091] = 2444,
  [4092] = 2432,
  [4093] = 2436,
  [4094] = 2421,
  [4095] = 2449,
  [4096] = 4075,
  [4097] = 2448,
  [4098] = 2441,
  [4099] = 2431,
  [4100] = 2430,
  [4101] = 2437,
  [4102] = 2431,
  [4103] = 2406,
  [4104] = 2430,
  [4105] = 2161,
  [4106] = 2441,
  [4107] = 2446,
  [4108] = 2427,
  [4109] = 2435,
  [4110] = 2443,
  [4111] = 2429,
  [4112] = 4071,
  [4113] = 2453,
  [4114] = 2452,
  [4115] = 4076,
  [4116] = 2436,
  [4117] = 2449,
  [4118] = 2427,
  [4119] = 2424,
  [4120] = 2448,
  [4121] = 2428,
  [4122] = 2422,
  [4123] = 2407,
  [4124] = 2423,
  [4125] = 2435,
  [4126] = 2448,
  [4127] = 2424,
  [4128] = 2407,
  [4129] = 2446,
  [4130] = 2422,
  [4131] = 2437,
  [4132] = 2428,
  [4133] = 2444,
  [4134] = 2422,
  [4135] = 2443,
  [4136] = 2668,
  [4137] = 2449,
  [4138] = 2452,
  [4139] = 2646,
  [4140] = 2423,
  [4141] = 2444,
  [4142] = 2452,
  [4143] = 2436,
  [4144] = 4144,
  [4145] = 2453,
  [4146] = 2429,
  [4147] = 2427,
  [4148] = 2444,
  [4149] = 3656,
  [4150] = 2424,
  [4151] = 2422,
  [4152] = 2421,
  [4153] = 2424,
  [4154] = 2437,
  [4155] = 2423,
  [4156] = 2428,
  [4157] = 3607,
  [4158] = 2668,
  [4159] = 2446,
  [4160] = 2443,
  [4161] = 2436,
  [4162] = 2428,
  [4163] = 2423,
  [4164] = 4164,
  [4165] = 4075,
  [4166] = 2434,
  [4167] = 2432,
  [4168] = 4071,
  [4169] = 2448,
  [4170] = 2449,
  [4171] = 2452,
  [4172] = 2453,
  [4173] = 2429,
  [4174] = 2435,
  [4175] = 2444,
  [4176] = 2427,
  [4177] = 2422,
  [4178] = 2430,
  [4179] = 2431,
  [4180] = 2441,
  [4181] = 2421,
  [4182] = 4075,
  [4183] = 4071,
  [4184] = 2437,
  [4185] = 2446,
  [4186] = 2448,
  [4187] = 2449,
  [4188] = 2452,
  [4189] = 2453,
  [4190] = 2429,
  [4191] = 2443,
  [4192] = 2435,
  [4193] = 2436,
  [4194] = 2430,
  [4195] = 2431,
  [4196] = 2441,
  [4197] = 4197,
  [4198] = 4198,
  [4199] = 4198,
  [4200] = 4198,
  [4201] = 4198,
  [4202] = 4198,
  [4203] = 4198,
  [4204] = 4198,
  [4205] = 4198,
  [4206] = 4198,
  [4207] = 4198,
  [4208] = 2359,
  [4209] = 4198,
  [4210] = 2354,
  [4211] = 4198,
  [4212] = 4198,
  [4213] = 4198,
  [4214] = 2262,
  [4215] = 2193,
  [4216] = 4198,
  [4217] = 2256,
  [4218] = 4198,
  [4219] = 2444,
  [4220] = 2422,
  [4221] = 4198,
  [4222] = 4198,
  [4223] = 4198,
  [4224] = 2244,
  [4225] = 4198,
  [4226] = 2240,
  [4227] = 2239,
  [4228] = 4198,
  [4229] = 4229,
  [4230] = 2327,
  [4231] = 4197,
  [4232] = 4197,
  [4233] = 2360,
  [4234] = 2259,
  [4235] = 2300,
  [4236] = 4198,
  [4237] = 4197,
  [4238] = 2437,
  [4239] = 2446,
  [4240] = 2428,
  [4241] = 4197,
  [4242] = 2423,
  [4243] = 4197,
  [4244] = 4197,
  [4245] = 4197,
  [4246] = 2170,
  [4247] = 4198,
  [4248] = 4197,
  [4249] = 4198,
  [4250] = 4198,
  [4251] = 4198,
  [4252] = 2668,
  [4253] = 4197,
  [4254] = 4198,
  [4255] = 4197,
  [4256] = 4197,
  [4257] = 4198,
  [4258] = 4258,
  [4259] = 4198,
  [4260] = 4197,
  [4261] = 2448,
  [4262] = 4197,
  [4263] = 4198,
  [4264] = 4198,
  [4265] = 4265,
  [4266] = 2449,
  [4267] = 2452,
  [4268] = 4198,
  [4269] = 4198,
  [4270] = 4198,
  [4271] = 4197,
  [4272] = 2453,
  [4273] = 4197,
  [4274] = 4197,
  [4275] = 4198,
  [4276] = 4198,
  [4277] = 4198,
  [4278] = 4197,
  [4279] = 4197,
  [4280] = 4198,
  [4281] = 2429,
  [4282] = 4198,
  [4283] = 2214,
  [4284] = 4197,
  [4285] = 4198,
  [4286] = 4286,
  [4287] = 4287,
  [4288] = 4197,
  [4289] = 4197,
  [4290] = 4197,
  [4291] = 4197,
  [4292] = 2443,
  [4293] = 2435,
  [4294] = 4294,
  [4295] = 4198,
  [4296] = 4198,
  [4297] = 2213,
  [4298] = 2210,
  [4299] = 2427,
  [4300] = 2248,
  [4301] = 2253,
  [4302] = 4198,
  [4303] = 4198,
  [4304] = 4198,
  [4305] = 2436,
  [4306] = 2430,
  [4307] = 4198,
  [4308] = 2421,
  [4309] = 2441,
  [4310] = 2431,
  [4311] = 4311,
  [4312] = 2244,
  [4313] = 2360,
  [4314] = 4314,
  [4315] = 2334,
  [4316] = 2358,
  [4317] = 2264,
  [4318] = 2296,
  [4319] = 2347,
  [4320] = 2312,
  [4321] = 2253,
  [4322] = 2300,
  [4323] = 2212,
  [4324] = 2359,
  [4325] = 2216,
  [4326] = 2259,
  [4327] = 2218,
  [4328] = 2306,
  [4329] = 2262,
  [4330] = 2248,
  [4331] = 2237,
  [4332] = 2287,
  [4333] = 4333,
  [4334] = 4334,
  [4335] = 2267,
  [4336] = 2224,
  [4337] = 2283,
  [4338] = 2333,
  [4339] = 2357,
  [4340] = 2364,
  [4341] = 2052,
  [4342] = 2354,
  [4343] = 2285,
  [4344] = 2240,
  [4345] = 2355,
  [4346] = 2208,
  [4347] = 2239,
  [4348] = 2316,
  [4349] = 2335,
  [4350] = 2351,
  [4351] = 2327,
  [4352] = 2256,
  [4353] = 2353,
  [4354] = 2328,
  [4355] = 2214,
  [4356] = 2361,
  [4357] = 4357,
  [4358] = 2213,
  [4359] = 2297,
  [4360] = 2340,
  [4361] = 2206,
  [4362] = 2210,
  [4363] = 4363,
  [4364] = 4364,
  [4365] = 4365,
  [4366] = 4366,
  [4367] = 4367,
  [4368] = 4368,
  [4369] = 4369,
  [4370] = 4370,
  [4371] = 4369,
  [4372] = 4372,
  [4373] = 4373,
  [4374] = 4374,
  [4375] = 4375,
  [4376] = 4376,
  [4377] = 4377,
  [4378] = 4378,
  [4379] = 4379,
  [4380] = 4376,
  [4381] = 4381,
  [4382] = 4382,
  [4383] = 4383,
  [4384] = 4384,
  [4385] = 4385,
  [4386] = 4386,
  [4387] = 4387,
  [4388] = 4388,
  [4389] = 4389,
  [4390] = 4390,
  [4391] = 4391,
  [4392] = 1881,
  [4393] = 1886,
  [4394] = 3656,
  [4395] = 3607,
  [4396] = 4396,
  [4397] = 4397,
  [4398] = 4398,
  [4399] = 4399,
  [4400] = 3258,
  [4401] = 1884,
  [4402] = 1882,
  [4403] = 1885,
  [4404] = 4404,
  [4405] = 3281,
  [4406] = 4406,
  [4407] = 4407,
  [4408] = 4408,
  [4409] = 4409,
  [4410] = 4410,
  [4411] = 4411,
  [4412] = 4412,
  [4413] = 4413,
  [4414] = 4414,
  [4415] = 4415,
  [4416] = 4416,
  [4417] = 4417,
  [4418] = 4418,
  [4419] = 4419,
  [4420] = 4420,
  [4421] = 4421,
  [4422] = 4422,
  [4423] = 4423,
  [4424] = 4424,
  [4425] = 4425,
  [4426] = 4426,
  [4427] = 4427,
  [4428] = 4428,
  [4429] = 4429,
  [4430] = 4430,
  [4431] = 4431,
  [4432] = 4432,
  [4433] = 4433,
  [4434] = 4434,
  [4435] = 4435,
  [4436] = 4436,
  [4437] = 4437,
  [4438] = 4438,
  [4439] = 4439,
  [4440] = 4440,
  [4441] = 4441,
  [4442] = 4442,
  [4443] = 4443,
  [4444] = 4444,
  [4445] = 4445,
  [4446] = 4446,
  [4447] = 3607,
  [4448] = 3656,
  [4449] = 3607,
  [4450] = 3656,
  [4451] = 4451,
  [4452] = 4452,
  [4453] = 4453,
  [4454] = 4454,
  [4455] = 4455,
  [4456] = 4456,
  [4457] = 4457,
  [4458] = 4458,
  [4459] = 4459,
  [4460] = 4460,
  [4461] = 4461,
  [4462] = 4462,
  [4463] = 4463,
  [4464] = 4464,
  [4465] = 4465,
  [4466] = 4465,
  [4467] = 4465,
  [4468] = 4465,
  [4469] = 4465,
  [4470] = 4465,
  [4471] = 4465,
  [4472] = 4465,
  [4473] = 4465,
  [4474] = 4474,
  [4475] = 4465,
  [4476] = 4465,
  [4477] = 4465,
  [4478] = 4465,
  [4479] = 4479,
  [4480] = 4363,
  [4481] = 4465,
  [4482] = 4465,
  [4483] = 4465,
  [4484] = 4465,
  [4485] = 4465,
  [4486] = 4465,
  [4487] = 4465,
  [4488] = 4465,
  [4489] = 4489,
  [4490] = 4465,
  [4491] = 4465,
  [4492] = 4465,
  [4493] = 4493,
  [4494] = 4494,
  [4495] = 4495,
  [4496] = 4463,
  [4497] = 4451,
  [4498] = 4498,
  [4499] = 4493,
  [4500] = 4500,
  [4501] = 4493,
  [4502] = 4493,
  [4503] = 4493,
  [4504] = 4370,
  [4505] = 4505,
  [4506] = 4493,
  [4507] = 4507,
  [4508] = 4462,
  [4509] = 4493,
  [4510] = 2318,
  [4511] = 4511,
  [4512] = 4474,
  [4513] = 4511,
  [4514] = 4391,
  [4515] = 4515,
  [4516] = 2299,
  [4517] = 4517,
  [4518] = 4479,
  [4519] = 3147,
  [4520] = 4520,
  [4521] = 4521,
  [4522] = 4474,
  [4523] = 4523,
  [4524] = 4425,
  [4525] = 4525,
  [4526] = 4526,
  [4527] = 4479,
  [4528] = 4523,
  [4529] = 4529,
  [4530] = 4412,
  [4531] = 4531,
  [4532] = 4532,
  [4533] = 4422,
  [4534] = 4430,
  [4535] = 4535,
  [4536] = 4532,
  [4537] = 4413,
  [4538] = 4538,
  [4539] = 2161,
  [4540] = 4540,
  [4541] = 4541,
  [4542] = 4446,
  [4543] = 4541,
  [4544] = 4544,
  [4545] = 4544,
  [4546] = 4544,
  [4547] = 4540,
  [4548] = 4538,
  [4549] = 4541,
  [4550] = 1880,
  [4551] = 4538,
  [4552] = 4455,
  [4553] = 4460,
  [4554] = 4462,
  [4555] = 4555,
  [4556] = 4556,
  [4557] = 4556,
  [4558] = 4461,
  [4559] = 4454,
  [4560] = 4464,
  [4561] = 4463,
  [4562] = 4556,
  [4563] = 4453,
  [4564] = 4459,
  [4565] = 4451,
  [4566] = 4456,
  [4567] = 4457,
  [4568] = 4363,
  [4569] = 4452,
  [4570] = 4570,
  [4571] = 4458,
  [4572] = 4556,
  [4573] = 2161,
  [4574] = 2161,
  [4575] = 4474,
  [4576] = 4479,
  [4577] = 4370,
  [4578] = 4462,
  [4579] = 4451,
  [4580] = 2360,
  [4581] = 2214,
  [4582] = 2300,
  [4583] = 2013,
  [4584] = 4391,
  [4585] = 2359,
  [4586] = 2327,
  [4587] = 2210,
  [4588] = 4164,
  [4589] = 4265,
  [4590] = 2014,
  [4591] = 2259,
  [4592] = 4258,
  [4593] = 2213,
  [4594] = 4463,
  [4595] = 2253,
  [4596] = 2239,
  [4597] = 2240,
  [4598] = 4286,
  [4599] = 2244,
  [4600] = 2256,
  [4601] = 4287,
  [4602] = 4363,
  [4603] = 2262,
  [4604] = 2170,
  [4605] = 4294,
  [4606] = 2248,
  [4607] = 2354,
  [4608] = 2193,
  [4609] = 4479,
  [4610] = 4357,
  [4611] = 2239,
  [4612] = 2253,
  [4613] = 4446,
  [4614] = 2052,
  [4615] = 2240,
  [4616] = 2237,
  [4617] = 2248,
  [4618] = 2210,
  [4619] = 2213,
  [4620] = 4430,
  [4621] = 2357,
  [4622] = 2364,
  [4623] = 2358,
  [4624] = 2214,
  [4625] = 2296,
  [4626] = 2361,
  [4627] = 2327,
  [4628] = 2244,
  [4629] = 2256,
  [4630] = 2259,
  [4631] = 2212,
  [4632] = 2353,
  [4633] = 4333,
  [4634] = 2216,
  [4635] = 2299,
  [4636] = 4422,
  [4637] = 2218,
  [4638] = 2262,
  [4639] = 2354,
  [4640] = 2318,
  [4641] = 2334,
  [4642] = 2340,
  [4643] = 2306,
  [4644] = 2359,
  [4645] = 2224,
  [4646] = 2360,
  [4647] = 2287,
  [4648] = 4334,
  [4649] = 2013,
  [4650] = 2285,
  [4651] = 2312,
  [4652] = 4311,
  [4653] = 4363,
  [4654] = 2351,
  [4655] = 2283,
  [4656] = 2267,
  [4657] = 2355,
  [4658] = 2014,
  [4659] = 2264,
  [4660] = 2347,
  [4661] = 2300,
  [4662] = 4474,
  [4663] = 4370,
  [4664] = 2206,
  [4665] = 2208,
  [4666] = 4314,
  [4667] = 2333,
  [4668] = 4425,
  [4669] = 4412,
  [4670] = 2316,
  [4671] = 2328,
  [4672] = 2335,
  [4673] = 2297,
  [4674] = 4674,
  [4675] = 4474,
  [4676] = 4525,
  [4677] = 4517,
  [4678] = 3147,
  [4679] = 4520,
  [4680] = 4463,
  [4681] = 4391,
  [4682] = 4479,
  [4683] = 4451,
  [4684] = 4529,
  [4685] = 4391,
  [4686] = 4462,
  [4687] = 4526,
  [4688] = 4521,
  [4689] = 4515,
  [4690] = 4531,
  [4691] = 4535,
  [4692] = 4370,
  [4693] = 4430,
  [4694] = 4374,
  [4695] = 1882,
  [4696] = 4383,
  [4697] = 4375,
  [4698] = 1886,
  [4699] = 4379,
  [4700] = 4454,
  [4701] = 4701,
  [4702] = 1880,
  [4703] = 4570,
  [4704] = 1879,
  [4705] = 1885,
  [4706] = 4701,
  [4707] = 4425,
  [4708] = 4455,
  [4709] = 4701,
  [4710] = 4474,
  [4711] = 4479,
  [4712] = 4368,
  [4713] = 4459,
  [4714] = 4377,
  [4715] = 4464,
  [4716] = 4382,
  [4717] = 4717,
  [4718] = 4412,
  [4719] = 4389,
  [4720] = 4373,
  [4721] = 4388,
  [4722] = 4385,
  [4723] = 4387,
  [4724] = 4701,
  [4725] = 1883,
  [4726] = 4458,
  [4727] = 1880,
  [4728] = 4372,
  [4729] = 4457,
  [4730] = 4367,
  [4731] = 4456,
  [4732] = 4366,
  [4733] = 1884,
  [4734] = 1881,
  [4735] = 4412,
  [4736] = 4461,
  [4737] = 4453,
  [4738] = 4441,
  [4739] = 4452,
  [4740] = 1885,
  [4741] = 4365,
  [4742] = 4364,
  [4743] = 4433,
  [4744] = 1886,
  [4745] = 4460,
  [4746] = 4425,
  [4747] = 4422,
  [4748] = 4430,
  [4749] = 1884,
  [4750] = 4555,
  [4751] = 4701,
  [4752] = 3258,
  [4753] = 4378,
  [4754] = 3281,
  [4755] = 1882,
  [4756] = 4381,
  [4757] = 4413,
  [4758] = 1887,
  [4759] = 1881,
  [4760] = 4390,
  [4761] = 4384,
  [4762] = 4386,
  [4763] = 4763,
  [4764] = 4474,
  [4765] = 4396,
  [4766] = 4397,
  [4767] = 4399,
  [4768] = 4768,
  [4769] = 4769,
  [4770] = 1880,
  [4771] = 1882,
  [4772] = 4529,
  [4773] = 4526,
  [4774] = 4774,
  [4775] = 4768,
  [4776] = 4525,
  [4777] = 4521,
  [4778] = 4531,
  [4779] = 4404,
  [4780] = 4406,
  [4781] = 4422,
  [4782] = 4451,
  [4783] = 4369,
  [4784] = 4769,
  [4785] = 4463,
  [4786] = 4763,
  [4787] = 4769,
  [4788] = 4376,
  [4789] = 4763,
  [4790] = 4369,
  [4791] = 1883,
  [4792] = 1886,
  [4793] = 3147,
  [4794] = 1885,
  [4795] = 1881,
  [4796] = 4774,
  [4797] = 4462,
  [4798] = 4768,
  [4799] = 4799,
  [4800] = 1884,
  [4801] = 4479,
  [4802] = 1887,
  [4803] = 4535,
  [4804] = 4774,
  [4805] = 4415,
  [4806] = 1879,
  [4807] = 2137,
  [4808] = 4808,
  [4809] = 4376,
  [4810] = 4458,
  [4811] = 4459,
  [4812] = 4812,
  [4813] = 4451,
  [4814] = 4814,
  [4815] = 4463,
  [4816] = 4429,
  [4817] = 4817,
  [4818] = 4479,
  [4819] = 4812,
  [4820] = 4820,
  [4821] = 4474,
  [4822] = 4458,
  [4823] = 4814,
  [4824] = 4817,
  [4825] = 4812,
  [4826] = 4457,
  [4827] = 4820,
  [4828] = 4409,
  [4829] = 4829,
  [4830] = 4829,
  [4831] = 4461,
  [4832] = 4460,
  [4833] = 4421,
  [4834] = 4416,
  [4835] = 4817,
  [4836] = 4452,
  [4837] = 4427,
  [4838] = 4424,
  [4839] = 4398,
  [4840] = 4451,
  [4841] = 4820,
  [4842] = 4842,
  [4843] = 4457,
  [4844] = 4829,
  [4845] = 4817,
  [4846] = 4462,
  [4847] = 4842,
  [4848] = 4453,
  [4849] = 4820,
  [4850] = 4462,
  [4851] = 4817,
  [4852] = 4452,
  [4853] = 4812,
  [4854] = 4829,
  [4855] = 4419,
  [4856] = 4455,
  [4857] = 4842,
  [4858] = 4829,
  [4859] = 4814,
  [4860] = 4464,
  [4861] = 4820,
  [4862] = 4812,
  [4863] = 4463,
  [4864] = 4456,
  [4865] = 4426,
  [4866] = 4464,
  [4867] = 4867,
  [4868] = 4868,
  [4869] = 4431,
  [4870] = 4462,
  [4871] = 4871,
  [4872] = 4436,
  [4873] = 4873,
  [4874] = 4874,
  [4875] = 4439,
  [4876] = 2055,
  [4877] = 4873,
  [4878] = 4878,
  [4879] = 4438,
  [4880] = 4479,
  [4881] = 4432,
  [4882] = 4462,
  [4883] = 4883,
  [4884] = 4884,
  [4885] = 4871,
  [4886] = 4456,
  [4887] = 4887,
  [4888] = 4428,
  [4889] = 4444,
  [4890] = 2052,
  [4891] = 2051,
  [4892] = 4435,
  [4893] = 2181,
  [4894] = 4894,
  [4895] = 2054,
  [4896] = 4874,
  [4897] = 4445,
  [4898] = 4868,
  [4899] = 4463,
  [4900] = 4867,
  [4901] = 4883,
  [4902] = 4463,
  [4903] = 4903,
  [4904] = 4867,
  [4905] = 4418,
  [4906] = 4407,
  [4907] = 4459,
  [4908] = 4408,
  [4909] = 4868,
  [4910] = 4434,
  [4911] = 4867,
  [4912] = 4474,
  [4913] = 4461,
  [4914] = 2183,
  [4915] = 4873,
  [4916] = 4420,
  [4917] = 4871,
  [4918] = 4868,
  [4919] = 4479,
  [4920] = 4874,
  [4921] = 4411,
  [4922] = 4873,
  [4923] = 4453,
  [4924] = 4924,
  [4925] = 4410,
  [4926] = 4423,
  [4927] = 2184,
  [4928] = 4414,
  [4929] = 4929,
  [4930] = 4437,
  [4931] = 4451,
  [4932] = 4460,
  [4933] = 4451,
  [4934] = 4443,
  [4935] = 4474,
  [4936] = 4873,
  [4937] = 4874,
  [4938] = 4417,
  [4939] = 4939,
  [4940] = 4874,
  [4941] = 4867,
  [4942] = 4868,
  [4943] = 4442,
  [4944] = 4455,
  [4945] = 4945,
  [4946] = 2022,
  [4947] = 4440,
  [4948] = 4948,
  [4949] = 4949,
  [4950] = 4950,
  [4951] = 4951,
  [4952] = 4952,
  [4953] = 4953,
  [4954] = 4954,
  [4955] = 4951,
  [4956] = 4956,
  [4957] = 4957,
  [4958] = 4958,
  [4959] = 4959,
  [4960] = 4960,
  [4961] = 4961,
  [4962] = 4951,
  [4963] = 4963,
  [4964] = 4951,
  [4965] = 2022,
  [4966] = 4951,
  [4967] = 4958,
  [4968] = 4462,
  [4969] = 4969,
  [4970] = 4951,
  [4971] = 4971,
  [4972] = 4972,
  [4973] = 4951,
  [4974] = 4950,
  [4975] = 4975,
  [4976] = 4951,
  [4977] = 4939,
  [4978] = 4952,
  [4979] = 4979,
  [4980] = 4980,
  [4981] = 4954,
  [4982] = 4451,
  [4983] = 4949,
  [4984] = 4984,
  [4985] = 4952,
  [4986] = 4986,
  [4987] = 4951,
  [4988] = 4951,
  [4989] = 4980,
  [4990] = 4951,
  [4991] = 4951,
  [4992] = 4951,
  [4993] = 4957,
  [4994] = 4954,
  [4995] = 4951,
  [4996] = 4960,
  [4997] = 4952,
  [4998] = 4952,
  [4999] = 4951,
  [5000] = 4951,
  [5001] = 4953,
  [5002] = 4951,
  [5003] = 4950,
  [5004] = 5004,
  [5005] = 4951,
  [5006] = 4951,
  [5007] = 4953,
  [5008] = 5008,
  [5009] = 4957,
  [5010] = 5010,
  [5011] = 4949,
  [5012] = 4951,
  [5013] = 4951,
  [5014] = 4951,
  [5015] = 4951,
  [5016] = 4971,
  [5017] = 4950,
  [5018] = 2052,
  [5019] = 4957,
  [5020] = 4953,
  [5021] = 2161,
  [5022] = 4963,
  [5023] = 4960,
  [5024] = 2054,
  [5025] = 5010,
  [5026] = 4950,
  [5027] = 4462,
  [5028] = 4951,
  [5029] = 2160,
  [5030] = 4961,
  [5031] = 4951,
  [5032] = 4451,
  [5033] = 4951,
  [5034] = 4948,
  [5035] = 4975,
  [5036] = 4951,
  [5037] = 5004,
  [5038] = 4951,
  [5039] = 2151,
  [5040] = 4951,
  [5041] = 4951,
  [5042] = 4951,
  [5043] = 4949,
  [5044] = 4971,
  [5045] = 4971,
  [5046] = 4958,
  [5047] = 4960,
  [5048] = 4975,
  [5049] = 2051,
  [5050] = 5050,
  [5051] = 4971,
  [5052] = 4948,
  [5053] = 4958,
  [5054] = 4957,
  [5055] = 5010,
  [5056] = 4951,
  [5057] = 4951,
  [5058] = 4961,
  [5059] = 4975,
  [5060] = 4951,
  [5061] = 4951,
  [5062] = 4980,
  [5063] = 4954,
  [5064] = 4963,
  [5065] = 4951,
  [5066] = 5010,
  [5067] = 4953,
  [5068] = 4951,
  [5069] = 4951,
  [5070] = 4963,
  [5071] = 4463,
  [5072] = 4474,
  [5073] = 4980,
  [5074] = 4954,
  [5075] = 5004,
  [5076] = 5004,
  [5077] = 5010,
  [5078] = 4954,
  [5079] = 4948,
  [5080] = 4479,
  [5081] = 4980,
  [5082] = 5004,
  [5083] = 4954,
  [5084] = 4951,
  [5085] = 2055,
  [5086] = 4960,
  [5087] = 4980,
  [5088] = 4951,
  [5089] = 4971,
  [5090] = 4951,
  [5091] = 4958,
  [5092] = 4463,
  [5093] = 4951,
  [5094] = 4961,
  [5095] = 4951,
  [5096] = 5096,
  [5097] = 4960,
  [5098] = 4971,
  [5099] = 2164,
  [5100] = 4951,
  [5101] = 4975,
  [5102] = 4949,
  [5103] = 4951,
  [5104] = 4948,
  [5105] = 4961,
  [5106] = 4951,
  [5107] = 4963,
  [5108] = 4951,
  [5109] = 5109,
  [5110] = 5110,
  [5111] = 2175,
  [5112] = 5112,
  [5113] = 5113,
  [5114] = 5114,
  [5115] = 2171,
  [5116] = 5116,
  [5117] = 5117,
  [5118] = 4462,
  [5119] = 2063,
  [5120] = 5120,
  [5121] = 5121,
  [5122] = 5122,
  [5123] = 5120,
  [5124] = 4474,
  [5125] = 2191,
  [5126] = 4479,
  [5127] = 5127,
  [5128] = 5127,
  [5129] = 5129,
  [5130] = 5130,
  [5131] = 5114,
  [5132] = 5132,
  [5133] = 5121,
  [5134] = 5114,
  [5135] = 5132,
  [5136] = 5132,
  [5137] = 5130,
  [5138] = 4474,
  [5139] = 4479,
  [5140] = 5129,
  [5141] = 5141,
  [5142] = 5142,
  [5143] = 2282,
  [5144] = 5144,
  [5145] = 5110,
  [5146] = 4463,
  [5147] = 5121,
  [5148] = 2177,
  [5149] = 4479,
  [5150] = 5117,
  [5151] = 5151,
  [5152] = 5129,
  [5153] = 5110,
  [5154] = 2065,
  [5155] = 5155,
  [5156] = 5129,
  [5157] = 5157,
  [5158] = 2059,
  [5159] = 5130,
  [5160] = 5117,
  [5161] = 5161,
  [5162] = 5116,
  [5163] = 2274,
  [5164] = 4474,
  [5165] = 5165,
  [5166] = 5120,
  [5167] = 5157,
  [5168] = 5168,
  [5169] = 5169,
  [5170] = 2404,
  [5171] = 5127,
  [5172] = 5129,
  [5173] = 5173,
  [5174] = 5168,
  [5175] = 5157,
  [5176] = 2182,
  [5177] = 5177,
  [5178] = 5177,
  [5179] = 4451,
  [5180] = 5116,
  [5181] = 5168,
  [5182] = 2173,
  [5183] = 5177,
  [5184] = 1880,
  [5185] = 5185,
  [5186] = 5122,
  [5187] = 5187,
  [5188] = 5188,
  [5189] = 5189,
  [5190] = 5188,
  [5191] = 5189,
  [5192] = 5192,
  [5193] = 2365,
  [5194] = 5155,
  [5195] = 5195,
  [5196] = 5196,
  [5197] = 5187,
  [5198] = 5198,
  [5199] = 5199,
  [5200] = 5200,
  [5201] = 5201,
  [5202] = 5202,
  [5203] = 5203,
  [5204] = 5122,
  [5205] = 1880,
  [5206] = 5189,
  [5207] = 2202,
  [5208] = 5196,
  [5209] = 5209,
  [5210] = 2170,
  [5211] = 5211,
  [5212] = 4438,
  [5213] = 1880,
  [5214] = 5188,
  [5215] = 5155,
  [5216] = 5216,
  [5217] = 2193,
  [5218] = 5113,
  [5219] = 5219,
  [5220] = 5187,
  [5221] = 5196,
  [5222] = 2260,
  [5223] = 2323,
  [5224] = 2325,
  [5225] = 2321,
  [5226] = 2363,
  [5227] = 2315,
  [5228] = 5228,
  [5229] = 4462,
  [5230] = 2337,
  [5231] = 2017,
  [5232] = 5228,
  [5233] = 2367,
  [5234] = 2368,
  [5235] = 2342,
  [5236] = 2352,
  [5237] = 2331,
  [5238] = 2272,
  [5239] = 5228,
  [5240] = 2224,
  [5241] = 5241,
  [5242] = 5242,
  [5243] = 2320,
  [5244] = 2330,
  [5245] = 2317,
  [5246] = 5246,
  [5247] = 2322,
  [5248] = 2314,
  [5249] = 2356,
  [5250] = 2292,
  [5251] = 5251,
  [5252] = 5252,
  [5253] = 5251,
  [5254] = 2273,
  [5255] = 2270,
  [5256] = 2305,
  [5257] = 2277,
  [5258] = 2338,
  [5259] = 5259,
  [5260] = 2275,
  [5261] = 2253,
  [5262] = 2248,
  [5263] = 2210,
  [5264] = 5264,
  [5265] = 5228,
  [5266] = 2241,
  [5267] = 2344,
  [5268] = 2236,
  [5269] = 5196,
  [5270] = 5270,
  [5271] = 2219,
  [5272] = 2218,
  [5273] = 5264,
  [5274] = 5274,
  [5275] = 2216,
  [5276] = 5276,
  [5277] = 2212,
  [5278] = 2234,
  [5279] = 2213,
  [5280] = 2214,
  [5281] = 5281,
  [5282] = 2251,
  [5283] = 2339,
  [5284] = 2264,
  [5285] = 2333,
  [5286] = 2334,
  [5287] = 2340,
  [5288] = 2355,
  [5289] = 2358,
  [5290] = 5290,
  [5291] = 5291,
  [5292] = 4969,
  [5293] = 2233,
  [5294] = 4474,
  [5295] = 4479,
  [5296] = 2335,
  [5297] = 2232,
  [5298] = 5298,
  [5299] = 2229,
  [5300] = 2294,
  [5301] = 5301,
  [5302] = 2293,
  [5303] = 5228,
  [5304] = 5304,
  [5305] = 2328,
  [5306] = 2316,
  [5307] = 2287,
  [5308] = 2366,
  [5309] = 5264,
  [5310] = 2285,
  [5311] = 2306,
  [5312] = 2283,
  [5313] = 5276,
  [5314] = 2208,
  [5315] = 2228,
  [5316] = 2308,
  [5317] = 2227,
  [5318] = 2269,
  [5319] = 5319,
  [5320] = 2222,
  [5321] = 2221,
  [5322] = 2278,
  [5323] = 2267,
  [5324] = 2249,
  [5325] = 2263,
  [5326] = 2207,
  [5327] = 5327,
  [5328] = 2261,
  [5329] = 5242,
  [5330] = 2257,
  [5331] = 2206,
  [5332] = 2301,
  [5333] = 2254,
  [5334] = 5334,
  [5335] = 5298,
  [5336] = 5336,
  [5337] = 2357,
  [5338] = 2364,
  [5339] = 2252,
  [5340] = 2361,
  [5341] = 2271,
  [5342] = 2353,
  [5343] = 5343,
  [5344] = 2280,
  [5345] = 2351,
  [5346] = 2281,
  [5347] = 2286,
  [5348] = 2347,
  [5349] = 2288,
  [5350] = 4333,
  [5351] = 2304,
  [5352] = 2329,
  [5353] = 2289,
  [5354] = 2298,
  [5355] = 2204,
  [5356] = 2348,
  [5357] = 2349,
  [5358] = 2350,
  [5359] = 2336,
  [5360] = 2332,
  [5361] = 2318,
  [5362] = 2239,
  [5363] = 5291,
  [5364] = 5364,
  [5365] = 2240,
  [5366] = 2244,
  [5367] = 2256,
  [5368] = 2262,
  [5369] = 2297,
  [5370] = 5290,
  [5371] = 2296,
  [5372] = 2295,
  [5373] = 2223,
  [5374] = 2299,
  [5375] = 2215,
  [5376] = 2211,
  [5377] = 2341,
  [5378] = 2246,
  [5379] = 4474,
  [5380] = 4479,
  [5381] = 2326,
  [5382] = 2303,
  [5383] = 2279,
  [5384] = 2259,
  [5385] = 2327,
  [5386] = 2312,
  [5387] = 5228,
  [5388] = 2255,
  [5389] = 2291,
  [5390] = 2319,
  [5391] = 2266,
  [5392] = 2354,
  [5393] = 2238,
  [5394] = 2359,
  [5395] = 2360,
  [5396] = 2290,
  [5397] = 2284,
  [5398] = 2300,
  [5399] = 2237,
  [5400] = 5228,
  [5401] = 5276,
  [5402] = 5402,
  [5403] = 5403,
  [5404] = 5298,
  [5405] = 2307,
  [5406] = 5406,
  [5407] = 5407,
  [5408] = 2065,
  [5409] = 5409,
  [5410] = 5410,
  [5411] = 5409,
  [5412] = 5412,
  [5413] = 5413,
  [5414] = 2059,
  [5415] = 5415,
  [5416] = 5416,
  [5417] = 5417,
  [5418] = 5406,
  [5419] = 5419,
  [5420] = 5420,
  [5421] = 5144,
  [5422] = 5412,
  [5423] = 5423,
  [5424] = 5141,
  [5425] = 5410,
  [5426] = 5426,
  [5427] = 5427,
  [5428] = 5428,
  [5429] = 5429,
  [5430] = 5430,
  [5431] = 5407,
  [5432] = 5407,
  [5433] = 5410,
  [5434] = 5434,
  [5435] = 5435,
  [5436] = 5412,
  [5437] = 5417,
  [5438] = 5417,
  [5439] = 5142,
  [5440] = 5440,
  [5441] = 5441,
  [5442] = 5442,
  [5443] = 5412,
  [5444] = 5264,
  [5445] = 5407,
  [5446] = 5416,
  [5447] = 5447,
  [5448] = 5448,
  [5449] = 5417,
  [5450] = 5450,
  [5451] = 5161,
  [5452] = 5452,
  [5453] = 5112,
  [5454] = 5429,
  [5455] = 5455,
  [5456] = 5441,
  [5457] = 5430,
  [5458] = 5429,
  [5459] = 5459,
  [5460] = 5410,
  [5461] = 5169,
  [5462] = 5413,
  [5463] = 5463,
  [5464] = 5441,
  [5465] = 2063,
  [5466] = 5430,
  [5467] = 5407,
  [5468] = 5468,
  [5469] = 5416,
  [5470] = 5434,
  [5471] = 5416,
  [5472] = 5455,
  [5473] = 5440,
  [5474] = 5417,
  [5475] = 5452,
  [5476] = 5413,
  [5477] = 5406,
  [5478] = 5442,
  [5479] = 5412,
  [5480] = 5410,
  [5481] = 5409,
  [5482] = 5482,
  [5483] = 5416,
  [5484] = 5459,
  [5485] = 5485,
  [5486] = 5447,
  [5487] = 5415,
  [5488] = 5426,
  [5489] = 5489,
  [5490] = 5490,
  [5491] = 5491,
  [5492] = 5492,
  [5493] = 5492,
  [5494] = 5489,
  [5495] = 5489,
  [5496] = 5496,
  [5497] = 5497,
  [5498] = 5492,
  [5499] = 5492,
  [5500] = 5489,
  [5501] = 5501,
  [5502] = 5489,
  [5503] = 5492,
  [5504] = 5504,
  [5505] = 5489,
  [5506] = 5504,
  [5507] = 5492,
  [5508] = 5508,
  [5509] = 5489,
  [5510] = 5492,
  [5511] = 5489,
  [5512] = 5492,
  [5513] = 5492,
  [5514] = 5489,
  [5515] = 5489,
  [5516] = 5489,
  [5517] = 5492,
  [5518] = 5492,
  [5519] = 5491,
  [5520] = 5489,
  [5521] = 5489,
  [5522] = 5489,
  [5523] = 5492,
  [5524] = 5524,
  [5525] = 5492,
  [5526] = 5492,
  [5527] = 5489,
  [5528] = 5492,
  [5529] = 5489,
  [5530] = 5492,
  [5531] = 5489,
  [5532] = 5489,
  [5533] = 5492,
  [5534] = 5492,
  [5535] = 1879,
  [5536] = 5492,
  [5537] = 5489,
  [5538] = 5508,
  [5539] = 5508,
  [5540] = 5492,
  [5541] = 5492,
  [5542] = 5489,
  [5543] = 5489,
  [5544] = 5492,
  [5545] = 5489,
  [5546] = 5489,
  [5547] = 5547,
  [5548] = 5492,
  [5549] = 5489,
  [5550] = 5492,
  [5551] = 5551,
  [5552] = 5552,
  [5553] = 5553,
  [5554] = 5554,
  [5555] = 5555,
  [5556] = 5556,
  [5557] = 5557,
  [5558] = 5558,
  [5559] = 5559,
  [5560] = 5560,
  [5561] = 5561,
  [5562] = 5562,
  [5563] = 5560,
  [5564] = 5564,
  [5565] = 5565,
  [5566] = 5566,
  [5567] = 5567,
  [5568] = 5568,
  [5569] = 5569,
  [5570] = 5570,
  [5571] = 5552,
  [5572] = 5572,
  [5573] = 5573,
  [5574] = 5558,
  [5575] = 5569,
  [5576] = 5576,
  [5577] = 5577,
  [5578] = 5553,
  [5579] = 5579,
  [5580] = 5580,
  [5581] = 5581,
  [5582] = 5582,
  [5583] = 5583,
  [5584] = 5579,
  [5585] = 5553,
  [5586] = 5586,
  [5587] = 5559,
  [5588] = 5588,
  [5589] = 5565,
  [5590] = 5590,
  [5591] = 5570,
  [5592] = 5567,
  [5593] = 5593,
  [5594] = 5560,
  [5595] = 5553,
  [5596] = 5579,
  [5597] = 5597,
  [5598] = 5598,
  [5599] = 5599,
  [5600] = 5600,
  [5601] = 5570,
  [5602] = 5602,
  [5603] = 5567,
  [5604] = 5604,
  [5605] = 5605,
  [5606] = 5606,
  [5607] = 5607,
  [5608] = 5608,
  [5609] = 5581,
  [5610] = 5610,
  [5611] = 5560,
  [5612] = 5608,
  [5613] = 5613,
  [5614] = 5559,
  [5615] = 5556,
  [5616] = 5607,
  [5617] = 5617,
  [5618] = 5613,
  [5619] = 5559,
  [5620] = 5586,
  [5621] = 5621,
  [5622] = 5583,
  [5623] = 5582,
  [5624] = 5605,
  [5625] = 5580,
  [5626] = 5626,
  [5627] = 5627,
  [5628] = 5556,
  [5629] = 5577,
  [5630] = 5573,
  [5631] = 5572,
  [5632] = 5570,
  [5633] = 5633,
  [5634] = 5569,
  [5635] = 5602,
  [5636] = 5636,
  [5637] = 5568,
  [5638] = 5638,
  [5639] = 5626,
  [5640] = 5636,
  [5641] = 5641,
  [5642] = 5605,
  [5643] = 5621,
  [5644] = 5604,
  [5645] = 5560,
  [5646] = 5579,
  [5647] = 5647,
  [5648] = 5553,
  [5649] = 5567,
  [5650] = 5650,
  [5651] = 5626,
  [5652] = 5636,
  [5653] = 5580,
  [5654] = 5613,
  [5655] = 5551,
  [5656] = 5656,
  [5657] = 5556,
  [5658] = 5658,
  [5659] = 5606,
  [5660] = 5621,
  [5661] = 5602,
  [5662] = 5553,
  [5663] = 5663,
  [5664] = 5579,
  [5665] = 5665,
  [5666] = 5663,
  [5667] = 5667,
  [5668] = 5560,
  [5669] = 5669,
  [5670] = 5670,
  [5671] = 5570,
  [5672] = 5600,
  [5673] = 5673,
  [5674] = 5674,
  [5675] = 5675,
  [5676] = 5598,
  [5677] = 5677,
  [5678] = 5665,
  [5679] = 5679,
  [5680] = 5597,
  [5681] = 5641,
  [5682] = 5682,
  [5683] = 5650,
  [5684] = 5554,
  [5685] = 5604,
  [5686] = 5686,
  [5687] = 5555,
  [5688] = 5688,
  [5689] = 5626,
  [5690] = 5636,
  [5691] = 5553,
  [5692] = 5581,
  [5693] = 5693,
  [5694] = 5694,
  [5695] = 5695,
  [5696] = 5562,
  [5697] = 5697,
  [5698] = 5698,
  [5699] = 5590,
  [5700] = 5700,
  [5701] = 5701,
  [5702] = 5566,
  [5703] = 5703,
  [5704] = 5579,
  [5705] = 5650,
  [5706] = 5552,
  [5707] = 5602,
  [5708] = 5559,
  [5709] = 5556,
  [5710] = 5579,
  [5711] = 5682,
  [5712] = 5608,
  [5713] = 5602,
  [5714] = 5558,
  [5715] = 5715,
  [5716] = 5638,
  [5717] = 5568,
  [5718] = 5566,
  [5719] = 5572,
  [5720] = 5560,
  [5721] = 5551,
  [5722] = 5573,
  [5723] = 5636,
  [5724] = 5626,
  [5725] = 5562,
  [5726] = 5560,
  [5727] = 5579,
  [5728] = 5665,
  [5729] = 5669,
  [5730] = 5665,
  [5731] = 5602,
  [5732] = 5569,
  [5733] = 5577,
  [5734] = 5579,
  [5735] = 5617,
  [5736] = 5556,
  [5737] = 5559,
  [5738] = 5558,
  [5739] = 5557,
  [5740] = 5579,
  [5741] = 5579,
  [5742] = 5579,
  [5743] = 5698,
  [5744] = 5581,
  [5745] = 5581,
  [5746] = 5560,
  [5747] = 5747,
  [5748] = 5560,
  [5749] = 5579,
  [5750] = 5579,
  [5751] = 5693,
  [5752] = 5633,
  [5753] = 5647,
  [5754] = 5694,
  [5755] = 5670,
  [5756] = 5695,
  [5757] = 5582,
  [5758] = 5688,
  [5759] = 5560,
  [5760] = 5551,
  [5761] = 5608,
  [5762] = 5553,
  [5763] = 5579,
  [5764] = 5677,
  [5765] = 5579,
  [5766] = 5638,
  [5767] = 5583,
  [5768] = 5586,
  [5769] = 5565,
  [5770] = 5551,
  [5771] = 5636,
  [5772] = 5617,
  [5773] = 5626,
  [5774] = 5641,
  [5775] = 5560,
  [5776] = 5560,
  [5777] = 5567,
  [5778] = 5613,
  [5779] = 5673,
  [5780] = 5579,
  [5781] = 5602,
  [5782] = 5682,
  [5783] = 5607,
  [5784] = 5556,
  [5785] = 5633,
  [5786] = 5579,
  [5787] = 5560,
  [5788] = 5607,
  [5789] = 5559,
  [5790] = 5579,
  [5791] = 5656,
  [5792] = 5686,
  [5793] = 5667,
  [5794] = 5608,
  [5795] = 5551,
  [5796] = 5679,
  [5797] = 5564,
  [5798] = 5567,
  [5799] = 5703,
  [5800] = 5679,
  [5801] = 5801,
  [5802] = 1881,
  [5803] = 5570,
  [5804] = 5579,
  [5805] = 5597,
  [5806] = 5579,
  [5807] = 1884,
  [5808] = 5665,
  [5809] = 5579,
  [5810] = 5677,
  [5811] = 5561,
  [5812] = 5701,
  [5813] = 5647,
  [5814] = 5598,
  [5815] = 5636,
  [5816] = 5626,
  [5817] = 5579,
  [5818] = 5555,
  [5819] = 5560,
  [5820] = 5569,
  [5821] = 5579,
  [5822] = 5579,
  [5823] = 5579,
  [5824] = 5579,
  [5825] = 5825,
  [5826] = 5826,
  [5827] = 5701,
  [5828] = 5558,
  [5829] = 5579,
  [5830] = 5579,
  [5831] = 5579,
  [5832] = 5579,
  [5833] = 5553,
  [5834] = 5579,
  [5835] = 5703,
  [5836] = 5836,
  [5837] = 5554,
  [5838] = 5579,
  [5839] = 5579,
  [5840] = 5553,
  [5841] = 5551,
  [5842] = 5579,
  [5843] = 5579,
  [5844] = 5560,
  [5845] = 5579,
  [5846] = 5600,
  [5847] = 5553,
  [5848] = 5560,
  [5849] = 5557,
  [5850] = 5570,
  [5851] = 5553,
  [5852] = 5579,
  [5853] = 5560,
  [5854] = 5579,
  [5855] = 5560,
  [5856] = 5697,
  [5857] = 5579,
  [5858] = 5579,
  [5859] = 5560,
  [5860] = 5579,
  [5861] = 5579,
  [5862] = 5560,
  [5863] = 5560,
  [5864] = 5560,
  [5865] = 5579,
  [5866] = 5613,
  [5867] = 5579,
  [5868] = 5560,
  [5869] = 5688,
  [5870] = 5567,
  [5871] = 5579,
  [5872] = 5560,
  [5873] = 5873,
  [5874] = 5874,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '!', 351,
        '#', 365,
        '$', 123,
        '%', 342,
        '&', 285,
        '(', 298,
        ')', 264,
        '*', 281,
        '+', 337,
        ',', 273,
        '-', 355,
        '.', 266,
        '/', 340,
        '0', 368,
        ':', 289,
        ';', 277,
        '<', 292,
        '=', 363,
        '>', 332,
        '?', 319,
        '@', 140,
        'B', 377,
        'E', 380,
        '[', 297,
      );
      if (lookahead == '\\') SKIP(173);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(302);
      if (lookahead == '_') ADVANCE(403);
      if (lookahead == '`') ADVANCE(361);
      if (lookahead == 'd') ADVANCE(407);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(275);
      if (lookahead == '}') ADVANCE(261);
      if (lookahead == '~') ADVANCE(354);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '`') ADVANCE(412);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(134);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0) ADVANCE(1);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(364);
      if (lookahead == '\r') ADVANCE(2);
      if (lookahead != 0) ADVANCE(2);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(80);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(80);
      if (lookahead == '\r') SKIP(3);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(79);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(79);
      if (lookahead == '\r') SKIP(5);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(81);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(81);
      if (lookahead == '\r') SKIP(7);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(82);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(82);
      if (lookahead == '\r') SKIP(9);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(103);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(103);
      if (lookahead == '\r') SKIP(11);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(102);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(102);
      if (lookahead == '\r') SKIP(13);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(116);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(116);
      if (lookahead == '\r') SKIP(15);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(86);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(86);
      if (lookahead == '\r') SKIP(17);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(88);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(88);
      if (lookahead == '\r') SKIP(19);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(92);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(92);
      if (lookahead == '\r') SKIP(21);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(95);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(95);
      if (lookahead == '\r') SKIP(23);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(93);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(93);
      if (lookahead == '\r') SKIP(25);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(99);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(99);
      if (lookahead == '\r') SKIP(27);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(108);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(108);
      if (lookahead == '\r') SKIP(29);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(107);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(107);
      if (lookahead == '\r') SKIP(31);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(117);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(117);
      if (lookahead == '\r') SKIP(33);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(106);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(106);
      if (lookahead == '\r') SKIP(35);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(113);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(113);
      if (lookahead == '\r') SKIP(37);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(114);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(114);
      if (lookahead == '\r') SKIP(39);
      END_STATE();
    case 41:
      if (lookahead == '\n') ADVANCE(428);
      if (lookahead == '\r') ADVANCE(427);
      if (lookahead == 'u') ADVANCE(151);
      if (lookahead == 'x') ADVANCE(164);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(431);
      if (lookahead != 0) ADVANCE(427);
      END_STATE();
    case 42:
      if (lookahead == '\n') ADVANCE(429);
      if (lookahead == '\r') ADVANCE(427);
      if (lookahead == 'u') ADVANCE(151);
      if (lookahead == 'x') ADVANCE(164);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(431);
      if (lookahead != 0) ADVANCE(427);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(120);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(120);
      if (lookahead == '\r') SKIP(43);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(69);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(69);
      if (lookahead == '\r') SKIP(45);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(77);
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(77);
      if (lookahead == '\r') SKIP(47);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(70);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(70);
      if (lookahead == '\r') SKIP(49);
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(87);
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(87);
      if (lookahead == '\r') SKIP(51);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(91);
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(91);
      if (lookahead == '\r') SKIP(53);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(97);
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(97);
      if (lookahead == '\r') SKIP(55);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(118);
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(118);
      if (lookahead == '\r') SKIP(57);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(109);
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(109);
      if (lookahead == '\r') SKIP(59);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(73);
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(73);
      if (lookahead == '\r') SKIP(61);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(72);
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(72);
      if (lookahead == '\r') SKIP(63);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(75);
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(75);
      if (lookahead == '\r') SKIP(65);
      END_STATE();
    case 67:
      ADVANCE_MAP(
        '!', 351,
        '#', 366,
        '$', 123,
        '%', 342,
        '&', 285,
        '(', 298,
        ')', 264,
        '*', 282,
        '+', 336,
        ',', 273,
        '-', 136,
        '.', 266,
        '/', 340,
        '0', 368,
        ':', 289,
        ';', 277,
        '<', 292,
        '=', 270,
        '>', 332,
        '?', 319,
        '@', 140,
        '[', 297,
      );
      if (lookahead == '\\') SKIP(50);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(302);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(275);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        '!', 351,
        '#', 366,
        '$', 123,
        '%', 342,
        '&', 285,
        '(', 298,
        ')', 264,
        '*', 282,
        '+', 336,
        ',', 273,
        '-', 136,
        '.', 266,
        '/', 340,
        '0', 368,
        ':', 289,
        ';', 277,
        '<', 292,
        '=', 270,
        '>', 332,
        '?', 319,
        '@', 140,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(46);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(302);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(275);
      if (lookahead == '}') ADVANCE(261);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          lookahead != '`') ADVANCE(399);
      END_STATE();
    case 69:
      ADVANCE_MAP(
        '!', 351,
        '#', 366,
        '$', 123,
        '%', 342,
        '&', 285,
        '(', 263,
        ')', 264,
        '*', 282,
        '+', 336,
        ',', 273,
        '-', 136,
        '.', 266,
        '/', 340,
        '0', 368,
        ':', 130,
        ';', 277,
        '<', 292,
        '=', 270,
        '>', 332,
        '?', 319,
        '@', 140,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(46);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(302);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(275);
      if (lookahead == '}') ADVANCE(261);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          lookahead != '`') ADVANCE(399);
      END_STATE();
    case 70:
      ADVANCE_MAP(
        '!', 351,
        '#', 366,
        '$', 123,
        '%', 342,
        '&', 285,
        '(', 263,
        ')', 264,
        '*', 282,
        '+', 336,
        ',', 273,
        '-', 136,
        '.', 266,
        '/', 340,
        '0', 368,
        ':', 130,
        ';', 277,
        '<', 292,
        '=', 270,
        '>', 332,
        '?', 319,
        '@', 140,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(50);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(302);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(275);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 71:
      ADVANCE_MAP(
        '!', 351,
        '#', 366,
        '$', 123,
        '%', 341,
        '&', 287,
        '(', 298,
        ')', 264,
        '*', 279,
        '+', 335,
        ',', 273,
        '-', 138,
        '.', 266,
        '/', 339,
        '0', 368,
        ':', 289,
        ';', 277,
        '<', 293,
        '=', 132,
        '>', 333,
        '?', 319,
        '@', 140,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(62);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(276);
      if (lookahead == '}') ADVANCE(261);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(73);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          lookahead != '`') ADVANCE(399);
      END_STATE();
    case 72:
      ADVANCE_MAP(
        '!', 351,
        '#', 366,
        '$', 123,
        '%', 341,
        '&', 287,
        '(', 263,
        ')', 264,
        '*', 279,
        '+', 335,
        ',', 273,
        '-', 138,
        '.', 266,
        '/', 339,
        '0', 368,
        ':', 322,
        ';', 277,
        '<', 293,
        '=', 132,
        '>', 333,
        '?', 319,
        '@', 140,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(64);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(276);
      if (lookahead == '}') ADVANCE(261);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          lookahead != '`') ADVANCE(399);
      END_STATE();
    case 73:
      ADVANCE_MAP(
        '!', 351,
        '#', 366,
        '$', 123,
        '%', 341,
        '&', 287,
        '(', 263,
        ')', 264,
        '*', 279,
        '+', 335,
        ',', 273,
        '-', 138,
        '.', 266,
        '/', 339,
        '0', 368,
        ':', 130,
        ';', 277,
        '<', 293,
        '=', 132,
        '>', 333,
        '?', 319,
        '@', 140,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(62);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(276);
      if (lookahead == '}') ADVANCE(261);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(73);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          lookahead != '`') ADVANCE(399);
      END_STATE();
    case 74:
      ADVANCE_MAP(
        '!', 351,
        '#', 366,
        '$', 123,
        '%', 341,
        '&', 287,
        '(', 263,
        ')', 264,
        '*', 279,
        '+', 335,
        ',', 273,
        '-', 138,
        '.', 266,
        '/', 339,
        '0', 368,
        ':', 321,
        ';', 277,
        '<', 293,
        '=', 132,
        '>', 333,
        '?', 319,
        '@', 140,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(64);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(276);
      if (lookahead == '}') ADVANCE(261);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          lookahead != '`') ADVANCE(399);
      END_STATE();
    case 75:
      ADVANCE_MAP(
        '!', 351,
        '#', 366,
        '$', 123,
        '%', 341,
        '&', 286,
        '(', 263,
        ')', 264,
        '*', 279,
        '+', 335,
        ',', 273,
        '-', 138,
        '.', 126,
        '/', 339,
        '0', 368,
        ':', 322,
        ';', 277,
        '<', 293,
        '=', 132,
        '>', 333,
        '?', 319,
        '@', 140,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(66);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(276);
      if (lookahead == '}') ADVANCE(261);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(75);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          lookahead != '`') ADVANCE(399);
      END_STATE();
    case 76:
      ADVANCE_MAP(
        '!', 350,
        '#', 366,
        '$', 123,
        '&', 125,
        '(', 298,
        '*', 279,
        '+', 335,
        '-', 138,
        '.', 266,
        '0', 368,
        ':', 129,
        ';', 277,
        '<', 291,
        '=', 143,
        '?', 141,
        '@', 140,
        'B', 377,
        'E', 380,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(48);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(77);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 77:
      ADVANCE_MAP(
        '!', 350,
        '#', 366,
        '$', 123,
        '&', 125,
        '(', 263,
        '*', 279,
        '+', 335,
        '-', 138,
        '.', 266,
        '0', 368,
        ':', 130,
        ';', 277,
        '<', 291,
        '=', 143,
        '?', 141,
        '@', 140,
        'B', 377,
        'E', 380,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(48);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(77);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 78:
      ADVANCE_MAP(
        '!', 350,
        '#', 366,
        '$', 123,
        '&', 125,
        '(', 263,
        '*', 279,
        '+', 335,
        '-', 138,
        '.', 266,
        '0', 368,
        ':', 129,
        ';', 277,
        '<', 291,
        '=', 143,
        '?', 141,
        '@', 140,
        'B', 377,
        'E', 380,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(48);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(77);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 79:
      ADVANCE_MAP(
        '!', 350,
        '#', 366,
        '$', 123,
        '(', 263,
        ')', 264,
        '*', 279,
        '+', 335,
        ',', 273,
        '-', 138,
        '.', 126,
        '0', 368,
        ':', 130,
        ';', 277,
        '=', 139,
        '?', 141,
        '@', 140,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(6);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '}') ADVANCE(261);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(79);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          lookahead != '`') ADVANCE(399);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        '!', 350,
        '#', 366,
        '$', 123,
        '(', 263,
        ')', 264,
        '*', 279,
        '+', 335,
        '-', 138,
        '.', 126,
        '0', 368,
        ':', 130,
        ';', 277,
        '=', 143,
        '?', 141,
        '@', 140,
        'B', 377,
        'E', 380,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(4);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '}') ADVANCE(261);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(80);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          lookahead != '`') ADVANCE(399);
      END_STATE();
    case 81:
      ADVANCE_MAP(
        '!', 350,
        '#', 366,
        '$', 123,
        '(', 263,
        ')', 264,
        '*', 279,
        '+', 335,
        '-', 138,
        '.', 126,
        '0', 368,
        ':', 130,
        ';', 277,
        '=', 269,
        '?', 141,
        '@', 140,
        'B', 377,
        'E', 380,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(8);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(81);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 82:
      ADVANCE_MAP(
        '!', 350,
        '#', 366,
        '$', 123,
        '(', 263,
        '*', 280,
        '+', 335,
        '-', 138,
        '.', 126,
        '0', 368,
        ':', 130,
        '=', 143,
        '?', 141,
        '@', 140,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(10);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '}') ADVANCE(261);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(82);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 83:
      ADVANCE_MAP(
        '!', 131,
        '#', 366,
        '%', 342,
        '&', 285,
        '(', 298,
        ')', 264,
        '*', 122,
        '+', 336,
        ',', 273,
        '-', 135,
        '.', 266,
        '/', 340,
        ':', 289,
        ';', 277,
        '<', 292,
        '=', 270,
        '>', 332,
        '?', 318,
        '[', 297,
      );
      if (lookahead == '\\') SKIP(18);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(302);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(275);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(86);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 84:
      ADVANCE_MAP(
        '!', 131,
        '#', 366,
        '%', 342,
        '&', 285,
        '(', 298,
        ')', 264,
        '*', 122,
        '+', 336,
        ',', 273,
        '-', 135,
        '.', 266,
        '/', 340,
        ':', 289,
        ';', 277,
        '<', 292,
        '=', 270,
        '>', 332,
        '?', 318,
      );
      if (lookahead == '\\') SKIP(20);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(302);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(275);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(88);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        '!', 131,
        '#', 366,
        '%', 342,
        '&', 285,
        '(', 298,
        ')', 264,
        '*', 122,
        '+', 336,
        ',', 273,
        '-', 135,
        '.', 266,
        '/', 340,
        ':', 321,
        ';', 277,
        '<', 292,
        '=', 270,
        '>', 332,
        '?', 318,
      );
      if (lookahead == '\\') SKIP(52);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(302);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(275);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(87);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 86:
      ADVANCE_MAP(
        '!', 131,
        '#', 366,
        '%', 342,
        '&', 285,
        ')', 264,
        '*', 122,
        '+', 336,
        ',', 273,
        '-', 135,
        '.', 266,
        '/', 340,
        ':', 130,
        ';', 277,
        '<', 292,
        '=', 270,
        '>', 332,
        '?', 318,
      );
      if (lookahead == '\\') SKIP(18);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(302);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(275);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(86);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 87:
      ADVANCE_MAP(
        '!', 131,
        '#', 366,
        '%', 342,
        '&', 285,
        ')', 264,
        '*', 122,
        '+', 336,
        ',', 273,
        '-', 135,
        '.', 266,
        '/', 340,
        ':', 320,
        ';', 277,
        '<', 292,
        '=', 270,
        '>', 332,
        '?', 318,
      );
      if (lookahead == '\\') SKIP(52);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(302);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(275);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(87);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 88:
      ADVANCE_MAP(
        '!', 131,
        '#', 366,
        '%', 342,
        '&', 285,
        ')', 264,
        '*', 122,
        '+', 336,
        ',', 273,
        '-', 135,
        '.', 266,
        '/', 340,
        ';', 277,
        '<', 292,
        '=', 270,
        '>', 332,
        '?', 318,
      );
      if (lookahead == '\\') SKIP(20);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(302);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(275);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(88);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 89:
      ADVANCE_MAP(
        '!', 131,
        '#', 366,
        '%', 341,
        '&', 287,
        '(', 298,
        ')', 264,
        '+', 335,
        ',', 273,
        '.', 266,
        '/', 339,
        ':', 289,
        ';', 277,
        '<', 293,
        '=', 132,
        '>', 333,
        '?', 318,
      );
      if (lookahead == '\\') SKIP(22);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(276);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(92);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 90:
      ADVANCE_MAP(
        '!', 131,
        '#', 366,
        '%', 341,
        '&', 287,
        '(', 298,
        ')', 264,
        '+', 335,
        ',', 273,
        '.', 266,
        '/', 339,
        ':', 321,
        ';', 277,
        '<', 293,
        '=', 132,
        '>', 333,
        '?', 318,
      );
      if (lookahead == '\\') SKIP(54);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(276);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(91);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 91:
      ADVANCE_MAP(
        '!', 131,
        '#', 366,
        '%', 341,
        '&', 287,
        ')', 264,
        '+', 335,
        ',', 273,
        '.', 266,
        '/', 339,
        ':', 320,
        ';', 277,
        '<', 293,
        '=', 132,
        '>', 333,
        '?', 318,
      );
      if (lookahead == '\\') SKIP(54);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(276);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(91);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 92:
      ADVANCE_MAP(
        '!', 131,
        '#', 366,
        '%', 341,
        '&', 287,
        ')', 264,
        '+', 335,
        ',', 273,
        '.', 266,
        '/', 339,
        ';', 277,
        '<', 293,
        '=', 132,
        '>', 333,
        '?', 318,
      );
      if (lookahead == '\\') SKIP(22);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(276);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(92);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 93:
      ADVANCE_MAP(
        '!', 131,
        '#', 366,
        '%', 341,
        '&', 286,
        ')', 264,
        '+', 335,
        ',', 273,
        '.', 126,
        '/', 339,
        ':', 320,
        ';', 277,
        '<', 293,
        '=', 132,
        '>', 333,
        '?', 318,
      );
      if (lookahead == '\\') SKIP(26);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(276);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(93);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 94:
      ADVANCE_MAP(
        '!', 352,
        '#', 366,
        '$', 123,
        '%', 341,
        '&', 284,
        '(', 263,
        '*', 280,
        '+', 338,
        '-', 355,
        '.', 128,
        '/', 339,
        ':', 288,
        '<', 293,
        '=', 133,
        '>', 333,
        '@', 140,
        '[', 142,
      );
      if (lookahead == '\\') SKIP(24);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == '`') ADVANCE(361);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '~') ADVANCE(354);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 95:
      ADVANCE_MAP(
        '!', 352,
        '#', 366,
        '$', 123,
        '%', 341,
        '&', 284,
        '(', 263,
        '*', 280,
        '+', 338,
        '-', 355,
        '.', 128,
        '/', 339,
        '<', 293,
        '=', 133,
        '>', 333,
        '@', 140,
        '[', 142,
      );
      if (lookahead == '\\') SKIP(24);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == '`') ADVANCE(361);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '~') ADVANCE(354);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 96:
      ADVANCE_MAP(
        '!', 352,
        '#', 366,
        '$', 123,
        '%', 341,
        '&', 284,
        '*', 280,
        '+', 338,
        '-', 355,
        '.', 128,
        '/', 339,
        '<', 293,
        '=', 363,
        '>', 333,
        '@', 140,
        '[', 142,
      );
      if (lookahead == '\\') SKIP(56);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == '`') ADVANCE(361);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '~') ADVANCE(354);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(97);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 97:
      ADVANCE_MAP(
        '!', 352,
        '#', 366,
        '$', 123,
        '%', 341,
        '&', 284,
        '*', 280,
        '+', 338,
        '-', 355,
        '.', 128,
        '/', 339,
        '<', 293,
        '=', 133,
        '>', 333,
        '@', 140,
        '[', 142,
      );
      if (lookahead == '\\') SKIP(56);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == '`') ADVANCE(361);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '~') ADVANCE(354);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(97);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 98:
      ADVANCE_MAP(
        '!', 352,
        '#', 366,
        '%', 341,
        '&', 284,
        '(', 298,
        '*', 280,
        '+', 338,
        '-', 355,
        '.', 128,
        '/', 339,
        '<', 293,
        '=', 133,
        '>', 333,
        '[', 142,
      );
      if (lookahead == '\\') SKIP(28);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == '`') ADVANCE(361);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '~') ADVANCE(354);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '!', 352,
        '#', 366,
        '%', 341,
        '&', 284,
        '*', 280,
        '+', 338,
        '-', 355,
        '.', 128,
        '/', 339,
        '<', 293,
        '=', 133,
        '>', 333,
        '[', 142,
      );
      if (lookahead == '\\') SKIP(28);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == '`') ADVANCE(361);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '~') ADVANCE(354);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 100:
      if (lookahead == '#') ADVANCE(365);
      if (lookahead == '=') ADVANCE(143);
      if (lookahead == '\\') ADVANCE(41);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(425);
      END_STATE();
    case 101:
      if (lookahead == '#') ADVANCE(365);
      if (lookahead == '=') ADVANCE(143);
      if (lookahead == '\\') ADVANCE(42);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(101);
      END_STATE();
    case 102:
      ADVANCE_MAP(
        '#', 366,
        '$', 123,
        '(', 263,
        ')', 264,
        '*', 279,
        '+', 335,
        ',', 273,
        '-', 138,
        '.', 126,
        '0', 368,
        ':', 130,
        ';', 277,
        '=', 139,
        '@', 140,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(14);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(102);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(383);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 103:
      ADVANCE_MAP(
        '#', 366,
        '$', 123,
        '(', 263,
        ')', 264,
        '*', 279,
        '+', 335,
        ',', 273,
        '-', 138,
        '0', 368,
        ':', 130,
        ';', 277,
        '=', 269,
        '?', 141,
        '@', 140,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(12);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(103);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 104:
      ADVANCE_MAP(
        '#', 366,
        '&', 284,
        '(', 263,
        ')', 264,
        '*', 280,
        ',', 273,
        '.', 126,
        ':', 288,
        ';', 277,
        '=', 139,
      );
      if (lookahead == '\\') SKIP(36);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(106);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 105:
      ADVANCE_MAP(
        '#', 366,
        '&', 284,
        '(', 263,
        ')', 264,
        '*', 280,
        ',', 273,
        '.', 126,
        ':', 288,
        ';', 277,
        '=', 272,
      );
      if (lookahead == '\\') SKIP(32);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(107);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 106:
      ADVANCE_MAP(
        '#', 366,
        '&', 284,
        '(', 263,
        ')', 264,
        '*', 280,
        ',', 273,
        '.', 126,
        ';', 277,
        '=', 139,
      );
      if (lookahead == '\\') SKIP(36);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(106);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 107:
      ADVANCE_MAP(
        '#', 366,
        '&', 284,
        '(', 263,
        ')', 264,
        '*', 280,
        ',', 273,
        '.', 126,
        ';', 277,
        '=', 272,
      );
      if (lookahead == '\\') SKIP(32);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(107);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 108:
      ADVANCE_MAP(
        '#', 366,
        '&', 284,
        '(', 263,
        ')', 264,
        '*', 280,
        ',', 273,
        '.', 267,
        ':', 130,
        ';', 277,
        '=', 272,
      );
      if (lookahead == '\\') SKIP(30);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(108);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 109:
      ADVANCE_MAP(
        '#', 366,
        '&', 284,
        '(', 263,
        '*', 280,
        '.', 267,
        ':', 130,
        ';', 277,
        '=', 269,
      );
      if (lookahead == '\\') SKIP(60);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(109);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 110:
      ADVANCE_MAP(
        '#', 366,
        '&', 284,
        '(', 263,
        '*', 280,
        '.', 267,
        ':', 130,
        ';', 277,
        '=', 362,
      );
      if (lookahead == '\\') SKIP(60);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(109);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 111:
      ADVANCE_MAP(
        '#', 366,
        '&', 125,
        '(', 298,
        ')', 264,
        ',', 273,
        '.', 265,
        ':', 129,
        ';', 277,
        '=', 139,
      );
      if (lookahead == '\\') SKIP(38);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(113);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 112:
      ADVANCE_MAP(
        '#', 366,
        '&', 125,
        '(', 298,
        ')', 264,
        ',', 273,
        '.', 265,
        ':', 129,
        '=', 269,
      );
      if (lookahead == '\\') SKIP(40);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '{') ADVANCE(260);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(114);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 113:
      if (lookahead == '#') ADVANCE(366);
      if (lookahead == '&') ADVANCE(125);
      if (lookahead == ')') ADVANCE(264);
      if (lookahead == ',') ADVANCE(273);
      if (lookahead == '.') ADVANCE(265);
      if (lookahead == ';') ADVANCE(277);
      if (lookahead == '=') ADVANCE(139);
      if (lookahead == '\\') SKIP(38);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(113);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 114:
      if (lookahead == '#') ADVANCE(366);
      if (lookahead == '&') ADVANCE(125);
      if (lookahead == ')') ADVANCE(264);
      if (lookahead == ',') ADVANCE(273);
      if (lookahead == '.') ADVANCE(265);
      if (lookahead == '=') ADVANCE(269);
      if (lookahead == '\\') SKIP(40);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '{') ADVANCE(260);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(114);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 115:
      ADVANCE_MAP(
        '#', 366,
        '(', 298,
        ')', 264,
        ',', 273,
        ':', 290,
        ';', 277,
        '=', 139,
        '[', 297,
      );
      if (lookahead == '\\') SKIP(34);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(117);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 116:
      ADVANCE_MAP(
        '#', 366,
        '(', 263,
        ')', 264,
        '*', 280,
        '+', 335,
        ',', 273,
        '-', 138,
        '.', 126,
        '0', 368,
        ':', 130,
        ';', 277,
        '=', 143,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(16);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(116);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 117:
      if (lookahead == '#') ADVANCE(366);
      if (lookahead == ')') ADVANCE(264);
      if (lookahead == ',') ADVANCE(273);
      if (lookahead == ':') ADVANCE(130);
      if (lookahead == ';') ADVANCE(277);
      if (lookahead == '=') ADVANCE(139);
      if (lookahead == '\\') SKIP(34);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(117);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 118:
      if (lookahead == '#') ADVANCE(366);
      if (lookahead == ')') ADVANCE(264);
      if (lookahead == ',') ADVANCE(273);
      if (lookahead == ';') ADVANCE(277);
      if (lookahead == '=') ADVANCE(143);
      if (lookahead == '\\') SKIP(58);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(118);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 119:
      if (lookahead == '#') ADVANCE(366);
      if (lookahead == ')') ADVANCE(264);
      if (lookahead == ',') ADVANCE(273);
      if (lookahead == ';') ADVANCE(277);
      if (lookahead == '=') ADVANCE(362);
      if (lookahead == '\\') SKIP(58);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(118);
      if (lookahead > '^' &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 120:
      if (lookahead == '#') ADVANCE(366);
      if (lookahead == '=') ADVANCE(143);
      if (lookahead == '\\') SKIP(44);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(426);
      END_STATE();
    case 121:
      if (lookahead == '*') ADVANCE(283);
      END_STATE();
    case 122:
      if (lookahead == '*') ADVANCE(137);
      if (lookahead == '=') ADVANCE(307);
      END_STATE();
    case 123:
      if (lookahead == '-') ADVANCE(168);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(417);
      if (lookahead == '!' ||
          lookahead == '"' ||
          lookahead == '$' ||
          lookahead == '&' ||
          lookahead == '\'' ||
          ('*' <= lookahead && lookahead <= '@') ||
          lookahead == '\\' ||
          lookahead == '`' ||
          lookahead == '~') ADVANCE(416);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(418);
      END_STATE();
    case 124:
      if (lookahead == '-') ADVANCE(170);
      END_STATE();
    case 125:
      if (lookahead == '.') ADVANCE(304);
      END_STATE();
    case 126:
      if (lookahead == '.') ADVANCE(300);
      END_STATE();
    case 127:
      if (lookahead == '.') ADVANCE(278);
      END_STATE();
    case 128:
      if (lookahead == '.') ADVANCE(299);
      END_STATE();
    case 129:
      if (lookahead == ':') ADVANCE(303);
      END_STATE();
    case 130:
      if (lookahead == ':') ADVANCE(268);
      END_STATE();
    case 131:
      if (lookahead == '=') ADVANCE(344);
      if (lookahead == '~') ADVANCE(348);
      END_STATE();
    case 132:
      if (lookahead == '=') ADVANCE(343);
      if (lookahead == '>') ADVANCE(294);
      if (lookahead == 'b') ADVANCE(145);
      if (lookahead == '~') ADVANCE(347);
      END_STATE();
    case 133:
      if (lookahead == '=') ADVANCE(343);
      if (lookahead == 'b') ADVANCE(145);
      if (lookahead == '~') ADVANCE(347);
      END_STATE();
    case 134:
      if (lookahead == '=') ADVANCE(146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '*') ADVANCE(134);
      if (lookahead != 0) ADVANCE(134);
      END_STATE();
    case 135:
      if (lookahead == '=') ADVANCE(306);
      END_STATE();
    case 136:
      if (lookahead == '=') ADVANCE(306);
      if (lookahead == '>') ADVANCE(433);
      END_STATE();
    case 137:
      if (lookahead == '=') ADVANCE(308);
      END_STATE();
    case 138:
      if (lookahead == '>') ADVANCE(433);
      END_STATE();
    case 139:
      if (lookahead == '>') ADVANCE(294);
      if (lookahead == 'b') ADVANCE(145);
      END_STATE();
    case 140:
      if (lookahead == '@') ADVANCE(169);
      if (lookahead > '@' &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(414);
      END_STATE();
    case 141:
      if (lookahead == '\\') ADVANCE(423);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(419);
      END_STATE();
    case 142:
      if (lookahead == ']') ADVANCE(359);
      END_STATE();
    case 143:
      if (lookahead == 'b') ADVANCE(145);
      END_STATE();
    case 144:
      if (lookahead == 'd') ADVANCE(2);
      if (lookahead != 0) ADVANCE(134);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(147);
      END_STATE();
    case 146:
      if (lookahead == 'e') ADVANCE(150);
      if (lookahead != 0) ADVANCE(134);
      END_STATE();
    case 147:
      if (lookahead == 'g') ADVANCE(148);
      END_STATE();
    case 148:
      if (lookahead == 'i') ADVANCE(149);
      END_STATE();
    case 149:
      if (lookahead == 'n') ADVANCE(1);
      END_STATE();
    case 150:
      if (lookahead == 'n') ADVANCE(144);
      if (lookahead != 0) ADVANCE(134);
      END_STATE();
    case 151:
      if (lookahead == '{') ADVANCE(165);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(167);
      END_STATE();
    case 152:
      if (lookahead == '}') ADVANCE(419);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(152);
      END_STATE();
    case 153:
      if (lookahead == '}') ADVANCE(427);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(153);
      END_STATE();
    case 154:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      END_STATE();
    case 155:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(370);
      END_STATE();
    case 156:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(369);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(367);
      END_STATE();
    case 157:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(371);
      END_STATE();
    case 158:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(369);
      END_STATE();
    case 159:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(374);
      END_STATE();
    case 160:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(373);
      END_STATE();
    case 161:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      END_STATE();
    case 162:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(372);
      END_STATE();
    case 163:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(427);
      END_STATE();
    case 164:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(432);
      END_STATE();
    case 165:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(153);
      END_STATE();
    case 166:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(163);
      END_STATE();
    case 167:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(166);
      END_STATE();
    case 168:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(416);
      END_STATE();
    case 169:
      if (lookahead > '@' &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(415);
      END_STATE();
    case 170:
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(419);
      END_STATE();
    case 171:
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(421);
      END_STATE();
    case 172:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(208);
      END_STATE();
    case 173:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(208);
      if (lookahead == '\r') SKIP(172);
      END_STATE();
    case 174:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(215);
      END_STATE();
    case 175:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(215);
      if (lookahead == '\r') SKIP(174);
      END_STATE();
    case 176:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(216);
      END_STATE();
    case 177:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(216);
      if (lookahead == '\r') SKIP(176);
      END_STATE();
    case 178:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(224);
      END_STATE();
    case 179:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(224);
      if (lookahead == '\r') SKIP(178);
      END_STATE();
    case 180:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(232);
      END_STATE();
    case 181:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(232);
      if (lookahead == '\r') SKIP(180);
      END_STATE();
    case 182:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(219);
      END_STATE();
    case 183:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(219);
      if (lookahead == '\r') SKIP(182);
      END_STATE();
    case 184:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(220);
      END_STATE();
    case 185:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(220);
      if (lookahead == '\r') SKIP(184);
      END_STATE();
    case 186:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(222);
      END_STATE();
    case 187:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(222);
      if (lookahead == '\r') SKIP(186);
      END_STATE();
    case 188:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(230);
      END_STATE();
    case 189:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(230);
      if (lookahead == '\r') SKIP(188);
      END_STATE();
    case 190:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(229);
      END_STATE();
    case 191:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(229);
      if (lookahead == '\r') SKIP(190);
      END_STATE();
    case 192:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(228);
      END_STATE();
    case 193:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(228);
      if (lookahead == '\r') SKIP(192);
      END_STATE();
    case 194:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(234);
      END_STATE();
    case 195:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(234);
      if (lookahead == '\r') SKIP(194);
      END_STATE();
    case 196:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(210);
      END_STATE();
    case 197:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(210);
      if (lookahead == '\r') SKIP(196);
      END_STATE();
    case 198:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(223);
      END_STATE();
    case 199:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(223);
      if (lookahead == '\r') SKIP(198);
      END_STATE();
    case 200:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(235);
      END_STATE();
    case 201:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(235);
      if (lookahead == '\r') SKIP(200);
      END_STATE();
    case 202:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(236);
      END_STATE();
    case 203:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(236);
      if (lookahead == '\r') SKIP(202);
      END_STATE();
    case 204:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(212);
      END_STATE();
    case 205:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(212);
      if (lookahead == '\r') SKIP(204);
      END_STATE();
    case 206:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(214);
      END_STATE();
    case 207:
      if (eof) ADVANCE(238);
      if (lookahead == '\n') SKIP(214);
      if (lookahead == '\r') SKIP(206);
      END_STATE();
    case 208:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '!', 351,
        '#', 365,
        '$', 123,
        '%', 342,
        '&', 285,
        '(', 263,
        ')', 264,
        '*', 281,
        '+', 337,
        ',', 273,
        '-', 355,
        '.', 266,
        '/', 340,
        '0', 368,
        ':', 322,
        ';', 277,
        '<', 292,
        '=', 271,
        '>', 332,
        '?', 319,
        '@', 140,
        'B', 377,
        'E', 380,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(173);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '^') ADVANCE(302);
      if (lookahead == '_') ADVANCE(403);
      if (lookahead == '`') ADVANCE(361);
      if (lookahead == 'd') ADVANCE(407);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(275);
      if (lookahead == '}') ADVANCE(261);
      if (lookahead == '~') ADVANCE(354);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '`') ADVANCE(412);
      END_STATE();
    case 209:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '!', 351,
        '#', 366,
        '$', 123,
        '%', 342,
        '&', 285,
        '(', 298,
        '*', 282,
        '+', 336,
        ',', 273,
        '-', 136,
        '.', 266,
        '/', 340,
        '0', 368,
        ':', 289,
        ';', 277,
        '<', 292,
        '=', 270,
        '>', 332,
        '?', 319,
        '@', 140,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(197);
      if (lookahead == '^') ADVANCE(302);
      if (lookahead == '_') ADVANCE(390);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(275);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 210:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '!', 351,
        '#', 366,
        '$', 123,
        '%', 342,
        '&', 285,
        '(', 263,
        '*', 282,
        '+', 336,
        ',', 273,
        '-', 136,
        '.', 266,
        '/', 340,
        '0', 368,
        ':', 130,
        ';', 277,
        '<', 292,
        '=', 270,
        '>', 332,
        '?', 319,
        '@', 140,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(197);
      if (lookahead == '^') ADVANCE(302);
      if (lookahead == '_') ADVANCE(390);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(275);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 211:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '!', 351,
        '#', 366,
        '$', 123,
        '%', 341,
        '&', 287,
        '(', 298,
        '*', 279,
        '+', 335,
        ',', 273,
        '-', 138,
        '.', 266,
        '/', 339,
        '0', 368,
        ':', 289,
        ';', 277,
        '<', 293,
        '=', 132,
        '>', 333,
        '?', 319,
        '@', 140,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(205);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == '_') ADVANCE(390);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(276);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 212:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '!', 351,
        '#', 366,
        '$', 123,
        '%', 341,
        '&', 287,
        '(', 263,
        '*', 279,
        '+', 335,
        ',', 273,
        '-', 138,
        '.', 266,
        '/', 339,
        '0', 368,
        ':', 130,
        ';', 277,
        '<', 293,
        '=', 132,
        '>', 333,
        '?', 319,
        '@', 140,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(205);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == '_') ADVANCE(390);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(276);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 213:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '!', 351,
        '#', 366,
        '$', 123,
        '%', 341,
        '&', 287,
        '(', 263,
        '*', 279,
        '+', 335,
        ',', 273,
        '-', 138,
        '.', 266,
        '/', 339,
        '0', 368,
        ':', 129,
        ';', 277,
        '<', 293,
        '=', 132,
        '>', 333,
        '?', 319,
        '@', 140,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(205);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == '_') ADVANCE(390);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(276);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 214:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '!', 351,
        '#', 366,
        '$', 123,
        '%', 341,
        '&', 286,
        '(', 263,
        '*', 279,
        '+', 335,
        ',', 273,
        '-', 138,
        '.', 126,
        '/', 339,
        '0', 368,
        ':', 130,
        ';', 277,
        '<', 293,
        '=', 132,
        '>', 333,
        '?', 319,
        '@', 140,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(207);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == '_') ADVANCE(390);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(276);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 215:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '!', 350,
        '#', 366,
        '$', 123,
        '(', 263,
        ')', 264,
        '*', 279,
        '+', 335,
        ',', 273,
        '-', 138,
        '.', 126,
        '0', 368,
        ':', 130,
        ';', 277,
        '=', 139,
        '?', 141,
        '@', 140,
        'B', 377,
        'E', 380,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(175);
      if (lookahead == ']') ADVANCE(296);
      if (lookahead == '_') ADVANCE(390);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '}') ADVANCE(261);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '`') ADVANCE(399);
      END_STATE();
    case 216:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '!', 350,
        '#', 366,
        '$', 123,
        '(', 263,
        '*', 279,
        '+', 335,
        ',', 273,
        '-', 138,
        '.', 126,
        '0', 368,
        ':', 130,
        ';', 277,
        '=', 143,
        '?', 141,
        '@', 140,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(177);
      if (lookahead == '_') ADVANCE(390);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '~') ADVANCE(353);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 217:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '!', 131,
        '#', 366,
        '%', 342,
        '&', 285,
        '(', 298,
        ')', 264,
        '*', 122,
        '+', 336,
        ',', 273,
        '-', 135,
        '.', 266,
        '/', 340,
        ':', 289,
        ';', 277,
        '<', 292,
        '=', 270,
        '>', 332,
        '?', 318,
        '[', 297,
      );
      if (lookahead == '\\') SKIP(183);
      if (lookahead == '^') ADVANCE(302);
      if (lookahead == '_') ADVANCE(403);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(275);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 218:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '!', 131,
        '#', 366,
        '%', 342,
        '&', 285,
        '(', 298,
        '*', 122,
        '+', 336,
        ',', 273,
        '-', 135,
        '.', 266,
        '/', 340,
        ':', 289,
        ';', 277,
        '<', 292,
        '=', 270,
        '>', 332,
        '?', 318,
      );
      if (lookahead == '\\') SKIP(185);
      if (lookahead == '^') ADVANCE(302);
      if (lookahead == '_') ADVANCE(403);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(275);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 219:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '!', 131,
        '#', 366,
        '%', 342,
        '&', 285,
        ')', 264,
        '*', 122,
        '+', 336,
        ',', 273,
        '-', 135,
        '.', 266,
        '/', 340,
        ':', 130,
        ';', 277,
        '<', 292,
        '=', 270,
        '>', 332,
        '?', 318,
      );
      if (lookahead == '\\') SKIP(183);
      if (lookahead == '^') ADVANCE(302);
      if (lookahead == '_') ADVANCE(403);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(275);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 220:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '!', 131,
        '#', 366,
        '%', 342,
        '&', 285,
        '*', 122,
        '+', 336,
        ',', 273,
        '-', 135,
        '.', 266,
        '/', 340,
        ';', 277,
        '<', 292,
        '=', 270,
        '>', 332,
        '?', 318,
      );
      if (lookahead == '\\') SKIP(185);
      if (lookahead == '^') ADVANCE(302);
      if (lookahead == '_') ADVANCE(403);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(275);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 221:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '!', 131,
        '#', 366,
        '%', 341,
        '&', 287,
        '(', 298,
        ')', 264,
        '+', 335,
        ',', 273,
        '.', 266,
        '/', 339,
        ':', 289,
        ';', 277,
        '<', 293,
        '=', 132,
        '>', 333,
        '?', 318,
      );
      if (lookahead == '\\') SKIP(187);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == '_') ADVANCE(403);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(276);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 222:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '!', 131,
        '#', 366,
        '%', 341,
        '&', 287,
        ')', 264,
        '+', 335,
        ',', 273,
        '.', 266,
        '/', 339,
        ';', 277,
        '<', 293,
        '=', 132,
        '>', 333,
        '?', 318,
      );
      if (lookahead == '\\') SKIP(187);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == '_') ADVANCE(403);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(276);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 223:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '!', 131,
        '#', 366,
        '%', 341,
        '&', 286,
        ')', 264,
        '+', 335,
        ',', 273,
        '.', 126,
        '/', 339,
        ';', 277,
        '<', 293,
        '=', 132,
        '>', 333,
        '?', 318,
      );
      if (lookahead == '\\') SKIP(199);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == '_') ADVANCE(403);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(276);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 224:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '#', 366,
        '$', 123,
        '(', 263,
        '+', 335,
        ',', 273,
        '-', 138,
        '0', 368,
        ':', 130,
        ';', 277,
        '=', 269,
        '?', 141,
        '@', 140,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(179);
      if (lookahead == '_') ADVANCE(390);
      if (lookahead == 'd') ADVANCE(394);
      if (lookahead == '{') ADVANCE(260);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 225:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '#', 366,
        '&', 125,
        '(', 298,
        ')', 264,
        ',', 273,
        '.', 265,
        ':', 129,
        ';', 277,
        '=', 269,
      );
      if (lookahead == '\\') SKIP(191);
      if (lookahead == '_') ADVANCE(403);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 226:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '#', 366,
        '&', 125,
        '(', 298,
        '*', 121,
        ',', 273,
        '.', 265,
        ':', 129,
        ';', 277,
        '=', 143,
      );
      if (lookahead == '\\') SKIP(189);
      if (lookahead == '_') ADVANCE(390);
      if (lookahead == '{') ADVANCE(260);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 227:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '#', 366,
        '&', 125,
        ')', 264,
        ',', 273,
        '.', 265,
        ':', 129,
        ';', 277,
        '=', 139,
      );
      if (lookahead == '\\') SKIP(193);
      if (lookahead == '_') ADVANCE(403);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 228:
      if (eof) ADVANCE(238);
      if (lookahead == '#') ADVANCE(366);
      if (lookahead == '&') ADVANCE(125);
      if (lookahead == ')') ADVANCE(264);
      if (lookahead == ',') ADVANCE(273);
      if (lookahead == '.') ADVANCE(265);
      if (lookahead == ';') ADVANCE(277);
      if (lookahead == '=') ADVANCE(139);
      if (lookahead == '\\') SKIP(193);
      if (lookahead == '_') ADVANCE(403);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 229:
      if (eof) ADVANCE(238);
      if (lookahead == '#') ADVANCE(366);
      if (lookahead == '&') ADVANCE(125);
      if (lookahead == ')') ADVANCE(264);
      if (lookahead == ',') ADVANCE(273);
      if (lookahead == '.') ADVANCE(265);
      if (lookahead == ';') ADVANCE(277);
      if (lookahead == '=') ADVANCE(269);
      if (lookahead == '\\') SKIP(191);
      if (lookahead == '_') ADVANCE(403);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 230:
      if (eof) ADVANCE(238);
      if (lookahead == '#') ADVANCE(366);
      if (lookahead == '&') ADVANCE(125);
      if (lookahead == '*') ADVANCE(121);
      if (lookahead == ',') ADVANCE(273);
      if (lookahead == '.') ADVANCE(265);
      if (lookahead == ';') ADVANCE(277);
      if (lookahead == '=') ADVANCE(143);
      if (lookahead == '\\') SKIP(189);
      if (lookahead == '_') ADVANCE(390);
      if (lookahead == '{') ADVANCE(260);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(382);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 231:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '#', 366,
        '(', 298,
        ')', 264,
        ',', 273,
        '.', 265,
        ':', 290,
        ';', 277,
        '=', 139,
        '[', 297,
      );
      if (lookahead == '\\') SKIP(201);
      if (lookahead == '_') ADVANCE(403);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 232:
      if (eof) ADVANCE(238);
      ADVANCE_MAP(
        '#', 366,
        '(', 263,
        ')', 264,
        '*', 279,
        '+', 335,
        ',', 273,
        '-', 138,
        '.', 126,
        '0', 368,
        ':', 130,
        ';', 277,
        '=', 139,
        '[', 295,
      );
      if (lookahead == '\\') SKIP(181);
      if (lookahead == '^') ADVANCE(301);
      if (lookahead == '_') ADVANCE(403);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(369);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(383);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 233:
      if (eof) ADVANCE(238);
      if (lookahead == '#') ADVANCE(366);
      if (lookahead == ')') ADVANCE(264);
      if (lookahead == ',') ADVANCE(273);
      if (lookahead == '.') ADVANCE(126);
      if (lookahead == ':') ADVANCE(288);
      if (lookahead == ';') ADVANCE(277);
      if (lookahead == '=') ADVANCE(139);
      if (lookahead == '\\') SKIP(195);
      if (lookahead == '_') ADVANCE(403);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 234:
      if (eof) ADVANCE(238);
      if (lookahead == '#') ADVANCE(366);
      if (lookahead == ')') ADVANCE(264);
      if (lookahead == ',') ADVANCE(273);
      if (lookahead == '.') ADVANCE(126);
      if (lookahead == ';') ADVANCE(277);
      if (lookahead == '=') ADVANCE(139);
      if (lookahead == '\\') SKIP(195);
      if (lookahead == '_') ADVANCE(403);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 235:
      if (eof) ADVANCE(238);
      if (lookahead == '#') ADVANCE(366);
      if (lookahead == ')') ADVANCE(264);
      if (lookahead == ',') ADVANCE(273);
      if (lookahead == '.') ADVANCE(265);
      if (lookahead == ':') ADVANCE(130);
      if (lookahead == ';') ADVANCE(277);
      if (lookahead == '=') ADVANCE(139);
      if (lookahead == '\\') SKIP(201);
      if (lookahead == '_') ADVANCE(403);
      if (lookahead == '{') ADVANCE(260);
      if (lookahead == '|') ADVANCE(274);
      if (lookahead == '}') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 236:
      if (eof) ADVANCE(238);
      if (lookahead == '#') ADVANCE(366);
      if (lookahead == ',') ADVANCE(273);
      if (lookahead == ';') ADVANCE(277);
      if (lookahead == '=') ADVANCE(143);
      if (lookahead == '\\') SKIP(203);
      if (lookahead == '_') ADVANCE(403);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 237:
      if (eof) ADVANCE(238);
      if (lookahead == '#') ADVANCE(366);
      if (lookahead == ',') ADVANCE(273);
      if (lookahead == ';') ADVANCE(277);
      if (lookahead == '=') ADVANCE(362);
      if (lookahead == '\\') SKIP(203);
      if (lookahead == '_') ADVANCE(403);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236);
      if (lookahead > '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(aux_sym_program_token1);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym___END__);
      if (lookahead == '?') ADVANCE(413);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(239);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym___END__);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(239);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '\n') ADVANCE(248);
      if (lookahead == '\r') ADVANCE(244);
      if (lookahead != 0) ADVANCE(258);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '\n') ADVANCE(248);
      if (lookahead != 0) ADVANCE(258);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '\n') ADVANCE(258);
      if (lookahead == '\r') ADVANCE(245);
      if (lookahead != 0) ADVANCE(245);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '\n') ADVANCE(258);
      if (lookahead != 0) ADVANCE(246);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '\n') ADVANCE(249);
      if (lookahead == '\r') ADVANCE(247);
      if (lookahead != 0) ADVANCE(247);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '#') ADVANCE(246);
      if (lookahead == '=') ADVANCE(250);
      if (lookahead == '\\') ADVANCE(243);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(248);
      if (lookahead != 0) ADVANCE(258);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == '=') ADVANCE(253);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '*') ADVANCE(249);
      if (lookahead != 0) ADVANCE(249);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == 'b') ADVANCE(252);
      if (lookahead != 0) ADVANCE(258);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == 'd') ADVANCE(245);
      if (lookahead != 0) ADVANCE(249);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == 'e') ADVANCE(254);
      if (lookahead != 0) ADVANCE(258);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == 'e') ADVANCE(256);
      if (lookahead != 0) ADVANCE(249);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == 'g') ADVANCE(255);
      if (lookahead != 0) ADVANCE(258);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == 'i') ADVANCE(257);
      if (lookahead != 0) ADVANCE(258);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == 'n') ADVANCE(251);
      if (lookahead != 0) ADVANCE(249);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead == 'n') ADVANCE(247);
      if (lookahead != 0) ADVANCE(258);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_uninterpreted);
      if (lookahead != 0) ADVANCE(258);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_BEGIN);
      if (lookahead == '?') ADVANCE(384);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(382);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_END);
      if (lookahead == '?') ADVANCE(384);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(382);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(300);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(127);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(343);
      if (lookahead == '>') ADVANCE(294);
      if (lookahead == '~') ADVANCE(347);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(343);
      if (lookahead == '~') ADVANCE(347);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(294);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(311);
      if (lookahead == '|') ADVANCE(324);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(323);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(283);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(283);
      if (lookahead == '=') ADVANCE(307);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(137);
      if (lookahead == '=') ADVANCE(307);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(326);
      if (lookahead == '.') ADVANCE(304);
      if (lookahead == '=') ADVANCE(313);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(325);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(325);
      if (lookahead == '.') ADVANCE(304);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(303);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(268);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(328);
      if (lookahead == '=') ADVANCE(331);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(327);
      if (lookahead == '=') ADVANCE(331);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_LBRACK2);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(278);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(317);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_COLON_COLON2);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_AMP_DOT);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '\\') ADVANCE(423);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(419);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(anon_sym_COLON2);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(303);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(268);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(310);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(312);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(316);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(315);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(346);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(334);
      if (lookahead == '>') ADVANCE(330);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(334);
      if (lookahead == '>') ADVANCE(329);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(305);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(305);
      if (lookahead == '@') ADVANCE(356);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '@') ADVANCE(356);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '=') ADVANCE(309);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(314);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(345);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_BANG_TILDE);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_defined_QMARK);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(344);
      if (lookahead == '~') ADVANCE(348);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '~') ADVANCE(348);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '@') ADVANCE(358);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '@') ADVANCE(357);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(anon_sym_PLUS_AT);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(anon_sym_DASH_AT);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(anon_sym_TILDE_AT);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      if (lookahead == '=') ADVANCE(360);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK_EQ);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(anon_sym_EQ2);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_EQ2);
      if (lookahead == '=') ADVANCE(343);
      if (lookahead == '~') ADVANCE(347);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '{') ADVANCE(424);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(366);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(366);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(159);
      if (lookahead == '_') ADVANCE(156);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(154);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(369);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(367);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 159,
        '_', 158,
        'B', 155,
        'b', 155,
        'D', 160,
        'd', 160,
        'E', 154,
        'e', 154,
        'O', 157,
        'o', 157,
        'X', 162,
        'x', 162,
        '8', 369,
        '9', 369,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(367);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(159);
      if (lookahead == '_') ADVANCE(158);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(369);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(155);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(370);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(157);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(371);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(162);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(372);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(373);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(159);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(374);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '?') ADVANCE(384);
      if (lookahead == 'D') ADVANCE(262);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(382);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '?') ADVANCE(384);
      if (lookahead == 'E') ADVANCE(378);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(382);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '?') ADVANCE(384);
      if (lookahead == 'G') ADVANCE(379);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(382);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '?') ADVANCE(384);
      if (lookahead == 'I') ADVANCE(381);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(382);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '?') ADVANCE(384);
      if (lookahead == 'N') ADVANCE(376);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(382);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '?') ADVANCE(384);
      if (lookahead == 'N') ADVANCE(259);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(382);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead == '?') ADVANCE(384);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(382);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(sym_constant);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(383);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_constant_suffix_token1);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '?') ADVANCE(349);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '?') ADVANCE(349);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '?') ADVANCE(413);
      if (lookahead == 'D') ADVANCE(392);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '?') ADVANCE(413);
      if (lookahead == 'E') ADVANCE(389);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '?') ADVANCE(413);
      if (lookahead == 'N') ADVANCE(387);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '?') ADVANCE(413);
      if (lookahead == '_') ADVANCE(388);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '`' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '?') ADVANCE(413);
      if (lookahead == '_') ADVANCE(240);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '`' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '?') ADVANCE(413);
      if (lookahead == '_') ADVANCE(391);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '`' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '?') ADVANCE(413);
      if (lookahead == 'd') ADVANCE(386);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '?') ADVANCE(413);
      if (lookahead == 'e') ADVANCE(396);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '?') ADVANCE(413);
      if (lookahead == 'e') ADVANCE(393);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '?') ADVANCE(413);
      if (lookahead == 'f') ADVANCE(397);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '?') ADVANCE(413);
      if (lookahead == 'i') ADVANCE(398);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '?') ADVANCE(413);
      if (lookahead == 'n') ADVANCE(395);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '?') ADVANCE(413);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(399);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'D') ADVANCE(405);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(402);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'N') ADVANCE(400);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_') ADVANCE(401);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '`' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_') ADVANCE(241);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '`' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_') ADVANCE(404);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '`' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(385);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(409);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(406);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(410);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(411);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(408);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(412);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(aux_sym_identifier_suffix_token1);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(sym_instance_variable);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(414);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(sym_class_variable);
      if (lookahead > '/' &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(415);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(sym_global_variable);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(sym_global_variable);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(417);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(sym_global_variable);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(418);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(sym_character);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(sym_character);
      if (lookahead == '-') ADVANCE(171);
      if (lookahead == '{') ADVANCE(152);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(422);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(sym_character);
      if (lookahead == 'C' ||
          lookahead == 'M') ADVANCE(124);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(sym_character);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(422);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(sym_character);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(420);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACE);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(aux_sym_string_array_token1);
      if (lookahead == '\\') ADVANCE(41);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(425);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(aux_sym_string_array_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(426);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(41);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(425);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(42);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(427);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(430);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(427);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\\') SKIP(1);
      if (lookahead == '_') ADVANCE(2);
      if (lookahead == 'a') ADVANCE(3);
      if (lookahead == 'b') ADVANCE(4);
      if (lookahead == 'c') ADVANCE(5);
      if (lookahead == 'd') ADVANCE(6);
      if (lookahead == 'e') ADVANCE(7);
      if (lookahead == 'f') ADVANCE(8);
      if (lookahead == 'i') ADVANCE(9);
      if (lookahead == 'm') ADVANCE(10);
      if (lookahead == 'n') ADVANCE(11);
      if (lookahead == 'o') ADVANCE(12);
      if (lookahead == 'r') ADVANCE(13);
      if (lookahead == 's') ADVANCE(14);
      if (lookahead == 't') ADVANCE(15);
      if (lookahead == 'u') ADVANCE(16);
      if (lookahead == 'w') ADVANCE(17);
      if (lookahead == 'y') ADVANCE(18);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(19);
      if (lookahead == '\r') SKIP(20);
      END_STATE();
    case 2:
      if (lookahead == '_') ADVANCE(21);
      END_STATE();
    case 3:
      if (lookahead == 'l') ADVANCE(22);
      if (lookahead == 'n') ADVANCE(23);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(24);
      if (lookahead == 'r') ADVANCE(25);
      END_STATE();
    case 5:
      if (lookahead == 'a') ADVANCE(26);
      if (lookahead == 'l') ADVANCE(27);
      END_STATE();
    case 6:
      if (lookahead == 'e') ADVANCE(28);
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 7:
      if (lookahead == 'l') ADVANCE(30);
      if (lookahead == 'n') ADVANCE(31);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(32);
      if (lookahead == 'o') ADVANCE(33);
      END_STATE();
    case 9:
      ACCEPT_TOKEN(anon_sym_i);
      if (lookahead == 'f') ADVANCE(34);
      if (lookahead == 'n') ADVANCE(35);
      END_STATE();
    case 10:
      if (lookahead == 'o') ADVANCE(36);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(37);
      if (lookahead == 'i') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(39);
      END_STATE();
    case 12:
      if (lookahead == 'r') ADVANCE(40);
      END_STATE();
    case 13:
      ACCEPT_TOKEN(anon_sym_r);
      if (lookahead == 'e') ADVANCE(41);
      if (lookahead == 'i') ADVANCE(42);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 'u') ADVANCE(44);
      END_STATE();
    case 15:
      if (lookahead == 'h') ADVANCE(45);
      if (lookahead == 'r') ADVANCE(46);
      END_STATE();
    case 16:
      if (lookahead == 'n') ADVANCE(47);
      END_STATE();
    case 17:
      if (lookahead == 'h') ADVANCE(48);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(49);
      END_STATE();
    case 19:
      if (lookahead == '\\') SKIP(1);
      if (lookahead == '_') ADVANCE(2);
      if (lookahead == 'a') ADVANCE(3);
      if (lookahead == 'b') ADVANCE(4);
      if (lookahead == 'c') ADVANCE(5);
      if (lookahead == 'd') ADVANCE(6);
      if (lookahead == 'e') ADVANCE(7);
      if (lookahead == 'f') ADVANCE(8);
      if (lookahead == 'i') ADVANCE(50);
      if (lookahead == 'm') ADVANCE(10);
      if (lookahead == 'n') ADVANCE(11);
      if (lookahead == 'o') ADVANCE(12);
      if (lookahead == 'r') ADVANCE(51);
      if (lookahead == 's') ADVANCE(14);
      if (lookahead == 't') ADVANCE(15);
      if (lookahead == 'u') ADVANCE(16);
      if (lookahead == 'w') ADVANCE(17);
      if (lookahead == 'y') ADVANCE(18);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(19);
      END_STATE();
    case 21:
      if (lookahead == 'E') ADVANCE(52);
      if (lookahead == 'F') ADVANCE(53);
      if (lookahead == 'L') ADVANCE(54);
      END_STATE();
    case 22:
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 23:
      if (lookahead == 'd') ADVANCE(56);
      END_STATE();
    case 24:
      if (lookahead == 'g') ADVANCE(57);
      END_STATE();
    case 25:
      if (lookahead == 'e') ADVANCE(58);
      END_STATE();
    case 26:
      if (lookahead == 's') ADVANCE(59);
      END_STATE();
    case 27:
      if (lookahead == 'a') ADVANCE(60);
      END_STATE();
    case 28:
      if (lookahead == 'f') ADVANCE(61);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 30:
      if (lookahead == 's') ADVANCE(62);
      END_STATE();
    case 31:
      if (lookahead == 'd') ADVANCE(63);
      if (lookahead == 's') ADVANCE(64);
      END_STATE();
    case 32:
      if (lookahead == 'l') ADVANCE(65);
      END_STATE();
    case 33:
      if (lookahead == 'r') ADVANCE(66);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 36:
      if (lookahead == 'd') ADVANCE(67);
      END_STATE();
    case 37:
      if (lookahead == 'x') ADVANCE(68);
      END_STATE();
    case 38:
      if (lookahead == 'l') ADVANCE(69);
      END_STATE();
    case 39:
      if (lookahead == 't') ADVANCE(70);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 41:
      if (lookahead == 'd') ADVANCE(71);
      if (lookahead == 's') ADVANCE(72);
      if (lookahead == 't') ADVANCE(73);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_ri);
      END_STATE();
    case 43:
      if (lookahead == 'l') ADVANCE(74);
      END_STATE();
    case 44:
      if (lookahead == 'p') ADVANCE(75);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(76);
      END_STATE();
    case 46:
      if (lookahead == 'u') ADVANCE(77);
      END_STATE();
    case 47:
      if (lookahead == 'd') ADVANCE(78);
      if (lookahead == 'l') ADVANCE(79);
      if (lookahead == 't') ADVANCE(80);
      END_STATE();
    case 48:
      if (lookahead == 'e') ADVANCE(81);
      if (lookahead == 'i') ADVANCE(82);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(83);
      END_STATE();
    case 50:
      if (lookahead == 'f') ADVANCE(34);
      if (lookahead == 'n') ADVANCE(35);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(41);
      END_STATE();
    case 52:
      if (lookahead == 'N') ADVANCE(84);
      END_STATE();
    case 53:
      if (lookahead == 'I') ADVANCE(85);
      END_STATE();
    case 54:
      if (lookahead == 'I') ADVANCE(86);
      END_STATE();
    case 55:
      if (lookahead == 'a') ADVANCE(87);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 57:
      if (lookahead == 'i') ADVANCE(88);
      END_STATE();
    case 58:
      if (lookahead == 'a') ADVANCE(89);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 60:
      if (lookahead == 's') ADVANCE(91);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(92);
      if (lookahead == 'i') ADVANCE(93);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 64:
      if (lookahead == 'u') ADVANCE(94);
      END_STATE();
    case 65:
      if (lookahead == 's') ADVANCE(95);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 67:
      if (lookahead == 'u') ADVANCE(96);
      END_STATE();
    case 68:
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_nil);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 71:
      if (lookahead == 'o') ADVANCE(98);
      END_STATE();
    case 72:
      if (lookahead == 'c') ADVANCE(99);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(100);
      if (lookahead == 'u') ADVANCE(101);
      END_STATE();
    case 74:
      if (lookahead == 'f') ADVANCE(102);
      END_STATE();
    case 75:
      if (lookahead == 'e') ADVANCE(103);
      END_STATE();
    case 76:
      if (lookahead == 'n') ADVANCE(104);
      END_STATE();
    case 77:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 78:
      if (lookahead == 'e') ADVANCE(106);
      END_STATE();
    case 79:
      if (lookahead == 'e') ADVANCE(107);
      END_STATE();
    case 80:
      if (lookahead == 'i') ADVANCE(108);
      END_STATE();
    case 81:
      if (lookahead == 'n') ADVANCE(109);
      END_STATE();
    case 82:
      if (lookahead == 'l') ADVANCE(110);
      END_STATE();
    case 83:
      if (lookahead == 'l') ADVANCE(111);
      END_STATE();
    case 84:
      if (lookahead == 'C') ADVANCE(112);
      END_STATE();
    case 85:
      if (lookahead == 'L') ADVANCE(113);
      END_STATE();
    case 86:
      if (lookahead == 'N') ADVANCE(114);
      END_STATE();
    case 87:
      if (lookahead == 's') ADVANCE(115);
      END_STATE();
    case 88:
      if (lookahead == 'n') ADVANCE(116);
      END_STATE();
    case 89:
      if (lookahead == 'k') ADVANCE(117);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 91:
      if (lookahead == 's') ADVANCE(118);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 93:
      if (lookahead == 'f') ADVANCE(119);
      END_STATE();
    case 94:
      if (lookahead == 'r') ADVANCE(120);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 96:
      if (lookahead == 'l') ADVANCE(122);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_next);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_redo);
      END_STATE();
    case 99:
      if (lookahead == 'u') ADVANCE(123);
      END_STATE();
    case 100:
      if (lookahead == 'y') ADVANCE(124);
      END_STATE();
    case 101:
      if (lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_self);
      END_STATE();
    case 103:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 106:
      if (lookahead == 'f') ADVANCE(127);
      END_STATE();
    case 107:
      if (lookahead == 's') ADVANCE(128);
      END_STATE();
    case 108:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 110:
      if (lookahead == 'e') ADVANCE(130);
      END_STATE();
    case 111:
      if (lookahead == 'd') ADVANCE(131);
      END_STATE();
    case 112:
      if (lookahead == 'O') ADVANCE(132);
      END_STATE();
    case 113:
      if (lookahead == 'E') ADVANCE(133);
      END_STATE();
    case 114:
      if (lookahead == 'E') ADVANCE(134);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_alias);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_begin);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_elsif);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(135);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 122:
      if (lookahead == 'e') ADVANCE(136);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(137);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_retry);
      END_STATE();
    case 125:
      if (lookahead == 'n') ADVANCE(138);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_undef);
      END_STATE();
    case 128:
      if (lookahead == 's') ADVANCE(139);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_until);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 132:
      if (lookahead == 'D') ADVANCE(140);
      END_STATE();
    case 133:
      if (lookahead == '_') ADVANCE(141);
      END_STATE();
    case 134:
      if (lookahead == '_') ADVANCE(142);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_ensure);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_rescue);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_unless);
      END_STATE();
    case 140:
      if (lookahead == 'I') ADVANCE(143);
      END_STATE();
    case 141:
      if (lookahead == '_') ADVANCE(144);
      END_STATE();
    case 142:
      if (lookahead == '_') ADVANCE(145);
      END_STATE();
    case 143:
      if (lookahead == 'N') ADVANCE(146);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_file);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_line);
      END_STATE();
    case 146:
      if (lookahead == 'G') ADVANCE(147);
      END_STATE();
    case 147:
      if (lookahead == '_') ADVANCE(148);
      END_STATE();
    case 148:
      if (lookahead == '_') ADVANCE(149);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_encoding);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 215, .external_lex_state = 2},
  [2] = {.lex_state = 68, .external_lex_state = 3},
  [3] = {.lex_state = 68, .external_lex_state = 3},
  [4] = {.lex_state = 68, .external_lex_state = 3},
  [5] = {.lex_state = 68, .external_lex_state = 3},
  [6] = {.lex_state = 68, .external_lex_state = 3},
  [7] = {.lex_state = 68, .external_lex_state = 3},
  [8] = {.lex_state = 209, .external_lex_state = 3},
  [9] = {.lex_state = 209, .external_lex_state = 3},
  [10] = {.lex_state = 209, .external_lex_state = 3},
  [11] = {.lex_state = 209, .external_lex_state = 3},
  [12] = {.lex_state = 209, .external_lex_state = 3},
  [13] = {.lex_state = 209, .external_lex_state = 3},
  [14] = {.lex_state = 68, .external_lex_state = 3},
  [15] = {.lex_state = 68, .external_lex_state = 3},
  [16] = {.lex_state = 68, .external_lex_state = 3},
  [17] = {.lex_state = 68, .external_lex_state = 3},
  [18] = {.lex_state = 68, .external_lex_state = 3},
  [19] = {.lex_state = 68, .external_lex_state = 3},
  [20] = {.lex_state = 68, .external_lex_state = 3},
  [21] = {.lex_state = 68, .external_lex_state = 3},
  [22] = {.lex_state = 68, .external_lex_state = 4},
  [23] = {.lex_state = 68, .external_lex_state = 3},
  [24] = {.lex_state = 68, .external_lex_state = 3},
  [25] = {.lex_state = 68, .external_lex_state = 4},
  [26] = {.lex_state = 68, .external_lex_state = 3},
  [27] = {.lex_state = 68, .external_lex_state = 4},
  [28] = {.lex_state = 68, .external_lex_state = 4},
  [29] = {.lex_state = 68, .external_lex_state = 3},
  [30] = {.lex_state = 68, .external_lex_state = 3},
  [31] = {.lex_state = 68, .external_lex_state = 3},
  [32] = {.lex_state = 68, .external_lex_state = 3},
  [33] = {.lex_state = 68, .external_lex_state = 3},
  [34] = {.lex_state = 68, .external_lex_state = 4},
  [35] = {.lex_state = 68, .external_lex_state = 4},
  [36] = {.lex_state = 68, .external_lex_state = 4},
  [37] = {.lex_state = 68, .external_lex_state = 4},
  [38] = {.lex_state = 68, .external_lex_state = 4},
  [39] = {.lex_state = 68, .external_lex_state = 4},
  [40] = {.lex_state = 68, .external_lex_state = 4},
  [41] = {.lex_state = 68, .external_lex_state = 4},
  [42] = {.lex_state = 71, .external_lex_state = 3},
  [43] = {.lex_state = 71, .external_lex_state = 3},
  [44] = {.lex_state = 71, .external_lex_state = 3},
  [45] = {.lex_state = 71, .external_lex_state = 3},
  [46] = {.lex_state = 71, .external_lex_state = 3},
  [47] = {.lex_state = 71, .external_lex_state = 3},
  [48] = {.lex_state = 71, .external_lex_state = 3},
  [49] = {.lex_state = 71, .external_lex_state = 3},
  [50] = {.lex_state = 71, .external_lex_state = 3},
  [51] = {.lex_state = 71, .external_lex_state = 3},
  [52] = {.lex_state = 71, .external_lex_state = 3},
  [53] = {.lex_state = 211, .external_lex_state = 3},
  [54] = {.lex_state = 211, .external_lex_state = 3},
  [55] = {.lex_state = 211, .external_lex_state = 3},
  [56] = {.lex_state = 71, .external_lex_state = 3},
  [57] = {.lex_state = 71, .external_lex_state = 3},
  [58] = {.lex_state = 211, .external_lex_state = 3},
  [59] = {.lex_state = 211, .external_lex_state = 3},
  [60] = {.lex_state = 211, .external_lex_state = 3},
  [61] = {.lex_state = 211, .external_lex_state = 3},
  [62] = {.lex_state = 71, .external_lex_state = 3},
  [63] = {.lex_state = 211, .external_lex_state = 3},
  [64] = {.lex_state = 211, .external_lex_state = 3},
  [65] = {.lex_state = 211, .external_lex_state = 3},
  [66] = {.lex_state = 211, .external_lex_state = 3},
  [67] = {.lex_state = 71, .external_lex_state = 4},
  [68] = {.lex_state = 71, .external_lex_state = 3},
  [69] = {.lex_state = 71, .external_lex_state = 3},
  [70] = {.lex_state = 71, .external_lex_state = 4},
  [71] = {.lex_state = 71, .external_lex_state = 3},
  [72] = {.lex_state = 71, .external_lex_state = 4},
  [73] = {.lex_state = 71, .external_lex_state = 3},
  [74] = {.lex_state = 71, .external_lex_state = 4},
  [75] = {.lex_state = 71, .external_lex_state = 3},
  [76] = {.lex_state = 71, .external_lex_state = 3},
  [77] = {.lex_state = 71, .external_lex_state = 3},
  [78] = {.lex_state = 71, .external_lex_state = 3},
  [79] = {.lex_state = 71, .external_lex_state = 3},
  [80] = {.lex_state = 71, .external_lex_state = 3},
  [81] = {.lex_state = 71, .external_lex_state = 3},
  [82] = {.lex_state = 71, .external_lex_state = 3},
  [83] = {.lex_state = 71, .external_lex_state = 3},
  [84] = {.lex_state = 71, .external_lex_state = 3},
  [85] = {.lex_state = 71, .external_lex_state = 3},
  [86] = {.lex_state = 71, .external_lex_state = 4},
  [87] = {.lex_state = 71, .external_lex_state = 4},
  [88] = {.lex_state = 71, .external_lex_state = 4},
  [89] = {.lex_state = 71, .external_lex_state = 4},
  [90] = {.lex_state = 71, .external_lex_state = 3},
  [91] = {.lex_state = 71, .external_lex_state = 3},
  [92] = {.lex_state = 71, .external_lex_state = 4},
  [93] = {.lex_state = 71, .external_lex_state = 3},
  [94] = {.lex_state = 71, .external_lex_state = 3},
  [95] = {.lex_state = 71, .external_lex_state = 3},
  [96] = {.lex_state = 71, .external_lex_state = 3},
  [97] = {.lex_state = 71, .external_lex_state = 3},
  [98] = {.lex_state = 71, .external_lex_state = 4},
  [99] = {.lex_state = 71, .external_lex_state = 4},
  [100] = {.lex_state = 71, .external_lex_state = 4},
  [101] = {.lex_state = 71, .external_lex_state = 4},
  [102] = {.lex_state = 71, .external_lex_state = 3},
  [103] = {.lex_state = 71, .external_lex_state = 4},
  [104] = {.lex_state = 71, .external_lex_state = 3},
  [105] = {.lex_state = 71, .external_lex_state = 3},
  [106] = {.lex_state = 71, .external_lex_state = 4},
  [107] = {.lex_state = 71, .external_lex_state = 4},
  [108] = {.lex_state = 71, .external_lex_state = 4},
  [109] = {.lex_state = 71, .external_lex_state = 4},
  [110] = {.lex_state = 71, .external_lex_state = 4},
  [111] = {.lex_state = 71, .external_lex_state = 4},
  [112] = {.lex_state = 71, .external_lex_state = 4},
  [113] = {.lex_state = 71, .external_lex_state = 4},
  [114] = {.lex_state = 80, .external_lex_state = 2},
  [115] = {.lex_state = 80, .external_lex_state = 2},
  [116] = {.lex_state = 80, .external_lex_state = 2},
  [117] = {.lex_state = 80, .external_lex_state = 2},
  [118] = {.lex_state = 79, .external_lex_state = 5},
  [119] = {.lex_state = 79, .external_lex_state = 5},
  [120] = {.lex_state = 79, .external_lex_state = 5},
  [121] = {.lex_state = 79, .external_lex_state = 5},
  [122] = {.lex_state = 79, .external_lex_state = 5},
  [123] = {.lex_state = 76, .external_lex_state = 6},
  [124] = {.lex_state = 76, .external_lex_state = 6},
  [125] = {.lex_state = 76, .external_lex_state = 6},
  [126] = {.lex_state = 76, .external_lex_state = 6},
  [127] = {.lex_state = 78, .external_lex_state = 6},
  [128] = {.lex_state = 76, .external_lex_state = 6},
  [129] = {.lex_state = 78, .external_lex_state = 6},
  [130] = {.lex_state = 78, .external_lex_state = 6},
  [131] = {.lex_state = 76, .external_lex_state = 6},
  [132] = {.lex_state = 78, .external_lex_state = 6},
  [133] = {.lex_state = 78, .external_lex_state = 6},
  [134] = {.lex_state = 78, .external_lex_state = 6},
  [135] = {.lex_state = 81, .external_lex_state = 7},
  [136] = {.lex_state = 81, .external_lex_state = 7},
  [137] = {.lex_state = 81, .external_lex_state = 7},
  [138] = {.lex_state = 81, .external_lex_state = 7},
  [139] = {.lex_state = 80, .external_lex_state = 7},
  [140] = {.lex_state = 81, .external_lex_state = 7},
  [141] = {.lex_state = 81, .external_lex_state = 7},
  [142] = {.lex_state = 81, .external_lex_state = 7},
  [143] = {.lex_state = 80, .external_lex_state = 7},
  [144] = {.lex_state = 81, .external_lex_state = 7},
  [145] = {.lex_state = 80, .external_lex_state = 7},
  [146] = {.lex_state = 80, .external_lex_state = 7},
  [147] = {.lex_state = 81, .external_lex_state = 7},
  [148] = {.lex_state = 81, .external_lex_state = 7},
  [149] = {.lex_state = 81, .external_lex_state = 7},
  [150] = {.lex_state = 80, .external_lex_state = 7},
  [151] = {.lex_state = 81, .external_lex_state = 7},
  [152] = {.lex_state = 81, .external_lex_state = 7},
  [153] = {.lex_state = 81, .external_lex_state = 7},
  [154] = {.lex_state = 81, .external_lex_state = 7},
  [155] = {.lex_state = 81, .external_lex_state = 7},
  [156] = {.lex_state = 81, .external_lex_state = 7},
  [157] = {.lex_state = 81, .external_lex_state = 7},
  [158] = {.lex_state = 81, .external_lex_state = 7},
  [159] = {.lex_state = 80, .external_lex_state = 7},
  [160] = {.lex_state = 80, .external_lex_state = 7},
  [161] = {.lex_state = 81, .external_lex_state = 7},
  [162] = {.lex_state = 81, .external_lex_state = 7},
  [163] = {.lex_state = 81, .external_lex_state = 7},
  [164] = {.lex_state = 81, .external_lex_state = 7},
  [165] = {.lex_state = 81, .external_lex_state = 7},
  [166] = {.lex_state = 80, .external_lex_state = 7},
  [167] = {.lex_state = 80, .external_lex_state = 2},
  [168] = {.lex_state = 80, .external_lex_state = 7},
  [169] = {.lex_state = 80, .external_lex_state = 7},
  [170] = {.lex_state = 80, .external_lex_state = 7},
  [171] = {.lex_state = 80, .external_lex_state = 7},
  [172] = {.lex_state = 80, .external_lex_state = 7},
  [173] = {.lex_state = 80, .external_lex_state = 2},
  [174] = {.lex_state = 80, .external_lex_state = 7},
  [175] = {.lex_state = 80, .external_lex_state = 7},
  [176] = {.lex_state = 80, .external_lex_state = 2},
  [177] = {.lex_state = 80, .external_lex_state = 7},
  [178] = {.lex_state = 80, .external_lex_state = 7},
  [179] = {.lex_state = 80, .external_lex_state = 2},
  [180] = {.lex_state = 80, .external_lex_state = 2},
  [181] = {.lex_state = 80, .external_lex_state = 7},
  [182] = {.lex_state = 80, .external_lex_state = 2},
  [183] = {.lex_state = 80, .external_lex_state = 7},
  [184] = {.lex_state = 80, .external_lex_state = 2},
  [185] = {.lex_state = 80, .external_lex_state = 7},
  [186] = {.lex_state = 80, .external_lex_state = 7},
  [187] = {.lex_state = 80, .external_lex_state = 7},
  [188] = {.lex_state = 80, .external_lex_state = 7},
  [189] = {.lex_state = 74, .external_lex_state = 8},
  [190] = {.lex_state = 74, .external_lex_state = 8},
  [191] = {.lex_state = 80, .external_lex_state = 7},
  [192] = {.lex_state = 80, .external_lex_state = 2},
  [193] = {.lex_state = 80, .external_lex_state = 2},
  [194] = {.lex_state = 80, .external_lex_state = 2},
  [195] = {.lex_state = 80, .external_lex_state = 2},
  [196] = {.lex_state = 80, .external_lex_state = 2},
  [197] = {.lex_state = 80, .external_lex_state = 2},
  [198] = {.lex_state = 80, .external_lex_state = 2},
  [199] = {.lex_state = 80, .external_lex_state = 2},
  [200] = {.lex_state = 80, .external_lex_state = 2},
  [201] = {.lex_state = 80, .external_lex_state = 2},
  [202] = {.lex_state = 80, .external_lex_state = 2},
  [203] = {.lex_state = 80, .external_lex_state = 2},
  [204] = {.lex_state = 80, .external_lex_state = 2},
  [205] = {.lex_state = 80, .external_lex_state = 2},
  [206] = {.lex_state = 80, .external_lex_state = 2},
  [207] = {.lex_state = 80, .external_lex_state = 2},
  [208] = {.lex_state = 80, .external_lex_state = 2},
  [209] = {.lex_state = 80, .external_lex_state = 2},
  [210] = {.lex_state = 80, .external_lex_state = 2},
  [211] = {.lex_state = 80, .external_lex_state = 2},
  [212] = {.lex_state = 80, .external_lex_state = 2},
  [213] = {.lex_state = 80, .external_lex_state = 2},
  [214] = {.lex_state = 80, .external_lex_state = 2},
  [215] = {.lex_state = 80, .external_lex_state = 2},
  [216] = {.lex_state = 80, .external_lex_state = 2},
  [217] = {.lex_state = 80, .external_lex_state = 2},
  [218] = {.lex_state = 74, .external_lex_state = 8},
  [219] = {.lex_state = 74, .external_lex_state = 8},
  [220] = {.lex_state = 80, .external_lex_state = 2},
  [221] = {.lex_state = 80, .external_lex_state = 2},
  [222] = {.lex_state = 80, .external_lex_state = 2},
  [223] = {.lex_state = 80, .external_lex_state = 2},
  [224] = {.lex_state = 80, .external_lex_state = 2},
  [225] = {.lex_state = 80, .external_lex_state = 2},
  [226] = {.lex_state = 74, .external_lex_state = 8},
  [227] = {.lex_state = 80, .external_lex_state = 2},
  [228] = {.lex_state = 80, .external_lex_state = 2},
  [229] = {.lex_state = 79, .external_lex_state = 9},
  [230] = {.lex_state = 80, .external_lex_state = 2},
  [231] = {.lex_state = 80, .external_lex_state = 10},
  [232] = {.lex_state = 80, .external_lex_state = 10},
  [233] = {.lex_state = 79, .external_lex_state = 9},
  [234] = {.lex_state = 80, .external_lex_state = 2},
  [235] = {.lex_state = 80, .external_lex_state = 10},
  [236] = {.lex_state = 80, .external_lex_state = 10},
  [237] = {.lex_state = 80, .external_lex_state = 10},
  [238] = {.lex_state = 80, .external_lex_state = 10},
  [239] = {.lex_state = 80, .external_lex_state = 2},
  [240] = {.lex_state = 80, .external_lex_state = 10},
  [241] = {.lex_state = 80, .external_lex_state = 10},
  [242] = {.lex_state = 75, .external_lex_state = 11},
  [243] = {.lex_state = 75, .external_lex_state = 11},
  [244] = {.lex_state = 80, .external_lex_state = 2},
  [245] = {.lex_state = 80, .external_lex_state = 2},
  [246] = {.lex_state = 75, .external_lex_state = 11},
  [247] = {.lex_state = 213, .external_lex_state = 8},
  [248] = {.lex_state = 80, .external_lex_state = 2},
  [249] = {.lex_state = 80, .external_lex_state = 2},
  [250] = {.lex_state = 80, .external_lex_state = 2},
  [251] = {.lex_state = 75, .external_lex_state = 11},
  [252] = {.lex_state = 80, .external_lex_state = 7},
  [253] = {.lex_state = 80, .external_lex_state = 2},
  [254] = {.lex_state = 213, .external_lex_state = 8},
  [255] = {.lex_state = 80, .external_lex_state = 2},
  [256] = {.lex_state = 80, .external_lex_state = 2},
  [257] = {.lex_state = 80, .external_lex_state = 2},
  [258] = {.lex_state = 80, .external_lex_state = 7},
  [259] = {.lex_state = 213, .external_lex_state = 8},
  [260] = {.lex_state = 80, .external_lex_state = 2},
  [261] = {.lex_state = 80, .external_lex_state = 7},
  [262] = {.lex_state = 80, .external_lex_state = 7},
  [263] = {.lex_state = 75, .external_lex_state = 11},
  [264] = {.lex_state = 80, .external_lex_state = 2},
  [265] = {.lex_state = 80, .external_lex_state = 2},
  [266] = {.lex_state = 80, .external_lex_state = 2},
  [267] = {.lex_state = 213, .external_lex_state = 8},
  [268] = {.lex_state = 80, .external_lex_state = 2},
  [269] = {.lex_state = 80, .external_lex_state = 2},
  [270] = {.lex_state = 80, .external_lex_state = 2},
  [271] = {.lex_state = 80, .external_lex_state = 2},
  [272] = {.lex_state = 80, .external_lex_state = 2},
  [273] = {.lex_state = 74, .external_lex_state = 12},
  [274] = {.lex_state = 213, .external_lex_state = 8},
  [275] = {.lex_state = 80, .external_lex_state = 2},
  [276] = {.lex_state = 80, .external_lex_state = 2},
  [277] = {.lex_state = 80, .external_lex_state = 2},
  [278] = {.lex_state = 80, .external_lex_state = 2},
  [279] = {.lex_state = 74, .external_lex_state = 12},
  [280] = {.lex_state = 80, .external_lex_state = 2},
  [281] = {.lex_state = 80, .external_lex_state = 2},
  [282] = {.lex_state = 80, .external_lex_state = 2},
  [283] = {.lex_state = 80, .external_lex_state = 2},
  [284] = {.lex_state = 74, .external_lex_state = 12},
  [285] = {.lex_state = 74, .external_lex_state = 8},
  [286] = {.lex_state = 74, .external_lex_state = 8},
  [287] = {.lex_state = 74, .external_lex_state = 12},
  [288] = {.lex_state = 74, .external_lex_state = 8},
  [289] = {.lex_state = 216, .external_lex_state = 9},
  [290] = {.lex_state = 74, .external_lex_state = 12},
  [291] = {.lex_state = 74, .external_lex_state = 12},
  [292] = {.lex_state = 74, .external_lex_state = 8},
  [293] = {.lex_state = 80, .external_lex_state = 2},
  [294] = {.lex_state = 80, .external_lex_state = 2},
  [295] = {.lex_state = 80, .external_lex_state = 2},
  [296] = {.lex_state = 74, .external_lex_state = 8},
  [297] = {.lex_state = 215, .external_lex_state = 2},
  [298] = {.lex_state = 80, .external_lex_state = 2},
  [299] = {.lex_state = 80, .external_lex_state = 2},
  [300] = {.lex_state = 214, .external_lex_state = 11},
  [301] = {.lex_state = 74, .external_lex_state = 8},
  [302] = {.lex_state = 74, .external_lex_state = 12},
  [303] = {.lex_state = 216, .external_lex_state = 9},
  [304] = {.lex_state = 74, .external_lex_state = 8},
  [305] = {.lex_state = 214, .external_lex_state = 11},
  [306] = {.lex_state = 215, .external_lex_state = 2},
  [307] = {.lex_state = 80, .external_lex_state = 2},
  [308] = {.lex_state = 74, .external_lex_state = 12},
  [309] = {.lex_state = 80, .external_lex_state = 2},
  [310] = {.lex_state = 82, .external_lex_state = 2},
  [311] = {.lex_state = 82, .external_lex_state = 2},
  [312] = {.lex_state = 82, .external_lex_state = 2},
  [313] = {.lex_state = 82, .external_lex_state = 2},
  [314] = {.lex_state = 80, .external_lex_state = 2},
  [315] = {.lex_state = 80, .external_lex_state = 2},
  [316] = {.lex_state = 80, .external_lex_state = 2},
  [317] = {.lex_state = 214, .external_lex_state = 11},
  [318] = {.lex_state = 80, .external_lex_state = 2},
  [319] = {.lex_state = 80, .external_lex_state = 2},
  [320] = {.lex_state = 80, .external_lex_state = 2},
  [321] = {.lex_state = 80, .external_lex_state = 2},
  [322] = {.lex_state = 80, .external_lex_state = 2},
  [323] = {.lex_state = 82, .external_lex_state = 2},
  [324] = {.lex_state = 82, .external_lex_state = 2},
  [325] = {.lex_state = 82, .external_lex_state = 2},
  [326] = {.lex_state = 82, .external_lex_state = 2},
  [327] = {.lex_state = 82, .external_lex_state = 2},
  [328] = {.lex_state = 79, .external_lex_state = 9},
  [329] = {.lex_state = 80, .external_lex_state = 2},
  [330] = {.lex_state = 80, .external_lex_state = 2},
  [331] = {.lex_state = 82, .external_lex_state = 2},
  [332] = {.lex_state = 74, .external_lex_state = 8},
  [333] = {.lex_state = 82, .external_lex_state = 2},
  [334] = {.lex_state = 80, .external_lex_state = 2},
  [335] = {.lex_state = 214, .external_lex_state = 11},
  [336] = {.lex_state = 82, .external_lex_state = 2},
  [337] = {.lex_state = 82, .external_lex_state = 2},
  [338] = {.lex_state = 80, .external_lex_state = 2},
  [339] = {.lex_state = 214, .external_lex_state = 11},
  [340] = {.lex_state = 79, .external_lex_state = 5},
  [341] = {.lex_state = 75, .external_lex_state = 13},
  [342] = {.lex_state = 74, .external_lex_state = 12},
  [343] = {.lex_state = 74, .external_lex_state = 8},
  [344] = {.lex_state = 79, .external_lex_state = 9},
  [345] = {.lex_state = 74, .external_lex_state = 8},
  [346] = {.lex_state = 75, .external_lex_state = 13},
  [347] = {.lex_state = 79, .external_lex_state = 9},
  [348] = {.lex_state = 79, .external_lex_state = 9},
  [349] = {.lex_state = 75, .external_lex_state = 11},
  [350] = {.lex_state = 79, .external_lex_state = 5},
  [351] = {.lex_state = 79, .external_lex_state = 5},
  [352] = {.lex_state = 74, .external_lex_state = 12},
  [353] = {.lex_state = 80, .external_lex_state = 2},
  [354] = {.lex_state = 75, .external_lex_state = 11},
  [355] = {.lex_state = 75, .external_lex_state = 13},
  [356] = {.lex_state = 74, .external_lex_state = 12},
  [357] = {.lex_state = 75, .external_lex_state = 13},
  [358] = {.lex_state = 80, .external_lex_state = 2},
  [359] = {.lex_state = 75, .external_lex_state = 13},
  [360] = {.lex_state = 74, .external_lex_state = 8},
  [361] = {.lex_state = 80, .external_lex_state = 2},
  [362] = {.lex_state = 74, .external_lex_state = 12},
  [363] = {.lex_state = 75, .external_lex_state = 11},
  [364] = {.lex_state = 75, .external_lex_state = 11},
  [365] = {.lex_state = 75, .external_lex_state = 13},
  [366] = {.lex_state = 79, .external_lex_state = 9},
  [367] = {.lex_state = 75, .external_lex_state = 11},
  [368] = {.lex_state = 75, .external_lex_state = 11},
  [369] = {.lex_state = 79, .external_lex_state = 5},
  [370] = {.lex_state = 74, .external_lex_state = 12},
  [371] = {.lex_state = 75, .external_lex_state = 13},
  [372] = {.lex_state = 75, .external_lex_state = 13},
  [373] = {.lex_state = 75, .external_lex_state = 11},
  [374] = {.lex_state = 74, .external_lex_state = 12},
  [375] = {.lex_state = 74, .external_lex_state = 12},
  [376] = {.lex_state = 74, .external_lex_state = 12},
  [377] = {.lex_state = 75, .external_lex_state = 11},
  [378] = {.lex_state = 80, .external_lex_state = 2},
  [379] = {.lex_state = 80, .external_lex_state = 2},
  [380] = {.lex_state = 80, .external_lex_state = 2},
  [381] = {.lex_state = 75, .external_lex_state = 13},
  [382] = {.lex_state = 80, .external_lex_state = 2},
  [383] = {.lex_state = 80, .external_lex_state = 2},
  [384] = {.lex_state = 80, .external_lex_state = 2},
  [385] = {.lex_state = 80, .external_lex_state = 2},
  [386] = {.lex_state = 80, .external_lex_state = 2},
  [387] = {.lex_state = 80, .external_lex_state = 2},
  [388] = {.lex_state = 80, .external_lex_state = 2},
  [389] = {.lex_state = 80, .external_lex_state = 2},
  [390] = {.lex_state = 80, .external_lex_state = 2},
  [391] = {.lex_state = 75, .external_lex_state = 11},
  [392] = {.lex_state = 75, .external_lex_state = 11},
  [393] = {.lex_state = 80, .external_lex_state = 2},
  [394] = {.lex_state = 75, .external_lex_state = 11},
  [395] = {.lex_state = 75, .external_lex_state = 13},
  [396] = {.lex_state = 75, .external_lex_state = 13},
  [397] = {.lex_state = 75, .external_lex_state = 13},
  [398] = {.lex_state = 79, .external_lex_state = 5},
  [399] = {.lex_state = 79, .external_lex_state = 5},
  [400] = {.lex_state = 79, .external_lex_state = 5},
  [401] = {.lex_state = 79, .external_lex_state = 5},
  [402] = {.lex_state = 79, .external_lex_state = 14},
  [403] = {.lex_state = 79, .external_lex_state = 5},
  [404] = {.lex_state = 75, .external_lex_state = 13},
  [405] = {.lex_state = 79, .external_lex_state = 5},
  [406] = {.lex_state = 79, .external_lex_state = 5},
  [407] = {.lex_state = 75, .external_lex_state = 13},
  [408] = {.lex_state = 79, .external_lex_state = 5},
  [409] = {.lex_state = 79, .external_lex_state = 5},
  [410] = {.lex_state = 79, .external_lex_state = 5},
  [411] = {.lex_state = 75, .external_lex_state = 13},
  [412] = {.lex_state = 79, .external_lex_state = 5},
  [413] = {.lex_state = 79, .external_lex_state = 5},
  [414] = {.lex_state = 75, .external_lex_state = 13},
  [415] = {.lex_state = 79, .external_lex_state = 2},
  [416] = {.lex_state = 79, .external_lex_state = 5},
  [417] = {.lex_state = 79, .external_lex_state = 5},
  [418] = {.lex_state = 79, .external_lex_state = 5},
  [419] = {.lex_state = 79, .external_lex_state = 5},
  [420] = {.lex_state = 79, .external_lex_state = 5},
  [421] = {.lex_state = 79, .external_lex_state = 5},
  [422] = {.lex_state = 79, .external_lex_state = 5},
  [423] = {.lex_state = 79, .external_lex_state = 5},
  [424] = {.lex_state = 79, .external_lex_state = 5},
  [425] = {.lex_state = 79, .external_lex_state = 5},
  [426] = {.lex_state = 79, .external_lex_state = 5},
  [427] = {.lex_state = 79, .external_lex_state = 5},
  [428] = {.lex_state = 79, .external_lex_state = 5},
  [429] = {.lex_state = 79, .external_lex_state = 5},
  [430] = {.lex_state = 79, .external_lex_state = 15},
  [431] = {.lex_state = 79, .external_lex_state = 15},
  [432] = {.lex_state = 79, .external_lex_state = 15},
  [433] = {.lex_state = 79, .external_lex_state = 15},
  [434] = {.lex_state = 79, .external_lex_state = 15},
  [435] = {.lex_state = 79, .external_lex_state = 15},
  [436] = {.lex_state = 79, .external_lex_state = 15},
  [437] = {.lex_state = 79, .external_lex_state = 15},
  [438] = {.lex_state = 79, .external_lex_state = 15},
  [439] = {.lex_state = 79, .external_lex_state = 15},
  [440] = {.lex_state = 79, .external_lex_state = 15},
  [441] = {.lex_state = 79, .external_lex_state = 15},
  [442] = {.lex_state = 79, .external_lex_state = 15},
  [443] = {.lex_state = 79, .external_lex_state = 15},
  [444] = {.lex_state = 79, .external_lex_state = 15},
  [445] = {.lex_state = 79, .external_lex_state = 15},
  [446] = {.lex_state = 79, .external_lex_state = 15},
  [447] = {.lex_state = 79, .external_lex_state = 15},
  [448] = {.lex_state = 79, .external_lex_state = 15},
  [449] = {.lex_state = 79, .external_lex_state = 15},
  [450] = {.lex_state = 79, .external_lex_state = 15},
  [451] = {.lex_state = 79, .external_lex_state = 15},
  [452] = {.lex_state = 79, .external_lex_state = 15},
  [453] = {.lex_state = 79, .external_lex_state = 15},
  [454] = {.lex_state = 79, .external_lex_state = 15},
  [455] = {.lex_state = 79, .external_lex_state = 16},
  [456] = {.lex_state = 79, .external_lex_state = 16},
  [457] = {.lex_state = 79, .external_lex_state = 7},
  [458] = {.lex_state = 79, .external_lex_state = 2},
  [459] = {.lex_state = 79, .external_lex_state = 2},
  [460] = {.lex_state = 79, .external_lex_state = 2},
  [461] = {.lex_state = 79, .external_lex_state = 2},
  [462] = {.lex_state = 79, .external_lex_state = 2},
  [463] = {.lex_state = 79, .external_lex_state = 2},
  [464] = {.lex_state = 79, .external_lex_state = 2},
  [465] = {.lex_state = 79, .external_lex_state = 2},
  [466] = {.lex_state = 79, .external_lex_state = 2},
  [467] = {.lex_state = 79, .external_lex_state = 2},
  [468] = {.lex_state = 79, .external_lex_state = 2},
  [469] = {.lex_state = 79, .external_lex_state = 7},
  [470] = {.lex_state = 79, .external_lex_state = 2},
  [471] = {.lex_state = 79, .external_lex_state = 16},
  [472] = {.lex_state = 79, .external_lex_state = 2},
  [473] = {.lex_state = 79, .external_lex_state = 16},
  [474] = {.lex_state = 79, .external_lex_state = 2},
  [475] = {.lex_state = 79, .external_lex_state = 2},
  [476] = {.lex_state = 79, .external_lex_state = 7},
  [477] = {.lex_state = 79, .external_lex_state = 2},
  [478] = {.lex_state = 79, .external_lex_state = 2},
  [479] = {.lex_state = 79, .external_lex_state = 2},
  [480] = {.lex_state = 79, .external_lex_state = 2},
  [481] = {.lex_state = 79, .external_lex_state = 2},
  [482] = {.lex_state = 79, .external_lex_state = 7},
  [483] = {.lex_state = 79, .external_lex_state = 2},
  [484] = {.lex_state = 79, .external_lex_state = 2},
  [485] = {.lex_state = 79, .external_lex_state = 2},
  [486] = {.lex_state = 79, .external_lex_state = 2},
  [487] = {.lex_state = 79, .external_lex_state = 2},
  [488] = {.lex_state = 79, .external_lex_state = 7},
  [489] = {.lex_state = 79, .external_lex_state = 7},
  [490] = {.lex_state = 79, .external_lex_state = 7},
  [491] = {.lex_state = 79, .external_lex_state = 7},
  [492] = {.lex_state = 79, .external_lex_state = 2},
  [493] = {.lex_state = 79, .external_lex_state = 2},
  [494] = {.lex_state = 79, .external_lex_state = 2},
  [495] = {.lex_state = 79, .external_lex_state = 2},
  [496] = {.lex_state = 79, .external_lex_state = 2},
  [497] = {.lex_state = 79, .external_lex_state = 2},
  [498] = {.lex_state = 79, .external_lex_state = 2},
  [499] = {.lex_state = 79, .external_lex_state = 2},
  [500] = {.lex_state = 79, .external_lex_state = 2},
  [501] = {.lex_state = 79, .external_lex_state = 2},
  [502] = {.lex_state = 79, .external_lex_state = 2},
  [503] = {.lex_state = 79, .external_lex_state = 2},
  [504] = {.lex_state = 79, .external_lex_state = 2},
  [505] = {.lex_state = 79, .external_lex_state = 2},
  [506] = {.lex_state = 79, .external_lex_state = 2},
  [507] = {.lex_state = 79, .external_lex_state = 2},
  [508] = {.lex_state = 79, .external_lex_state = 2},
  [509] = {.lex_state = 79, .external_lex_state = 2},
  [510] = {.lex_state = 79, .external_lex_state = 2},
  [511] = {.lex_state = 79, .external_lex_state = 2},
  [512] = {.lex_state = 79, .external_lex_state = 2},
  [513] = {.lex_state = 79, .external_lex_state = 2},
  [514] = {.lex_state = 79, .external_lex_state = 2},
  [515] = {.lex_state = 79, .external_lex_state = 2},
  [516] = {.lex_state = 79, .external_lex_state = 2},
  [517] = {.lex_state = 79, .external_lex_state = 2},
  [518] = {.lex_state = 79, .external_lex_state = 2},
  [519] = {.lex_state = 79, .external_lex_state = 2},
  [520] = {.lex_state = 79, .external_lex_state = 2},
  [521] = {.lex_state = 79, .external_lex_state = 2},
  [522] = {.lex_state = 79, .external_lex_state = 2},
  [523] = {.lex_state = 79, .external_lex_state = 2},
  [524] = {.lex_state = 79, .external_lex_state = 2},
  [525] = {.lex_state = 79, .external_lex_state = 2},
  [526] = {.lex_state = 79, .external_lex_state = 2},
  [527] = {.lex_state = 79, .external_lex_state = 2},
  [528] = {.lex_state = 79, .external_lex_state = 2},
  [529] = {.lex_state = 79, .external_lex_state = 2},
  [530] = {.lex_state = 79, .external_lex_state = 2},
  [531] = {.lex_state = 79, .external_lex_state = 2},
  [532] = {.lex_state = 79, .external_lex_state = 2},
  [533] = {.lex_state = 79, .external_lex_state = 2},
  [534] = {.lex_state = 79, .external_lex_state = 2},
  [535] = {.lex_state = 79, .external_lex_state = 2},
  [536] = {.lex_state = 79, .external_lex_state = 2},
  [537] = {.lex_state = 79, .external_lex_state = 2},
  [538] = {.lex_state = 79, .external_lex_state = 2},
  [539] = {.lex_state = 79, .external_lex_state = 2},
  [540] = {.lex_state = 79, .external_lex_state = 2},
  [541] = {.lex_state = 79, .external_lex_state = 2},
  [542] = {.lex_state = 79, .external_lex_state = 2},
  [543] = {.lex_state = 79, .external_lex_state = 2},
  [544] = {.lex_state = 79, .external_lex_state = 2},
  [545] = {.lex_state = 79, .external_lex_state = 2},
  [546] = {.lex_state = 79, .external_lex_state = 2},
  [547] = {.lex_state = 79, .external_lex_state = 2},
  [548] = {.lex_state = 79, .external_lex_state = 2},
  [549] = {.lex_state = 79, .external_lex_state = 2},
  [550] = {.lex_state = 79, .external_lex_state = 2},
  [551] = {.lex_state = 79, .external_lex_state = 2},
  [552] = {.lex_state = 79, .external_lex_state = 2},
  [553] = {.lex_state = 79, .external_lex_state = 2},
  [554] = {.lex_state = 79, .external_lex_state = 2},
  [555] = {.lex_state = 79, .external_lex_state = 2},
  [556] = {.lex_state = 79, .external_lex_state = 2},
  [557] = {.lex_state = 79, .external_lex_state = 2},
  [558] = {.lex_state = 79, .external_lex_state = 2},
  [559] = {.lex_state = 79, .external_lex_state = 2},
  [560] = {.lex_state = 79, .external_lex_state = 2},
  [561] = {.lex_state = 79, .external_lex_state = 2},
  [562] = {.lex_state = 79, .external_lex_state = 2},
  [563] = {.lex_state = 79, .external_lex_state = 2},
  [564] = {.lex_state = 79, .external_lex_state = 2},
  [565] = {.lex_state = 79, .external_lex_state = 2},
  [566] = {.lex_state = 79, .external_lex_state = 2},
  [567] = {.lex_state = 79, .external_lex_state = 2},
  [568] = {.lex_state = 79, .external_lex_state = 2},
  [569] = {.lex_state = 79, .external_lex_state = 2},
  [570] = {.lex_state = 79, .external_lex_state = 2},
  [571] = {.lex_state = 79, .external_lex_state = 2},
  [572] = {.lex_state = 79, .external_lex_state = 2},
  [573] = {.lex_state = 79, .external_lex_state = 2},
  [574] = {.lex_state = 79, .external_lex_state = 2},
  [575] = {.lex_state = 79, .external_lex_state = 2},
  [576] = {.lex_state = 79, .external_lex_state = 2},
  [577] = {.lex_state = 79, .external_lex_state = 2},
  [578] = {.lex_state = 79, .external_lex_state = 2},
  [579] = {.lex_state = 79, .external_lex_state = 2},
  [580] = {.lex_state = 79, .external_lex_state = 2},
  [581] = {.lex_state = 79, .external_lex_state = 2},
  [582] = {.lex_state = 79, .external_lex_state = 2},
  [583] = {.lex_state = 79, .external_lex_state = 2},
  [584] = {.lex_state = 79, .external_lex_state = 2},
  [585] = {.lex_state = 79, .external_lex_state = 2},
  [586] = {.lex_state = 79, .external_lex_state = 2},
  [587] = {.lex_state = 79, .external_lex_state = 2},
  [588] = {.lex_state = 79, .external_lex_state = 2},
  [589] = {.lex_state = 79, .external_lex_state = 2},
  [590] = {.lex_state = 79, .external_lex_state = 2},
  [591] = {.lex_state = 79, .external_lex_state = 2},
  [592] = {.lex_state = 79, .external_lex_state = 2},
  [593] = {.lex_state = 79, .external_lex_state = 2},
  [594] = {.lex_state = 79, .external_lex_state = 2},
  [595] = {.lex_state = 79, .external_lex_state = 2},
  [596] = {.lex_state = 79, .external_lex_state = 2},
  [597] = {.lex_state = 79, .external_lex_state = 2},
  [598] = {.lex_state = 79, .external_lex_state = 2},
  [599] = {.lex_state = 79, .external_lex_state = 2},
  [600] = {.lex_state = 79, .external_lex_state = 2},
  [601] = {.lex_state = 79, .external_lex_state = 2},
  [602] = {.lex_state = 79, .external_lex_state = 2},
  [603] = {.lex_state = 79, .external_lex_state = 2},
  [604] = {.lex_state = 79, .external_lex_state = 2},
  [605] = {.lex_state = 79, .external_lex_state = 2},
  [606] = {.lex_state = 79, .external_lex_state = 2},
  [607] = {.lex_state = 79, .external_lex_state = 2},
  [608] = {.lex_state = 79, .external_lex_state = 2},
  [609] = {.lex_state = 79, .external_lex_state = 2},
  [610] = {.lex_state = 79, .external_lex_state = 2},
  [611] = {.lex_state = 79, .external_lex_state = 2},
  [612] = {.lex_state = 79, .external_lex_state = 2},
  [613] = {.lex_state = 79, .external_lex_state = 2},
  [614] = {.lex_state = 79, .external_lex_state = 2},
  [615] = {.lex_state = 79, .external_lex_state = 2},
  [616] = {.lex_state = 79, .external_lex_state = 2},
  [617] = {.lex_state = 79, .external_lex_state = 2},
  [618] = {.lex_state = 79, .external_lex_state = 2},
  [619] = {.lex_state = 79, .external_lex_state = 2},
  [620] = {.lex_state = 79, .external_lex_state = 2},
  [621] = {.lex_state = 79, .external_lex_state = 2},
  [622] = {.lex_state = 79, .external_lex_state = 2},
  [623] = {.lex_state = 79, .external_lex_state = 2},
  [624] = {.lex_state = 79, .external_lex_state = 2},
  [625] = {.lex_state = 79, .external_lex_state = 2},
  [626] = {.lex_state = 79, .external_lex_state = 2},
  [627] = {.lex_state = 79, .external_lex_state = 2},
  [628] = {.lex_state = 79, .external_lex_state = 2},
  [629] = {.lex_state = 79, .external_lex_state = 2},
  [630] = {.lex_state = 79, .external_lex_state = 2},
  [631] = {.lex_state = 79, .external_lex_state = 2},
  [632] = {.lex_state = 79, .external_lex_state = 2},
  [633] = {.lex_state = 79, .external_lex_state = 2},
  [634] = {.lex_state = 79, .external_lex_state = 2},
  [635] = {.lex_state = 79, .external_lex_state = 2},
  [636] = {.lex_state = 79, .external_lex_state = 2},
  [637] = {.lex_state = 79, .external_lex_state = 2},
  [638] = {.lex_state = 79, .external_lex_state = 2},
  [639] = {.lex_state = 79, .external_lex_state = 2},
  [640] = {.lex_state = 79, .external_lex_state = 2},
  [641] = {.lex_state = 79, .external_lex_state = 2},
  [642] = {.lex_state = 79, .external_lex_state = 2},
  [643] = {.lex_state = 82, .external_lex_state = 10},
  [644] = {.lex_state = 82, .external_lex_state = 10},
  [645] = {.lex_state = 82, .external_lex_state = 10},
  [646] = {.lex_state = 216, .external_lex_state = 16},
  [647] = {.lex_state = 82, .external_lex_state = 10},
  [648] = {.lex_state = 216, .external_lex_state = 16},
  [649] = {.lex_state = 82, .external_lex_state = 10},
  [650] = {.lex_state = 216, .external_lex_state = 7},
  [651] = {.lex_state = 216, .external_lex_state = 16},
  [652] = {.lex_state = 216, .external_lex_state = 16},
  [653] = {.lex_state = 216, .external_lex_state = 7},
  [654] = {.lex_state = 79, .external_lex_state = 17},
  [655] = {.lex_state = 216, .external_lex_state = 7},
  [656] = {.lex_state = 216, .external_lex_state = 7},
  [657] = {.lex_state = 79, .external_lex_state = 2},
  [658] = {.lex_state = 216, .external_lex_state = 7},
  [659] = {.lex_state = 216, .external_lex_state = 7},
  [660] = {.lex_state = 216, .external_lex_state = 7},
  [661] = {.lex_state = 216, .external_lex_state = 7},
  [662] = {.lex_state = 79, .external_lex_state = 14},
  [663] = {.lex_state = 79, .external_lex_state = 16},
  [664] = {.lex_state = 79, .external_lex_state = 16},
  [665] = {.lex_state = 79, .external_lex_state = 14},
  [666] = {.lex_state = 79, .external_lex_state = 16},
  [667] = {.lex_state = 79, .external_lex_state = 16},
  [668] = {.lex_state = 79, .external_lex_state = 2},
  [669] = {.lex_state = 79, .external_lex_state = 16},
  [670] = {.lex_state = 79, .external_lex_state = 2},
  [671] = {.lex_state = 79, .external_lex_state = 2},
  [672] = {.lex_state = 79, .external_lex_state = 2},
  [673] = {.lex_state = 79, .external_lex_state = 14},
  [674] = {.lex_state = 79, .external_lex_state = 14},
  [675] = {.lex_state = 79, .external_lex_state = 2},
  [676] = {.lex_state = 79, .external_lex_state = 7},
  [677] = {.lex_state = 79, .external_lex_state = 2},
  [678] = {.lex_state = 79, .external_lex_state = 2},
  [679] = {.lex_state = 79, .external_lex_state = 7},
  [680] = {.lex_state = 79, .external_lex_state = 7},
  [681] = {.lex_state = 79, .external_lex_state = 7},
  [682] = {.lex_state = 79, .external_lex_state = 16},
  [683] = {.lex_state = 79, .external_lex_state = 2},
  [684] = {.lex_state = 79, .external_lex_state = 2},
  [685] = {.lex_state = 79, .external_lex_state = 2},
  [686] = {.lex_state = 79, .external_lex_state = 14},
  [687] = {.lex_state = 79, .external_lex_state = 14},
  [688] = {.lex_state = 79, .external_lex_state = 2},
  [689] = {.lex_state = 79, .external_lex_state = 2},
  [690] = {.lex_state = 79, .external_lex_state = 2},
  [691] = {.lex_state = 79, .external_lex_state = 2},
  [692] = {.lex_state = 79, .external_lex_state = 2},
  [693] = {.lex_state = 79, .external_lex_state = 2},
  [694] = {.lex_state = 79, .external_lex_state = 7},
  [695] = {.lex_state = 79, .external_lex_state = 7},
  [696] = {.lex_state = 79, .external_lex_state = 7},
  [697] = {.lex_state = 79, .external_lex_state = 7},
  [698] = {.lex_state = 79, .external_lex_state = 2},
  [699] = {.lex_state = 79, .external_lex_state = 2},
  [700] = {.lex_state = 79, .external_lex_state = 7},
  [701] = {.lex_state = 79, .external_lex_state = 2},
  [702] = {.lex_state = 79, .external_lex_state = 7},
  [703] = {.lex_state = 79, .external_lex_state = 2},
  [704] = {.lex_state = 79, .external_lex_state = 2},
  [705] = {.lex_state = 79, .external_lex_state = 2},
  [706] = {.lex_state = 79, .external_lex_state = 2},
  [707] = {.lex_state = 79, .external_lex_state = 2},
  [708] = {.lex_state = 79, .external_lex_state = 14},
  [709] = {.lex_state = 79, .external_lex_state = 14},
  [710] = {.lex_state = 79, .external_lex_state = 7},
  [711] = {.lex_state = 79, .external_lex_state = 2},
  [712] = {.lex_state = 79, .external_lex_state = 7},
  [713] = {.lex_state = 79, .external_lex_state = 2},
  [714] = {.lex_state = 79, .external_lex_state = 2},
  [715] = {.lex_state = 79, .external_lex_state = 10},
  [716] = {.lex_state = 79, .external_lex_state = 10},
  [717] = {.lex_state = 79, .external_lex_state = 10},
  [718] = {.lex_state = 79, .external_lex_state = 7},
  [719] = {.lex_state = 79, .external_lex_state = 2},
  [720] = {.lex_state = 79, .external_lex_state = 10},
  [721] = {.lex_state = 79, .external_lex_state = 2},
  [722] = {.lex_state = 79, .external_lex_state = 10},
  [723] = {.lex_state = 79, .external_lex_state = 10},
  [724] = {.lex_state = 79, .external_lex_state = 10},
  [725] = {.lex_state = 79, .external_lex_state = 10},
  [726] = {.lex_state = 79, .external_lex_state = 10},
  [727] = {.lex_state = 79, .external_lex_state = 14},
  [728] = {.lex_state = 79, .external_lex_state = 2},
  [729] = {.lex_state = 79, .external_lex_state = 14},
  [730] = {.lex_state = 79, .external_lex_state = 15},
  [731] = {.lex_state = 79, .external_lex_state = 15},
  [732] = {.lex_state = 79, .external_lex_state = 15},
  [733] = {.lex_state = 79, .external_lex_state = 15},
  [734] = {.lex_state = 79, .external_lex_state = 15},
  [735] = {.lex_state = 79, .external_lex_state = 15},
  [736] = {.lex_state = 79, .external_lex_state = 15},
  [737] = {.lex_state = 79, .external_lex_state = 15},
  [738] = {.lex_state = 79, .external_lex_state = 15},
  [739] = {.lex_state = 79, .external_lex_state = 15},
  [740] = {.lex_state = 79, .external_lex_state = 15},
  [741] = {.lex_state = 79, .external_lex_state = 15},
  [742] = {.lex_state = 79, .external_lex_state = 15},
  [743] = {.lex_state = 79, .external_lex_state = 15},
  [744] = {.lex_state = 79, .external_lex_state = 15},
  [745] = {.lex_state = 79, .external_lex_state = 15},
  [746] = {.lex_state = 79, .external_lex_state = 15},
  [747] = {.lex_state = 79, .external_lex_state = 2},
  [748] = {.lex_state = 79, .external_lex_state = 15},
  [749] = {.lex_state = 79, .external_lex_state = 15},
  [750] = {.lex_state = 79, .external_lex_state = 15},
  [751] = {.lex_state = 79, .external_lex_state = 15},
  [752] = {.lex_state = 79, .external_lex_state = 15},
  [753] = {.lex_state = 79, .external_lex_state = 15},
  [754] = {.lex_state = 79, .external_lex_state = 15},
  [755] = {.lex_state = 79, .external_lex_state = 15},
  [756] = {.lex_state = 79, .external_lex_state = 15},
  [757] = {.lex_state = 79, .external_lex_state = 15},
  [758] = {.lex_state = 79, .external_lex_state = 15},
  [759] = {.lex_state = 79, .external_lex_state = 15},
  [760] = {.lex_state = 79, .external_lex_state = 15},
  [761] = {.lex_state = 79, .external_lex_state = 15},
  [762] = {.lex_state = 79, .external_lex_state = 15},
  [763] = {.lex_state = 79, .external_lex_state = 15},
  [764] = {.lex_state = 79, .external_lex_state = 15},
  [765] = {.lex_state = 79, .external_lex_state = 15},
  [766] = {.lex_state = 79, .external_lex_state = 15},
  [767] = {.lex_state = 79, .external_lex_state = 15},
  [768] = {.lex_state = 79, .external_lex_state = 10},
  [769] = {.lex_state = 79, .external_lex_state = 15},
  [770] = {.lex_state = 79, .external_lex_state = 15},
  [771] = {.lex_state = 79, .external_lex_state = 15},
  [772] = {.lex_state = 79, .external_lex_state = 15},
  [773] = {.lex_state = 79, .external_lex_state = 15},
  [774] = {.lex_state = 79, .external_lex_state = 15},
  [775] = {.lex_state = 79, .external_lex_state = 15},
  [776] = {.lex_state = 79, .external_lex_state = 15},
  [777] = {.lex_state = 79, .external_lex_state = 15},
  [778] = {.lex_state = 79, .external_lex_state = 2},
  [779] = {.lex_state = 79, .external_lex_state = 2},
  [780] = {.lex_state = 79, .external_lex_state = 15},
  [781] = {.lex_state = 79, .external_lex_state = 2},
  [782] = {.lex_state = 79, .external_lex_state = 7},
  [783] = {.lex_state = 79, .external_lex_state = 15},
  [784] = {.lex_state = 79, .external_lex_state = 15},
  [785] = {.lex_state = 79, .external_lex_state = 15},
  [786] = {.lex_state = 79, .external_lex_state = 15},
  [787] = {.lex_state = 79, .external_lex_state = 2},
  [788] = {.lex_state = 79, .external_lex_state = 15},
  [789] = {.lex_state = 79, .external_lex_state = 15},
  [790] = {.lex_state = 79, .external_lex_state = 15},
  [791] = {.lex_state = 79, .external_lex_state = 15},
  [792] = {.lex_state = 79, .external_lex_state = 15},
  [793] = {.lex_state = 79, .external_lex_state = 15},
  [794] = {.lex_state = 79, .external_lex_state = 15},
  [795] = {.lex_state = 79, .external_lex_state = 15},
  [796] = {.lex_state = 79, .external_lex_state = 15},
  [797] = {.lex_state = 79, .external_lex_state = 15},
  [798] = {.lex_state = 79, .external_lex_state = 15},
  [799] = {.lex_state = 79, .external_lex_state = 15},
  [800] = {.lex_state = 79, .external_lex_state = 15},
  [801] = {.lex_state = 79, .external_lex_state = 15},
  [802] = {.lex_state = 79, .external_lex_state = 15},
  [803] = {.lex_state = 79, .external_lex_state = 15},
  [804] = {.lex_state = 79, .external_lex_state = 15},
  [805] = {.lex_state = 79, .external_lex_state = 15},
  [806] = {.lex_state = 79, .external_lex_state = 15},
  [807] = {.lex_state = 79, .external_lex_state = 15},
  [808] = {.lex_state = 79, .external_lex_state = 15},
  [809] = {.lex_state = 79, .external_lex_state = 15},
  [810] = {.lex_state = 79, .external_lex_state = 15},
  [811] = {.lex_state = 79, .external_lex_state = 15},
  [812] = {.lex_state = 79, .external_lex_state = 2},
  [813] = {.lex_state = 79, .external_lex_state = 15},
  [814] = {.lex_state = 79, .external_lex_state = 15},
  [815] = {.lex_state = 79, .external_lex_state = 2},
  [816] = {.lex_state = 79, .external_lex_state = 2},
  [817] = {.lex_state = 79, .external_lex_state = 2},
  [818] = {.lex_state = 79, .external_lex_state = 2},
  [819] = {.lex_state = 79, .external_lex_state = 2},
  [820] = {.lex_state = 79, .external_lex_state = 2},
  [821] = {.lex_state = 79, .external_lex_state = 2},
  [822] = {.lex_state = 79, .external_lex_state = 2},
  [823] = {.lex_state = 79, .external_lex_state = 2},
  [824] = {.lex_state = 79, .external_lex_state = 2},
  [825] = {.lex_state = 79, .external_lex_state = 2},
  [826] = {.lex_state = 79, .external_lex_state = 2},
  [827] = {.lex_state = 79, .external_lex_state = 2},
  [828] = {.lex_state = 79, .external_lex_state = 2},
  [829] = {.lex_state = 79, .external_lex_state = 2},
  [830] = {.lex_state = 79, .external_lex_state = 2},
  [831] = {.lex_state = 79, .external_lex_state = 2},
  [832] = {.lex_state = 79, .external_lex_state = 2},
  [833] = {.lex_state = 79, .external_lex_state = 2},
  [834] = {.lex_state = 79, .external_lex_state = 2},
  [835] = {.lex_state = 79, .external_lex_state = 2},
  [836] = {.lex_state = 79, .external_lex_state = 2},
  [837] = {.lex_state = 79, .external_lex_state = 2},
  [838] = {.lex_state = 79, .external_lex_state = 2},
  [839] = {.lex_state = 79, .external_lex_state = 2},
  [840] = {.lex_state = 79, .external_lex_state = 2},
  [841] = {.lex_state = 79, .external_lex_state = 2},
  [842] = {.lex_state = 79, .external_lex_state = 2},
  [843] = {.lex_state = 79, .external_lex_state = 2},
  [844] = {.lex_state = 79, .external_lex_state = 2},
  [845] = {.lex_state = 79, .external_lex_state = 2},
  [846] = {.lex_state = 79, .external_lex_state = 2},
  [847] = {.lex_state = 79, .external_lex_state = 2},
  [848] = {.lex_state = 79, .external_lex_state = 2},
  [849] = {.lex_state = 79, .external_lex_state = 2},
  [850] = {.lex_state = 79, .external_lex_state = 2},
  [851] = {.lex_state = 79, .external_lex_state = 2},
  [852] = {.lex_state = 79, .external_lex_state = 2},
  [853] = {.lex_state = 79, .external_lex_state = 2},
  [854] = {.lex_state = 79, .external_lex_state = 2},
  [855] = {.lex_state = 79, .external_lex_state = 2},
  [856] = {.lex_state = 79, .external_lex_state = 2},
  [857] = {.lex_state = 79, .external_lex_state = 2},
  [858] = {.lex_state = 79, .external_lex_state = 2},
  [859] = {.lex_state = 79, .external_lex_state = 2},
  [860] = {.lex_state = 79, .external_lex_state = 2},
  [861] = {.lex_state = 79, .external_lex_state = 2},
  [862] = {.lex_state = 79, .external_lex_state = 2},
  [863] = {.lex_state = 79, .external_lex_state = 2},
  [864] = {.lex_state = 79, .external_lex_state = 2},
  [865] = {.lex_state = 79, .external_lex_state = 2},
  [866] = {.lex_state = 79, .external_lex_state = 2},
  [867] = {.lex_state = 79, .external_lex_state = 2},
  [868] = {.lex_state = 79, .external_lex_state = 2},
  [869] = {.lex_state = 79, .external_lex_state = 2},
  [870] = {.lex_state = 79, .external_lex_state = 2},
  [871] = {.lex_state = 79, .external_lex_state = 2},
  [872] = {.lex_state = 79, .external_lex_state = 2},
  [873] = {.lex_state = 79, .external_lex_state = 2},
  [874] = {.lex_state = 79, .external_lex_state = 2},
  [875] = {.lex_state = 79, .external_lex_state = 2},
  [876] = {.lex_state = 79, .external_lex_state = 2},
  [877] = {.lex_state = 79, .external_lex_state = 2},
  [878] = {.lex_state = 79, .external_lex_state = 2},
  [879] = {.lex_state = 79, .external_lex_state = 2},
  [880] = {.lex_state = 79, .external_lex_state = 2},
  [881] = {.lex_state = 79, .external_lex_state = 2},
  [882] = {.lex_state = 79, .external_lex_state = 2},
  [883] = {.lex_state = 79, .external_lex_state = 2},
  [884] = {.lex_state = 79, .external_lex_state = 2},
  [885] = {.lex_state = 79, .external_lex_state = 2},
  [886] = {.lex_state = 79, .external_lex_state = 2},
  [887] = {.lex_state = 79, .external_lex_state = 2},
  [888] = {.lex_state = 79, .external_lex_state = 2},
  [889] = {.lex_state = 79, .external_lex_state = 2},
  [890] = {.lex_state = 79, .external_lex_state = 2},
  [891] = {.lex_state = 79, .external_lex_state = 2},
  [892] = {.lex_state = 79, .external_lex_state = 2},
  [893] = {.lex_state = 79, .external_lex_state = 2},
  [894] = {.lex_state = 79, .external_lex_state = 2},
  [895] = {.lex_state = 79, .external_lex_state = 2},
  [896] = {.lex_state = 79, .external_lex_state = 2},
  [897] = {.lex_state = 79, .external_lex_state = 2},
  [898] = {.lex_state = 79, .external_lex_state = 2},
  [899] = {.lex_state = 79, .external_lex_state = 2},
  [900] = {.lex_state = 79, .external_lex_state = 2},
  [901] = {.lex_state = 79, .external_lex_state = 2},
  [902] = {.lex_state = 79, .external_lex_state = 2},
  [903] = {.lex_state = 79, .external_lex_state = 2},
  [904] = {.lex_state = 79, .external_lex_state = 2},
  [905] = {.lex_state = 79, .external_lex_state = 2},
  [906] = {.lex_state = 79, .external_lex_state = 2},
  [907] = {.lex_state = 79, .external_lex_state = 2},
  [908] = {.lex_state = 79, .external_lex_state = 2},
  [909] = {.lex_state = 79, .external_lex_state = 2},
  [910] = {.lex_state = 79, .external_lex_state = 2},
  [911] = {.lex_state = 79, .external_lex_state = 2},
  [912] = {.lex_state = 79, .external_lex_state = 2},
  [913] = {.lex_state = 79, .external_lex_state = 2},
  [914] = {.lex_state = 79, .external_lex_state = 2},
  [915] = {.lex_state = 79, .external_lex_state = 2},
  [916] = {.lex_state = 79, .external_lex_state = 2},
  [917] = {.lex_state = 79, .external_lex_state = 2},
  [918] = {.lex_state = 79, .external_lex_state = 2},
  [919] = {.lex_state = 79, .external_lex_state = 2},
  [920] = {.lex_state = 79, .external_lex_state = 2},
  [921] = {.lex_state = 79, .external_lex_state = 2},
  [922] = {.lex_state = 79, .external_lex_state = 2},
  [923] = {.lex_state = 79, .external_lex_state = 2},
  [924] = {.lex_state = 79, .external_lex_state = 2},
  [925] = {.lex_state = 79, .external_lex_state = 2},
  [926] = {.lex_state = 79, .external_lex_state = 2},
  [927] = {.lex_state = 79, .external_lex_state = 2},
  [928] = {.lex_state = 79, .external_lex_state = 2},
  [929] = {.lex_state = 79, .external_lex_state = 2},
  [930] = {.lex_state = 79, .external_lex_state = 2},
  [931] = {.lex_state = 79, .external_lex_state = 2},
  [932] = {.lex_state = 79, .external_lex_state = 2},
  [933] = {.lex_state = 79, .external_lex_state = 2},
  [934] = {.lex_state = 79, .external_lex_state = 2},
  [935] = {.lex_state = 79, .external_lex_state = 2},
  [936] = {.lex_state = 79, .external_lex_state = 2},
  [937] = {.lex_state = 79, .external_lex_state = 2},
  [938] = {.lex_state = 79, .external_lex_state = 2},
  [939] = {.lex_state = 79, .external_lex_state = 2},
  [940] = {.lex_state = 79, .external_lex_state = 2},
  [941] = {.lex_state = 79, .external_lex_state = 2},
  [942] = {.lex_state = 79, .external_lex_state = 2},
  [943] = {.lex_state = 79, .external_lex_state = 2},
  [944] = {.lex_state = 79, .external_lex_state = 2},
  [945] = {.lex_state = 79, .external_lex_state = 2},
  [946] = {.lex_state = 79, .external_lex_state = 2},
  [947] = {.lex_state = 79, .external_lex_state = 2},
  [948] = {.lex_state = 79, .external_lex_state = 2},
  [949] = {.lex_state = 79, .external_lex_state = 2},
  [950] = {.lex_state = 79, .external_lex_state = 2},
  [951] = {.lex_state = 79, .external_lex_state = 2},
  [952] = {.lex_state = 79, .external_lex_state = 2},
  [953] = {.lex_state = 79, .external_lex_state = 2},
  [954] = {.lex_state = 79, .external_lex_state = 2},
  [955] = {.lex_state = 79, .external_lex_state = 2},
  [956] = {.lex_state = 79, .external_lex_state = 2},
  [957] = {.lex_state = 79, .external_lex_state = 2},
  [958] = {.lex_state = 79, .external_lex_state = 2},
  [959] = {.lex_state = 79, .external_lex_state = 2},
  [960] = {.lex_state = 79, .external_lex_state = 2},
  [961] = {.lex_state = 79, .external_lex_state = 2},
  [962] = {.lex_state = 79, .external_lex_state = 2},
  [963] = {.lex_state = 79, .external_lex_state = 2},
  [964] = {.lex_state = 79, .external_lex_state = 2},
  [965] = {.lex_state = 79, .external_lex_state = 2},
  [966] = {.lex_state = 79, .external_lex_state = 2},
  [967] = {.lex_state = 79, .external_lex_state = 2},
  [968] = {.lex_state = 79, .external_lex_state = 2},
  [969] = {.lex_state = 79, .external_lex_state = 2},
  [970] = {.lex_state = 79, .external_lex_state = 2},
  [971] = {.lex_state = 79, .external_lex_state = 2},
  [972] = {.lex_state = 79, .external_lex_state = 2},
  [973] = {.lex_state = 79, .external_lex_state = 2},
  [974] = {.lex_state = 79, .external_lex_state = 2},
  [975] = {.lex_state = 79, .external_lex_state = 2},
  [976] = {.lex_state = 79, .external_lex_state = 2},
  [977] = {.lex_state = 79, .external_lex_state = 2},
  [978] = {.lex_state = 79, .external_lex_state = 2},
  [979] = {.lex_state = 79, .external_lex_state = 2},
  [980] = {.lex_state = 79, .external_lex_state = 2},
  [981] = {.lex_state = 79, .external_lex_state = 2},
  [982] = {.lex_state = 79, .external_lex_state = 2},
  [983] = {.lex_state = 79, .external_lex_state = 2},
  [984] = {.lex_state = 79, .external_lex_state = 2},
  [985] = {.lex_state = 79, .external_lex_state = 2},
  [986] = {.lex_state = 79, .external_lex_state = 2},
  [987] = {.lex_state = 79, .external_lex_state = 2},
  [988] = {.lex_state = 79, .external_lex_state = 2},
  [989] = {.lex_state = 79, .external_lex_state = 2},
  [990] = {.lex_state = 79, .external_lex_state = 2},
  [991] = {.lex_state = 79, .external_lex_state = 2},
  [992] = {.lex_state = 79, .external_lex_state = 2},
  [993] = {.lex_state = 79, .external_lex_state = 2},
  [994] = {.lex_state = 79, .external_lex_state = 2},
  [995] = {.lex_state = 79, .external_lex_state = 2},
  [996] = {.lex_state = 79, .external_lex_state = 2},
  [997] = {.lex_state = 79, .external_lex_state = 2},
  [998] = {.lex_state = 79, .external_lex_state = 2},
  [999] = {.lex_state = 79, .external_lex_state = 2},
  [1000] = {.lex_state = 79, .external_lex_state = 2},
  [1001] = {.lex_state = 79, .external_lex_state = 2},
  [1002] = {.lex_state = 79, .external_lex_state = 2},
  [1003] = {.lex_state = 79, .external_lex_state = 2},
  [1004] = {.lex_state = 79, .external_lex_state = 2},
  [1005] = {.lex_state = 79, .external_lex_state = 2},
  [1006] = {.lex_state = 79, .external_lex_state = 2},
  [1007] = {.lex_state = 79, .external_lex_state = 2},
  [1008] = {.lex_state = 79, .external_lex_state = 2},
  [1009] = {.lex_state = 79, .external_lex_state = 2},
  [1010] = {.lex_state = 79, .external_lex_state = 2},
  [1011] = {.lex_state = 79, .external_lex_state = 2},
  [1012] = {.lex_state = 79, .external_lex_state = 2},
  [1013] = {.lex_state = 79, .external_lex_state = 2},
  [1014] = {.lex_state = 79, .external_lex_state = 2},
  [1015] = {.lex_state = 79, .external_lex_state = 2},
  [1016] = {.lex_state = 79, .external_lex_state = 2},
  [1017] = {.lex_state = 79, .external_lex_state = 2},
  [1018] = {.lex_state = 79, .external_lex_state = 2},
  [1019] = {.lex_state = 79, .external_lex_state = 2},
  [1020] = {.lex_state = 79, .external_lex_state = 2},
  [1021] = {.lex_state = 79, .external_lex_state = 2},
  [1022] = {.lex_state = 79, .external_lex_state = 2},
  [1023] = {.lex_state = 79, .external_lex_state = 2},
  [1024] = {.lex_state = 79, .external_lex_state = 2},
  [1025] = {.lex_state = 79, .external_lex_state = 2},
  [1026] = {.lex_state = 79, .external_lex_state = 2},
  [1027] = {.lex_state = 79, .external_lex_state = 2},
  [1028] = {.lex_state = 79, .external_lex_state = 2},
  [1029] = {.lex_state = 79, .external_lex_state = 2},
  [1030] = {.lex_state = 79, .external_lex_state = 2},
  [1031] = {.lex_state = 79, .external_lex_state = 2},
  [1032] = {.lex_state = 79, .external_lex_state = 2},
  [1033] = {.lex_state = 79, .external_lex_state = 2},
  [1034] = {.lex_state = 79, .external_lex_state = 2},
  [1035] = {.lex_state = 79, .external_lex_state = 2},
  [1036] = {.lex_state = 79, .external_lex_state = 2},
  [1037] = {.lex_state = 79, .external_lex_state = 2},
  [1038] = {.lex_state = 79, .external_lex_state = 2},
  [1039] = {.lex_state = 79, .external_lex_state = 2},
  [1040] = {.lex_state = 79, .external_lex_state = 2},
  [1041] = {.lex_state = 79, .external_lex_state = 2},
  [1042] = {.lex_state = 79, .external_lex_state = 2},
  [1043] = {.lex_state = 79, .external_lex_state = 2},
  [1044] = {.lex_state = 79, .external_lex_state = 2},
  [1045] = {.lex_state = 79, .external_lex_state = 2},
  [1046] = {.lex_state = 79, .external_lex_state = 2},
  [1047] = {.lex_state = 79, .external_lex_state = 2},
  [1048] = {.lex_state = 79, .external_lex_state = 2},
  [1049] = {.lex_state = 79, .external_lex_state = 2},
  [1050] = {.lex_state = 79, .external_lex_state = 2},
  [1051] = {.lex_state = 79, .external_lex_state = 2},
  [1052] = {.lex_state = 79, .external_lex_state = 2},
  [1053] = {.lex_state = 79, .external_lex_state = 2},
  [1054] = {.lex_state = 79, .external_lex_state = 2},
  [1055] = {.lex_state = 79, .external_lex_state = 2},
  [1056] = {.lex_state = 79, .external_lex_state = 2},
  [1057] = {.lex_state = 79, .external_lex_state = 2},
  [1058] = {.lex_state = 79, .external_lex_state = 2},
  [1059] = {.lex_state = 79, .external_lex_state = 2},
  [1060] = {.lex_state = 79, .external_lex_state = 2},
  [1061] = {.lex_state = 79, .external_lex_state = 2},
  [1062] = {.lex_state = 79, .external_lex_state = 2},
  [1063] = {.lex_state = 79, .external_lex_state = 2},
  [1064] = {.lex_state = 79, .external_lex_state = 2},
  [1065] = {.lex_state = 79, .external_lex_state = 2},
  [1066] = {.lex_state = 79, .external_lex_state = 2},
  [1067] = {.lex_state = 79, .external_lex_state = 2},
  [1068] = {.lex_state = 79, .external_lex_state = 2},
  [1069] = {.lex_state = 79, .external_lex_state = 2},
  [1070] = {.lex_state = 79, .external_lex_state = 2},
  [1071] = {.lex_state = 79, .external_lex_state = 2},
  [1072] = {.lex_state = 79, .external_lex_state = 2},
  [1073] = {.lex_state = 79, .external_lex_state = 2},
  [1074] = {.lex_state = 79, .external_lex_state = 2},
  [1075] = {.lex_state = 79, .external_lex_state = 2},
  [1076] = {.lex_state = 79, .external_lex_state = 2},
  [1077] = {.lex_state = 79, .external_lex_state = 2},
  [1078] = {.lex_state = 79, .external_lex_state = 2},
  [1079] = {.lex_state = 79, .external_lex_state = 2},
  [1080] = {.lex_state = 79, .external_lex_state = 2},
  [1081] = {.lex_state = 79, .external_lex_state = 2},
  [1082] = {.lex_state = 79, .external_lex_state = 2},
  [1083] = {.lex_state = 79, .external_lex_state = 2},
  [1084] = {.lex_state = 79, .external_lex_state = 2},
  [1085] = {.lex_state = 79, .external_lex_state = 2},
  [1086] = {.lex_state = 79, .external_lex_state = 2},
  [1087] = {.lex_state = 79, .external_lex_state = 2},
  [1088] = {.lex_state = 79, .external_lex_state = 2},
  [1089] = {.lex_state = 79, .external_lex_state = 2},
  [1090] = {.lex_state = 79, .external_lex_state = 2},
  [1091] = {.lex_state = 79, .external_lex_state = 2},
  [1092] = {.lex_state = 79, .external_lex_state = 2},
  [1093] = {.lex_state = 79, .external_lex_state = 2},
  [1094] = {.lex_state = 79, .external_lex_state = 2},
  [1095] = {.lex_state = 79, .external_lex_state = 2},
  [1096] = {.lex_state = 79, .external_lex_state = 2},
  [1097] = {.lex_state = 79, .external_lex_state = 2},
  [1098] = {.lex_state = 79, .external_lex_state = 2},
  [1099] = {.lex_state = 79, .external_lex_state = 2},
  [1100] = {.lex_state = 79, .external_lex_state = 2},
  [1101] = {.lex_state = 79, .external_lex_state = 2},
  [1102] = {.lex_state = 79, .external_lex_state = 2},
  [1103] = {.lex_state = 79, .external_lex_state = 2},
  [1104] = {.lex_state = 79, .external_lex_state = 2},
  [1105] = {.lex_state = 79, .external_lex_state = 2},
  [1106] = {.lex_state = 79, .external_lex_state = 2},
  [1107] = {.lex_state = 79, .external_lex_state = 2},
  [1108] = {.lex_state = 79, .external_lex_state = 2},
  [1109] = {.lex_state = 79, .external_lex_state = 2},
  [1110] = {.lex_state = 79, .external_lex_state = 2},
  [1111] = {.lex_state = 79, .external_lex_state = 2},
  [1112] = {.lex_state = 79, .external_lex_state = 2},
  [1113] = {.lex_state = 79, .external_lex_state = 2},
  [1114] = {.lex_state = 79, .external_lex_state = 2},
  [1115] = {.lex_state = 79, .external_lex_state = 2},
  [1116] = {.lex_state = 79, .external_lex_state = 2},
  [1117] = {.lex_state = 79, .external_lex_state = 2},
  [1118] = {.lex_state = 79, .external_lex_state = 2},
  [1119] = {.lex_state = 79, .external_lex_state = 2},
  [1120] = {.lex_state = 79, .external_lex_state = 2},
  [1121] = {.lex_state = 79, .external_lex_state = 2},
  [1122] = {.lex_state = 79, .external_lex_state = 2},
  [1123] = {.lex_state = 79, .external_lex_state = 2},
  [1124] = {.lex_state = 79, .external_lex_state = 2},
  [1125] = {.lex_state = 79, .external_lex_state = 2},
  [1126] = {.lex_state = 79, .external_lex_state = 2},
  [1127] = {.lex_state = 79, .external_lex_state = 2},
  [1128] = {.lex_state = 79, .external_lex_state = 2},
  [1129] = {.lex_state = 79, .external_lex_state = 2},
  [1130] = {.lex_state = 79, .external_lex_state = 2},
  [1131] = {.lex_state = 79, .external_lex_state = 2},
  [1132] = {.lex_state = 79, .external_lex_state = 2},
  [1133] = {.lex_state = 79, .external_lex_state = 2},
  [1134] = {.lex_state = 79, .external_lex_state = 2},
  [1135] = {.lex_state = 79, .external_lex_state = 2},
  [1136] = {.lex_state = 79, .external_lex_state = 2},
  [1137] = {.lex_state = 79, .external_lex_state = 2},
  [1138] = {.lex_state = 79, .external_lex_state = 2},
  [1139] = {.lex_state = 79, .external_lex_state = 2},
  [1140] = {.lex_state = 79, .external_lex_state = 2},
  [1141] = {.lex_state = 79, .external_lex_state = 2},
  [1142] = {.lex_state = 79, .external_lex_state = 2},
  [1143] = {.lex_state = 79, .external_lex_state = 2},
  [1144] = {.lex_state = 79, .external_lex_state = 2},
  [1145] = {.lex_state = 79, .external_lex_state = 2},
  [1146] = {.lex_state = 79, .external_lex_state = 2},
  [1147] = {.lex_state = 79, .external_lex_state = 2},
  [1148] = {.lex_state = 79, .external_lex_state = 2},
  [1149] = {.lex_state = 79, .external_lex_state = 2},
  [1150] = {.lex_state = 79, .external_lex_state = 2},
  [1151] = {.lex_state = 79, .external_lex_state = 2},
  [1152] = {.lex_state = 79, .external_lex_state = 2},
  [1153] = {.lex_state = 79, .external_lex_state = 2},
  [1154] = {.lex_state = 79, .external_lex_state = 2},
  [1155] = {.lex_state = 79, .external_lex_state = 2},
  [1156] = {.lex_state = 79, .external_lex_state = 2},
  [1157] = {.lex_state = 79, .external_lex_state = 2},
  [1158] = {.lex_state = 79, .external_lex_state = 2},
  [1159] = {.lex_state = 79, .external_lex_state = 2},
  [1160] = {.lex_state = 79, .external_lex_state = 2},
  [1161] = {.lex_state = 79, .external_lex_state = 2},
  [1162] = {.lex_state = 79, .external_lex_state = 2},
  [1163] = {.lex_state = 79, .external_lex_state = 2},
  [1164] = {.lex_state = 79, .external_lex_state = 2},
  [1165] = {.lex_state = 79, .external_lex_state = 2},
  [1166] = {.lex_state = 79, .external_lex_state = 2},
  [1167] = {.lex_state = 79, .external_lex_state = 2},
  [1168] = {.lex_state = 79, .external_lex_state = 2},
  [1169] = {.lex_state = 79, .external_lex_state = 2},
  [1170] = {.lex_state = 79, .external_lex_state = 2},
  [1171] = {.lex_state = 79, .external_lex_state = 2},
  [1172] = {.lex_state = 79, .external_lex_state = 2},
  [1173] = {.lex_state = 79, .external_lex_state = 2},
  [1174] = {.lex_state = 79, .external_lex_state = 2},
  [1175] = {.lex_state = 79, .external_lex_state = 2},
  [1176] = {.lex_state = 79, .external_lex_state = 2},
  [1177] = {.lex_state = 79, .external_lex_state = 2},
  [1178] = {.lex_state = 79, .external_lex_state = 2},
  [1179] = {.lex_state = 79, .external_lex_state = 2},
  [1180] = {.lex_state = 79, .external_lex_state = 2},
  [1181] = {.lex_state = 79, .external_lex_state = 2},
  [1182] = {.lex_state = 79, .external_lex_state = 2},
  [1183] = {.lex_state = 79, .external_lex_state = 2},
  [1184] = {.lex_state = 79, .external_lex_state = 2},
  [1185] = {.lex_state = 79, .external_lex_state = 2},
  [1186] = {.lex_state = 79, .external_lex_state = 2},
  [1187] = {.lex_state = 79, .external_lex_state = 2},
  [1188] = {.lex_state = 79, .external_lex_state = 2},
  [1189] = {.lex_state = 79, .external_lex_state = 2},
  [1190] = {.lex_state = 79, .external_lex_state = 2},
  [1191] = {.lex_state = 79, .external_lex_state = 2},
  [1192] = {.lex_state = 79, .external_lex_state = 2},
  [1193] = {.lex_state = 79, .external_lex_state = 2},
  [1194] = {.lex_state = 79, .external_lex_state = 2},
  [1195] = {.lex_state = 79, .external_lex_state = 2},
  [1196] = {.lex_state = 79, .external_lex_state = 2},
  [1197] = {.lex_state = 79, .external_lex_state = 2},
  [1198] = {.lex_state = 79, .external_lex_state = 2},
  [1199] = {.lex_state = 79, .external_lex_state = 2},
  [1200] = {.lex_state = 79, .external_lex_state = 2},
  [1201] = {.lex_state = 79, .external_lex_state = 2},
  [1202] = {.lex_state = 79, .external_lex_state = 2},
  [1203] = {.lex_state = 79, .external_lex_state = 2},
  [1204] = {.lex_state = 79, .external_lex_state = 2},
  [1205] = {.lex_state = 79, .external_lex_state = 2},
  [1206] = {.lex_state = 79, .external_lex_state = 2},
  [1207] = {.lex_state = 79, .external_lex_state = 2},
  [1208] = {.lex_state = 79, .external_lex_state = 2},
  [1209] = {.lex_state = 79, .external_lex_state = 2},
  [1210] = {.lex_state = 79, .external_lex_state = 2},
  [1211] = {.lex_state = 79, .external_lex_state = 2},
  [1212] = {.lex_state = 79, .external_lex_state = 2},
  [1213] = {.lex_state = 79, .external_lex_state = 2},
  [1214] = {.lex_state = 79, .external_lex_state = 2},
  [1215] = {.lex_state = 79, .external_lex_state = 2},
  [1216] = {.lex_state = 79, .external_lex_state = 2},
  [1217] = {.lex_state = 79, .external_lex_state = 2},
  [1218] = {.lex_state = 79, .external_lex_state = 2},
  [1219] = {.lex_state = 79, .external_lex_state = 2},
  [1220] = {.lex_state = 79, .external_lex_state = 2},
  [1221] = {.lex_state = 79, .external_lex_state = 2},
  [1222] = {.lex_state = 79, .external_lex_state = 2},
  [1223] = {.lex_state = 79, .external_lex_state = 2},
  [1224] = {.lex_state = 79, .external_lex_state = 2},
  [1225] = {.lex_state = 79, .external_lex_state = 2},
  [1226] = {.lex_state = 79, .external_lex_state = 2},
  [1227] = {.lex_state = 79, .external_lex_state = 2},
  [1228] = {.lex_state = 79, .external_lex_state = 2},
  [1229] = {.lex_state = 79, .external_lex_state = 2},
  [1230] = {.lex_state = 79, .external_lex_state = 2},
  [1231] = {.lex_state = 79, .external_lex_state = 2},
  [1232] = {.lex_state = 79, .external_lex_state = 2},
  [1233] = {.lex_state = 79, .external_lex_state = 2},
  [1234] = {.lex_state = 79, .external_lex_state = 2},
  [1235] = {.lex_state = 79, .external_lex_state = 2},
  [1236] = {.lex_state = 79, .external_lex_state = 2},
  [1237] = {.lex_state = 79, .external_lex_state = 2},
  [1238] = {.lex_state = 79, .external_lex_state = 2},
  [1239] = {.lex_state = 79, .external_lex_state = 2},
  [1240] = {.lex_state = 79, .external_lex_state = 2},
  [1241] = {.lex_state = 79, .external_lex_state = 2},
  [1242] = {.lex_state = 79, .external_lex_state = 2},
  [1243] = {.lex_state = 79, .external_lex_state = 2},
  [1244] = {.lex_state = 79, .external_lex_state = 2},
  [1245] = {.lex_state = 79, .external_lex_state = 2},
  [1246] = {.lex_state = 79, .external_lex_state = 2},
  [1247] = {.lex_state = 79, .external_lex_state = 2},
  [1248] = {.lex_state = 79, .external_lex_state = 2},
  [1249] = {.lex_state = 79, .external_lex_state = 2},
  [1250] = {.lex_state = 79, .external_lex_state = 2},
  [1251] = {.lex_state = 79, .external_lex_state = 2},
  [1252] = {.lex_state = 79, .external_lex_state = 2},
  [1253] = {.lex_state = 79, .external_lex_state = 2},
  [1254] = {.lex_state = 79, .external_lex_state = 2},
  [1255] = {.lex_state = 79, .external_lex_state = 2},
  [1256] = {.lex_state = 79, .external_lex_state = 2},
  [1257] = {.lex_state = 79, .external_lex_state = 2},
  [1258] = {.lex_state = 79, .external_lex_state = 2},
  [1259] = {.lex_state = 79, .external_lex_state = 2},
  [1260] = {.lex_state = 79, .external_lex_state = 2},
  [1261] = {.lex_state = 79, .external_lex_state = 2},
  [1262] = {.lex_state = 79, .external_lex_state = 2},
  [1263] = {.lex_state = 79, .external_lex_state = 2},
  [1264] = {.lex_state = 79, .external_lex_state = 2},
  [1265] = {.lex_state = 79, .external_lex_state = 2},
  [1266] = {.lex_state = 79, .external_lex_state = 2},
  [1267] = {.lex_state = 79, .external_lex_state = 2},
  [1268] = {.lex_state = 79, .external_lex_state = 2},
  [1269] = {.lex_state = 79, .external_lex_state = 2},
  [1270] = {.lex_state = 79, .external_lex_state = 2},
  [1271] = {.lex_state = 79, .external_lex_state = 2},
  [1272] = {.lex_state = 79, .external_lex_state = 2},
  [1273] = {.lex_state = 79, .external_lex_state = 2},
  [1274] = {.lex_state = 79, .external_lex_state = 2},
  [1275] = {.lex_state = 79, .external_lex_state = 2},
  [1276] = {.lex_state = 79, .external_lex_state = 2},
  [1277] = {.lex_state = 79, .external_lex_state = 2},
  [1278] = {.lex_state = 79, .external_lex_state = 2},
  [1279] = {.lex_state = 79, .external_lex_state = 2},
  [1280] = {.lex_state = 79, .external_lex_state = 2},
  [1281] = {.lex_state = 79, .external_lex_state = 2},
  [1282] = {.lex_state = 79, .external_lex_state = 2},
  [1283] = {.lex_state = 79, .external_lex_state = 2},
  [1284] = {.lex_state = 79, .external_lex_state = 2},
  [1285] = {.lex_state = 79, .external_lex_state = 2},
  [1286] = {.lex_state = 79, .external_lex_state = 2},
  [1287] = {.lex_state = 79, .external_lex_state = 2},
  [1288] = {.lex_state = 79, .external_lex_state = 2},
  [1289] = {.lex_state = 79, .external_lex_state = 2},
  [1290] = {.lex_state = 79, .external_lex_state = 2},
  [1291] = {.lex_state = 79, .external_lex_state = 2},
  [1292] = {.lex_state = 79, .external_lex_state = 2},
  [1293] = {.lex_state = 79, .external_lex_state = 2},
  [1294] = {.lex_state = 79, .external_lex_state = 2},
  [1295] = {.lex_state = 79, .external_lex_state = 2},
  [1296] = {.lex_state = 79, .external_lex_state = 2},
  [1297] = {.lex_state = 79, .external_lex_state = 2},
  [1298] = {.lex_state = 79, .external_lex_state = 2},
  [1299] = {.lex_state = 79, .external_lex_state = 2},
  [1300] = {.lex_state = 79, .external_lex_state = 2},
  [1301] = {.lex_state = 79, .external_lex_state = 2},
  [1302] = {.lex_state = 79, .external_lex_state = 2},
  [1303] = {.lex_state = 79, .external_lex_state = 2},
  [1304] = {.lex_state = 79, .external_lex_state = 2},
  [1305] = {.lex_state = 79, .external_lex_state = 2},
  [1306] = {.lex_state = 79, .external_lex_state = 2},
  [1307] = {.lex_state = 79, .external_lex_state = 2},
  [1308] = {.lex_state = 79, .external_lex_state = 2},
  [1309] = {.lex_state = 79, .external_lex_state = 2},
  [1310] = {.lex_state = 79, .external_lex_state = 2},
  [1311] = {.lex_state = 79, .external_lex_state = 2},
  [1312] = {.lex_state = 79, .external_lex_state = 2},
  [1313] = {.lex_state = 79, .external_lex_state = 2},
  [1314] = {.lex_state = 79, .external_lex_state = 2},
  [1315] = {.lex_state = 79, .external_lex_state = 2},
  [1316] = {.lex_state = 79, .external_lex_state = 2},
  [1317] = {.lex_state = 79, .external_lex_state = 2},
  [1318] = {.lex_state = 79, .external_lex_state = 2},
  [1319] = {.lex_state = 79, .external_lex_state = 2},
  [1320] = {.lex_state = 79, .external_lex_state = 2},
  [1321] = {.lex_state = 79, .external_lex_state = 2},
  [1322] = {.lex_state = 79, .external_lex_state = 2},
  [1323] = {.lex_state = 79, .external_lex_state = 2},
  [1324] = {.lex_state = 79, .external_lex_state = 2},
  [1325] = {.lex_state = 79, .external_lex_state = 2},
  [1326] = {.lex_state = 79, .external_lex_state = 2},
  [1327] = {.lex_state = 79, .external_lex_state = 2},
  [1328] = {.lex_state = 79, .external_lex_state = 2},
  [1329] = {.lex_state = 79, .external_lex_state = 2},
  [1330] = {.lex_state = 79, .external_lex_state = 2},
  [1331] = {.lex_state = 79, .external_lex_state = 2},
  [1332] = {.lex_state = 79, .external_lex_state = 2},
  [1333] = {.lex_state = 79, .external_lex_state = 2},
  [1334] = {.lex_state = 79, .external_lex_state = 2},
  [1335] = {.lex_state = 79, .external_lex_state = 2},
  [1336] = {.lex_state = 79, .external_lex_state = 2},
  [1337] = {.lex_state = 79, .external_lex_state = 2},
  [1338] = {.lex_state = 79, .external_lex_state = 2},
  [1339] = {.lex_state = 79, .external_lex_state = 2},
  [1340] = {.lex_state = 79, .external_lex_state = 2},
  [1341] = {.lex_state = 79, .external_lex_state = 2},
  [1342] = {.lex_state = 79, .external_lex_state = 2},
  [1343] = {.lex_state = 79, .external_lex_state = 2},
  [1344] = {.lex_state = 79, .external_lex_state = 2},
  [1345] = {.lex_state = 79, .external_lex_state = 2},
  [1346] = {.lex_state = 79, .external_lex_state = 2},
  [1347] = {.lex_state = 79, .external_lex_state = 2},
  [1348] = {.lex_state = 79, .external_lex_state = 2},
  [1349] = {.lex_state = 79, .external_lex_state = 2},
  [1350] = {.lex_state = 79, .external_lex_state = 2},
  [1351] = {.lex_state = 79, .external_lex_state = 2},
  [1352] = {.lex_state = 79, .external_lex_state = 2},
  [1353] = {.lex_state = 79, .external_lex_state = 2},
  [1354] = {.lex_state = 79, .external_lex_state = 2},
  [1355] = {.lex_state = 79, .external_lex_state = 2},
  [1356] = {.lex_state = 79, .external_lex_state = 2},
  [1357] = {.lex_state = 79, .external_lex_state = 2},
  [1358] = {.lex_state = 79, .external_lex_state = 2},
  [1359] = {.lex_state = 79, .external_lex_state = 2},
  [1360] = {.lex_state = 79, .external_lex_state = 2},
  [1361] = {.lex_state = 79, .external_lex_state = 2},
  [1362] = {.lex_state = 79, .external_lex_state = 2},
  [1363] = {.lex_state = 79, .external_lex_state = 2},
  [1364] = {.lex_state = 79, .external_lex_state = 2},
  [1365] = {.lex_state = 79, .external_lex_state = 2},
  [1366] = {.lex_state = 79, .external_lex_state = 2},
  [1367] = {.lex_state = 79, .external_lex_state = 2},
  [1368] = {.lex_state = 79, .external_lex_state = 2},
  [1369] = {.lex_state = 79, .external_lex_state = 2},
  [1370] = {.lex_state = 79, .external_lex_state = 2},
  [1371] = {.lex_state = 79, .external_lex_state = 2},
  [1372] = {.lex_state = 79, .external_lex_state = 2},
  [1373] = {.lex_state = 79, .external_lex_state = 2},
  [1374] = {.lex_state = 79, .external_lex_state = 2},
  [1375] = {.lex_state = 79, .external_lex_state = 2},
  [1376] = {.lex_state = 79, .external_lex_state = 2},
  [1377] = {.lex_state = 79, .external_lex_state = 2},
  [1378] = {.lex_state = 79, .external_lex_state = 2},
  [1379] = {.lex_state = 79, .external_lex_state = 2},
  [1380] = {.lex_state = 79, .external_lex_state = 2},
  [1381] = {.lex_state = 79, .external_lex_state = 2},
  [1382] = {.lex_state = 79, .external_lex_state = 2},
  [1383] = {.lex_state = 79, .external_lex_state = 2},
  [1384] = {.lex_state = 79, .external_lex_state = 2},
  [1385] = {.lex_state = 79, .external_lex_state = 2},
  [1386] = {.lex_state = 79, .external_lex_state = 2},
  [1387] = {.lex_state = 79, .external_lex_state = 2},
  [1388] = {.lex_state = 79, .external_lex_state = 2},
  [1389] = {.lex_state = 79, .external_lex_state = 2},
  [1390] = {.lex_state = 79, .external_lex_state = 2},
  [1391] = {.lex_state = 79, .external_lex_state = 2},
  [1392] = {.lex_state = 79, .external_lex_state = 2},
  [1393] = {.lex_state = 79, .external_lex_state = 2},
  [1394] = {.lex_state = 79, .external_lex_state = 2},
  [1395] = {.lex_state = 79, .external_lex_state = 2},
  [1396] = {.lex_state = 79, .external_lex_state = 2},
  [1397] = {.lex_state = 79, .external_lex_state = 2},
  [1398] = {.lex_state = 79, .external_lex_state = 2},
  [1399] = {.lex_state = 79, .external_lex_state = 2},
  [1400] = {.lex_state = 79, .external_lex_state = 2},
  [1401] = {.lex_state = 79, .external_lex_state = 2},
  [1402] = {.lex_state = 79, .external_lex_state = 2},
  [1403] = {.lex_state = 79, .external_lex_state = 2},
  [1404] = {.lex_state = 79, .external_lex_state = 2},
  [1405] = {.lex_state = 79, .external_lex_state = 2},
  [1406] = {.lex_state = 79, .external_lex_state = 2},
  [1407] = {.lex_state = 79, .external_lex_state = 2},
  [1408] = {.lex_state = 79, .external_lex_state = 2},
  [1409] = {.lex_state = 79, .external_lex_state = 2},
  [1410] = {.lex_state = 79, .external_lex_state = 2},
  [1411] = {.lex_state = 79, .external_lex_state = 2},
  [1412] = {.lex_state = 79, .external_lex_state = 2},
  [1413] = {.lex_state = 79, .external_lex_state = 2},
  [1414] = {.lex_state = 79, .external_lex_state = 2},
  [1415] = {.lex_state = 79, .external_lex_state = 2},
  [1416] = {.lex_state = 79, .external_lex_state = 2},
  [1417] = {.lex_state = 79, .external_lex_state = 2},
  [1418] = {.lex_state = 79, .external_lex_state = 2},
  [1419] = {.lex_state = 79, .external_lex_state = 2},
  [1420] = {.lex_state = 79, .external_lex_state = 2},
  [1421] = {.lex_state = 79, .external_lex_state = 2},
  [1422] = {.lex_state = 79, .external_lex_state = 2},
  [1423] = {.lex_state = 79, .external_lex_state = 2},
  [1424] = {.lex_state = 79, .external_lex_state = 2},
  [1425] = {.lex_state = 79, .external_lex_state = 2},
  [1426] = {.lex_state = 79, .external_lex_state = 2},
  [1427] = {.lex_state = 79, .external_lex_state = 2},
  [1428] = {.lex_state = 79, .external_lex_state = 2},
  [1429] = {.lex_state = 79, .external_lex_state = 2},
  [1430] = {.lex_state = 79, .external_lex_state = 2},
  [1431] = {.lex_state = 79, .external_lex_state = 2},
  [1432] = {.lex_state = 79, .external_lex_state = 2},
  [1433] = {.lex_state = 79, .external_lex_state = 2},
  [1434] = {.lex_state = 79, .external_lex_state = 2},
  [1435] = {.lex_state = 79, .external_lex_state = 2},
  [1436] = {.lex_state = 79, .external_lex_state = 2},
  [1437] = {.lex_state = 79, .external_lex_state = 2},
  [1438] = {.lex_state = 79, .external_lex_state = 2},
  [1439] = {.lex_state = 79, .external_lex_state = 2},
  [1440] = {.lex_state = 79, .external_lex_state = 2},
  [1441] = {.lex_state = 79, .external_lex_state = 2},
  [1442] = {.lex_state = 79, .external_lex_state = 2},
  [1443] = {.lex_state = 79, .external_lex_state = 2},
  [1444] = {.lex_state = 79, .external_lex_state = 2},
  [1445] = {.lex_state = 79, .external_lex_state = 2},
  [1446] = {.lex_state = 79, .external_lex_state = 2},
  [1447] = {.lex_state = 79, .external_lex_state = 2},
  [1448] = {.lex_state = 79, .external_lex_state = 2},
  [1449] = {.lex_state = 79, .external_lex_state = 2},
  [1450] = {.lex_state = 79, .external_lex_state = 2},
  [1451] = {.lex_state = 79, .external_lex_state = 2},
  [1452] = {.lex_state = 79, .external_lex_state = 2},
  [1453] = {.lex_state = 79, .external_lex_state = 2},
  [1454] = {.lex_state = 79, .external_lex_state = 2},
  [1455] = {.lex_state = 79, .external_lex_state = 2},
  [1456] = {.lex_state = 79, .external_lex_state = 2},
  [1457] = {.lex_state = 79, .external_lex_state = 2},
  [1458] = {.lex_state = 79, .external_lex_state = 2},
  [1459] = {.lex_state = 79, .external_lex_state = 2},
  [1460] = {.lex_state = 79, .external_lex_state = 2},
  [1461] = {.lex_state = 79, .external_lex_state = 2},
  [1462] = {.lex_state = 79, .external_lex_state = 2},
  [1463] = {.lex_state = 79, .external_lex_state = 2},
  [1464] = {.lex_state = 79, .external_lex_state = 2},
  [1465] = {.lex_state = 79, .external_lex_state = 2},
  [1466] = {.lex_state = 79, .external_lex_state = 2},
  [1467] = {.lex_state = 79, .external_lex_state = 2},
  [1468] = {.lex_state = 79, .external_lex_state = 2},
  [1469] = {.lex_state = 79, .external_lex_state = 2},
  [1470] = {.lex_state = 79, .external_lex_state = 2},
  [1471] = {.lex_state = 79, .external_lex_state = 2},
  [1472] = {.lex_state = 79, .external_lex_state = 2},
  [1473] = {.lex_state = 79, .external_lex_state = 2},
  [1474] = {.lex_state = 79, .external_lex_state = 2},
  [1475] = {.lex_state = 79, .external_lex_state = 2},
  [1476] = {.lex_state = 79, .external_lex_state = 2},
  [1477] = {.lex_state = 79, .external_lex_state = 2},
  [1478] = {.lex_state = 79, .external_lex_state = 2},
  [1479] = {.lex_state = 79, .external_lex_state = 2},
  [1480] = {.lex_state = 79, .external_lex_state = 2},
  [1481] = {.lex_state = 79, .external_lex_state = 2},
  [1482] = {.lex_state = 79, .external_lex_state = 2},
  [1483] = {.lex_state = 79, .external_lex_state = 2},
  [1484] = {.lex_state = 79, .external_lex_state = 2},
  [1485] = {.lex_state = 79, .external_lex_state = 2},
  [1486] = {.lex_state = 79, .external_lex_state = 2},
  [1487] = {.lex_state = 79, .external_lex_state = 2},
  [1488] = {.lex_state = 79, .external_lex_state = 2},
  [1489] = {.lex_state = 79, .external_lex_state = 2},
  [1490] = {.lex_state = 79, .external_lex_state = 2},
  [1491] = {.lex_state = 79, .external_lex_state = 2},
  [1492] = {.lex_state = 79, .external_lex_state = 2},
  [1493] = {.lex_state = 79, .external_lex_state = 2},
  [1494] = {.lex_state = 79, .external_lex_state = 2},
  [1495] = {.lex_state = 79, .external_lex_state = 2},
  [1496] = {.lex_state = 79, .external_lex_state = 2},
  [1497] = {.lex_state = 79, .external_lex_state = 2},
  [1498] = {.lex_state = 79, .external_lex_state = 2},
  [1499] = {.lex_state = 79, .external_lex_state = 2},
  [1500] = {.lex_state = 79, .external_lex_state = 2},
  [1501] = {.lex_state = 79, .external_lex_state = 2},
  [1502] = {.lex_state = 79, .external_lex_state = 2},
  [1503] = {.lex_state = 79, .external_lex_state = 2},
  [1504] = {.lex_state = 79, .external_lex_state = 2},
  [1505] = {.lex_state = 79, .external_lex_state = 2},
  [1506] = {.lex_state = 79, .external_lex_state = 2},
  [1507] = {.lex_state = 79, .external_lex_state = 2},
  [1508] = {.lex_state = 79, .external_lex_state = 2},
  [1509] = {.lex_state = 79, .external_lex_state = 2},
  [1510] = {.lex_state = 79, .external_lex_state = 2},
  [1511] = {.lex_state = 79, .external_lex_state = 2},
  [1512] = {.lex_state = 79, .external_lex_state = 2},
  [1513] = {.lex_state = 79, .external_lex_state = 2},
  [1514] = {.lex_state = 79, .external_lex_state = 2},
  [1515] = {.lex_state = 79, .external_lex_state = 2},
  [1516] = {.lex_state = 79, .external_lex_state = 2},
  [1517] = {.lex_state = 79, .external_lex_state = 2},
  [1518] = {.lex_state = 79, .external_lex_state = 2},
  [1519] = {.lex_state = 79, .external_lex_state = 2},
  [1520] = {.lex_state = 79, .external_lex_state = 2},
  [1521] = {.lex_state = 79, .external_lex_state = 2},
  [1522] = {.lex_state = 79, .external_lex_state = 2},
  [1523] = {.lex_state = 79, .external_lex_state = 2},
  [1524] = {.lex_state = 79, .external_lex_state = 2},
  [1525] = {.lex_state = 79, .external_lex_state = 2},
  [1526] = {.lex_state = 79, .external_lex_state = 2},
  [1527] = {.lex_state = 79, .external_lex_state = 2},
  [1528] = {.lex_state = 79, .external_lex_state = 2},
  [1529] = {.lex_state = 79, .external_lex_state = 2},
  [1530] = {.lex_state = 79, .external_lex_state = 2},
  [1531] = {.lex_state = 79, .external_lex_state = 2},
  [1532] = {.lex_state = 79, .external_lex_state = 2},
  [1533] = {.lex_state = 79, .external_lex_state = 2},
  [1534] = {.lex_state = 79, .external_lex_state = 2},
  [1535] = {.lex_state = 79, .external_lex_state = 2},
  [1536] = {.lex_state = 79, .external_lex_state = 2},
  [1537] = {.lex_state = 79, .external_lex_state = 2},
  [1538] = {.lex_state = 79, .external_lex_state = 2},
  [1539] = {.lex_state = 79, .external_lex_state = 2},
  [1540] = {.lex_state = 79, .external_lex_state = 2},
  [1541] = {.lex_state = 79, .external_lex_state = 2},
  [1542] = {.lex_state = 79, .external_lex_state = 2},
  [1543] = {.lex_state = 79, .external_lex_state = 2},
  [1544] = {.lex_state = 79, .external_lex_state = 2},
  [1545] = {.lex_state = 79, .external_lex_state = 2},
  [1546] = {.lex_state = 79, .external_lex_state = 2},
  [1547] = {.lex_state = 79, .external_lex_state = 2},
  [1548] = {.lex_state = 79, .external_lex_state = 2},
  [1549] = {.lex_state = 79, .external_lex_state = 2},
  [1550] = {.lex_state = 79, .external_lex_state = 2},
  [1551] = {.lex_state = 79, .external_lex_state = 2},
  [1552] = {.lex_state = 79, .external_lex_state = 2},
  [1553] = {.lex_state = 79, .external_lex_state = 2},
  [1554] = {.lex_state = 79, .external_lex_state = 2},
  [1555] = {.lex_state = 79, .external_lex_state = 2},
  [1556] = {.lex_state = 79, .external_lex_state = 2},
  [1557] = {.lex_state = 79, .external_lex_state = 2},
  [1558] = {.lex_state = 79, .external_lex_state = 2},
  [1559] = {.lex_state = 79, .external_lex_state = 2},
  [1560] = {.lex_state = 79, .external_lex_state = 2},
  [1561] = {.lex_state = 79, .external_lex_state = 2},
  [1562] = {.lex_state = 79, .external_lex_state = 2},
  [1563] = {.lex_state = 79, .external_lex_state = 2},
  [1564] = {.lex_state = 79, .external_lex_state = 2},
  [1565] = {.lex_state = 79, .external_lex_state = 2},
  [1566] = {.lex_state = 79, .external_lex_state = 2},
  [1567] = {.lex_state = 79, .external_lex_state = 2},
  [1568] = {.lex_state = 79, .external_lex_state = 2},
  [1569] = {.lex_state = 79, .external_lex_state = 2},
  [1570] = {.lex_state = 79, .external_lex_state = 2},
  [1571] = {.lex_state = 79, .external_lex_state = 2},
  [1572] = {.lex_state = 79, .external_lex_state = 2},
  [1573] = {.lex_state = 79, .external_lex_state = 2},
  [1574] = {.lex_state = 79, .external_lex_state = 2},
  [1575] = {.lex_state = 79, .external_lex_state = 2},
  [1576] = {.lex_state = 79, .external_lex_state = 2},
  [1577] = {.lex_state = 79, .external_lex_state = 2},
  [1578] = {.lex_state = 79, .external_lex_state = 2},
  [1579] = {.lex_state = 79, .external_lex_state = 2},
  [1580] = {.lex_state = 79, .external_lex_state = 2},
  [1581] = {.lex_state = 79, .external_lex_state = 2},
  [1582] = {.lex_state = 79, .external_lex_state = 2},
  [1583] = {.lex_state = 79, .external_lex_state = 2},
  [1584] = {.lex_state = 79, .external_lex_state = 2},
  [1585] = {.lex_state = 79, .external_lex_state = 2},
  [1586] = {.lex_state = 79, .external_lex_state = 2},
  [1587] = {.lex_state = 79, .external_lex_state = 2},
  [1588] = {.lex_state = 79, .external_lex_state = 2},
  [1589] = {.lex_state = 79, .external_lex_state = 2},
  [1590] = {.lex_state = 79, .external_lex_state = 2},
  [1591] = {.lex_state = 79, .external_lex_state = 2},
  [1592] = {.lex_state = 79, .external_lex_state = 2},
  [1593] = {.lex_state = 79, .external_lex_state = 2},
  [1594] = {.lex_state = 79, .external_lex_state = 2},
  [1595] = {.lex_state = 79, .external_lex_state = 2},
  [1596] = {.lex_state = 79, .external_lex_state = 2},
  [1597] = {.lex_state = 79, .external_lex_state = 2},
  [1598] = {.lex_state = 79, .external_lex_state = 2},
  [1599] = {.lex_state = 79, .external_lex_state = 2},
  [1600] = {.lex_state = 79, .external_lex_state = 2},
  [1601] = {.lex_state = 79, .external_lex_state = 2},
  [1602] = {.lex_state = 79, .external_lex_state = 2},
  [1603] = {.lex_state = 79, .external_lex_state = 2},
  [1604] = {.lex_state = 79, .external_lex_state = 2},
  [1605] = {.lex_state = 79, .external_lex_state = 2},
  [1606] = {.lex_state = 79, .external_lex_state = 2},
  [1607] = {.lex_state = 79, .external_lex_state = 2},
  [1608] = {.lex_state = 79, .external_lex_state = 2},
  [1609] = {.lex_state = 79, .external_lex_state = 2},
  [1610] = {.lex_state = 79, .external_lex_state = 2},
  [1611] = {.lex_state = 79, .external_lex_state = 2},
  [1612] = {.lex_state = 79, .external_lex_state = 2},
  [1613] = {.lex_state = 79, .external_lex_state = 2},
  [1614] = {.lex_state = 79, .external_lex_state = 2},
  [1615] = {.lex_state = 79, .external_lex_state = 2},
  [1616] = {.lex_state = 79, .external_lex_state = 2},
  [1617] = {.lex_state = 79, .external_lex_state = 2},
  [1618] = {.lex_state = 79, .external_lex_state = 2},
  [1619] = {.lex_state = 79, .external_lex_state = 2},
  [1620] = {.lex_state = 79, .external_lex_state = 2},
  [1621] = {.lex_state = 79, .external_lex_state = 2},
  [1622] = {.lex_state = 79, .external_lex_state = 2},
  [1623] = {.lex_state = 79, .external_lex_state = 2},
  [1624] = {.lex_state = 79, .external_lex_state = 2},
  [1625] = {.lex_state = 79, .external_lex_state = 2},
  [1626] = {.lex_state = 79, .external_lex_state = 2},
  [1627] = {.lex_state = 79, .external_lex_state = 2},
  [1628] = {.lex_state = 79, .external_lex_state = 2},
  [1629] = {.lex_state = 79, .external_lex_state = 2},
  [1630] = {.lex_state = 79, .external_lex_state = 2},
  [1631] = {.lex_state = 79, .external_lex_state = 2},
  [1632] = {.lex_state = 79, .external_lex_state = 2},
  [1633] = {.lex_state = 79, .external_lex_state = 2},
  [1634] = {.lex_state = 79, .external_lex_state = 2},
  [1635] = {.lex_state = 79, .external_lex_state = 2},
  [1636] = {.lex_state = 79, .external_lex_state = 2},
  [1637] = {.lex_state = 79, .external_lex_state = 2},
  [1638] = {.lex_state = 79, .external_lex_state = 2},
  [1639] = {.lex_state = 79, .external_lex_state = 2},
  [1640] = {.lex_state = 79, .external_lex_state = 2},
  [1641] = {.lex_state = 79, .external_lex_state = 2},
  [1642] = {.lex_state = 79, .external_lex_state = 2},
  [1643] = {.lex_state = 79, .external_lex_state = 2},
  [1644] = {.lex_state = 79, .external_lex_state = 2},
  [1645] = {.lex_state = 79, .external_lex_state = 2},
  [1646] = {.lex_state = 79, .external_lex_state = 2},
  [1647] = {.lex_state = 79, .external_lex_state = 2},
  [1648] = {.lex_state = 79, .external_lex_state = 2},
  [1649] = {.lex_state = 79, .external_lex_state = 2},
  [1650] = {.lex_state = 79, .external_lex_state = 2},
  [1651] = {.lex_state = 79, .external_lex_state = 2},
  [1652] = {.lex_state = 68, .external_lex_state = 3},
  [1653] = {.lex_state = 79, .external_lex_state = 2},
  [1654] = {.lex_state = 79, .external_lex_state = 2},
  [1655] = {.lex_state = 79, .external_lex_state = 2},
  [1656] = {.lex_state = 79, .external_lex_state = 2},
  [1657] = {.lex_state = 79, .external_lex_state = 2},
  [1658] = {.lex_state = 79, .external_lex_state = 2},
  [1659] = {.lex_state = 79, .external_lex_state = 2},
  [1660] = {.lex_state = 79, .external_lex_state = 2},
  [1661] = {.lex_state = 79, .external_lex_state = 2},
  [1662] = {.lex_state = 79, .external_lex_state = 2},
  [1663] = {.lex_state = 79, .external_lex_state = 2},
  [1664] = {.lex_state = 79, .external_lex_state = 2},
  [1665] = {.lex_state = 79, .external_lex_state = 2},
  [1666] = {.lex_state = 79, .external_lex_state = 2},
  [1667] = {.lex_state = 79, .external_lex_state = 2},
  [1668] = {.lex_state = 79, .external_lex_state = 2},
  [1669] = {.lex_state = 79, .external_lex_state = 2},
  [1670] = {.lex_state = 79, .external_lex_state = 2},
  [1671] = {.lex_state = 79, .external_lex_state = 2},
  [1672] = {.lex_state = 79, .external_lex_state = 2},
  [1673] = {.lex_state = 79, .external_lex_state = 2},
  [1674] = {.lex_state = 79, .external_lex_state = 2},
  [1675] = {.lex_state = 79, .external_lex_state = 2},
  [1676] = {.lex_state = 79, .external_lex_state = 2},
  [1677] = {.lex_state = 79, .external_lex_state = 2},
  [1678] = {.lex_state = 79, .external_lex_state = 2},
  [1679] = {.lex_state = 79, .external_lex_state = 2},
  [1680] = {.lex_state = 79, .external_lex_state = 2},
  [1681] = {.lex_state = 79, .external_lex_state = 2},
  [1682] = {.lex_state = 79, .external_lex_state = 2},
  [1683] = {.lex_state = 79, .external_lex_state = 2},
  [1684] = {.lex_state = 79, .external_lex_state = 2},
  [1685] = {.lex_state = 79, .external_lex_state = 2},
  [1686] = {.lex_state = 79, .external_lex_state = 2},
  [1687] = {.lex_state = 79, .external_lex_state = 2},
  [1688] = {.lex_state = 79, .external_lex_state = 2},
  [1689] = {.lex_state = 79, .external_lex_state = 2},
  [1690] = {.lex_state = 79, .external_lex_state = 2},
  [1691] = {.lex_state = 79, .external_lex_state = 2},
  [1692] = {.lex_state = 79, .external_lex_state = 2},
  [1693] = {.lex_state = 79, .external_lex_state = 2},
  [1694] = {.lex_state = 79, .external_lex_state = 2},
  [1695] = {.lex_state = 79, .external_lex_state = 2},
  [1696] = {.lex_state = 79, .external_lex_state = 2},
  [1697] = {.lex_state = 79, .external_lex_state = 2},
  [1698] = {.lex_state = 79, .external_lex_state = 2},
  [1699] = {.lex_state = 79, .external_lex_state = 2},
  [1700] = {.lex_state = 79, .external_lex_state = 2},
  [1701] = {.lex_state = 79, .external_lex_state = 2},
  [1702] = {.lex_state = 79, .external_lex_state = 2},
  [1703] = {.lex_state = 79, .external_lex_state = 2},
  [1704] = {.lex_state = 79, .external_lex_state = 2},
  [1705] = {.lex_state = 79, .external_lex_state = 2},
  [1706] = {.lex_state = 79, .external_lex_state = 2},
  [1707] = {.lex_state = 79, .external_lex_state = 2},
  [1708] = {.lex_state = 79, .external_lex_state = 2},
  [1709] = {.lex_state = 79, .external_lex_state = 2},
  [1710] = {.lex_state = 79, .external_lex_state = 2},
  [1711] = {.lex_state = 79, .external_lex_state = 2},
  [1712] = {.lex_state = 79, .external_lex_state = 2},
  [1713] = {.lex_state = 79, .external_lex_state = 2},
  [1714] = {.lex_state = 79, .external_lex_state = 2},
  [1715] = {.lex_state = 79, .external_lex_state = 2},
  [1716] = {.lex_state = 79, .external_lex_state = 2},
  [1717] = {.lex_state = 79, .external_lex_state = 2},
  [1718] = {.lex_state = 79, .external_lex_state = 2},
  [1719] = {.lex_state = 79, .external_lex_state = 2},
  [1720] = {.lex_state = 79, .external_lex_state = 2},
  [1721] = {.lex_state = 79, .external_lex_state = 2},
  [1722] = {.lex_state = 79, .external_lex_state = 2},
  [1723] = {.lex_state = 79, .external_lex_state = 2},
  [1724] = {.lex_state = 79, .external_lex_state = 2},
  [1725] = {.lex_state = 79, .external_lex_state = 2},
  [1726] = {.lex_state = 79, .external_lex_state = 2},
  [1727] = {.lex_state = 79, .external_lex_state = 2},
  [1728] = {.lex_state = 79, .external_lex_state = 2},
  [1729] = {.lex_state = 79, .external_lex_state = 2},
  [1730] = {.lex_state = 79, .external_lex_state = 2},
  [1731] = {.lex_state = 79, .external_lex_state = 2},
  [1732] = {.lex_state = 79, .external_lex_state = 2},
  [1733] = {.lex_state = 79, .external_lex_state = 2},
  [1734] = {.lex_state = 79, .external_lex_state = 2},
  [1735] = {.lex_state = 79, .external_lex_state = 2},
  [1736] = {.lex_state = 79, .external_lex_state = 2},
  [1737] = {.lex_state = 79, .external_lex_state = 2},
  [1738] = {.lex_state = 79, .external_lex_state = 2},
  [1739] = {.lex_state = 79, .external_lex_state = 2},
  [1740] = {.lex_state = 79, .external_lex_state = 2},
  [1741] = {.lex_state = 79, .external_lex_state = 2},
  [1742] = {.lex_state = 79, .external_lex_state = 2},
  [1743] = {.lex_state = 79, .external_lex_state = 2},
  [1744] = {.lex_state = 79, .external_lex_state = 2},
  [1745] = {.lex_state = 79, .external_lex_state = 2},
  [1746] = {.lex_state = 79, .external_lex_state = 2},
  [1747] = {.lex_state = 79, .external_lex_state = 2},
  [1748] = {.lex_state = 79, .external_lex_state = 2},
  [1749] = {.lex_state = 79, .external_lex_state = 2},
  [1750] = {.lex_state = 79, .external_lex_state = 2},
  [1751] = {.lex_state = 79, .external_lex_state = 2},
  [1752] = {.lex_state = 79, .external_lex_state = 2},
  [1753] = {.lex_state = 79, .external_lex_state = 2},
  [1754] = {.lex_state = 79, .external_lex_state = 2},
  [1755] = {.lex_state = 79, .external_lex_state = 2},
  [1756] = {.lex_state = 79, .external_lex_state = 2},
  [1757] = {.lex_state = 79, .external_lex_state = 2},
  [1758] = {.lex_state = 79, .external_lex_state = 2},
  [1759] = {.lex_state = 79, .external_lex_state = 2},
  [1760] = {.lex_state = 79, .external_lex_state = 2},
  [1761] = {.lex_state = 79, .external_lex_state = 2},
  [1762] = {.lex_state = 79, .external_lex_state = 2},
  [1763] = {.lex_state = 79, .external_lex_state = 2},
  [1764] = {.lex_state = 79, .external_lex_state = 2},
  [1765] = {.lex_state = 79, .external_lex_state = 2},
  [1766] = {.lex_state = 79, .external_lex_state = 2},
  [1767] = {.lex_state = 79, .external_lex_state = 2},
  [1768] = {.lex_state = 79, .external_lex_state = 2},
  [1769] = {.lex_state = 79, .external_lex_state = 2},
  [1770] = {.lex_state = 79, .external_lex_state = 2},
  [1771] = {.lex_state = 79, .external_lex_state = 2},
  [1772] = {.lex_state = 79, .external_lex_state = 2},
  [1773] = {.lex_state = 79, .external_lex_state = 2},
  [1774] = {.lex_state = 79, .external_lex_state = 2},
  [1775] = {.lex_state = 79, .external_lex_state = 2},
  [1776] = {.lex_state = 79, .external_lex_state = 2},
  [1777] = {.lex_state = 79, .external_lex_state = 2},
  [1778] = {.lex_state = 79, .external_lex_state = 2},
  [1779] = {.lex_state = 79, .external_lex_state = 2},
  [1780] = {.lex_state = 79, .external_lex_state = 2},
  [1781] = {.lex_state = 79, .external_lex_state = 2},
  [1782] = {.lex_state = 79, .external_lex_state = 2},
  [1783] = {.lex_state = 79, .external_lex_state = 2},
  [1784] = {.lex_state = 79, .external_lex_state = 2},
  [1785] = {.lex_state = 79, .external_lex_state = 2},
  [1786] = {.lex_state = 79, .external_lex_state = 2},
  [1787] = {.lex_state = 79, .external_lex_state = 2},
  [1788] = {.lex_state = 79, .external_lex_state = 2},
  [1789] = {.lex_state = 68, .external_lex_state = 3},
  [1790] = {.lex_state = 79, .external_lex_state = 2},
  [1791] = {.lex_state = 79, .external_lex_state = 2},
  [1792] = {.lex_state = 79, .external_lex_state = 2},
  [1793] = {.lex_state = 79, .external_lex_state = 2},
  [1794] = {.lex_state = 79, .external_lex_state = 2},
  [1795] = {.lex_state = 79, .external_lex_state = 2},
  [1796] = {.lex_state = 79, .external_lex_state = 2},
  [1797] = {.lex_state = 79, .external_lex_state = 2},
  [1798] = {.lex_state = 79, .external_lex_state = 2},
  [1799] = {.lex_state = 79, .external_lex_state = 2},
  [1800] = {.lex_state = 79, .external_lex_state = 2},
  [1801] = {.lex_state = 79, .external_lex_state = 2},
  [1802] = {.lex_state = 79, .external_lex_state = 2},
  [1803] = {.lex_state = 79, .external_lex_state = 2},
  [1804] = {.lex_state = 79, .external_lex_state = 2},
  [1805] = {.lex_state = 79, .external_lex_state = 2},
  [1806] = {.lex_state = 79, .external_lex_state = 2},
  [1807] = {.lex_state = 79, .external_lex_state = 2},
  [1808] = {.lex_state = 79, .external_lex_state = 2},
  [1809] = {.lex_state = 79, .external_lex_state = 2},
  [1810] = {.lex_state = 79, .external_lex_state = 2},
  [1811] = {.lex_state = 79, .external_lex_state = 2},
  [1812] = {.lex_state = 79, .external_lex_state = 2},
  [1813] = {.lex_state = 79, .external_lex_state = 2},
  [1814] = {.lex_state = 79, .external_lex_state = 2},
  [1815] = {.lex_state = 79, .external_lex_state = 2},
  [1816] = {.lex_state = 79, .external_lex_state = 2},
  [1817] = {.lex_state = 79, .external_lex_state = 2},
  [1818] = {.lex_state = 79, .external_lex_state = 2},
  [1819] = {.lex_state = 79, .external_lex_state = 2},
  [1820] = {.lex_state = 79, .external_lex_state = 2},
  [1821] = {.lex_state = 79, .external_lex_state = 2},
  [1822] = {.lex_state = 79, .external_lex_state = 2},
  [1823] = {.lex_state = 79, .external_lex_state = 2},
  [1824] = {.lex_state = 79, .external_lex_state = 2},
  [1825] = {.lex_state = 79, .external_lex_state = 2},
  [1826] = {.lex_state = 79, .external_lex_state = 2},
  [1827] = {.lex_state = 79, .external_lex_state = 2},
  [1828] = {.lex_state = 79, .external_lex_state = 2},
  [1829] = {.lex_state = 79, .external_lex_state = 2},
  [1830] = {.lex_state = 79, .external_lex_state = 2},
  [1831] = {.lex_state = 79, .external_lex_state = 2},
  [1832] = {.lex_state = 79, .external_lex_state = 2},
  [1833] = {.lex_state = 79, .external_lex_state = 2},
  [1834] = {.lex_state = 79, .external_lex_state = 2},
  [1835] = {.lex_state = 79, .external_lex_state = 2},
  [1836] = {.lex_state = 79, .external_lex_state = 2},
  [1837] = {.lex_state = 79, .external_lex_state = 2},
  [1838] = {.lex_state = 79, .external_lex_state = 2},
  [1839] = {.lex_state = 79, .external_lex_state = 2},
  [1840] = {.lex_state = 79, .external_lex_state = 2},
  [1841] = {.lex_state = 79, .external_lex_state = 2},
  [1842] = {.lex_state = 79, .external_lex_state = 2},
  [1843] = {.lex_state = 79, .external_lex_state = 2},
  [1844] = {.lex_state = 79, .external_lex_state = 2},
  [1845] = {.lex_state = 79, .external_lex_state = 2},
  [1846] = {.lex_state = 79, .external_lex_state = 2},
  [1847] = {.lex_state = 79, .external_lex_state = 2},
  [1848] = {.lex_state = 79, .external_lex_state = 2},
  [1849] = {.lex_state = 79, .external_lex_state = 2},
  [1850] = {.lex_state = 79, .external_lex_state = 2},
  [1851] = {.lex_state = 79, .external_lex_state = 2},
  [1852] = {.lex_state = 79, .external_lex_state = 2},
  [1853] = {.lex_state = 79, .external_lex_state = 2},
  [1854] = {.lex_state = 79, .external_lex_state = 2},
  [1855] = {.lex_state = 79, .external_lex_state = 2},
  [1856] = {.lex_state = 79, .external_lex_state = 2},
  [1857] = {.lex_state = 79, .external_lex_state = 2},
  [1858] = {.lex_state = 79, .external_lex_state = 2},
  [1859] = {.lex_state = 79, .external_lex_state = 2},
  [1860] = {.lex_state = 79, .external_lex_state = 2},
  [1861] = {.lex_state = 79, .external_lex_state = 2},
  [1862] = {.lex_state = 79, .external_lex_state = 2},
  [1863] = {.lex_state = 79, .external_lex_state = 2},
  [1864] = {.lex_state = 79, .external_lex_state = 2},
  [1865] = {.lex_state = 79, .external_lex_state = 2},
  [1866] = {.lex_state = 79, .external_lex_state = 2},
  [1867] = {.lex_state = 79, .external_lex_state = 2},
  [1868] = {.lex_state = 79, .external_lex_state = 2},
  [1869] = {.lex_state = 79, .external_lex_state = 2},
  [1870] = {.lex_state = 79, .external_lex_state = 2},
  [1871] = {.lex_state = 79, .external_lex_state = 2},
  [1872] = {.lex_state = 79, .external_lex_state = 2},
  [1873] = {.lex_state = 79, .external_lex_state = 2},
  [1874] = {.lex_state = 79, .external_lex_state = 2},
  [1875] = {.lex_state = 79, .external_lex_state = 2},
  [1876] = {.lex_state = 79, .external_lex_state = 2},
  [1877] = {.lex_state = 79, .external_lex_state = 2},
  [1878] = {.lex_state = 79, .external_lex_state = 2},
  [1879] = {.lex_state = 68, .external_lex_state = 3},
  [1880] = {.lex_state = 68, .external_lex_state = 3},
  [1881] = {.lex_state = 68, .external_lex_state = 3},
  [1882] = {.lex_state = 68, .external_lex_state = 3},
  [1883] = {.lex_state = 68, .external_lex_state = 3},
  [1884] = {.lex_state = 68, .external_lex_state = 3},
  [1885] = {.lex_state = 68, .external_lex_state = 3},
  [1886] = {.lex_state = 68, .external_lex_state = 3},
  [1887] = {.lex_state = 68, .external_lex_state = 3},
  [1888] = {.lex_state = 68, .external_lex_state = 3},
  [1889] = {.lex_state = 103, .external_lex_state = 18},
  [1890] = {.lex_state = 209, .external_lex_state = 3},
  [1891] = {.lex_state = 209, .external_lex_state = 3},
  [1892] = {.lex_state = 209, .external_lex_state = 3},
  [1893] = {.lex_state = 209, .external_lex_state = 3},
  [1894] = {.lex_state = 209, .external_lex_state = 3},
  [1895] = {.lex_state = 209, .external_lex_state = 3},
  [1896] = {.lex_state = 209, .external_lex_state = 3},
  [1897] = {.lex_state = 209, .external_lex_state = 3},
  [1898] = {.lex_state = 209, .external_lex_state = 3},
  [1899] = {.lex_state = 209, .external_lex_state = 3},
  [1900] = {.lex_state = 209, .external_lex_state = 3},
  [1901] = {.lex_state = 209, .external_lex_state = 3},
  [1902] = {.lex_state = 68, .external_lex_state = 3},
  [1903] = {.lex_state = 67, .external_lex_state = 3},
  [1904] = {.lex_state = 68, .external_lex_state = 3},
  [1905] = {.lex_state = 68, .external_lex_state = 4},
  [1906] = {.lex_state = 68, .external_lex_state = 4},
  [1907] = {.lex_state = 68, .external_lex_state = 3},
  [1908] = {.lex_state = 68, .external_lex_state = 3},
  [1909] = {.lex_state = 68, .external_lex_state = 3},
  [1910] = {.lex_state = 68, .external_lex_state = 3},
  [1911] = {.lex_state = 68, .external_lex_state = 3},
  [1912] = {.lex_state = 224, .external_lex_state = 18},
  [1913] = {.lex_state = 68, .external_lex_state = 3},
  [1914] = {.lex_state = 68, .external_lex_state = 4},
  [1915] = {.lex_state = 67, .external_lex_state = 4},
  [1916] = {.lex_state = 68, .external_lex_state = 4},
  [1917] = {.lex_state = 68, .external_lex_state = 4},
  [1918] = {.lex_state = 68, .external_lex_state = 4},
  [1919] = {.lex_state = 68, .external_lex_state = 4},
  [1920] = {.lex_state = 68, .external_lex_state = 4},
  [1921] = {.lex_state = 68, .external_lex_state = 4},
  [1922] = {.lex_state = 68, .external_lex_state = 3},
  [1923] = {.lex_state = 68, .external_lex_state = 4},
  [1924] = {.lex_state = 68, .external_lex_state = 4},
  [1925] = {.lex_state = 68, .external_lex_state = 4},
  [1926] = {.lex_state = 68, .external_lex_state = 4},
  [1927] = {.lex_state = 68, .external_lex_state = 4},
  [1928] = {.lex_state = 68, .external_lex_state = 4},
  [1929] = {.lex_state = 68, .external_lex_state = 4},
  [1930] = {.lex_state = 103, .external_lex_state = 19},
  [1931] = {.lex_state = 68, .external_lex_state = 4},
  [1932] = {.lex_state = 103, .external_lex_state = 19},
  [1933] = {.lex_state = 103, .external_lex_state = 19},
  [1934] = {.lex_state = 71, .external_lex_state = 3},
  [1935] = {.lex_state = 71, .external_lex_state = 3},
  [1936] = {.lex_state = 79, .external_lex_state = 19},
  [1937] = {.lex_state = 71, .external_lex_state = 3},
  [1938] = {.lex_state = 79, .external_lex_state = 19},
  [1939] = {.lex_state = 71, .external_lex_state = 3},
  [1940] = {.lex_state = 71, .external_lex_state = 3},
  [1941] = {.lex_state = 79, .external_lex_state = 19},
  [1942] = {.lex_state = 71, .external_lex_state = 3},
  [1943] = {.lex_state = 103, .external_lex_state = 19},
  [1944] = {.lex_state = 71, .external_lex_state = 3},
  [1945] = {.lex_state = 71, .external_lex_state = 3},
  [1946] = {.lex_state = 79, .external_lex_state = 19},
  [1947] = {.lex_state = 79, .external_lex_state = 20},
  [1948] = {.lex_state = 79, .external_lex_state = 20},
  [1949] = {.lex_state = 79, .external_lex_state = 20},
  [1950] = {.lex_state = 211, .external_lex_state = 3},
  [1951] = {.lex_state = 79, .external_lex_state = 19},
  [1952] = {.lex_state = 211, .external_lex_state = 3},
  [1953] = {.lex_state = 211, .external_lex_state = 3},
  [1954] = {.lex_state = 79, .external_lex_state = 19},
  [1955] = {.lex_state = 79, .external_lex_state = 19},
  [1956] = {.lex_state = 211, .external_lex_state = 3},
  [1957] = {.lex_state = 211, .external_lex_state = 3},
  [1958] = {.lex_state = 79, .external_lex_state = 19},
  [1959] = {.lex_state = 211, .external_lex_state = 3},
  [1960] = {.lex_state = 211, .external_lex_state = 3},
  [1961] = {.lex_state = 211, .external_lex_state = 3},
  [1962] = {.lex_state = 71, .external_lex_state = 4},
  [1963] = {.lex_state = 71, .external_lex_state = 4},
  [1964] = {.lex_state = 71, .external_lex_state = 4},
  [1965] = {.lex_state = 71, .external_lex_state = 4},
  [1966] = {.lex_state = 71, .external_lex_state = 3},
  [1967] = {.lex_state = 71, .external_lex_state = 3},
  [1968] = {.lex_state = 71, .external_lex_state = 4},
  [1969] = {.lex_state = 71, .external_lex_state = 3},
  [1970] = {.lex_state = 71, .external_lex_state = 3},
  [1971] = {.lex_state = 71, .external_lex_state = 3},
  [1972] = {.lex_state = 71, .external_lex_state = 3},
  [1973] = {.lex_state = 71, .external_lex_state = 3},
  [1974] = {.lex_state = 71, .external_lex_state = 4},
  [1975] = {.lex_state = 71, .external_lex_state = 3},
  [1976] = {.lex_state = 71, .external_lex_state = 4},
  [1977] = {.lex_state = 71, .external_lex_state = 4},
  [1978] = {.lex_state = 71, .external_lex_state = 4},
  [1979] = {.lex_state = 71, .external_lex_state = 4},
  [1980] = {.lex_state = 71, .external_lex_state = 4},
  [1981] = {.lex_state = 71, .external_lex_state = 4},
  [1982] = {.lex_state = 71, .external_lex_state = 4},
  [1983] = {.lex_state = 71, .external_lex_state = 4},
  [1984] = {.lex_state = 102, .external_lex_state = 21},
  [1985] = {.lex_state = 102, .external_lex_state = 21},
  [1986] = {.lex_state = 102, .external_lex_state = 21},
  [1987] = {.lex_state = 116, .external_lex_state = 19},
  [1988] = {.lex_state = 116, .external_lex_state = 19},
  [1989] = {.lex_state = 116, .external_lex_state = 19},
  [1990] = {.lex_state = 116, .external_lex_state = 19},
  [1991] = {.lex_state = 116, .external_lex_state = 19},
  [1992] = {.lex_state = 116, .external_lex_state = 19},
  [1993] = {.lex_state = 116, .external_lex_state = 19},
  [1994] = {.lex_state = 116, .external_lex_state = 19},
  [1995] = {.lex_state = 116, .external_lex_state = 19},
  [1996] = {.lex_state = 116, .external_lex_state = 19},
  [1997] = {.lex_state = 116, .external_lex_state = 19},
  [1998] = {.lex_state = 116, .external_lex_state = 19},
  [1999] = {.lex_state = 116, .external_lex_state = 19},
  [2000] = {.lex_state = 116, .external_lex_state = 19},
  [2001] = {.lex_state = 116, .external_lex_state = 19},
  [2002] = {.lex_state = 232, .external_lex_state = 21},
  [2003] = {.lex_state = 79, .external_lex_state = 9},
  [2004] = {.lex_state = 79, .external_lex_state = 9},
  [2005] = {.lex_state = 232, .external_lex_state = 21},
  [2006] = {.lex_state = 79, .external_lex_state = 9},
  [2007] = {.lex_state = 79, .external_lex_state = 9},
  [2008] = {.lex_state = 232, .external_lex_state = 21},
  [2009] = {.lex_state = 79, .external_lex_state = 9},
  [2010] = {.lex_state = 79, .external_lex_state = 9},
  [2011] = {.lex_state = 102, .external_lex_state = 21},
  [2012] = {.lex_state = 76, .external_lex_state = 6},
  [2013] = {.lex_state = 217, .external_lex_state = 22},
  [2014] = {.lex_state = 217, .external_lex_state = 22},
  [2015] = {.lex_state = 102, .external_lex_state = 23},
  [2016] = {.lex_state = 217, .external_lex_state = 22},
  [2017] = {.lex_state = 80, .external_lex_state = 2},
  [2018] = {.lex_state = 217, .external_lex_state = 22},
  [2019] = {.lex_state = 102, .external_lex_state = 21},
  [2020] = {.lex_state = 217, .external_lex_state = 22},
  [2021] = {.lex_state = 102, .external_lex_state = 23},
  [2022] = {.lex_state = 78, .external_lex_state = 6},
  [2023] = {.lex_state = 102, .external_lex_state = 21},
  [2024] = {.lex_state = 216, .external_lex_state = 9},
  [2025] = {.lex_state = 80, .external_lex_state = 2},
  [2026] = {.lex_state = 80, .external_lex_state = 2},
  [2027] = {.lex_state = 80, .external_lex_state = 2},
  [2028] = {.lex_state = 216, .external_lex_state = 9},
  [2029] = {.lex_state = 216, .external_lex_state = 9},
  [2030] = {.lex_state = 216, .external_lex_state = 9},
  [2031] = {.lex_state = 216, .external_lex_state = 9},
  [2032] = {.lex_state = 216, .external_lex_state = 9},
  [2033] = {.lex_state = 102, .external_lex_state = 23},
  [2034] = {.lex_state = 217, .external_lex_state = 22},
  [2035] = {.lex_state = 83, .external_lex_state = 22},
  [2036] = {.lex_state = 217, .external_lex_state = 22},
  [2037] = {.lex_state = 217, .external_lex_state = 22},
  [2038] = {.lex_state = 217, .external_lex_state = 22},
  [2039] = {.lex_state = 217, .external_lex_state = 22},
  [2040] = {.lex_state = 102, .external_lex_state = 23},
  [2041] = {.lex_state = 217, .external_lex_state = 22},
  [2042] = {.lex_state = 217, .external_lex_state = 22},
  [2043] = {.lex_state = 102, .external_lex_state = 23},
  [2044] = {.lex_state = 217, .external_lex_state = 22},
  [2045] = {.lex_state = 217, .external_lex_state = 22},
  [2046] = {.lex_state = 217, .external_lex_state = 22},
  [2047] = {.lex_state = 217, .external_lex_state = 22},
  [2048] = {.lex_state = 102, .external_lex_state = 23},
  [2049] = {.lex_state = 102, .external_lex_state = 23},
  [2050] = {.lex_state = 217, .external_lex_state = 22},
  [2051] = {.lex_state = 217, .external_lex_state = 22},
  [2052] = {.lex_state = 217, .external_lex_state = 22},
  [2053] = {.lex_state = 217, .external_lex_state = 22},
  [2054] = {.lex_state = 217, .external_lex_state = 22},
  [2055] = {.lex_state = 217, .external_lex_state = 22},
  [2056] = {.lex_state = 102, .external_lex_state = 23},
  [2057] = {.lex_state = 84, .external_lex_state = 22},
  [2058] = {.lex_state = 79, .external_lex_state = 5},
  [2059] = {.lex_state = 81, .external_lex_state = 7},
  [2060] = {.lex_state = 79, .external_lex_state = 5},
  [2061] = {.lex_state = 79, .external_lex_state = 5},
  [2062] = {.lex_state = 79, .external_lex_state = 5},
  [2063] = {.lex_state = 81, .external_lex_state = 7},
  [2064] = {.lex_state = 79, .external_lex_state = 5},
  [2065] = {.lex_state = 81, .external_lex_state = 7},
  [2066] = {.lex_state = 79, .external_lex_state = 5},
  [2067] = {.lex_state = 80, .external_lex_state = 7},
  [2068] = {.lex_state = 80, .external_lex_state = 7},
  [2069] = {.lex_state = 80, .external_lex_state = 7},
  [2070] = {.lex_state = 80, .external_lex_state = 7},
  [2071] = {.lex_state = 80, .external_lex_state = 7},
  [2072] = {.lex_state = 80, .external_lex_state = 7},
  [2073] = {.lex_state = 83, .external_lex_state = 22},
  [2074] = {.lex_state = 80, .external_lex_state = 7},
  [2075] = {.lex_state = 80, .external_lex_state = 7},
  [2076] = {.lex_state = 83, .external_lex_state = 22},
  [2077] = {.lex_state = 80, .external_lex_state = 7},
  [2078] = {.lex_state = 83, .external_lex_state = 22},
  [2079] = {.lex_state = 80, .external_lex_state = 7},
  [2080] = {.lex_state = 80, .external_lex_state = 7},
  [2081] = {.lex_state = 80, .external_lex_state = 7},
  [2082] = {.lex_state = 80, .external_lex_state = 2},
  [2083] = {.lex_state = 83, .external_lex_state = 22},
  [2084] = {.lex_state = 83, .external_lex_state = 22},
  [2085] = {.lex_state = 83, .external_lex_state = 22},
  [2086] = {.lex_state = 83, .external_lex_state = 22},
  [2087] = {.lex_state = 83, .external_lex_state = 22},
  [2088] = {.lex_state = 102, .external_lex_state = 23},
  [2089] = {.lex_state = 102, .external_lex_state = 23},
  [2090] = {.lex_state = 83, .external_lex_state = 22},
  [2091] = {.lex_state = 215, .external_lex_state = 2},
  [2092] = {.lex_state = 102, .external_lex_state = 23},
  [2093] = {.lex_state = 102, .external_lex_state = 23},
  [2094] = {.lex_state = 215, .external_lex_state = 2},
  [2095] = {.lex_state = 83, .external_lex_state = 22},
  [2096] = {.lex_state = 215, .external_lex_state = 2},
  [2097] = {.lex_state = 215, .external_lex_state = 2},
  [2098] = {.lex_state = 102, .external_lex_state = 23},
  [2099] = {.lex_state = 217, .external_lex_state = 22},
  [2100] = {.lex_state = 80, .external_lex_state = 2},
  [2101] = {.lex_state = 80, .external_lex_state = 2},
  [2102] = {.lex_state = 80, .external_lex_state = 2},
  [2103] = {.lex_state = 102, .external_lex_state = 23},
  [2104] = {.lex_state = 80, .external_lex_state = 2},
  [2105] = {.lex_state = 102, .external_lex_state = 23},
  [2106] = {.lex_state = 80, .external_lex_state = 2},
  [2107] = {.lex_state = 80, .external_lex_state = 2},
  [2108] = {.lex_state = 102, .external_lex_state = 23},
  [2109] = {.lex_state = 80, .external_lex_state = 2},
  [2110] = {.lex_state = 102, .external_lex_state = 23},
  [2111] = {.lex_state = 80, .external_lex_state = 2},
  [2112] = {.lex_state = 102, .external_lex_state = 23},
  [2113] = {.lex_state = 102, .external_lex_state = 23},
  [2114] = {.lex_state = 80, .external_lex_state = 2},
  [2115] = {.lex_state = 80, .external_lex_state = 2},
  [2116] = {.lex_state = 80, .external_lex_state = 2},
  [2117] = {.lex_state = 80, .external_lex_state = 2},
  [2118] = {.lex_state = 102, .external_lex_state = 23},
  [2119] = {.lex_state = 218, .external_lex_state = 22},
  [2120] = {.lex_state = 217, .external_lex_state = 22},
  [2121] = {.lex_state = 217, .external_lex_state = 22},
  [2122] = {.lex_state = 217, .external_lex_state = 22},
  [2123] = {.lex_state = 83, .external_lex_state = 22},
  [2124] = {.lex_state = 102, .external_lex_state = 21},
  [2125] = {.lex_state = 85, .external_lex_state = 24},
  [2126] = {.lex_state = 85, .external_lex_state = 24},
  [2127] = {.lex_state = 217, .external_lex_state = 22},
  [2128] = {.lex_state = 217, .external_lex_state = 22},
  [2129] = {.lex_state = 217, .external_lex_state = 22},
  [2130] = {.lex_state = 84, .external_lex_state = 22},
  [2131] = {.lex_state = 217, .external_lex_state = 22},
  [2132] = {.lex_state = 83, .external_lex_state = 22},
  [2133] = {.lex_state = 217, .external_lex_state = 22},
  [2134] = {.lex_state = 83, .external_lex_state = 22},
  [2135] = {.lex_state = 217, .external_lex_state = 22},
  [2136] = {.lex_state = 217, .external_lex_state = 22},
  [2137] = {.lex_state = 221, .external_lex_state = 22},
  [2138] = {.lex_state = 221, .external_lex_state = 22},
  [2139] = {.lex_state = 102, .external_lex_state = 23},
  [2140] = {.lex_state = 102, .external_lex_state = 23},
  [2141] = {.lex_state = 102, .external_lex_state = 23},
  [2142] = {.lex_state = 102, .external_lex_state = 23},
  [2143] = {.lex_state = 83, .external_lex_state = 22},
  [2144] = {.lex_state = 83, .external_lex_state = 22},
  [2145] = {.lex_state = 102, .external_lex_state = 23},
  [2146] = {.lex_state = 83, .external_lex_state = 22},
  [2147] = {.lex_state = 83, .external_lex_state = 24},
  [2148] = {.lex_state = 85, .external_lex_state = 24},
  [2149] = {.lex_state = 85, .external_lex_state = 24},
  [2150] = {.lex_state = 85, .external_lex_state = 24},
  [2151] = {.lex_state = 221, .external_lex_state = 25},
  [2152] = {.lex_state = 83, .external_lex_state = 22},
  [2153] = {.lex_state = 83, .external_lex_state = 22},
  [2154] = {.lex_state = 83, .external_lex_state = 22},
  [2155] = {.lex_state = 85, .external_lex_state = 24},
  [2156] = {.lex_state = 85, .external_lex_state = 24},
  [2157] = {.lex_state = 85, .external_lex_state = 24},
  [2158] = {.lex_state = 85, .external_lex_state = 24},
  [2159] = {.lex_state = 83, .external_lex_state = 22},
  [2160] = {.lex_state = 221, .external_lex_state = 25},
  [2161] = {.lex_state = 221, .external_lex_state = 22},
  [2162] = {.lex_state = 83, .external_lex_state = 22},
  [2163] = {.lex_state = 83, .external_lex_state = 22},
  [2164] = {.lex_state = 221, .external_lex_state = 25},
  [2165] = {.lex_state = 221, .external_lex_state = 25},
  [2166] = {.lex_state = 83, .external_lex_state = 24},
  [2167] = {.lex_state = 83, .external_lex_state = 22},
  [2168] = {.lex_state = 85, .external_lex_state = 24},
  [2169] = {.lex_state = 85, .external_lex_state = 24},
  [2170] = {.lex_state = 221, .external_lex_state = 25},
  [2171] = {.lex_state = 221, .external_lex_state = 22},
  [2172] = {.lex_state = 85, .external_lex_state = 24},
  [2173] = {.lex_state = 221, .external_lex_state = 22},
  [2174] = {.lex_state = 85, .external_lex_state = 24},
  [2175] = {.lex_state = 221, .external_lex_state = 22},
  [2176] = {.lex_state = 83, .external_lex_state = 22},
  [2177] = {.lex_state = 221, .external_lex_state = 22},
  [2178] = {.lex_state = 83, .external_lex_state = 24},
  [2179] = {.lex_state = 83, .external_lex_state = 24},
  [2180] = {.lex_state = 85, .external_lex_state = 24},
  [2181] = {.lex_state = 221, .external_lex_state = 22},
  [2182] = {.lex_state = 221, .external_lex_state = 22},
  [2183] = {.lex_state = 221, .external_lex_state = 22},
  [2184] = {.lex_state = 221, .external_lex_state = 22},
  [2185] = {.lex_state = 85, .external_lex_state = 24},
  [2186] = {.lex_state = 221, .external_lex_state = 22},
  [2187] = {.lex_state = 221, .external_lex_state = 22},
  [2188] = {.lex_state = 221, .external_lex_state = 22},
  [2189] = {.lex_state = 221, .external_lex_state = 22},
  [2190] = {.lex_state = 83, .external_lex_state = 22},
  [2191] = {.lex_state = 221, .external_lex_state = 22},
  [2192] = {.lex_state = 85, .external_lex_state = 24},
  [2193] = {.lex_state = 221, .external_lex_state = 25},
  [2194] = {.lex_state = 221, .external_lex_state = 22},
  [2195] = {.lex_state = 89, .external_lex_state = 25},
  [2196] = {.lex_state = 221, .external_lex_state = 22},
  [2197] = {.lex_state = 221, .external_lex_state = 22},
  [2198] = {.lex_state = 83, .external_lex_state = 24},
  [2199] = {.lex_state = 83, .external_lex_state = 22},
  [2200] = {.lex_state = 83, .external_lex_state = 22},
  [2201] = {.lex_state = 232, .external_lex_state = 21},
  [2202] = {.lex_state = 221, .external_lex_state = 25},
  [2203] = {.lex_state = 89, .external_lex_state = 25},
  [2204] = {.lex_state = 221, .external_lex_state = 22},
  [2205] = {.lex_state = 83, .external_lex_state = 24},
  [2206] = {.lex_state = 221, .external_lex_state = 22},
  [2207] = {.lex_state = 221, .external_lex_state = 22},
  [2208] = {.lex_state = 221, .external_lex_state = 22},
  [2209] = {.lex_state = 221, .external_lex_state = 22},
  [2210] = {.lex_state = 221, .external_lex_state = 22},
  [2211] = {.lex_state = 221, .external_lex_state = 22},
  [2212] = {.lex_state = 221, .external_lex_state = 22},
  [2213] = {.lex_state = 221, .external_lex_state = 22},
  [2214] = {.lex_state = 221, .external_lex_state = 22},
  [2215] = {.lex_state = 221, .external_lex_state = 22},
  [2216] = {.lex_state = 221, .external_lex_state = 22},
  [2217] = {.lex_state = 221, .external_lex_state = 22},
  [2218] = {.lex_state = 221, .external_lex_state = 22},
  [2219] = {.lex_state = 221, .external_lex_state = 22},
  [2220] = {.lex_state = 221, .external_lex_state = 22},
  [2221] = {.lex_state = 221, .external_lex_state = 22},
  [2222] = {.lex_state = 221, .external_lex_state = 22},
  [2223] = {.lex_state = 221, .external_lex_state = 22},
  [2224] = {.lex_state = 221, .external_lex_state = 22},
  [2225] = {.lex_state = 84, .external_lex_state = 24},
  [2226] = {.lex_state = 221, .external_lex_state = 22},
  [2227] = {.lex_state = 221, .external_lex_state = 22},
  [2228] = {.lex_state = 221, .external_lex_state = 22},
  [2229] = {.lex_state = 221, .external_lex_state = 22},
  [2230] = {.lex_state = 83, .external_lex_state = 24},
  [2231] = {.lex_state = 221, .external_lex_state = 22},
  [2232] = {.lex_state = 221, .external_lex_state = 22},
  [2233] = {.lex_state = 221, .external_lex_state = 22},
  [2234] = {.lex_state = 221, .external_lex_state = 22},
  [2235] = {.lex_state = 221, .external_lex_state = 22},
  [2236] = {.lex_state = 221, .external_lex_state = 22},
  [2237] = {.lex_state = 221, .external_lex_state = 22},
  [2238] = {.lex_state = 221, .external_lex_state = 22},
  [2239] = {.lex_state = 221, .external_lex_state = 22},
  [2240] = {.lex_state = 221, .external_lex_state = 22},
  [2241] = {.lex_state = 221, .external_lex_state = 22},
  [2242] = {.lex_state = 83, .external_lex_state = 24},
  [2243] = {.lex_state = 221, .external_lex_state = 22},
  [2244] = {.lex_state = 221, .external_lex_state = 22},
  [2245] = {.lex_state = 83, .external_lex_state = 24},
  [2246] = {.lex_state = 221, .external_lex_state = 22},
  [2247] = {.lex_state = 83, .external_lex_state = 22},
  [2248] = {.lex_state = 221, .external_lex_state = 22},
  [2249] = {.lex_state = 221, .external_lex_state = 22},
  [2250] = {.lex_state = 221, .external_lex_state = 22},
  [2251] = {.lex_state = 221, .external_lex_state = 22},
  [2252] = {.lex_state = 221, .external_lex_state = 22},
  [2253] = {.lex_state = 221, .external_lex_state = 22},
  [2254] = {.lex_state = 221, .external_lex_state = 22},
  [2255] = {.lex_state = 221, .external_lex_state = 22},
  [2256] = {.lex_state = 221, .external_lex_state = 22},
  [2257] = {.lex_state = 221, .external_lex_state = 22},
  [2258] = {.lex_state = 83, .external_lex_state = 22},
  [2259] = {.lex_state = 221, .external_lex_state = 22},
  [2260] = {.lex_state = 221, .external_lex_state = 22},
  [2261] = {.lex_state = 221, .external_lex_state = 22},
  [2262] = {.lex_state = 221, .external_lex_state = 22},
  [2263] = {.lex_state = 221, .external_lex_state = 22},
  [2264] = {.lex_state = 221, .external_lex_state = 22},
  [2265] = {.lex_state = 83, .external_lex_state = 22},
  [2266] = {.lex_state = 221, .external_lex_state = 22},
  [2267] = {.lex_state = 221, .external_lex_state = 22},
  [2268] = {.lex_state = 221, .external_lex_state = 22},
  [2269] = {.lex_state = 221, .external_lex_state = 22},
  [2270] = {.lex_state = 221, .external_lex_state = 22},
  [2271] = {.lex_state = 221, .external_lex_state = 22},
  [2272] = {.lex_state = 221, .external_lex_state = 22},
  [2273] = {.lex_state = 221, .external_lex_state = 22},
  [2274] = {.lex_state = 221, .external_lex_state = 22},
  [2275] = {.lex_state = 221, .external_lex_state = 22},
  [2276] = {.lex_state = 221, .external_lex_state = 22},
  [2277] = {.lex_state = 221, .external_lex_state = 22},
  [2278] = {.lex_state = 221, .external_lex_state = 22},
  [2279] = {.lex_state = 221, .external_lex_state = 22},
  [2280] = {.lex_state = 221, .external_lex_state = 22},
  [2281] = {.lex_state = 221, .external_lex_state = 22},
  [2282] = {.lex_state = 221, .external_lex_state = 22},
  [2283] = {.lex_state = 221, .external_lex_state = 22},
  [2284] = {.lex_state = 221, .external_lex_state = 22},
  [2285] = {.lex_state = 221, .external_lex_state = 22},
  [2286] = {.lex_state = 221, .external_lex_state = 22},
  [2287] = {.lex_state = 221, .external_lex_state = 22},
  [2288] = {.lex_state = 221, .external_lex_state = 22},
  [2289] = {.lex_state = 221, .external_lex_state = 22},
  [2290] = {.lex_state = 221, .external_lex_state = 22},
  [2291] = {.lex_state = 221, .external_lex_state = 22},
  [2292] = {.lex_state = 221, .external_lex_state = 22},
  [2293] = {.lex_state = 221, .external_lex_state = 22},
  [2294] = {.lex_state = 221, .external_lex_state = 22},
  [2295] = {.lex_state = 221, .external_lex_state = 22},
  [2296] = {.lex_state = 221, .external_lex_state = 22},
  [2297] = {.lex_state = 221, .external_lex_state = 22},
  [2298] = {.lex_state = 221, .external_lex_state = 22},
  [2299] = {.lex_state = 221, .external_lex_state = 22},
  [2300] = {.lex_state = 221, .external_lex_state = 22},
  [2301] = {.lex_state = 221, .external_lex_state = 22},
  [2302] = {.lex_state = 221, .external_lex_state = 22},
  [2303] = {.lex_state = 221, .external_lex_state = 22},
  [2304] = {.lex_state = 221, .external_lex_state = 22},
  [2305] = {.lex_state = 221, .external_lex_state = 22},
  [2306] = {.lex_state = 221, .external_lex_state = 22},
  [2307] = {.lex_state = 221, .external_lex_state = 22},
  [2308] = {.lex_state = 221, .external_lex_state = 22},
  [2309] = {.lex_state = 221, .external_lex_state = 22},
  [2310] = {.lex_state = 221, .external_lex_state = 22},
  [2311] = {.lex_state = 84, .external_lex_state = 22},
  [2312] = {.lex_state = 221, .external_lex_state = 22},
  [2313] = {.lex_state = 221, .external_lex_state = 22},
  [2314] = {.lex_state = 221, .external_lex_state = 22},
  [2315] = {.lex_state = 221, .external_lex_state = 22},
  [2316] = {.lex_state = 221, .external_lex_state = 22},
  [2317] = {.lex_state = 221, .external_lex_state = 22},
  [2318] = {.lex_state = 221, .external_lex_state = 22},
  [2319] = {.lex_state = 221, .external_lex_state = 22},
  [2320] = {.lex_state = 221, .external_lex_state = 22},
  [2321] = {.lex_state = 221, .external_lex_state = 22},
  [2322] = {.lex_state = 221, .external_lex_state = 22},
  [2323] = {.lex_state = 221, .external_lex_state = 22},
  [2324] = {.lex_state = 221, .external_lex_state = 22},
  [2325] = {.lex_state = 221, .external_lex_state = 22},
  [2326] = {.lex_state = 221, .external_lex_state = 22},
  [2327] = {.lex_state = 221, .external_lex_state = 22},
  [2328] = {.lex_state = 221, .external_lex_state = 22},
  [2329] = {.lex_state = 221, .external_lex_state = 22},
  [2330] = {.lex_state = 221, .external_lex_state = 22},
  [2331] = {.lex_state = 221, .external_lex_state = 22},
  [2332] = {.lex_state = 221, .external_lex_state = 22},
  [2333] = {.lex_state = 221, .external_lex_state = 22},
  [2334] = {.lex_state = 221, .external_lex_state = 22},
  [2335] = {.lex_state = 221, .external_lex_state = 22},
  [2336] = {.lex_state = 221, .external_lex_state = 22},
  [2337] = {.lex_state = 221, .external_lex_state = 22},
  [2338] = {.lex_state = 221, .external_lex_state = 22},
  [2339] = {.lex_state = 221, .external_lex_state = 22},
  [2340] = {.lex_state = 221, .external_lex_state = 22},
  [2341] = {.lex_state = 221, .external_lex_state = 22},
  [2342] = {.lex_state = 221, .external_lex_state = 22},
  [2343] = {.lex_state = 221, .external_lex_state = 22},
  [2344] = {.lex_state = 221, .external_lex_state = 22},
  [2345] = {.lex_state = 83, .external_lex_state = 24},
  [2346] = {.lex_state = 83, .external_lex_state = 24},
  [2347] = {.lex_state = 221, .external_lex_state = 22},
  [2348] = {.lex_state = 221, .external_lex_state = 22},
  [2349] = {.lex_state = 221, .external_lex_state = 22},
  [2350] = {.lex_state = 221, .external_lex_state = 22},
  [2351] = {.lex_state = 221, .external_lex_state = 22},
  [2352] = {.lex_state = 221, .external_lex_state = 22},
  [2353] = {.lex_state = 221, .external_lex_state = 22},
  [2354] = {.lex_state = 221, .external_lex_state = 22},
  [2355] = {.lex_state = 221, .external_lex_state = 22},
  [2356] = {.lex_state = 221, .external_lex_state = 22},
  [2357] = {.lex_state = 221, .external_lex_state = 22},
  [2358] = {.lex_state = 221, .external_lex_state = 22},
  [2359] = {.lex_state = 221, .external_lex_state = 22},
  [2360] = {.lex_state = 221, .external_lex_state = 22},
  [2361] = {.lex_state = 221, .external_lex_state = 22},
  [2362] = {.lex_state = 83, .external_lex_state = 24},
  [2363] = {.lex_state = 221, .external_lex_state = 22},
  [2364] = {.lex_state = 221, .external_lex_state = 22},
  [2365] = {.lex_state = 221, .external_lex_state = 22},
  [2366] = {.lex_state = 221, .external_lex_state = 22},
  [2367] = {.lex_state = 221, .external_lex_state = 22},
  [2368] = {.lex_state = 221, .external_lex_state = 22},
  [2369] = {.lex_state = 84, .external_lex_state = 24},
  [2370] = {.lex_state = 83, .external_lex_state = 24},
  [2371] = {.lex_state = 83, .external_lex_state = 24},
  [2372] = {.lex_state = 83, .external_lex_state = 24},
  [2373] = {.lex_state = 83, .external_lex_state = 24},
  [2374] = {.lex_state = 83, .external_lex_state = 24},
  [2375] = {.lex_state = 89, .external_lex_state = 25},
  [2376] = {.lex_state = 83, .external_lex_state = 24},
  [2377] = {.lex_state = 83, .external_lex_state = 22},
  [2378] = {.lex_state = 83, .external_lex_state = 22},
  [2379] = {.lex_state = 83, .external_lex_state = 24},
  [2380] = {.lex_state = 83, .external_lex_state = 22},
  [2381] = {.lex_state = 94, .external_lex_state = 26},
  [2382] = {.lex_state = 94, .external_lex_state = 26},
  [2383] = {.lex_state = 94, .external_lex_state = 26},
  [2384] = {.lex_state = 83, .external_lex_state = 22},
  [2385] = {.lex_state = 94, .external_lex_state = 26},
  [2386] = {.lex_state = 94, .external_lex_state = 26},
  [2387] = {.lex_state = 94, .external_lex_state = 26},
  [2388] = {.lex_state = 83, .external_lex_state = 22},
  [2389] = {.lex_state = 94, .external_lex_state = 26},
  [2390] = {.lex_state = 94, .external_lex_state = 26},
  [2391] = {.lex_state = 94, .external_lex_state = 26},
  [2392] = {.lex_state = 94, .external_lex_state = 26},
  [2393] = {.lex_state = 94, .external_lex_state = 26},
  [2394] = {.lex_state = 89, .external_lex_state = 22},
  [2395] = {.lex_state = 83, .external_lex_state = 22},
  [2396] = {.lex_state = 94, .external_lex_state = 26},
  [2397] = {.lex_state = 94, .external_lex_state = 26},
  [2398] = {.lex_state = 83, .external_lex_state = 22},
  [2399] = {.lex_state = 94, .external_lex_state = 26},
  [2400] = {.lex_state = 94, .external_lex_state = 26},
  [2401] = {.lex_state = 94, .external_lex_state = 26},
  [2402] = {.lex_state = 94, .external_lex_state = 26},
  [2403] = {.lex_state = 94, .external_lex_state = 26},
  [2404] = {.lex_state = 89, .external_lex_state = 22},
  [2405] = {.lex_state = 94, .external_lex_state = 26},
  [2406] = {.lex_state = 89, .external_lex_state = 22},
  [2407] = {.lex_state = 89, .external_lex_state = 22},
  [2408] = {.lex_state = 83, .external_lex_state = 22},
  [2409] = {.lex_state = 83, .external_lex_state = 24},
  [2410] = {.lex_state = 221, .external_lex_state = 22},
  [2411] = {.lex_state = 94, .external_lex_state = 26},
  [2412] = {.lex_state = 89, .external_lex_state = 22},
  [2413] = {.lex_state = 89, .external_lex_state = 22},
  [2414] = {.lex_state = 83, .external_lex_state = 24},
  [2415] = {.lex_state = 83, .external_lex_state = 24},
  [2416] = {.lex_state = 83, .external_lex_state = 22},
  [2417] = {.lex_state = 94, .external_lex_state = 26},
  [2418] = {.lex_state = 94, .external_lex_state = 26},
  [2419] = {.lex_state = 94, .external_lex_state = 26},
  [2420] = {.lex_state = 94, .external_lex_state = 26},
  [2421] = {.lex_state = 89, .external_lex_state = 22},
  [2422] = {.lex_state = 89, .external_lex_state = 22},
  [2423] = {.lex_state = 89, .external_lex_state = 22},
  [2424] = {.lex_state = 89, .external_lex_state = 22},
  [2425] = {.lex_state = 89, .external_lex_state = 22},
  [2426] = {.lex_state = 83, .external_lex_state = 24},
  [2427] = {.lex_state = 89, .external_lex_state = 22},
  [2428] = {.lex_state = 89, .external_lex_state = 22},
  [2429] = {.lex_state = 89, .external_lex_state = 22},
  [2430] = {.lex_state = 89, .external_lex_state = 22},
  [2431] = {.lex_state = 89, .external_lex_state = 22},
  [2432] = {.lex_state = 89, .external_lex_state = 22},
  [2433] = {.lex_state = 84, .external_lex_state = 24},
  [2434] = {.lex_state = 89, .external_lex_state = 22},
  [2435] = {.lex_state = 89, .external_lex_state = 22},
  [2436] = {.lex_state = 89, .external_lex_state = 22},
  [2437] = {.lex_state = 89, .external_lex_state = 22},
  [2438] = {.lex_state = 89, .external_lex_state = 22},
  [2439] = {.lex_state = 83, .external_lex_state = 24},
  [2440] = {.lex_state = 83, .external_lex_state = 24},
  [2441] = {.lex_state = 89, .external_lex_state = 22},
  [2442] = {.lex_state = 83, .external_lex_state = 24},
  [2443] = {.lex_state = 89, .external_lex_state = 22},
  [2444] = {.lex_state = 89, .external_lex_state = 22},
  [2445] = {.lex_state = 83, .external_lex_state = 24},
  [2446] = {.lex_state = 89, .external_lex_state = 22},
  [2447] = {.lex_state = 84, .external_lex_state = 24},
  [2448] = {.lex_state = 89, .external_lex_state = 22},
  [2449] = {.lex_state = 89, .external_lex_state = 22},
  [2450] = {.lex_state = 83, .external_lex_state = 24},
  [2451] = {.lex_state = 89, .external_lex_state = 22},
  [2452] = {.lex_state = 89, .external_lex_state = 22},
  [2453] = {.lex_state = 89, .external_lex_state = 22},
  [2454] = {.lex_state = 89, .external_lex_state = 22},
  [2455] = {.lex_state = 89, .external_lex_state = 22},
  [2456] = {.lex_state = 83, .external_lex_state = 24},
  [2457] = {.lex_state = 89, .external_lex_state = 22},
  [2458] = {.lex_state = 89, .external_lex_state = 22},
  [2459] = {.lex_state = 223, .external_lex_state = 27},
  [2460] = {.lex_state = 83, .external_lex_state = 24},
  [2461] = {.lex_state = 89, .external_lex_state = 22},
  [2462] = {.lex_state = 223, .external_lex_state = 27},
  [2463] = {.lex_state = 223, .external_lex_state = 27},
  [2464] = {.lex_state = 83, .external_lex_state = 22},
  [2465] = {.lex_state = 102, .external_lex_state = 21},
  [2466] = {.lex_state = 223, .external_lex_state = 27},
  [2467] = {.lex_state = 83, .external_lex_state = 22},
  [2468] = {.lex_state = 89, .external_lex_state = 22},
  [2469] = {.lex_state = 223, .external_lex_state = 27},
  [2470] = {.lex_state = 83, .external_lex_state = 24},
  [2471] = {.lex_state = 223, .external_lex_state = 27},
  [2472] = {.lex_state = 221, .external_lex_state = 25},
  [2473] = {.lex_state = 83, .external_lex_state = 22},
  [2474] = {.lex_state = 223, .external_lex_state = 27},
  [2475] = {.lex_state = 83, .external_lex_state = 22},
  [2476] = {.lex_state = 89, .external_lex_state = 22},
  [2477] = {.lex_state = 89, .external_lex_state = 22},
  [2478] = {.lex_state = 89, .external_lex_state = 22},
  [2479] = {.lex_state = 221, .external_lex_state = 25},
  [2480] = {.lex_state = 89, .external_lex_state = 22},
  [2481] = {.lex_state = 89, .external_lex_state = 22},
  [2482] = {.lex_state = 89, .external_lex_state = 22},
  [2483] = {.lex_state = 85, .external_lex_state = 24},
  [2484] = {.lex_state = 89, .external_lex_state = 22},
  [2485] = {.lex_state = 89, .external_lex_state = 22},
  [2486] = {.lex_state = 89, .external_lex_state = 22},
  [2487] = {.lex_state = 89, .external_lex_state = 22},
  [2488] = {.lex_state = 89, .external_lex_state = 22},
  [2489] = {.lex_state = 89, .external_lex_state = 22},
  [2490] = {.lex_state = 89, .external_lex_state = 22},
  [2491] = {.lex_state = 89, .external_lex_state = 22},
  [2492] = {.lex_state = 89, .external_lex_state = 22},
  [2493] = {.lex_state = 89, .external_lex_state = 22},
  [2494] = {.lex_state = 89, .external_lex_state = 22},
  [2495] = {.lex_state = 89, .external_lex_state = 22},
  [2496] = {.lex_state = 89, .external_lex_state = 22},
  [2497] = {.lex_state = 89, .external_lex_state = 22},
  [2498] = {.lex_state = 89, .external_lex_state = 22},
  [2499] = {.lex_state = 85, .external_lex_state = 24},
  [2500] = {.lex_state = 89, .external_lex_state = 22},
  [2501] = {.lex_state = 89, .external_lex_state = 22},
  [2502] = {.lex_state = 85, .external_lex_state = 24},
  [2503] = {.lex_state = 83, .external_lex_state = 24},
  [2504] = {.lex_state = 89, .external_lex_state = 22},
  [2505] = {.lex_state = 85, .external_lex_state = 24},
  [2506] = {.lex_state = 89, .external_lex_state = 22},
  [2507] = {.lex_state = 89, .external_lex_state = 22},
  [2508] = {.lex_state = 89, .external_lex_state = 22},
  [2509] = {.lex_state = 89, .external_lex_state = 22},
  [2510] = {.lex_state = 94, .external_lex_state = 26},
  [2511] = {.lex_state = 85, .external_lex_state = 24},
  [2512] = {.lex_state = 94, .external_lex_state = 26},
  [2513] = {.lex_state = 94, .external_lex_state = 26},
  [2514] = {.lex_state = 94, .external_lex_state = 26},
  [2515] = {.lex_state = 94, .external_lex_state = 26},
  [2516] = {.lex_state = 94, .external_lex_state = 26},
  [2517] = {.lex_state = 94, .external_lex_state = 26},
  [2518] = {.lex_state = 94, .external_lex_state = 26},
  [2519] = {.lex_state = 89, .external_lex_state = 22},
  [2520] = {.lex_state = 89, .external_lex_state = 22},
  [2521] = {.lex_state = 89, .external_lex_state = 22},
  [2522] = {.lex_state = 94, .external_lex_state = 26},
  [2523] = {.lex_state = 85, .external_lex_state = 24},
  [2524] = {.lex_state = 94, .external_lex_state = 26},
  [2525] = {.lex_state = 94, .external_lex_state = 26},
  [2526] = {.lex_state = 89, .external_lex_state = 22},
  [2527] = {.lex_state = 94, .external_lex_state = 26},
  [2528] = {.lex_state = 94, .external_lex_state = 26},
  [2529] = {.lex_state = 89, .external_lex_state = 22},
  [2530] = {.lex_state = 94, .external_lex_state = 26},
  [2531] = {.lex_state = 94, .external_lex_state = 26},
  [2532] = {.lex_state = 94, .external_lex_state = 26},
  [2533] = {.lex_state = 94, .external_lex_state = 26},
  [2534] = {.lex_state = 94, .external_lex_state = 26},
  [2535] = {.lex_state = 94, .external_lex_state = 26},
  [2536] = {.lex_state = 94, .external_lex_state = 26},
  [2537] = {.lex_state = 94, .external_lex_state = 26},
  [2538] = {.lex_state = 93, .external_lex_state = 27},
  [2539] = {.lex_state = 94, .external_lex_state = 26},
  [2540] = {.lex_state = 94, .external_lex_state = 26},
  [2541] = {.lex_state = 93, .external_lex_state = 27},
  [2542] = {.lex_state = 89, .external_lex_state = 22},
  [2543] = {.lex_state = 89, .external_lex_state = 22},
  [2544] = {.lex_state = 94, .external_lex_state = 26},
  [2545] = {.lex_state = 94, .external_lex_state = 26},
  [2546] = {.lex_state = 89, .external_lex_state = 22},
  [2547] = {.lex_state = 93, .external_lex_state = 27},
  [2548] = {.lex_state = 94, .external_lex_state = 26},
  [2549] = {.lex_state = 94, .external_lex_state = 26},
  [2550] = {.lex_state = 89, .external_lex_state = 22},
  [2551] = {.lex_state = 89, .external_lex_state = 22},
  [2552] = {.lex_state = 89, .external_lex_state = 22},
  [2553] = {.lex_state = 89, .external_lex_state = 22},
  [2554] = {.lex_state = 89, .external_lex_state = 22},
  [2555] = {.lex_state = 89, .external_lex_state = 22},
  [2556] = {.lex_state = 89, .external_lex_state = 22},
  [2557] = {.lex_state = 102, .external_lex_state = 23},
  [2558] = {.lex_state = 93, .external_lex_state = 27},
  [2559] = {.lex_state = 221, .external_lex_state = 25},
  [2560] = {.lex_state = 89, .external_lex_state = 22},
  [2561] = {.lex_state = 89, .external_lex_state = 22},
  [2562] = {.lex_state = 89, .external_lex_state = 22},
  [2563] = {.lex_state = 89, .external_lex_state = 22},
  [2564] = {.lex_state = 94, .external_lex_state = 26},
  [2565] = {.lex_state = 94, .external_lex_state = 26},
  [2566] = {.lex_state = 94, .external_lex_state = 26},
  [2567] = {.lex_state = 94, .external_lex_state = 26},
  [2568] = {.lex_state = 94, .external_lex_state = 26},
  [2569] = {.lex_state = 94, .external_lex_state = 26},
  [2570] = {.lex_state = 94, .external_lex_state = 26},
  [2571] = {.lex_state = 94, .external_lex_state = 26},
  [2572] = {.lex_state = 89, .external_lex_state = 22},
  [2573] = {.lex_state = 94, .external_lex_state = 26},
  [2574] = {.lex_state = 94, .external_lex_state = 26},
  [2575] = {.lex_state = 102, .external_lex_state = 23},
  [2576] = {.lex_state = 89, .external_lex_state = 22},
  [2577] = {.lex_state = 94, .external_lex_state = 26},
  [2578] = {.lex_state = 94, .external_lex_state = 26},
  [2579] = {.lex_state = 94, .external_lex_state = 26},
  [2580] = {.lex_state = 94, .external_lex_state = 26},
  [2581] = {.lex_state = 94, .external_lex_state = 26},
  [2582] = {.lex_state = 85, .external_lex_state = 24},
  [2583] = {.lex_state = 94, .external_lex_state = 26},
  [2584] = {.lex_state = 85, .external_lex_state = 24},
  [2585] = {.lex_state = 93, .external_lex_state = 27},
  [2586] = {.lex_state = 94, .external_lex_state = 26},
  [2587] = {.lex_state = 94, .external_lex_state = 26},
  [2588] = {.lex_state = 94, .external_lex_state = 26},
  [2589] = {.lex_state = 89, .external_lex_state = 22},
  [2590] = {.lex_state = 94, .external_lex_state = 26},
  [2591] = {.lex_state = 94, .external_lex_state = 26},
  [2592] = {.lex_state = 93, .external_lex_state = 27},
  [2593] = {.lex_state = 93, .external_lex_state = 27},
  [2594] = {.lex_state = 94, .external_lex_state = 26},
  [2595] = {.lex_state = 93, .external_lex_state = 27},
  [2596] = {.lex_state = 221, .external_lex_state = 22},
  [2597] = {.lex_state = 93, .external_lex_state = 27},
  [2598] = {.lex_state = 94, .external_lex_state = 26},
  [2599] = {.lex_state = 221, .external_lex_state = 22},
  [2600] = {.lex_state = 93, .external_lex_state = 27},
  [2601] = {.lex_state = 94, .external_lex_state = 26},
  [2602] = {.lex_state = 93, .external_lex_state = 27},
  [2603] = {.lex_state = 93, .external_lex_state = 27},
  [2604] = {.lex_state = 93, .external_lex_state = 27},
  [2605] = {.lex_state = 93, .external_lex_state = 27},
  [2606] = {.lex_state = 93, .external_lex_state = 27},
  [2607] = {.lex_state = 94, .external_lex_state = 26},
  [2608] = {.lex_state = 93, .external_lex_state = 27},
  [2609] = {.lex_state = 93, .external_lex_state = 27},
  [2610] = {.lex_state = 93, .external_lex_state = 27},
  [2611] = {.lex_state = 93, .external_lex_state = 27},
  [2612] = {.lex_state = 93, .external_lex_state = 27},
  [2613] = {.lex_state = 94, .external_lex_state = 26},
  [2614] = {.lex_state = 93, .external_lex_state = 27},
  [2615] = {.lex_state = 93, .external_lex_state = 27},
  [2616] = {.lex_state = 93, .external_lex_state = 27},
  [2617] = {.lex_state = 93, .external_lex_state = 27},
  [2618] = {.lex_state = 93, .external_lex_state = 27},
  [2619] = {.lex_state = 93, .external_lex_state = 27},
  [2620] = {.lex_state = 93, .external_lex_state = 27},
  [2621] = {.lex_state = 93, .external_lex_state = 27},
  [2622] = {.lex_state = 93, .external_lex_state = 27},
  [2623] = {.lex_state = 94, .external_lex_state = 26},
  [2624] = {.lex_state = 94, .external_lex_state = 26},
  [2625] = {.lex_state = 221, .external_lex_state = 22},
  [2626] = {.lex_state = 93, .external_lex_state = 27},
  [2627] = {.lex_state = 93, .external_lex_state = 27},
  [2628] = {.lex_state = 93, .external_lex_state = 27},
  [2629] = {.lex_state = 93, .external_lex_state = 27},
  [2630] = {.lex_state = 221, .external_lex_state = 22},
  [2631] = {.lex_state = 94, .external_lex_state = 26},
  [2632] = {.lex_state = 93, .external_lex_state = 27},
  [2633] = {.lex_state = 93, .external_lex_state = 27},
  [2634] = {.lex_state = 93, .external_lex_state = 27},
  [2635] = {.lex_state = 221, .external_lex_state = 22},
  [2636] = {.lex_state = 221, .external_lex_state = 22},
  [2637] = {.lex_state = 221, .external_lex_state = 22},
  [2638] = {.lex_state = 221, .external_lex_state = 22},
  [2639] = {.lex_state = 221, .external_lex_state = 22},
  [2640] = {.lex_state = 221, .external_lex_state = 22},
  [2641] = {.lex_state = 221, .external_lex_state = 22},
  [2642] = {.lex_state = 93, .external_lex_state = 27},
  [2643] = {.lex_state = 221, .external_lex_state = 22},
  [2644] = {.lex_state = 93, .external_lex_state = 27},
  [2645] = {.lex_state = 221, .external_lex_state = 22},
  [2646] = {.lex_state = 93, .external_lex_state = 27},
  [2647] = {.lex_state = 93, .external_lex_state = 27},
  [2648] = {.lex_state = 221, .external_lex_state = 22},
  [2649] = {.lex_state = 93, .external_lex_state = 27},
  [2650] = {.lex_state = 221, .external_lex_state = 22},
  [2651] = {.lex_state = 221, .external_lex_state = 22},
  [2652] = {.lex_state = 93, .external_lex_state = 27},
  [2653] = {.lex_state = 221, .external_lex_state = 22},
  [2654] = {.lex_state = 221, .external_lex_state = 22},
  [2655] = {.lex_state = 221, .external_lex_state = 22},
  [2656] = {.lex_state = 221, .external_lex_state = 22},
  [2657] = {.lex_state = 221, .external_lex_state = 22},
  [2658] = {.lex_state = 93, .external_lex_state = 27},
  [2659] = {.lex_state = 221, .external_lex_state = 22},
  [2660] = {.lex_state = 221, .external_lex_state = 22},
  [2661] = {.lex_state = 221, .external_lex_state = 22},
  [2662] = {.lex_state = 221, .external_lex_state = 22},
  [2663] = {.lex_state = 89, .external_lex_state = 25},
  [2664] = {.lex_state = 221, .external_lex_state = 22},
  [2665] = {.lex_state = 221, .external_lex_state = 22},
  [2666] = {.lex_state = 90, .external_lex_state = 24},
  [2667] = {.lex_state = 221, .external_lex_state = 22},
  [2668] = {.lex_state = 93, .external_lex_state = 27},
  [2669] = {.lex_state = 221, .external_lex_state = 22},
  [2670] = {.lex_state = 221, .external_lex_state = 22},
  [2671] = {.lex_state = 93, .external_lex_state = 27},
  [2672] = {.lex_state = 221, .external_lex_state = 22},
  [2673] = {.lex_state = 221, .external_lex_state = 22},
  [2674] = {.lex_state = 93, .external_lex_state = 27},
  [2675] = {.lex_state = 93, .external_lex_state = 27},
  [2676] = {.lex_state = 221, .external_lex_state = 22},
  [2677] = {.lex_state = 93, .external_lex_state = 27},
  [2678] = {.lex_state = 93, .external_lex_state = 27},
  [2679] = {.lex_state = 93, .external_lex_state = 27},
  [2680] = {.lex_state = 93, .external_lex_state = 27},
  [2681] = {.lex_state = 93, .external_lex_state = 27},
  [2682] = {.lex_state = 93, .external_lex_state = 27},
  [2683] = {.lex_state = 93, .external_lex_state = 27},
  [2684] = {.lex_state = 89, .external_lex_state = 25},
  [2685] = {.lex_state = 93, .external_lex_state = 27},
  [2686] = {.lex_state = 93, .external_lex_state = 27},
  [2687] = {.lex_state = 93, .external_lex_state = 27},
  [2688] = {.lex_state = 93, .external_lex_state = 27},
  [2689] = {.lex_state = 221, .external_lex_state = 22},
  [2690] = {.lex_state = 93, .external_lex_state = 27},
  [2691] = {.lex_state = 93, .external_lex_state = 27},
  [2692] = {.lex_state = 93, .external_lex_state = 27},
  [2693] = {.lex_state = 93, .external_lex_state = 27},
  [2694] = {.lex_state = 221, .external_lex_state = 22},
  [2695] = {.lex_state = 93, .external_lex_state = 27},
  [2696] = {.lex_state = 93, .external_lex_state = 27},
  [2697] = {.lex_state = 93, .external_lex_state = 27},
  [2698] = {.lex_state = 93, .external_lex_state = 27},
  [2699] = {.lex_state = 221, .external_lex_state = 22},
  [2700] = {.lex_state = 93, .external_lex_state = 27},
  [2701] = {.lex_state = 93, .external_lex_state = 27},
  [2702] = {.lex_state = 93, .external_lex_state = 27},
  [2703] = {.lex_state = 93, .external_lex_state = 27},
  [2704] = {.lex_state = 221, .external_lex_state = 22},
  [2705] = {.lex_state = 221, .external_lex_state = 22},
  [2706] = {.lex_state = 93, .external_lex_state = 27},
  [2707] = {.lex_state = 90, .external_lex_state = 24},
  [2708] = {.lex_state = 93, .external_lex_state = 27},
  [2709] = {.lex_state = 93, .external_lex_state = 27},
  [2710] = {.lex_state = 89, .external_lex_state = 25},
  [2711] = {.lex_state = 93, .external_lex_state = 27},
  [2712] = {.lex_state = 93, .external_lex_state = 27},
  [2713] = {.lex_state = 90, .external_lex_state = 24},
  [2714] = {.lex_state = 221, .external_lex_state = 22},
  [2715] = {.lex_state = 93, .external_lex_state = 27},
  [2716] = {.lex_state = 93, .external_lex_state = 27},
  [2717] = {.lex_state = 93, .external_lex_state = 27},
  [2718] = {.lex_state = 93, .external_lex_state = 27},
  [2719] = {.lex_state = 93, .external_lex_state = 27},
  [2720] = {.lex_state = 89, .external_lex_state = 28},
  [2721] = {.lex_state = 90, .external_lex_state = 24},
  [2722] = {.lex_state = 90, .external_lex_state = 24},
  [2723] = {.lex_state = 93, .external_lex_state = 27},
  [2724] = {.lex_state = 93, .external_lex_state = 27},
  [2725] = {.lex_state = 93, .external_lex_state = 27},
  [2726] = {.lex_state = 93, .external_lex_state = 27},
  [2727] = {.lex_state = 221, .external_lex_state = 22},
  [2728] = {.lex_state = 93, .external_lex_state = 27},
  [2729] = {.lex_state = 90, .external_lex_state = 24},
  [2730] = {.lex_state = 90, .external_lex_state = 24},
  [2731] = {.lex_state = 90, .external_lex_state = 24},
  [2732] = {.lex_state = 93, .external_lex_state = 27},
  [2733] = {.lex_state = 89, .external_lex_state = 25},
  [2734] = {.lex_state = 93, .external_lex_state = 27},
  [2735] = {.lex_state = 221, .external_lex_state = 22},
  [2736] = {.lex_state = 93, .external_lex_state = 27},
  [2737] = {.lex_state = 93, .external_lex_state = 27},
  [2738] = {.lex_state = 93, .external_lex_state = 27},
  [2739] = {.lex_state = 89, .external_lex_state = 28},
  [2740] = {.lex_state = 93, .external_lex_state = 27},
  [2741] = {.lex_state = 93, .external_lex_state = 27},
  [2742] = {.lex_state = 221, .external_lex_state = 22},
  [2743] = {.lex_state = 221, .external_lex_state = 22},
  [2744] = {.lex_state = 221, .external_lex_state = 22},
  [2745] = {.lex_state = 93, .external_lex_state = 27},
  [2746] = {.lex_state = 89, .external_lex_state = 28},
  [2747] = {.lex_state = 221, .external_lex_state = 22},
  [2748] = {.lex_state = 93, .external_lex_state = 27},
  [2749] = {.lex_state = 221, .external_lex_state = 22},
  [2750] = {.lex_state = 221, .external_lex_state = 22},
  [2751] = {.lex_state = 221, .external_lex_state = 22},
  [2752] = {.lex_state = 221, .external_lex_state = 22},
  [2753] = {.lex_state = 221, .external_lex_state = 22},
  [2754] = {.lex_state = 90, .external_lex_state = 24},
  [2755] = {.lex_state = 90, .external_lex_state = 24},
  [2756] = {.lex_state = 93, .external_lex_state = 27},
  [2757] = {.lex_state = 221, .external_lex_state = 22},
  [2758] = {.lex_state = 93, .external_lex_state = 27},
  [2759] = {.lex_state = 93, .external_lex_state = 27},
  [2760] = {.lex_state = 93, .external_lex_state = 27},
  [2761] = {.lex_state = 93, .external_lex_state = 27},
  [2762] = {.lex_state = 90, .external_lex_state = 24},
  [2763] = {.lex_state = 93, .external_lex_state = 27},
  [2764] = {.lex_state = 221, .external_lex_state = 22},
  [2765] = {.lex_state = 93, .external_lex_state = 27},
  [2766] = {.lex_state = 90, .external_lex_state = 24},
  [2767] = {.lex_state = 221, .external_lex_state = 22},
  [2768] = {.lex_state = 93, .external_lex_state = 27},
  [2769] = {.lex_state = 93, .external_lex_state = 27},
  [2770] = {.lex_state = 221, .external_lex_state = 22},
  [2771] = {.lex_state = 221, .external_lex_state = 22},
  [2772] = {.lex_state = 93, .external_lex_state = 27},
  [2773] = {.lex_state = 221, .external_lex_state = 22},
  [2774] = {.lex_state = 221, .external_lex_state = 22},
  [2775] = {.lex_state = 221, .external_lex_state = 22},
  [2776] = {.lex_state = 221, .external_lex_state = 22},
  [2777] = {.lex_state = 221, .external_lex_state = 22},
  [2778] = {.lex_state = 89, .external_lex_state = 25},
  [2779] = {.lex_state = 221, .external_lex_state = 22},
  [2780] = {.lex_state = 221, .external_lex_state = 22},
  [2781] = {.lex_state = 93, .external_lex_state = 27},
  [2782] = {.lex_state = 221, .external_lex_state = 22},
  [2783] = {.lex_state = 221, .external_lex_state = 22},
  [2784] = {.lex_state = 221, .external_lex_state = 22},
  [2785] = {.lex_state = 221, .external_lex_state = 22},
  [2786] = {.lex_state = 89, .external_lex_state = 22},
  [2787] = {.lex_state = 89, .external_lex_state = 22},
  [2788] = {.lex_state = 223, .external_lex_state = 27},
  [2789] = {.lex_state = 223, .external_lex_state = 27},
  [2790] = {.lex_state = 89, .external_lex_state = 22},
  [2791] = {.lex_state = 223, .external_lex_state = 27},
  [2792] = {.lex_state = 221, .external_lex_state = 22},
  [2793] = {.lex_state = 221, .external_lex_state = 22},
  [2794] = {.lex_state = 221, .external_lex_state = 22},
  [2795] = {.lex_state = 89, .external_lex_state = 24},
  [2796] = {.lex_state = 89, .external_lex_state = 22},
  [2797] = {.lex_state = 221, .external_lex_state = 22},
  [2798] = {.lex_state = 221, .external_lex_state = 22},
  [2799] = {.lex_state = 221, .external_lex_state = 22},
  [2800] = {.lex_state = 221, .external_lex_state = 22},
  [2801] = {.lex_state = 221, .external_lex_state = 22},
  [2802] = {.lex_state = 89, .external_lex_state = 22},
  [2803] = {.lex_state = 221, .external_lex_state = 22},
  [2804] = {.lex_state = 221, .external_lex_state = 22},
  [2805] = {.lex_state = 221, .external_lex_state = 22},
  [2806] = {.lex_state = 90, .external_lex_state = 28},
  [2807] = {.lex_state = 89, .external_lex_state = 28},
  [2808] = {.lex_state = 221, .external_lex_state = 22},
  [2809] = {.lex_state = 221, .external_lex_state = 22},
  [2810] = {.lex_state = 221, .external_lex_state = 22},
  [2811] = {.lex_state = 89, .external_lex_state = 22},
  [2812] = {.lex_state = 93, .external_lex_state = 27},
  [2813] = {.lex_state = 221, .external_lex_state = 22},
  [2814] = {.lex_state = 221, .external_lex_state = 22},
  [2815] = {.lex_state = 89, .external_lex_state = 22},
  [2816] = {.lex_state = 89, .external_lex_state = 28},
  [2817] = {.lex_state = 223, .external_lex_state = 27},
  [2818] = {.lex_state = 90, .external_lex_state = 24},
  [2819] = {.lex_state = 90, .external_lex_state = 24},
  [2820] = {.lex_state = 221, .external_lex_state = 22},
  [2821] = {.lex_state = 221, .external_lex_state = 22},
  [2822] = {.lex_state = 221, .external_lex_state = 22},
  [2823] = {.lex_state = 221, .external_lex_state = 22},
  [2824] = {.lex_state = 89, .external_lex_state = 22},
  [2825] = {.lex_state = 89, .external_lex_state = 25},
  [2826] = {.lex_state = 221, .external_lex_state = 22},
  [2827] = {.lex_state = 89, .external_lex_state = 24},
  [2828] = {.lex_state = 89, .external_lex_state = 24},
  [2829] = {.lex_state = 89, .external_lex_state = 28},
  [2830] = {.lex_state = 223, .external_lex_state = 27},
  [2831] = {.lex_state = 90, .external_lex_state = 24},
  [2832] = {.lex_state = 223, .external_lex_state = 27},
  [2833] = {.lex_state = 90, .external_lex_state = 24},
  [2834] = {.lex_state = 90, .external_lex_state = 24},
  [2835] = {.lex_state = 90, .external_lex_state = 24},
  [2836] = {.lex_state = 223, .external_lex_state = 27},
  [2837] = {.lex_state = 90, .external_lex_state = 24},
  [2838] = {.lex_state = 90, .external_lex_state = 24},
  [2839] = {.lex_state = 89, .external_lex_state = 28},
  [2840] = {.lex_state = 90, .external_lex_state = 24},
  [2841] = {.lex_state = 90, .external_lex_state = 24},
  [2842] = {.lex_state = 90, .external_lex_state = 24},
  [2843] = {.lex_state = 90, .external_lex_state = 24},
  [2844] = {.lex_state = 90, .external_lex_state = 24},
  [2845] = {.lex_state = 89, .external_lex_state = 22},
  [2846] = {.lex_state = 90, .external_lex_state = 24},
  [2847] = {.lex_state = 90, .external_lex_state = 24},
  [2848] = {.lex_state = 90, .external_lex_state = 24},
  [2849] = {.lex_state = 89, .external_lex_state = 22},
  [2850] = {.lex_state = 89, .external_lex_state = 22},
  [2851] = {.lex_state = 89, .external_lex_state = 22},
  [2852] = {.lex_state = 89, .external_lex_state = 22},
  [2853] = {.lex_state = 89, .external_lex_state = 22},
  [2854] = {.lex_state = 89, .external_lex_state = 22},
  [2855] = {.lex_state = 90, .external_lex_state = 24},
  [2856] = {.lex_state = 89, .external_lex_state = 22},
  [2857] = {.lex_state = 89, .external_lex_state = 22},
  [2858] = {.lex_state = 89, .external_lex_state = 22},
  [2859] = {.lex_state = 89, .external_lex_state = 22},
  [2860] = {.lex_state = 89, .external_lex_state = 22},
  [2861] = {.lex_state = 89, .external_lex_state = 22},
  [2862] = {.lex_state = 89, .external_lex_state = 22},
  [2863] = {.lex_state = 223, .external_lex_state = 27},
  [2864] = {.lex_state = 89, .external_lex_state = 22},
  [2865] = {.lex_state = 90, .external_lex_state = 24},
  [2866] = {.lex_state = 90, .external_lex_state = 24},
  [2867] = {.lex_state = 90, .external_lex_state = 24},
  [2868] = {.lex_state = 90, .external_lex_state = 24},
  [2869] = {.lex_state = 90, .external_lex_state = 24},
  [2870] = {.lex_state = 90, .external_lex_state = 24},
  [2871] = {.lex_state = 90, .external_lex_state = 24},
  [2872] = {.lex_state = 89, .external_lex_state = 28},
  [2873] = {.lex_state = 90, .external_lex_state = 24},
  [2874] = {.lex_state = 90, .external_lex_state = 24},
  [2875] = {.lex_state = 90, .external_lex_state = 24},
  [2876] = {.lex_state = 223, .external_lex_state = 27},
  [2877] = {.lex_state = 90, .external_lex_state = 24},
  [2878] = {.lex_state = 90, .external_lex_state = 24},
  [2879] = {.lex_state = 90, .external_lex_state = 24},
  [2880] = {.lex_state = 90, .external_lex_state = 24},
  [2881] = {.lex_state = 90, .external_lex_state = 24},
  [2882] = {.lex_state = 90, .external_lex_state = 24},
  [2883] = {.lex_state = 90, .external_lex_state = 24},
  [2884] = {.lex_state = 90, .external_lex_state = 24},
  [2885] = {.lex_state = 90, .external_lex_state = 24},
  [2886] = {.lex_state = 90, .external_lex_state = 24},
  [2887] = {.lex_state = 90, .external_lex_state = 24},
  [2888] = {.lex_state = 90, .external_lex_state = 24},
  [2889] = {.lex_state = 90, .external_lex_state = 24},
  [2890] = {.lex_state = 90, .external_lex_state = 24},
  [2891] = {.lex_state = 90, .external_lex_state = 24},
  [2892] = {.lex_state = 223, .external_lex_state = 27},
  [2893] = {.lex_state = 223, .external_lex_state = 27},
  [2894] = {.lex_state = 223, .external_lex_state = 27},
  [2895] = {.lex_state = 223, .external_lex_state = 27},
  [2896] = {.lex_state = 223, .external_lex_state = 27},
  [2897] = {.lex_state = 223, .external_lex_state = 27},
  [2898] = {.lex_state = 223, .external_lex_state = 27},
  [2899] = {.lex_state = 223, .external_lex_state = 27},
  [2900] = {.lex_state = 223, .external_lex_state = 27},
  [2901] = {.lex_state = 223, .external_lex_state = 27},
  [2902] = {.lex_state = 223, .external_lex_state = 27},
  [2903] = {.lex_state = 90, .external_lex_state = 24},
  [2904] = {.lex_state = 90, .external_lex_state = 24},
  [2905] = {.lex_state = 89, .external_lex_state = 22},
  [2906] = {.lex_state = 89, .external_lex_state = 22},
  [2907] = {.lex_state = 89, .external_lex_state = 22},
  [2908] = {.lex_state = 89, .external_lex_state = 22},
  [2909] = {.lex_state = 89, .external_lex_state = 22},
  [2910] = {.lex_state = 89, .external_lex_state = 22},
  [2911] = {.lex_state = 89, .external_lex_state = 22},
  [2912] = {.lex_state = 89, .external_lex_state = 22},
  [2913] = {.lex_state = 89, .external_lex_state = 22},
  [2914] = {.lex_state = 90, .external_lex_state = 24},
  [2915] = {.lex_state = 90, .external_lex_state = 24},
  [2916] = {.lex_state = 90, .external_lex_state = 24},
  [2917] = {.lex_state = 90, .external_lex_state = 24},
  [2918] = {.lex_state = 90, .external_lex_state = 24},
  [2919] = {.lex_state = 90, .external_lex_state = 24},
  [2920] = {.lex_state = 90, .external_lex_state = 24},
  [2921] = {.lex_state = 90, .external_lex_state = 24},
  [2922] = {.lex_state = 90, .external_lex_state = 24},
  [2923] = {.lex_state = 90, .external_lex_state = 24},
  [2924] = {.lex_state = 90, .external_lex_state = 24},
  [2925] = {.lex_state = 90, .external_lex_state = 24},
  [2926] = {.lex_state = 90, .external_lex_state = 24},
  [2927] = {.lex_state = 223, .external_lex_state = 27},
  [2928] = {.lex_state = 223, .external_lex_state = 27},
  [2929] = {.lex_state = 90, .external_lex_state = 24},
  [2930] = {.lex_state = 90, .external_lex_state = 24},
  [2931] = {.lex_state = 90, .external_lex_state = 24},
  [2932] = {.lex_state = 90, .external_lex_state = 24},
  [2933] = {.lex_state = 90, .external_lex_state = 24},
  [2934] = {.lex_state = 90, .external_lex_state = 24},
  [2935] = {.lex_state = 90, .external_lex_state = 24},
  [2936] = {.lex_state = 90, .external_lex_state = 24},
  [2937] = {.lex_state = 89, .external_lex_state = 25},
  [2938] = {.lex_state = 223, .external_lex_state = 27},
  [2939] = {.lex_state = 90, .external_lex_state = 24},
  [2940] = {.lex_state = 89, .external_lex_state = 22},
  [2941] = {.lex_state = 90, .external_lex_state = 24},
  [2942] = {.lex_state = 90, .external_lex_state = 24},
  [2943] = {.lex_state = 90, .external_lex_state = 24},
  [2944] = {.lex_state = 90, .external_lex_state = 24},
  [2945] = {.lex_state = 223, .external_lex_state = 27},
  [2946] = {.lex_state = 90, .external_lex_state = 24},
  [2947] = {.lex_state = 223, .external_lex_state = 27},
  [2948] = {.lex_state = 90, .external_lex_state = 24},
  [2949] = {.lex_state = 223, .external_lex_state = 27},
  [2950] = {.lex_state = 223, .external_lex_state = 27},
  [2951] = {.lex_state = 90, .external_lex_state = 24},
  [2952] = {.lex_state = 89, .external_lex_state = 22},
  [2953] = {.lex_state = 223, .external_lex_state = 27},
  [2954] = {.lex_state = 89, .external_lex_state = 22},
  [2955] = {.lex_state = 90, .external_lex_state = 24},
  [2956] = {.lex_state = 90, .external_lex_state = 24},
  [2957] = {.lex_state = 90, .external_lex_state = 24},
  [2958] = {.lex_state = 90, .external_lex_state = 24},
  [2959] = {.lex_state = 89, .external_lex_state = 22},
  [2960] = {.lex_state = 90, .external_lex_state = 24},
  [2961] = {.lex_state = 90, .external_lex_state = 24},
  [2962] = {.lex_state = 90, .external_lex_state = 24},
  [2963] = {.lex_state = 90, .external_lex_state = 24},
  [2964] = {.lex_state = 223, .external_lex_state = 27},
  [2965] = {.lex_state = 223, .external_lex_state = 27},
  [2966] = {.lex_state = 90, .external_lex_state = 24},
  [2967] = {.lex_state = 90, .external_lex_state = 24},
  [2968] = {.lex_state = 90, .external_lex_state = 24},
  [2969] = {.lex_state = 90, .external_lex_state = 24},
  [2970] = {.lex_state = 90, .external_lex_state = 24},
  [2971] = {.lex_state = 90, .external_lex_state = 24},
  [2972] = {.lex_state = 90, .external_lex_state = 24},
  [2973] = {.lex_state = 90, .external_lex_state = 24},
  [2974] = {.lex_state = 90, .external_lex_state = 24},
  [2975] = {.lex_state = 90, .external_lex_state = 24},
  [2976] = {.lex_state = 90, .external_lex_state = 24},
  [2977] = {.lex_state = 90, .external_lex_state = 24},
  [2978] = {.lex_state = 90, .external_lex_state = 24},
  [2979] = {.lex_state = 90, .external_lex_state = 24},
  [2980] = {.lex_state = 90, .external_lex_state = 24},
  [2981] = {.lex_state = 90, .external_lex_state = 24},
  [2982] = {.lex_state = 90, .external_lex_state = 24},
  [2983] = {.lex_state = 90, .external_lex_state = 24},
  [2984] = {.lex_state = 90, .external_lex_state = 24},
  [2985] = {.lex_state = 90, .external_lex_state = 24},
  [2986] = {.lex_state = 90, .external_lex_state = 24},
  [2987] = {.lex_state = 223, .external_lex_state = 27},
  [2988] = {.lex_state = 90, .external_lex_state = 24},
  [2989] = {.lex_state = 90, .external_lex_state = 24},
  [2990] = {.lex_state = 90, .external_lex_state = 24},
  [2991] = {.lex_state = 90, .external_lex_state = 24},
  [2992] = {.lex_state = 90, .external_lex_state = 24},
  [2993] = {.lex_state = 90, .external_lex_state = 24},
  [2994] = {.lex_state = 90, .external_lex_state = 24},
  [2995] = {.lex_state = 90, .external_lex_state = 24},
  [2996] = {.lex_state = 90, .external_lex_state = 24},
  [2997] = {.lex_state = 90, .external_lex_state = 24},
  [2998] = {.lex_state = 90, .external_lex_state = 24},
  [2999] = {.lex_state = 90, .external_lex_state = 24},
  [3000] = {.lex_state = 90, .external_lex_state = 24},
  [3001] = {.lex_state = 90, .external_lex_state = 24},
  [3002] = {.lex_state = 90, .external_lex_state = 24},
  [3003] = {.lex_state = 90, .external_lex_state = 24},
  [3004] = {.lex_state = 90, .external_lex_state = 24},
  [3005] = {.lex_state = 90, .external_lex_state = 24},
  [3006] = {.lex_state = 90, .external_lex_state = 24},
  [3007] = {.lex_state = 90, .external_lex_state = 24},
  [3008] = {.lex_state = 90, .external_lex_state = 24},
  [3009] = {.lex_state = 90, .external_lex_state = 24},
  [3010] = {.lex_state = 90, .external_lex_state = 24},
  [3011] = {.lex_state = 89, .external_lex_state = 28},
  [3012] = {.lex_state = 90, .external_lex_state = 24},
  [3013] = {.lex_state = 223, .external_lex_state = 27},
  [3014] = {.lex_state = 223, .external_lex_state = 27},
  [3015] = {.lex_state = 90, .external_lex_state = 24},
  [3016] = {.lex_state = 90, .external_lex_state = 24},
  [3017] = {.lex_state = 90, .external_lex_state = 24},
  [3018] = {.lex_state = 90, .external_lex_state = 24},
  [3019] = {.lex_state = 90, .external_lex_state = 24},
  [3020] = {.lex_state = 90, .external_lex_state = 24},
  [3021] = {.lex_state = 90, .external_lex_state = 24},
  [3022] = {.lex_state = 90, .external_lex_state = 24},
  [3023] = {.lex_state = 90, .external_lex_state = 24},
  [3024] = {.lex_state = 90, .external_lex_state = 24},
  [3025] = {.lex_state = 90, .external_lex_state = 24},
  [3026] = {.lex_state = 90, .external_lex_state = 24},
  [3027] = {.lex_state = 223, .external_lex_state = 27},
  [3028] = {.lex_state = 90, .external_lex_state = 24},
  [3029] = {.lex_state = 90, .external_lex_state = 24},
  [3030] = {.lex_state = 90, .external_lex_state = 24},
  [3031] = {.lex_state = 90, .external_lex_state = 24},
  [3032] = {.lex_state = 90, .external_lex_state = 24},
  [3033] = {.lex_state = 90, .external_lex_state = 24},
  [3034] = {.lex_state = 90, .external_lex_state = 24},
  [3035] = {.lex_state = 90, .external_lex_state = 24},
  [3036] = {.lex_state = 90, .external_lex_state = 24},
  [3037] = {.lex_state = 89, .external_lex_state = 22},
  [3038] = {.lex_state = 89, .external_lex_state = 22},
  [3039] = {.lex_state = 89, .external_lex_state = 22},
  [3040] = {.lex_state = 89, .external_lex_state = 22},
  [3041] = {.lex_state = 89, .external_lex_state = 22},
  [3042] = {.lex_state = 89, .external_lex_state = 22},
  [3043] = {.lex_state = 89, .external_lex_state = 24},
  [3044] = {.lex_state = 89, .external_lex_state = 22},
  [3045] = {.lex_state = 89, .external_lex_state = 28},
  [3046] = {.lex_state = 89, .external_lex_state = 22},
  [3047] = {.lex_state = 223, .external_lex_state = 27},
  [3048] = {.lex_state = 89, .external_lex_state = 22},
  [3049] = {.lex_state = 89, .external_lex_state = 22},
  [3050] = {.lex_state = 89, .external_lex_state = 22},
  [3051] = {.lex_state = 89, .external_lex_state = 22},
  [3052] = {.lex_state = 89, .external_lex_state = 22},
  [3053] = {.lex_state = 89, .external_lex_state = 22},
  [3054] = {.lex_state = 89, .external_lex_state = 22},
  [3055] = {.lex_state = 89, .external_lex_state = 22},
  [3056] = {.lex_state = 89, .external_lex_state = 22},
  [3057] = {.lex_state = 89, .external_lex_state = 22},
  [3058] = {.lex_state = 89, .external_lex_state = 22},
  [3059] = {.lex_state = 89, .external_lex_state = 22},
  [3060] = {.lex_state = 89, .external_lex_state = 22},
  [3061] = {.lex_state = 89, .external_lex_state = 22},
  [3062] = {.lex_state = 223, .external_lex_state = 27},
  [3063] = {.lex_state = 223, .external_lex_state = 27},
  [3064] = {.lex_state = 89, .external_lex_state = 22},
  [3065] = {.lex_state = 89, .external_lex_state = 25},
  [3066] = {.lex_state = 223, .external_lex_state = 27},
  [3067] = {.lex_state = 223, .external_lex_state = 27},
  [3068] = {.lex_state = 89, .external_lex_state = 22},
  [3069] = {.lex_state = 89, .external_lex_state = 22},
  [3070] = {.lex_state = 89, .external_lex_state = 22},
  [3071] = {.lex_state = 89, .external_lex_state = 22},
  [3072] = {.lex_state = 89, .external_lex_state = 22},
  [3073] = {.lex_state = 89, .external_lex_state = 24},
  [3074] = {.lex_state = 89, .external_lex_state = 22},
  [3075] = {.lex_state = 223, .external_lex_state = 27},
  [3076] = {.lex_state = 223, .external_lex_state = 27},
  [3077] = {.lex_state = 89, .external_lex_state = 22},
  [3078] = {.lex_state = 89, .external_lex_state = 24},
  [3079] = {.lex_state = 89, .external_lex_state = 28},
  [3080] = {.lex_state = 89, .external_lex_state = 22},
  [3081] = {.lex_state = 89, .external_lex_state = 22},
  [3082] = {.lex_state = 223, .external_lex_state = 27},
  [3083] = {.lex_state = 89, .external_lex_state = 22},
  [3084] = {.lex_state = 98, .external_lex_state = 29},
  [3085] = {.lex_state = 98, .external_lex_state = 29},
  [3086] = {.lex_state = 223, .external_lex_state = 27},
  [3087] = {.lex_state = 223, .external_lex_state = 27},
  [3088] = {.lex_state = 98, .external_lex_state = 29},
  [3089] = {.lex_state = 98, .external_lex_state = 29},
  [3090] = {.lex_state = 89, .external_lex_state = 28},
  [3091] = {.lex_state = 89, .external_lex_state = 24},
  [3092] = {.lex_state = 223, .external_lex_state = 27},
  [3093] = {.lex_state = 98, .external_lex_state = 29},
  [3094] = {.lex_state = 98, .external_lex_state = 29},
  [3095] = {.lex_state = 223, .external_lex_state = 27},
  [3096] = {.lex_state = 89, .external_lex_state = 24},
  [3097] = {.lex_state = 223, .external_lex_state = 27},
  [3098] = {.lex_state = 98, .external_lex_state = 29},
  [3099] = {.lex_state = 98, .external_lex_state = 29},
  [3100] = {.lex_state = 98, .external_lex_state = 29},
  [3101] = {.lex_state = 98, .external_lex_state = 29},
  [3102] = {.lex_state = 98, .external_lex_state = 29},
  [3103] = {.lex_state = 98, .external_lex_state = 29},
  [3104] = {.lex_state = 223, .external_lex_state = 27},
  [3105] = {.lex_state = 223, .external_lex_state = 27},
  [3106] = {.lex_state = 223, .external_lex_state = 27},
  [3107] = {.lex_state = 223, .external_lex_state = 27},
  [3108] = {.lex_state = 98, .external_lex_state = 29},
  [3109] = {.lex_state = 223, .external_lex_state = 27},
  [3110] = {.lex_state = 89, .external_lex_state = 24},
  [3111] = {.lex_state = 89, .external_lex_state = 22},
  [3112] = {.lex_state = 223, .external_lex_state = 27},
  [3113] = {.lex_state = 223, .external_lex_state = 27},
  [3114] = {.lex_state = 223, .external_lex_state = 27},
  [3115] = {.lex_state = 223, .external_lex_state = 27},
  [3116] = {.lex_state = 98, .external_lex_state = 29},
  [3117] = {.lex_state = 98, .external_lex_state = 29},
  [3118] = {.lex_state = 223, .external_lex_state = 27},
  [3119] = {.lex_state = 223, .external_lex_state = 27},
  [3120] = {.lex_state = 223, .external_lex_state = 27},
  [3121] = {.lex_state = 223, .external_lex_state = 27},
  [3122] = {.lex_state = 223, .external_lex_state = 27},
  [3123] = {.lex_state = 98, .external_lex_state = 29},
  [3124] = {.lex_state = 98, .external_lex_state = 29},
  [3125] = {.lex_state = 223, .external_lex_state = 27},
  [3126] = {.lex_state = 98, .external_lex_state = 29},
  [3127] = {.lex_state = 89, .external_lex_state = 24},
  [3128] = {.lex_state = 223, .external_lex_state = 27},
  [3129] = {.lex_state = 98, .external_lex_state = 29},
  [3130] = {.lex_state = 98, .external_lex_state = 29},
  [3131] = {.lex_state = 98, .external_lex_state = 29},
  [3132] = {.lex_state = 223, .external_lex_state = 27},
  [3133] = {.lex_state = 98, .external_lex_state = 29},
  [3134] = {.lex_state = 89, .external_lex_state = 22},
  [3135] = {.lex_state = 89, .external_lex_state = 22},
  [3136] = {.lex_state = 98, .external_lex_state = 29},
  [3137] = {.lex_state = 98, .external_lex_state = 29},
  [3138] = {.lex_state = 89, .external_lex_state = 22},
  [3139] = {.lex_state = 89, .external_lex_state = 24},
  [3140] = {.lex_state = 89, .external_lex_state = 24},
  [3141] = {.lex_state = 90, .external_lex_state = 24},
  [3142] = {.lex_state = 89, .external_lex_state = 24},
  [3143] = {.lex_state = 89, .external_lex_state = 24},
  [3144] = {.lex_state = 223, .external_lex_state = 27},
  [3145] = {.lex_state = 223, .external_lex_state = 27},
  [3146] = {.lex_state = 223, .external_lex_state = 27},
  [3147] = {.lex_state = 96, .external_lex_state = 26},
  [3148] = {.lex_state = 89, .external_lex_state = 24},
  [3149] = {.lex_state = 223, .external_lex_state = 27},
  [3150] = {.lex_state = 223, .external_lex_state = 27},
  [3151] = {.lex_state = 223, .external_lex_state = 27},
  [3152] = {.lex_state = 98, .external_lex_state = 29},
  [3153] = {.lex_state = 98, .external_lex_state = 29},
  [3154] = {.lex_state = 89, .external_lex_state = 22},
  [3155] = {.lex_state = 223, .external_lex_state = 27},
  [3156] = {.lex_state = 223, .external_lex_state = 27},
  [3157] = {.lex_state = 89, .external_lex_state = 28},
  [3158] = {.lex_state = 89, .external_lex_state = 24},
  [3159] = {.lex_state = 89, .external_lex_state = 22},
  [3160] = {.lex_state = 223, .external_lex_state = 27},
  [3161] = {.lex_state = 223, .external_lex_state = 27},
  [3162] = {.lex_state = 223, .external_lex_state = 27},
  [3163] = {.lex_state = 98, .external_lex_state = 29},
  [3164] = {.lex_state = 98, .external_lex_state = 29},
  [3165] = {.lex_state = 98, .external_lex_state = 29},
  [3166] = {.lex_state = 89, .external_lex_state = 22},
  [3167] = {.lex_state = 89, .external_lex_state = 24},
  [3168] = {.lex_state = 223, .external_lex_state = 27},
  [3169] = {.lex_state = 223, .external_lex_state = 27},
  [3170] = {.lex_state = 89, .external_lex_state = 24},
  [3171] = {.lex_state = 94, .external_lex_state = 26},
  [3172] = {.lex_state = 89, .external_lex_state = 22},
  [3173] = {.lex_state = 89, .external_lex_state = 24},
  [3174] = {.lex_state = 89, .external_lex_state = 22},
  [3175] = {.lex_state = 89, .external_lex_state = 22},
  [3176] = {.lex_state = 89, .external_lex_state = 24},
  [3177] = {.lex_state = 89, .external_lex_state = 24},
  [3178] = {.lex_state = 89, .external_lex_state = 22},
  [3179] = {.lex_state = 89, .external_lex_state = 24},
  [3180] = {.lex_state = 89, .external_lex_state = 24},
  [3181] = {.lex_state = 89, .external_lex_state = 24},
  [3182] = {.lex_state = 94, .external_lex_state = 26},
  [3183] = {.lex_state = 94, .external_lex_state = 26},
  [3184] = {.lex_state = 223, .external_lex_state = 27},
  [3185] = {.lex_state = 89, .external_lex_state = 24},
  [3186] = {.lex_state = 89, .external_lex_state = 24},
  [3187] = {.lex_state = 93, .external_lex_state = 27},
  [3188] = {.lex_state = 93, .external_lex_state = 27},
  [3189] = {.lex_state = 89, .external_lex_state = 22},
  [3190] = {.lex_state = 223, .external_lex_state = 27},
  [3191] = {.lex_state = 89, .external_lex_state = 24},
  [3192] = {.lex_state = 89, .external_lex_state = 22},
  [3193] = {.lex_state = 89, .external_lex_state = 22},
  [3194] = {.lex_state = 89, .external_lex_state = 24},
  [3195] = {.lex_state = 94, .external_lex_state = 26},
  [3196] = {.lex_state = 89, .external_lex_state = 24},
  [3197] = {.lex_state = 89, .external_lex_state = 24},
  [3198] = {.lex_state = 89, .external_lex_state = 24},
  [3199] = {.lex_state = 89, .external_lex_state = 22},
  [3200] = {.lex_state = 89, .external_lex_state = 22},
  [3201] = {.lex_state = 89, .external_lex_state = 22},
  [3202] = {.lex_state = 89, .external_lex_state = 22},
  [3203] = {.lex_state = 89, .external_lex_state = 22},
  [3204] = {.lex_state = 89, .external_lex_state = 22},
  [3205] = {.lex_state = 89, .external_lex_state = 22},
  [3206] = {.lex_state = 89, .external_lex_state = 22},
  [3207] = {.lex_state = 89, .external_lex_state = 24},
  [3208] = {.lex_state = 89, .external_lex_state = 24},
  [3209] = {.lex_state = 93, .external_lex_state = 27},
  [3210] = {.lex_state = 89, .external_lex_state = 24},
  [3211] = {.lex_state = 89, .external_lex_state = 24},
  [3212] = {.lex_state = 94, .external_lex_state = 26},
  [3213] = {.lex_state = 89, .external_lex_state = 24},
  [3214] = {.lex_state = 89, .external_lex_state = 24},
  [3215] = {.lex_state = 89, .external_lex_state = 22},
  [3216] = {.lex_state = 89, .external_lex_state = 22},
  [3217] = {.lex_state = 89, .external_lex_state = 22},
  [3218] = {.lex_state = 89, .external_lex_state = 22},
  [3219] = {.lex_state = 89, .external_lex_state = 22},
  [3220] = {.lex_state = 89, .external_lex_state = 22},
  [3221] = {.lex_state = 223, .external_lex_state = 27},
  [3222] = {.lex_state = 89, .external_lex_state = 24},
  [3223] = {.lex_state = 223, .external_lex_state = 27},
  [3224] = {.lex_state = 93, .external_lex_state = 27},
  [3225] = {.lex_state = 89, .external_lex_state = 24},
  [3226] = {.lex_state = 223, .external_lex_state = 27},
  [3227] = {.lex_state = 223, .external_lex_state = 27},
  [3228] = {.lex_state = 89, .external_lex_state = 24},
  [3229] = {.lex_state = 89, .external_lex_state = 24},
  [3230] = {.lex_state = 89, .external_lex_state = 24},
  [3231] = {.lex_state = 223, .external_lex_state = 27},
  [3232] = {.lex_state = 89, .external_lex_state = 24},
  [3233] = {.lex_state = 89, .external_lex_state = 22},
  [3234] = {.lex_state = 89, .external_lex_state = 22},
  [3235] = {.lex_state = 89, .external_lex_state = 24},
  [3236] = {.lex_state = 89, .external_lex_state = 24},
  [3237] = {.lex_state = 89, .external_lex_state = 24},
  [3238] = {.lex_state = 223, .external_lex_state = 27},
  [3239] = {.lex_state = 89, .external_lex_state = 24},
  [3240] = {.lex_state = 223, .external_lex_state = 27},
  [3241] = {.lex_state = 223, .external_lex_state = 27},
  [3242] = {.lex_state = 89, .external_lex_state = 24},
  [3243] = {.lex_state = 223, .external_lex_state = 27},
  [3244] = {.lex_state = 223, .external_lex_state = 27},
  [3245] = {.lex_state = 89, .external_lex_state = 24},
  [3246] = {.lex_state = 89, .external_lex_state = 24},
  [3247] = {.lex_state = 223, .external_lex_state = 27},
  [3248] = {.lex_state = 93, .external_lex_state = 27},
  [3249] = {.lex_state = 223, .external_lex_state = 27},
  [3250] = {.lex_state = 223, .external_lex_state = 27},
  [3251] = {.lex_state = 223, .external_lex_state = 27},
  [3252] = {.lex_state = 89, .external_lex_state = 24},
  [3253] = {.lex_state = 89, .external_lex_state = 22},
  [3254] = {.lex_state = 89, .external_lex_state = 22},
  [3255] = {.lex_state = 89, .external_lex_state = 24},
  [3256] = {.lex_state = 89, .external_lex_state = 24},
  [3257] = {.lex_state = 89, .external_lex_state = 22},
  [3258] = {.lex_state = 94, .external_lex_state = 26},
  [3259] = {.lex_state = 94, .external_lex_state = 26},
  [3260] = {.lex_state = 89, .external_lex_state = 24},
  [3261] = {.lex_state = 89, .external_lex_state = 24},
  [3262] = {.lex_state = 223, .external_lex_state = 27},
  [3263] = {.lex_state = 223, .external_lex_state = 27},
  [3264] = {.lex_state = 89, .external_lex_state = 24},
  [3265] = {.lex_state = 223, .external_lex_state = 27},
  [3266] = {.lex_state = 223, .external_lex_state = 27},
  [3267] = {.lex_state = 223, .external_lex_state = 27},
  [3268] = {.lex_state = 223, .external_lex_state = 27},
  [3269] = {.lex_state = 89, .external_lex_state = 24},
  [3270] = {.lex_state = 89, .external_lex_state = 24},
  [3271] = {.lex_state = 89, .external_lex_state = 24},
  [3272] = {.lex_state = 89, .external_lex_state = 24},
  [3273] = {.lex_state = 93, .external_lex_state = 27},
  [3274] = {.lex_state = 89, .external_lex_state = 24},
  [3275] = {.lex_state = 89, .external_lex_state = 24},
  [3276] = {.lex_state = 89, .external_lex_state = 24},
  [3277] = {.lex_state = 89, .external_lex_state = 24},
  [3278] = {.lex_state = 89, .external_lex_state = 24},
  [3279] = {.lex_state = 89, .external_lex_state = 24},
  [3280] = {.lex_state = 89, .external_lex_state = 24},
  [3281] = {.lex_state = 94, .external_lex_state = 26},
  [3282] = {.lex_state = 89, .external_lex_state = 24},
  [3283] = {.lex_state = 89, .external_lex_state = 24},
  [3284] = {.lex_state = 89, .external_lex_state = 24},
  [3285] = {.lex_state = 89, .external_lex_state = 24},
  [3286] = {.lex_state = 89, .external_lex_state = 24},
  [3287] = {.lex_state = 89, .external_lex_state = 24},
  [3288] = {.lex_state = 89, .external_lex_state = 24},
  [3289] = {.lex_state = 89, .external_lex_state = 24},
  [3290] = {.lex_state = 89, .external_lex_state = 24},
  [3291] = {.lex_state = 89, .external_lex_state = 24},
  [3292] = {.lex_state = 93, .external_lex_state = 27},
  [3293] = {.lex_state = 94, .external_lex_state = 26},
  [3294] = {.lex_state = 94, .external_lex_state = 26},
  [3295] = {.lex_state = 93, .external_lex_state = 27},
  [3296] = {.lex_state = 89, .external_lex_state = 24},
  [3297] = {.lex_state = 89, .external_lex_state = 24},
  [3298] = {.lex_state = 89, .external_lex_state = 24},
  [3299] = {.lex_state = 89, .external_lex_state = 24},
  [3300] = {.lex_state = 89, .external_lex_state = 24},
  [3301] = {.lex_state = 89, .external_lex_state = 24},
  [3302] = {.lex_state = 89, .external_lex_state = 28},
  [3303] = {.lex_state = 89, .external_lex_state = 24},
  [3304] = {.lex_state = 223, .external_lex_state = 27},
  [3305] = {.lex_state = 89, .external_lex_state = 24},
  [3306] = {.lex_state = 89, .external_lex_state = 24},
  [3307] = {.lex_state = 93, .external_lex_state = 27},
  [3308] = {.lex_state = 93, .external_lex_state = 27},
  [3309] = {.lex_state = 93, .external_lex_state = 30},
  [3310] = {.lex_state = 89, .external_lex_state = 24},
  [3311] = {.lex_state = 89, .external_lex_state = 24},
  [3312] = {.lex_state = 89, .external_lex_state = 24},
  [3313] = {.lex_state = 89, .external_lex_state = 24},
  [3314] = {.lex_state = 89, .external_lex_state = 24},
  [3315] = {.lex_state = 89, .external_lex_state = 24},
  [3316] = {.lex_state = 89, .external_lex_state = 22},
  [3317] = {.lex_state = 102, .external_lex_state = 23},
  [3318] = {.lex_state = 89, .external_lex_state = 24},
  [3319] = {.lex_state = 89, .external_lex_state = 24},
  [3320] = {.lex_state = 89, .external_lex_state = 24},
  [3321] = {.lex_state = 93, .external_lex_state = 30},
  [3322] = {.lex_state = 93, .external_lex_state = 30},
  [3323] = {.lex_state = 93, .external_lex_state = 30},
  [3324] = {.lex_state = 89, .external_lex_state = 24},
  [3325] = {.lex_state = 89, .external_lex_state = 24},
  [3326] = {.lex_state = 89, .external_lex_state = 24},
  [3327] = {.lex_state = 223, .external_lex_state = 27},
  [3328] = {.lex_state = 89, .external_lex_state = 24},
  [3329] = {.lex_state = 89, .external_lex_state = 24},
  [3330] = {.lex_state = 89, .external_lex_state = 24},
  [3331] = {.lex_state = 89, .external_lex_state = 24},
  [3332] = {.lex_state = 89, .external_lex_state = 22},
  [3333] = {.lex_state = 93, .external_lex_state = 30},
  [3334] = {.lex_state = 89, .external_lex_state = 24},
  [3335] = {.lex_state = 89, .external_lex_state = 24},
  [3336] = {.lex_state = 93, .external_lex_state = 30},
  [3337] = {.lex_state = 89, .external_lex_state = 24},
  [3338] = {.lex_state = 89, .external_lex_state = 24},
  [3339] = {.lex_state = 89, .external_lex_state = 28},
  [3340] = {.lex_state = 89, .external_lex_state = 24},
  [3341] = {.lex_state = 93, .external_lex_state = 27},
  [3342] = {.lex_state = 89, .external_lex_state = 24},
  [3343] = {.lex_state = 93, .external_lex_state = 27},
  [3344] = {.lex_state = 93, .external_lex_state = 27},
  [3345] = {.lex_state = 93, .external_lex_state = 27},
  [3346] = {.lex_state = 93, .external_lex_state = 27},
  [3347] = {.lex_state = 93, .external_lex_state = 27},
  [3348] = {.lex_state = 93, .external_lex_state = 27},
  [3349] = {.lex_state = 102, .external_lex_state = 23},
  [3350] = {.lex_state = 89, .external_lex_state = 22},
  [3351] = {.lex_state = 89, .external_lex_state = 24},
  [3352] = {.lex_state = 102, .external_lex_state = 23},
  [3353] = {.lex_state = 89, .external_lex_state = 24},
  [3354] = {.lex_state = 89, .external_lex_state = 24},
  [3355] = {.lex_state = 89, .external_lex_state = 24},
  [3356] = {.lex_state = 93, .external_lex_state = 27},
  [3357] = {.lex_state = 93, .external_lex_state = 27},
  [3358] = {.lex_state = 93, .external_lex_state = 27},
  [3359] = {.lex_state = 93, .external_lex_state = 27},
  [3360] = {.lex_state = 93, .external_lex_state = 27},
  [3361] = {.lex_state = 89, .external_lex_state = 22},
  [3362] = {.lex_state = 94, .external_lex_state = 29},
  [3363] = {.lex_state = 89, .external_lex_state = 22},
  [3364] = {.lex_state = 93, .external_lex_state = 27},
  [3365] = {.lex_state = 93, .external_lex_state = 27},
  [3366] = {.lex_state = 93, .external_lex_state = 27},
  [3367] = {.lex_state = 89, .external_lex_state = 24},
  [3368] = {.lex_state = 89, .external_lex_state = 24},
  [3369] = {.lex_state = 93, .external_lex_state = 27},
  [3370] = {.lex_state = 223, .external_lex_state = 27},
  [3371] = {.lex_state = 89, .external_lex_state = 24},
  [3372] = {.lex_state = 89, .external_lex_state = 24},
  [3373] = {.lex_state = 89, .external_lex_state = 24},
  [3374] = {.lex_state = 89, .external_lex_state = 22},
  [3375] = {.lex_state = 102, .external_lex_state = 23},
  [3376] = {.lex_state = 93, .external_lex_state = 27},
  [3377] = {.lex_state = 89, .external_lex_state = 24},
  [3378] = {.lex_state = 102, .external_lex_state = 23},
  [3379] = {.lex_state = 89, .external_lex_state = 24},
  [3380] = {.lex_state = 89, .external_lex_state = 24},
  [3381] = {.lex_state = 89, .external_lex_state = 24},
  [3382] = {.lex_state = 93, .external_lex_state = 30},
  [3383] = {.lex_state = 89, .external_lex_state = 24},
  [3384] = {.lex_state = 89, .external_lex_state = 24},
  [3385] = {.lex_state = 89, .external_lex_state = 24},
  [3386] = {.lex_state = 89, .external_lex_state = 24},
  [3387] = {.lex_state = 89, .external_lex_state = 24},
  [3388] = {.lex_state = 89, .external_lex_state = 24},
  [3389] = {.lex_state = 89, .external_lex_state = 24},
  [3390] = {.lex_state = 89, .external_lex_state = 24},
  [3391] = {.lex_state = 223, .external_lex_state = 27},
  [3392] = {.lex_state = 223, .external_lex_state = 27},
  [3393] = {.lex_state = 93, .external_lex_state = 27},
  [3394] = {.lex_state = 89, .external_lex_state = 24},
  [3395] = {.lex_state = 93, .external_lex_state = 27},
  [3396] = {.lex_state = 89, .external_lex_state = 22},
  [3397] = {.lex_state = 93, .external_lex_state = 27},
  [3398] = {.lex_state = 94, .external_lex_state = 29},
  [3399] = {.lex_state = 93, .external_lex_state = 27},
  [3400] = {.lex_state = 93, .external_lex_state = 27},
  [3401] = {.lex_state = 94, .external_lex_state = 29},
  [3402] = {.lex_state = 93, .external_lex_state = 27},
  [3403] = {.lex_state = 93, .external_lex_state = 27},
  [3404] = {.lex_state = 89, .external_lex_state = 24},
  [3405] = {.lex_state = 89, .external_lex_state = 24},
  [3406] = {.lex_state = 89, .external_lex_state = 24},
  [3407] = {.lex_state = 223, .external_lex_state = 27},
  [3408] = {.lex_state = 93, .external_lex_state = 27},
  [3409] = {.lex_state = 89, .external_lex_state = 24},
  [3410] = {.lex_state = 89, .external_lex_state = 24},
  [3411] = {.lex_state = 93, .external_lex_state = 27},
  [3412] = {.lex_state = 90, .external_lex_state = 28},
  [3413] = {.lex_state = 89, .external_lex_state = 24},
  [3414] = {.lex_state = 223, .external_lex_state = 27},
  [3415] = {.lex_state = 89, .external_lex_state = 22},
  [3416] = {.lex_state = 93, .external_lex_state = 27},
  [3417] = {.lex_state = 93, .external_lex_state = 27},
  [3418] = {.lex_state = 89, .external_lex_state = 22},
  [3419] = {.lex_state = 93, .external_lex_state = 27},
  [3420] = {.lex_state = 89, .external_lex_state = 22},
  [3421] = {.lex_state = 89, .external_lex_state = 22},
  [3422] = {.lex_state = 90, .external_lex_state = 28},
  [3423] = {.lex_state = 93, .external_lex_state = 27},
  [3424] = {.lex_state = 89, .external_lex_state = 22},
  [3425] = {.lex_state = 89, .external_lex_state = 22},
  [3426] = {.lex_state = 89, .external_lex_state = 22},
  [3427] = {.lex_state = 89, .external_lex_state = 22},
  [3428] = {.lex_state = 89, .external_lex_state = 24},
  [3429] = {.lex_state = 93, .external_lex_state = 27},
  [3430] = {.lex_state = 89, .external_lex_state = 24},
  [3431] = {.lex_state = 89, .external_lex_state = 22},
  [3432] = {.lex_state = 89, .external_lex_state = 22},
  [3433] = {.lex_state = 89, .external_lex_state = 22},
  [3434] = {.lex_state = 89, .external_lex_state = 22},
  [3435] = {.lex_state = 89, .external_lex_state = 22},
  [3436] = {.lex_state = 89, .external_lex_state = 22},
  [3437] = {.lex_state = 89, .external_lex_state = 22},
  [3438] = {.lex_state = 89, .external_lex_state = 22},
  [3439] = {.lex_state = 89, .external_lex_state = 22},
  [3440] = {.lex_state = 89, .external_lex_state = 22},
  [3441] = {.lex_state = 89, .external_lex_state = 22},
  [3442] = {.lex_state = 89, .external_lex_state = 22},
  [3443] = {.lex_state = 93, .external_lex_state = 27},
  [3444] = {.lex_state = 89, .external_lex_state = 22},
  [3445] = {.lex_state = 90, .external_lex_state = 24},
  [3446] = {.lex_state = 89, .external_lex_state = 22},
  [3447] = {.lex_state = 89, .external_lex_state = 22},
  [3448] = {.lex_state = 93, .external_lex_state = 27},
  [3449] = {.lex_state = 89, .external_lex_state = 22},
  [3450] = {.lex_state = 93, .external_lex_state = 27},
  [3451] = {.lex_state = 93, .external_lex_state = 27},
  [3452] = {.lex_state = 93, .external_lex_state = 27},
  [3453] = {.lex_state = 89, .external_lex_state = 22},
  [3454] = {.lex_state = 89, .external_lex_state = 24},
  [3455] = {.lex_state = 89, .external_lex_state = 22},
  [3456] = {.lex_state = 89, .external_lex_state = 22},
  [3457] = {.lex_state = 90, .external_lex_state = 28},
  [3458] = {.lex_state = 93, .external_lex_state = 27},
  [3459] = {.lex_state = 93, .external_lex_state = 27},
  [3460] = {.lex_state = 93, .external_lex_state = 27},
  [3461] = {.lex_state = 93, .external_lex_state = 27},
  [3462] = {.lex_state = 93, .external_lex_state = 27},
  [3463] = {.lex_state = 93, .external_lex_state = 27},
  [3464] = {.lex_state = 93, .external_lex_state = 27},
  [3465] = {.lex_state = 89, .external_lex_state = 24},
  [3466] = {.lex_state = 89, .external_lex_state = 24},
  [3467] = {.lex_state = 93, .external_lex_state = 27},
  [3468] = {.lex_state = 93, .external_lex_state = 27},
  [3469] = {.lex_state = 93, .external_lex_state = 27},
  [3470] = {.lex_state = 93, .external_lex_state = 27},
  [3471] = {.lex_state = 93, .external_lex_state = 27},
  [3472] = {.lex_state = 93, .external_lex_state = 27},
  [3473] = {.lex_state = 93, .external_lex_state = 27},
  [3474] = {.lex_state = 93, .external_lex_state = 27},
  [3475] = {.lex_state = 90, .external_lex_state = 24},
  [3476] = {.lex_state = 93, .external_lex_state = 27},
  [3477] = {.lex_state = 93, .external_lex_state = 27},
  [3478] = {.lex_state = 93, .external_lex_state = 27},
  [3479] = {.lex_state = 93, .external_lex_state = 27},
  [3480] = {.lex_state = 89, .external_lex_state = 22},
  [3481] = {.lex_state = 89, .external_lex_state = 28},
  [3482] = {.lex_state = 93, .external_lex_state = 30},
  [3483] = {.lex_state = 93, .external_lex_state = 27},
  [3484] = {.lex_state = 89, .external_lex_state = 22},
  [3485] = {.lex_state = 89, .external_lex_state = 22},
  [3486] = {.lex_state = 93, .external_lex_state = 27},
  [3487] = {.lex_state = 89, .external_lex_state = 22},
  [3488] = {.lex_state = 89, .external_lex_state = 22},
  [3489] = {.lex_state = 93, .external_lex_state = 30},
  [3490] = {.lex_state = 89, .external_lex_state = 24},
  [3491] = {.lex_state = 93, .external_lex_state = 30},
  [3492] = {.lex_state = 89, .external_lex_state = 22},
  [3493] = {.lex_state = 89, .external_lex_state = 22},
  [3494] = {.lex_state = 89, .external_lex_state = 22},
  [3495] = {.lex_state = 93, .external_lex_state = 30},
  [3496] = {.lex_state = 89, .external_lex_state = 22},
  [3497] = {.lex_state = 89, .external_lex_state = 22},
  [3498] = {.lex_state = 89, .external_lex_state = 22},
  [3499] = {.lex_state = 89, .external_lex_state = 22},
  [3500] = {.lex_state = 93, .external_lex_state = 30},
  [3501] = {.lex_state = 89, .external_lex_state = 22},
  [3502] = {.lex_state = 89, .external_lex_state = 24},
  [3503] = {.lex_state = 89, .external_lex_state = 22},
  [3504] = {.lex_state = 89, .external_lex_state = 22},
  [3505] = {.lex_state = 93, .external_lex_state = 30},
  [3506] = {.lex_state = 89, .external_lex_state = 22},
  [3507] = {.lex_state = 93, .external_lex_state = 30},
  [3508] = {.lex_state = 93, .external_lex_state = 30},
  [3509] = {.lex_state = 89, .external_lex_state = 22},
  [3510] = {.lex_state = 89, .external_lex_state = 22},
  [3511] = {.lex_state = 93, .external_lex_state = 30},
  [3512] = {.lex_state = 93, .external_lex_state = 27},
  [3513] = {.lex_state = 93, .external_lex_state = 27},
  [3514] = {.lex_state = 93, .external_lex_state = 27},
  [3515] = {.lex_state = 93, .external_lex_state = 30},
  [3516] = {.lex_state = 89, .external_lex_state = 24},
  [3517] = {.lex_state = 93, .external_lex_state = 27},
  [3518] = {.lex_state = 93, .external_lex_state = 27},
  [3519] = {.lex_state = 93, .external_lex_state = 30},
  [3520] = {.lex_state = 89, .external_lex_state = 22},
  [3521] = {.lex_state = 93, .external_lex_state = 27},
  [3522] = {.lex_state = 89, .external_lex_state = 22},
  [3523] = {.lex_state = 89, .external_lex_state = 22},
  [3524] = {.lex_state = 89, .external_lex_state = 22},
  [3525] = {.lex_state = 89, .external_lex_state = 22},
  [3526] = {.lex_state = 89, .external_lex_state = 22},
  [3527] = {.lex_state = 89, .external_lex_state = 22},
  [3528] = {.lex_state = 93, .external_lex_state = 27},
  [3529] = {.lex_state = 89, .external_lex_state = 22},
  [3530] = {.lex_state = 89, .external_lex_state = 24},
  [3531] = {.lex_state = 89, .external_lex_state = 24},
  [3532] = {.lex_state = 93, .external_lex_state = 30},
  [3533] = {.lex_state = 89, .external_lex_state = 22},
  [3534] = {.lex_state = 93, .external_lex_state = 27},
  [3535] = {.lex_state = 89, .external_lex_state = 22},
  [3536] = {.lex_state = 89, .external_lex_state = 22},
  [3537] = {.lex_state = 93, .external_lex_state = 30},
  [3538] = {.lex_state = 93, .external_lex_state = 30},
  [3539] = {.lex_state = 89, .external_lex_state = 22},
  [3540] = {.lex_state = 89, .external_lex_state = 22},
  [3541] = {.lex_state = 89, .external_lex_state = 22},
  [3542] = {.lex_state = 93, .external_lex_state = 30},
  [3543] = {.lex_state = 93, .external_lex_state = 30},
  [3544] = {.lex_state = 89, .external_lex_state = 22},
  [3545] = {.lex_state = 93, .external_lex_state = 30},
  [3546] = {.lex_state = 89, .external_lex_state = 22},
  [3547] = {.lex_state = 89, .external_lex_state = 22},
  [3548] = {.lex_state = 93, .external_lex_state = 30},
  [3549] = {.lex_state = 89, .external_lex_state = 24},
  [3550] = {.lex_state = 93, .external_lex_state = 30},
  [3551] = {.lex_state = 89, .external_lex_state = 24},
  [3552] = {.lex_state = 93, .external_lex_state = 30},
  [3553] = {.lex_state = 93, .external_lex_state = 27},
  [3554] = {.lex_state = 89, .external_lex_state = 24},
  [3555] = {.lex_state = 89, .external_lex_state = 24},
  [3556] = {.lex_state = 93, .external_lex_state = 30},
  [3557] = {.lex_state = 93, .external_lex_state = 27},
  [3558] = {.lex_state = 90, .external_lex_state = 24},
  [3559] = {.lex_state = 93, .external_lex_state = 30},
  [3560] = {.lex_state = 93, .external_lex_state = 27},
  [3561] = {.lex_state = 93, .external_lex_state = 27},
  [3562] = {.lex_state = 93, .external_lex_state = 30},
  [3563] = {.lex_state = 89, .external_lex_state = 24},
  [3564] = {.lex_state = 93, .external_lex_state = 30},
  [3565] = {.lex_state = 93, .external_lex_state = 30},
  [3566] = {.lex_state = 89, .external_lex_state = 24},
  [3567] = {.lex_state = 89, .external_lex_state = 24},
  [3568] = {.lex_state = 93, .external_lex_state = 27},
  [3569] = {.lex_state = 90, .external_lex_state = 24},
  [3570] = {.lex_state = 93, .external_lex_state = 30},
  [3571] = {.lex_state = 93, .external_lex_state = 30},
  [3572] = {.lex_state = 93, .external_lex_state = 30},
  [3573] = {.lex_state = 93, .external_lex_state = 30},
  [3574] = {.lex_state = 93, .external_lex_state = 30},
  [3575] = {.lex_state = 93, .external_lex_state = 30},
  [3576] = {.lex_state = 93, .external_lex_state = 30},
  [3577] = {.lex_state = 93, .external_lex_state = 30},
  [3578] = {.lex_state = 93, .external_lex_state = 30},
  [3579] = {.lex_state = 89, .external_lex_state = 24},
  [3580] = {.lex_state = 89, .external_lex_state = 24},
  [3581] = {.lex_state = 89, .external_lex_state = 22},
  [3582] = {.lex_state = 89, .external_lex_state = 24},
  [3583] = {.lex_state = 93, .external_lex_state = 30},
  [3584] = {.lex_state = 93, .external_lex_state = 30},
  [3585] = {.lex_state = 90, .external_lex_state = 24},
  [3586] = {.lex_state = 93, .external_lex_state = 30},
  [3587] = {.lex_state = 89, .external_lex_state = 24},
  [3588] = {.lex_state = 93, .external_lex_state = 27},
  [3589] = {.lex_state = 93, .external_lex_state = 30},
  [3590] = {.lex_state = 90, .external_lex_state = 24},
  [3591] = {.lex_state = 90, .external_lex_state = 24},
  [3592] = {.lex_state = 90, .external_lex_state = 24},
  [3593] = {.lex_state = 90, .external_lex_state = 24},
  [3594] = {.lex_state = 93, .external_lex_state = 30},
  [3595] = {.lex_state = 93, .external_lex_state = 30},
  [3596] = {.lex_state = 93, .external_lex_state = 27},
  [3597] = {.lex_state = 93, .external_lex_state = 30},
  [3598] = {.lex_state = 93, .external_lex_state = 27},
  [3599] = {.lex_state = 93, .external_lex_state = 30},
  [3600] = {.lex_state = 93, .external_lex_state = 27},
  [3601] = {.lex_state = 93, .external_lex_state = 27},
  [3602] = {.lex_state = 93, .external_lex_state = 27},
  [3603] = {.lex_state = 93, .external_lex_state = 30},
  [3604] = {.lex_state = 90, .external_lex_state = 24},
  [3605] = {.lex_state = 93, .external_lex_state = 27},
  [3606] = {.lex_state = 93, .external_lex_state = 30},
  [3607] = {.lex_state = 116, .external_lex_state = 31},
  [3608] = {.lex_state = 93, .external_lex_state = 30},
  [3609] = {.lex_state = 93, .external_lex_state = 27},
  [3610] = {.lex_state = 93, .external_lex_state = 27},
  [3611] = {.lex_state = 93, .external_lex_state = 27},
  [3612] = {.lex_state = 93, .external_lex_state = 27},
  [3613] = {.lex_state = 93, .external_lex_state = 30},
  [3614] = {.lex_state = 93, .external_lex_state = 30},
  [3615] = {.lex_state = 93, .external_lex_state = 30},
  [3616] = {.lex_state = 93, .external_lex_state = 30},
  [3617] = {.lex_state = 93, .external_lex_state = 27},
  [3618] = {.lex_state = 90, .external_lex_state = 28},
  [3619] = {.lex_state = 93, .external_lex_state = 30},
  [3620] = {.lex_state = 93, .external_lex_state = 27},
  [3621] = {.lex_state = 93, .external_lex_state = 27},
  [3622] = {.lex_state = 93, .external_lex_state = 30},
  [3623] = {.lex_state = 93, .external_lex_state = 27},
  [3624] = {.lex_state = 93, .external_lex_state = 30},
  [3625] = {.lex_state = 93, .external_lex_state = 30},
  [3626] = {.lex_state = 89, .external_lex_state = 24},
  [3627] = {.lex_state = 93, .external_lex_state = 30},
  [3628] = {.lex_state = 93, .external_lex_state = 27},
  [3629] = {.lex_state = 89, .external_lex_state = 24},
  [3630] = {.lex_state = 93, .external_lex_state = 27},
  [3631] = {.lex_state = 93, .external_lex_state = 27},
  [3632] = {.lex_state = 93, .external_lex_state = 27},
  [3633] = {.lex_state = 93, .external_lex_state = 30},
  [3634] = {.lex_state = 89, .external_lex_state = 24},
  [3635] = {.lex_state = 89, .external_lex_state = 24},
  [3636] = {.lex_state = 93, .external_lex_state = 30},
  [3637] = {.lex_state = 93, .external_lex_state = 27},
  [3638] = {.lex_state = 93, .external_lex_state = 27},
  [3639] = {.lex_state = 89, .external_lex_state = 24},
  [3640] = {.lex_state = 89, .external_lex_state = 24},
  [3641] = {.lex_state = 89, .external_lex_state = 24},
  [3642] = {.lex_state = 89, .external_lex_state = 24},
  [3643] = {.lex_state = 89, .external_lex_state = 24},
  [3644] = {.lex_state = 89, .external_lex_state = 24},
  [3645] = {.lex_state = 93, .external_lex_state = 30},
  [3646] = {.lex_state = 89, .external_lex_state = 24},
  [3647] = {.lex_state = 93, .external_lex_state = 30},
  [3648] = {.lex_state = 89, .external_lex_state = 24},
  [3649] = {.lex_state = 89, .external_lex_state = 24},
  [3650] = {.lex_state = 89, .external_lex_state = 24},
  [3651] = {.lex_state = 93, .external_lex_state = 30},
  [3652] = {.lex_state = 93, .external_lex_state = 30},
  [3653] = {.lex_state = 89, .external_lex_state = 22},
  [3654] = {.lex_state = 89, .external_lex_state = 22},
  [3655] = {.lex_state = 89, .external_lex_state = 22},
  [3656] = {.lex_state = 116, .external_lex_state = 31},
  [3657] = {.lex_state = 89, .external_lex_state = 24},
  [3658] = {.lex_state = 89, .external_lex_state = 22},
  [3659] = {.lex_state = 93, .external_lex_state = 30},
  [3660] = {.lex_state = 93, .external_lex_state = 27},
  [3661] = {.lex_state = 89, .external_lex_state = 22},
  [3662] = {.lex_state = 93, .external_lex_state = 27},
  [3663] = {.lex_state = 93, .external_lex_state = 30},
  [3664] = {.lex_state = 89, .external_lex_state = 22},
  [3665] = {.lex_state = 89, .external_lex_state = 24},
  [3666] = {.lex_state = 93, .external_lex_state = 30},
  [3667] = {.lex_state = 93, .external_lex_state = 30},
  [3668] = {.lex_state = 93, .external_lex_state = 30},
  [3669] = {.lex_state = 93, .external_lex_state = 30},
  [3670] = {.lex_state = 93, .external_lex_state = 30},
  [3671] = {.lex_state = 89, .external_lex_state = 22},
  [3672] = {.lex_state = 89, .external_lex_state = 24},
  [3673] = {.lex_state = 90, .external_lex_state = 28},
  [3674] = {.lex_state = 89, .external_lex_state = 24},
  [3675] = {.lex_state = 93, .external_lex_state = 30},
  [3676] = {.lex_state = 93, .external_lex_state = 30},
  [3677] = {.lex_state = 93, .external_lex_state = 30},
  [3678] = {.lex_state = 93, .external_lex_state = 27},
  [3679] = {.lex_state = 93, .external_lex_state = 27},
  [3680] = {.lex_state = 89, .external_lex_state = 22},
  [3681] = {.lex_state = 89, .external_lex_state = 22},
  [3682] = {.lex_state = 89, .external_lex_state = 22},
  [3683] = {.lex_state = 89, .external_lex_state = 22},
  [3684] = {.lex_state = 89, .external_lex_state = 22},
  [3685] = {.lex_state = 93, .external_lex_state = 30},
  [3686] = {.lex_state = 89, .external_lex_state = 22},
  [3687] = {.lex_state = 93, .external_lex_state = 27},
  [3688] = {.lex_state = 89, .external_lex_state = 22},
  [3689] = {.lex_state = 89, .external_lex_state = 22},
  [3690] = {.lex_state = 93, .external_lex_state = 30},
  [3691] = {.lex_state = 89, .external_lex_state = 22},
  [3692] = {.lex_state = 89, .external_lex_state = 22},
  [3693] = {.lex_state = 89, .external_lex_state = 24},
  [3694] = {.lex_state = 90, .external_lex_state = 24},
  [3695] = {.lex_state = 90, .external_lex_state = 24},
  [3696] = {.lex_state = 90, .external_lex_state = 24},
  [3697] = {.lex_state = 89, .external_lex_state = 22},
  [3698] = {.lex_state = 90, .external_lex_state = 24},
  [3699] = {.lex_state = 90, .external_lex_state = 24},
  [3700] = {.lex_state = 90, .external_lex_state = 24},
  [3701] = {.lex_state = 89, .external_lex_state = 22},
  [3702] = {.lex_state = 89, .external_lex_state = 22},
  [3703] = {.lex_state = 90, .external_lex_state = 24},
  [3704] = {.lex_state = 93, .external_lex_state = 30},
  [3705] = {.lex_state = 93, .external_lex_state = 30},
  [3706] = {.lex_state = 90, .external_lex_state = 24},
  [3707] = {.lex_state = 90, .external_lex_state = 24},
  [3708] = {.lex_state = 93, .external_lex_state = 30},
  [3709] = {.lex_state = 93, .external_lex_state = 30},
  [3710] = {.lex_state = 90, .external_lex_state = 24},
  [3711] = {.lex_state = 90, .external_lex_state = 24},
  [3712] = {.lex_state = 89, .external_lex_state = 22},
  [3713] = {.lex_state = 89, .external_lex_state = 22},
  [3714] = {.lex_state = 93, .external_lex_state = 27},
  [3715] = {.lex_state = 90, .external_lex_state = 24},
  [3716] = {.lex_state = 89, .external_lex_state = 24},
  [3717] = {.lex_state = 89, .external_lex_state = 24},
  [3718] = {.lex_state = 93, .external_lex_state = 30},
  [3719] = {.lex_state = 90, .external_lex_state = 24},
  [3720] = {.lex_state = 93, .external_lex_state = 30},
  [3721] = {.lex_state = 93, .external_lex_state = 30},
  [3722] = {.lex_state = 93, .external_lex_state = 30},
  [3723] = {.lex_state = 90, .external_lex_state = 24},
  [3724] = {.lex_state = 93, .external_lex_state = 30},
  [3725] = {.lex_state = 93, .external_lex_state = 30},
  [3726] = {.lex_state = 93, .external_lex_state = 27},
  [3727] = {.lex_state = 93, .external_lex_state = 30},
  [3728] = {.lex_state = 89, .external_lex_state = 22},
  [3729] = {.lex_state = 93, .external_lex_state = 30},
  [3730] = {.lex_state = 93, .external_lex_state = 30},
  [3731] = {.lex_state = 93, .external_lex_state = 30},
  [3732] = {.lex_state = 93, .external_lex_state = 30},
  [3733] = {.lex_state = 89, .external_lex_state = 22},
  [3734] = {.lex_state = 93, .external_lex_state = 30},
  [3735] = {.lex_state = 93, .external_lex_state = 30},
  [3736] = {.lex_state = 89, .external_lex_state = 22},
  [3737] = {.lex_state = 89, .external_lex_state = 22},
  [3738] = {.lex_state = 93, .external_lex_state = 30},
  [3739] = {.lex_state = 93, .external_lex_state = 30},
  [3740] = {.lex_state = 93, .external_lex_state = 30},
  [3741] = {.lex_state = 93, .external_lex_state = 30},
  [3742] = {.lex_state = 93, .external_lex_state = 30},
  [3743] = {.lex_state = 93, .external_lex_state = 30},
  [3744] = {.lex_state = 93, .external_lex_state = 30},
  [3745] = {.lex_state = 89, .external_lex_state = 22},
  [3746] = {.lex_state = 89, .external_lex_state = 22},
  [3747] = {.lex_state = 89, .external_lex_state = 22},
  [3748] = {.lex_state = 89, .external_lex_state = 22},
  [3749] = {.lex_state = 93, .external_lex_state = 30},
  [3750] = {.lex_state = 93, .external_lex_state = 27},
  [3751] = {.lex_state = 89, .external_lex_state = 22},
  [3752] = {.lex_state = 89, .external_lex_state = 22},
  [3753] = {.lex_state = 93, .external_lex_state = 27},
  [3754] = {.lex_state = 93, .external_lex_state = 30},
  [3755] = {.lex_state = 93, .external_lex_state = 30},
  [3756] = {.lex_state = 93, .external_lex_state = 30},
  [3757] = {.lex_state = 89, .external_lex_state = 22},
  [3758] = {.lex_state = 89, .external_lex_state = 22},
  [3759] = {.lex_state = 89, .external_lex_state = 22},
  [3760] = {.lex_state = 89, .external_lex_state = 22},
  [3761] = {.lex_state = 93, .external_lex_state = 30},
  [3762] = {.lex_state = 93, .external_lex_state = 30},
  [3763] = {.lex_state = 93, .external_lex_state = 30},
  [3764] = {.lex_state = 93, .external_lex_state = 30},
  [3765] = {.lex_state = 93, .external_lex_state = 30},
  [3766] = {.lex_state = 93, .external_lex_state = 30},
  [3767] = {.lex_state = 93, .external_lex_state = 30},
  [3768] = {.lex_state = 89, .external_lex_state = 24},
  [3769] = {.lex_state = 93, .external_lex_state = 30},
  [3770] = {.lex_state = 89, .external_lex_state = 24},
  [3771] = {.lex_state = 90, .external_lex_state = 24},
  [3772] = {.lex_state = 93, .external_lex_state = 30},
  [3773] = {.lex_state = 93, .external_lex_state = 30},
  [3774] = {.lex_state = 89, .external_lex_state = 24},
  [3775] = {.lex_state = 89, .external_lex_state = 24},
  [3776] = {.lex_state = 93, .external_lex_state = 30},
  [3777] = {.lex_state = 93, .external_lex_state = 30},
  [3778] = {.lex_state = 89, .external_lex_state = 24},
  [3779] = {.lex_state = 89, .external_lex_state = 24},
  [3780] = {.lex_state = 89, .external_lex_state = 24},
  [3781] = {.lex_state = 89, .external_lex_state = 24},
  [3782] = {.lex_state = 89, .external_lex_state = 24},
  [3783] = {.lex_state = 93, .external_lex_state = 30},
  [3784] = {.lex_state = 89, .external_lex_state = 24},
  [3785] = {.lex_state = 89, .external_lex_state = 22},
  [3786] = {.lex_state = 89, .external_lex_state = 24},
  [3787] = {.lex_state = 89, .external_lex_state = 24},
  [3788] = {.lex_state = 90, .external_lex_state = 24},
  [3789] = {.lex_state = 93, .external_lex_state = 30},
  [3790] = {.lex_state = 89, .external_lex_state = 24},
  [3791] = {.lex_state = 90, .external_lex_state = 24},
  [3792] = {.lex_state = 93, .external_lex_state = 30},
  [3793] = {.lex_state = 90, .external_lex_state = 24},
  [3794] = {.lex_state = 90, .external_lex_state = 24},
  [3795] = {.lex_state = 93, .external_lex_state = 30},
  [3796] = {.lex_state = 90, .external_lex_state = 24},
  [3797] = {.lex_state = 90, .external_lex_state = 24},
  [3798] = {.lex_state = 90, .external_lex_state = 24},
  [3799] = {.lex_state = 93, .external_lex_state = 30},
  [3800] = {.lex_state = 93, .external_lex_state = 27},
  [3801] = {.lex_state = 90, .external_lex_state = 24},
  [3802] = {.lex_state = 90, .external_lex_state = 24},
  [3803] = {.lex_state = 90, .external_lex_state = 24},
  [3804] = {.lex_state = 93, .external_lex_state = 30},
  [3805] = {.lex_state = 90, .external_lex_state = 24},
  [3806] = {.lex_state = 93, .external_lex_state = 30},
  [3807] = {.lex_state = 93, .external_lex_state = 30},
  [3808] = {.lex_state = 90, .external_lex_state = 24},
  [3809] = {.lex_state = 89, .external_lex_state = 24},
  [3810] = {.lex_state = 93, .external_lex_state = 30},
  [3811] = {.lex_state = 89, .external_lex_state = 24},
  [3812] = {.lex_state = 89, .external_lex_state = 24},
  [3813] = {.lex_state = 89, .external_lex_state = 24},
  [3814] = {.lex_state = 90, .external_lex_state = 24},
  [3815] = {.lex_state = 90, .external_lex_state = 24},
  [3816] = {.lex_state = 89, .external_lex_state = 24},
  [3817] = {.lex_state = 90, .external_lex_state = 24},
  [3818] = {.lex_state = 90, .external_lex_state = 24},
  [3819] = {.lex_state = 93, .external_lex_state = 27},
  [3820] = {.lex_state = 93, .external_lex_state = 30},
  [3821] = {.lex_state = 93, .external_lex_state = 30},
  [3822] = {.lex_state = 93, .external_lex_state = 27},
  [3823] = {.lex_state = 90, .external_lex_state = 24},
  [3824] = {.lex_state = 90, .external_lex_state = 24},
  [3825] = {.lex_state = 93, .external_lex_state = 27},
  [3826] = {.lex_state = 93, .external_lex_state = 27},
  [3827] = {.lex_state = 90, .external_lex_state = 24},
  [3828] = {.lex_state = 90, .external_lex_state = 24},
  [3829] = {.lex_state = 90, .external_lex_state = 24},
  [3830] = {.lex_state = 93, .external_lex_state = 27},
  [3831] = {.lex_state = 90, .external_lex_state = 24},
  [3832] = {.lex_state = 93, .external_lex_state = 27},
  [3833] = {.lex_state = 90, .external_lex_state = 24},
  [3834] = {.lex_state = 90, .external_lex_state = 24},
  [3835] = {.lex_state = 90, .external_lex_state = 24},
  [3836] = {.lex_state = 93, .external_lex_state = 30},
  [3837] = {.lex_state = 90, .external_lex_state = 24},
  [3838] = {.lex_state = 90, .external_lex_state = 24},
  [3839] = {.lex_state = 90, .external_lex_state = 24},
  [3840] = {.lex_state = 90, .external_lex_state = 24},
  [3841] = {.lex_state = 93, .external_lex_state = 27},
  [3842] = {.lex_state = 90, .external_lex_state = 24},
  [3843] = {.lex_state = 90, .external_lex_state = 24},
  [3844] = {.lex_state = 93, .external_lex_state = 27},
  [3845] = {.lex_state = 90, .external_lex_state = 24},
  [3846] = {.lex_state = 90, .external_lex_state = 24},
  [3847] = {.lex_state = 93, .external_lex_state = 27},
  [3848] = {.lex_state = 93, .external_lex_state = 27},
  [3849] = {.lex_state = 90, .external_lex_state = 24},
  [3850] = {.lex_state = 90, .external_lex_state = 24},
  [3851] = {.lex_state = 90, .external_lex_state = 24},
  [3852] = {.lex_state = 93, .external_lex_state = 27},
  [3853] = {.lex_state = 93, .external_lex_state = 30},
  [3854] = {.lex_state = 90, .external_lex_state = 24},
  [3855] = {.lex_state = 90, .external_lex_state = 24},
  [3856] = {.lex_state = 90, .external_lex_state = 24},
  [3857] = {.lex_state = 90, .external_lex_state = 24},
  [3858] = {.lex_state = 93, .external_lex_state = 30},
  [3859] = {.lex_state = 90, .external_lex_state = 24},
  [3860] = {.lex_state = 90, .external_lex_state = 24},
  [3861] = {.lex_state = 93, .external_lex_state = 27},
  [3862] = {.lex_state = 90, .external_lex_state = 24},
  [3863] = {.lex_state = 90, .external_lex_state = 24},
  [3864] = {.lex_state = 90, .external_lex_state = 24},
  [3865] = {.lex_state = 90, .external_lex_state = 24},
  [3866] = {.lex_state = 90, .external_lex_state = 24},
  [3867] = {.lex_state = 93, .external_lex_state = 30},
  [3868] = {.lex_state = 93, .external_lex_state = 27},
  [3869] = {.lex_state = 93, .external_lex_state = 30},
  [3870] = {.lex_state = 93, .external_lex_state = 27},
  [3871] = {.lex_state = 90, .external_lex_state = 24},
  [3872] = {.lex_state = 93, .external_lex_state = 27},
  [3873] = {.lex_state = 93, .external_lex_state = 27},
  [3874] = {.lex_state = 93, .external_lex_state = 27},
  [3875] = {.lex_state = 93, .external_lex_state = 30},
  [3876] = {.lex_state = 93, .external_lex_state = 27},
  [3877] = {.lex_state = 90, .external_lex_state = 24},
  [3878] = {.lex_state = 93, .external_lex_state = 30},
  [3879] = {.lex_state = 90, .external_lex_state = 24},
  [3880] = {.lex_state = 93, .external_lex_state = 30},
  [3881] = {.lex_state = 93, .external_lex_state = 27},
  [3882] = {.lex_state = 90, .external_lex_state = 24},
  [3883] = {.lex_state = 93, .external_lex_state = 27},
  [3884] = {.lex_state = 93, .external_lex_state = 27},
  [3885] = {.lex_state = 93, .external_lex_state = 27},
  [3886] = {.lex_state = 93, .external_lex_state = 27},
  [3887] = {.lex_state = 90, .external_lex_state = 24},
  [3888] = {.lex_state = 93, .external_lex_state = 27},
  [3889] = {.lex_state = 93, .external_lex_state = 27},
  [3890] = {.lex_state = 93, .external_lex_state = 27},
  [3891] = {.lex_state = 93, .external_lex_state = 27},
  [3892] = {.lex_state = 90, .external_lex_state = 24},
  [3893] = {.lex_state = 90, .external_lex_state = 24},
  [3894] = {.lex_state = 90, .external_lex_state = 24},
  [3895] = {.lex_state = 93, .external_lex_state = 27},
  [3896] = {.lex_state = 93, .external_lex_state = 27},
  [3897] = {.lex_state = 93, .external_lex_state = 27},
  [3898] = {.lex_state = 90, .external_lex_state = 24},
  [3899] = {.lex_state = 93, .external_lex_state = 27},
  [3900] = {.lex_state = 90, .external_lex_state = 24},
  [3901] = {.lex_state = 90, .external_lex_state = 24},
  [3902] = {.lex_state = 90, .external_lex_state = 24},
  [3903] = {.lex_state = 93, .external_lex_state = 30},
  [3904] = {.lex_state = 90, .external_lex_state = 24},
  [3905] = {.lex_state = 93, .external_lex_state = 27},
  [3906] = {.lex_state = 93, .external_lex_state = 30},
  [3907] = {.lex_state = 93, .external_lex_state = 27},
  [3908] = {.lex_state = 93, .external_lex_state = 27},
  [3909] = {.lex_state = 90, .external_lex_state = 24},
  [3910] = {.lex_state = 90, .external_lex_state = 24},
  [3911] = {.lex_state = 93, .external_lex_state = 27},
  [3912] = {.lex_state = 93, .external_lex_state = 30},
  [3913] = {.lex_state = 93, .external_lex_state = 27},
  [3914] = {.lex_state = 90, .external_lex_state = 24},
  [3915] = {.lex_state = 93, .external_lex_state = 30},
  [3916] = {.lex_state = 93, .external_lex_state = 30},
  [3917] = {.lex_state = 90, .external_lex_state = 24},
  [3918] = {.lex_state = 93, .external_lex_state = 30},
  [3919] = {.lex_state = 93, .external_lex_state = 30},
  [3920] = {.lex_state = 93, .external_lex_state = 30},
  [3921] = {.lex_state = 93, .external_lex_state = 27},
  [3922] = {.lex_state = 93, .external_lex_state = 30},
  [3923] = {.lex_state = 93, .external_lex_state = 30},
  [3924] = {.lex_state = 93, .external_lex_state = 27},
  [3925] = {.lex_state = 93, .external_lex_state = 27},
  [3926] = {.lex_state = 93, .external_lex_state = 27},
  [3927] = {.lex_state = 93, .external_lex_state = 27},
  [3928] = {.lex_state = 93, .external_lex_state = 27},
  [3929] = {.lex_state = 93, .external_lex_state = 27},
  [3930] = {.lex_state = 93, .external_lex_state = 30},
  [3931] = {.lex_state = 93, .external_lex_state = 27},
  [3932] = {.lex_state = 93, .external_lex_state = 27},
  [3933] = {.lex_state = 93, .external_lex_state = 27},
  [3934] = {.lex_state = 93, .external_lex_state = 27},
  [3935] = {.lex_state = 93, .external_lex_state = 27},
  [3936] = {.lex_state = 93, .external_lex_state = 27},
  [3937] = {.lex_state = 93, .external_lex_state = 27},
  [3938] = {.lex_state = 93, .external_lex_state = 27},
  [3939] = {.lex_state = 93, .external_lex_state = 27},
  [3940] = {.lex_state = 93, .external_lex_state = 27},
  [3941] = {.lex_state = 93, .external_lex_state = 30},
  [3942] = {.lex_state = 93, .external_lex_state = 27},
  [3943] = {.lex_state = 93, .external_lex_state = 27},
  [3944] = {.lex_state = 93, .external_lex_state = 27},
  [3945] = {.lex_state = 93, .external_lex_state = 27},
  [3946] = {.lex_state = 93, .external_lex_state = 27},
  [3947] = {.lex_state = 93, .external_lex_state = 27},
  [3948] = {.lex_state = 93, .external_lex_state = 27},
  [3949] = {.lex_state = 90, .external_lex_state = 24},
  [3950] = {.lex_state = 93, .external_lex_state = 27},
  [3951] = {.lex_state = 93, .external_lex_state = 27},
  [3952] = {.lex_state = 93, .external_lex_state = 27},
  [3953] = {.lex_state = 93, .external_lex_state = 30},
  [3954] = {.lex_state = 93, .external_lex_state = 27},
  [3955] = {.lex_state = 93, .external_lex_state = 30},
  [3956] = {.lex_state = 90, .external_lex_state = 24},
  [3957] = {.lex_state = 90, .external_lex_state = 24},
  [3958] = {.lex_state = 93, .external_lex_state = 30},
  [3959] = {.lex_state = 90, .external_lex_state = 24},
  [3960] = {.lex_state = 90, .external_lex_state = 24},
  [3961] = {.lex_state = 93, .external_lex_state = 30},
  [3962] = {.lex_state = 93, .external_lex_state = 27},
  [3963] = {.lex_state = 90, .external_lex_state = 24},
  [3964] = {.lex_state = 93, .external_lex_state = 30},
  [3965] = {.lex_state = 90, .external_lex_state = 24},
  [3966] = {.lex_state = 90, .external_lex_state = 24},
  [3967] = {.lex_state = 90, .external_lex_state = 24},
  [3968] = {.lex_state = 89, .external_lex_state = 24},
  [3969] = {.lex_state = 93, .external_lex_state = 30},
  [3970] = {.lex_state = 90, .external_lex_state = 24},
  [3971] = {.lex_state = 93, .external_lex_state = 30},
  [3972] = {.lex_state = 90, .external_lex_state = 24},
  [3973] = {.lex_state = 90, .external_lex_state = 24},
  [3974] = {.lex_state = 90, .external_lex_state = 24},
  [3975] = {.lex_state = 90, .external_lex_state = 24},
  [3976] = {.lex_state = 90, .external_lex_state = 24},
  [3977] = {.lex_state = 93, .external_lex_state = 27},
  [3978] = {.lex_state = 93, .external_lex_state = 30},
  [3979] = {.lex_state = 90, .external_lex_state = 24},
  [3980] = {.lex_state = 90, .external_lex_state = 24},
  [3981] = {.lex_state = 90, .external_lex_state = 24},
  [3982] = {.lex_state = 90, .external_lex_state = 24},
  [3983] = {.lex_state = 90, .external_lex_state = 24},
  [3984] = {.lex_state = 93, .external_lex_state = 27},
  [3985] = {.lex_state = 90, .external_lex_state = 24},
  [3986] = {.lex_state = 93, .external_lex_state = 27},
  [3987] = {.lex_state = 93, .external_lex_state = 30},
  [3988] = {.lex_state = 93, .external_lex_state = 27},
  [3989] = {.lex_state = 93, .external_lex_state = 27},
  [3990] = {.lex_state = 93, .external_lex_state = 30},
  [3991] = {.lex_state = 93, .external_lex_state = 30},
  [3992] = {.lex_state = 93, .external_lex_state = 27},
  [3993] = {.lex_state = 93, .external_lex_state = 30},
  [3994] = {.lex_state = 93, .external_lex_state = 27},
  [3995] = {.lex_state = 93, .external_lex_state = 27},
  [3996] = {.lex_state = 93, .external_lex_state = 30},
  [3997] = {.lex_state = 93, .external_lex_state = 30},
  [3998] = {.lex_state = 93, .external_lex_state = 30},
  [3999] = {.lex_state = 93, .external_lex_state = 30},
  [4000] = {.lex_state = 93, .external_lex_state = 27},
  [4001] = {.lex_state = 93, .external_lex_state = 30},
  [4002] = {.lex_state = 93, .external_lex_state = 30},
  [4003] = {.lex_state = 93, .external_lex_state = 30},
  [4004] = {.lex_state = 93, .external_lex_state = 30},
  [4005] = {.lex_state = 93, .external_lex_state = 30},
  [4006] = {.lex_state = 93, .external_lex_state = 30},
  [4007] = {.lex_state = 93, .external_lex_state = 30},
  [4008] = {.lex_state = 93, .external_lex_state = 30},
  [4009] = {.lex_state = 93, .external_lex_state = 30},
  [4010] = {.lex_state = 93, .external_lex_state = 30},
  [4011] = {.lex_state = 93, .external_lex_state = 27},
  [4012] = {.lex_state = 93, .external_lex_state = 27},
  [4013] = {.lex_state = 93, .external_lex_state = 27},
  [4014] = {.lex_state = 93, .external_lex_state = 27},
  [4015] = {.lex_state = 93, .external_lex_state = 27},
  [4016] = {.lex_state = 93, .external_lex_state = 27},
  [4017] = {.lex_state = 93, .external_lex_state = 27},
  [4018] = {.lex_state = 93, .external_lex_state = 30},
  [4019] = {.lex_state = 93, .external_lex_state = 27},
  [4020] = {.lex_state = 93, .external_lex_state = 27},
  [4021] = {.lex_state = 93, .external_lex_state = 30},
  [4022] = {.lex_state = 93, .external_lex_state = 30},
  [4023] = {.lex_state = 93, .external_lex_state = 30},
  [4024] = {.lex_state = 93, .external_lex_state = 27},
  [4025] = {.lex_state = 93, .external_lex_state = 27},
  [4026] = {.lex_state = 93, .external_lex_state = 30},
  [4027] = {.lex_state = 93, .external_lex_state = 27},
  [4028] = {.lex_state = 93, .external_lex_state = 30},
  [4029] = {.lex_state = 93, .external_lex_state = 30},
  [4030] = {.lex_state = 93, .external_lex_state = 30},
  [4031] = {.lex_state = 108, .external_lex_state = 32},
  [4032] = {.lex_state = 93, .external_lex_state = 30},
  [4033] = {.lex_state = 93, .external_lex_state = 30},
  [4034] = {.lex_state = 89, .external_lex_state = 24},
  [4035] = {.lex_state = 93, .external_lex_state = 27},
  [4036] = {.lex_state = 93, .external_lex_state = 27},
  [4037] = {.lex_state = 93, .external_lex_state = 27},
  [4038] = {.lex_state = 93, .external_lex_state = 30},
  [4039] = {.lex_state = 93, .external_lex_state = 27},
  [4040] = {.lex_state = 93, .external_lex_state = 27},
  [4041] = {.lex_state = 93, .external_lex_state = 30},
  [4042] = {.lex_state = 93, .external_lex_state = 27},
  [4043] = {.lex_state = 93, .external_lex_state = 30},
  [4044] = {.lex_state = 93, .external_lex_state = 30},
  [4045] = {.lex_state = 93, .external_lex_state = 30},
  [4046] = {.lex_state = 93, .external_lex_state = 27},
  [4047] = {.lex_state = 93, .external_lex_state = 30},
  [4048] = {.lex_state = 93, .external_lex_state = 30},
  [4049] = {.lex_state = 93, .external_lex_state = 30},
  [4050] = {.lex_state = 93, .external_lex_state = 30},
  [4051] = {.lex_state = 93, .external_lex_state = 27},
  [4052] = {.lex_state = 93, .external_lex_state = 30},
  [4053] = {.lex_state = 93, .external_lex_state = 27},
  [4054] = {.lex_state = 93, .external_lex_state = 30},
  [4055] = {.lex_state = 93, .external_lex_state = 30},
  [4056] = {.lex_state = 93, .external_lex_state = 30},
  [4057] = {.lex_state = 93, .external_lex_state = 30},
  [4058] = {.lex_state = 93, .external_lex_state = 30},
  [4059] = {.lex_state = 93, .external_lex_state = 30},
  [4060] = {.lex_state = 93, .external_lex_state = 30},
  [4061] = {.lex_state = 105, .external_lex_state = 32},
  [4062] = {.lex_state = 93, .external_lex_state = 27},
  [4063] = {.lex_state = 93, .external_lex_state = 30},
  [4064] = {.lex_state = 93, .external_lex_state = 30},
  [4065] = {.lex_state = 93, .external_lex_state = 27},
  [4066] = {.lex_state = 93, .external_lex_state = 30},
  [4067] = {.lex_state = 93, .external_lex_state = 27},
  [4068] = {.lex_state = 93, .external_lex_state = 27},
  [4069] = {.lex_state = 93, .external_lex_state = 27},
  [4070] = {.lex_state = 105, .external_lex_state = 32},
  [4071] = {.lex_state = 93, .external_lex_state = 27},
  [4072] = {.lex_state = 93, .external_lex_state = 30},
  [4073] = {.lex_state = 93, .external_lex_state = 30},
  [4074] = {.lex_state = 93, .external_lex_state = 30},
  [4075] = {.lex_state = 93, .external_lex_state = 27},
  [4076] = {.lex_state = 93, .external_lex_state = 27},
  [4077] = {.lex_state = 93, .external_lex_state = 30},
  [4078] = {.lex_state = 93, .external_lex_state = 27},
  [4079] = {.lex_state = 93, .external_lex_state = 30},
  [4080] = {.lex_state = 93, .external_lex_state = 27},
  [4081] = {.lex_state = 93, .external_lex_state = 27},
  [4082] = {.lex_state = 93, .external_lex_state = 27},
  [4083] = {.lex_state = 93, .external_lex_state = 30},
  [4084] = {.lex_state = 93, .external_lex_state = 30},
  [4085] = {.lex_state = 93, .external_lex_state = 30},
  [4086] = {.lex_state = 93, .external_lex_state = 30},
  [4087] = {.lex_state = 93, .external_lex_state = 27},
  [4088] = {.lex_state = 93, .external_lex_state = 27},
  [4089] = {.lex_state = 93, .external_lex_state = 30},
  [4090] = {.lex_state = 93, .external_lex_state = 27},
  [4091] = {.lex_state = 93, .external_lex_state = 30},
  [4092] = {.lex_state = 93, .external_lex_state = 30},
  [4093] = {.lex_state = 93, .external_lex_state = 30},
  [4094] = {.lex_state = 93, .external_lex_state = 30},
  [4095] = {.lex_state = 93, .external_lex_state = 27},
  [4096] = {.lex_state = 93, .external_lex_state = 30},
  [4097] = {.lex_state = 93, .external_lex_state = 27},
  [4098] = {.lex_state = 93, .external_lex_state = 30},
  [4099] = {.lex_state = 93, .external_lex_state = 30},
  [4100] = {.lex_state = 93, .external_lex_state = 30},
  [4101] = {.lex_state = 93, .external_lex_state = 30},
  [4102] = {.lex_state = 93, .external_lex_state = 30},
  [4103] = {.lex_state = 93, .external_lex_state = 30},
  [4104] = {.lex_state = 93, .external_lex_state = 30},
  [4105] = {.lex_state = 232, .external_lex_state = 32},
  [4106] = {.lex_state = 93, .external_lex_state = 30},
  [4107] = {.lex_state = 93, .external_lex_state = 27},
  [4108] = {.lex_state = 93, .external_lex_state = 30},
  [4109] = {.lex_state = 93, .external_lex_state = 30},
  [4110] = {.lex_state = 93, .external_lex_state = 30},
  [4111] = {.lex_state = 93, .external_lex_state = 30},
  [4112] = {.lex_state = 93, .external_lex_state = 30},
  [4113] = {.lex_state = 93, .external_lex_state = 30},
  [4114] = {.lex_state = 93, .external_lex_state = 30},
  [4115] = {.lex_state = 93, .external_lex_state = 27},
  [4116] = {.lex_state = 93, .external_lex_state = 30},
  [4117] = {.lex_state = 93, .external_lex_state = 30},
  [4118] = {.lex_state = 93, .external_lex_state = 30},
  [4119] = {.lex_state = 93, .external_lex_state = 30},
  [4120] = {.lex_state = 93, .external_lex_state = 30},
  [4121] = {.lex_state = 93, .external_lex_state = 30},
  [4122] = {.lex_state = 93, .external_lex_state = 27},
  [4123] = {.lex_state = 93, .external_lex_state = 30},
  [4124] = {.lex_state = 93, .external_lex_state = 30},
  [4125] = {.lex_state = 93, .external_lex_state = 30},
  [4126] = {.lex_state = 93, .external_lex_state = 30},
  [4127] = {.lex_state = 93, .external_lex_state = 30},
  [4128] = {.lex_state = 93, .external_lex_state = 30},
  [4129] = {.lex_state = 93, .external_lex_state = 30},
  [4130] = {.lex_state = 93, .external_lex_state = 30},
  [4131] = {.lex_state = 93, .external_lex_state = 30},
  [4132] = {.lex_state = 93, .external_lex_state = 30},
  [4133] = {.lex_state = 93, .external_lex_state = 30},
  [4134] = {.lex_state = 93, .external_lex_state = 30},
  [4135] = {.lex_state = 93, .external_lex_state = 27},
  [4136] = {.lex_state = 93, .external_lex_state = 27},
  [4137] = {.lex_state = 93, .external_lex_state = 30},
  [4138] = {.lex_state = 93, .external_lex_state = 30},
  [4139] = {.lex_state = 93, .external_lex_state = 30},
  [4140] = {.lex_state = 93, .external_lex_state = 30},
  [4141] = {.lex_state = 93, .external_lex_state = 27},
  [4142] = {.lex_state = 93, .external_lex_state = 27},
  [4143] = {.lex_state = 93, .external_lex_state = 27},
  [4144] = {.lex_state = 93, .external_lex_state = 27},
  [4145] = {.lex_state = 93, .external_lex_state = 30},
  [4146] = {.lex_state = 93, .external_lex_state = 30},
  [4147] = {.lex_state = 93, .external_lex_state = 30},
  [4148] = {.lex_state = 93, .external_lex_state = 30},
  [4149] = {.lex_state = 226, .external_lex_state = 31},
  [4150] = {.lex_state = 93, .external_lex_state = 30},
  [4151] = {.lex_state = 93, .external_lex_state = 30},
  [4152] = {.lex_state = 93, .external_lex_state = 30},
  [4153] = {.lex_state = 93, .external_lex_state = 30},
  [4154] = {.lex_state = 93, .external_lex_state = 30},
  [4155] = {.lex_state = 93, .external_lex_state = 30},
  [4156] = {.lex_state = 93, .external_lex_state = 30},
  [4157] = {.lex_state = 226, .external_lex_state = 31},
  [4158] = {.lex_state = 93, .external_lex_state = 30},
  [4159] = {.lex_state = 93, .external_lex_state = 30},
  [4160] = {.lex_state = 93, .external_lex_state = 30},
  [4161] = {.lex_state = 93, .external_lex_state = 30},
  [4162] = {.lex_state = 93, .external_lex_state = 30},
  [4163] = {.lex_state = 93, .external_lex_state = 30},
  [4164] = {.lex_state = 225, .external_lex_state = 33},
  [4165] = {.lex_state = 93, .external_lex_state = 30},
  [4166] = {.lex_state = 93, .external_lex_state = 30},
  [4167] = {.lex_state = 93, .external_lex_state = 30},
  [4168] = {.lex_state = 93, .external_lex_state = 30},
  [4169] = {.lex_state = 93, .external_lex_state = 30},
  [4170] = {.lex_state = 93, .external_lex_state = 30},
  [4171] = {.lex_state = 93, .external_lex_state = 30},
  [4172] = {.lex_state = 93, .external_lex_state = 30},
  [4173] = {.lex_state = 93, .external_lex_state = 30},
  [4174] = {.lex_state = 93, .external_lex_state = 30},
  [4175] = {.lex_state = 93, .external_lex_state = 30},
  [4176] = {.lex_state = 93, .external_lex_state = 30},
  [4177] = {.lex_state = 93, .external_lex_state = 30},
  [4178] = {.lex_state = 93, .external_lex_state = 30},
  [4179] = {.lex_state = 93, .external_lex_state = 30},
  [4180] = {.lex_state = 93, .external_lex_state = 30},
  [4181] = {.lex_state = 93, .external_lex_state = 30},
  [4182] = {.lex_state = 93, .external_lex_state = 30},
  [4183] = {.lex_state = 93, .external_lex_state = 30},
  [4184] = {.lex_state = 93, .external_lex_state = 30},
  [4185] = {.lex_state = 93, .external_lex_state = 30},
  [4186] = {.lex_state = 93, .external_lex_state = 30},
  [4187] = {.lex_state = 93, .external_lex_state = 30},
  [4188] = {.lex_state = 93, .external_lex_state = 30},
  [4189] = {.lex_state = 93, .external_lex_state = 30},
  [4190] = {.lex_state = 93, .external_lex_state = 30},
  [4191] = {.lex_state = 93, .external_lex_state = 30},
  [4192] = {.lex_state = 93, .external_lex_state = 30},
  [4193] = {.lex_state = 93, .external_lex_state = 30},
  [4194] = {.lex_state = 93, .external_lex_state = 30},
  [4195] = {.lex_state = 93, .external_lex_state = 30},
  [4196] = {.lex_state = 93, .external_lex_state = 30},
  [4197] = {.lex_state = 93, .external_lex_state = 30},
  [4198] = {.lex_state = 93, .external_lex_state = 30},
  [4199] = {.lex_state = 93, .external_lex_state = 30},
  [4200] = {.lex_state = 93, .external_lex_state = 30},
  [4201] = {.lex_state = 93, .external_lex_state = 30},
  [4202] = {.lex_state = 93, .external_lex_state = 30},
  [4203] = {.lex_state = 93, .external_lex_state = 30},
  [4204] = {.lex_state = 93, .external_lex_state = 30},
  [4205] = {.lex_state = 93, .external_lex_state = 30},
  [4206] = {.lex_state = 93, .external_lex_state = 30},
  [4207] = {.lex_state = 93, .external_lex_state = 30},
  [4208] = {.lex_state = 227, .external_lex_state = 32},
  [4209] = {.lex_state = 93, .external_lex_state = 30},
  [4210] = {.lex_state = 227, .external_lex_state = 32},
  [4211] = {.lex_state = 93, .external_lex_state = 30},
  [4212] = {.lex_state = 93, .external_lex_state = 30},
  [4213] = {.lex_state = 93, .external_lex_state = 30},
  [4214] = {.lex_state = 227, .external_lex_state = 32},
  [4215] = {.lex_state = 233, .external_lex_state = 32},
  [4216] = {.lex_state = 93, .external_lex_state = 30},
  [4217] = {.lex_state = 227, .external_lex_state = 32},
  [4218] = {.lex_state = 93, .external_lex_state = 30},
  [4219] = {.lex_state = 93, .external_lex_state = 30},
  [4220] = {.lex_state = 93, .external_lex_state = 30},
  [4221] = {.lex_state = 93, .external_lex_state = 30},
  [4222] = {.lex_state = 93, .external_lex_state = 30},
  [4223] = {.lex_state = 93, .external_lex_state = 30},
  [4224] = {.lex_state = 227, .external_lex_state = 32},
  [4225] = {.lex_state = 93, .external_lex_state = 30},
  [4226] = {.lex_state = 227, .external_lex_state = 32},
  [4227] = {.lex_state = 227, .external_lex_state = 32},
  [4228] = {.lex_state = 93, .external_lex_state = 30},
  [4229] = {.lex_state = 93, .external_lex_state = 30},
  [4230] = {.lex_state = 227, .external_lex_state = 32},
  [4231] = {.lex_state = 93, .external_lex_state = 30},
  [4232] = {.lex_state = 93, .external_lex_state = 30},
  [4233] = {.lex_state = 227, .external_lex_state = 32},
  [4234] = {.lex_state = 227, .external_lex_state = 32},
  [4235] = {.lex_state = 227, .external_lex_state = 32},
  [4236] = {.lex_state = 93, .external_lex_state = 30},
  [4237] = {.lex_state = 93, .external_lex_state = 30},
  [4238] = {.lex_state = 93, .external_lex_state = 30},
  [4239] = {.lex_state = 93, .external_lex_state = 30},
  [4240] = {.lex_state = 93, .external_lex_state = 30},
  [4241] = {.lex_state = 93, .external_lex_state = 30},
  [4242] = {.lex_state = 93, .external_lex_state = 30},
  [4243] = {.lex_state = 93, .external_lex_state = 30},
  [4244] = {.lex_state = 93, .external_lex_state = 30},
  [4245] = {.lex_state = 93, .external_lex_state = 30},
  [4246] = {.lex_state = 233, .external_lex_state = 32},
  [4247] = {.lex_state = 93, .external_lex_state = 30},
  [4248] = {.lex_state = 93, .external_lex_state = 30},
  [4249] = {.lex_state = 93, .external_lex_state = 30},
  [4250] = {.lex_state = 93, .external_lex_state = 30},
  [4251] = {.lex_state = 93, .external_lex_state = 30},
  [4252] = {.lex_state = 93, .external_lex_state = 30},
  [4253] = {.lex_state = 93, .external_lex_state = 30},
  [4254] = {.lex_state = 93, .external_lex_state = 30},
  [4255] = {.lex_state = 93, .external_lex_state = 30},
  [4256] = {.lex_state = 93, .external_lex_state = 30},
  [4257] = {.lex_state = 93, .external_lex_state = 30},
  [4258] = {.lex_state = 231, .external_lex_state = 32},
  [4259] = {.lex_state = 93, .external_lex_state = 30},
  [4260] = {.lex_state = 93, .external_lex_state = 30},
  [4261] = {.lex_state = 93, .external_lex_state = 30},
  [4262] = {.lex_state = 93, .external_lex_state = 30},
  [4263] = {.lex_state = 93, .external_lex_state = 30},
  [4264] = {.lex_state = 93, .external_lex_state = 30},
  [4265] = {.lex_state = 231, .external_lex_state = 32},
  [4266] = {.lex_state = 93, .external_lex_state = 30},
  [4267] = {.lex_state = 93, .external_lex_state = 30},
  [4268] = {.lex_state = 93, .external_lex_state = 30},
  [4269] = {.lex_state = 93, .external_lex_state = 30},
  [4270] = {.lex_state = 93, .external_lex_state = 30},
  [4271] = {.lex_state = 93, .external_lex_state = 30},
  [4272] = {.lex_state = 93, .external_lex_state = 30},
  [4273] = {.lex_state = 93, .external_lex_state = 30},
  [4274] = {.lex_state = 93, .external_lex_state = 30},
  [4275] = {.lex_state = 93, .external_lex_state = 30},
  [4276] = {.lex_state = 93, .external_lex_state = 30},
  [4277] = {.lex_state = 93, .external_lex_state = 30},
  [4278] = {.lex_state = 93, .external_lex_state = 30},
  [4279] = {.lex_state = 93, .external_lex_state = 30},
  [4280] = {.lex_state = 93, .external_lex_state = 30},
  [4281] = {.lex_state = 93, .external_lex_state = 30},
  [4282] = {.lex_state = 93, .external_lex_state = 30},
  [4283] = {.lex_state = 227, .external_lex_state = 32},
  [4284] = {.lex_state = 93, .external_lex_state = 30},
  [4285] = {.lex_state = 93, .external_lex_state = 30},
  [4286] = {.lex_state = 231, .external_lex_state = 32},
  [4287] = {.lex_state = 231, .external_lex_state = 32},
  [4288] = {.lex_state = 93, .external_lex_state = 30},
  [4289] = {.lex_state = 93, .external_lex_state = 30},
  [4290] = {.lex_state = 93, .external_lex_state = 30},
  [4291] = {.lex_state = 93, .external_lex_state = 30},
  [4292] = {.lex_state = 93, .external_lex_state = 30},
  [4293] = {.lex_state = 93, .external_lex_state = 30},
  [4294] = {.lex_state = 231, .external_lex_state = 32},
  [4295] = {.lex_state = 93, .external_lex_state = 30},
  [4296] = {.lex_state = 93, .external_lex_state = 30},
  [4297] = {.lex_state = 227, .external_lex_state = 32},
  [4298] = {.lex_state = 227, .external_lex_state = 32},
  [4299] = {.lex_state = 93, .external_lex_state = 30},
  [4300] = {.lex_state = 227, .external_lex_state = 32},
  [4301] = {.lex_state = 227, .external_lex_state = 32},
  [4302] = {.lex_state = 93, .external_lex_state = 30},
  [4303] = {.lex_state = 93, .external_lex_state = 30},
  [4304] = {.lex_state = 93, .external_lex_state = 30},
  [4305] = {.lex_state = 93, .external_lex_state = 30},
  [4306] = {.lex_state = 93, .external_lex_state = 30},
  [4307] = {.lex_state = 93, .external_lex_state = 30},
  [4308] = {.lex_state = 93, .external_lex_state = 30},
  [4309] = {.lex_state = 93, .external_lex_state = 30},
  [4310] = {.lex_state = 93, .external_lex_state = 30},
  [4311] = {.lex_state = 232, .external_lex_state = 32},
  [4312] = {.lex_state = 232, .external_lex_state = 32},
  [4313] = {.lex_state = 232, .external_lex_state = 32},
  [4314] = {.lex_state = 232, .external_lex_state = 32},
  [4315] = {.lex_state = 232, .external_lex_state = 32},
  [4316] = {.lex_state = 232, .external_lex_state = 32},
  [4317] = {.lex_state = 232, .external_lex_state = 32},
  [4318] = {.lex_state = 232, .external_lex_state = 32},
  [4319] = {.lex_state = 232, .external_lex_state = 32},
  [4320] = {.lex_state = 232, .external_lex_state = 32},
  [4321] = {.lex_state = 232, .external_lex_state = 32},
  [4322] = {.lex_state = 232, .external_lex_state = 32},
  [4323] = {.lex_state = 232, .external_lex_state = 32},
  [4324] = {.lex_state = 232, .external_lex_state = 32},
  [4325] = {.lex_state = 232, .external_lex_state = 32},
  [4326] = {.lex_state = 232, .external_lex_state = 32},
  [4327] = {.lex_state = 232, .external_lex_state = 32},
  [4328] = {.lex_state = 232, .external_lex_state = 32},
  [4329] = {.lex_state = 232, .external_lex_state = 32},
  [4330] = {.lex_state = 232, .external_lex_state = 32},
  [4331] = {.lex_state = 232, .external_lex_state = 32},
  [4332] = {.lex_state = 232, .external_lex_state = 32},
  [4333] = {.lex_state = 232, .external_lex_state = 32},
  [4334] = {.lex_state = 232, .external_lex_state = 32},
  [4335] = {.lex_state = 232, .external_lex_state = 32},
  [4336] = {.lex_state = 232, .external_lex_state = 32},
  [4337] = {.lex_state = 232, .external_lex_state = 32},
  [4338] = {.lex_state = 232, .external_lex_state = 32},
  [4339] = {.lex_state = 232, .external_lex_state = 32},
  [4340] = {.lex_state = 232, .external_lex_state = 32},
  [4341] = {.lex_state = 232, .external_lex_state = 32},
  [4342] = {.lex_state = 232, .external_lex_state = 32},
  [4343] = {.lex_state = 232, .external_lex_state = 32},
  [4344] = {.lex_state = 232, .external_lex_state = 32},
  [4345] = {.lex_state = 232, .external_lex_state = 32},
  [4346] = {.lex_state = 232, .external_lex_state = 32},
  [4347] = {.lex_state = 232, .external_lex_state = 32},
  [4348] = {.lex_state = 232, .external_lex_state = 32},
  [4349] = {.lex_state = 232, .external_lex_state = 32},
  [4350] = {.lex_state = 232, .external_lex_state = 32},
  [4351] = {.lex_state = 232, .external_lex_state = 32},
  [4352] = {.lex_state = 232, .external_lex_state = 32},
  [4353] = {.lex_state = 232, .external_lex_state = 32},
  [4354] = {.lex_state = 232, .external_lex_state = 32},
  [4355] = {.lex_state = 232, .external_lex_state = 32},
  [4356] = {.lex_state = 232, .external_lex_state = 32},
  [4357] = {.lex_state = 232, .external_lex_state = 32},
  [4358] = {.lex_state = 232, .external_lex_state = 32},
  [4359] = {.lex_state = 232, .external_lex_state = 32},
  [4360] = {.lex_state = 232, .external_lex_state = 32},
  [4361] = {.lex_state = 232, .external_lex_state = 32},
  [4362] = {.lex_state = 232, .external_lex_state = 32},
  [4363] = {.lex_state = 115, .external_lex_state = 32},
  [4364] = {.lex_state = 227, .external_lex_state = 32},
  [4365] = {.lex_state = 227, .external_lex_state = 32},
  [4366] = {.lex_state = 227, .external_lex_state = 32},
  [4367] = {.lex_state = 227, .external_lex_state = 32},
  [4368] = {.lex_state = 232, .external_lex_state = 32},
  [4369] = {.lex_state = 232, .external_lex_state = 32},
  [4370] = {.lex_state = 104, .external_lex_state = 32},
  [4371] = {.lex_state = 232, .external_lex_state = 32},
  [4372] = {.lex_state = 232, .external_lex_state = 32},
  [4373] = {.lex_state = 232, .external_lex_state = 32},
  [4374] = {.lex_state = 232, .external_lex_state = 32},
  [4375] = {.lex_state = 232, .external_lex_state = 32},
  [4376] = {.lex_state = 232, .external_lex_state = 32},
  [4377] = {.lex_state = 232, .external_lex_state = 32},
  [4378] = {.lex_state = 232, .external_lex_state = 32},
  [4379] = {.lex_state = 232, .external_lex_state = 32},
  [4380] = {.lex_state = 232, .external_lex_state = 32},
  [4381] = {.lex_state = 232, .external_lex_state = 32},
  [4382] = {.lex_state = 232, .external_lex_state = 32},
  [4383] = {.lex_state = 232, .external_lex_state = 32},
  [4384] = {.lex_state = 232, .external_lex_state = 32},
  [4385] = {.lex_state = 232, .external_lex_state = 32},
  [4386] = {.lex_state = 232, .external_lex_state = 32},
  [4387] = {.lex_state = 232, .external_lex_state = 32},
  [4388] = {.lex_state = 232, .external_lex_state = 32},
  [4389] = {.lex_state = 232, .external_lex_state = 32},
  [4390] = {.lex_state = 232, .external_lex_state = 32},
  [4391] = {.lex_state = 102, .external_lex_state = 32},
  [4392] = {.lex_state = 108, .external_lex_state = 32},
  [4393] = {.lex_state = 108, .external_lex_state = 32},
  [4394] = {.lex_state = 116, .external_lex_state = 31},
  [4395] = {.lex_state = 116, .external_lex_state = 31},
  [4396] = {.lex_state = 232, .external_lex_state = 32},
  [4397] = {.lex_state = 232, .external_lex_state = 32},
  [4398] = {.lex_state = 232, .external_lex_state = 32},
  [4399] = {.lex_state = 232, .external_lex_state = 32},
  [4400] = {.lex_state = 108, .external_lex_state = 32},
  [4401] = {.lex_state = 108, .external_lex_state = 32},
  [4402] = {.lex_state = 108, .external_lex_state = 32},
  [4403] = {.lex_state = 108, .external_lex_state = 32},
  [4404] = {.lex_state = 232, .external_lex_state = 32},
  [4405] = {.lex_state = 108, .external_lex_state = 32},
  [4406] = {.lex_state = 232, .external_lex_state = 32},
  [4407] = {.lex_state = 232, .external_lex_state = 32},
  [4408] = {.lex_state = 232, .external_lex_state = 32},
  [4409] = {.lex_state = 232, .external_lex_state = 32},
  [4410] = {.lex_state = 232, .external_lex_state = 32},
  [4411] = {.lex_state = 232, .external_lex_state = 32},
  [4412] = {.lex_state = 102, .external_lex_state = 32},
  [4413] = {.lex_state = 111, .external_lex_state = 32},
  [4414] = {.lex_state = 232, .external_lex_state = 32},
  [4415] = {.lex_state = 232, .external_lex_state = 32},
  [4416] = {.lex_state = 232, .external_lex_state = 32},
  [4417] = {.lex_state = 232, .external_lex_state = 32},
  [4418] = {.lex_state = 232, .external_lex_state = 32},
  [4419] = {.lex_state = 232, .external_lex_state = 32},
  [4420] = {.lex_state = 232, .external_lex_state = 32},
  [4421] = {.lex_state = 232, .external_lex_state = 32},
  [4422] = {.lex_state = 104, .external_lex_state = 32},
  [4423] = {.lex_state = 232, .external_lex_state = 32},
  [4424] = {.lex_state = 232, .external_lex_state = 32},
  [4425] = {.lex_state = 102, .external_lex_state = 32},
  [4426] = {.lex_state = 232, .external_lex_state = 32},
  [4427] = {.lex_state = 232, .external_lex_state = 32},
  [4428] = {.lex_state = 232, .external_lex_state = 32},
  [4429] = {.lex_state = 232, .external_lex_state = 32},
  [4430] = {.lex_state = 102, .external_lex_state = 32},
  [4431] = {.lex_state = 232, .external_lex_state = 32},
  [4432] = {.lex_state = 232, .external_lex_state = 32},
  [4433] = {.lex_state = 232, .external_lex_state = 32},
  [4434] = {.lex_state = 232, .external_lex_state = 32},
  [4435] = {.lex_state = 232, .external_lex_state = 32},
  [4436] = {.lex_state = 232, .external_lex_state = 32},
  [4437] = {.lex_state = 232, .external_lex_state = 32},
  [4438] = {.lex_state = 232, .external_lex_state = 32},
  [4439] = {.lex_state = 232, .external_lex_state = 32},
  [4440] = {.lex_state = 232, .external_lex_state = 32},
  [4441] = {.lex_state = 232, .external_lex_state = 32},
  [4442] = {.lex_state = 232, .external_lex_state = 32},
  [4443] = {.lex_state = 232, .external_lex_state = 32},
  [4444] = {.lex_state = 232, .external_lex_state = 32},
  [4445] = {.lex_state = 232, .external_lex_state = 32},
  [4446] = {.lex_state = 102, .external_lex_state = 32},
  [4447] = {.lex_state = 116, .external_lex_state = 34},
  [4448] = {.lex_state = 116, .external_lex_state = 34},
  [4449] = {.lex_state = 116, .external_lex_state = 34},
  [4450] = {.lex_state = 116, .external_lex_state = 34},
  [4451] = {.lex_state = 102, .external_lex_state = 32},
  [4452] = {.lex_state = 102, .external_lex_state = 32},
  [4453] = {.lex_state = 102, .external_lex_state = 32},
  [4454] = {.lex_state = 102, .external_lex_state = 32},
  [4455] = {.lex_state = 102, .external_lex_state = 32},
  [4456] = {.lex_state = 102, .external_lex_state = 32},
  [4457] = {.lex_state = 102, .external_lex_state = 32},
  [4458] = {.lex_state = 102, .external_lex_state = 32},
  [4459] = {.lex_state = 102, .external_lex_state = 32},
  [4460] = {.lex_state = 102, .external_lex_state = 32},
  [4461] = {.lex_state = 102, .external_lex_state = 32},
  [4462] = {.lex_state = 102, .external_lex_state = 32},
  [4463] = {.lex_state = 102, .external_lex_state = 32},
  [4464] = {.lex_state = 102, .external_lex_state = 32},
  [4465] = {.lex_state = 108, .external_lex_state = 32},
  [4466] = {.lex_state = 108, .external_lex_state = 32},
  [4467] = {.lex_state = 108, .external_lex_state = 32},
  [4468] = {.lex_state = 108, .external_lex_state = 32},
  [4469] = {.lex_state = 108, .external_lex_state = 32},
  [4470] = {.lex_state = 108, .external_lex_state = 32},
  [4471] = {.lex_state = 108, .external_lex_state = 32},
  [4472] = {.lex_state = 108, .external_lex_state = 32},
  [4473] = {.lex_state = 108, .external_lex_state = 32},
  [4474] = {.lex_state = 102, .external_lex_state = 32},
  [4475] = {.lex_state = 108, .external_lex_state = 32},
  [4476] = {.lex_state = 108, .external_lex_state = 32},
  [4477] = {.lex_state = 108, .external_lex_state = 32},
  [4478] = {.lex_state = 108, .external_lex_state = 32},
  [4479] = {.lex_state = 102, .external_lex_state = 32},
  [4480] = {.lex_state = 231, .external_lex_state = 32},
  [4481] = {.lex_state = 108, .external_lex_state = 32},
  [4482] = {.lex_state = 108, .external_lex_state = 32},
  [4483] = {.lex_state = 108, .external_lex_state = 32},
  [4484] = {.lex_state = 108, .external_lex_state = 32},
  [4485] = {.lex_state = 108, .external_lex_state = 32},
  [4486] = {.lex_state = 108, .external_lex_state = 32},
  [4487] = {.lex_state = 108, .external_lex_state = 32},
  [4488] = {.lex_state = 108, .external_lex_state = 32},
  [4489] = {.lex_state = 232, .external_lex_state = 32},
  [4490] = {.lex_state = 108, .external_lex_state = 32},
  [4491] = {.lex_state = 108, .external_lex_state = 32},
  [4492] = {.lex_state = 108, .external_lex_state = 32},
  [4493] = {.lex_state = 104, .external_lex_state = 35},
  [4494] = {.lex_state = 232, .external_lex_state = 32},
  [4495] = {.lex_state = 232, .external_lex_state = 32},
  [4496] = {.lex_state = 102, .external_lex_state = 32},
  [4497] = {.lex_state = 102, .external_lex_state = 32},
  [4498] = {.lex_state = 232, .external_lex_state = 32},
  [4499] = {.lex_state = 104, .external_lex_state = 35},
  [4500] = {.lex_state = 232, .external_lex_state = 32},
  [4501] = {.lex_state = 104, .external_lex_state = 35},
  [4502] = {.lex_state = 104, .external_lex_state = 35},
  [4503] = {.lex_state = 104, .external_lex_state = 35},
  [4504] = {.lex_state = 233, .external_lex_state = 32},
  [4505] = {.lex_state = 232, .external_lex_state = 32},
  [4506] = {.lex_state = 104, .external_lex_state = 35},
  [4507] = {.lex_state = 232, .external_lex_state = 32},
  [4508] = {.lex_state = 102, .external_lex_state = 32},
  [4509] = {.lex_state = 104, .external_lex_state = 35},
  [4510] = {.lex_state = 232, .external_lex_state = 32},
  [4511] = {.lex_state = 104, .external_lex_state = 35},
  [4512] = {.lex_state = 102, .external_lex_state = 32},
  [4513] = {.lex_state = 104, .external_lex_state = 35},
  [4514] = {.lex_state = 232, .external_lex_state = 32},
  [4515] = {.lex_state = 102, .external_lex_state = 32},
  [4516] = {.lex_state = 232, .external_lex_state = 32},
  [4517] = {.lex_state = 102, .external_lex_state = 32},
  [4518] = {.lex_state = 102, .external_lex_state = 32},
  [4519] = {.lex_state = 119, .external_lex_state = 32},
  [4520] = {.lex_state = 102, .external_lex_state = 32},
  [4521] = {.lex_state = 102, .external_lex_state = 32},
  [4522] = {.lex_state = 102, .external_lex_state = 32},
  [4523] = {.lex_state = 104, .external_lex_state = 35},
  [4524] = {.lex_state = 232, .external_lex_state = 32},
  [4525] = {.lex_state = 102, .external_lex_state = 32},
  [4526] = {.lex_state = 102, .external_lex_state = 32},
  [4527] = {.lex_state = 102, .external_lex_state = 32},
  [4528] = {.lex_state = 104, .external_lex_state = 35},
  [4529] = {.lex_state = 102, .external_lex_state = 32},
  [4530] = {.lex_state = 232, .external_lex_state = 32},
  [4531] = {.lex_state = 102, .external_lex_state = 32},
  [4532] = {.lex_state = 104, .external_lex_state = 35},
  [4533] = {.lex_state = 233, .external_lex_state = 32},
  [4534] = {.lex_state = 232, .external_lex_state = 32},
  [4535] = {.lex_state = 102, .external_lex_state = 32},
  [4536] = {.lex_state = 104, .external_lex_state = 35},
  [4537] = {.lex_state = 227, .external_lex_state = 32},
  [4538] = {.lex_state = 102, .external_lex_state = 32},
  [4539] = {.lex_state = 102, .external_lex_state = 32},
  [4540] = {.lex_state = 116, .external_lex_state = 34},
  [4541] = {.lex_state = 104, .external_lex_state = 35},
  [4542] = {.lex_state = 232, .external_lex_state = 32},
  [4543] = {.lex_state = 104, .external_lex_state = 35},
  [4544] = {.lex_state = 102, .external_lex_state = 32},
  [4545] = {.lex_state = 102, .external_lex_state = 32},
  [4546] = {.lex_state = 102, .external_lex_state = 32},
  [4547] = {.lex_state = 116, .external_lex_state = 34},
  [4548] = {.lex_state = 102, .external_lex_state = 32},
  [4549] = {.lex_state = 104, .external_lex_state = 35},
  [4550] = {.lex_state = 232, .external_lex_state = 32},
  [4551] = {.lex_state = 102, .external_lex_state = 32},
  [4552] = {.lex_state = 232, .external_lex_state = 32},
  [4553] = {.lex_state = 232, .external_lex_state = 32},
  [4554] = {.lex_state = 232, .external_lex_state = 32},
  [4555] = {.lex_state = 102, .external_lex_state = 32},
  [4556] = {.lex_state = 104, .external_lex_state = 35},
  [4557] = {.lex_state = 104, .external_lex_state = 35},
  [4558] = {.lex_state = 232, .external_lex_state = 32},
  [4559] = {.lex_state = 232, .external_lex_state = 32},
  [4560] = {.lex_state = 232, .external_lex_state = 32},
  [4561] = {.lex_state = 232, .external_lex_state = 32},
  [4562] = {.lex_state = 104, .external_lex_state = 35},
  [4563] = {.lex_state = 232, .external_lex_state = 32},
  [4564] = {.lex_state = 232, .external_lex_state = 32},
  [4565] = {.lex_state = 232, .external_lex_state = 32},
  [4566] = {.lex_state = 232, .external_lex_state = 32},
  [4567] = {.lex_state = 232, .external_lex_state = 32},
  [4568] = {.lex_state = 115, .external_lex_state = 32},
  [4569] = {.lex_state = 232, .external_lex_state = 32},
  [4570] = {.lex_state = 102, .external_lex_state = 32},
  [4571] = {.lex_state = 232, .external_lex_state = 32},
  [4572] = {.lex_state = 104, .external_lex_state = 35},
  [4573] = {.lex_state = 102, .external_lex_state = 35},
  [4574] = {.lex_state = 102, .external_lex_state = 35},
  [4575] = {.lex_state = 232, .external_lex_state = 32},
  [4576] = {.lex_state = 232, .external_lex_state = 32},
  [4577] = {.lex_state = 104, .external_lex_state = 32},
  [4578] = {.lex_state = 232, .external_lex_state = 32},
  [4579] = {.lex_state = 232, .external_lex_state = 32},
  [4580] = {.lex_state = 111, .external_lex_state = 35},
  [4581] = {.lex_state = 111, .external_lex_state = 35},
  [4582] = {.lex_state = 111, .external_lex_state = 35},
  [4583] = {.lex_state = 112, .external_lex_state = 36},
  [4584] = {.lex_state = 102, .external_lex_state = 32},
  [4585] = {.lex_state = 111, .external_lex_state = 35},
  [4586] = {.lex_state = 111, .external_lex_state = 35},
  [4587] = {.lex_state = 111, .external_lex_state = 35},
  [4588] = {.lex_state = 112, .external_lex_state = 36},
  [4589] = {.lex_state = 115, .external_lex_state = 35},
  [4590] = {.lex_state = 112, .external_lex_state = 36},
  [4591] = {.lex_state = 111, .external_lex_state = 35},
  [4592] = {.lex_state = 115, .external_lex_state = 35},
  [4593] = {.lex_state = 111, .external_lex_state = 35},
  [4594] = {.lex_state = 232, .external_lex_state = 32},
  [4595] = {.lex_state = 111, .external_lex_state = 35},
  [4596] = {.lex_state = 111, .external_lex_state = 35},
  [4597] = {.lex_state = 111, .external_lex_state = 35},
  [4598] = {.lex_state = 115, .external_lex_state = 35},
  [4599] = {.lex_state = 111, .external_lex_state = 35},
  [4600] = {.lex_state = 111, .external_lex_state = 35},
  [4601] = {.lex_state = 115, .external_lex_state = 35},
  [4602] = {.lex_state = 115, .external_lex_state = 35},
  [4603] = {.lex_state = 111, .external_lex_state = 35},
  [4604] = {.lex_state = 104, .external_lex_state = 35},
  [4605] = {.lex_state = 115, .external_lex_state = 35},
  [4606] = {.lex_state = 111, .external_lex_state = 35},
  [4607] = {.lex_state = 111, .external_lex_state = 35},
  [4608] = {.lex_state = 104, .external_lex_state = 35},
  [4609] = {.lex_state = 232, .external_lex_state = 32},
  [4610] = {.lex_state = 102, .external_lex_state = 35},
  [4611] = {.lex_state = 102, .external_lex_state = 35},
  [4612] = {.lex_state = 102, .external_lex_state = 35},
  [4613] = {.lex_state = 102, .external_lex_state = 35},
  [4614] = {.lex_state = 102, .external_lex_state = 35},
  [4615] = {.lex_state = 102, .external_lex_state = 35},
  [4616] = {.lex_state = 102, .external_lex_state = 35},
  [4617] = {.lex_state = 102, .external_lex_state = 35},
  [4618] = {.lex_state = 102, .external_lex_state = 35},
  [4619] = {.lex_state = 102, .external_lex_state = 35},
  [4620] = {.lex_state = 102, .external_lex_state = 32},
  [4621] = {.lex_state = 102, .external_lex_state = 35},
  [4622] = {.lex_state = 102, .external_lex_state = 35},
  [4623] = {.lex_state = 102, .external_lex_state = 35},
  [4624] = {.lex_state = 102, .external_lex_state = 35},
  [4625] = {.lex_state = 102, .external_lex_state = 35},
  [4626] = {.lex_state = 102, .external_lex_state = 35},
  [4627] = {.lex_state = 102, .external_lex_state = 35},
  [4628] = {.lex_state = 102, .external_lex_state = 35},
  [4629] = {.lex_state = 102, .external_lex_state = 35},
  [4630] = {.lex_state = 102, .external_lex_state = 35},
  [4631] = {.lex_state = 102, .external_lex_state = 35},
  [4632] = {.lex_state = 102, .external_lex_state = 35},
  [4633] = {.lex_state = 102, .external_lex_state = 35},
  [4634] = {.lex_state = 102, .external_lex_state = 35},
  [4635] = {.lex_state = 102, .external_lex_state = 35},
  [4636] = {.lex_state = 104, .external_lex_state = 32},
  [4637] = {.lex_state = 102, .external_lex_state = 35},
  [4638] = {.lex_state = 102, .external_lex_state = 35},
  [4639] = {.lex_state = 102, .external_lex_state = 35},
  [4640] = {.lex_state = 102, .external_lex_state = 35},
  [4641] = {.lex_state = 102, .external_lex_state = 35},
  [4642] = {.lex_state = 102, .external_lex_state = 35},
  [4643] = {.lex_state = 102, .external_lex_state = 35},
  [4644] = {.lex_state = 102, .external_lex_state = 35},
  [4645] = {.lex_state = 102, .external_lex_state = 35},
  [4646] = {.lex_state = 102, .external_lex_state = 35},
  [4647] = {.lex_state = 102, .external_lex_state = 35},
  [4648] = {.lex_state = 102, .external_lex_state = 35},
  [4649] = {.lex_state = 111, .external_lex_state = 33},
  [4650] = {.lex_state = 102, .external_lex_state = 35},
  [4651] = {.lex_state = 102, .external_lex_state = 35},
  [4652] = {.lex_state = 102, .external_lex_state = 35},
  [4653] = {.lex_state = 115, .external_lex_state = 35},
  [4654] = {.lex_state = 102, .external_lex_state = 35},
  [4655] = {.lex_state = 102, .external_lex_state = 35},
  [4656] = {.lex_state = 102, .external_lex_state = 35},
  [4657] = {.lex_state = 102, .external_lex_state = 35},
  [4658] = {.lex_state = 111, .external_lex_state = 33},
  [4659] = {.lex_state = 102, .external_lex_state = 35},
  [4660] = {.lex_state = 102, .external_lex_state = 35},
  [4661] = {.lex_state = 102, .external_lex_state = 35},
  [4662] = {.lex_state = 232, .external_lex_state = 32},
  [4663] = {.lex_state = 104, .external_lex_state = 35},
  [4664] = {.lex_state = 102, .external_lex_state = 35},
  [4665] = {.lex_state = 102, .external_lex_state = 35},
  [4666] = {.lex_state = 102, .external_lex_state = 35},
  [4667] = {.lex_state = 102, .external_lex_state = 35},
  [4668] = {.lex_state = 102, .external_lex_state = 32},
  [4669] = {.lex_state = 102, .external_lex_state = 32},
  [4670] = {.lex_state = 102, .external_lex_state = 35},
  [4671] = {.lex_state = 102, .external_lex_state = 35},
  [4672] = {.lex_state = 102, .external_lex_state = 35},
  [4673] = {.lex_state = 102, .external_lex_state = 35},
  [4674] = {.lex_state = 110, .external_lex_state = 32},
  [4675] = {.lex_state = 232, .external_lex_state = 32},
  [4676] = {.lex_state = 232, .external_lex_state = 32},
  [4677] = {.lex_state = 232, .external_lex_state = 32},
  [4678] = {.lex_state = 237, .external_lex_state = 32},
  [4679] = {.lex_state = 232, .external_lex_state = 32},
  [4680] = {.lex_state = 102, .external_lex_state = 32},
  [4681] = {.lex_state = 102, .external_lex_state = 35},
  [4682] = {.lex_state = 232, .external_lex_state = 32},
  [4683] = {.lex_state = 102, .external_lex_state = 32},
  [4684] = {.lex_state = 232, .external_lex_state = 32},
  [4685] = {.lex_state = 102, .external_lex_state = 35},
  [4686] = {.lex_state = 102, .external_lex_state = 32},
  [4687] = {.lex_state = 232, .external_lex_state = 32},
  [4688] = {.lex_state = 232, .external_lex_state = 32},
  [4689] = {.lex_state = 232, .external_lex_state = 32},
  [4690] = {.lex_state = 232, .external_lex_state = 32},
  [4691] = {.lex_state = 232, .external_lex_state = 32},
  [4692] = {.lex_state = 104, .external_lex_state = 35},
  [4693] = {.lex_state = 102, .external_lex_state = 35},
  [4694] = {.lex_state = 102, .external_lex_state = 35},
  [4695] = {.lex_state = 112, .external_lex_state = 36},
  [4696] = {.lex_state = 102, .external_lex_state = 35},
  [4697] = {.lex_state = 102, .external_lex_state = 35},
  [4698] = {.lex_state = 232, .external_lex_state = 32},
  [4699] = {.lex_state = 102, .external_lex_state = 35},
  [4700] = {.lex_state = 102, .external_lex_state = 35},
  [4701] = {.lex_state = 116, .external_lex_state = 34},
  [4702] = {.lex_state = 112, .external_lex_state = 36},
  [4703] = {.lex_state = 232, .external_lex_state = 32},
  [4704] = {.lex_state = 112, .external_lex_state = 36},
  [4705] = {.lex_state = 232, .external_lex_state = 32},
  [4706] = {.lex_state = 116, .external_lex_state = 34},
  [4707] = {.lex_state = 102, .external_lex_state = 35},
  [4708] = {.lex_state = 102, .external_lex_state = 32},
  [4709] = {.lex_state = 116, .external_lex_state = 34},
  [4710] = {.lex_state = 102, .external_lex_state = 32},
  [4711] = {.lex_state = 102, .external_lex_state = 32},
  [4712] = {.lex_state = 102, .external_lex_state = 35},
  [4713] = {.lex_state = 102, .external_lex_state = 32},
  [4714] = {.lex_state = 102, .external_lex_state = 35},
  [4715] = {.lex_state = 102, .external_lex_state = 32},
  [4716] = {.lex_state = 102, .external_lex_state = 35},
  [4717] = {.lex_state = 108, .external_lex_state = 32},
  [4718] = {.lex_state = 102, .external_lex_state = 35},
  [4719] = {.lex_state = 102, .external_lex_state = 35},
  [4720] = {.lex_state = 102, .external_lex_state = 35},
  [4721] = {.lex_state = 102, .external_lex_state = 35},
  [4722] = {.lex_state = 102, .external_lex_state = 35},
  [4723] = {.lex_state = 102, .external_lex_state = 35},
  [4724] = {.lex_state = 116, .external_lex_state = 34},
  [4725] = {.lex_state = 112, .external_lex_state = 36},
  [4726] = {.lex_state = 102, .external_lex_state = 32},
  [4727] = {.lex_state = 102, .external_lex_state = 35},
  [4728] = {.lex_state = 102, .external_lex_state = 35},
  [4729] = {.lex_state = 102, .external_lex_state = 32},
  [4730] = {.lex_state = 111, .external_lex_state = 35},
  [4731] = {.lex_state = 102, .external_lex_state = 32},
  [4732] = {.lex_state = 111, .external_lex_state = 35},
  [4733] = {.lex_state = 112, .external_lex_state = 36},
  [4734] = {.lex_state = 112, .external_lex_state = 36},
  [4735] = {.lex_state = 102, .external_lex_state = 35},
  [4736] = {.lex_state = 102, .external_lex_state = 32},
  [4737] = {.lex_state = 102, .external_lex_state = 32},
  [4738] = {.lex_state = 102, .external_lex_state = 35},
  [4739] = {.lex_state = 102, .external_lex_state = 32},
  [4740] = {.lex_state = 112, .external_lex_state = 36},
  [4741] = {.lex_state = 111, .external_lex_state = 35},
  [4742] = {.lex_state = 111, .external_lex_state = 35},
  [4743] = {.lex_state = 102, .external_lex_state = 35},
  [4744] = {.lex_state = 112, .external_lex_state = 36},
  [4745] = {.lex_state = 102, .external_lex_state = 32},
  [4746] = {.lex_state = 102, .external_lex_state = 35},
  [4747] = {.lex_state = 104, .external_lex_state = 35},
  [4748] = {.lex_state = 102, .external_lex_state = 35},
  [4749] = {.lex_state = 232, .external_lex_state = 32},
  [4750] = {.lex_state = 232, .external_lex_state = 32},
  [4751] = {.lex_state = 116, .external_lex_state = 34},
  [4752] = {.lex_state = 232, .external_lex_state = 32},
  [4753] = {.lex_state = 102, .external_lex_state = 35},
  [4754] = {.lex_state = 232, .external_lex_state = 32},
  [4755] = {.lex_state = 232, .external_lex_state = 32},
  [4756] = {.lex_state = 102, .external_lex_state = 35},
  [4757] = {.lex_state = 111, .external_lex_state = 35},
  [4758] = {.lex_state = 112, .external_lex_state = 36},
  [4759] = {.lex_state = 232, .external_lex_state = 32},
  [4760] = {.lex_state = 102, .external_lex_state = 35},
  [4761] = {.lex_state = 102, .external_lex_state = 35},
  [4762] = {.lex_state = 102, .external_lex_state = 35},
  [4763] = {.lex_state = 102, .external_lex_state = 32},
  [4764] = {.lex_state = 102, .external_lex_state = 32},
  [4765] = {.lex_state = 102, .external_lex_state = 35},
  [4766] = {.lex_state = 102, .external_lex_state = 35},
  [4767] = {.lex_state = 102, .external_lex_state = 35},
  [4768] = {.lex_state = 102, .external_lex_state = 32},
  [4769] = {.lex_state = 102, .external_lex_state = 32},
  [4770] = {.lex_state = 111, .external_lex_state = 33},
  [4771] = {.lex_state = 111, .external_lex_state = 33},
  [4772] = {.lex_state = 102, .external_lex_state = 32},
  [4773] = {.lex_state = 102, .external_lex_state = 32},
  [4774] = {.lex_state = 102, .external_lex_state = 32},
  [4775] = {.lex_state = 102, .external_lex_state = 32},
  [4776] = {.lex_state = 102, .external_lex_state = 32},
  [4777] = {.lex_state = 102, .external_lex_state = 32},
  [4778] = {.lex_state = 102, .external_lex_state = 32},
  [4779] = {.lex_state = 102, .external_lex_state = 35},
  [4780] = {.lex_state = 102, .external_lex_state = 35},
  [4781] = {.lex_state = 104, .external_lex_state = 35},
  [4782] = {.lex_state = 102, .external_lex_state = 32},
  [4783] = {.lex_state = 102, .external_lex_state = 35},
  [4784] = {.lex_state = 102, .external_lex_state = 32},
  [4785] = {.lex_state = 102, .external_lex_state = 32},
  [4786] = {.lex_state = 102, .external_lex_state = 32},
  [4787] = {.lex_state = 102, .external_lex_state = 32},
  [4788] = {.lex_state = 102, .external_lex_state = 35},
  [4789] = {.lex_state = 102, .external_lex_state = 32},
  [4790] = {.lex_state = 102, .external_lex_state = 35},
  [4791] = {.lex_state = 111, .external_lex_state = 33},
  [4792] = {.lex_state = 111, .external_lex_state = 33},
  [4793] = {.lex_state = 110, .external_lex_state = 32},
  [4794] = {.lex_state = 111, .external_lex_state = 33},
  [4795] = {.lex_state = 111, .external_lex_state = 33},
  [4796] = {.lex_state = 102, .external_lex_state = 32},
  [4797] = {.lex_state = 102, .external_lex_state = 32},
  [4798] = {.lex_state = 102, .external_lex_state = 32},
  [4799] = {.lex_state = 102, .external_lex_state = 32},
  [4800] = {.lex_state = 111, .external_lex_state = 33},
  [4801] = {.lex_state = 102, .external_lex_state = 32},
  [4802] = {.lex_state = 111, .external_lex_state = 33},
  [4803] = {.lex_state = 102, .external_lex_state = 32},
  [4804] = {.lex_state = 102, .external_lex_state = 32},
  [4805] = {.lex_state = 102, .external_lex_state = 35},
  [4806] = {.lex_state = 111, .external_lex_state = 33},
  [4807] = {.lex_state = 111, .external_lex_state = 36},
  [4808] = {.lex_state = 102, .external_lex_state = 32},
  [4809] = {.lex_state = 102, .external_lex_state = 35},
  [4810] = {.lex_state = 102, .external_lex_state = 35},
  [4811] = {.lex_state = 102, .external_lex_state = 35},
  [4812] = {.lex_state = 100, .external_lex_state = 37},
  [4813] = {.lex_state = 102, .external_lex_state = 32},
  [4814] = {.lex_state = 102, .external_lex_state = 35},
  [4815] = {.lex_state = 102, .external_lex_state = 35},
  [4816] = {.lex_state = 102, .external_lex_state = 35},
  [4817] = {.lex_state = 100, .external_lex_state = 37},
  [4818] = {.lex_state = 102, .external_lex_state = 32},
  [4819] = {.lex_state = 100, .external_lex_state = 37},
  [4820] = {.lex_state = 100, .external_lex_state = 37},
  [4821] = {.lex_state = 102, .external_lex_state = 32},
  [4822] = {.lex_state = 102, .external_lex_state = 35},
  [4823] = {.lex_state = 102, .external_lex_state = 35},
  [4824] = {.lex_state = 100, .external_lex_state = 37},
  [4825] = {.lex_state = 100, .external_lex_state = 37},
  [4826] = {.lex_state = 102, .external_lex_state = 35},
  [4827] = {.lex_state = 100, .external_lex_state = 37},
  [4828] = {.lex_state = 102, .external_lex_state = 35},
  [4829] = {.lex_state = 100, .external_lex_state = 37},
  [4830] = {.lex_state = 100, .external_lex_state = 37},
  [4831] = {.lex_state = 102, .external_lex_state = 35},
  [4832] = {.lex_state = 102, .external_lex_state = 35},
  [4833] = {.lex_state = 102, .external_lex_state = 35},
  [4834] = {.lex_state = 102, .external_lex_state = 35},
  [4835] = {.lex_state = 100, .external_lex_state = 37},
  [4836] = {.lex_state = 102, .external_lex_state = 35},
  [4837] = {.lex_state = 102, .external_lex_state = 35},
  [4838] = {.lex_state = 102, .external_lex_state = 35},
  [4839] = {.lex_state = 102, .external_lex_state = 35},
  [4840] = {.lex_state = 102, .external_lex_state = 35},
  [4841] = {.lex_state = 100, .external_lex_state = 37},
  [4842] = {.lex_state = 102, .external_lex_state = 35},
  [4843] = {.lex_state = 102, .external_lex_state = 35},
  [4844] = {.lex_state = 100, .external_lex_state = 37},
  [4845] = {.lex_state = 100, .external_lex_state = 37},
  [4846] = {.lex_state = 102, .external_lex_state = 35},
  [4847] = {.lex_state = 102, .external_lex_state = 35},
  [4848] = {.lex_state = 102, .external_lex_state = 35},
  [4849] = {.lex_state = 100, .external_lex_state = 37},
  [4850] = {.lex_state = 102, .external_lex_state = 32},
  [4851] = {.lex_state = 100, .external_lex_state = 37},
  [4852] = {.lex_state = 102, .external_lex_state = 35},
  [4853] = {.lex_state = 100, .external_lex_state = 37},
  [4854] = {.lex_state = 100, .external_lex_state = 37},
  [4855] = {.lex_state = 102, .external_lex_state = 35},
  [4856] = {.lex_state = 102, .external_lex_state = 35},
  [4857] = {.lex_state = 102, .external_lex_state = 35},
  [4858] = {.lex_state = 100, .external_lex_state = 37},
  [4859] = {.lex_state = 102, .external_lex_state = 35},
  [4860] = {.lex_state = 102, .external_lex_state = 35},
  [4861] = {.lex_state = 100, .external_lex_state = 37},
  [4862] = {.lex_state = 100, .external_lex_state = 37},
  [4863] = {.lex_state = 102, .external_lex_state = 32},
  [4864] = {.lex_state = 102, .external_lex_state = 35},
  [4865] = {.lex_state = 102, .external_lex_state = 35},
  [4866] = {.lex_state = 102, .external_lex_state = 35},
  [4867] = {.lex_state = 100, .external_lex_state = 37},
  [4868] = {.lex_state = 100, .external_lex_state = 37},
  [4869] = {.lex_state = 102, .external_lex_state = 35},
  [4870] = {.lex_state = 102, .external_lex_state = 32},
  [4871] = {.lex_state = 111, .external_lex_state = 36},
  [4872] = {.lex_state = 102, .external_lex_state = 35},
  [4873] = {.lex_state = 100, .external_lex_state = 37},
  [4874] = {.lex_state = 100, .external_lex_state = 37},
  [4875] = {.lex_state = 102, .external_lex_state = 35},
  [4876] = {.lex_state = 112, .external_lex_state = 36},
  [4877] = {.lex_state = 100, .external_lex_state = 37},
  [4878] = {.lex_state = 100, .external_lex_state = 37},
  [4879] = {.lex_state = 102, .external_lex_state = 35},
  [4880] = {.lex_state = 102, .external_lex_state = 35},
  [4881] = {.lex_state = 102, .external_lex_state = 35},
  [4882] = {.lex_state = 102, .external_lex_state = 35},
  [4883] = {.lex_state = 102, .external_lex_state = 32},
  [4884] = {.lex_state = 100, .external_lex_state = 37},
  [4885] = {.lex_state = 111, .external_lex_state = 36},
  [4886] = {.lex_state = 102, .external_lex_state = 35},
  [4887] = {.lex_state = 102, .external_lex_state = 35},
  [4888] = {.lex_state = 102, .external_lex_state = 35},
  [4889] = {.lex_state = 102, .external_lex_state = 35},
  [4890] = {.lex_state = 112, .external_lex_state = 36},
  [4891] = {.lex_state = 112, .external_lex_state = 36},
  [4892] = {.lex_state = 102, .external_lex_state = 35},
  [4893] = {.lex_state = 111, .external_lex_state = 36},
  [4894] = {.lex_state = 102, .external_lex_state = 35},
  [4895] = {.lex_state = 112, .external_lex_state = 36},
  [4896] = {.lex_state = 100, .external_lex_state = 37},
  [4897] = {.lex_state = 102, .external_lex_state = 35},
  [4898] = {.lex_state = 100, .external_lex_state = 37},
  [4899] = {.lex_state = 102, .external_lex_state = 35},
  [4900] = {.lex_state = 100, .external_lex_state = 37},
  [4901] = {.lex_state = 102, .external_lex_state = 32},
  [4902] = {.lex_state = 102, .external_lex_state = 32},
  [4903] = {.lex_state = 102, .external_lex_state = 35},
  [4904] = {.lex_state = 100, .external_lex_state = 37},
  [4905] = {.lex_state = 102, .external_lex_state = 35},
  [4906] = {.lex_state = 102, .external_lex_state = 35},
  [4907] = {.lex_state = 102, .external_lex_state = 35},
  [4908] = {.lex_state = 102, .external_lex_state = 35},
  [4909] = {.lex_state = 100, .external_lex_state = 37},
  [4910] = {.lex_state = 102, .external_lex_state = 35},
  [4911] = {.lex_state = 100, .external_lex_state = 37},
  [4912] = {.lex_state = 102, .external_lex_state = 35},
  [4913] = {.lex_state = 102, .external_lex_state = 35},
  [4914] = {.lex_state = 111, .external_lex_state = 36},
  [4915] = {.lex_state = 100, .external_lex_state = 37},
  [4916] = {.lex_state = 102, .external_lex_state = 35},
  [4917] = {.lex_state = 111, .external_lex_state = 36},
  [4918] = {.lex_state = 100, .external_lex_state = 37},
  [4919] = {.lex_state = 102, .external_lex_state = 35},
  [4920] = {.lex_state = 100, .external_lex_state = 37},
  [4921] = {.lex_state = 102, .external_lex_state = 35},
  [4922] = {.lex_state = 100, .external_lex_state = 37},
  [4923] = {.lex_state = 102, .external_lex_state = 35},
  [4924] = {.lex_state = 102, .external_lex_state = 35},
  [4925] = {.lex_state = 102, .external_lex_state = 35},
  [4926] = {.lex_state = 102, .external_lex_state = 35},
  [4927] = {.lex_state = 111, .external_lex_state = 36},
  [4928] = {.lex_state = 102, .external_lex_state = 35},
  [4929] = {.lex_state = 112, .external_lex_state = 36},
  [4930] = {.lex_state = 102, .external_lex_state = 35},
  [4931] = {.lex_state = 102, .external_lex_state = 32},
  [4932] = {.lex_state = 102, .external_lex_state = 35},
  [4933] = {.lex_state = 102, .external_lex_state = 35},
  [4934] = {.lex_state = 102, .external_lex_state = 35},
  [4935] = {.lex_state = 102, .external_lex_state = 35},
  [4936] = {.lex_state = 100, .external_lex_state = 37},
  [4937] = {.lex_state = 100, .external_lex_state = 37},
  [4938] = {.lex_state = 102, .external_lex_state = 35},
  [4939] = {.lex_state = 100, .external_lex_state = 37},
  [4940] = {.lex_state = 100, .external_lex_state = 37},
  [4941] = {.lex_state = 100, .external_lex_state = 37},
  [4942] = {.lex_state = 100, .external_lex_state = 37},
  [4943] = {.lex_state = 102, .external_lex_state = 35},
  [4944] = {.lex_state = 102, .external_lex_state = 35},
  [4945] = {.lex_state = 112, .external_lex_state = 36},
  [4946] = {.lex_state = 112, .external_lex_state = 36},
  [4947] = {.lex_state = 102, .external_lex_state = 35},
  [4948] = {.lex_state = 101, .external_lex_state = 37},
  [4949] = {.lex_state = 101, .external_lex_state = 37},
  [4950] = {.lex_state = 101, .external_lex_state = 37},
  [4951] = {.lex_state = 215, .external_lex_state = 35},
  [4952] = {.lex_state = 101, .external_lex_state = 37},
  [4953] = {.lex_state = 101, .external_lex_state = 37},
  [4954] = {.lex_state = 101, .external_lex_state = 37},
  [4955] = {.lex_state = 215, .external_lex_state = 35},
  [4956] = {.lex_state = 102, .external_lex_state = 32},
  [4957] = {.lex_state = 101, .external_lex_state = 37},
  [4958] = {.lex_state = 101, .external_lex_state = 37},
  [4959] = {.lex_state = 102, .external_lex_state = 35},
  [4960] = {.lex_state = 101, .external_lex_state = 37},
  [4961] = {.lex_state = 101, .external_lex_state = 37},
  [4962] = {.lex_state = 215, .external_lex_state = 35},
  [4963] = {.lex_state = 101, .external_lex_state = 37},
  [4964] = {.lex_state = 215, .external_lex_state = 35},
  [4965] = {.lex_state = 111, .external_lex_state = 33},
  [4966] = {.lex_state = 215, .external_lex_state = 35},
  [4967] = {.lex_state = 101, .external_lex_state = 37},
  [4968] = {.lex_state = 102, .external_lex_state = 35},
  [4969] = {.lex_state = 102, .external_lex_state = 35},
  [4970] = {.lex_state = 215, .external_lex_state = 35},
  [4971] = {.lex_state = 101, .external_lex_state = 37},
  [4972] = {.lex_state = 101, .external_lex_state = 38},
  [4973] = {.lex_state = 215, .external_lex_state = 35},
  [4974] = {.lex_state = 101, .external_lex_state = 37},
  [4975] = {.lex_state = 101, .external_lex_state = 37},
  [4976] = {.lex_state = 215, .external_lex_state = 35},
  [4977] = {.lex_state = 101, .external_lex_state = 37},
  [4978] = {.lex_state = 101, .external_lex_state = 37},
  [4979] = {.lex_state = 102, .external_lex_state = 32},
  [4980] = {.lex_state = 101, .external_lex_state = 37},
  [4981] = {.lex_state = 101, .external_lex_state = 37},
  [4982] = {.lex_state = 102, .external_lex_state = 32},
  [4983] = {.lex_state = 101, .external_lex_state = 37},
  [4984] = {.lex_state = 102, .external_lex_state = 35},
  [4985] = {.lex_state = 101, .external_lex_state = 37},
  [4986] = {.lex_state = 101, .external_lex_state = 38},
  [4987] = {.lex_state = 215, .external_lex_state = 35},
  [4988] = {.lex_state = 215, .external_lex_state = 35},
  [4989] = {.lex_state = 101, .external_lex_state = 37},
  [4990] = {.lex_state = 215, .external_lex_state = 35},
  [4991] = {.lex_state = 215, .external_lex_state = 35},
  [4992] = {.lex_state = 215, .external_lex_state = 35},
  [4993] = {.lex_state = 101, .external_lex_state = 37},
  [4994] = {.lex_state = 101, .external_lex_state = 37},
  [4995] = {.lex_state = 215, .external_lex_state = 35},
  [4996] = {.lex_state = 101, .external_lex_state = 37},
  [4997] = {.lex_state = 101, .external_lex_state = 37},
  [4998] = {.lex_state = 101, .external_lex_state = 37},
  [4999] = {.lex_state = 215, .external_lex_state = 35},
  [5000] = {.lex_state = 215, .external_lex_state = 35},
  [5001] = {.lex_state = 101, .external_lex_state = 37},
  [5002] = {.lex_state = 215, .external_lex_state = 35},
  [5003] = {.lex_state = 101, .external_lex_state = 37},
  [5004] = {.lex_state = 101, .external_lex_state = 37},
  [5005] = {.lex_state = 215, .external_lex_state = 35},
  [5006] = {.lex_state = 215, .external_lex_state = 35},
  [5007] = {.lex_state = 101, .external_lex_state = 37},
  [5008] = {.lex_state = 102, .external_lex_state = 32},
  [5009] = {.lex_state = 101, .external_lex_state = 37},
  [5010] = {.lex_state = 101, .external_lex_state = 37},
  [5011] = {.lex_state = 101, .external_lex_state = 37},
  [5012] = {.lex_state = 215, .external_lex_state = 35},
  [5013] = {.lex_state = 215, .external_lex_state = 35},
  [5014] = {.lex_state = 215, .external_lex_state = 35},
  [5015] = {.lex_state = 215, .external_lex_state = 35},
  [5016] = {.lex_state = 101, .external_lex_state = 37},
  [5017] = {.lex_state = 101, .external_lex_state = 37},
  [5018] = {.lex_state = 111, .external_lex_state = 33},
  [5019] = {.lex_state = 101, .external_lex_state = 37},
  [5020] = {.lex_state = 101, .external_lex_state = 37},
  [5021] = {.lex_state = 111, .external_lex_state = 36},
  [5022] = {.lex_state = 101, .external_lex_state = 37},
  [5023] = {.lex_state = 101, .external_lex_state = 37},
  [5024] = {.lex_state = 111, .external_lex_state = 33},
  [5025] = {.lex_state = 101, .external_lex_state = 37},
  [5026] = {.lex_state = 101, .external_lex_state = 37},
  [5027] = {.lex_state = 102, .external_lex_state = 32},
  [5028] = {.lex_state = 215, .external_lex_state = 35},
  [5029] = {.lex_state = 226, .external_lex_state = 39},
  [5030] = {.lex_state = 101, .external_lex_state = 37},
  [5031] = {.lex_state = 215, .external_lex_state = 35},
  [5032] = {.lex_state = 102, .external_lex_state = 35},
  [5033] = {.lex_state = 215, .external_lex_state = 35},
  [5034] = {.lex_state = 101, .external_lex_state = 37},
  [5035] = {.lex_state = 101, .external_lex_state = 37},
  [5036] = {.lex_state = 215, .external_lex_state = 35},
  [5037] = {.lex_state = 101, .external_lex_state = 37},
  [5038] = {.lex_state = 215, .external_lex_state = 35},
  [5039] = {.lex_state = 226, .external_lex_state = 39},
  [5040] = {.lex_state = 215, .external_lex_state = 35},
  [5041] = {.lex_state = 215, .external_lex_state = 35},
  [5042] = {.lex_state = 215, .external_lex_state = 35},
  [5043] = {.lex_state = 101, .external_lex_state = 37},
  [5044] = {.lex_state = 101, .external_lex_state = 37},
  [5045] = {.lex_state = 101, .external_lex_state = 37},
  [5046] = {.lex_state = 101, .external_lex_state = 37},
  [5047] = {.lex_state = 101, .external_lex_state = 37},
  [5048] = {.lex_state = 101, .external_lex_state = 37},
  [5049] = {.lex_state = 111, .external_lex_state = 33},
  [5050] = {.lex_state = 111, .external_lex_state = 33},
  [5051] = {.lex_state = 101, .external_lex_state = 37},
  [5052] = {.lex_state = 101, .external_lex_state = 37},
  [5053] = {.lex_state = 101, .external_lex_state = 37},
  [5054] = {.lex_state = 101, .external_lex_state = 37},
  [5055] = {.lex_state = 101, .external_lex_state = 37},
  [5056] = {.lex_state = 215, .external_lex_state = 35},
  [5057] = {.lex_state = 215, .external_lex_state = 35},
  [5058] = {.lex_state = 101, .external_lex_state = 37},
  [5059] = {.lex_state = 101, .external_lex_state = 37},
  [5060] = {.lex_state = 215, .external_lex_state = 35},
  [5061] = {.lex_state = 215, .external_lex_state = 35},
  [5062] = {.lex_state = 101, .external_lex_state = 37},
  [5063] = {.lex_state = 101, .external_lex_state = 37},
  [5064] = {.lex_state = 101, .external_lex_state = 37},
  [5065] = {.lex_state = 215, .external_lex_state = 35},
  [5066] = {.lex_state = 101, .external_lex_state = 37},
  [5067] = {.lex_state = 101, .external_lex_state = 37},
  [5068] = {.lex_state = 215, .external_lex_state = 35},
  [5069] = {.lex_state = 215, .external_lex_state = 35},
  [5070] = {.lex_state = 101, .external_lex_state = 37},
  [5071] = {.lex_state = 102, .external_lex_state = 35},
  [5072] = {.lex_state = 102, .external_lex_state = 32},
  [5073] = {.lex_state = 101, .external_lex_state = 37},
  [5074] = {.lex_state = 101, .external_lex_state = 37},
  [5075] = {.lex_state = 101, .external_lex_state = 37},
  [5076] = {.lex_state = 101, .external_lex_state = 37},
  [5077] = {.lex_state = 101, .external_lex_state = 37},
  [5078] = {.lex_state = 101, .external_lex_state = 37},
  [5079] = {.lex_state = 101, .external_lex_state = 37},
  [5080] = {.lex_state = 102, .external_lex_state = 32},
  [5081] = {.lex_state = 101, .external_lex_state = 37},
  [5082] = {.lex_state = 101, .external_lex_state = 37},
  [5083] = {.lex_state = 101, .external_lex_state = 37},
  [5084] = {.lex_state = 215, .external_lex_state = 35},
  [5085] = {.lex_state = 111, .external_lex_state = 33},
  [5086] = {.lex_state = 101, .external_lex_state = 37},
  [5087] = {.lex_state = 101, .external_lex_state = 37},
  [5088] = {.lex_state = 215, .external_lex_state = 35},
  [5089] = {.lex_state = 101, .external_lex_state = 37},
  [5090] = {.lex_state = 215, .external_lex_state = 35},
  [5091] = {.lex_state = 101, .external_lex_state = 37},
  [5092] = {.lex_state = 102, .external_lex_state = 32},
  [5093] = {.lex_state = 215, .external_lex_state = 35},
  [5094] = {.lex_state = 101, .external_lex_state = 37},
  [5095] = {.lex_state = 215, .external_lex_state = 35},
  [5096] = {.lex_state = 101, .external_lex_state = 38},
  [5097] = {.lex_state = 101, .external_lex_state = 37},
  [5098] = {.lex_state = 101, .external_lex_state = 37},
  [5099] = {.lex_state = 226, .external_lex_state = 39},
  [5100] = {.lex_state = 215, .external_lex_state = 35},
  [5101] = {.lex_state = 101, .external_lex_state = 37},
  [5102] = {.lex_state = 101, .external_lex_state = 37},
  [5103] = {.lex_state = 215, .external_lex_state = 35},
  [5104] = {.lex_state = 101, .external_lex_state = 37},
  [5105] = {.lex_state = 101, .external_lex_state = 37},
  [5106] = {.lex_state = 215, .external_lex_state = 35},
  [5107] = {.lex_state = 101, .external_lex_state = 37},
  [5108] = {.lex_state = 215, .external_lex_state = 35},
  [5109] = {.lex_state = 101, .external_lex_state = 40},
  [5110] = {.lex_state = 102, .external_lex_state = 35},
  [5111] = {.lex_state = 226, .external_lex_state = 36},
  [5112] = {.lex_state = 102, .external_lex_state = 35},
  [5113] = {.lex_state = 100, .external_lex_state = 37},
  [5114] = {.lex_state = 102, .external_lex_state = 35},
  [5115] = {.lex_state = 226, .external_lex_state = 36},
  [5116] = {.lex_state = 102, .external_lex_state = 35},
  [5117] = {.lex_state = 102, .external_lex_state = 35},
  [5118] = {.lex_state = 102, .external_lex_state = 35},
  [5119] = {.lex_state = 102, .external_lex_state = 35},
  [5120] = {.lex_state = 102, .external_lex_state = 35},
  [5121] = {.lex_state = 102, .external_lex_state = 35},
  [5122] = {.lex_state = 100, .external_lex_state = 37},
  [5123] = {.lex_state = 102, .external_lex_state = 35},
  [5124] = {.lex_state = 102, .external_lex_state = 32},
  [5125] = {.lex_state = 226, .external_lex_state = 36},
  [5126] = {.lex_state = 102, .external_lex_state = 32},
  [5127] = {.lex_state = 102, .external_lex_state = 35},
  [5128] = {.lex_state = 102, .external_lex_state = 35},
  [5129] = {.lex_state = 215, .external_lex_state = 35},
  [5130] = {.lex_state = 102, .external_lex_state = 35},
  [5131] = {.lex_state = 102, .external_lex_state = 35},
  [5132] = {.lex_state = 102, .external_lex_state = 35},
  [5133] = {.lex_state = 102, .external_lex_state = 35},
  [5134] = {.lex_state = 102, .external_lex_state = 35},
  [5135] = {.lex_state = 102, .external_lex_state = 35},
  [5136] = {.lex_state = 102, .external_lex_state = 35},
  [5137] = {.lex_state = 102, .external_lex_state = 35},
  [5138] = {.lex_state = 102, .external_lex_state = 35},
  [5139] = {.lex_state = 102, .external_lex_state = 35},
  [5140] = {.lex_state = 215, .external_lex_state = 35},
  [5141] = {.lex_state = 102, .external_lex_state = 35},
  [5142] = {.lex_state = 102, .external_lex_state = 35},
  [5143] = {.lex_state = 111, .external_lex_state = 36},
  [5144] = {.lex_state = 102, .external_lex_state = 35},
  [5145] = {.lex_state = 102, .external_lex_state = 35},
  [5146] = {.lex_state = 102, .external_lex_state = 35},
  [5147] = {.lex_state = 102, .external_lex_state = 35},
  [5148] = {.lex_state = 226, .external_lex_state = 36},
  [5149] = {.lex_state = 102, .external_lex_state = 35},
  [5150] = {.lex_state = 102, .external_lex_state = 35},
  [5151] = {.lex_state = 102, .external_lex_state = 32},
  [5152] = {.lex_state = 215, .external_lex_state = 35},
  [5153] = {.lex_state = 102, .external_lex_state = 35},
  [5154] = {.lex_state = 102, .external_lex_state = 35},
  [5155] = {.lex_state = 100, .external_lex_state = 37},
  [5156] = {.lex_state = 215, .external_lex_state = 35},
  [5157] = {.lex_state = 102, .external_lex_state = 35},
  [5158] = {.lex_state = 102, .external_lex_state = 35},
  [5159] = {.lex_state = 102, .external_lex_state = 35},
  [5160] = {.lex_state = 102, .external_lex_state = 35},
  [5161] = {.lex_state = 102, .external_lex_state = 35},
  [5162] = {.lex_state = 102, .external_lex_state = 35},
  [5163] = {.lex_state = 111, .external_lex_state = 36},
  [5164] = {.lex_state = 102, .external_lex_state = 35},
  [5165] = {.lex_state = 101, .external_lex_state = 40},
  [5166] = {.lex_state = 102, .external_lex_state = 35},
  [5167] = {.lex_state = 102, .external_lex_state = 35},
  [5168] = {.lex_state = 102, .external_lex_state = 35},
  [5169] = {.lex_state = 102, .external_lex_state = 35},
  [5170] = {.lex_state = 102, .external_lex_state = 32},
  [5171] = {.lex_state = 102, .external_lex_state = 35},
  [5172] = {.lex_state = 215, .external_lex_state = 35},
  [5173] = {.lex_state = 102, .external_lex_state = 32},
  [5174] = {.lex_state = 102, .external_lex_state = 35},
  [5175] = {.lex_state = 102, .external_lex_state = 35},
  [5176] = {.lex_state = 226, .external_lex_state = 36},
  [5177] = {.lex_state = 102, .external_lex_state = 35},
  [5178] = {.lex_state = 102, .external_lex_state = 35},
  [5179] = {.lex_state = 102, .external_lex_state = 35},
  [5180] = {.lex_state = 102, .external_lex_state = 35},
  [5181] = {.lex_state = 102, .external_lex_state = 35},
  [5182] = {.lex_state = 226, .external_lex_state = 36},
  [5183] = {.lex_state = 102, .external_lex_state = 35},
  [5184] = {.lex_state = 100, .external_lex_state = 37},
  [5185] = {.lex_state = 102, .external_lex_state = 32},
  [5186] = {.lex_state = 101, .external_lex_state = 37},
  [5187] = {.lex_state = 102, .external_lex_state = 35},
  [5188] = {.lex_state = 102, .external_lex_state = 32},
  [5189] = {.lex_state = 102, .external_lex_state = 35},
  [5190] = {.lex_state = 102, .external_lex_state = 32},
  [5191] = {.lex_state = 102, .external_lex_state = 35},
  [5192] = {.lex_state = 102, .external_lex_state = 32},
  [5193] = {.lex_state = 102, .external_lex_state = 32},
  [5194] = {.lex_state = 101, .external_lex_state = 38},
  [5195] = {.lex_state = 102, .external_lex_state = 35},
  [5196] = {.lex_state = 105, .external_lex_state = 35},
  [5197] = {.lex_state = 102, .external_lex_state = 35},
  [5198] = {.lex_state = 102, .external_lex_state = 32},
  [5199] = {.lex_state = 102, .external_lex_state = 35},
  [5200] = {.lex_state = 101, .external_lex_state = 38},
  [5201] = {.lex_state = 108, .external_lex_state = 35},
  [5202] = {.lex_state = 102, .external_lex_state = 32},
  [5203] = {.lex_state = 108, .external_lex_state = 35},
  [5204] = {.lex_state = 101, .external_lex_state = 38},
  [5205] = {.lex_state = 101, .external_lex_state = 37},
  [5206] = {.lex_state = 102, .external_lex_state = 35},
  [5207] = {.lex_state = 226, .external_lex_state = 39},
  [5208] = {.lex_state = 105, .external_lex_state = 35},
  [5209] = {.lex_state = 108, .external_lex_state = 35},
  [5210] = {.lex_state = 226, .external_lex_state = 39},
  [5211] = {.lex_state = 102, .external_lex_state = 32},
  [5212] = {.lex_state = 102, .external_lex_state = 35},
  [5213] = {.lex_state = 101, .external_lex_state = 38},
  [5214] = {.lex_state = 102, .external_lex_state = 32},
  [5215] = {.lex_state = 101, .external_lex_state = 37},
  [5216] = {.lex_state = 102, .external_lex_state = 32},
  [5217] = {.lex_state = 226, .external_lex_state = 39},
  [5218] = {.lex_state = 101, .external_lex_state = 37},
  [5219] = {.lex_state = 102, .external_lex_state = 35},
  [5220] = {.lex_state = 102, .external_lex_state = 35},
  [5221] = {.lex_state = 105, .external_lex_state = 32},
  [5222] = {.lex_state = 226, .external_lex_state = 36},
  [5223] = {.lex_state = 226, .external_lex_state = 36},
  [5224] = {.lex_state = 226, .external_lex_state = 36},
  [5225] = {.lex_state = 226, .external_lex_state = 36},
  [5226] = {.lex_state = 226, .external_lex_state = 36},
  [5227] = {.lex_state = 226, .external_lex_state = 36},
  [5228] = {.lex_state = 102, .external_lex_state = 35},
  [5229] = {.lex_state = 215, .external_lex_state = 35},
  [5230] = {.lex_state = 226, .external_lex_state = 36},
  [5231] = {.lex_state = 102, .external_lex_state = 35},
  [5232] = {.lex_state = 102, .external_lex_state = 35},
  [5233] = {.lex_state = 226, .external_lex_state = 36},
  [5234] = {.lex_state = 226, .external_lex_state = 36},
  [5235] = {.lex_state = 226, .external_lex_state = 36},
  [5236] = {.lex_state = 226, .external_lex_state = 36},
  [5237] = {.lex_state = 226, .external_lex_state = 36},
  [5238] = {.lex_state = 226, .external_lex_state = 36},
  [5239] = {.lex_state = 102, .external_lex_state = 35},
  [5240] = {.lex_state = 226, .external_lex_state = 36},
  [5241] = {.lex_state = 102, .external_lex_state = 35},
  [5242] = {.lex_state = 215, .external_lex_state = 35},
  [5243] = {.lex_state = 226, .external_lex_state = 36},
  [5244] = {.lex_state = 226, .external_lex_state = 36},
  [5245] = {.lex_state = 226, .external_lex_state = 36},
  [5246] = {.lex_state = 108, .external_lex_state = 35},
  [5247] = {.lex_state = 226, .external_lex_state = 36},
  [5248] = {.lex_state = 226, .external_lex_state = 36},
  [5249] = {.lex_state = 226, .external_lex_state = 36},
  [5250] = {.lex_state = 226, .external_lex_state = 36},
  [5251] = {.lex_state = 102, .external_lex_state = 35},
  [5252] = {.lex_state = 102, .external_lex_state = 35},
  [5253] = {.lex_state = 215, .external_lex_state = 32},
  [5254] = {.lex_state = 226, .external_lex_state = 36},
  [5255] = {.lex_state = 226, .external_lex_state = 36},
  [5256] = {.lex_state = 226, .external_lex_state = 36},
  [5257] = {.lex_state = 226, .external_lex_state = 36},
  [5258] = {.lex_state = 226, .external_lex_state = 36},
  [5259] = {.lex_state = 102, .external_lex_state = 35},
  [5260] = {.lex_state = 226, .external_lex_state = 36},
  [5261] = {.lex_state = 226, .external_lex_state = 36},
  [5262] = {.lex_state = 226, .external_lex_state = 36},
  [5263] = {.lex_state = 226, .external_lex_state = 36},
  [5264] = {.lex_state = 102, .external_lex_state = 35},
  [5265] = {.lex_state = 102, .external_lex_state = 35},
  [5266] = {.lex_state = 226, .external_lex_state = 36},
  [5267] = {.lex_state = 226, .external_lex_state = 36},
  [5268] = {.lex_state = 226, .external_lex_state = 36},
  [5269] = {.lex_state = 105, .external_lex_state = 35},
  [5270] = {.lex_state = 215, .external_lex_state = 35},
  [5271] = {.lex_state = 226, .external_lex_state = 36},
  [5272] = {.lex_state = 226, .external_lex_state = 36},
  [5273] = {.lex_state = 215, .external_lex_state = 32},
  [5274] = {.lex_state = 102, .external_lex_state = 32},
  [5275] = {.lex_state = 226, .external_lex_state = 36},
  [5276] = {.lex_state = 215, .external_lex_state = 35},
  [5277] = {.lex_state = 226, .external_lex_state = 36},
  [5278] = {.lex_state = 226, .external_lex_state = 36},
  [5279] = {.lex_state = 226, .external_lex_state = 36},
  [5280] = {.lex_state = 226, .external_lex_state = 36},
  [5281] = {.lex_state = 102, .external_lex_state = 35},
  [5282] = {.lex_state = 226, .external_lex_state = 36},
  [5283] = {.lex_state = 226, .external_lex_state = 36},
  [5284] = {.lex_state = 226, .external_lex_state = 36},
  [5285] = {.lex_state = 226, .external_lex_state = 36},
  [5286] = {.lex_state = 226, .external_lex_state = 36},
  [5287] = {.lex_state = 226, .external_lex_state = 36},
  [5288] = {.lex_state = 226, .external_lex_state = 36},
  [5289] = {.lex_state = 226, .external_lex_state = 36},
  [5290] = {.lex_state = 215, .external_lex_state = 35},
  [5291] = {.lex_state = 215, .external_lex_state = 32},
  [5292] = {.lex_state = 102, .external_lex_state = 32},
  [5293] = {.lex_state = 226, .external_lex_state = 36},
  [5294] = {.lex_state = 102, .external_lex_state = 35},
  [5295] = {.lex_state = 102, .external_lex_state = 35},
  [5296] = {.lex_state = 226, .external_lex_state = 36},
  [5297] = {.lex_state = 226, .external_lex_state = 36},
  [5298] = {.lex_state = 226, .external_lex_state = 36},
  [5299] = {.lex_state = 226, .external_lex_state = 36},
  [5300] = {.lex_state = 226, .external_lex_state = 36},
  [5301] = {.lex_state = 108, .external_lex_state = 35},
  [5302] = {.lex_state = 226, .external_lex_state = 36},
  [5303] = {.lex_state = 102, .external_lex_state = 35},
  [5304] = {.lex_state = 215, .external_lex_state = 35},
  [5305] = {.lex_state = 226, .external_lex_state = 36},
  [5306] = {.lex_state = 226, .external_lex_state = 36},
  [5307] = {.lex_state = 226, .external_lex_state = 36},
  [5308] = {.lex_state = 226, .external_lex_state = 36},
  [5309] = {.lex_state = 215, .external_lex_state = 35},
  [5310] = {.lex_state = 226, .external_lex_state = 36},
  [5311] = {.lex_state = 226, .external_lex_state = 36},
  [5312] = {.lex_state = 226, .external_lex_state = 36},
  [5313] = {.lex_state = 215, .external_lex_state = 35},
  [5314] = {.lex_state = 226, .external_lex_state = 36},
  [5315] = {.lex_state = 226, .external_lex_state = 36},
  [5316] = {.lex_state = 226, .external_lex_state = 36},
  [5317] = {.lex_state = 226, .external_lex_state = 36},
  [5318] = {.lex_state = 226, .external_lex_state = 36},
  [5319] = {.lex_state = 215, .external_lex_state = 35},
  [5320] = {.lex_state = 226, .external_lex_state = 36},
  [5321] = {.lex_state = 226, .external_lex_state = 36},
  [5322] = {.lex_state = 226, .external_lex_state = 36},
  [5323] = {.lex_state = 226, .external_lex_state = 36},
  [5324] = {.lex_state = 226, .external_lex_state = 36},
  [5325] = {.lex_state = 226, .external_lex_state = 36},
  [5326] = {.lex_state = 226, .external_lex_state = 36},
  [5327] = {.lex_state = 102, .external_lex_state = 35},
  [5328] = {.lex_state = 226, .external_lex_state = 36},
  [5329] = {.lex_state = 215, .external_lex_state = 35},
  [5330] = {.lex_state = 226, .external_lex_state = 36},
  [5331] = {.lex_state = 226, .external_lex_state = 36},
  [5332] = {.lex_state = 226, .external_lex_state = 36},
  [5333] = {.lex_state = 226, .external_lex_state = 36},
  [5334] = {.lex_state = 102, .external_lex_state = 32},
  [5335] = {.lex_state = 226, .external_lex_state = 36},
  [5336] = {.lex_state = 102, .external_lex_state = 35},
  [5337] = {.lex_state = 226, .external_lex_state = 36},
  [5338] = {.lex_state = 226, .external_lex_state = 36},
  [5339] = {.lex_state = 226, .external_lex_state = 36},
  [5340] = {.lex_state = 226, .external_lex_state = 36},
  [5341] = {.lex_state = 226, .external_lex_state = 36},
  [5342] = {.lex_state = 226, .external_lex_state = 36},
  [5343] = {.lex_state = 102, .external_lex_state = 35},
  [5344] = {.lex_state = 226, .external_lex_state = 36},
  [5345] = {.lex_state = 226, .external_lex_state = 36},
  [5346] = {.lex_state = 226, .external_lex_state = 36},
  [5347] = {.lex_state = 226, .external_lex_state = 36},
  [5348] = {.lex_state = 226, .external_lex_state = 36},
  [5349] = {.lex_state = 226, .external_lex_state = 36},
  [5350] = {.lex_state = 226, .external_lex_state = 36},
  [5351] = {.lex_state = 226, .external_lex_state = 36},
  [5352] = {.lex_state = 226, .external_lex_state = 36},
  [5353] = {.lex_state = 226, .external_lex_state = 36},
  [5354] = {.lex_state = 226, .external_lex_state = 36},
  [5355] = {.lex_state = 226, .external_lex_state = 36},
  [5356] = {.lex_state = 226, .external_lex_state = 36},
  [5357] = {.lex_state = 226, .external_lex_state = 36},
  [5358] = {.lex_state = 226, .external_lex_state = 36},
  [5359] = {.lex_state = 226, .external_lex_state = 36},
  [5360] = {.lex_state = 226, .external_lex_state = 36},
  [5361] = {.lex_state = 226, .external_lex_state = 36},
  [5362] = {.lex_state = 226, .external_lex_state = 36},
  [5363] = {.lex_state = 102, .external_lex_state = 35},
  [5364] = {.lex_state = 226, .external_lex_state = 36},
  [5365] = {.lex_state = 226, .external_lex_state = 36},
  [5366] = {.lex_state = 226, .external_lex_state = 36},
  [5367] = {.lex_state = 226, .external_lex_state = 36},
  [5368] = {.lex_state = 226, .external_lex_state = 36},
  [5369] = {.lex_state = 226, .external_lex_state = 36},
  [5370] = {.lex_state = 215, .external_lex_state = 35},
  [5371] = {.lex_state = 226, .external_lex_state = 36},
  [5372] = {.lex_state = 226, .external_lex_state = 36},
  [5373] = {.lex_state = 226, .external_lex_state = 36},
  [5374] = {.lex_state = 226, .external_lex_state = 36},
  [5375] = {.lex_state = 226, .external_lex_state = 36},
  [5376] = {.lex_state = 226, .external_lex_state = 36},
  [5377] = {.lex_state = 226, .external_lex_state = 36},
  [5378] = {.lex_state = 226, .external_lex_state = 36},
  [5379] = {.lex_state = 102, .external_lex_state = 35},
  [5380] = {.lex_state = 102, .external_lex_state = 35},
  [5381] = {.lex_state = 226, .external_lex_state = 36},
  [5382] = {.lex_state = 226, .external_lex_state = 36},
  [5383] = {.lex_state = 226, .external_lex_state = 36},
  [5384] = {.lex_state = 226, .external_lex_state = 36},
  [5385] = {.lex_state = 226, .external_lex_state = 36},
  [5386] = {.lex_state = 226, .external_lex_state = 36},
  [5387] = {.lex_state = 102, .external_lex_state = 35},
  [5388] = {.lex_state = 226, .external_lex_state = 36},
  [5389] = {.lex_state = 226, .external_lex_state = 36},
  [5390] = {.lex_state = 226, .external_lex_state = 36},
  [5391] = {.lex_state = 226, .external_lex_state = 36},
  [5392] = {.lex_state = 226, .external_lex_state = 36},
  [5393] = {.lex_state = 226, .external_lex_state = 36},
  [5394] = {.lex_state = 226, .external_lex_state = 36},
  [5395] = {.lex_state = 226, .external_lex_state = 36},
  [5396] = {.lex_state = 226, .external_lex_state = 36},
  [5397] = {.lex_state = 226, .external_lex_state = 36},
  [5398] = {.lex_state = 226, .external_lex_state = 36},
  [5399] = {.lex_state = 226, .external_lex_state = 36},
  [5400] = {.lex_state = 102, .external_lex_state = 35},
  [5401] = {.lex_state = 215, .external_lex_state = 35},
  [5402] = {.lex_state = 102, .external_lex_state = 32},
  [5403] = {.lex_state = 102, .external_lex_state = 35},
  [5404] = {.lex_state = 226, .external_lex_state = 36},
  [5405] = {.lex_state = 226, .external_lex_state = 36},
  [5406] = {.lex_state = 215, .external_lex_state = 35},
  [5407] = {.lex_state = 120, .external_lex_state = 41},
  [5408] = {.lex_state = 215, .external_lex_state = 32},
  [5409] = {.lex_state = 215, .external_lex_state = 35},
  [5410] = {.lex_state = 120, .external_lex_state = 41},
  [5411] = {.lex_state = 215, .external_lex_state = 35},
  [5412] = {.lex_state = 120, .external_lex_state = 41},
  [5413] = {.lex_state = 215, .external_lex_state = 35},
  [5414] = {.lex_state = 215, .external_lex_state = 32},
  [5415] = {.lex_state = 215, .external_lex_state = 35},
  [5416] = {.lex_state = 102, .external_lex_state = 35},
  [5417] = {.lex_state = 120, .external_lex_state = 41},
  [5418] = {.lex_state = 215, .external_lex_state = 35},
  [5419] = {.lex_state = 102, .external_lex_state = 35},
  [5420] = {.lex_state = 102, .external_lex_state = 32},
  [5421] = {.lex_state = 215, .external_lex_state = 32},
  [5422] = {.lex_state = 120, .external_lex_state = 41},
  [5423] = {.lex_state = 102, .external_lex_state = 35},
  [5424] = {.lex_state = 215, .external_lex_state = 32},
  [5425] = {.lex_state = 120, .external_lex_state = 41},
  [5426] = {.lex_state = 215, .external_lex_state = 35},
  [5427] = {.lex_state = 120, .external_lex_state = 41},
  [5428] = {.lex_state = 120, .external_lex_state = 41},
  [5429] = {.lex_state = 215, .external_lex_state = 32},
  [5430] = {.lex_state = 215, .external_lex_state = 32},
  [5431] = {.lex_state = 120, .external_lex_state = 41},
  [5432] = {.lex_state = 120, .external_lex_state = 41},
  [5433] = {.lex_state = 120, .external_lex_state = 41},
  [5434] = {.lex_state = 215, .external_lex_state = 35},
  [5435] = {.lex_state = 102, .external_lex_state = 35},
  [5436] = {.lex_state = 120, .external_lex_state = 41},
  [5437] = {.lex_state = 120, .external_lex_state = 41},
  [5438] = {.lex_state = 120, .external_lex_state = 41},
  [5439] = {.lex_state = 215, .external_lex_state = 32},
  [5440] = {.lex_state = 215, .external_lex_state = 35},
  [5441] = {.lex_state = 215, .external_lex_state = 35},
  [5442] = {.lex_state = 215, .external_lex_state = 35},
  [5443] = {.lex_state = 120, .external_lex_state = 41},
  [5444] = {.lex_state = 215, .external_lex_state = 35},
  [5445] = {.lex_state = 120, .external_lex_state = 41},
  [5446] = {.lex_state = 102, .external_lex_state = 35},
  [5447] = {.lex_state = 215, .external_lex_state = 35},
  [5448] = {.lex_state = 215, .external_lex_state = 35},
  [5449] = {.lex_state = 120, .external_lex_state = 41},
  [5450] = {.lex_state = 102, .external_lex_state = 35},
  [5451] = {.lex_state = 215, .external_lex_state = 32},
  [5452] = {.lex_state = 215, .external_lex_state = 35},
  [5453] = {.lex_state = 215, .external_lex_state = 32},
  [5454] = {.lex_state = 215, .external_lex_state = 32},
  [5455] = {.lex_state = 102, .external_lex_state = 35},
  [5456] = {.lex_state = 215, .external_lex_state = 35},
  [5457] = {.lex_state = 215, .external_lex_state = 32},
  [5458] = {.lex_state = 215, .external_lex_state = 32},
  [5459] = {.lex_state = 215, .external_lex_state = 35},
  [5460] = {.lex_state = 120, .external_lex_state = 41},
  [5461] = {.lex_state = 215, .external_lex_state = 32},
  [5462] = {.lex_state = 215, .external_lex_state = 35},
  [5463] = {.lex_state = 215, .external_lex_state = 35},
  [5464] = {.lex_state = 215, .external_lex_state = 35},
  [5465] = {.lex_state = 215, .external_lex_state = 32},
  [5466] = {.lex_state = 215, .external_lex_state = 32},
  [5467] = {.lex_state = 120, .external_lex_state = 41},
  [5468] = {.lex_state = 102, .external_lex_state = 35},
  [5469] = {.lex_state = 102, .external_lex_state = 35},
  [5470] = {.lex_state = 215, .external_lex_state = 35},
  [5471] = {.lex_state = 102, .external_lex_state = 35},
  [5472] = {.lex_state = 102, .external_lex_state = 35},
  [5473] = {.lex_state = 215, .external_lex_state = 35},
  [5474] = {.lex_state = 120, .external_lex_state = 41},
  [5475] = {.lex_state = 215, .external_lex_state = 35},
  [5476] = {.lex_state = 215, .external_lex_state = 35},
  [5477] = {.lex_state = 215, .external_lex_state = 35},
  [5478] = {.lex_state = 215, .external_lex_state = 35},
  [5479] = {.lex_state = 120, .external_lex_state = 41},
  [5480] = {.lex_state = 120, .external_lex_state = 41},
  [5481] = {.lex_state = 215, .external_lex_state = 35},
  [5482] = {.lex_state = 102, .external_lex_state = 35},
  [5483] = {.lex_state = 102, .external_lex_state = 35},
  [5484] = {.lex_state = 215, .external_lex_state = 35},
  [5485] = {.lex_state = 215, .external_lex_state = 35},
  [5486] = {.lex_state = 215, .external_lex_state = 35},
  [5487] = {.lex_state = 215, .external_lex_state = 35},
  [5488] = {.lex_state = 215, .external_lex_state = 35},
  [5489] = {.lex_state = 231, .external_lex_state = 35},
  [5490] = {.lex_state = 215, .external_lex_state = 35},
  [5491] = {.lex_state = 215, .external_lex_state = 35},
  [5492] = {.lex_state = 231, .external_lex_state = 35},
  [5493] = {.lex_state = 231, .external_lex_state = 35},
  [5494] = {.lex_state = 231, .external_lex_state = 35},
  [5495] = {.lex_state = 231, .external_lex_state = 35},
  [5496] = {.lex_state = 215, .external_lex_state = 35},
  [5497] = {.lex_state = 108, .external_lex_state = 35},
  [5498] = {.lex_state = 231, .external_lex_state = 35},
  [5499] = {.lex_state = 231, .external_lex_state = 35},
  [5500] = {.lex_state = 231, .external_lex_state = 35},
  [5501] = {.lex_state = 215, .external_lex_state = 35},
  [5502] = {.lex_state = 231, .external_lex_state = 35},
  [5503] = {.lex_state = 231, .external_lex_state = 35},
  [5504] = {.lex_state = 215, .external_lex_state = 35},
  [5505] = {.lex_state = 231, .external_lex_state = 35},
  [5506] = {.lex_state = 215, .external_lex_state = 35},
  [5507] = {.lex_state = 231, .external_lex_state = 35},
  [5508] = {.lex_state = 102, .external_lex_state = 35},
  [5509] = {.lex_state = 231, .external_lex_state = 35},
  [5510] = {.lex_state = 231, .external_lex_state = 35},
  [5511] = {.lex_state = 231, .external_lex_state = 35},
  [5512] = {.lex_state = 231, .external_lex_state = 35},
  [5513] = {.lex_state = 231, .external_lex_state = 35},
  [5514] = {.lex_state = 231, .external_lex_state = 35},
  [5515] = {.lex_state = 231, .external_lex_state = 35},
  [5516] = {.lex_state = 231, .external_lex_state = 35},
  [5517] = {.lex_state = 231, .external_lex_state = 35},
  [5518] = {.lex_state = 231, .external_lex_state = 35},
  [5519] = {.lex_state = 215, .external_lex_state = 35},
  [5520] = {.lex_state = 231, .external_lex_state = 35},
  [5521] = {.lex_state = 231, .external_lex_state = 35},
  [5522] = {.lex_state = 231, .external_lex_state = 35},
  [5523] = {.lex_state = 231, .external_lex_state = 35},
  [5524] = {.lex_state = 215, .external_lex_state = 35},
  [5525] = {.lex_state = 231, .external_lex_state = 35},
  [5526] = {.lex_state = 231, .external_lex_state = 35},
  [5527] = {.lex_state = 231, .external_lex_state = 35},
  [5528] = {.lex_state = 231, .external_lex_state = 35},
  [5529] = {.lex_state = 231, .external_lex_state = 35},
  [5530] = {.lex_state = 231, .external_lex_state = 35},
  [5531] = {.lex_state = 231, .external_lex_state = 35},
  [5532] = {.lex_state = 231, .external_lex_state = 35},
  [5533] = {.lex_state = 231, .external_lex_state = 35},
  [5534] = {.lex_state = 231, .external_lex_state = 35},
  [5535] = {.lex_state = 231, .external_lex_state = 35},
  [5536] = {.lex_state = 231, .external_lex_state = 35},
  [5537] = {.lex_state = 231, .external_lex_state = 35},
  [5538] = {.lex_state = 102, .external_lex_state = 35},
  [5539] = {.lex_state = 102, .external_lex_state = 35},
  [5540] = {.lex_state = 231, .external_lex_state = 35},
  [5541] = {.lex_state = 231, .external_lex_state = 35},
  [5542] = {.lex_state = 231, .external_lex_state = 35},
  [5543] = {.lex_state = 231, .external_lex_state = 35},
  [5544] = {.lex_state = 231, .external_lex_state = 35},
  [5545] = {.lex_state = 231, .external_lex_state = 35},
  [5546] = {.lex_state = 231, .external_lex_state = 35},
  [5547] = {.lex_state = 81, .external_lex_state = 35},
  [5548] = {.lex_state = 231, .external_lex_state = 35},
  [5549] = {.lex_state = 231, .external_lex_state = 35},
  [5550] = {.lex_state = 231, .external_lex_state = 35},
  [5551] = {.lex_state = 102, .external_lex_state = 35},
  [5552] = {.lex_state = 215, .external_lex_state = 35},
  [5553] = {.lex_state = 94, .external_lex_state = 35},
  [5554] = {.lex_state = 102, .external_lex_state = 35},
  [5555] = {.lex_state = 102, .external_lex_state = 35},
  [5556] = {.lex_state = 102, .external_lex_state = 35},
  [5557] = {.lex_state = 215, .external_lex_state = 35},
  [5558] = {.lex_state = 215, .external_lex_state = 41},
  [5559] = {.lex_state = 215, .external_lex_state = 35},
  [5560] = {.lex_state = 81, .external_lex_state = 35},
  [5561] = {.lex_state = 102, .external_lex_state = 35},
  [5562] = {.lex_state = 102, .external_lex_state = 35},
  [5563] = {.lex_state = 81, .external_lex_state = 35},
  [5564] = {.lex_state = 102, .external_lex_state = 35},
  [5565] = {.lex_state = 102, .external_lex_state = 35},
  [5566] = {.lex_state = 102, .external_lex_state = 35},
  [5567] = {.lex_state = 102, .external_lex_state = 35},
  [5568] = {.lex_state = 102, .external_lex_state = 35},
  [5569] = {.lex_state = 215, .external_lex_state = 41},
  [5570] = {.lex_state = 215, .external_lex_state = 35},
  [5571] = {.lex_state = 215, .external_lex_state = 35},
  [5572] = {.lex_state = 102, .external_lex_state = 35},
  [5573] = {.lex_state = 102, .external_lex_state = 35},
  [5574] = {.lex_state = 215, .external_lex_state = 41},
  [5575] = {.lex_state = 215, .external_lex_state = 41},
  [5576] = {.lex_state = 215, .external_lex_state = 35},
  [5577] = {.lex_state = 102, .external_lex_state = 35},
  [5578] = {.lex_state = 94, .external_lex_state = 35},
  [5579] = {.lex_state = 81, .external_lex_state = 35},
  [5580] = {.lex_state = 102, .external_lex_state = 35},
  [5581] = {.lex_state = 102, .external_lex_state = 35},
  [5582] = {.lex_state = 102, .external_lex_state = 35},
  [5583] = {.lex_state = 102, .external_lex_state = 35},
  [5584] = {.lex_state = 81, .external_lex_state = 35},
  [5585] = {.lex_state = 94, .external_lex_state = 35},
  [5586] = {.lex_state = 102, .external_lex_state = 35},
  [5587] = {.lex_state = 215, .external_lex_state = 35},
  [5588] = {.lex_state = 215, .external_lex_state = 35},
  [5589] = {.lex_state = 102, .external_lex_state = 35},
  [5590] = {.lex_state = 215, .external_lex_state = 35},
  [5591] = {.lex_state = 215, .external_lex_state = 35},
  [5592] = {.lex_state = 102, .external_lex_state = 35},
  [5593] = {.lex_state = 215, .external_lex_state = 35},
  [5594] = {.lex_state = 81, .external_lex_state = 35},
  [5595] = {.lex_state = 94, .external_lex_state = 35},
  [5596] = {.lex_state = 81, .external_lex_state = 35},
  [5597] = {.lex_state = 102, .external_lex_state = 35},
  [5598] = {.lex_state = 102, .external_lex_state = 35},
  [5599] = {.lex_state = 215, .external_lex_state = 35},
  [5600] = {.lex_state = 102, .external_lex_state = 35},
  [5601] = {.lex_state = 215, .external_lex_state = 35},
  [5602] = {.lex_state = 102, .external_lex_state = 35},
  [5603] = {.lex_state = 102, .external_lex_state = 35},
  [5604] = {.lex_state = 102, .external_lex_state = 35},
  [5605] = {.lex_state = 102, .external_lex_state = 35},
  [5606] = {.lex_state = 102, .external_lex_state = 35},
  [5607] = {.lex_state = 215, .external_lex_state = 35},
  [5608] = {.lex_state = 94, .external_lex_state = 35},
  [5609] = {.lex_state = 102, .external_lex_state = 35},
  [5610] = {.lex_state = 102, .external_lex_state = 35},
  [5611] = {.lex_state = 81, .external_lex_state = 35},
  [5612] = {.lex_state = 94, .external_lex_state = 35},
  [5613] = {.lex_state = 102, .external_lex_state = 35},
  [5614] = {.lex_state = 215, .external_lex_state = 35},
  [5615] = {.lex_state = 102, .external_lex_state = 35},
  [5616] = {.lex_state = 215, .external_lex_state = 35},
  [5617] = {.lex_state = 102, .external_lex_state = 35},
  [5618] = {.lex_state = 102, .external_lex_state = 35},
  [5619] = {.lex_state = 215, .external_lex_state = 35},
  [5620] = {.lex_state = 102, .external_lex_state = 35},
  [5621] = {.lex_state = 102, .external_lex_state = 35},
  [5622] = {.lex_state = 102, .external_lex_state = 35},
  [5623] = {.lex_state = 102, .external_lex_state = 35},
  [5624] = {.lex_state = 102, .external_lex_state = 35},
  [5625] = {.lex_state = 102, .external_lex_state = 35},
  [5626] = {.lex_state = 102, .external_lex_state = 35},
  [5627] = {.lex_state = 215, .external_lex_state = 35},
  [5628] = {.lex_state = 102, .external_lex_state = 35},
  [5629] = {.lex_state = 102, .external_lex_state = 35},
  [5630] = {.lex_state = 102, .external_lex_state = 35},
  [5631] = {.lex_state = 102, .external_lex_state = 35},
  [5632] = {.lex_state = 215, .external_lex_state = 35},
  [5633] = {.lex_state = 215, .external_lex_state = 35},
  [5634] = {.lex_state = 215, .external_lex_state = 41},
  [5635] = {.lex_state = 102, .external_lex_state = 35},
  [5636] = {.lex_state = 102, .external_lex_state = 35},
  [5637] = {.lex_state = 102, .external_lex_state = 35},
  [5638] = {.lex_state = 102, .external_lex_state = 35},
  [5639] = {.lex_state = 102, .external_lex_state = 35},
  [5640] = {.lex_state = 102, .external_lex_state = 35},
  [5641] = {.lex_state = 102, .external_lex_state = 35},
  [5642] = {.lex_state = 102, .external_lex_state = 35},
  [5643] = {.lex_state = 102, .external_lex_state = 35},
  [5644] = {.lex_state = 102, .external_lex_state = 35},
  [5645] = {.lex_state = 81, .external_lex_state = 35},
  [5646] = {.lex_state = 81, .external_lex_state = 35},
  [5647] = {.lex_state = 102, .external_lex_state = 35},
  [5648] = {.lex_state = 94, .external_lex_state = 35},
  [5649] = {.lex_state = 102, .external_lex_state = 35},
  [5650] = {.lex_state = 102, .external_lex_state = 35},
  [5651] = {.lex_state = 102, .external_lex_state = 35},
  [5652] = {.lex_state = 102, .external_lex_state = 35},
  [5653] = {.lex_state = 102, .external_lex_state = 35},
  [5654] = {.lex_state = 102, .external_lex_state = 35},
  [5655] = {.lex_state = 102, .external_lex_state = 35},
  [5656] = {.lex_state = 102, .external_lex_state = 35},
  [5657] = {.lex_state = 102, .external_lex_state = 35},
  [5658] = {.lex_state = 102, .external_lex_state = 35},
  [5659] = {.lex_state = 102, .external_lex_state = 35},
  [5660] = {.lex_state = 102, .external_lex_state = 35},
  [5661] = {.lex_state = 102, .external_lex_state = 35},
  [5662] = {.lex_state = 94, .external_lex_state = 35},
  [5663] = {.lex_state = 215, .external_lex_state = 35},
  [5664] = {.lex_state = 81, .external_lex_state = 35},
  [5665] = {.lex_state = 94, .external_lex_state = 35},
  [5666] = {.lex_state = 215, .external_lex_state = 35},
  [5667] = {.lex_state = 215, .external_lex_state = 35},
  [5668] = {.lex_state = 81, .external_lex_state = 35},
  [5669] = {.lex_state = 215, .external_lex_state = 35},
  [5670] = {.lex_state = 102, .external_lex_state = 35},
  [5671] = {.lex_state = 215, .external_lex_state = 35},
  [5672] = {.lex_state = 102, .external_lex_state = 35},
  [5673] = {.lex_state = 102, .external_lex_state = 35},
  [5674] = {.lex_state = 242, .external_lex_state = 35},
  [5675] = {.lex_state = 248, .external_lex_state = 35},
  [5676] = {.lex_state = 102, .external_lex_state = 35},
  [5677] = {.lex_state = 102, .external_lex_state = 35},
  [5678] = {.lex_state = 94, .external_lex_state = 35},
  [5679] = {.lex_state = 102, .external_lex_state = 35},
  [5680] = {.lex_state = 102, .external_lex_state = 35},
  [5681] = {.lex_state = 102, .external_lex_state = 35},
  [5682] = {.lex_state = 102, .external_lex_state = 35},
  [5683] = {.lex_state = 102, .external_lex_state = 35},
  [5684] = {.lex_state = 102, .external_lex_state = 35},
  [5685] = {.lex_state = 102, .external_lex_state = 35},
  [5686] = {.lex_state = 102, .external_lex_state = 35},
  [5687] = {.lex_state = 102, .external_lex_state = 35},
  [5688] = {.lex_state = 215, .external_lex_state = 35},
  [5689] = {.lex_state = 102, .external_lex_state = 35},
  [5690] = {.lex_state = 102, .external_lex_state = 35},
  [5691] = {.lex_state = 94, .external_lex_state = 35},
  [5692] = {.lex_state = 102, .external_lex_state = 35},
  [5693] = {.lex_state = 215, .external_lex_state = 35},
  [5694] = {.lex_state = 215, .external_lex_state = 35},
  [5695] = {.lex_state = 215, .external_lex_state = 35},
  [5696] = {.lex_state = 102, .external_lex_state = 35},
  [5697] = {.lex_state = 215, .external_lex_state = 35},
  [5698] = {.lex_state = 215, .external_lex_state = 35},
  [5699] = {.lex_state = 215, .external_lex_state = 35},
  [5700] = {.lex_state = 102, .external_lex_state = 35},
  [5701] = {.lex_state = 102, .external_lex_state = 35},
  [5702] = {.lex_state = 102, .external_lex_state = 35},
  [5703] = {.lex_state = 102, .external_lex_state = 35},
  [5704] = {.lex_state = 81, .external_lex_state = 35},
  [5705] = {.lex_state = 102, .external_lex_state = 35},
  [5706] = {.lex_state = 215, .external_lex_state = 35},
  [5707] = {.lex_state = 102, .external_lex_state = 35},
  [5708] = {.lex_state = 215, .external_lex_state = 35},
  [5709] = {.lex_state = 102, .external_lex_state = 35},
  [5710] = {.lex_state = 81, .external_lex_state = 35},
  [5711] = {.lex_state = 102, .external_lex_state = 35},
  [5712] = {.lex_state = 94, .external_lex_state = 35},
  [5713] = {.lex_state = 102, .external_lex_state = 35},
  [5714] = {.lex_state = 215, .external_lex_state = 41},
  [5715] = {.lex_state = 102, .external_lex_state = 35},
  [5716] = {.lex_state = 102, .external_lex_state = 35},
  [5717] = {.lex_state = 102, .external_lex_state = 35},
  [5718] = {.lex_state = 102, .external_lex_state = 35},
  [5719] = {.lex_state = 102, .external_lex_state = 35},
  [5720] = {.lex_state = 81, .external_lex_state = 35},
  [5721] = {.lex_state = 102, .external_lex_state = 35},
  [5722] = {.lex_state = 102, .external_lex_state = 35},
  [5723] = {.lex_state = 102, .external_lex_state = 35},
  [5724] = {.lex_state = 102, .external_lex_state = 35},
  [5725] = {.lex_state = 102, .external_lex_state = 35},
  [5726] = {.lex_state = 81, .external_lex_state = 35},
  [5727] = {.lex_state = 81, .external_lex_state = 35},
  [5728] = {.lex_state = 94, .external_lex_state = 35},
  [5729] = {.lex_state = 215, .external_lex_state = 35},
  [5730] = {.lex_state = 94, .external_lex_state = 35},
  [5731] = {.lex_state = 102, .external_lex_state = 35},
  [5732] = {.lex_state = 215, .external_lex_state = 41},
  [5733] = {.lex_state = 102, .external_lex_state = 35},
  [5734] = {.lex_state = 81, .external_lex_state = 35},
  [5735] = {.lex_state = 102, .external_lex_state = 35},
  [5736] = {.lex_state = 102, .external_lex_state = 35},
  [5737] = {.lex_state = 215, .external_lex_state = 35},
  [5738] = {.lex_state = 215, .external_lex_state = 41},
  [5739] = {.lex_state = 215, .external_lex_state = 35},
  [5740] = {.lex_state = 81, .external_lex_state = 35},
  [5741] = {.lex_state = 81, .external_lex_state = 35},
  [5742] = {.lex_state = 81, .external_lex_state = 35},
  [5743] = {.lex_state = 215, .external_lex_state = 35},
  [5744] = {.lex_state = 102, .external_lex_state = 35},
  [5745] = {.lex_state = 102, .external_lex_state = 35},
  [5746] = {.lex_state = 81, .external_lex_state = 35},
  [5747] = {.lex_state = 215, .external_lex_state = 35},
  [5748] = {.lex_state = 81, .external_lex_state = 35},
  [5749] = {.lex_state = 81, .external_lex_state = 35},
  [5750] = {.lex_state = 81, .external_lex_state = 35},
  [5751] = {.lex_state = 215, .external_lex_state = 35},
  [5752] = {.lex_state = 215, .external_lex_state = 35},
  [5753] = {.lex_state = 102, .external_lex_state = 35},
  [5754] = {.lex_state = 215, .external_lex_state = 35},
  [5755] = {.lex_state = 102, .external_lex_state = 35},
  [5756] = {.lex_state = 215, .external_lex_state = 35},
  [5757] = {.lex_state = 102, .external_lex_state = 35},
  [5758] = {.lex_state = 215, .external_lex_state = 35},
  [5759] = {.lex_state = 81, .external_lex_state = 35},
  [5760] = {.lex_state = 102, .external_lex_state = 35},
  [5761] = {.lex_state = 94, .external_lex_state = 35},
  [5762] = {.lex_state = 94, .external_lex_state = 35},
  [5763] = {.lex_state = 81, .external_lex_state = 35},
  [5764] = {.lex_state = 102, .external_lex_state = 35},
  [5765] = {.lex_state = 81, .external_lex_state = 35},
  [5766] = {.lex_state = 102, .external_lex_state = 35},
  [5767] = {.lex_state = 102, .external_lex_state = 35},
  [5768] = {.lex_state = 102, .external_lex_state = 35},
  [5769] = {.lex_state = 102, .external_lex_state = 35},
  [5770] = {.lex_state = 102, .external_lex_state = 35},
  [5771] = {.lex_state = 102, .external_lex_state = 35},
  [5772] = {.lex_state = 102, .external_lex_state = 35},
  [5773] = {.lex_state = 102, .external_lex_state = 35},
  [5774] = {.lex_state = 102, .external_lex_state = 35},
  [5775] = {.lex_state = 81, .external_lex_state = 35},
  [5776] = {.lex_state = 81, .external_lex_state = 35},
  [5777] = {.lex_state = 102, .external_lex_state = 35},
  [5778] = {.lex_state = 102, .external_lex_state = 35},
  [5779] = {.lex_state = 102, .external_lex_state = 35},
  [5780] = {.lex_state = 81, .external_lex_state = 35},
  [5781] = {.lex_state = 102, .external_lex_state = 35},
  [5782] = {.lex_state = 102, .external_lex_state = 35},
  [5783] = {.lex_state = 215, .external_lex_state = 35},
  [5784] = {.lex_state = 102, .external_lex_state = 35},
  [5785] = {.lex_state = 215, .external_lex_state = 35},
  [5786] = {.lex_state = 81, .external_lex_state = 35},
  [5787] = {.lex_state = 81, .external_lex_state = 35},
  [5788] = {.lex_state = 215, .external_lex_state = 35},
  [5789] = {.lex_state = 215, .external_lex_state = 35},
  [5790] = {.lex_state = 81, .external_lex_state = 35},
  [5791] = {.lex_state = 102, .external_lex_state = 35},
  [5792] = {.lex_state = 102, .external_lex_state = 35},
  [5793] = {.lex_state = 215, .external_lex_state = 35},
  [5794] = {.lex_state = 94, .external_lex_state = 35},
  [5795] = {.lex_state = 102, .external_lex_state = 35},
  [5796] = {.lex_state = 102, .external_lex_state = 35},
  [5797] = {.lex_state = 102, .external_lex_state = 35},
  [5798] = {.lex_state = 102, .external_lex_state = 35},
  [5799] = {.lex_state = 102, .external_lex_state = 35},
  [5800] = {.lex_state = 102, .external_lex_state = 35},
  [5801] = {.lex_state = 215, .external_lex_state = 35},
  [5802] = {.lex_state = 94, .external_lex_state = 35},
  [5803] = {.lex_state = 215, .external_lex_state = 35},
  [5804] = {.lex_state = 81, .external_lex_state = 35},
  [5805] = {.lex_state = 102, .external_lex_state = 35},
  [5806] = {.lex_state = 81, .external_lex_state = 35},
  [5807] = {.lex_state = 94, .external_lex_state = 35},
  [5808] = {.lex_state = 94, .external_lex_state = 35},
  [5809] = {.lex_state = 81, .external_lex_state = 35},
  [5810] = {.lex_state = 102, .external_lex_state = 35},
  [5811] = {.lex_state = 102, .external_lex_state = 35},
  [5812] = {.lex_state = 102, .external_lex_state = 35},
  [5813] = {.lex_state = 102, .external_lex_state = 35},
  [5814] = {.lex_state = 102, .external_lex_state = 35},
  [5815] = {.lex_state = 102, .external_lex_state = 35},
  [5816] = {.lex_state = 102, .external_lex_state = 35},
  [5817] = {.lex_state = 81, .external_lex_state = 35},
  [5818] = {.lex_state = 102, .external_lex_state = 35},
  [5819] = {.lex_state = 81, .external_lex_state = 35},
  [5820] = {.lex_state = 215, .external_lex_state = 41},
  [5821] = {.lex_state = 81, .external_lex_state = 35},
  [5822] = {.lex_state = 81, .external_lex_state = 35},
  [5823] = {.lex_state = 81, .external_lex_state = 35},
  [5824] = {.lex_state = 81, .external_lex_state = 35},
  [5825] = {.lex_state = 242, .external_lex_state = 35},
  [5826] = {.lex_state = 248, .external_lex_state = 35},
  [5827] = {.lex_state = 102, .external_lex_state = 35},
  [5828] = {.lex_state = 215, .external_lex_state = 41},
  [5829] = {.lex_state = 81, .external_lex_state = 35},
  [5830] = {.lex_state = 81, .external_lex_state = 35},
  [5831] = {.lex_state = 81, .external_lex_state = 35},
  [5832] = {.lex_state = 81, .external_lex_state = 35},
  [5833] = {.lex_state = 94, .external_lex_state = 35},
  [5834] = {.lex_state = 81, .external_lex_state = 35},
  [5835] = {.lex_state = 102, .external_lex_state = 35},
  [5836] = {.lex_state = 215, .external_lex_state = 35},
  [5837] = {.lex_state = 102, .external_lex_state = 35},
  [5838] = {.lex_state = 81, .external_lex_state = 35},
  [5839] = {.lex_state = 81, .external_lex_state = 35},
  [5840] = {.lex_state = 94, .external_lex_state = 35},
  [5841] = {.lex_state = 102, .external_lex_state = 35},
  [5842] = {.lex_state = 81, .external_lex_state = 35},
  [5843] = {.lex_state = 81, .external_lex_state = 35},
  [5844] = {.lex_state = 81, .external_lex_state = 35},
  [5845] = {.lex_state = 81, .external_lex_state = 35},
  [5846] = {.lex_state = 102, .external_lex_state = 35},
  [5847] = {.lex_state = 94, .external_lex_state = 35},
  [5848] = {.lex_state = 81, .external_lex_state = 35},
  [5849] = {.lex_state = 215, .external_lex_state = 35},
  [5850] = {.lex_state = 215, .external_lex_state = 35},
  [5851] = {.lex_state = 94, .external_lex_state = 35},
  [5852] = {.lex_state = 81, .external_lex_state = 35},
  [5853] = {.lex_state = 81, .external_lex_state = 35},
  [5854] = {.lex_state = 81, .external_lex_state = 35},
  [5855] = {.lex_state = 81, .external_lex_state = 35},
  [5856] = {.lex_state = 215, .external_lex_state = 35},
  [5857] = {.lex_state = 81, .external_lex_state = 35},
  [5858] = {.lex_state = 81, .external_lex_state = 35},
  [5859] = {.lex_state = 81, .external_lex_state = 35},
  [5860] = {.lex_state = 81, .external_lex_state = 35},
  [5861] = {.lex_state = 81, .external_lex_state = 35},
  [5862] = {.lex_state = 81, .external_lex_state = 35},
  [5863] = {.lex_state = 81, .external_lex_state = 35},
  [5864] = {.lex_state = 81, .external_lex_state = 35},
  [5865] = {.lex_state = 81, .external_lex_state = 35},
  [5866] = {.lex_state = 102, .external_lex_state = 35},
  [5867] = {.lex_state = 81, .external_lex_state = 35},
  [5868] = {.lex_state = 81, .external_lex_state = 35},
  [5869] = {.lex_state = 215, .external_lex_state = 35},
  [5870] = {.lex_state = 102, .external_lex_state = 35},
  [5871] = {.lex_state = 81, .external_lex_state = 35},
  [5872] = {.lex_state = 81, .external_lex_state = 35},
  [5873] = {(TSStateId)(-1)},
  [5874] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_heredoc_body] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_program_token1] = ACTIONS(1),
    [anon_sym___END__] = ACTIONS(1),
    [anon_sym_BEGIN] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_END] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_rescue] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_nil] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_next] = ACTIONS(1),
    [anon_sym_redo] = ACTIONS(1),
    [anon_sym_retry] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_unless] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_until] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACK2] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [sym_line] = ACTIONS(1),
    [sym_file] = ACTIONS(1),
    [sym_encoding] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_elsif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_begin] = ACTIONS(1),
    [anon_sym_ensure] = ACTIONS(1),
    [anon_sym_COLON_COLON2] = ACTIONS(1),
    [anon_sym_AMP_DOT] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON2] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_EQ_TILDE] = ACTIONS(1),
    [anon_sym_BANG_TILDE] = ACTIONS(1),
    [anon_sym_defined_QMARK] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS_AT] = ACTIONS(1),
    [anon_sym_DASH_AT] = ACTIONS(1),
    [anon_sym_TILDE_AT] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_EQ2] = ACTIONS(1),
    [anon_sym_undef] = ACTIONS(1),
    [anon_sym_alias] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [anon_sym_i] = ACTIONS(1),
    [anon_sym_ri] = ACTIONS(1),
    [anon_sym_r] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_self] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_constant] = ACTIONS(1),
    [aux_sym_constant_suffix_token1] = ACTIONS(1),
    [sym_instance_variable] = ACTIONS(1),
    [sym_class_variable] = ACTIONS(1),
    [sym_global_variable] = ACTIONS(1),
    [sym_character] = ACTIONS(1),
    [anon_sym_POUND_LBRACE] = ACTIONS(1),
    [sym__line_break] = ACTIONS(1),
    [sym__no_line_break] = ACTIONS(1),
    [sym_simple_symbol] = ACTIONS(1),
    [sym__string_start] = ACTIONS(1),
    [sym__symbol_start] = ACTIONS(1),
    [sym__subshell_start] = ACTIONS(1),
    [sym__regex_start] = ACTIONS(1),
    [sym__string_array_start] = ACTIONS(1),
    [sym__symbol_array_start] = ACTIONS(1),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_string_content] = ACTIONS(1),
    [sym_heredoc_content] = ACTIONS(1),
    [sym__string_end] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_heredoc_beginning] = ACTIONS(1),
    [sym__block_ampersand] = ACTIONS(1),
    [sym__splat_star] = ACTIONS(1),
    [sym__unary_minus] = ACTIONS(1),
    [sym__unary_minus_num] = ACTIONS(1),
    [sym__binary_minus] = ACTIONS(1),
    [sym__binary_star] = ACTIONS(1),
    [sym__singleton_class_left_angle_left_langle] = ACTIONS(1),
    [sym_hash_key_symbol] = ACTIONS(1),
    [sym__identifier_suffix] = ACTIONS(1),
    [sym__constant_suffix] = ACTIONS(1),
    [sym__hash_splat_star_star] = ACTIONS(1),
    [sym__binary_star_star] = ACTIONS(1),
    [sym__element_reference_bracket] = ACTIONS(1),
    [sym__short_interpolation] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(5599),
    [sym__statements] = STATE(5448),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4750),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4691),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3304),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(11),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5759),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(55),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2133),
    [sym__variable] = STATE(10),
    [sym__nonlocal_variable] = STATE(1893),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2094),
    [aux_sym__statements_repeat1] = STATE(306),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [aux_sym_program_token1] = ACTIONS(11),
    [anon_sym___END__] = ACTIONS(13),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(27),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_defined_QMARK] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_undef] = ACTIONS(77),
    [anon_sym_alias] = ACTIONS(79),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(111),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [2] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4371),
    [sym_argument_list] = STATE(2186),
    [sym__argument] = STATE(4451),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(2),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(129),
    [anon_sym_rescue] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_unless] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_until] = ACTIONS(129),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(129),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_elsif] = ACTIONS(129),
    [anon_sym_else] = ACTIONS(129),
    [anon_sym_then] = ACTIONS(129),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(129),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_and] = ACTIONS(129),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(123),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [3] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4369),
    [sym_argument_list] = STATE(2183),
    [sym__argument] = STATE(4451),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(3),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(177),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(129),
    [anon_sym_rescue] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_unless] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_until] = ACTIONS(129),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(129),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(129),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_elsif] = ACTIONS(129),
    [anon_sym_else] = ACTIONS(129),
    [anon_sym_then] = ACTIONS(129),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(129),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_and] = ACTIONS(129),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(123),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [4] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4376),
    [sym_argument_list] = STATE(2189),
    [sym__argument] = STATE(4451),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2277),
    [sym_block] = STATE(2275),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(4),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(177),
    [anon_sym_RBRACE] = ACTIONS(179),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(179),
    [anon_sym_DOT] = ACTIONS(181),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(181),
    [anon_sym_rescue] = ACTIONS(181),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(179),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(181),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(181),
    [anon_sym_unless] = ACTIONS(181),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_until] = ACTIONS(181),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(181),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(181),
    [anon_sym_EQ_GT] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_elsif] = ACTIONS(181),
    [anon_sym_else] = ACTIONS(181),
    [anon_sym_then] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(181),
    [anon_sym_COLON_COLON2] = ACTIONS(179),
    [anon_sym_AMP_DOT] = ACTIONS(179),
    [anon_sym_PLUS_EQ] = ACTIONS(179),
    [anon_sym_DASH_EQ] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(179),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(179),
    [anon_sym_SLASH_EQ] = ACTIONS(179),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(179),
    [anon_sym_PIPE_EQ] = ACTIONS(179),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(179),
    [anon_sym_AMP_EQ] = ACTIONS(179),
    [anon_sym_PERCENT_EQ] = ACTIONS(179),
    [anon_sym_GT_GT_EQ] = ACTIONS(179),
    [anon_sym_LT_LT_EQ] = ACTIONS(179),
    [anon_sym_CARET_EQ] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(181),
    [anon_sym_and] = ACTIONS(181),
    [anon_sym_or] = ACTIONS(181),
    [anon_sym_PIPE_PIPE] = ACTIONS(181),
    [anon_sym_AMP_AMP] = ACTIONS(181),
    [anon_sym_LT_LT] = ACTIONS(181),
    [anon_sym_GT_GT] = ACTIONS(181),
    [anon_sym_LT_EQ] = ACTIONS(181),
    [anon_sym_GT] = ACTIONS(181),
    [anon_sym_GT_EQ] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_SLASH] = ACTIONS(181),
    [anon_sym_PERCENT] = ACTIONS(181),
    [anon_sym_EQ_EQ] = ACTIONS(181),
    [anon_sym_BANG_EQ] = ACTIONS(179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(179),
    [anon_sym_LT_EQ_GT] = ACTIONS(179),
    [anon_sym_EQ_TILDE] = ACTIONS(179),
    [anon_sym_BANG_TILDE] = ACTIONS(179),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(179),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(179),
    [sym__binary_star] = ACTIONS(179),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(179),
    [sym__element_reference_bracket] = ACTIONS(179),
  },
  [5] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4380),
    [sym_argument_list] = STATE(2181),
    [sym__argument] = STATE(4451),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2277),
    [sym_block] = STATE(2275),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(5),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_RBRACE] = ACTIONS(179),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(179),
    [anon_sym_DOT] = ACTIONS(181),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(181),
    [anon_sym_rescue] = ACTIONS(181),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(179),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(181),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(181),
    [anon_sym_unless] = ACTIONS(181),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_until] = ACTIONS(181),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(181),
    [anon_sym_EQ_GT] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_elsif] = ACTIONS(181),
    [anon_sym_else] = ACTIONS(181),
    [anon_sym_then] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(181),
    [anon_sym_COLON_COLON2] = ACTIONS(179),
    [anon_sym_AMP_DOT] = ACTIONS(179),
    [anon_sym_PLUS_EQ] = ACTIONS(179),
    [anon_sym_DASH_EQ] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(179),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(179),
    [anon_sym_SLASH_EQ] = ACTIONS(179),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(179),
    [anon_sym_PIPE_EQ] = ACTIONS(179),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(179),
    [anon_sym_AMP_EQ] = ACTIONS(179),
    [anon_sym_PERCENT_EQ] = ACTIONS(179),
    [anon_sym_GT_GT_EQ] = ACTIONS(179),
    [anon_sym_LT_LT_EQ] = ACTIONS(179),
    [anon_sym_CARET_EQ] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(181),
    [anon_sym_and] = ACTIONS(181),
    [anon_sym_or] = ACTIONS(181),
    [anon_sym_PIPE_PIPE] = ACTIONS(181),
    [anon_sym_AMP_AMP] = ACTIONS(181),
    [anon_sym_LT_LT] = ACTIONS(181),
    [anon_sym_GT_GT] = ACTIONS(181),
    [anon_sym_LT_EQ] = ACTIONS(181),
    [anon_sym_GT] = ACTIONS(181),
    [anon_sym_GT_EQ] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_SLASH] = ACTIONS(181),
    [anon_sym_PERCENT] = ACTIONS(181),
    [anon_sym_EQ_EQ] = ACTIONS(181),
    [anon_sym_BANG_EQ] = ACTIONS(179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(179),
    [anon_sym_LT_EQ_GT] = ACTIONS(179),
    [anon_sym_EQ_TILDE] = ACTIONS(179),
    [anon_sym_BANG_TILDE] = ACTIONS(179),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(179),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(179),
    [sym__binary_star] = ACTIONS(179),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(179),
    [sym__element_reference_bracket] = ACTIONS(179),
  },
  [6] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4371),
    [sym_argument_list] = STATE(2186),
    [sym__argument] = STATE(4451),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(6),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(129),
    [anon_sym_rescue] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_unless] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_until] = ACTIONS(129),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(129),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_elsif] = ACTIONS(129),
    [anon_sym_else] = ACTIONS(129),
    [anon_sym_then] = ACTIONS(129),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(129),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_and] = ACTIONS(129),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(123),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [7] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4380),
    [sym_argument_list] = STATE(2181),
    [sym__argument] = STATE(4451),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2277),
    [sym_block] = STATE(2275),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(7),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(179),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(179),
    [anon_sym_DOT] = ACTIONS(181),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(181),
    [anon_sym_rescue] = ACTIONS(181),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(179),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(181),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(181),
    [anon_sym_unless] = ACTIONS(181),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_until] = ACTIONS(181),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(181),
    [anon_sym_EQ_GT] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_elsif] = ACTIONS(181),
    [anon_sym_else] = ACTIONS(181),
    [anon_sym_then] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(181),
    [anon_sym_COLON_COLON2] = ACTIONS(179),
    [anon_sym_AMP_DOT] = ACTIONS(179),
    [anon_sym_PLUS_EQ] = ACTIONS(179),
    [anon_sym_DASH_EQ] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(179),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(179),
    [anon_sym_SLASH_EQ] = ACTIONS(179),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(179),
    [anon_sym_PIPE_EQ] = ACTIONS(179),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(179),
    [anon_sym_AMP_EQ] = ACTIONS(179),
    [anon_sym_PERCENT_EQ] = ACTIONS(179),
    [anon_sym_GT_GT_EQ] = ACTIONS(179),
    [anon_sym_LT_LT_EQ] = ACTIONS(179),
    [anon_sym_CARET_EQ] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(181),
    [anon_sym_and] = ACTIONS(181),
    [anon_sym_or] = ACTIONS(181),
    [anon_sym_PIPE_PIPE] = ACTIONS(181),
    [anon_sym_AMP_AMP] = ACTIONS(181),
    [anon_sym_LT_LT] = ACTIONS(181),
    [anon_sym_GT_GT] = ACTIONS(181),
    [anon_sym_LT_EQ] = ACTIONS(181),
    [anon_sym_GT] = ACTIONS(181),
    [anon_sym_GT_EQ] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_SLASH] = ACTIONS(181),
    [anon_sym_PERCENT] = ACTIONS(181),
    [anon_sym_EQ_EQ] = ACTIONS(181),
    [anon_sym_BANG_EQ] = ACTIONS(179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(179),
    [anon_sym_LT_EQ_GT] = ACTIONS(179),
    [anon_sym_EQ_TILDE] = ACTIONS(179),
    [anon_sym_BANG_TILDE] = ACTIONS(179),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(179),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(179),
    [sym__binary_star] = ACTIONS(179),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(179),
    [sym__element_reference_bracket] = ACTIONS(179),
  },
  [8] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2876),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2655),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(8),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(289),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4376),
    [sym_argument_list] = STATE(2189),
    [sym__argument] = STATE(4565),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2277),
    [sym_block] = STATE(2275),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5611),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(53),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2121),
    [sym__variable] = STATE(9),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1957),
    [sym_identifier_suffix] = STATE(1959),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2472),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(8),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(179),
    [sym_identifier] = ACTIONS(185),
    [aux_sym_program_token1] = ACTIONS(179),
    [anon_sym___END__] = ACTIONS(181),
    [anon_sym_LBRACE] = ACTIONS(177),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(181),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(181),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(179),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(181),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(189),
    [anon_sym_yield] = ACTIONS(191),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_next] = ACTIONS(195),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(181),
    [anon_sym_unless] = ACTIONS(181),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_until] = ACTIONS(181),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(181),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(179),
    [anon_sym_AMP_DOT] = ACTIONS(179),
    [anon_sym_PLUS_EQ] = ACTIONS(179),
    [anon_sym_DASH_EQ] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(179),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(179),
    [anon_sym_SLASH_EQ] = ACTIONS(179),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(179),
    [anon_sym_PIPE_EQ] = ACTIONS(179),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(179),
    [anon_sym_AMP_EQ] = ACTIONS(179),
    [anon_sym_PERCENT_EQ] = ACTIONS(179),
    [anon_sym_GT_GT_EQ] = ACTIONS(179),
    [anon_sym_LT_LT_EQ] = ACTIONS(179),
    [anon_sym_CARET_EQ] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(181),
    [anon_sym_and] = ACTIONS(181),
    [anon_sym_or] = ACTIONS(181),
    [anon_sym_PIPE_PIPE] = ACTIONS(181),
    [anon_sym_AMP_AMP] = ACTIONS(181),
    [anon_sym_LT_LT] = ACTIONS(181),
    [anon_sym_GT_GT] = ACTIONS(181),
    [anon_sym_LT_EQ] = ACTIONS(181),
    [anon_sym_GT] = ACTIONS(181),
    [anon_sym_GT_EQ] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_SLASH] = ACTIONS(181),
    [anon_sym_PERCENT] = ACTIONS(181),
    [anon_sym_EQ_EQ] = ACTIONS(181),
    [anon_sym_BANG_EQ] = ACTIONS(179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(179),
    [anon_sym_LT_EQ_GT] = ACTIONS(179),
    [anon_sym_EQ_TILDE] = ACTIONS(179),
    [anon_sym_BANG_TILDE] = ACTIONS(179),
    [anon_sym_defined_QMARK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(201),
    [anon_sym_TILDE] = ACTIONS(203),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(185),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(179),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(205),
    [sym__splat_star] = ACTIONS(207),
    [sym__unary_minus] = ACTIONS(209),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(179),
    [sym__binary_star] = ACTIONS(179),
    [sym_hash_key_symbol] = ACTIONS(213),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
    [sym__hash_splat_star_star] = ACTIONS(215),
    [sym__binary_star_star] = ACTIONS(179),
    [sym__element_reference_bracket] = ACTIONS(179),
  },
  [9] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2876),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2655),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(8),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(289),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4369),
    [sym_argument_list] = STATE(2183),
    [sym__argument] = STATE(4565),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5611),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(53),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2121),
    [sym__variable] = STATE(9),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1957),
    [sym_identifier_suffix] = STATE(1959),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2472),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(9),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(123),
    [sym_identifier] = ACTIONS(185),
    [aux_sym_program_token1] = ACTIONS(123),
    [anon_sym___END__] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(177),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(189),
    [anon_sym_yield] = ACTIONS(191),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_next] = ACTIONS(195),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_unless] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_until] = ACTIONS(129),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(129),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_and] = ACTIONS(129),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [anon_sym_defined_QMARK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(201),
    [anon_sym_TILDE] = ACTIONS(203),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(185),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(123),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(205),
    [sym__splat_star] = ACTIONS(207),
    [sym__unary_minus] = ACTIONS(209),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym_hash_key_symbol] = ACTIONS(213),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
    [sym__hash_splat_star_star] = ACTIONS(215),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [10] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2876),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2655),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(8),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(289),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4371),
    [sym_argument_list] = STATE(2186),
    [sym__argument] = STATE(4565),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5611),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(53),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2121),
    [sym__variable] = STATE(9),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1957),
    [sym_identifier_suffix] = STATE(1959),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2472),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(10),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(123),
    [sym_identifier] = ACTIONS(185),
    [aux_sym_program_token1] = ACTIONS(123),
    [anon_sym___END__] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(189),
    [anon_sym_yield] = ACTIONS(191),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_next] = ACTIONS(195),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_unless] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_until] = ACTIONS(129),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_and] = ACTIONS(129),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [anon_sym_defined_QMARK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(201),
    [anon_sym_TILDE] = ACTIONS(203),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(185),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(123),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(205),
    [sym__splat_star] = ACTIONS(207),
    [sym__unary_minus] = ACTIONS(209),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym_hash_key_symbol] = ACTIONS(213),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
    [sym__hash_splat_star_star] = ACTIONS(215),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [11] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2876),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2655),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(8),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(289),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4380),
    [sym_argument_list] = STATE(2181),
    [sym__argument] = STATE(4565),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2277),
    [sym_block] = STATE(2275),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5611),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(53),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2121),
    [sym__variable] = STATE(9),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1957),
    [sym_identifier_suffix] = STATE(1959),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2472),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(11),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(179),
    [sym_identifier] = ACTIONS(185),
    [aux_sym_program_token1] = ACTIONS(179),
    [anon_sym___END__] = ACTIONS(181),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(181),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(181),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(179),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(181),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(189),
    [anon_sym_yield] = ACTIONS(191),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_next] = ACTIONS(195),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(181),
    [anon_sym_unless] = ACTIONS(181),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_until] = ACTIONS(181),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(179),
    [anon_sym_AMP_DOT] = ACTIONS(179),
    [anon_sym_PLUS_EQ] = ACTIONS(179),
    [anon_sym_DASH_EQ] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(179),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(179),
    [anon_sym_SLASH_EQ] = ACTIONS(179),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(179),
    [anon_sym_PIPE_EQ] = ACTIONS(179),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(179),
    [anon_sym_AMP_EQ] = ACTIONS(179),
    [anon_sym_PERCENT_EQ] = ACTIONS(179),
    [anon_sym_GT_GT_EQ] = ACTIONS(179),
    [anon_sym_LT_LT_EQ] = ACTIONS(179),
    [anon_sym_CARET_EQ] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(181),
    [anon_sym_and] = ACTIONS(181),
    [anon_sym_or] = ACTIONS(181),
    [anon_sym_PIPE_PIPE] = ACTIONS(181),
    [anon_sym_AMP_AMP] = ACTIONS(181),
    [anon_sym_LT_LT] = ACTIONS(181),
    [anon_sym_GT_GT] = ACTIONS(181),
    [anon_sym_LT_EQ] = ACTIONS(181),
    [anon_sym_GT] = ACTIONS(181),
    [anon_sym_GT_EQ] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_SLASH] = ACTIONS(181),
    [anon_sym_PERCENT] = ACTIONS(181),
    [anon_sym_EQ_EQ] = ACTIONS(181),
    [anon_sym_BANG_EQ] = ACTIONS(179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(179),
    [anon_sym_LT_EQ_GT] = ACTIONS(179),
    [anon_sym_EQ_TILDE] = ACTIONS(179),
    [anon_sym_BANG_TILDE] = ACTIONS(179),
    [anon_sym_defined_QMARK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(201),
    [anon_sym_TILDE] = ACTIONS(203),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(185),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(179),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(205),
    [sym__splat_star] = ACTIONS(207),
    [sym__unary_minus] = ACTIONS(209),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(179),
    [sym__binary_star] = ACTIONS(179),
    [sym_hash_key_symbol] = ACTIONS(213),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
    [sym__hash_splat_star_star] = ACTIONS(215),
    [sym__binary_star_star] = ACTIONS(179),
    [sym__element_reference_bracket] = ACTIONS(179),
  },
  [12] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2876),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2655),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(8),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(289),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4380),
    [sym_argument_list] = STATE(2181),
    [sym__argument] = STATE(4565),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2277),
    [sym_block] = STATE(2275),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5611),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(53),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2121),
    [sym__variable] = STATE(9),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1957),
    [sym_identifier_suffix] = STATE(1959),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2472),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(12),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(179),
    [sym_identifier] = ACTIONS(185),
    [aux_sym_program_token1] = ACTIONS(179),
    [anon_sym___END__] = ACTIONS(181),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(181),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(181),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(179),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(181),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(189),
    [anon_sym_yield] = ACTIONS(191),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_next] = ACTIONS(195),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(181),
    [anon_sym_unless] = ACTIONS(181),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_until] = ACTIONS(181),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(179),
    [anon_sym_AMP_DOT] = ACTIONS(179),
    [anon_sym_PLUS_EQ] = ACTIONS(179),
    [anon_sym_DASH_EQ] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(179),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(179),
    [anon_sym_SLASH_EQ] = ACTIONS(179),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(179),
    [anon_sym_PIPE_EQ] = ACTIONS(179),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(179),
    [anon_sym_AMP_EQ] = ACTIONS(179),
    [anon_sym_PERCENT_EQ] = ACTIONS(179),
    [anon_sym_GT_GT_EQ] = ACTIONS(179),
    [anon_sym_LT_LT_EQ] = ACTIONS(179),
    [anon_sym_CARET_EQ] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(181),
    [anon_sym_and] = ACTIONS(181),
    [anon_sym_or] = ACTIONS(181),
    [anon_sym_PIPE_PIPE] = ACTIONS(181),
    [anon_sym_AMP_AMP] = ACTIONS(181),
    [anon_sym_LT_LT] = ACTIONS(181),
    [anon_sym_GT_GT] = ACTIONS(181),
    [anon_sym_LT_EQ] = ACTIONS(181),
    [anon_sym_GT] = ACTIONS(181),
    [anon_sym_GT_EQ] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_SLASH] = ACTIONS(181),
    [anon_sym_PERCENT] = ACTIONS(181),
    [anon_sym_EQ_EQ] = ACTIONS(181),
    [anon_sym_BANG_EQ] = ACTIONS(179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(179),
    [anon_sym_LT_EQ_GT] = ACTIONS(179),
    [anon_sym_EQ_TILDE] = ACTIONS(179),
    [anon_sym_BANG_TILDE] = ACTIONS(179),
    [anon_sym_defined_QMARK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(201),
    [anon_sym_TILDE] = ACTIONS(203),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(185),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(179),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(205),
    [sym__splat_star] = ACTIONS(207),
    [sym__unary_minus] = ACTIONS(209),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(179),
    [sym__binary_star] = ACTIONS(179),
    [sym_hash_key_symbol] = ACTIONS(213),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
    [sym__hash_splat_star_star] = ACTIONS(215),
    [sym__binary_star_star] = ACTIONS(179),
    [sym__element_reference_bracket] = ACTIONS(179),
  },
  [13] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2876),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2655),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(8),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(289),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4371),
    [sym_argument_list] = STATE(2186),
    [sym__argument] = STATE(4565),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5611),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(53),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2121),
    [sym__variable] = STATE(9),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1957),
    [sym_identifier_suffix] = STATE(1959),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2472),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(13),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(123),
    [sym_identifier] = ACTIONS(185),
    [aux_sym_program_token1] = ACTIONS(123),
    [anon_sym___END__] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(189),
    [anon_sym_yield] = ACTIONS(191),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_next] = ACTIONS(195),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_unless] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_until] = ACTIONS(129),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_and] = ACTIONS(129),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [anon_sym_defined_QMARK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(201),
    [anon_sym_TILDE] = ACTIONS(203),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(185),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(123),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(205),
    [sym__splat_star] = ACTIONS(207),
    [sym__unary_minus] = ACTIONS(209),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym_hash_key_symbol] = ACTIONS(213),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
    [sym__hash_splat_star_star] = ACTIONS(215),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [14] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4380),
    [sym_argument_list] = STATE(2181),
    [sym__argument] = STATE(4782),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2277),
    [sym_block] = STATE(2275),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(14),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(181),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(181),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(179),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(181),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_then] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(179),
    [anon_sym_AMP_DOT] = ACTIONS(179),
    [anon_sym_PLUS_EQ] = ACTIONS(179),
    [anon_sym_DASH_EQ] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(179),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(179),
    [anon_sym_SLASH_EQ] = ACTIONS(179),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(179),
    [anon_sym_PIPE_EQ] = ACTIONS(179),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(179),
    [anon_sym_AMP_EQ] = ACTIONS(179),
    [anon_sym_PERCENT_EQ] = ACTIONS(179),
    [anon_sym_GT_GT_EQ] = ACTIONS(179),
    [anon_sym_LT_LT_EQ] = ACTIONS(179),
    [anon_sym_CARET_EQ] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(181),
    [anon_sym_and] = ACTIONS(181),
    [anon_sym_or] = ACTIONS(181),
    [anon_sym_PIPE_PIPE] = ACTIONS(181),
    [anon_sym_AMP_AMP] = ACTIONS(181),
    [anon_sym_LT_LT] = ACTIONS(181),
    [anon_sym_GT_GT] = ACTIONS(181),
    [anon_sym_LT_EQ] = ACTIONS(181),
    [anon_sym_GT] = ACTIONS(181),
    [anon_sym_GT_EQ] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_SLASH] = ACTIONS(181),
    [anon_sym_PERCENT] = ACTIONS(181),
    [anon_sym_EQ_EQ] = ACTIONS(181),
    [anon_sym_BANG_EQ] = ACTIONS(179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(179),
    [anon_sym_LT_EQ_GT] = ACTIONS(179),
    [anon_sym_EQ_TILDE] = ACTIONS(179),
    [anon_sym_BANG_TILDE] = ACTIONS(179),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(229),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(179),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(179),
    [sym__binary_star] = ACTIONS(179),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(179),
    [sym__element_reference_bracket] = ACTIONS(179),
  },
  [15] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4371),
    [sym_argument_list] = STATE(2186),
    [sym__argument] = STATE(4782),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(15),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_then] = ACTIONS(129),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_and] = ACTIONS(129),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(229),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(123),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [16] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4380),
    [sym_argument_list] = STATE(2181),
    [sym__argument] = STATE(4782),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2277),
    [sym_block] = STATE(2275),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(16),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(181),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(181),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(179),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(181),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_then] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(179),
    [anon_sym_AMP_DOT] = ACTIONS(179),
    [anon_sym_PLUS_EQ] = ACTIONS(179),
    [anon_sym_DASH_EQ] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(179),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(179),
    [anon_sym_SLASH_EQ] = ACTIONS(179),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(179),
    [anon_sym_PIPE_EQ] = ACTIONS(179),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(179),
    [anon_sym_AMP_EQ] = ACTIONS(179),
    [anon_sym_PERCENT_EQ] = ACTIONS(179),
    [anon_sym_GT_GT_EQ] = ACTIONS(179),
    [anon_sym_LT_LT_EQ] = ACTIONS(179),
    [anon_sym_CARET_EQ] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(181),
    [anon_sym_and] = ACTIONS(181),
    [anon_sym_or] = ACTIONS(181),
    [anon_sym_PIPE_PIPE] = ACTIONS(181),
    [anon_sym_AMP_AMP] = ACTIONS(181),
    [anon_sym_LT_LT] = ACTIONS(181),
    [anon_sym_GT_GT] = ACTIONS(181),
    [anon_sym_LT_EQ] = ACTIONS(181),
    [anon_sym_GT] = ACTIONS(181),
    [anon_sym_GT_EQ] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_SLASH] = ACTIONS(181),
    [anon_sym_PERCENT] = ACTIONS(181),
    [anon_sym_EQ_EQ] = ACTIONS(181),
    [anon_sym_BANG_EQ] = ACTIONS(179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(179),
    [anon_sym_LT_EQ_GT] = ACTIONS(179),
    [anon_sym_EQ_TILDE] = ACTIONS(179),
    [anon_sym_BANG_TILDE] = ACTIONS(179),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(229),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(179),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(179),
    [sym__binary_star] = ACTIONS(179),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(179),
    [sym__element_reference_bracket] = ACTIONS(179),
  },
  [17] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4376),
    [sym_argument_list] = STATE(2189),
    [sym__argument] = STATE(4782),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2277),
    [sym_block] = STATE(2275),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(17),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(177),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(181),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(181),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(179),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(181),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(181),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_then] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(179),
    [anon_sym_AMP_DOT] = ACTIONS(179),
    [anon_sym_PLUS_EQ] = ACTIONS(179),
    [anon_sym_DASH_EQ] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(179),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(179),
    [anon_sym_SLASH_EQ] = ACTIONS(179),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(179),
    [anon_sym_PIPE_EQ] = ACTIONS(179),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(179),
    [anon_sym_AMP_EQ] = ACTIONS(179),
    [anon_sym_PERCENT_EQ] = ACTIONS(179),
    [anon_sym_GT_GT_EQ] = ACTIONS(179),
    [anon_sym_LT_LT_EQ] = ACTIONS(179),
    [anon_sym_CARET_EQ] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(181),
    [anon_sym_and] = ACTIONS(181),
    [anon_sym_or] = ACTIONS(181),
    [anon_sym_PIPE_PIPE] = ACTIONS(181),
    [anon_sym_AMP_AMP] = ACTIONS(181),
    [anon_sym_LT_LT] = ACTIONS(181),
    [anon_sym_GT_GT] = ACTIONS(181),
    [anon_sym_LT_EQ] = ACTIONS(181),
    [anon_sym_GT] = ACTIONS(181),
    [anon_sym_GT_EQ] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_SLASH] = ACTIONS(181),
    [anon_sym_PERCENT] = ACTIONS(181),
    [anon_sym_EQ_EQ] = ACTIONS(181),
    [anon_sym_BANG_EQ] = ACTIONS(179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(179),
    [anon_sym_LT_EQ_GT] = ACTIONS(179),
    [anon_sym_EQ_TILDE] = ACTIONS(179),
    [anon_sym_BANG_TILDE] = ACTIONS(179),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(229),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(179),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(179),
    [sym__binary_star] = ACTIONS(179),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(179),
    [sym__element_reference_bracket] = ACTIONS(179),
  },
  [18] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4371),
    [sym_argument_list] = STATE(2186),
    [sym__argument] = STATE(4782),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(18),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_then] = ACTIONS(129),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_and] = ACTIONS(129),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(229),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(123),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [19] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4369),
    [sym_argument_list] = STATE(2183),
    [sym__argument] = STATE(4782),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(19),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(177),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(129),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_then] = ACTIONS(129),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_and] = ACTIONS(129),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(229),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(123),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [20] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3534),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(31),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(347),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4380),
    [sym_argument_list] = STATE(2181),
    [sym__argument] = STATE(4813),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2277),
    [sym_block] = STATE(2275),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5844),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(62),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2265),
    [sym__variable] = STATE(21),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1975),
    [sym_identifier_suffix] = STATE(1973),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2825),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(20),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(181),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(179),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(181),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_yield] = ACTIONS(241),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_next] = ACTIONS(245),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_then] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(179),
    [anon_sym_AMP_DOT] = ACTIONS(179),
    [anon_sym_PLUS_EQ] = ACTIONS(179),
    [anon_sym_DASH_EQ] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(179),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(179),
    [anon_sym_SLASH_EQ] = ACTIONS(179),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(179),
    [anon_sym_PIPE_EQ] = ACTIONS(179),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(179),
    [anon_sym_AMP_EQ] = ACTIONS(179),
    [anon_sym_PERCENT_EQ] = ACTIONS(179),
    [anon_sym_GT_GT_EQ] = ACTIONS(179),
    [anon_sym_LT_LT_EQ] = ACTIONS(179),
    [anon_sym_CARET_EQ] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(181),
    [anon_sym_and] = ACTIONS(181),
    [anon_sym_or] = ACTIONS(181),
    [anon_sym_PIPE_PIPE] = ACTIONS(181),
    [anon_sym_AMP_AMP] = ACTIONS(181),
    [anon_sym_LT_LT] = ACTIONS(181),
    [anon_sym_GT_GT] = ACTIONS(181),
    [anon_sym_LT_EQ] = ACTIONS(181),
    [anon_sym_GT] = ACTIONS(181),
    [anon_sym_GT_EQ] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_SLASH] = ACTIONS(181),
    [anon_sym_PERCENT] = ACTIONS(181),
    [anon_sym_EQ_EQ] = ACTIONS(181),
    [anon_sym_BANG_EQ] = ACTIONS(179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(179),
    [anon_sym_LT_EQ_GT] = ACTIONS(179),
    [anon_sym_EQ_TILDE] = ACTIONS(179),
    [anon_sym_BANG_TILDE] = ACTIONS(179),
    [anon_sym_defined_QMARK] = ACTIONS(247),
    [anon_sym_not] = ACTIONS(249),
    [anon_sym_BANG] = ACTIONS(251),
    [anon_sym_TILDE] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(235),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(179),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(257),
    [sym__splat_star] = ACTIONS(259),
    [sym__unary_minus] = ACTIONS(261),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(179),
    [sym__binary_star] = ACTIONS(179),
    [sym_hash_key_symbol] = ACTIONS(265),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(267),
    [sym__binary_star_star] = ACTIONS(179),
    [sym__element_reference_bracket] = ACTIONS(179),
  },
  [21] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3534),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(31),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(347),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4369),
    [sym_argument_list] = STATE(2183),
    [sym__argument] = STATE(4813),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5844),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(62),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2265),
    [sym__variable] = STATE(21),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1975),
    [sym_identifier_suffix] = STATE(1973),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2825),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(21),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(177),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_yield] = ACTIONS(241),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_next] = ACTIONS(245),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(129),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_then] = ACTIONS(129),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_and] = ACTIONS(129),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [anon_sym_defined_QMARK] = ACTIONS(247),
    [anon_sym_not] = ACTIONS(249),
    [anon_sym_BANG] = ACTIONS(251),
    [anon_sym_TILDE] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(235),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(123),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(257),
    [sym__splat_star] = ACTIONS(259),
    [sym__unary_minus] = ACTIONS(261),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym_hash_key_symbol] = ACTIONS(265),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(267),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [22] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3577),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4809),
    [sym_argument_list] = STATE(3043),
    [sym__argument] = STATE(4840),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_do_block] = STATE(2878),
    [sym_block] = STATE(2879),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1963),
    [sym_identifier_suffix] = STATE(1965),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2816),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(22),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(271),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(179),
    [anon_sym_DOT] = ACTIONS(181),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(181),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(179),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(181),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(181),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(179),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(179),
    [anon_sym_AMP_DOT] = ACTIONS(179),
    [anon_sym_PLUS_EQ] = ACTIONS(179),
    [anon_sym_DASH_EQ] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(179),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(179),
    [anon_sym_SLASH_EQ] = ACTIONS(179),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(179),
    [anon_sym_PIPE_EQ] = ACTIONS(179),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(179),
    [anon_sym_AMP_EQ] = ACTIONS(179),
    [anon_sym_PERCENT_EQ] = ACTIONS(179),
    [anon_sym_GT_GT_EQ] = ACTIONS(179),
    [anon_sym_LT_LT_EQ] = ACTIONS(179),
    [anon_sym_CARET_EQ] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(181),
    [anon_sym_and] = ACTIONS(181),
    [anon_sym_or] = ACTIONS(181),
    [anon_sym_PIPE_PIPE] = ACTIONS(181),
    [anon_sym_AMP_AMP] = ACTIONS(181),
    [anon_sym_LT_LT] = ACTIONS(181),
    [anon_sym_GT_GT] = ACTIONS(181),
    [anon_sym_LT_EQ] = ACTIONS(181),
    [anon_sym_GT] = ACTIONS(181),
    [anon_sym_GT_EQ] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_SLASH] = ACTIONS(181),
    [anon_sym_PERCENT] = ACTIONS(181),
    [anon_sym_EQ_EQ] = ACTIONS(181),
    [anon_sym_BANG_EQ] = ACTIONS(179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(179),
    [anon_sym_LT_EQ_GT] = ACTIONS(179),
    [anon_sym_EQ_TILDE] = ACTIONS(179),
    [anon_sym_BANG_TILDE] = ACTIONS(179),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(269),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(353),
    [sym__splat_star] = ACTIONS(355),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(179),
    [sym__binary_star] = ACTIONS(179),
    [sym_hash_key_symbol] = ACTIONS(361),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(365),
    [sym__binary_star_star] = ACTIONS(179),
    [sym__element_reference_bracket] = ACTIONS(179),
  },
  [23] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4369),
    [sym_argument_list] = STATE(2183),
    [sym__argument] = STATE(4451),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(23),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_unless] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_until] = ACTIONS(129),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(129),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_and] = ACTIONS(129),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(123),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [24] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4376),
    [sym_argument_list] = STATE(2189),
    [sym__argument] = STATE(4451),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2277),
    [sym_block] = STATE(2275),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(24),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(181),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(181),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(179),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(181),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(181),
    [anon_sym_unless] = ACTIONS(181),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_until] = ACTIONS(181),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(181),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(179),
    [anon_sym_AMP_DOT] = ACTIONS(179),
    [anon_sym_PLUS_EQ] = ACTIONS(179),
    [anon_sym_DASH_EQ] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(179),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(179),
    [anon_sym_SLASH_EQ] = ACTIONS(179),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(179),
    [anon_sym_PIPE_EQ] = ACTIONS(179),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(179),
    [anon_sym_AMP_EQ] = ACTIONS(179),
    [anon_sym_PERCENT_EQ] = ACTIONS(179),
    [anon_sym_GT_GT_EQ] = ACTIONS(179),
    [anon_sym_LT_LT_EQ] = ACTIONS(179),
    [anon_sym_CARET_EQ] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(181),
    [anon_sym_and] = ACTIONS(181),
    [anon_sym_or] = ACTIONS(181),
    [anon_sym_PIPE_PIPE] = ACTIONS(181),
    [anon_sym_AMP_AMP] = ACTIONS(181),
    [anon_sym_LT_LT] = ACTIONS(181),
    [anon_sym_GT_GT] = ACTIONS(181),
    [anon_sym_LT_EQ] = ACTIONS(181),
    [anon_sym_GT] = ACTIONS(181),
    [anon_sym_GT_EQ] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_SLASH] = ACTIONS(181),
    [anon_sym_PERCENT] = ACTIONS(181),
    [anon_sym_EQ_EQ] = ACTIONS(181),
    [anon_sym_BANG_EQ] = ACTIONS(179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(179),
    [anon_sym_LT_EQ_GT] = ACTIONS(179),
    [anon_sym_EQ_TILDE] = ACTIONS(179),
    [anon_sym_BANG_TILDE] = ACTIONS(179),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(179),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(179),
    [sym__binary_star] = ACTIONS(179),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(179),
    [sym__element_reference_bracket] = ACTIONS(179),
  },
  [25] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3577),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4790),
    [sym_argument_list] = STATE(3073),
    [sym__argument] = STATE(4840),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_do_block] = STATE(2880),
    [sym_block] = STATE(2881),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1963),
    [sym_identifier_suffix] = STATE(1965),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2816),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(25),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(271),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(129),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_and] = ACTIONS(129),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(269),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(353),
    [sym__splat_star] = ACTIONS(355),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym_hash_key_symbol] = ACTIONS(361),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(365),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [26] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4369),
    [sym_argument_list] = STATE(2183),
    [sym__argument] = STATE(4451),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(26),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(369),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_unless] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_until] = ACTIONS(129),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(129),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_and] = ACTIONS(129),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(123),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [27] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3577),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4783),
    [sym_argument_list] = STATE(2755),
    [sym__argument] = STATE(4840),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_do_block] = STATE(2880),
    [sym_block] = STATE(2881),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1963),
    [sym_identifier_suffix] = STATE(1965),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2816),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(27),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(373),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_and] = ACTIONS(129),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(269),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(353),
    [sym__splat_star] = ACTIONS(355),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym_hash_key_symbol] = ACTIONS(361),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(365),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [28] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3577),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4788),
    [sym_argument_list] = STATE(2766),
    [sym__argument] = STATE(4840),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_do_block] = STATE(2878),
    [sym_block] = STATE(2879),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1963),
    [sym_identifier_suffix] = STATE(1965),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2816),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(28),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(179),
    [anon_sym_DOT] = ACTIONS(181),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(181),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(179),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(181),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(373),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(179),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(179),
    [anon_sym_AMP_DOT] = ACTIONS(179),
    [anon_sym_PLUS_EQ] = ACTIONS(179),
    [anon_sym_DASH_EQ] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(179),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(179),
    [anon_sym_SLASH_EQ] = ACTIONS(179),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(179),
    [anon_sym_PIPE_EQ] = ACTIONS(179),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(179),
    [anon_sym_AMP_EQ] = ACTIONS(179),
    [anon_sym_PERCENT_EQ] = ACTIONS(179),
    [anon_sym_GT_GT_EQ] = ACTIONS(179),
    [anon_sym_LT_LT_EQ] = ACTIONS(179),
    [anon_sym_CARET_EQ] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(181),
    [anon_sym_and] = ACTIONS(181),
    [anon_sym_or] = ACTIONS(181),
    [anon_sym_PIPE_PIPE] = ACTIONS(181),
    [anon_sym_AMP_AMP] = ACTIONS(181),
    [anon_sym_LT_LT] = ACTIONS(181),
    [anon_sym_GT_GT] = ACTIONS(181),
    [anon_sym_LT_EQ] = ACTIONS(181),
    [anon_sym_GT] = ACTIONS(181),
    [anon_sym_GT_EQ] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_SLASH] = ACTIONS(181),
    [anon_sym_PERCENT] = ACTIONS(181),
    [anon_sym_EQ_EQ] = ACTIONS(181),
    [anon_sym_BANG_EQ] = ACTIONS(179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(179),
    [anon_sym_LT_EQ_GT] = ACTIONS(179),
    [anon_sym_EQ_TILDE] = ACTIONS(179),
    [anon_sym_BANG_TILDE] = ACTIONS(179),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(269),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(353),
    [sym__splat_star] = ACTIONS(355),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(179),
    [sym__binary_star] = ACTIONS(179),
    [sym_hash_key_symbol] = ACTIONS(361),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(365),
    [sym__binary_star_star] = ACTIONS(179),
    [sym__element_reference_bracket] = ACTIONS(179),
  },
  [29] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4376),
    [sym_argument_list] = STATE(2189),
    [sym__argument] = STATE(4451),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2277),
    [sym_block] = STATE(2275),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(29),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(369),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(181),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(181),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(179),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(181),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(181),
    [anon_sym_unless] = ACTIONS(181),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_until] = ACTIONS(181),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(181),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(179),
    [anon_sym_AMP_DOT] = ACTIONS(179),
    [anon_sym_PLUS_EQ] = ACTIONS(179),
    [anon_sym_DASH_EQ] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(179),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(179),
    [anon_sym_SLASH_EQ] = ACTIONS(179),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(179),
    [anon_sym_PIPE_EQ] = ACTIONS(179),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(179),
    [anon_sym_AMP_EQ] = ACTIONS(179),
    [anon_sym_PERCENT_EQ] = ACTIONS(179),
    [anon_sym_GT_GT_EQ] = ACTIONS(179),
    [anon_sym_LT_LT_EQ] = ACTIONS(179),
    [anon_sym_CARET_EQ] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(181),
    [anon_sym_and] = ACTIONS(181),
    [anon_sym_or] = ACTIONS(181),
    [anon_sym_PIPE_PIPE] = ACTIONS(181),
    [anon_sym_AMP_AMP] = ACTIONS(181),
    [anon_sym_LT_LT] = ACTIONS(181),
    [anon_sym_GT_GT] = ACTIONS(181),
    [anon_sym_LT_EQ] = ACTIONS(181),
    [anon_sym_GT] = ACTIONS(181),
    [anon_sym_GT_EQ] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_SLASH] = ACTIONS(181),
    [anon_sym_PERCENT] = ACTIONS(181),
    [anon_sym_EQ_EQ] = ACTIONS(181),
    [anon_sym_BANG_EQ] = ACTIONS(179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(179),
    [anon_sym_LT_EQ_GT] = ACTIONS(179),
    [anon_sym_EQ_TILDE] = ACTIONS(179),
    [anon_sym_BANG_TILDE] = ACTIONS(179),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(179),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(179),
    [sym__binary_star] = ACTIONS(179),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(179),
    [sym__element_reference_bracket] = ACTIONS(179),
  },
  [30] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3534),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(31),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(347),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4380),
    [sym_argument_list] = STATE(2181),
    [sym__argument] = STATE(4813),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2277),
    [sym_block] = STATE(2275),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5844),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(62),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2265),
    [sym__variable] = STATE(21),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1975),
    [sym_identifier_suffix] = STATE(1973),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2825),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(30),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(181),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(179),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(181),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_yield] = ACTIONS(241),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_next] = ACTIONS(245),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_then] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(179),
    [anon_sym_AMP_DOT] = ACTIONS(179),
    [anon_sym_PLUS_EQ] = ACTIONS(179),
    [anon_sym_DASH_EQ] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(179),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(179),
    [anon_sym_SLASH_EQ] = ACTIONS(179),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(179),
    [anon_sym_PIPE_EQ] = ACTIONS(179),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(179),
    [anon_sym_AMP_EQ] = ACTIONS(179),
    [anon_sym_PERCENT_EQ] = ACTIONS(179),
    [anon_sym_GT_GT_EQ] = ACTIONS(179),
    [anon_sym_LT_LT_EQ] = ACTIONS(179),
    [anon_sym_CARET_EQ] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(181),
    [anon_sym_and] = ACTIONS(181),
    [anon_sym_or] = ACTIONS(181),
    [anon_sym_PIPE_PIPE] = ACTIONS(181),
    [anon_sym_AMP_AMP] = ACTIONS(181),
    [anon_sym_LT_LT] = ACTIONS(181),
    [anon_sym_GT_GT] = ACTIONS(181),
    [anon_sym_LT_EQ] = ACTIONS(181),
    [anon_sym_GT] = ACTIONS(181),
    [anon_sym_GT_EQ] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_SLASH] = ACTIONS(181),
    [anon_sym_PERCENT] = ACTIONS(181),
    [anon_sym_EQ_EQ] = ACTIONS(181),
    [anon_sym_BANG_EQ] = ACTIONS(179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(179),
    [anon_sym_LT_EQ_GT] = ACTIONS(179),
    [anon_sym_EQ_TILDE] = ACTIONS(179),
    [anon_sym_BANG_TILDE] = ACTIONS(179),
    [anon_sym_defined_QMARK] = ACTIONS(247),
    [anon_sym_not] = ACTIONS(249),
    [anon_sym_BANG] = ACTIONS(251),
    [anon_sym_TILDE] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(235),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(179),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(257),
    [sym__splat_star] = ACTIONS(259),
    [sym__unary_minus] = ACTIONS(261),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(179),
    [sym__binary_star] = ACTIONS(179),
    [sym_hash_key_symbol] = ACTIONS(265),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(267),
    [sym__binary_star_star] = ACTIONS(179),
    [sym__element_reference_bracket] = ACTIONS(179),
  },
  [31] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3534),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(31),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(347),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4376),
    [sym_argument_list] = STATE(2189),
    [sym__argument] = STATE(4813),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2277),
    [sym_block] = STATE(2275),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5844),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(62),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2265),
    [sym__variable] = STATE(21),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1975),
    [sym_identifier_suffix] = STATE(1973),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2825),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(31),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(177),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(181),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(179),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(181),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_yield] = ACTIONS(241),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_next] = ACTIONS(245),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(181),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_then] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(179),
    [anon_sym_AMP_DOT] = ACTIONS(179),
    [anon_sym_PLUS_EQ] = ACTIONS(179),
    [anon_sym_DASH_EQ] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(179),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(179),
    [anon_sym_SLASH_EQ] = ACTIONS(179),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(179),
    [anon_sym_PIPE_EQ] = ACTIONS(179),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(179),
    [anon_sym_AMP_EQ] = ACTIONS(179),
    [anon_sym_PERCENT_EQ] = ACTIONS(179),
    [anon_sym_GT_GT_EQ] = ACTIONS(179),
    [anon_sym_LT_LT_EQ] = ACTIONS(179),
    [anon_sym_CARET_EQ] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(181),
    [anon_sym_and] = ACTIONS(181),
    [anon_sym_or] = ACTIONS(181),
    [anon_sym_PIPE_PIPE] = ACTIONS(181),
    [anon_sym_AMP_AMP] = ACTIONS(181),
    [anon_sym_LT_LT] = ACTIONS(181),
    [anon_sym_GT_GT] = ACTIONS(181),
    [anon_sym_LT_EQ] = ACTIONS(181),
    [anon_sym_GT] = ACTIONS(181),
    [anon_sym_GT_EQ] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_SLASH] = ACTIONS(181),
    [anon_sym_PERCENT] = ACTIONS(181),
    [anon_sym_EQ_EQ] = ACTIONS(181),
    [anon_sym_BANG_EQ] = ACTIONS(179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(179),
    [anon_sym_LT_EQ_GT] = ACTIONS(179),
    [anon_sym_EQ_TILDE] = ACTIONS(179),
    [anon_sym_BANG_TILDE] = ACTIONS(179),
    [anon_sym_defined_QMARK] = ACTIONS(247),
    [anon_sym_not] = ACTIONS(249),
    [anon_sym_BANG] = ACTIONS(251),
    [anon_sym_TILDE] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(235),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(179),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(257),
    [sym__splat_star] = ACTIONS(259),
    [sym__unary_minus] = ACTIONS(261),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(179),
    [sym__binary_star] = ACTIONS(179),
    [sym_hash_key_symbol] = ACTIONS(265),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(267),
    [sym__binary_star_star] = ACTIONS(179),
    [sym__element_reference_bracket] = ACTIONS(179),
  },
  [32] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3534),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(31),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(347),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4371),
    [sym_argument_list] = STATE(2186),
    [sym__argument] = STATE(4813),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5844),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(62),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2265),
    [sym__variable] = STATE(21),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1975),
    [sym_identifier_suffix] = STATE(1973),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2825),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(32),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_yield] = ACTIONS(241),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_next] = ACTIONS(245),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_then] = ACTIONS(129),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_and] = ACTIONS(129),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [anon_sym_defined_QMARK] = ACTIONS(247),
    [anon_sym_not] = ACTIONS(249),
    [anon_sym_BANG] = ACTIONS(251),
    [anon_sym_TILDE] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(235),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(123),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(257),
    [sym__splat_star] = ACTIONS(259),
    [sym__unary_minus] = ACTIONS(261),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym_hash_key_symbol] = ACTIONS(265),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(267),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [33] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3534),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(31),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(347),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4371),
    [sym_argument_list] = STATE(2186),
    [sym__argument] = STATE(4813),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5844),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(62),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2265),
    [sym__variable] = STATE(21),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1975),
    [sym_identifier_suffix] = STATE(1973),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2825),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(33),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_yield] = ACTIONS(241),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_next] = ACTIONS(245),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_then] = ACTIONS(129),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_and] = ACTIONS(129),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [anon_sym_defined_QMARK] = ACTIONS(247),
    [anon_sym_not] = ACTIONS(249),
    [anon_sym_BANG] = ACTIONS(251),
    [anon_sym_TILDE] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(235),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(123),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(257),
    [sym__splat_star] = ACTIONS(259),
    [sym__unary_minus] = ACTIONS(261),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym_hash_key_symbol] = ACTIONS(265),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(267),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [34] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3577),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4783),
    [sym_argument_list] = STATE(2755),
    [sym__argument] = STATE(4840),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_do_block] = STATE(2880),
    [sym_block] = STATE(2881),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1963),
    [sym_identifier_suffix] = STATE(1965),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2816),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(34),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(375),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(373),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_and] = ACTIONS(129),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(269),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(353),
    [sym__splat_star] = ACTIONS(355),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym_hash_key_symbol] = ACTIONS(361),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(365),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [35] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3722),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(37),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(351),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4783),
    [sym_argument_list] = STATE(2755),
    [sym__argument] = STATE(4933),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_do_block] = STATE(2880),
    [sym_block] = STATE(2881),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5746),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(72),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2370),
    [sym__variable] = STATE(36),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1983),
    [sym_identifier_suffix] = STATE(1982),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3011),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(35),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(383),
    [anon_sym_break] = ACTIONS(385),
    [anon_sym_next] = ACTIONS(387),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(373),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_and] = ACTIONS(129),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [anon_sym_defined_QMARK] = ACTIONS(389),
    [anon_sym_not] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_TILDE] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(377),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(399),
    [sym__splat_star] = ACTIONS(401),
    [sym__unary_minus] = ACTIONS(403),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym_hash_key_symbol] = ACTIONS(407),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(409),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [36] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3722),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(37),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(351),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4790),
    [sym_argument_list] = STATE(3073),
    [sym__argument] = STATE(4933),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_do_block] = STATE(2880),
    [sym_block] = STATE(2881),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5746),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(72),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2370),
    [sym__variable] = STATE(36),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1983),
    [sym_identifier_suffix] = STATE(1982),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3011),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(36),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_LBRACE] = ACTIONS(271),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(383),
    [anon_sym_break] = ACTIONS(385),
    [anon_sym_next] = ACTIONS(387),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(129),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_and] = ACTIONS(129),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [anon_sym_defined_QMARK] = ACTIONS(389),
    [anon_sym_not] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_TILDE] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(377),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(399),
    [sym__splat_star] = ACTIONS(401),
    [sym__unary_minus] = ACTIONS(403),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym_hash_key_symbol] = ACTIONS(407),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(409),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [37] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3722),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(37),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(351),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4809),
    [sym_argument_list] = STATE(3043),
    [sym__argument] = STATE(4933),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_do_block] = STATE(2878),
    [sym_block] = STATE(2879),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5746),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(72),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2370),
    [sym__variable] = STATE(36),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1983),
    [sym_identifier_suffix] = STATE(1982),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3011),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(37),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_LBRACE] = ACTIONS(271),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(179),
    [anon_sym_DOT] = ACTIONS(181),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(179),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(181),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(383),
    [anon_sym_break] = ACTIONS(385),
    [anon_sym_next] = ACTIONS(387),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(181),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(179),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(179),
    [anon_sym_AMP_DOT] = ACTIONS(179),
    [anon_sym_PLUS_EQ] = ACTIONS(179),
    [anon_sym_DASH_EQ] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(179),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(179),
    [anon_sym_SLASH_EQ] = ACTIONS(179),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(179),
    [anon_sym_PIPE_EQ] = ACTIONS(179),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(179),
    [anon_sym_AMP_EQ] = ACTIONS(179),
    [anon_sym_PERCENT_EQ] = ACTIONS(179),
    [anon_sym_GT_GT_EQ] = ACTIONS(179),
    [anon_sym_LT_LT_EQ] = ACTIONS(179),
    [anon_sym_CARET_EQ] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(181),
    [anon_sym_and] = ACTIONS(181),
    [anon_sym_or] = ACTIONS(181),
    [anon_sym_PIPE_PIPE] = ACTIONS(181),
    [anon_sym_AMP_AMP] = ACTIONS(181),
    [anon_sym_LT_LT] = ACTIONS(181),
    [anon_sym_GT_GT] = ACTIONS(181),
    [anon_sym_LT_EQ] = ACTIONS(181),
    [anon_sym_GT] = ACTIONS(181),
    [anon_sym_GT_EQ] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_SLASH] = ACTIONS(181),
    [anon_sym_PERCENT] = ACTIONS(181),
    [anon_sym_EQ_EQ] = ACTIONS(181),
    [anon_sym_BANG_EQ] = ACTIONS(179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(179),
    [anon_sym_LT_EQ_GT] = ACTIONS(179),
    [anon_sym_EQ_TILDE] = ACTIONS(179),
    [anon_sym_BANG_TILDE] = ACTIONS(179),
    [anon_sym_defined_QMARK] = ACTIONS(389),
    [anon_sym_not] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_TILDE] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(377),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(399),
    [sym__splat_star] = ACTIONS(401),
    [sym__unary_minus] = ACTIONS(403),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(179),
    [sym__binary_star] = ACTIONS(179),
    [sym_hash_key_symbol] = ACTIONS(407),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(409),
    [sym__binary_star_star] = ACTIONS(179),
    [sym__element_reference_bracket] = ACTIONS(179),
  },
  [38] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3722),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(37),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(351),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4788),
    [sym_argument_list] = STATE(2766),
    [sym__argument] = STATE(4933),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_do_block] = STATE(2878),
    [sym_block] = STATE(2879),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5746),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(72),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2370),
    [sym__variable] = STATE(36),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1983),
    [sym_identifier_suffix] = STATE(1982),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3011),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(38),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(179),
    [anon_sym_DOT] = ACTIONS(181),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(179),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(181),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(383),
    [anon_sym_break] = ACTIONS(385),
    [anon_sym_next] = ACTIONS(387),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(373),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(179),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(179),
    [anon_sym_AMP_DOT] = ACTIONS(179),
    [anon_sym_PLUS_EQ] = ACTIONS(179),
    [anon_sym_DASH_EQ] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(179),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(179),
    [anon_sym_SLASH_EQ] = ACTIONS(179),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(179),
    [anon_sym_PIPE_EQ] = ACTIONS(179),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(179),
    [anon_sym_AMP_EQ] = ACTIONS(179),
    [anon_sym_PERCENT_EQ] = ACTIONS(179),
    [anon_sym_GT_GT_EQ] = ACTIONS(179),
    [anon_sym_LT_LT_EQ] = ACTIONS(179),
    [anon_sym_CARET_EQ] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(181),
    [anon_sym_and] = ACTIONS(181),
    [anon_sym_or] = ACTIONS(181),
    [anon_sym_PIPE_PIPE] = ACTIONS(181),
    [anon_sym_AMP_AMP] = ACTIONS(181),
    [anon_sym_LT_LT] = ACTIONS(181),
    [anon_sym_GT_GT] = ACTIONS(181),
    [anon_sym_LT_EQ] = ACTIONS(181),
    [anon_sym_GT] = ACTIONS(181),
    [anon_sym_GT_EQ] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_SLASH] = ACTIONS(181),
    [anon_sym_PERCENT] = ACTIONS(181),
    [anon_sym_EQ_EQ] = ACTIONS(181),
    [anon_sym_BANG_EQ] = ACTIONS(179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(179),
    [anon_sym_LT_EQ_GT] = ACTIONS(179),
    [anon_sym_EQ_TILDE] = ACTIONS(179),
    [anon_sym_BANG_TILDE] = ACTIONS(179),
    [anon_sym_defined_QMARK] = ACTIONS(389),
    [anon_sym_not] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_TILDE] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(377),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(399),
    [sym__splat_star] = ACTIONS(401),
    [sym__unary_minus] = ACTIONS(403),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(179),
    [sym__binary_star] = ACTIONS(179),
    [sym_hash_key_symbol] = ACTIONS(407),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(409),
    [sym__binary_star_star] = ACTIONS(179),
    [sym__element_reference_bracket] = ACTIONS(179),
  },
  [39] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3577),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4788),
    [sym_argument_list] = STATE(2766),
    [sym__argument] = STATE(4840),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_do_block] = STATE(2878),
    [sym_block] = STATE(2879),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1963),
    [sym_identifier_suffix] = STATE(1965),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2816),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(39),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(375),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(179),
    [anon_sym_DOT] = ACTIONS(181),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(181),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(179),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(181),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(373),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(179),
    [anon_sym_AMP_DOT] = ACTIONS(179),
    [anon_sym_PLUS_EQ] = ACTIONS(179),
    [anon_sym_DASH_EQ] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(179),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(179),
    [anon_sym_SLASH_EQ] = ACTIONS(179),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(179),
    [anon_sym_PIPE_EQ] = ACTIONS(179),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(179),
    [anon_sym_AMP_EQ] = ACTIONS(179),
    [anon_sym_PERCENT_EQ] = ACTIONS(179),
    [anon_sym_GT_GT_EQ] = ACTIONS(179),
    [anon_sym_LT_LT_EQ] = ACTIONS(179),
    [anon_sym_CARET_EQ] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(181),
    [anon_sym_and] = ACTIONS(181),
    [anon_sym_or] = ACTIONS(181),
    [anon_sym_PIPE_PIPE] = ACTIONS(181),
    [anon_sym_AMP_AMP] = ACTIONS(181),
    [anon_sym_LT_LT] = ACTIONS(181),
    [anon_sym_GT_GT] = ACTIONS(181),
    [anon_sym_LT_EQ] = ACTIONS(181),
    [anon_sym_GT] = ACTIONS(181),
    [anon_sym_GT_EQ] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_SLASH] = ACTIONS(181),
    [anon_sym_PERCENT] = ACTIONS(181),
    [anon_sym_EQ_EQ] = ACTIONS(181),
    [anon_sym_BANG_EQ] = ACTIONS(179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(179),
    [anon_sym_LT_EQ_GT] = ACTIONS(179),
    [anon_sym_EQ_TILDE] = ACTIONS(179),
    [anon_sym_BANG_TILDE] = ACTIONS(179),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(269),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(353),
    [sym__splat_star] = ACTIONS(355),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(179),
    [sym__binary_star] = ACTIONS(179),
    [sym_hash_key_symbol] = ACTIONS(361),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(365),
    [sym__binary_star_star] = ACTIONS(179),
    [sym__element_reference_bracket] = ACTIONS(179),
  },
  [40] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3722),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(37),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(351),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4788),
    [sym_argument_list] = STATE(2766),
    [sym__argument] = STATE(4933),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_do_block] = STATE(2878),
    [sym_block] = STATE(2879),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5746),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(72),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2370),
    [sym__variable] = STATE(36),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1983),
    [sym_identifier_suffix] = STATE(1982),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3011),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(40),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_LBRACE] = ACTIONS(375),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(179),
    [anon_sym_DOT] = ACTIONS(181),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(179),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(181),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(383),
    [anon_sym_break] = ACTIONS(385),
    [anon_sym_next] = ACTIONS(387),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(373),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(179),
    [anon_sym_AMP_DOT] = ACTIONS(179),
    [anon_sym_PLUS_EQ] = ACTIONS(179),
    [anon_sym_DASH_EQ] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(179),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(179),
    [anon_sym_SLASH_EQ] = ACTIONS(179),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(179),
    [anon_sym_PIPE_EQ] = ACTIONS(179),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(179),
    [anon_sym_AMP_EQ] = ACTIONS(179),
    [anon_sym_PERCENT_EQ] = ACTIONS(179),
    [anon_sym_GT_GT_EQ] = ACTIONS(179),
    [anon_sym_LT_LT_EQ] = ACTIONS(179),
    [anon_sym_CARET_EQ] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(181),
    [anon_sym_and] = ACTIONS(181),
    [anon_sym_or] = ACTIONS(181),
    [anon_sym_PIPE_PIPE] = ACTIONS(181),
    [anon_sym_AMP_AMP] = ACTIONS(181),
    [anon_sym_LT_LT] = ACTIONS(181),
    [anon_sym_GT_GT] = ACTIONS(181),
    [anon_sym_LT_EQ] = ACTIONS(181),
    [anon_sym_GT] = ACTIONS(181),
    [anon_sym_GT_EQ] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_SLASH] = ACTIONS(181),
    [anon_sym_PERCENT] = ACTIONS(181),
    [anon_sym_EQ_EQ] = ACTIONS(181),
    [anon_sym_BANG_EQ] = ACTIONS(179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(179),
    [anon_sym_LT_EQ_GT] = ACTIONS(179),
    [anon_sym_EQ_TILDE] = ACTIONS(179),
    [anon_sym_BANG_TILDE] = ACTIONS(179),
    [anon_sym_defined_QMARK] = ACTIONS(389),
    [anon_sym_not] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_TILDE] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(377),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(399),
    [sym__splat_star] = ACTIONS(401),
    [sym__unary_minus] = ACTIONS(403),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(179),
    [sym__binary_star] = ACTIONS(179),
    [sym_hash_key_symbol] = ACTIONS(407),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(409),
    [sym__binary_star_star] = ACTIONS(179),
    [sym__element_reference_bracket] = ACTIONS(179),
  },
  [41] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3722),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(37),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(351),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4783),
    [sym_argument_list] = STATE(2755),
    [sym__argument] = STATE(4933),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_do_block] = STATE(2880),
    [sym_block] = STATE(2881),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5746),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(72),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2370),
    [sym__variable] = STATE(36),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1983),
    [sym_identifier_suffix] = STATE(1982),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3011),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(41),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_LBRACE] = ACTIONS(375),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(383),
    [anon_sym_break] = ACTIONS(385),
    [anon_sym_next] = ACTIONS(387),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(373),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_and] = ACTIONS(129),
    [anon_sym_or] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [anon_sym_defined_QMARK] = ACTIONS(389),
    [anon_sym_not] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_TILDE] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(377),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(399),
    [sym__splat_star] = ACTIONS(401),
    [sym__unary_minus] = ACTIONS(403),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym_hash_key_symbol] = ACTIONS(407),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(409),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [42] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4371),
    [sym_argument_list] = STATE(2186),
    [sym__argument] = STATE(4451),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(42),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_RBRACE] = ACTIONS(411),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(411),
    [anon_sym_DOT] = ACTIONS(413),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(413),
    [anon_sym_rescue] = ACTIONS(413),
    [anon_sym_COMMA] = ACTIONS(411),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(411),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_unless] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_until] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(413),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(413),
    [anon_sym_EQ_GT] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(411),
    [anon_sym_elsif] = ACTIONS(413),
    [anon_sym_else] = ACTIONS(413),
    [anon_sym_then] = ACTIONS(413),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(413),
    [anon_sym_COLON_COLON2] = ACTIONS(411),
    [anon_sym_AMP_DOT] = ACTIONS(411),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(413),
    [anon_sym_or] = ACTIONS(413),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_LT_LT] = ACTIONS(411),
    [anon_sym_GT_GT] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(411),
    [anon_sym_SLASH] = ACTIONS(411),
    [anon_sym_PERCENT] = ACTIONS(411),
    [anon_sym_EQ_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ_GT] = ACTIONS(411),
    [anon_sym_EQ_TILDE] = ACTIONS(411),
    [anon_sym_BANG_TILDE] = ACTIONS(411),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(411),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(411),
    [sym__binary_star] = ACTIONS(411),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(411),
    [sym__element_reference_bracket] = ACTIONS(411),
  },
  [43] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4369),
    [sym_argument_list] = STATE(2183),
    [sym__argument] = STATE(4451),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(43),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(177),
    [anon_sym_RBRACE] = ACTIONS(411),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(411),
    [anon_sym_DOT] = ACTIONS(413),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(413),
    [anon_sym_rescue] = ACTIONS(413),
    [anon_sym_COMMA] = ACTIONS(411),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(411),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_unless] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_until] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(413),
    [anon_sym_do] = ACTIONS(413),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(413),
    [anon_sym_EQ_GT] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(411),
    [anon_sym_elsif] = ACTIONS(413),
    [anon_sym_else] = ACTIONS(413),
    [anon_sym_then] = ACTIONS(413),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(413),
    [anon_sym_COLON_COLON2] = ACTIONS(411),
    [anon_sym_AMP_DOT] = ACTIONS(411),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(413),
    [anon_sym_or] = ACTIONS(413),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_LT_LT] = ACTIONS(411),
    [anon_sym_GT_GT] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(411),
    [anon_sym_SLASH] = ACTIONS(411),
    [anon_sym_PERCENT] = ACTIONS(411),
    [anon_sym_EQ_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ_GT] = ACTIONS(411),
    [anon_sym_EQ_TILDE] = ACTIONS(411),
    [anon_sym_BANG_TILDE] = ACTIONS(411),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(411),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(411),
    [sym__binary_star] = ACTIONS(411),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(411),
    [sym__element_reference_bracket] = ACTIONS(411),
  },
  [44] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4371),
    [sym_argument_list] = STATE(2186),
    [sym__argument] = STATE(4451),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(44),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_RBRACE] = ACTIONS(411),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(411),
    [anon_sym_DOT] = ACTIONS(413),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(413),
    [anon_sym_rescue] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(411),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_unless] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_until] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(413),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(413),
    [anon_sym_EQ_GT] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(411),
    [anon_sym_elsif] = ACTIONS(413),
    [anon_sym_else] = ACTIONS(413),
    [anon_sym_then] = ACTIONS(413),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(413),
    [anon_sym_COLON_COLON2] = ACTIONS(411),
    [anon_sym_AMP_DOT] = ACTIONS(411),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(413),
    [anon_sym_or] = ACTIONS(413),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_LT_LT] = ACTIONS(411),
    [anon_sym_GT_GT] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(411),
    [anon_sym_SLASH] = ACTIONS(411),
    [anon_sym_PERCENT] = ACTIONS(411),
    [anon_sym_EQ_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ_GT] = ACTIONS(411),
    [anon_sym_EQ_TILDE] = ACTIONS(411),
    [anon_sym_BANG_TILDE] = ACTIONS(411),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(411),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(411),
    [sym__binary_star] = ACTIONS(411),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(411),
    [sym__element_reference_bracket] = ACTIONS(411),
  },
  [45] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4432),
    [sym_argument_list] = STATE(2321),
    [sym__argument] = STATE(4451),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(45),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_RBRACE] = ACTIONS(415),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(415),
    [anon_sym_DOT] = ACTIONS(417),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(417),
    [anon_sym_rescue] = ACTIONS(417),
    [anon_sym_COMMA] = ACTIONS(415),
    [anon_sym_PIPE] = ACTIONS(417),
    [anon_sym_SEMI] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(417),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_unless] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_until] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(417),
    [anon_sym_do] = ACTIONS(417),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(417),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_elsif] = ACTIONS(417),
    [anon_sym_else] = ACTIONS(417),
    [anon_sym_then] = ACTIONS(417),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(417),
    [anon_sym_COLON_COLON2] = ACTIONS(415),
    [anon_sym_AMP_DOT] = ACTIONS(415),
    [anon_sym_QMARK] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(417),
    [anon_sym_or] = ACTIONS(417),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(417),
    [anon_sym_GT] = ACTIONS(417),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(417),
    [anon_sym_BANG_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ_GT] = ACTIONS(415),
    [anon_sym_EQ_TILDE] = ACTIONS(415),
    [anon_sym_BANG_TILDE] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(415),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(415),
    [sym__binary_star] = ACTIONS(415),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(415),
    [sym__element_reference_bracket] = ACTIONS(415),
  },
  [46] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4444),
    [sym_argument_list] = STATE(2325),
    [sym__argument] = STATE(4451),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(46),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_RBRACE] = ACTIONS(419),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(419),
    [anon_sym_DOT] = ACTIONS(421),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(421),
    [anon_sym_rescue] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(419),
    [anon_sym_PIPE] = ACTIONS(421),
    [anon_sym_SEMI] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(421),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(421),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_unless] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_until] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(421),
    [anon_sym_do] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(421),
    [anon_sym_EQ_GT] = ACTIONS(419),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_elsif] = ACTIONS(421),
    [anon_sym_else] = ACTIONS(421),
    [anon_sym_then] = ACTIONS(421),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(421),
    [anon_sym_COLON_COLON2] = ACTIONS(419),
    [anon_sym_AMP_DOT] = ACTIONS(419),
    [anon_sym_QMARK] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(421),
    [anon_sym_or] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(419),
    [anon_sym_LT_EQ_GT] = ACTIONS(419),
    [anon_sym_EQ_TILDE] = ACTIONS(419),
    [anon_sym_BANG_TILDE] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(419),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(419),
    [sym__binary_star] = ACTIONS(419),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(419),
    [sym__element_reference_bracket] = ACTIONS(419),
  },
  [47] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4435),
    [sym_argument_list] = STATE(2323),
    [sym__argument] = STATE(4451),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(47),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(423),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(423),
    [anon_sym_DOT] = ACTIONS(425),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(425),
    [anon_sym_rescue] = ACTIONS(425),
    [anon_sym_COMMA] = ACTIONS(423),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_SEMI] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(425),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_unless] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_until] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(425),
    [anon_sym_do] = ACTIONS(425),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(425),
    [anon_sym_EQ_GT] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_elsif] = ACTIONS(425),
    [anon_sym_else] = ACTIONS(425),
    [anon_sym_then] = ACTIONS(425),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(425),
    [anon_sym_COLON_COLON2] = ACTIONS(423),
    [anon_sym_AMP_DOT] = ACTIONS(423),
    [anon_sym_QMARK] = ACTIONS(425),
    [anon_sym_and] = ACTIONS(425),
    [anon_sym_or] = ACTIONS(425),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(423),
    [anon_sym_LT_EQ_GT] = ACTIONS(423),
    [anon_sym_EQ_TILDE] = ACTIONS(423),
    [anon_sym_BANG_TILDE] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(423),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(423),
    [sym__binary_star] = ACTIONS(423),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(423),
    [sym__element_reference_bracket] = ACTIONS(423),
  },
  [48] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4411),
    [sym_argument_list] = STATE(2363),
    [sym__argument] = STATE(4451),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(48),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_RBRACE] = ACTIONS(427),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(427),
    [anon_sym_DOT] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(429),
    [anon_sym_rescue] = ACTIONS(429),
    [anon_sym_COMMA] = ACTIONS(427),
    [anon_sym_PIPE] = ACTIONS(429),
    [anon_sym_SEMI] = ACTIONS(427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(429),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(429),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(429),
    [anon_sym_unless] = ACTIONS(429),
    [anon_sym_while] = ACTIONS(429),
    [anon_sym_until] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(429),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(429),
    [anon_sym_EQ_GT] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(429),
    [anon_sym_CARET] = ACTIONS(427),
    [anon_sym_elsif] = ACTIONS(429),
    [anon_sym_else] = ACTIONS(429),
    [anon_sym_then] = ACTIONS(429),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(429),
    [anon_sym_COLON_COLON2] = ACTIONS(427),
    [anon_sym_AMP_DOT] = ACTIONS(427),
    [anon_sym_QMARK] = ACTIONS(429),
    [anon_sym_and] = ACTIONS(429),
    [anon_sym_or] = ACTIONS(429),
    [anon_sym_PIPE_PIPE] = ACTIONS(427),
    [anon_sym_AMP_AMP] = ACTIONS(427),
    [anon_sym_LT_LT] = ACTIONS(427),
    [anon_sym_GT_GT] = ACTIONS(427),
    [anon_sym_LT_EQ] = ACTIONS(429),
    [anon_sym_GT] = ACTIONS(429),
    [anon_sym_GT_EQ] = ACTIONS(427),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_SLASH] = ACTIONS(427),
    [anon_sym_PERCENT] = ACTIONS(427),
    [anon_sym_EQ_EQ] = ACTIONS(429),
    [anon_sym_BANG_EQ] = ACTIONS(427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(427),
    [anon_sym_LT_EQ_GT] = ACTIONS(427),
    [anon_sym_EQ_TILDE] = ACTIONS(427),
    [anon_sym_BANG_TILDE] = ACTIONS(427),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(427),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(427),
    [sym__binary_star] = ACTIONS(427),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(427),
    [sym__element_reference_bracket] = ACTIONS(427),
  },
  [49] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2695),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(7),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4432),
    [sym_argument_list] = STATE(2321),
    [sym__argument] = STATE(4497),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5863),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(42),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2086),
    [sym__variable] = STATE(6),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1935),
    [sym_identifier_suffix] = STATE(1942),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2375),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(49),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(415),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(415),
    [anon_sym_DOT] = ACTIONS(417),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(417),
    [anon_sym_rescue] = ACTIONS(417),
    [anon_sym_COMMA] = ACTIONS(415),
    [anon_sym_PIPE] = ACTIONS(417),
    [anon_sym_SEMI] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(417),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_unless] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_until] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(417),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(417),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_elsif] = ACTIONS(417),
    [anon_sym_else] = ACTIONS(417),
    [anon_sym_then] = ACTIONS(417),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(417),
    [anon_sym_COLON_COLON2] = ACTIONS(415),
    [anon_sym_AMP_DOT] = ACTIONS(415),
    [anon_sym_QMARK] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(417),
    [anon_sym_or] = ACTIONS(417),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(417),
    [anon_sym_GT] = ACTIONS(417),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(417),
    [anon_sym_BANG_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ_GT] = ACTIONS(415),
    [anon_sym_EQ_TILDE] = ACTIONS(415),
    [anon_sym_BANG_TILDE] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(443),
    [anon_sym_not] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(447),
    [anon_sym_TILDE] = ACTIONS(449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(431),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(415),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(451),
    [sym__splat_star] = ACTIONS(453),
    [sym__unary_minus] = ACTIONS(455),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(415),
    [sym__binary_star] = ACTIONS(415),
    [sym_hash_key_symbol] = ACTIONS(459),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(461),
    [sym__binary_star_star] = ACTIONS(415),
    [sym__element_reference_bracket] = ACTIONS(415),
  },
  [50] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2695),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(7),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4435),
    [sym_argument_list] = STATE(2323),
    [sym__argument] = STATE(4497),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5863),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(42),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2086),
    [sym__variable] = STATE(6),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1935),
    [sym_identifier_suffix] = STATE(1942),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2375),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(50),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(423),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(423),
    [anon_sym_DOT] = ACTIONS(425),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(425),
    [anon_sym_rescue] = ACTIONS(425),
    [anon_sym_COMMA] = ACTIONS(423),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_SEMI] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(425),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_unless] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_until] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(425),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(425),
    [anon_sym_EQ_GT] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_elsif] = ACTIONS(425),
    [anon_sym_else] = ACTIONS(425),
    [anon_sym_then] = ACTIONS(425),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(425),
    [anon_sym_COLON_COLON2] = ACTIONS(423),
    [anon_sym_AMP_DOT] = ACTIONS(423),
    [anon_sym_QMARK] = ACTIONS(425),
    [anon_sym_and] = ACTIONS(425),
    [anon_sym_or] = ACTIONS(425),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(423),
    [anon_sym_LT_EQ_GT] = ACTIONS(423),
    [anon_sym_EQ_TILDE] = ACTIONS(423),
    [anon_sym_BANG_TILDE] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(443),
    [anon_sym_not] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(447),
    [anon_sym_TILDE] = ACTIONS(449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(431),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(423),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(451),
    [sym__splat_star] = ACTIONS(453),
    [sym__unary_minus] = ACTIONS(455),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(423),
    [sym__binary_star] = ACTIONS(423),
    [sym_hash_key_symbol] = ACTIONS(459),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(461),
    [sym__binary_star_star] = ACTIONS(423),
    [sym__element_reference_bracket] = ACTIONS(423),
  },
  [51] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2695),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(7),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4444),
    [sym_argument_list] = STATE(2325),
    [sym__argument] = STATE(4497),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5863),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(42),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2086),
    [sym__variable] = STATE(6),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1935),
    [sym_identifier_suffix] = STATE(1942),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2375),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(51),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(419),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(419),
    [anon_sym_DOT] = ACTIONS(421),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(421),
    [anon_sym_rescue] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(419),
    [anon_sym_PIPE] = ACTIONS(421),
    [anon_sym_SEMI] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(421),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(421),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_unless] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_until] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(421),
    [anon_sym_EQ_GT] = ACTIONS(419),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_elsif] = ACTIONS(421),
    [anon_sym_else] = ACTIONS(421),
    [anon_sym_then] = ACTIONS(421),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(421),
    [anon_sym_COLON_COLON2] = ACTIONS(419),
    [anon_sym_AMP_DOT] = ACTIONS(419),
    [anon_sym_QMARK] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(421),
    [anon_sym_or] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(419),
    [anon_sym_LT_EQ_GT] = ACTIONS(419),
    [anon_sym_EQ_TILDE] = ACTIONS(419),
    [anon_sym_BANG_TILDE] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(443),
    [anon_sym_not] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(447),
    [anon_sym_TILDE] = ACTIONS(449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(431),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(419),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(451),
    [sym__splat_star] = ACTIONS(453),
    [sym__unary_minus] = ACTIONS(455),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(419),
    [sym__binary_star] = ACTIONS(419),
    [sym_hash_key_symbol] = ACTIONS(459),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(461),
    [sym__binary_star_star] = ACTIONS(419),
    [sym__element_reference_bracket] = ACTIONS(419),
  },
  [52] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2695),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(7),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4411),
    [sym_argument_list] = STATE(2363),
    [sym__argument] = STATE(4497),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5863),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(42),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2086),
    [sym__variable] = STATE(6),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1935),
    [sym_identifier_suffix] = STATE(1942),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2375),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(52),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(427),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(427),
    [anon_sym_DOT] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(429),
    [anon_sym_rescue] = ACTIONS(429),
    [anon_sym_COMMA] = ACTIONS(427),
    [anon_sym_PIPE] = ACTIONS(429),
    [anon_sym_SEMI] = ACTIONS(427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(429),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(429),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(429),
    [anon_sym_unless] = ACTIONS(429),
    [anon_sym_while] = ACTIONS(429),
    [anon_sym_until] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(429),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(429),
    [anon_sym_EQ_GT] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(429),
    [anon_sym_CARET] = ACTIONS(427),
    [anon_sym_elsif] = ACTIONS(429),
    [anon_sym_else] = ACTIONS(429),
    [anon_sym_then] = ACTIONS(429),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(429),
    [anon_sym_COLON_COLON2] = ACTIONS(427),
    [anon_sym_AMP_DOT] = ACTIONS(427),
    [anon_sym_QMARK] = ACTIONS(429),
    [anon_sym_and] = ACTIONS(429),
    [anon_sym_or] = ACTIONS(429),
    [anon_sym_PIPE_PIPE] = ACTIONS(427),
    [anon_sym_AMP_AMP] = ACTIONS(427),
    [anon_sym_LT_LT] = ACTIONS(427),
    [anon_sym_GT_GT] = ACTIONS(427),
    [anon_sym_LT_EQ] = ACTIONS(429),
    [anon_sym_GT] = ACTIONS(429),
    [anon_sym_GT_EQ] = ACTIONS(427),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_SLASH] = ACTIONS(427),
    [anon_sym_PERCENT] = ACTIONS(427),
    [anon_sym_EQ_EQ] = ACTIONS(429),
    [anon_sym_BANG_EQ] = ACTIONS(427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(427),
    [anon_sym_LT_EQ_GT] = ACTIONS(427),
    [anon_sym_EQ_TILDE] = ACTIONS(427),
    [anon_sym_BANG_TILDE] = ACTIONS(427),
    [anon_sym_defined_QMARK] = ACTIONS(443),
    [anon_sym_not] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(447),
    [anon_sym_TILDE] = ACTIONS(449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(431),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(427),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(451),
    [sym__splat_star] = ACTIONS(453),
    [sym__unary_minus] = ACTIONS(455),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(427),
    [sym__binary_star] = ACTIONS(427),
    [sym_hash_key_symbol] = ACTIONS(459),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(461),
    [sym__binary_star_star] = ACTIONS(427),
    [sym__element_reference_bracket] = ACTIONS(427),
  },
  [53] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2876),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2655),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(8),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(289),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4369),
    [sym_argument_list] = STATE(2183),
    [sym__argument] = STATE(4565),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5611),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(53),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2121),
    [sym__variable] = STATE(9),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1957),
    [sym_identifier_suffix] = STATE(1959),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2472),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(53),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(411),
    [sym_identifier] = ACTIONS(185),
    [aux_sym_program_token1] = ACTIONS(411),
    [anon_sym___END__] = ACTIONS(413),
    [anon_sym_LBRACE] = ACTIONS(177),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(413),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(413),
    [anon_sym_COMMA] = ACTIONS(411),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(411),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(189),
    [anon_sym_yield] = ACTIONS(191),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_next] = ACTIONS(195),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_unless] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_until] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(413),
    [anon_sym_do] = ACTIONS(413),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(411),
    [anon_sym_AMP_DOT] = ACTIONS(411),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(413),
    [anon_sym_or] = ACTIONS(413),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_LT_LT] = ACTIONS(411),
    [anon_sym_GT_GT] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(411),
    [anon_sym_SLASH] = ACTIONS(411),
    [anon_sym_PERCENT] = ACTIONS(411),
    [anon_sym_EQ_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ_GT] = ACTIONS(411),
    [anon_sym_EQ_TILDE] = ACTIONS(411),
    [anon_sym_BANG_TILDE] = ACTIONS(411),
    [anon_sym_defined_QMARK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(201),
    [anon_sym_TILDE] = ACTIONS(203),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(185),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(411),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(205),
    [sym__splat_star] = ACTIONS(207),
    [sym__unary_minus] = ACTIONS(209),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(411),
    [sym__binary_star] = ACTIONS(411),
    [sym_hash_key_symbol] = ACTIONS(213),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
    [sym__hash_splat_star_star] = ACTIONS(215),
    [sym__binary_star_star] = ACTIONS(411),
    [sym__element_reference_bracket] = ACTIONS(411),
  },
  [54] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2876),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2655),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(8),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(289),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4371),
    [sym_argument_list] = STATE(2186),
    [sym__argument] = STATE(4565),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5611),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(53),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2121),
    [sym__variable] = STATE(9),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1957),
    [sym_identifier_suffix] = STATE(1959),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2472),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(54),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(411),
    [sym_identifier] = ACTIONS(185),
    [aux_sym_program_token1] = ACTIONS(411),
    [anon_sym___END__] = ACTIONS(413),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(413),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(413),
    [anon_sym_COMMA] = ACTIONS(411),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(411),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(189),
    [anon_sym_yield] = ACTIONS(191),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_next] = ACTIONS(195),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_unless] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_until] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(413),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(411),
    [anon_sym_AMP_DOT] = ACTIONS(411),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(413),
    [anon_sym_or] = ACTIONS(413),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_LT_LT] = ACTIONS(411),
    [anon_sym_GT_GT] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(411),
    [anon_sym_SLASH] = ACTIONS(411),
    [anon_sym_PERCENT] = ACTIONS(411),
    [anon_sym_EQ_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ_GT] = ACTIONS(411),
    [anon_sym_EQ_TILDE] = ACTIONS(411),
    [anon_sym_BANG_TILDE] = ACTIONS(411),
    [anon_sym_defined_QMARK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(201),
    [anon_sym_TILDE] = ACTIONS(203),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(185),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(411),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(205),
    [sym__splat_star] = ACTIONS(207),
    [sym__unary_minus] = ACTIONS(209),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(411),
    [sym__binary_star] = ACTIONS(411),
    [sym_hash_key_symbol] = ACTIONS(213),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
    [sym__hash_splat_star_star] = ACTIONS(215),
    [sym__binary_star_star] = ACTIONS(411),
    [sym__element_reference_bracket] = ACTIONS(411),
  },
  [55] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2876),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2655),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(8),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(289),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4371),
    [sym_argument_list] = STATE(2186),
    [sym__argument] = STATE(4565),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5611),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(53),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2121),
    [sym__variable] = STATE(9),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1957),
    [sym_identifier_suffix] = STATE(1959),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2472),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(55),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(411),
    [sym_identifier] = ACTIONS(185),
    [aux_sym_program_token1] = ACTIONS(411),
    [anon_sym___END__] = ACTIONS(413),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(413),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(411),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(189),
    [anon_sym_yield] = ACTIONS(191),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_next] = ACTIONS(195),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_unless] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_until] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(413),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(411),
    [anon_sym_AMP_DOT] = ACTIONS(411),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(413),
    [anon_sym_or] = ACTIONS(413),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_LT_LT] = ACTIONS(411),
    [anon_sym_GT_GT] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(411),
    [anon_sym_SLASH] = ACTIONS(411),
    [anon_sym_PERCENT] = ACTIONS(411),
    [anon_sym_EQ_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ_GT] = ACTIONS(411),
    [anon_sym_EQ_TILDE] = ACTIONS(411),
    [anon_sym_BANG_TILDE] = ACTIONS(411),
    [anon_sym_defined_QMARK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(201),
    [anon_sym_TILDE] = ACTIONS(203),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(185),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(411),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(205),
    [sym__splat_star] = ACTIONS(207),
    [sym__unary_minus] = ACTIONS(209),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(411),
    [sym__binary_star] = ACTIONS(411),
    [sym_hash_key_symbol] = ACTIONS(213),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
    [sym__hash_splat_star_star] = ACTIONS(215),
    [sym__binary_star_star] = ACTIONS(411),
    [sym__element_reference_bracket] = ACTIONS(411),
  },
  [56] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4371),
    [sym_argument_list] = STATE(2186),
    [sym__argument] = STATE(4782),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(56),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(413),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(413),
    [anon_sym_COMMA] = ACTIONS(411),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(411),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(413),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(411),
    [anon_sym_then] = ACTIONS(413),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(411),
    [anon_sym_AMP_DOT] = ACTIONS(411),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(413),
    [anon_sym_or] = ACTIONS(413),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_LT_LT] = ACTIONS(411),
    [anon_sym_GT_GT] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(411),
    [anon_sym_SLASH] = ACTIONS(411),
    [anon_sym_PERCENT] = ACTIONS(411),
    [anon_sym_EQ_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ_GT] = ACTIONS(411),
    [anon_sym_EQ_TILDE] = ACTIONS(411),
    [anon_sym_BANG_TILDE] = ACTIONS(411),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(229),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(411),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(411),
    [sym__binary_star] = ACTIONS(411),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(411),
    [sym__element_reference_bracket] = ACTIONS(411),
  },
  [57] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4369),
    [sym_argument_list] = STATE(2183),
    [sym__argument] = STATE(4782),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(57),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(177),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(413),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(413),
    [anon_sym_COMMA] = ACTIONS(411),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(411),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(413),
    [anon_sym_do] = ACTIONS(413),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(411),
    [anon_sym_then] = ACTIONS(413),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(411),
    [anon_sym_AMP_DOT] = ACTIONS(411),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(413),
    [anon_sym_or] = ACTIONS(413),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_LT_LT] = ACTIONS(411),
    [anon_sym_GT_GT] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(411),
    [anon_sym_SLASH] = ACTIONS(411),
    [anon_sym_PERCENT] = ACTIONS(411),
    [anon_sym_EQ_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ_GT] = ACTIONS(411),
    [anon_sym_EQ_TILDE] = ACTIONS(411),
    [anon_sym_BANG_TILDE] = ACTIONS(411),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(229),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(411),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(411),
    [sym__binary_star] = ACTIONS(411),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(411),
    [sym__element_reference_bracket] = ACTIONS(411),
  },
  [58] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2876),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2655),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(8),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(289),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4411),
    [sym_argument_list] = STATE(2363),
    [sym__argument] = STATE(4565),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5611),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(53),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2121),
    [sym__variable] = STATE(9),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1957),
    [sym_identifier_suffix] = STATE(1959),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2472),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(58),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(427),
    [sym_identifier] = ACTIONS(185),
    [aux_sym_program_token1] = ACTIONS(427),
    [anon_sym___END__] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(429),
    [anon_sym_COMMA] = ACTIONS(427),
    [anon_sym_PIPE] = ACTIONS(429),
    [anon_sym_SEMI] = ACTIONS(427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(429),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(429),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(189),
    [anon_sym_yield] = ACTIONS(191),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_next] = ACTIONS(195),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(429),
    [anon_sym_unless] = ACTIONS(429),
    [anon_sym_while] = ACTIONS(429),
    [anon_sym_until] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(429),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(429),
    [anon_sym_CARET] = ACTIONS(427),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(427),
    [anon_sym_AMP_DOT] = ACTIONS(427),
    [anon_sym_QMARK] = ACTIONS(429),
    [anon_sym_and] = ACTIONS(429),
    [anon_sym_or] = ACTIONS(429),
    [anon_sym_PIPE_PIPE] = ACTIONS(427),
    [anon_sym_AMP_AMP] = ACTIONS(427),
    [anon_sym_LT_LT] = ACTIONS(427),
    [anon_sym_GT_GT] = ACTIONS(427),
    [anon_sym_LT_EQ] = ACTIONS(429),
    [anon_sym_GT] = ACTIONS(429),
    [anon_sym_GT_EQ] = ACTIONS(427),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_SLASH] = ACTIONS(427),
    [anon_sym_PERCENT] = ACTIONS(427),
    [anon_sym_EQ_EQ] = ACTIONS(429),
    [anon_sym_BANG_EQ] = ACTIONS(427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(427),
    [anon_sym_LT_EQ_GT] = ACTIONS(427),
    [anon_sym_EQ_TILDE] = ACTIONS(427),
    [anon_sym_BANG_TILDE] = ACTIONS(427),
    [anon_sym_defined_QMARK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(201),
    [anon_sym_TILDE] = ACTIONS(203),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(185),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(427),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(205),
    [sym__splat_star] = ACTIONS(207),
    [sym__unary_minus] = ACTIONS(209),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(427),
    [sym__binary_star] = ACTIONS(427),
    [sym_hash_key_symbol] = ACTIONS(213),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
    [sym__hash_splat_star_star] = ACTIONS(215),
    [sym__binary_star_star] = ACTIONS(427),
    [sym__element_reference_bracket] = ACTIONS(427),
  },
  [59] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2876),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2655),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(8),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(289),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4444),
    [sym_argument_list] = STATE(2325),
    [sym__argument] = STATE(4565),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5611),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(53),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2121),
    [sym__variable] = STATE(9),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1957),
    [sym_identifier_suffix] = STATE(1959),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2472),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(59),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(419),
    [sym_identifier] = ACTIONS(185),
    [aux_sym_program_token1] = ACTIONS(419),
    [anon_sym___END__] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(421),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(419),
    [anon_sym_PIPE] = ACTIONS(421),
    [anon_sym_SEMI] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(421),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(421),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(189),
    [anon_sym_yield] = ACTIONS(191),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_next] = ACTIONS(195),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_unless] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_until] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(421),
    [anon_sym_do] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(419),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(419),
    [anon_sym_AMP_DOT] = ACTIONS(419),
    [anon_sym_QMARK] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(421),
    [anon_sym_or] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(419),
    [anon_sym_LT_EQ_GT] = ACTIONS(419),
    [anon_sym_EQ_TILDE] = ACTIONS(419),
    [anon_sym_BANG_TILDE] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(201),
    [anon_sym_TILDE] = ACTIONS(203),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(185),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(419),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(205),
    [sym__splat_star] = ACTIONS(207),
    [sym__unary_minus] = ACTIONS(209),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(419),
    [sym__binary_star] = ACTIONS(419),
    [sym_hash_key_symbol] = ACTIONS(213),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
    [sym__hash_splat_star_star] = ACTIONS(215),
    [sym__binary_star_star] = ACTIONS(419),
    [sym__element_reference_bracket] = ACTIONS(419),
  },
  [60] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2876),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2655),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(8),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(289),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4435),
    [sym_argument_list] = STATE(2323),
    [sym__argument] = STATE(4565),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5611),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(53),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2121),
    [sym__variable] = STATE(9),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1957),
    [sym_identifier_suffix] = STATE(1959),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2472),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(60),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(423),
    [sym_identifier] = ACTIONS(185),
    [aux_sym_program_token1] = ACTIONS(423),
    [anon_sym___END__] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(425),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(425),
    [anon_sym_COMMA] = ACTIONS(423),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_SEMI] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(425),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(189),
    [anon_sym_yield] = ACTIONS(191),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_next] = ACTIONS(195),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_unless] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_until] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(425),
    [anon_sym_do] = ACTIONS(425),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(423),
    [anon_sym_AMP_DOT] = ACTIONS(423),
    [anon_sym_QMARK] = ACTIONS(425),
    [anon_sym_and] = ACTIONS(425),
    [anon_sym_or] = ACTIONS(425),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(423),
    [anon_sym_LT_EQ_GT] = ACTIONS(423),
    [anon_sym_EQ_TILDE] = ACTIONS(423),
    [anon_sym_BANG_TILDE] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(201),
    [anon_sym_TILDE] = ACTIONS(203),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(185),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(423),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(205),
    [sym__splat_star] = ACTIONS(207),
    [sym__unary_minus] = ACTIONS(209),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(423),
    [sym__binary_star] = ACTIONS(423),
    [sym_hash_key_symbol] = ACTIONS(213),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
    [sym__hash_splat_star_star] = ACTIONS(215),
    [sym__binary_star_star] = ACTIONS(423),
    [sym__element_reference_bracket] = ACTIONS(423),
  },
  [61] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2876),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2655),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(8),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(289),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4432),
    [sym_argument_list] = STATE(2321),
    [sym__argument] = STATE(4565),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5611),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(53),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2121),
    [sym__variable] = STATE(9),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1957),
    [sym_identifier_suffix] = STATE(1959),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2472),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(61),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(415),
    [sym_identifier] = ACTIONS(185),
    [aux_sym_program_token1] = ACTIONS(415),
    [anon_sym___END__] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(417),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(417),
    [anon_sym_COMMA] = ACTIONS(415),
    [anon_sym_PIPE] = ACTIONS(417),
    [anon_sym_SEMI] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(417),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(189),
    [anon_sym_yield] = ACTIONS(191),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_next] = ACTIONS(195),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_unless] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_until] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(417),
    [anon_sym_do] = ACTIONS(417),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(415),
    [anon_sym_AMP_DOT] = ACTIONS(415),
    [anon_sym_QMARK] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(417),
    [anon_sym_or] = ACTIONS(417),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(417),
    [anon_sym_GT] = ACTIONS(417),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(417),
    [anon_sym_BANG_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ_GT] = ACTIONS(415),
    [anon_sym_EQ_TILDE] = ACTIONS(415),
    [anon_sym_BANG_TILDE] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(201),
    [anon_sym_TILDE] = ACTIONS(203),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(185),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(415),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(205),
    [sym__splat_star] = ACTIONS(207),
    [sym__unary_minus] = ACTIONS(209),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(415),
    [sym__binary_star] = ACTIONS(415),
    [sym_hash_key_symbol] = ACTIONS(213),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
    [sym__hash_splat_star_star] = ACTIONS(215),
    [sym__binary_star_star] = ACTIONS(415),
    [sym__element_reference_bracket] = ACTIONS(415),
  },
  [62] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3534),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(31),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(347),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4369),
    [sym_argument_list] = STATE(2183),
    [sym__argument] = STATE(4813),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5844),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(62),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2265),
    [sym__variable] = STATE(21),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1975),
    [sym_identifier_suffix] = STATE(1973),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2825),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(62),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(177),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(413),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(411),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(411),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_yield] = ACTIONS(241),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_next] = ACTIONS(245),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(413),
    [anon_sym_do] = ACTIONS(413),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(411),
    [anon_sym_then] = ACTIONS(413),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(411),
    [anon_sym_AMP_DOT] = ACTIONS(411),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(413),
    [anon_sym_or] = ACTIONS(413),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_LT_LT] = ACTIONS(411),
    [anon_sym_GT_GT] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(411),
    [anon_sym_SLASH] = ACTIONS(411),
    [anon_sym_PERCENT] = ACTIONS(411),
    [anon_sym_EQ_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ_GT] = ACTIONS(411),
    [anon_sym_EQ_TILDE] = ACTIONS(411),
    [anon_sym_BANG_TILDE] = ACTIONS(411),
    [anon_sym_defined_QMARK] = ACTIONS(247),
    [anon_sym_not] = ACTIONS(249),
    [anon_sym_BANG] = ACTIONS(251),
    [anon_sym_TILDE] = ACTIONS(253),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(235),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(411),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(257),
    [sym__splat_star] = ACTIONS(259),
    [sym__unary_minus] = ACTIONS(261),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(411),
    [sym__binary_star] = ACTIONS(411),
    [sym_hash_key_symbol] = ACTIONS(265),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(267),
    [sym__binary_star_star] = ACTIONS(411),
    [sym__element_reference_bracket] = ACTIONS(411),
  },
  [63] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3087),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(12),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4432),
    [sym_argument_list] = STATE(2321),
    [sym__argument] = STATE(4579),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5848),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(54),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2136),
    [sym__variable] = STATE(13),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1953),
    [sym_identifier_suffix] = STATE(1950),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2559),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(63),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(415),
    [sym_identifier] = ACTIONS(463),
    [aux_sym_program_token1] = ACTIONS(415),
    [anon_sym___END__] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(417),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(417),
    [anon_sym_COMMA] = ACTIONS(415),
    [anon_sym_PIPE] = ACTIONS(417),
    [anon_sym_SEMI] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(417),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_unless] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_until] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(417),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(415),
    [anon_sym_AMP_DOT] = ACTIONS(415),
    [anon_sym_QMARK] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(417),
    [anon_sym_or] = ACTIONS(417),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(417),
    [anon_sym_GT] = ACTIONS(417),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(417),
    [anon_sym_BANG_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ_GT] = ACTIONS(415),
    [anon_sym_EQ_TILDE] = ACTIONS(415),
    [anon_sym_BANG_TILDE] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(467),
    [anon_sym_not] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(463),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(415),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(475),
    [sym__splat_star] = ACTIONS(477),
    [sym__unary_minus] = ACTIONS(479),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(415),
    [sym__binary_star] = ACTIONS(415),
    [sym_hash_key_symbol] = ACTIONS(483),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
    [sym__hash_splat_star_star] = ACTIONS(485),
    [sym__binary_star_star] = ACTIONS(415),
    [sym__element_reference_bracket] = ACTIONS(415),
  },
  [64] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3087),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(12),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4435),
    [sym_argument_list] = STATE(2323),
    [sym__argument] = STATE(4579),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5848),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(54),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2136),
    [sym__variable] = STATE(13),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1953),
    [sym_identifier_suffix] = STATE(1950),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2559),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(64),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(423),
    [sym_identifier] = ACTIONS(463),
    [aux_sym_program_token1] = ACTIONS(423),
    [anon_sym___END__] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(425),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(425),
    [anon_sym_COMMA] = ACTIONS(423),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_SEMI] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(425),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_unless] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_until] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(425),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(423),
    [anon_sym_AMP_DOT] = ACTIONS(423),
    [anon_sym_QMARK] = ACTIONS(425),
    [anon_sym_and] = ACTIONS(425),
    [anon_sym_or] = ACTIONS(425),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(423),
    [anon_sym_LT_EQ_GT] = ACTIONS(423),
    [anon_sym_EQ_TILDE] = ACTIONS(423),
    [anon_sym_BANG_TILDE] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(467),
    [anon_sym_not] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(463),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(423),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(475),
    [sym__splat_star] = ACTIONS(477),
    [sym__unary_minus] = ACTIONS(479),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(423),
    [sym__binary_star] = ACTIONS(423),
    [sym_hash_key_symbol] = ACTIONS(483),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
    [sym__hash_splat_star_star] = ACTIONS(485),
    [sym__binary_star_star] = ACTIONS(423),
    [sym__element_reference_bracket] = ACTIONS(423),
  },
  [65] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3087),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(12),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4444),
    [sym_argument_list] = STATE(2325),
    [sym__argument] = STATE(4579),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5848),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(54),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2136),
    [sym__variable] = STATE(13),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1953),
    [sym_identifier_suffix] = STATE(1950),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2559),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(65),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(419),
    [sym_identifier] = ACTIONS(463),
    [aux_sym_program_token1] = ACTIONS(419),
    [anon_sym___END__] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(421),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(419),
    [anon_sym_PIPE] = ACTIONS(421),
    [anon_sym_SEMI] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(421),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(421),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_unless] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_until] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(419),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(419),
    [anon_sym_AMP_DOT] = ACTIONS(419),
    [anon_sym_QMARK] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(421),
    [anon_sym_or] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(419),
    [anon_sym_LT_EQ_GT] = ACTIONS(419),
    [anon_sym_EQ_TILDE] = ACTIONS(419),
    [anon_sym_BANG_TILDE] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(467),
    [anon_sym_not] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(463),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(419),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(475),
    [sym__splat_star] = ACTIONS(477),
    [sym__unary_minus] = ACTIONS(479),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(419),
    [sym__binary_star] = ACTIONS(419),
    [sym_hash_key_symbol] = ACTIONS(483),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
    [sym__hash_splat_star_star] = ACTIONS(485),
    [sym__binary_star_star] = ACTIONS(419),
    [sym__element_reference_bracket] = ACTIONS(419),
  },
  [66] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3087),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(12),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4411),
    [sym_argument_list] = STATE(2363),
    [sym__argument] = STATE(4579),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5848),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(54),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2136),
    [sym__variable] = STATE(13),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1953),
    [sym_identifier_suffix] = STATE(1950),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2559),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(66),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(427),
    [sym_identifier] = ACTIONS(463),
    [aux_sym_program_token1] = ACTIONS(427),
    [anon_sym___END__] = ACTIONS(429),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(429),
    [anon_sym_COMMA] = ACTIONS(427),
    [anon_sym_PIPE] = ACTIONS(429),
    [anon_sym_SEMI] = ACTIONS(427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(429),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(429),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(429),
    [anon_sym_unless] = ACTIONS(429),
    [anon_sym_while] = ACTIONS(429),
    [anon_sym_until] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(429),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(429),
    [anon_sym_CARET] = ACTIONS(427),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(427),
    [anon_sym_AMP_DOT] = ACTIONS(427),
    [anon_sym_QMARK] = ACTIONS(429),
    [anon_sym_and] = ACTIONS(429),
    [anon_sym_or] = ACTIONS(429),
    [anon_sym_PIPE_PIPE] = ACTIONS(427),
    [anon_sym_AMP_AMP] = ACTIONS(427),
    [anon_sym_LT_LT] = ACTIONS(427),
    [anon_sym_GT_GT] = ACTIONS(427),
    [anon_sym_LT_EQ] = ACTIONS(429),
    [anon_sym_GT] = ACTIONS(429),
    [anon_sym_GT_EQ] = ACTIONS(427),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_SLASH] = ACTIONS(427),
    [anon_sym_PERCENT] = ACTIONS(427),
    [anon_sym_EQ_EQ] = ACTIONS(429),
    [anon_sym_BANG_EQ] = ACTIONS(427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(427),
    [anon_sym_LT_EQ_GT] = ACTIONS(427),
    [anon_sym_EQ_TILDE] = ACTIONS(427),
    [anon_sym_BANG_TILDE] = ACTIONS(427),
    [anon_sym_defined_QMARK] = ACTIONS(467),
    [anon_sym_not] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(463),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(427),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(475),
    [sym__splat_star] = ACTIONS(477),
    [sym__unary_minus] = ACTIONS(479),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(427),
    [sym__binary_star] = ACTIONS(427),
    [sym_hash_key_symbol] = ACTIONS(483),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
    [sym__hash_splat_star_star] = ACTIONS(485),
    [sym__binary_star_star] = ACTIONS(427),
    [sym__element_reference_bracket] = ACTIONS(427),
  },
  [67] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3577),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4783),
    [sym_argument_list] = STATE(2755),
    [sym__argument] = STATE(4840),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_do_block] = STATE(2880),
    [sym_block] = STATE(2881),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1963),
    [sym_identifier_suffix] = STATE(1965),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2816),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(67),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(411),
    [anon_sym_DOT] = ACTIONS(413),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(413),
    [anon_sym_COMMA] = ACTIONS(411),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(411),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(413),
    [anon_sym_do] = ACTIONS(373),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(411),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(411),
    [anon_sym_AMP_DOT] = ACTIONS(411),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(413),
    [anon_sym_or] = ACTIONS(413),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_LT_LT] = ACTIONS(411),
    [anon_sym_GT_GT] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(411),
    [anon_sym_SLASH] = ACTIONS(411),
    [anon_sym_PERCENT] = ACTIONS(411),
    [anon_sym_EQ_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ_GT] = ACTIONS(411),
    [anon_sym_EQ_TILDE] = ACTIONS(411),
    [anon_sym_BANG_TILDE] = ACTIONS(411),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(269),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(353),
    [sym__splat_star] = ACTIONS(355),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(411),
    [sym__binary_star] = ACTIONS(411),
    [sym_hash_key_symbol] = ACTIONS(361),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(365),
    [sym__binary_star_star] = ACTIONS(411),
    [sym__element_reference_bracket] = ACTIONS(411),
  },
  [68] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4371),
    [sym_argument_list] = STATE(2186),
    [sym__argument] = STATE(4782),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(68),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(413),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(411),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(413),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(411),
    [anon_sym_then] = ACTIONS(413),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(411),
    [anon_sym_AMP_DOT] = ACTIONS(411),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(413),
    [anon_sym_or] = ACTIONS(413),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_LT_LT] = ACTIONS(411),
    [anon_sym_GT_GT] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(411),
    [anon_sym_SLASH] = ACTIONS(411),
    [anon_sym_PERCENT] = ACTIONS(411),
    [anon_sym_EQ_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ_GT] = ACTIONS(411),
    [anon_sym_EQ_TILDE] = ACTIONS(411),
    [anon_sym_BANG_TILDE] = ACTIONS(411),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(229),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(411),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(411),
    [sym__binary_star] = ACTIONS(411),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(411),
    [sym__element_reference_bracket] = ACTIONS(411),
  },
  [69] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3534),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(31),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(347),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4371),
    [sym_argument_list] = STATE(2186),
    [sym__argument] = STATE(4813),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5844),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(62),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2265),
    [sym__variable] = STATE(21),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1975),
    [sym_identifier_suffix] = STATE(1973),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2825),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(69),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(183),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(413),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(411),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(411),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_yield] = ACTIONS(241),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_next] = ACTIONS(245),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(413),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(411),
    [anon_sym_then] = ACTIONS(413),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(411),
    [anon_sym_AMP_DOT] = ACTIONS(411),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(413),
    [anon_sym_or] = ACTIONS(413),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_LT_LT] = ACTIONS(411),
    [anon_sym_GT_GT] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(411),
    [anon_sym_SLASH] = ACTIONS(411),
    [anon_sym_PERCENT] = ACTIONS(411),
    [anon_sym_EQ_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ_GT] = ACTIONS(411),
    [anon_sym_EQ_TILDE] = ACTIONS(411),
    [anon_sym_BANG_TILDE] = ACTIONS(411),
    [anon_sym_defined_QMARK] = ACTIONS(247),
    [anon_sym_not] = ACTIONS(249),
    [anon_sym_BANG] = ACTIONS(251),
    [anon_sym_TILDE] = ACTIONS(253),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(235),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(411),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(257),
    [sym__splat_star] = ACTIONS(259),
    [sym__unary_minus] = ACTIONS(261),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(411),
    [sym__binary_star] = ACTIONS(411),
    [sym_hash_key_symbol] = ACTIONS(265),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(267),
    [sym__binary_star_star] = ACTIONS(411),
    [sym__element_reference_bracket] = ACTIONS(411),
  },
  [70] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3577),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4790),
    [sym_argument_list] = STATE(3073),
    [sym__argument] = STATE(4840),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_do_block] = STATE(2880),
    [sym_block] = STATE(2881),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1963),
    [sym_identifier_suffix] = STATE(1965),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2816),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(70),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(271),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(411),
    [anon_sym_DOT] = ACTIONS(413),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(413),
    [anon_sym_COMMA] = ACTIONS(411),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(411),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(413),
    [anon_sym_do] = ACTIONS(413),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(411),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(411),
    [anon_sym_AMP_DOT] = ACTIONS(411),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(413),
    [anon_sym_or] = ACTIONS(413),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_LT_LT] = ACTIONS(411),
    [anon_sym_GT_GT] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(411),
    [anon_sym_SLASH] = ACTIONS(411),
    [anon_sym_PERCENT] = ACTIONS(411),
    [anon_sym_EQ_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ_GT] = ACTIONS(411),
    [anon_sym_EQ_TILDE] = ACTIONS(411),
    [anon_sym_BANG_TILDE] = ACTIONS(411),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(269),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(353),
    [sym__splat_star] = ACTIONS(355),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(411),
    [sym__binary_star] = ACTIONS(411),
    [sym_hash_key_symbol] = ACTIONS(361),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(365),
    [sym__binary_star_star] = ACTIONS(411),
    [sym__element_reference_bracket] = ACTIONS(411),
  },
  [71] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4369),
    [sym_argument_list] = STATE(2183),
    [sym__argument] = STATE(4451),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(71),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(413),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(413),
    [anon_sym_COMMA] = ACTIONS(411),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(411),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_unless] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_until] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(413),
    [anon_sym_do] = ACTIONS(413),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(411),
    [anon_sym_AMP_DOT] = ACTIONS(411),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(413),
    [anon_sym_or] = ACTIONS(413),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_LT_LT] = ACTIONS(411),
    [anon_sym_GT_GT] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(411),
    [anon_sym_SLASH] = ACTIONS(411),
    [anon_sym_PERCENT] = ACTIONS(411),
    [anon_sym_EQ_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ_GT] = ACTIONS(411),
    [anon_sym_EQ_TILDE] = ACTIONS(411),
    [anon_sym_BANG_TILDE] = ACTIONS(411),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(411),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(411),
    [sym__binary_star] = ACTIONS(411),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(411),
    [sym__element_reference_bracket] = ACTIONS(411),
  },
  [72] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3722),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(37),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(351),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4790),
    [sym_argument_list] = STATE(3073),
    [sym__argument] = STATE(4933),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_do_block] = STATE(2880),
    [sym_block] = STATE(2881),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5746),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(72),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2370),
    [sym__variable] = STATE(36),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1983),
    [sym_identifier_suffix] = STATE(1982),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3011),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(72),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_LBRACE] = ACTIONS(271),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(411),
    [anon_sym_DOT] = ACTIONS(413),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(411),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(411),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(383),
    [anon_sym_break] = ACTIONS(385),
    [anon_sym_next] = ACTIONS(387),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(413),
    [anon_sym_do] = ACTIONS(413),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(411),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(411),
    [anon_sym_AMP_DOT] = ACTIONS(411),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(413),
    [anon_sym_or] = ACTIONS(413),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_LT_LT] = ACTIONS(411),
    [anon_sym_GT_GT] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(411),
    [anon_sym_SLASH] = ACTIONS(411),
    [anon_sym_PERCENT] = ACTIONS(411),
    [anon_sym_EQ_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ_GT] = ACTIONS(411),
    [anon_sym_EQ_TILDE] = ACTIONS(411),
    [anon_sym_BANG_TILDE] = ACTIONS(411),
    [anon_sym_defined_QMARK] = ACTIONS(389),
    [anon_sym_not] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_TILDE] = ACTIONS(395),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(377),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(399),
    [sym__splat_star] = ACTIONS(401),
    [sym__unary_minus] = ACTIONS(403),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(411),
    [sym__binary_star] = ACTIONS(411),
    [sym_hash_key_symbol] = ACTIONS(407),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(409),
    [sym__binary_star_star] = ACTIONS(411),
    [sym__element_reference_bracket] = ACTIONS(411),
  },
  [73] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4369),
    [sym_argument_list] = STATE(2183),
    [sym__argument] = STATE(4451),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(73),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(369),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(413),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(411),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_unless] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(413),
    [anon_sym_until] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(413),
    [anon_sym_do] = ACTIONS(413),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(411),
    [anon_sym_AMP_DOT] = ACTIONS(411),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(413),
    [anon_sym_or] = ACTIONS(413),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_LT_LT] = ACTIONS(411),
    [anon_sym_GT_GT] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(411),
    [anon_sym_SLASH] = ACTIONS(411),
    [anon_sym_PERCENT] = ACTIONS(411),
    [anon_sym_EQ_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ_GT] = ACTIONS(411),
    [anon_sym_EQ_TILDE] = ACTIONS(411),
    [anon_sym_BANG_TILDE] = ACTIONS(411),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(411),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(411),
    [sym__binary_star] = ACTIONS(411),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(411),
    [sym__element_reference_bracket] = ACTIONS(411),
  },
  [74] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3722),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(37),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(351),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4783),
    [sym_argument_list] = STATE(2755),
    [sym__argument] = STATE(4933),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_do_block] = STATE(2880),
    [sym_block] = STATE(2881),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5746),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(72),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2370),
    [sym__variable] = STATE(36),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1983),
    [sym_identifier_suffix] = STATE(1982),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3011),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(74),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(411),
    [anon_sym_DOT] = ACTIONS(413),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(411),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(411),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(383),
    [anon_sym_break] = ACTIONS(385),
    [anon_sym_next] = ACTIONS(387),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(413),
    [anon_sym_do] = ACTIONS(373),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(411),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(411),
    [anon_sym_AMP_DOT] = ACTIONS(411),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(413),
    [anon_sym_or] = ACTIONS(413),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_LT_LT] = ACTIONS(411),
    [anon_sym_GT_GT] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(411),
    [anon_sym_SLASH] = ACTIONS(411),
    [anon_sym_PERCENT] = ACTIONS(411),
    [anon_sym_EQ_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ_GT] = ACTIONS(411),
    [anon_sym_EQ_TILDE] = ACTIONS(411),
    [anon_sym_BANG_TILDE] = ACTIONS(411),
    [anon_sym_defined_QMARK] = ACTIONS(389),
    [anon_sym_not] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_TILDE] = ACTIONS(395),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(377),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(399),
    [sym__splat_star] = ACTIONS(401),
    [sym__unary_minus] = ACTIONS(403),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(411),
    [sym__binary_star] = ACTIONS(411),
    [sym_hash_key_symbol] = ACTIONS(407),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(409),
    [sym__binary_star_star] = ACTIONS(411),
    [sym__element_reference_bracket] = ACTIONS(411),
  },
  [75] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3534),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(31),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(347),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4371),
    [sym_argument_list] = STATE(2186),
    [sym__argument] = STATE(4813),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5844),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(62),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2265),
    [sym__variable] = STATE(21),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1975),
    [sym_identifier_suffix] = STATE(1973),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2825),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(75),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(121),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(413),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_SEMI] = ACTIONS(411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(411),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_yield] = ACTIONS(241),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_next] = ACTIONS(245),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(413),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(411),
    [anon_sym_then] = ACTIONS(413),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(411),
    [anon_sym_AMP_DOT] = ACTIONS(411),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(413),
    [anon_sym_or] = ACTIONS(413),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_LT_LT] = ACTIONS(411),
    [anon_sym_GT_GT] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(411),
    [anon_sym_SLASH] = ACTIONS(411),
    [anon_sym_PERCENT] = ACTIONS(411),
    [anon_sym_EQ_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ_GT] = ACTIONS(411),
    [anon_sym_EQ_TILDE] = ACTIONS(411),
    [anon_sym_BANG_TILDE] = ACTIONS(411),
    [anon_sym_defined_QMARK] = ACTIONS(247),
    [anon_sym_not] = ACTIONS(249),
    [anon_sym_BANG] = ACTIONS(251),
    [anon_sym_TILDE] = ACTIONS(253),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(235),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(411),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(257),
    [sym__splat_star] = ACTIONS(259),
    [sym__unary_minus] = ACTIONS(261),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(411),
    [sym__binary_star] = ACTIONS(411),
    [sym_hash_key_symbol] = ACTIONS(265),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(267),
    [sym__binary_star_star] = ACTIONS(411),
    [sym__element_reference_bracket] = ACTIONS(411),
  },
  [76] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4411),
    [sym_argument_list] = STATE(2363),
    [sym__argument] = STATE(4782),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(76),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(429),
    [anon_sym_COMMA] = ACTIONS(427),
    [anon_sym_PIPE] = ACTIONS(429),
    [anon_sym_SEMI] = ACTIONS(427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(429),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(429),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(429),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(429),
    [anon_sym_CARET] = ACTIONS(427),
    [anon_sym_then] = ACTIONS(429),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(427),
    [anon_sym_AMP_DOT] = ACTIONS(427),
    [anon_sym_QMARK] = ACTIONS(429),
    [anon_sym_and] = ACTIONS(429),
    [anon_sym_or] = ACTIONS(429),
    [anon_sym_PIPE_PIPE] = ACTIONS(427),
    [anon_sym_AMP_AMP] = ACTIONS(427),
    [anon_sym_LT_LT] = ACTIONS(427),
    [anon_sym_GT_GT] = ACTIONS(427),
    [anon_sym_LT_EQ] = ACTIONS(429),
    [anon_sym_GT] = ACTIONS(429),
    [anon_sym_GT_EQ] = ACTIONS(427),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_SLASH] = ACTIONS(427),
    [anon_sym_PERCENT] = ACTIONS(427),
    [anon_sym_EQ_EQ] = ACTIONS(429),
    [anon_sym_BANG_EQ] = ACTIONS(427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(427),
    [anon_sym_LT_EQ_GT] = ACTIONS(427),
    [anon_sym_EQ_TILDE] = ACTIONS(427),
    [anon_sym_BANG_TILDE] = ACTIONS(427),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(229),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(427),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(427),
    [sym__binary_star] = ACTIONS(427),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(427),
    [sym__element_reference_bracket] = ACTIONS(427),
  },
  [77] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4444),
    [sym_argument_list] = STATE(2325),
    [sym__argument] = STATE(4782),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(77),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(421),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(419),
    [anon_sym_PIPE] = ACTIONS(421),
    [anon_sym_SEMI] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(421),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(421),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(421),
    [anon_sym_do] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(419),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_then] = ACTIONS(421),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(419),
    [anon_sym_AMP_DOT] = ACTIONS(419),
    [anon_sym_QMARK] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(421),
    [anon_sym_or] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(419),
    [anon_sym_LT_EQ_GT] = ACTIONS(419),
    [anon_sym_EQ_TILDE] = ACTIONS(419),
    [anon_sym_BANG_TILDE] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(229),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(419),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(419),
    [sym__binary_star] = ACTIONS(419),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(419),
    [sym__element_reference_bracket] = ACTIONS(419),
  },
  [78] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4435),
    [sym_argument_list] = STATE(2323),
    [sym__argument] = STATE(4782),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(78),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(425),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(425),
    [anon_sym_COMMA] = ACTIONS(423),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_SEMI] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(425),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(425),
    [anon_sym_do] = ACTIONS(425),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_then] = ACTIONS(425),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(423),
    [anon_sym_AMP_DOT] = ACTIONS(423),
    [anon_sym_QMARK] = ACTIONS(425),
    [anon_sym_and] = ACTIONS(425),
    [anon_sym_or] = ACTIONS(425),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(423),
    [anon_sym_LT_EQ_GT] = ACTIONS(423),
    [anon_sym_EQ_TILDE] = ACTIONS(423),
    [anon_sym_BANG_TILDE] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(229),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(423),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(423),
    [sym__binary_star] = ACTIONS(423),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(423),
    [sym__element_reference_bracket] = ACTIONS(423),
  },
  [79] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4432),
    [sym_argument_list] = STATE(2321),
    [sym__argument] = STATE(4782),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(79),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(417),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(417),
    [anon_sym_COMMA] = ACTIONS(415),
    [anon_sym_PIPE] = ACTIONS(417),
    [anon_sym_SEMI] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(417),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(417),
    [anon_sym_do] = ACTIONS(417),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_then] = ACTIONS(417),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(415),
    [anon_sym_AMP_DOT] = ACTIONS(415),
    [anon_sym_QMARK] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(417),
    [anon_sym_or] = ACTIONS(417),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(417),
    [anon_sym_GT] = ACTIONS(417),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(417),
    [anon_sym_BANG_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ_GT] = ACTIONS(415),
    [anon_sym_EQ_TILDE] = ACTIONS(415),
    [anon_sym_BANG_TILDE] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(229),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(415),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(415),
    [sym__binary_star] = ACTIONS(415),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
    [sym__binary_star_star] = ACTIONS(415),
    [sym__element_reference_bracket] = ACTIONS(415),
  },
  [80] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3534),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(31),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(347),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4411),
    [sym_argument_list] = STATE(2363),
    [sym__argument] = STATE(4813),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5844),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(62),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2265),
    [sym__variable] = STATE(21),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1975),
    [sym_identifier_suffix] = STATE(1973),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2825),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(80),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(427),
    [anon_sym_PIPE] = ACTIONS(429),
    [anon_sym_SEMI] = ACTIONS(427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(429),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(429),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_yield] = ACTIONS(241),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_next] = ACTIONS(245),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(429),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(429),
    [anon_sym_CARET] = ACTIONS(427),
    [anon_sym_then] = ACTIONS(429),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(427),
    [anon_sym_AMP_DOT] = ACTIONS(427),
    [anon_sym_QMARK] = ACTIONS(429),
    [anon_sym_and] = ACTIONS(429),
    [anon_sym_or] = ACTIONS(429),
    [anon_sym_PIPE_PIPE] = ACTIONS(427),
    [anon_sym_AMP_AMP] = ACTIONS(427),
    [anon_sym_LT_LT] = ACTIONS(427),
    [anon_sym_GT_GT] = ACTIONS(427),
    [anon_sym_LT_EQ] = ACTIONS(429),
    [anon_sym_GT] = ACTIONS(429),
    [anon_sym_GT_EQ] = ACTIONS(427),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_SLASH] = ACTIONS(427),
    [anon_sym_PERCENT] = ACTIONS(427),
    [anon_sym_EQ_EQ] = ACTIONS(429),
    [anon_sym_BANG_EQ] = ACTIONS(427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(427),
    [anon_sym_LT_EQ_GT] = ACTIONS(427),
    [anon_sym_EQ_TILDE] = ACTIONS(427),
    [anon_sym_BANG_TILDE] = ACTIONS(427),
    [anon_sym_defined_QMARK] = ACTIONS(247),
    [anon_sym_not] = ACTIONS(249),
    [anon_sym_BANG] = ACTIONS(251),
    [anon_sym_TILDE] = ACTIONS(253),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(235),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(427),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(257),
    [sym__splat_star] = ACTIONS(259),
    [sym__unary_minus] = ACTIONS(261),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(427),
    [sym__binary_star] = ACTIONS(427),
    [sym_hash_key_symbol] = ACTIONS(265),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(267),
    [sym__binary_star_star] = ACTIONS(427),
    [sym__element_reference_bracket] = ACTIONS(427),
  },
  [81] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3369),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(24),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4432),
    [sym_argument_list] = STATE(2321),
    [sym__argument] = STATE(4683),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5720),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(71),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2153),
    [sym__variable] = STATE(23),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1967),
    [sym_identifier_suffix] = STATE(1966),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2663),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(81),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(417),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(417),
    [anon_sym_COMMA] = ACTIONS(415),
    [anon_sym_PIPE] = ACTIONS(417),
    [anon_sym_SEMI] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(417),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(417),
    [anon_sym_unless] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(417),
    [anon_sym_until] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(417),
    [anon_sym_do] = ACTIONS(417),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(415),
    [anon_sym_AMP_DOT] = ACTIONS(415),
    [anon_sym_QMARK] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(417),
    [anon_sym_or] = ACTIONS(417),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(417),
    [anon_sym_GT] = ACTIONS(417),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(417),
    [anon_sym_BANG_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ_GT] = ACTIONS(415),
    [anon_sym_EQ_TILDE] = ACTIONS(415),
    [anon_sym_BANG_TILDE] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(499),
    [anon_sym_not] = ACTIONS(501),
    [anon_sym_BANG] = ACTIONS(503),
    [anon_sym_TILDE] = ACTIONS(505),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(487),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(415),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(507),
    [sym__splat_star] = ACTIONS(509),
    [sym__unary_minus] = ACTIONS(511),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(415),
    [sym__binary_star] = ACTIONS(415),
    [sym_hash_key_symbol] = ACTIONS(515),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(517),
    [sym__binary_star_star] = ACTIONS(415),
    [sym__element_reference_bracket] = ACTIONS(415),
  },
  [82] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3534),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(31),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(347),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4435),
    [sym_argument_list] = STATE(2323),
    [sym__argument] = STATE(4813),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5844),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(62),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2265),
    [sym__variable] = STATE(21),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1975),
    [sym_identifier_suffix] = STATE(1973),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2825),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(82),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(425),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(423),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_SEMI] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(425),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_yield] = ACTIONS(241),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_next] = ACTIONS(245),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(425),
    [anon_sym_do] = ACTIONS(425),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_then] = ACTIONS(425),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(423),
    [anon_sym_AMP_DOT] = ACTIONS(423),
    [anon_sym_QMARK] = ACTIONS(425),
    [anon_sym_and] = ACTIONS(425),
    [anon_sym_or] = ACTIONS(425),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(423),
    [anon_sym_LT_EQ_GT] = ACTIONS(423),
    [anon_sym_EQ_TILDE] = ACTIONS(423),
    [anon_sym_BANG_TILDE] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(247),
    [anon_sym_not] = ACTIONS(249),
    [anon_sym_BANG] = ACTIONS(251),
    [anon_sym_TILDE] = ACTIONS(253),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(235),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(423),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(257),
    [sym__splat_star] = ACTIONS(259),
    [sym__unary_minus] = ACTIONS(261),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(423),
    [sym__binary_star] = ACTIONS(423),
    [sym_hash_key_symbol] = ACTIONS(265),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(267),
    [sym__binary_star_star] = ACTIONS(423),
    [sym__element_reference_bracket] = ACTIONS(423),
  },
  [83] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3534),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(31),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(347),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4444),
    [sym_argument_list] = STATE(2325),
    [sym__argument] = STATE(4813),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5844),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(62),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2265),
    [sym__variable] = STATE(21),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1975),
    [sym_identifier_suffix] = STATE(1973),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2825),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(83),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(421),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(419),
    [anon_sym_PIPE] = ACTIONS(421),
    [anon_sym_SEMI] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(421),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(421),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_yield] = ACTIONS(241),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_next] = ACTIONS(245),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(421),
    [anon_sym_do] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(419),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_then] = ACTIONS(421),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(419),
    [anon_sym_AMP_DOT] = ACTIONS(419),
    [anon_sym_QMARK] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(421),
    [anon_sym_or] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(419),
    [anon_sym_LT_EQ_GT] = ACTIONS(419),
    [anon_sym_EQ_TILDE] = ACTIONS(419),
    [anon_sym_BANG_TILDE] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(247),
    [anon_sym_not] = ACTIONS(249),
    [anon_sym_BANG] = ACTIONS(251),
    [anon_sym_TILDE] = ACTIONS(253),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(235),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(419),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(257),
    [sym__splat_star] = ACTIONS(259),
    [sym__unary_minus] = ACTIONS(261),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(419),
    [sym__binary_star] = ACTIONS(419),
    [sym_hash_key_symbol] = ACTIONS(265),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(267),
    [sym__binary_star_star] = ACTIONS(419),
    [sym__element_reference_bracket] = ACTIONS(419),
  },
  [84] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3369),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(24),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4435),
    [sym_argument_list] = STATE(2323),
    [sym__argument] = STATE(4683),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5720),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(71),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2153),
    [sym__variable] = STATE(23),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1967),
    [sym_identifier_suffix] = STATE(1966),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2663),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(84),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(425),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(425),
    [anon_sym_COMMA] = ACTIONS(423),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_SEMI] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(425),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(425),
    [anon_sym_unless] = ACTIONS(425),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_until] = ACTIONS(425),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(425),
    [anon_sym_do] = ACTIONS(425),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(423),
    [anon_sym_AMP_DOT] = ACTIONS(423),
    [anon_sym_QMARK] = ACTIONS(425),
    [anon_sym_and] = ACTIONS(425),
    [anon_sym_or] = ACTIONS(425),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(423),
    [anon_sym_LT_EQ_GT] = ACTIONS(423),
    [anon_sym_EQ_TILDE] = ACTIONS(423),
    [anon_sym_BANG_TILDE] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(499),
    [anon_sym_not] = ACTIONS(501),
    [anon_sym_BANG] = ACTIONS(503),
    [anon_sym_TILDE] = ACTIONS(505),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(487),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(423),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(507),
    [sym__splat_star] = ACTIONS(509),
    [sym__unary_minus] = ACTIONS(511),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(423),
    [sym__binary_star] = ACTIONS(423),
    [sym_hash_key_symbol] = ACTIONS(515),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(517),
    [sym__binary_star_star] = ACTIONS(423),
    [sym__element_reference_bracket] = ACTIONS(423),
  },
  [85] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3369),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(24),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4444),
    [sym_argument_list] = STATE(2325),
    [sym__argument] = STATE(4683),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5720),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(71),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2153),
    [sym__variable] = STATE(23),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1967),
    [sym_identifier_suffix] = STATE(1966),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2663),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(85),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(421),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(419),
    [anon_sym_PIPE] = ACTIONS(421),
    [anon_sym_SEMI] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(421),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(421),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(421),
    [anon_sym_unless] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_until] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(421),
    [anon_sym_do] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(419),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(419),
    [anon_sym_AMP_DOT] = ACTIONS(419),
    [anon_sym_QMARK] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(421),
    [anon_sym_or] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(419),
    [anon_sym_LT_EQ_GT] = ACTIONS(419),
    [anon_sym_EQ_TILDE] = ACTIONS(419),
    [anon_sym_BANG_TILDE] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(499),
    [anon_sym_not] = ACTIONS(501),
    [anon_sym_BANG] = ACTIONS(503),
    [anon_sym_TILDE] = ACTIONS(505),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(487),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(419),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(507),
    [sym__splat_star] = ACTIONS(509),
    [sym__unary_minus] = ACTIONS(511),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(419),
    [sym__binary_star] = ACTIONS(419),
    [sym_hash_key_symbol] = ACTIONS(515),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(517),
    [sym__binary_star_star] = ACTIONS(419),
    [sym__element_reference_bracket] = ACTIONS(419),
  },
  [86] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3577),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4881),
    [sym_argument_list] = STATE(2842),
    [sym__argument] = STATE(4840),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1963),
    [sym_identifier_suffix] = STATE(1965),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2816),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(86),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(415),
    [anon_sym_DOT] = ACTIONS(417),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(417),
    [anon_sym_COMMA] = ACTIONS(415),
    [anon_sym_PIPE] = ACTIONS(417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(417),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(417),
    [anon_sym_do] = ACTIONS(417),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(415),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(415),
    [anon_sym_AMP_DOT] = ACTIONS(415),
    [anon_sym_QMARK] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(417),
    [anon_sym_or] = ACTIONS(417),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(417),
    [anon_sym_GT] = ACTIONS(417),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(417),
    [anon_sym_BANG_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ_GT] = ACTIONS(415),
    [anon_sym_EQ_TILDE] = ACTIONS(415),
    [anon_sym_BANG_TILDE] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(269),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(353),
    [sym__splat_star] = ACTIONS(355),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(415),
    [sym__binary_star] = ACTIONS(415),
    [sym_hash_key_symbol] = ACTIONS(361),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(365),
    [sym__binary_star_star] = ACTIONS(415),
    [sym__element_reference_bracket] = ACTIONS(415),
  },
  [87] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3577),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4892),
    [sym_argument_list] = STATE(2843),
    [sym__argument] = STATE(4840),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1963),
    [sym_identifier_suffix] = STATE(1965),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2816),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(87),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(423),
    [anon_sym_DOT] = ACTIONS(425),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(425),
    [anon_sym_COMMA] = ACTIONS(423),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(425),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(425),
    [anon_sym_do] = ACTIONS(425),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(423),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(423),
    [anon_sym_AMP_DOT] = ACTIONS(423),
    [anon_sym_QMARK] = ACTIONS(425),
    [anon_sym_and] = ACTIONS(425),
    [anon_sym_or] = ACTIONS(425),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(423),
    [anon_sym_LT_EQ_GT] = ACTIONS(423),
    [anon_sym_EQ_TILDE] = ACTIONS(423),
    [anon_sym_BANG_TILDE] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(269),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(353),
    [sym__splat_star] = ACTIONS(355),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(423),
    [sym__binary_star] = ACTIONS(423),
    [sym_hash_key_symbol] = ACTIONS(361),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(365),
    [sym__binary_star_star] = ACTIONS(423),
    [sym__element_reference_bracket] = ACTIONS(423),
  },
  [88] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3577),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4889),
    [sym_argument_list] = STATE(2844),
    [sym__argument] = STATE(4840),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1963),
    [sym_identifier_suffix] = STATE(1965),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2816),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(88),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(419),
    [anon_sym_DOT] = ACTIONS(421),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(419),
    [anon_sym_PIPE] = ACTIONS(421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(421),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(421),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(421),
    [anon_sym_do] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(419),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(419),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(419),
    [anon_sym_AMP_DOT] = ACTIONS(419),
    [anon_sym_QMARK] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(421),
    [anon_sym_or] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(419),
    [anon_sym_LT_EQ_GT] = ACTIONS(419),
    [anon_sym_EQ_TILDE] = ACTIONS(419),
    [anon_sym_BANG_TILDE] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(269),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(353),
    [sym__splat_star] = ACTIONS(355),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(419),
    [sym__binary_star] = ACTIONS(419),
    [sym_hash_key_symbol] = ACTIONS(361),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(365),
    [sym__binary_star_star] = ACTIONS(419),
    [sym__element_reference_bracket] = ACTIONS(419),
  },
  [89] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3577),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4921),
    [sym_argument_list] = STATE(2846),
    [sym__argument] = STATE(4840),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1963),
    [sym_identifier_suffix] = STATE(1965),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2816),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(89),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(427),
    [anon_sym_DOT] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(429),
    [anon_sym_COMMA] = ACTIONS(427),
    [anon_sym_PIPE] = ACTIONS(429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(429),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(429),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(429),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(427),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(429),
    [anon_sym_CARET] = ACTIONS(427),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(427),
    [anon_sym_AMP_DOT] = ACTIONS(427),
    [anon_sym_QMARK] = ACTIONS(429),
    [anon_sym_and] = ACTIONS(429),
    [anon_sym_or] = ACTIONS(429),
    [anon_sym_PIPE_PIPE] = ACTIONS(427),
    [anon_sym_AMP_AMP] = ACTIONS(427),
    [anon_sym_LT_LT] = ACTIONS(427),
    [anon_sym_GT_GT] = ACTIONS(427),
    [anon_sym_LT_EQ] = ACTIONS(429),
    [anon_sym_GT] = ACTIONS(429),
    [anon_sym_GT_EQ] = ACTIONS(427),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_SLASH] = ACTIONS(427),
    [anon_sym_PERCENT] = ACTIONS(427),
    [anon_sym_EQ_EQ] = ACTIONS(429),
    [anon_sym_BANG_EQ] = ACTIONS(427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(427),
    [anon_sym_LT_EQ_GT] = ACTIONS(427),
    [anon_sym_EQ_TILDE] = ACTIONS(427),
    [anon_sym_BANG_TILDE] = ACTIONS(427),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(269),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(353),
    [sym__splat_star] = ACTIONS(355),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(427),
    [sym__binary_star] = ACTIONS(427),
    [sym_hash_key_symbol] = ACTIONS(361),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(365),
    [sym__binary_star_star] = ACTIONS(427),
    [sym__element_reference_bracket] = ACTIONS(427),
  },
  [90] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3369),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(24),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4411),
    [sym_argument_list] = STATE(2363),
    [sym__argument] = STATE(4683),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5720),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(71),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2153),
    [sym__variable] = STATE(23),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1967),
    [sym_identifier_suffix] = STATE(1966),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2663),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(90),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(429),
    [anon_sym_COMMA] = ACTIONS(427),
    [anon_sym_PIPE] = ACTIONS(429),
    [anon_sym_SEMI] = ACTIONS(427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(429),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(429),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(429),
    [anon_sym_unless] = ACTIONS(429),
    [anon_sym_while] = ACTIONS(429),
    [anon_sym_until] = ACTIONS(429),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(429),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(429),
    [anon_sym_CARET] = ACTIONS(427),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(427),
    [anon_sym_AMP_DOT] = ACTIONS(427),
    [anon_sym_QMARK] = ACTIONS(429),
    [anon_sym_and] = ACTIONS(429),
    [anon_sym_or] = ACTIONS(429),
    [anon_sym_PIPE_PIPE] = ACTIONS(427),
    [anon_sym_AMP_AMP] = ACTIONS(427),
    [anon_sym_LT_LT] = ACTIONS(427),
    [anon_sym_GT_GT] = ACTIONS(427),
    [anon_sym_LT_EQ] = ACTIONS(429),
    [anon_sym_GT] = ACTIONS(429),
    [anon_sym_GT_EQ] = ACTIONS(427),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_SLASH] = ACTIONS(427),
    [anon_sym_PERCENT] = ACTIONS(427),
    [anon_sym_EQ_EQ] = ACTIONS(429),
    [anon_sym_BANG_EQ] = ACTIONS(427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(427),
    [anon_sym_LT_EQ_GT] = ACTIONS(427),
    [anon_sym_EQ_TILDE] = ACTIONS(427),
    [anon_sym_BANG_TILDE] = ACTIONS(427),
    [anon_sym_defined_QMARK] = ACTIONS(499),
    [anon_sym_not] = ACTIONS(501),
    [anon_sym_BANG] = ACTIONS(503),
    [anon_sym_TILDE] = ACTIONS(505),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(487),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(427),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(507),
    [sym__splat_star] = ACTIONS(509),
    [sym__unary_minus] = ACTIONS(511),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(427),
    [sym__binary_star] = ACTIONS(427),
    [sym_hash_key_symbol] = ACTIONS(515),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(517),
    [sym__binary_star_star] = ACTIONS(427),
    [sym__element_reference_bracket] = ACTIONS(427),
  },
  [91] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3534),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(31),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(347),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4432),
    [sym_argument_list] = STATE(2321),
    [sym__argument] = STATE(4813),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5844),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(62),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2265),
    [sym__variable] = STATE(21),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1975),
    [sym_identifier_suffix] = STATE(1973),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2825),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(91),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(417),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(415),
    [anon_sym_PIPE] = ACTIONS(417),
    [anon_sym_SEMI] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(417),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_yield] = ACTIONS(241),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_next] = ACTIONS(245),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(417),
    [anon_sym_do] = ACTIONS(417),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_then] = ACTIONS(417),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(415),
    [anon_sym_AMP_DOT] = ACTIONS(415),
    [anon_sym_QMARK] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(417),
    [anon_sym_or] = ACTIONS(417),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(417),
    [anon_sym_GT] = ACTIONS(417),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(417),
    [anon_sym_BANG_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ_GT] = ACTIONS(415),
    [anon_sym_EQ_TILDE] = ACTIONS(415),
    [anon_sym_BANG_TILDE] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(247),
    [anon_sym_not] = ACTIONS(249),
    [anon_sym_BANG] = ACTIONS(251),
    [anon_sym_TILDE] = ACTIONS(253),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(235),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(415),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(257),
    [sym__splat_star] = ACTIONS(259),
    [sym__unary_minus] = ACTIONS(261),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(415),
    [sym__binary_star] = ACTIONS(415),
    [sym_hash_key_symbol] = ACTIONS(265),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(267),
    [sym__binary_star_star] = ACTIONS(415),
    [sym__element_reference_bracket] = ACTIONS(415),
  },
  [92] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3577),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4783),
    [sym_argument_list] = STATE(2755),
    [sym__argument] = STATE(4840),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_do_block] = STATE(2880),
    [sym_block] = STATE(2881),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1963),
    [sym_identifier_suffix] = STATE(1965),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2816),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(92),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(375),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(411),
    [anon_sym_DOT] = ACTIONS(413),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(413),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(411),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(413),
    [anon_sym_do] = ACTIONS(373),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(411),
    [anon_sym_AMP_DOT] = ACTIONS(411),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(413),
    [anon_sym_or] = ACTIONS(413),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_LT_LT] = ACTIONS(411),
    [anon_sym_GT_GT] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(411),
    [anon_sym_SLASH] = ACTIONS(411),
    [anon_sym_PERCENT] = ACTIONS(411),
    [anon_sym_EQ_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ_GT] = ACTIONS(411),
    [anon_sym_EQ_TILDE] = ACTIONS(411),
    [anon_sym_BANG_TILDE] = ACTIONS(411),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(319),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(269),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(353),
    [sym__splat_star] = ACTIONS(355),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(411),
    [sym__binary_star] = ACTIONS(411),
    [sym_hash_key_symbol] = ACTIONS(361),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(365),
    [sym__binary_star_star] = ACTIONS(411),
    [sym__element_reference_bracket] = ACTIONS(411),
  },
  [93] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2695),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4411),
    [sym_argument_list] = STATE(2363),
    [sym__argument] = STATE(4931),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5645),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2380),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1935),
    [sym_identifier_suffix] = STATE(1942),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2375),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(93),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(429),
    [anon_sym_COMMA] = ACTIONS(427),
    [anon_sym_PIPE] = ACTIONS(429),
    [anon_sym_SEMI] = ACTIONS(427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(429),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(429),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(429),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(429),
    [anon_sym_CARET] = ACTIONS(427),
    [anon_sym_then] = ACTIONS(429),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(427),
    [anon_sym_AMP_DOT] = ACTIONS(427),
    [anon_sym_QMARK] = ACTIONS(429),
    [anon_sym_and] = ACTIONS(429),
    [anon_sym_or] = ACTIONS(429),
    [anon_sym_PIPE_PIPE] = ACTIONS(427),
    [anon_sym_AMP_AMP] = ACTIONS(427),
    [anon_sym_LT_LT] = ACTIONS(427),
    [anon_sym_GT_GT] = ACTIONS(427),
    [anon_sym_LT_EQ] = ACTIONS(429),
    [anon_sym_GT] = ACTIONS(429),
    [anon_sym_GT_EQ] = ACTIONS(427),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_SLASH] = ACTIONS(427),
    [anon_sym_PERCENT] = ACTIONS(427),
    [anon_sym_EQ_EQ] = ACTIONS(429),
    [anon_sym_BANG_EQ] = ACTIONS(427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(427),
    [anon_sym_LT_EQ_GT] = ACTIONS(427),
    [anon_sym_EQ_TILDE] = ACTIONS(427),
    [anon_sym_BANG_TILDE] = ACTIONS(427),
    [anon_sym_defined_QMARK] = ACTIONS(527),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(431),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(427),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(451),
    [sym__splat_star] = ACTIONS(453),
    [sym__unary_minus] = ACTIONS(535),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(427),
    [sym__binary_star] = ACTIONS(427),
    [sym_hash_key_symbol] = ACTIONS(459),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(461),
    [sym__binary_star_star] = ACTIONS(427),
    [sym__element_reference_bracket] = ACTIONS(427),
  },
  [94] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2695),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4432),
    [sym_argument_list] = STATE(2321),
    [sym__argument] = STATE(4931),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5645),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2380),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1935),
    [sym_identifier_suffix] = STATE(1942),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2375),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(94),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(417),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(417),
    [anon_sym_COMMA] = ACTIONS(415),
    [anon_sym_PIPE] = ACTIONS(417),
    [anon_sym_SEMI] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(417),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(417),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_then] = ACTIONS(417),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(415),
    [anon_sym_AMP_DOT] = ACTIONS(415),
    [anon_sym_QMARK] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(417),
    [anon_sym_or] = ACTIONS(417),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(417),
    [anon_sym_GT] = ACTIONS(417),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(417),
    [anon_sym_BANG_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ_GT] = ACTIONS(415),
    [anon_sym_EQ_TILDE] = ACTIONS(415),
    [anon_sym_BANG_TILDE] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(527),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(431),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(415),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(451),
    [sym__splat_star] = ACTIONS(453),
    [sym__unary_minus] = ACTIONS(535),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(415),
    [sym__binary_star] = ACTIONS(415),
    [sym_hash_key_symbol] = ACTIONS(459),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(461),
    [sym__binary_star_star] = ACTIONS(415),
    [sym__element_reference_bracket] = ACTIONS(415),
  },
  [95] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2695),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4435),
    [sym_argument_list] = STATE(2323),
    [sym__argument] = STATE(4931),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5645),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2380),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1935),
    [sym_identifier_suffix] = STATE(1942),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2375),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(95),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(425),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(425),
    [anon_sym_COMMA] = ACTIONS(423),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_SEMI] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(425),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(425),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_then] = ACTIONS(425),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(423),
    [anon_sym_AMP_DOT] = ACTIONS(423),
    [anon_sym_QMARK] = ACTIONS(425),
    [anon_sym_and] = ACTIONS(425),
    [anon_sym_or] = ACTIONS(425),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(423),
    [anon_sym_LT_EQ_GT] = ACTIONS(423),
    [anon_sym_EQ_TILDE] = ACTIONS(423),
    [anon_sym_BANG_TILDE] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(527),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(431),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(423),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(451),
    [sym__splat_star] = ACTIONS(453),
    [sym__unary_minus] = ACTIONS(535),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(423),
    [sym__binary_star] = ACTIONS(423),
    [sym_hash_key_symbol] = ACTIONS(459),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(461),
    [sym__binary_star_star] = ACTIONS(423),
    [sym__element_reference_bracket] = ACTIONS(423),
  },
  [96] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2695),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4444),
    [sym_argument_list] = STATE(2325),
    [sym__argument] = STATE(4931),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5645),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2380),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1935),
    [sym_identifier_suffix] = STATE(1942),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2375),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(96),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(421),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(419),
    [anon_sym_PIPE] = ACTIONS(421),
    [anon_sym_SEMI] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(421),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(421),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(419),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_then] = ACTIONS(421),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(419),
    [anon_sym_AMP_DOT] = ACTIONS(419),
    [anon_sym_QMARK] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(421),
    [anon_sym_or] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(419),
    [anon_sym_LT_EQ_GT] = ACTIONS(419),
    [anon_sym_EQ_TILDE] = ACTIONS(419),
    [anon_sym_BANG_TILDE] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(527),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(431),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(419),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(451),
    [sym__splat_star] = ACTIONS(453),
    [sym__unary_minus] = ACTIONS(535),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(419),
    [sym__binary_star] = ACTIONS(419),
    [sym_hash_key_symbol] = ACTIONS(459),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(461),
    [sym__binary_star_star] = ACTIONS(419),
    [sym__element_reference_bracket] = ACTIONS(419),
  },
  [97] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3844),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(20),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(366),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4435),
    [sym_argument_list] = STATE(2323),
    [sym__argument] = STATE(4982),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5819),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(69),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2398),
    [sym__variable] = STATE(33),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1971),
    [sym_identifier_suffix] = STATE(1972),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(3065),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(97),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(425),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(423),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_SEMI] = ACTIONS(423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(425),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(541),
    [anon_sym_yield] = ACTIONS(543),
    [anon_sym_break] = ACTIONS(545),
    [anon_sym_next] = ACTIONS(547),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(425),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_then] = ACTIONS(425),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(423),
    [anon_sym_AMP_DOT] = ACTIONS(423),
    [anon_sym_QMARK] = ACTIONS(425),
    [anon_sym_and] = ACTIONS(425),
    [anon_sym_or] = ACTIONS(425),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(423),
    [anon_sym_LT_EQ_GT] = ACTIONS(423),
    [anon_sym_EQ_TILDE] = ACTIONS(423),
    [anon_sym_BANG_TILDE] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(549),
    [anon_sym_not] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(553),
    [anon_sym_TILDE] = ACTIONS(555),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(537),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(423),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(557),
    [sym__splat_star] = ACTIONS(559),
    [sym__unary_minus] = ACTIONS(561),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(423),
    [sym__binary_star] = ACTIONS(423),
    [sym_hash_key_symbol] = ACTIONS(565),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(567),
    [sym__binary_star_star] = ACTIONS(423),
    [sym__element_reference_bracket] = ACTIONS(423),
  },
  [98] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3722),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(37),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(351),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4921),
    [sym_argument_list] = STATE(2846),
    [sym__argument] = STATE(4933),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5746),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(72),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2370),
    [sym__variable] = STATE(36),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1983),
    [sym_identifier_suffix] = STATE(1982),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3011),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(98),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(427),
    [anon_sym_DOT] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(427),
    [anon_sym_PIPE] = ACTIONS(429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(429),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(429),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(383),
    [anon_sym_break] = ACTIONS(385),
    [anon_sym_next] = ACTIONS(387),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(429),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(427),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(429),
    [anon_sym_CARET] = ACTIONS(427),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(427),
    [anon_sym_AMP_DOT] = ACTIONS(427),
    [anon_sym_QMARK] = ACTIONS(429),
    [anon_sym_and] = ACTIONS(429),
    [anon_sym_or] = ACTIONS(429),
    [anon_sym_PIPE_PIPE] = ACTIONS(427),
    [anon_sym_AMP_AMP] = ACTIONS(427),
    [anon_sym_LT_LT] = ACTIONS(427),
    [anon_sym_GT_GT] = ACTIONS(427),
    [anon_sym_LT_EQ] = ACTIONS(429),
    [anon_sym_GT] = ACTIONS(429),
    [anon_sym_GT_EQ] = ACTIONS(427),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_SLASH] = ACTIONS(427),
    [anon_sym_PERCENT] = ACTIONS(427),
    [anon_sym_EQ_EQ] = ACTIONS(429),
    [anon_sym_BANG_EQ] = ACTIONS(427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(427),
    [anon_sym_LT_EQ_GT] = ACTIONS(427),
    [anon_sym_EQ_TILDE] = ACTIONS(427),
    [anon_sym_BANG_TILDE] = ACTIONS(427),
    [anon_sym_defined_QMARK] = ACTIONS(389),
    [anon_sym_not] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_TILDE] = ACTIONS(395),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(377),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(399),
    [sym__splat_star] = ACTIONS(401),
    [sym__unary_minus] = ACTIONS(403),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(427),
    [sym__binary_star] = ACTIONS(427),
    [sym_hash_key_symbol] = ACTIONS(407),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(409),
    [sym__binary_star_star] = ACTIONS(427),
    [sym__element_reference_bracket] = ACTIONS(427),
  },
  [99] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3722),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(37),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(351),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4889),
    [sym_argument_list] = STATE(2844),
    [sym__argument] = STATE(4933),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5746),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(72),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2370),
    [sym__variable] = STATE(36),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1983),
    [sym_identifier_suffix] = STATE(1982),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3011),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(99),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(419),
    [anon_sym_DOT] = ACTIONS(421),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(419),
    [anon_sym_PIPE] = ACTIONS(421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(421),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(421),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(383),
    [anon_sym_break] = ACTIONS(385),
    [anon_sym_next] = ACTIONS(387),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(421),
    [anon_sym_do] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(419),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(419),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(419),
    [anon_sym_AMP_DOT] = ACTIONS(419),
    [anon_sym_QMARK] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(421),
    [anon_sym_or] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(419),
    [anon_sym_LT_EQ_GT] = ACTIONS(419),
    [anon_sym_EQ_TILDE] = ACTIONS(419),
    [anon_sym_BANG_TILDE] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(389),
    [anon_sym_not] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_TILDE] = ACTIONS(395),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(377),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(399),
    [sym__splat_star] = ACTIONS(401),
    [sym__unary_minus] = ACTIONS(403),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(419),
    [sym__binary_star] = ACTIONS(419),
    [sym_hash_key_symbol] = ACTIONS(407),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(409),
    [sym__binary_star_star] = ACTIONS(419),
    [sym__element_reference_bracket] = ACTIONS(419),
  },
  [100] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3722),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(37),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(351),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4892),
    [sym_argument_list] = STATE(2843),
    [sym__argument] = STATE(4933),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5746),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(72),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2370),
    [sym__variable] = STATE(36),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1983),
    [sym_identifier_suffix] = STATE(1982),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3011),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(100),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(423),
    [anon_sym_DOT] = ACTIONS(425),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(423),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(425),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(383),
    [anon_sym_break] = ACTIONS(385),
    [anon_sym_next] = ACTIONS(387),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(425),
    [anon_sym_do] = ACTIONS(425),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(423),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(423),
    [anon_sym_AMP_DOT] = ACTIONS(423),
    [anon_sym_QMARK] = ACTIONS(425),
    [anon_sym_and] = ACTIONS(425),
    [anon_sym_or] = ACTIONS(425),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(423),
    [anon_sym_LT_EQ_GT] = ACTIONS(423),
    [anon_sym_EQ_TILDE] = ACTIONS(423),
    [anon_sym_BANG_TILDE] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(389),
    [anon_sym_not] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_TILDE] = ACTIONS(395),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(377),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(399),
    [sym__splat_star] = ACTIONS(401),
    [sym__unary_minus] = ACTIONS(403),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(423),
    [sym__binary_star] = ACTIONS(423),
    [sym_hash_key_symbol] = ACTIONS(407),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(409),
    [sym__binary_star_star] = ACTIONS(423),
    [sym__element_reference_bracket] = ACTIONS(423),
  },
  [101] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3722),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(37),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(351),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4881),
    [sym_argument_list] = STATE(2842),
    [sym__argument] = STATE(4933),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5746),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(72),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2370),
    [sym__variable] = STATE(36),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1983),
    [sym_identifier_suffix] = STATE(1982),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3011),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(101),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_LBRACE] = ACTIONS(415),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(415),
    [anon_sym_DOT] = ACTIONS(417),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(415),
    [anon_sym_PIPE] = ACTIONS(417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(417),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(383),
    [anon_sym_break] = ACTIONS(385),
    [anon_sym_next] = ACTIONS(387),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(417),
    [anon_sym_do] = ACTIONS(417),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(415),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(415),
    [anon_sym_AMP_DOT] = ACTIONS(415),
    [anon_sym_QMARK] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(417),
    [anon_sym_or] = ACTIONS(417),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(417),
    [anon_sym_GT] = ACTIONS(417),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(417),
    [anon_sym_BANG_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ_GT] = ACTIONS(415),
    [anon_sym_EQ_TILDE] = ACTIONS(415),
    [anon_sym_BANG_TILDE] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(389),
    [anon_sym_not] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_TILDE] = ACTIONS(395),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(377),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(399),
    [sym__splat_star] = ACTIONS(401),
    [sym__unary_minus] = ACTIONS(403),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(415),
    [sym__binary_star] = ACTIONS(415),
    [sym_hash_key_symbol] = ACTIONS(407),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(409),
    [sym__binary_star_star] = ACTIONS(415),
    [sym__element_reference_bracket] = ACTIONS(415),
  },
  [102] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3844),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(20),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(366),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4411),
    [sym_argument_list] = STATE(2363),
    [sym__argument] = STATE(4982),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5819),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(69),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2398),
    [sym__variable] = STATE(33),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1971),
    [sym_identifier_suffix] = STATE(1972),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(3065),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(102),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(427),
    [anon_sym_PIPE] = ACTIONS(429),
    [anon_sym_SEMI] = ACTIONS(427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(429),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(429),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(541),
    [anon_sym_yield] = ACTIONS(543),
    [anon_sym_break] = ACTIONS(545),
    [anon_sym_next] = ACTIONS(547),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(429),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(429),
    [anon_sym_CARET] = ACTIONS(427),
    [anon_sym_then] = ACTIONS(429),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(427),
    [anon_sym_AMP_DOT] = ACTIONS(427),
    [anon_sym_QMARK] = ACTIONS(429),
    [anon_sym_and] = ACTIONS(429),
    [anon_sym_or] = ACTIONS(429),
    [anon_sym_PIPE_PIPE] = ACTIONS(427),
    [anon_sym_AMP_AMP] = ACTIONS(427),
    [anon_sym_LT_LT] = ACTIONS(427),
    [anon_sym_GT_GT] = ACTIONS(427),
    [anon_sym_LT_EQ] = ACTIONS(429),
    [anon_sym_GT] = ACTIONS(429),
    [anon_sym_GT_EQ] = ACTIONS(427),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_SLASH] = ACTIONS(427),
    [anon_sym_PERCENT] = ACTIONS(427),
    [anon_sym_EQ_EQ] = ACTIONS(429),
    [anon_sym_BANG_EQ] = ACTIONS(427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(427),
    [anon_sym_LT_EQ_GT] = ACTIONS(427),
    [anon_sym_EQ_TILDE] = ACTIONS(427),
    [anon_sym_BANG_TILDE] = ACTIONS(427),
    [anon_sym_defined_QMARK] = ACTIONS(549),
    [anon_sym_not] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(553),
    [anon_sym_TILDE] = ACTIONS(555),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(537),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(427),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(557),
    [sym__splat_star] = ACTIONS(559),
    [sym__unary_minus] = ACTIONS(561),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(427),
    [sym__binary_star] = ACTIONS(427),
    [sym_hash_key_symbol] = ACTIONS(565),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(567),
    [sym__binary_star_star] = ACTIONS(427),
    [sym__element_reference_bracket] = ACTIONS(427),
  },
  [103] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3722),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(37),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(351),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4783),
    [sym_argument_list] = STATE(2755),
    [sym__argument] = STATE(4933),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_do_block] = STATE(2880),
    [sym_block] = STATE(2881),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5746),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(72),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2370),
    [sym__variable] = STATE(36),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1983),
    [sym_identifier_suffix] = STATE(1982),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3011),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(103),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_LBRACE] = ACTIONS(375),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(411),
    [anon_sym_DOT] = ACTIONS(413),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_PIPE] = ACTIONS(413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(411),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(413),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(383),
    [anon_sym_break] = ACTIONS(385),
    [anon_sym_next] = ACTIONS(387),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(413),
    [anon_sym_do] = ACTIONS(373),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(411),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(413),
    [anon_sym_CARET] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(411),
    [anon_sym_AMP_DOT] = ACTIONS(411),
    [anon_sym_QMARK] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(413),
    [anon_sym_or] = ACTIONS(413),
    [anon_sym_PIPE_PIPE] = ACTIONS(411),
    [anon_sym_AMP_AMP] = ACTIONS(411),
    [anon_sym_LT_LT] = ACTIONS(411),
    [anon_sym_GT_GT] = ACTIONS(411),
    [anon_sym_LT_EQ] = ACTIONS(413),
    [anon_sym_GT] = ACTIONS(413),
    [anon_sym_GT_EQ] = ACTIONS(411),
    [anon_sym_PLUS] = ACTIONS(411),
    [anon_sym_SLASH] = ACTIONS(411),
    [anon_sym_PERCENT] = ACTIONS(411),
    [anon_sym_EQ_EQ] = ACTIONS(413),
    [anon_sym_BANG_EQ] = ACTIONS(411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(411),
    [anon_sym_LT_EQ_GT] = ACTIONS(411),
    [anon_sym_EQ_TILDE] = ACTIONS(411),
    [anon_sym_BANG_TILDE] = ACTIONS(411),
    [anon_sym_defined_QMARK] = ACTIONS(389),
    [anon_sym_not] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_TILDE] = ACTIONS(395),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(377),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(399),
    [sym__splat_star] = ACTIONS(401),
    [sym__unary_minus] = ACTIONS(403),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(411),
    [sym__binary_star] = ACTIONS(411),
    [sym_hash_key_symbol] = ACTIONS(407),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(409),
    [sym__binary_star_star] = ACTIONS(411),
    [sym__element_reference_bracket] = ACTIONS(411),
  },
  [104] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3844),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(20),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(366),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4432),
    [sym_argument_list] = STATE(2321),
    [sym__argument] = STATE(4982),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5819),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(69),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2398),
    [sym__variable] = STATE(33),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1971),
    [sym_identifier_suffix] = STATE(1972),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(3065),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(104),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(417),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(415),
    [anon_sym_PIPE] = ACTIONS(417),
    [anon_sym_SEMI] = ACTIONS(415),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(417),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(541),
    [anon_sym_yield] = ACTIONS(543),
    [anon_sym_break] = ACTIONS(545),
    [anon_sym_next] = ACTIONS(547),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(417),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_then] = ACTIONS(417),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(415),
    [anon_sym_AMP_DOT] = ACTIONS(415),
    [anon_sym_QMARK] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(417),
    [anon_sym_or] = ACTIONS(417),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(417),
    [anon_sym_GT] = ACTIONS(417),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(417),
    [anon_sym_BANG_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ_GT] = ACTIONS(415),
    [anon_sym_EQ_TILDE] = ACTIONS(415),
    [anon_sym_BANG_TILDE] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(549),
    [anon_sym_not] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(553),
    [anon_sym_TILDE] = ACTIONS(555),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(537),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(415),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(557),
    [sym__splat_star] = ACTIONS(559),
    [sym__unary_minus] = ACTIONS(561),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(415),
    [sym__binary_star] = ACTIONS(415),
    [sym_hash_key_symbol] = ACTIONS(565),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(567),
    [sym__binary_star_star] = ACTIONS(415),
    [sym__element_reference_bracket] = ACTIONS(415),
  },
  [105] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3844),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(20),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(366),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4444),
    [sym_argument_list] = STATE(2325),
    [sym__argument] = STATE(4982),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5819),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(69),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2398),
    [sym__variable] = STATE(33),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1971),
    [sym_identifier_suffix] = STATE(1972),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(3065),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(105),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(421),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(419),
    [anon_sym_PIPE] = ACTIONS(421),
    [anon_sym_SEMI] = ACTIONS(419),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(421),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(421),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(541),
    [anon_sym_yield] = ACTIONS(543),
    [anon_sym_break] = ACTIONS(545),
    [anon_sym_next] = ACTIONS(547),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(419),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_then] = ACTIONS(421),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(419),
    [anon_sym_AMP_DOT] = ACTIONS(419),
    [anon_sym_QMARK] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(421),
    [anon_sym_or] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(419),
    [anon_sym_LT_EQ_GT] = ACTIONS(419),
    [anon_sym_EQ_TILDE] = ACTIONS(419),
    [anon_sym_BANG_TILDE] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(549),
    [anon_sym_not] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(553),
    [anon_sym_TILDE] = ACTIONS(555),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(537),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(419),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(557),
    [sym__splat_star] = ACTIONS(559),
    [sym__unary_minus] = ACTIONS(561),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(419),
    [sym__binary_star] = ACTIONS(419),
    [sym_hash_key_symbol] = ACTIONS(565),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(567),
    [sym__binary_star_star] = ACTIONS(419),
    [sym__element_reference_bracket] = ACTIONS(419),
  },
  [106] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3916),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4881),
    [sym_argument_list] = STATE(2842),
    [sym__argument] = STATE(5032),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5748),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2414),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1964),
    [sym_identifier_suffix] = STATE(1968),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3045),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(106),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(569),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(415),
    [anon_sym_DOT] = ACTIONS(417),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(417),
    [anon_sym_COMMA] = ACTIONS(415),
    [anon_sym_PIPE] = ACTIONS(417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(417),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(417),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(415),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(415),
    [anon_sym_AMP_DOT] = ACTIONS(415),
    [anon_sym_QMARK] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(417),
    [anon_sym_or] = ACTIONS(417),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(417),
    [anon_sym_GT] = ACTIONS(417),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(417),
    [anon_sym_BANG_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ_GT] = ACTIONS(415),
    [anon_sym_EQ_TILDE] = ACTIONS(415),
    [anon_sym_BANG_TILDE] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(583),
    [anon_sym_not] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(587),
    [anon_sym_TILDE] = ACTIONS(589),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(569),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(415),
    [sym__binary_star] = ACTIONS(415),
    [sym_hash_key_symbol] = ACTIONS(599),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(601),
    [sym__binary_star_star] = ACTIONS(415),
    [sym__element_reference_bracket] = ACTIONS(415),
  },
  [107] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3916),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4921),
    [sym_argument_list] = STATE(2846),
    [sym__argument] = STATE(5032),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5748),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2414),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1964),
    [sym_identifier_suffix] = STATE(1968),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3045),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(107),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(569),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(427),
    [anon_sym_DOT] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(429),
    [anon_sym_COMMA] = ACTIONS(427),
    [anon_sym_PIPE] = ACTIONS(429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(429),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(429),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(429),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(427),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(429),
    [anon_sym_CARET] = ACTIONS(427),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(427),
    [anon_sym_AMP_DOT] = ACTIONS(427),
    [anon_sym_QMARK] = ACTIONS(429),
    [anon_sym_and] = ACTIONS(429),
    [anon_sym_or] = ACTIONS(429),
    [anon_sym_PIPE_PIPE] = ACTIONS(427),
    [anon_sym_AMP_AMP] = ACTIONS(427),
    [anon_sym_LT_LT] = ACTIONS(427),
    [anon_sym_GT_GT] = ACTIONS(427),
    [anon_sym_LT_EQ] = ACTIONS(429),
    [anon_sym_GT] = ACTIONS(429),
    [anon_sym_GT_EQ] = ACTIONS(427),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_SLASH] = ACTIONS(427),
    [anon_sym_PERCENT] = ACTIONS(427),
    [anon_sym_EQ_EQ] = ACTIONS(429),
    [anon_sym_BANG_EQ] = ACTIONS(427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(427),
    [anon_sym_LT_EQ_GT] = ACTIONS(427),
    [anon_sym_EQ_TILDE] = ACTIONS(427),
    [anon_sym_BANG_TILDE] = ACTIONS(427),
    [anon_sym_defined_QMARK] = ACTIONS(583),
    [anon_sym_not] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(587),
    [anon_sym_TILDE] = ACTIONS(589),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(569),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(427),
    [sym__binary_star] = ACTIONS(427),
    [sym_hash_key_symbol] = ACTIONS(599),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(601),
    [sym__binary_star_star] = ACTIONS(427),
    [sym__element_reference_bracket] = ACTIONS(427),
  },
  [108] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3916),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4889),
    [sym_argument_list] = STATE(2844),
    [sym__argument] = STATE(5032),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5748),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2414),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1964),
    [sym_identifier_suffix] = STATE(1968),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3045),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(108),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(569),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(419),
    [anon_sym_DOT] = ACTIONS(421),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(419),
    [anon_sym_PIPE] = ACTIONS(421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(421),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(421),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(419),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(419),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(419),
    [anon_sym_AMP_DOT] = ACTIONS(419),
    [anon_sym_QMARK] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(421),
    [anon_sym_or] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(419),
    [anon_sym_LT_EQ_GT] = ACTIONS(419),
    [anon_sym_EQ_TILDE] = ACTIONS(419),
    [anon_sym_BANG_TILDE] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(583),
    [anon_sym_not] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(587),
    [anon_sym_TILDE] = ACTIONS(589),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(569),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(419),
    [sym__binary_star] = ACTIONS(419),
    [sym_hash_key_symbol] = ACTIONS(599),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(601),
    [sym__binary_star_star] = ACTIONS(419),
    [sym__element_reference_bracket] = ACTIONS(419),
  },
  [109] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3916),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4892),
    [sym_argument_list] = STATE(2843),
    [sym__argument] = STATE(5032),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5748),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2414),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1964),
    [sym_identifier_suffix] = STATE(1968),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3045),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(109),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(569),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(423),
    [anon_sym_DOT] = ACTIONS(425),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(425),
    [anon_sym_COMMA] = ACTIONS(423),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(425),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(425),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(423),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(423),
    [anon_sym_AMP_DOT] = ACTIONS(423),
    [anon_sym_QMARK] = ACTIONS(425),
    [anon_sym_and] = ACTIONS(425),
    [anon_sym_or] = ACTIONS(425),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(423),
    [anon_sym_LT_EQ_GT] = ACTIONS(423),
    [anon_sym_EQ_TILDE] = ACTIONS(423),
    [anon_sym_BANG_TILDE] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(583),
    [anon_sym_not] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(587),
    [anon_sym_TILDE] = ACTIONS(589),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(569),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(423),
    [sym__binary_star] = ACTIONS(423),
    [sym_hash_key_symbol] = ACTIONS(599),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(601),
    [sym__binary_star_star] = ACTIONS(423),
    [sym__element_reference_bracket] = ACTIONS(423),
  },
  [110] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3941),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4881),
    [sym_argument_list] = STATE(2842),
    [sym__argument] = STATE(5179),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1977),
    [sym_identifier_suffix] = STATE(1978),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3157),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(110),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(415),
    [anon_sym_DOT] = ACTIONS(417),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(415),
    [anon_sym_PIPE] = ACTIONS(417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(415),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(417),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(417),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(417),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(415),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(415),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(415),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(415),
    [anon_sym_AMP_DOT] = ACTIONS(415),
    [anon_sym_QMARK] = ACTIONS(417),
    [anon_sym_and] = ACTIONS(417),
    [anon_sym_or] = ACTIONS(417),
    [anon_sym_PIPE_PIPE] = ACTIONS(415),
    [anon_sym_AMP_AMP] = ACTIONS(415),
    [anon_sym_LT_LT] = ACTIONS(415),
    [anon_sym_GT_GT] = ACTIONS(415),
    [anon_sym_LT_EQ] = ACTIONS(417),
    [anon_sym_GT] = ACTIONS(417),
    [anon_sym_GT_EQ] = ACTIONS(415),
    [anon_sym_PLUS] = ACTIONS(415),
    [anon_sym_SLASH] = ACTIONS(415),
    [anon_sym_PERCENT] = ACTIONS(415),
    [anon_sym_EQ_EQ] = ACTIONS(417),
    [anon_sym_BANG_EQ] = ACTIONS(415),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(415),
    [anon_sym_LT_EQ_GT] = ACTIONS(415),
    [anon_sym_EQ_TILDE] = ACTIONS(415),
    [anon_sym_BANG_TILDE] = ACTIONS(415),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(603),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(623),
    [sym__splat_star] = ACTIONS(625),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(415),
    [sym__binary_star] = ACTIONS(415),
    [sym_hash_key_symbol] = ACTIONS(631),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(633),
    [sym__binary_star_star] = ACTIONS(415),
    [sym__element_reference_bracket] = ACTIONS(415),
  },
  [111] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3941),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4921),
    [sym_argument_list] = STATE(2846),
    [sym__argument] = STATE(5179),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1977),
    [sym_identifier_suffix] = STATE(1978),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3157),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(111),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(427),
    [anon_sym_DOT] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(427),
    [anon_sym_PIPE] = ACTIONS(429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(429),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(429),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(429),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(427),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(429),
    [anon_sym_CARET] = ACTIONS(427),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(427),
    [anon_sym_AMP_DOT] = ACTIONS(427),
    [anon_sym_QMARK] = ACTIONS(429),
    [anon_sym_and] = ACTIONS(429),
    [anon_sym_or] = ACTIONS(429),
    [anon_sym_PIPE_PIPE] = ACTIONS(427),
    [anon_sym_AMP_AMP] = ACTIONS(427),
    [anon_sym_LT_LT] = ACTIONS(427),
    [anon_sym_GT_GT] = ACTIONS(427),
    [anon_sym_LT_EQ] = ACTIONS(429),
    [anon_sym_GT] = ACTIONS(429),
    [anon_sym_GT_EQ] = ACTIONS(427),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_SLASH] = ACTIONS(427),
    [anon_sym_PERCENT] = ACTIONS(427),
    [anon_sym_EQ_EQ] = ACTIONS(429),
    [anon_sym_BANG_EQ] = ACTIONS(427),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(427),
    [anon_sym_LT_EQ_GT] = ACTIONS(427),
    [anon_sym_EQ_TILDE] = ACTIONS(427),
    [anon_sym_BANG_TILDE] = ACTIONS(427),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(603),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(623),
    [sym__splat_star] = ACTIONS(625),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(427),
    [sym__binary_star] = ACTIONS(427),
    [sym_hash_key_symbol] = ACTIONS(631),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(633),
    [sym__binary_star_star] = ACTIONS(427),
    [sym__element_reference_bracket] = ACTIONS(427),
  },
  [112] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3941),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4892),
    [sym_argument_list] = STATE(2843),
    [sym__argument] = STATE(5179),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1977),
    [sym_identifier_suffix] = STATE(1978),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3157),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(112),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(423),
    [anon_sym_DOT] = ACTIONS(425),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(423),
    [anon_sym_PIPE] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(425),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(425),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(425),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(423),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(425),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(423),
    [anon_sym_AMP_DOT] = ACTIONS(423),
    [anon_sym_QMARK] = ACTIONS(425),
    [anon_sym_and] = ACTIONS(425),
    [anon_sym_or] = ACTIONS(425),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_GT] = ACTIONS(425),
    [anon_sym_GT_EQ] = ACTIONS(423),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(423),
    [anon_sym_LT_EQ_GT] = ACTIONS(423),
    [anon_sym_EQ_TILDE] = ACTIONS(423),
    [anon_sym_BANG_TILDE] = ACTIONS(423),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(603),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(623),
    [sym__splat_star] = ACTIONS(625),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(423),
    [sym__binary_star] = ACTIONS(423),
    [sym_hash_key_symbol] = ACTIONS(631),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(633),
    [sym__binary_star_star] = ACTIONS(423),
    [sym__element_reference_bracket] = ACTIONS(423),
  },
  [113] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3941),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4889),
    [sym_argument_list] = STATE(2844),
    [sym__argument] = STATE(5179),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1977),
    [sym_identifier_suffix] = STATE(1978),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3157),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(113),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_RPAREN] = ACTIONS(419),
    [anon_sym_DOT] = ACTIONS(421),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(419),
    [anon_sym_PIPE] = ACTIONS(421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(421),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(421),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(419),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(419),
    [anon_sym_LPAREN2] = ACTIONS(311),
    [anon_sym_DOT_DOT] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(419),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(419),
    [anon_sym_AMP_DOT] = ACTIONS(419),
    [anon_sym_QMARK] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(421),
    [anon_sym_or] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(419),
    [anon_sym_LT_LT] = ACTIONS(419),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(419),
    [anon_sym_EQ_EQ] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(419),
    [anon_sym_LT_EQ_GT] = ACTIONS(419),
    [anon_sym_EQ_TILDE] = ACTIONS(419),
    [anon_sym_BANG_TILDE] = ACTIONS(419),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(603),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(623),
    [sym__splat_star] = ACTIONS(625),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(419),
    [sym__binary_star] = ACTIONS(419),
    [sym_hash_key_symbol] = ACTIONS(631),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(633),
    [sym__binary_star_star] = ACTIONS(419),
    [sym__element_reference_bracket] = ACTIONS(419),
  },
  [114] = {
    [sym__statements] = STATE(5869),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym__pattern_expr] = STATE(5504),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(3068),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5547),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2176),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2733),
    [sym_subshell] = STATE(3068),
    [sym_string_array] = STATE(3068),
    [sym_symbol_array] = STATE(3068),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(3068),
    [sym_heredoc_body] = STATE(114),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(3077),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(635),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_RPAREN] = ACTIONS(643),
    [anon_sym_COLON_COLON] = ACTIONS(645),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_DOT_DOT] = ACTIONS(653),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(671),
    [sym_true] = ACTIONS(673),
    [sym_false] = ACTIONS(673),
    [sym_constant] = ACTIONS(675),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(677),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [115] = {
    [sym__statements] = STATE(5688),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym__pattern_expr] = STATE(5506),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(3068),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5547),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2176),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2733),
    [sym_subshell] = STATE(3068),
    [sym_string_array] = STATE(3068),
    [sym_symbol_array] = STATE(3068),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(3068),
    [sym_heredoc_body] = STATE(115),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(3077),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(635),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_RPAREN] = ACTIONS(685),
    [anon_sym_COLON_COLON] = ACTIONS(645),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_DOT_DOT] = ACTIONS(653),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(671),
    [sym_true] = ACTIONS(673),
    [sym_false] = ACTIONS(673),
    [sym_constant] = ACTIONS(675),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(677),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [116] = {
    [sym__statements] = STATE(5688),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym__pattern_expr] = STATE(5504),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(3068),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5547),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2176),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2733),
    [sym_subshell] = STATE(3068),
    [sym_string_array] = STATE(3068),
    [sym_symbol_array] = STATE(3068),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(3068),
    [sym_heredoc_body] = STATE(116),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(3077),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(635),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_RPAREN] = ACTIONS(685),
    [anon_sym_COLON_COLON] = ACTIONS(645),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_DOT_DOT] = ACTIONS(653),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(671),
    [sym_true] = ACTIONS(673),
    [sym_false] = ACTIONS(673),
    [sym_constant] = ACTIONS(675),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(677),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [117] = {
    [sym__statements] = STATE(5869),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym__pattern_expr] = STATE(5506),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(3068),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5547),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2176),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2733),
    [sym_subshell] = STATE(3068),
    [sym_string_array] = STATE(3068),
    [sym_symbol_array] = STATE(3068),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(3068),
    [sym_heredoc_body] = STATE(117),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(3077),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(635),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_RPAREN] = ACTIONS(643),
    [anon_sym_COLON_COLON] = ACTIONS(645),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_DOT_DOT] = ACTIONS(653),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(671),
    [sym_true] = ACTIONS(673),
    [sym_false] = ACTIONS(673),
    [sym_constant] = ACTIONS(675),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(677),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [118] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_splat_parameter] = STATE(4913),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__array_pattern_n] = STATE(5490),
    [sym__pattern_expr] = STATE(5319),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym__array_pattern_body] = STATE(5667),
    [sym_array_pattern] = STATE(4753),
    [sym__find_pattern_body] = STATE(5669),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5212),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3923),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym__argument_list_with_trailing_comma] = STATE(5633),
    [sym__argument] = STATE(5270),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(3672),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2503),
    [sym_constant_suffix] = STATE(1979),
    [sym_identifier_suffix] = STATE(1976),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3302),
    [sym_subshell] = STATE(3672),
    [sym_string_array] = STATE(3672),
    [sym_symbol_array] = STATE(3672),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(3672),
    [sym_heredoc_body] = STATE(118),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(3665),
    [sym_identifier] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_RBRACK] = ACTIONS(701),
    [anon_sym_DOT_DOT] = ACTIONS(703),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(707),
    [sym_true] = ACTIONS(709),
    [sym_false] = ACTIONS(709),
    [sym_constant] = ACTIONS(711),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(713),
    [sym__block_ampersand] = ACTIONS(715),
    [sym__splat_star] = ACTIONS(717),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [119] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_splat_parameter] = STATE(4913),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__array_pattern_n] = STATE(5490),
    [sym__pattern_expr] = STATE(5319),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym__array_pattern_body] = STATE(5793),
    [sym_array_pattern] = STATE(4753),
    [sym__find_pattern_body] = STATE(5729),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5212),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3923),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym__argument_list_with_trailing_comma] = STATE(5785),
    [sym__argument] = STATE(5270),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(3672),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2503),
    [sym_constant_suffix] = STATE(1979),
    [sym_identifier_suffix] = STATE(1976),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3302),
    [sym_subshell] = STATE(3672),
    [sym_string_array] = STATE(3672),
    [sym_symbol_array] = STATE(3672),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(3672),
    [sym_heredoc_body] = STATE(119),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(3665),
    [sym_identifier] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_RBRACK] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(703),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(707),
    [sym_true] = ACTIONS(709),
    [sym_false] = ACTIONS(709),
    [sym_constant] = ACTIONS(711),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(713),
    [sym__block_ampersand] = ACTIONS(715),
    [sym__splat_star] = ACTIONS(717),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [120] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_splat_parameter] = STATE(4913),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__array_pattern_n] = STATE(5490),
    [sym__pattern_expr] = STATE(5319),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym__array_pattern_body] = STATE(5793),
    [sym_array_pattern] = STATE(4753),
    [sym__find_pattern_body] = STATE(5729),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5212),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3923),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym__argument_list_with_trailing_comma] = STATE(5633),
    [sym__argument] = STATE(5270),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(3672),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2503),
    [sym_constant_suffix] = STATE(1979),
    [sym_identifier_suffix] = STATE(1976),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3302),
    [sym_subshell] = STATE(3672),
    [sym_string_array] = STATE(3672),
    [sym_symbol_array] = STATE(3672),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(3672),
    [sym_heredoc_body] = STATE(120),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(3665),
    [sym_identifier] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_RBRACK] = ACTIONS(727),
    [anon_sym_DOT_DOT] = ACTIONS(703),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(707),
    [sym_true] = ACTIONS(709),
    [sym_false] = ACTIONS(709),
    [sym_constant] = ACTIONS(711),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(713),
    [sym__block_ampersand] = ACTIONS(715),
    [sym__splat_star] = ACTIONS(717),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [121] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_splat_parameter] = STATE(4913),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__array_pattern_n] = STATE(5490),
    [sym__pattern_expr] = STATE(5319),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym__array_pattern_body] = STATE(5667),
    [sym_array_pattern] = STATE(4753),
    [sym__find_pattern_body] = STATE(5669),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5212),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3923),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym__argument_list_with_trailing_comma] = STATE(5785),
    [sym__argument] = STATE(5270),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(3672),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2503),
    [sym_constant_suffix] = STATE(1979),
    [sym_identifier_suffix] = STATE(1976),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3302),
    [sym_subshell] = STATE(3672),
    [sym_string_array] = STATE(3672),
    [sym_symbol_array] = STATE(3672),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(3672),
    [sym_heredoc_body] = STATE(121),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(3665),
    [sym_identifier] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_RBRACK] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(703),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(707),
    [sym_true] = ACTIONS(709),
    [sym_false] = ACTIONS(709),
    [sym_constant] = ACTIONS(711),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(713),
    [sym__block_ampersand] = ACTIONS(715),
    [sym__splat_star] = ACTIONS(717),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [122] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_splat_parameter] = STATE(4913),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__array_pattern_n] = STATE(5490),
    [sym__pattern_expr] = STATE(5319),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym__array_pattern_body] = STATE(5667),
    [sym_array_pattern] = STATE(4753),
    [sym__find_pattern_body] = STATE(5669),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5212),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3923),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym__argument_list_with_trailing_comma] = STATE(5633),
    [sym__argument] = STATE(5270),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(3672),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2503),
    [sym_constant_suffix] = STATE(1979),
    [sym_identifier_suffix] = STATE(1976),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3302),
    [sym_subshell] = STATE(3672),
    [sym_string_array] = STATE(3672),
    [sym_symbol_array] = STATE(3672),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(3672),
    [sym_heredoc_body] = STATE(122),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(3665),
    [sym_identifier] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_RBRACK] = ACTIONS(731),
    [anon_sym_DOT_DOT] = ACTIONS(703),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(707),
    [sym_true] = ACTIONS(709),
    [sym_false] = ACTIONS(709),
    [sym_constant] = ACTIONS(711),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(713),
    [sym__block_ampersand] = ACTIONS(715),
    [sym__splat_star] = ACTIONS(717),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [123] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_superclass] = STATE(5430),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5562),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(123),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(214),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(735),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [124] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_superclass] = STATE(5466),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5696),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(124),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(211),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(755),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [125] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_superclass] = STATE(5457),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5725),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(125),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(196),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(757),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [126] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5718),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(126),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(197),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(759),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [127] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_superclass] = STATE(5430),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5562),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(127),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(214),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(735),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [128] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5566),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(128),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(208),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(761),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [129] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_superclass] = STATE(5457),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5725),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(129),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(196),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(757),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [130] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_superclass] = STATE(5466),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5696),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(130),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(211),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(755),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [131] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5702),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(131),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(199),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(763),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [132] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5718),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(132),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(197),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(759),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [133] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5566),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(133),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(208),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(761),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [134] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5702),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(134),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(199),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(763),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [135] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2229),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5769),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(135),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(194),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(765),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(767),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [136] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2966),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5565),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(136),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(222),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(769),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(771),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [137] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2229),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5769),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(137),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(194),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(765),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(773),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [138] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2229),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5769),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(138),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(194),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(765),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [139] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(181),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5798),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(139),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(176),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(777),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_PIPE] = ACTIONS(779),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [140] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2966),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5565),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(140),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(222),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(769),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(781),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [141] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2229),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5769),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(141),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(194),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(765),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(783),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [142] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2966),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5565),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(142),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(222),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(769),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(785),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [143] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(178),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5603),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(143),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(167),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(787),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_PIPE] = ACTIONS(779),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [144] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2229),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5769),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(144),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(194),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(765),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(789),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [145] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(186),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5777),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(145),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(182),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(791),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_PIPE] = ACTIONS(779),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [146] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(172),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5592),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(146),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(173),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(793),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_PIPE] = ACTIONS(779),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [147] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2966),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5565),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(147),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(222),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(769),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(795),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [148] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2966),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5565),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(148),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(222),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(769),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(797),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [149] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2229),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5769),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(149),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(194),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(765),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(799),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [150] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(183),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5567),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(150),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(184),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(801),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_PIPE] = ACTIONS(779),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [151] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2229),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5769),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(151),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(194),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(765),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [152] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2229),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5769),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(152),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(194),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(765),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(805),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [153] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(5299),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5589),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(153),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(202),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(807),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [154] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2229),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5769),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(154),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(194),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(765),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(811),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [155] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2229),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5769),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(155),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(194),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(765),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(813),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [156] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2966),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5565),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(156),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(222),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(769),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [157] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2966),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5565),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(157),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(222),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(769),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [158] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2229),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5769),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(158),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(194),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(765),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(819),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [159] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(168),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5649),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(159),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(179),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(821),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_PIPE] = ACTIONS(779),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [160] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(177),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5870),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(160),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(180),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(823),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_PIPE] = ACTIONS(779),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [161] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2966),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5565),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(161),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(222),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(769),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [162] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2229),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5769),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(162),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(194),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(765),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(827),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [163] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2229),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5769),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(163),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(194),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(765),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(829),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [164] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2966),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5565),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(164),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(222),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(769),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [165] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym__body_expr] = STATE(2966),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5565),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(165),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(222),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(769),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(833),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [166] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5636),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(166),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(212),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(835),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [167] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(170),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5661),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(167),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(837),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_PIPE] = ACTIONS(779),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [168] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5709),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(168),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(207),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(839),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [169] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5652),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(169),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(203),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(841),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [170] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5690),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(170),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(221),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(843),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [171] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5815),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(171),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(210),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(845),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [172] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5615),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(172),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(201),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(847),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [173] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(174),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5707),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(173),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(849),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_PIPE] = ACTIONS(779),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [174] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5640),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(174),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(224),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(851),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [175] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5723),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(175),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(213),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(853),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [176] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(175),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5731),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(176),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(855),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_PIPE] = ACTIONS(779),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [177] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5784),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(177),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(223),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(857),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [178] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5657),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(178),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(209),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(859),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [179] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(171),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5713),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(179),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(861),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_PIPE] = ACTIONS(779),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [180] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(185),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5781),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(180),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(863),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_PIPE] = ACTIONS(779),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [181] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5736),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(181),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(225),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(865),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [182] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(166),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5602),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(182),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(867),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_PIPE] = ACTIONS(779),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [183] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5628),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(183),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(198),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(869),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [184] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(169),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5635),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(184),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(871),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_PIPE] = ACTIONS(779),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [185] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5771),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(185),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(193),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(873),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [186] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5556),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(186),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(206),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(875),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [187] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym__body_statement] = STATE(5617),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(187),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(230),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(877),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [188] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym__body_statement] = STATE(5735),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(188),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(227),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(879),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [189] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2432),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(189),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(883),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_DOT] = ACTIONS(885),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(885),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_do] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(885),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_elsif] = ACTIONS(885),
    [anon_sym_else] = ACTIONS(885),
    [anon_sym_then] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(885),
    [anon_sym_COLON_COLON2] = ACTIONS(883),
    [anon_sym_AMP_DOT] = ACTIONS(883),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(905),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(883),
    [sym__element_reference_bracket] = ACTIONS(883),
  },
  [190] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2436),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(190),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(921),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(923),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_do] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(923),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_elsif] = ACTIONS(923),
    [anon_sym_else] = ACTIONS(923),
    [anon_sym_then] = ACTIONS(923),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(923),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(905),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [191] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym__body_statement] = STATE(5772),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(191),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(228),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(925),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [192] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5800),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(192),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(927),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [193] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5770),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(193),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(929),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [194] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5810),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(194),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(931),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [195] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5586),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(195),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(933),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [196] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5583),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(196),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(935),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [197] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5582),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(197),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [198] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5651),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(198),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(939),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [199] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5757),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(199),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(941),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [200] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5620),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(200),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(943),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [201] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5639),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(201),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(945),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [202] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5764),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(202),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(947),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [203] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5655),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(203),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(949),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [204] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5774),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(204),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(951),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [205] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5641),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(205),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(953),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [206] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5626),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(206),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(955),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [207] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5816),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(207),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(957),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [208] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5623),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(208),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(959),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [209] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5689),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(209),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(961),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [210] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5841),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(210),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(963),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [211] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5767),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(211),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(965),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [212] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5795),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(212),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(967),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [213] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5721),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(213),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(969),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [214] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5622),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(214),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(971),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [215] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5681),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(215),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(973),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [216] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5679),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(216),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(975),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [217] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5768),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(217),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(977),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [218] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2508),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(218),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(921),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(923),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(923),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_elsif] = ACTIONS(923),
    [anon_sym_else] = ACTIONS(923),
    [anon_sym_then] = ACTIONS(923),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(923),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(989),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [219] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2501),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(219),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(883),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_DOT] = ACTIONS(885),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(885),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(885),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_elsif] = ACTIONS(885),
    [anon_sym_else] = ACTIONS(885),
    [anon_sym_then] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(885),
    [anon_sym_COLON_COLON2] = ACTIONS(883),
    [anon_sym_AMP_DOT] = ACTIONS(883),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(989),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(883),
    [sym__element_reference_bracket] = ACTIONS(883),
  },
  [220] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5796),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(220),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(997),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [221] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5760),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(221),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(999),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [222] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5677),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(222),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1001),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [223] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5773),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(223),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1003),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [224] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5551),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(224),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1005),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [225] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym_body_statement] = STATE(5724),
    [sym__body_statement] = STATE(5700),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(225),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1007),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [226] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2521),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(226),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(921),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_end] = ACTIONS(923),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(923),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_elsif] = ACTIONS(923),
    [anon_sym_else] = ACTIONS(923),
    [anon_sym_then] = ACTIONS(923),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(923),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1019),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [227] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym__body_statement] = STATE(5672),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(227),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1027),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [228] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym__body_statement] = STATE(5846),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(228),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1029),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [229] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4434),
    [sym__argument] = STATE(4451),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(229),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_RBRACE] = ACTIONS(1031),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(1031),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1033),
    [anon_sym_rescue] = ACTIONS(1033),
    [anon_sym_COMMA] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1035),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_unless] = ACTIONS(1033),
    [anon_sym_while] = ACTIONS(1033),
    [anon_sym_until] = ACTIONS(1033),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(1033),
    [anon_sym_do] = ACTIONS(1033),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(1033),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_elsif] = ACTIONS(1033),
    [anon_sym_else] = ACTIONS(1033),
    [anon_sym_then] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(1033),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(1031),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
  },
  [230] = {
    [sym__statements] = STATE(4894),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5259),
    [sym_begin] = STATE(2238),
    [sym_ensure] = STATE(5259),
    [sym_rescue] = STATE(5259),
    [sym__body_statement] = STATE(5600),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(230),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [aux_sym__body_statement_repeat1] = STATE(4887),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1043),
    [anon_sym_rescue] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [231] = {
    [sym_block_body] = STATE(5632),
    [sym__statements] = STATE(5627),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(307),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3467),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_hash_splat_argument] = STATE(5418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1969),
    [sym_identifier_suffix] = STATE(1970),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2710),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(231),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(5418),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(1045),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1047),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(1049),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(1045),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [232] = {
    [sym_block_body] = STATE(5632),
    [sym__statements] = STATE(5627),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(307),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3467),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_hash_splat_argument] = STATE(5418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1969),
    [sym_identifier_suffix] = STATE(1970),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2710),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(232),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(5418),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(1045),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(1049),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(1045),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [233] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2695),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(7),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4434),
    [sym__argument] = STATE(4497),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5863),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(42),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2086),
    [sym__variable] = STATE(6),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1935),
    [sym_identifier_suffix] = STATE(1942),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2375),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(233),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1031),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(1031),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1033),
    [anon_sym_rescue] = ACTIONS(1033),
    [anon_sym_COMMA] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1053),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_unless] = ACTIONS(1033),
    [anon_sym_while] = ACTIONS(1033),
    [anon_sym_until] = ACTIONS(1033),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(1033),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(1033),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_elsif] = ACTIONS(1033),
    [anon_sym_else] = ACTIONS(1033),
    [anon_sym_then] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(1033),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_PLUS] = ACTIONS(1057),
    [anon_sym_defined_QMARK] = ACTIONS(443),
    [anon_sym_not] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(431),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(1031),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(451),
    [sym__splat_star] = ACTIONS(453),
    [sym__unary_minus] = ACTIONS(455),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym_hash_key_symbol] = ACTIONS(459),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(461),
  },
  [234] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4901),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(234),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_BEGIN] = ACTIONS(1064),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_RBRACE] = ACTIONS(1070),
    [anon_sym_END] = ACTIONS(1072),
    [anon_sym_def] = ACTIONS(1075),
    [anon_sym_LPAREN] = ACTIONS(1078),
    [anon_sym_RPAREN] = ACTIONS(1070),
    [anon_sym_COLON_COLON] = ACTIONS(1081),
    [anon_sym_end] = ACTIONS(1084),
    [anon_sym_rescue] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(1086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1092),
    [anon_sym_nil] = ACTIONS(1095),
    [anon_sym_class] = ACTIONS(1098),
    [anon_sym_module] = ACTIONS(1101),
    [anon_sym_return] = ACTIONS(1104),
    [anon_sym_yield] = ACTIONS(1107),
    [anon_sym_break] = ACTIONS(1110),
    [anon_sym_next] = ACTIONS(1113),
    [anon_sym_redo] = ACTIONS(1116),
    [anon_sym_retry] = ACTIONS(1119),
    [anon_sym_if] = ACTIONS(1122),
    [anon_sym_unless] = ACTIONS(1125),
    [anon_sym_while] = ACTIONS(1128),
    [anon_sym_until] = ACTIONS(1131),
    [anon_sym_for] = ACTIONS(1134),
    [anon_sym_in] = ACTIONS(1084),
    [anon_sym_case] = ACTIONS(1137),
    [anon_sym_when] = ACTIONS(1084),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_DOT_DOT] = ACTIONS(1143),
    [anon_sym_elsif] = ACTIONS(1084),
    [anon_sym_else] = ACTIONS(1084),
    [anon_sym_begin] = ACTIONS(1146),
    [anon_sym_ensure] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_defined_QMARK] = ACTIONS(1152),
    [anon_sym_not] = ACTIONS(1155),
    [anon_sym_BANG] = ACTIONS(1158),
    [anon_sym_TILDE] = ACTIONS(1158),
    [anon_sym_undef] = ACTIONS(1161),
    [anon_sym_alias] = ACTIONS(1164),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(1167),
    [sym_float] = ACTIONS(1167),
    [sym_super] = ACTIONS(1061),
    [sym_self] = ACTIONS(1061),
    [sym_true] = ACTIONS(1170),
    [sym_false] = ACTIONS(1170),
    [sym_constant] = ACTIONS(1061),
    [aux_sym_constant_suffix_token1] = ACTIONS(1173),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1176),
    [sym_instance_variable] = ACTIONS(1179),
    [sym_class_variable] = ACTIONS(1179),
    [sym_global_variable] = ACTIONS(1179),
    [sym_character] = ACTIONS(1182),
    [anon_sym_DASH_GT] = ACTIONS(1185),
    [sym_simple_symbol] = ACTIONS(1188),
    [sym__string_start] = ACTIONS(1191),
    [sym__symbol_start] = ACTIONS(1194),
    [sym__subshell_start] = ACTIONS(1197),
    [sym__regex_start] = ACTIONS(1200),
    [sym__string_array_start] = ACTIONS(1203),
    [sym__symbol_array_start] = ACTIONS(1206),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1182),
    [sym__unary_minus] = ACTIONS(1209),
    [sym__unary_minus_num] = ACTIONS(1212),
    [sym__binary_minus] = ACTIONS(1215),
    [sym__identifier_suffix] = ACTIONS(1218),
    [sym__constant_suffix] = ACTIONS(1173),
  },
  [235] = {
    [sym_block_body] = STATE(5632),
    [sym__statements] = STATE(5627),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(307),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3467),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_hash_splat_argument] = STATE(5418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1969),
    [sym_identifier_suffix] = STATE(1970),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2710),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(235),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(5418),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(1045),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1221),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(1049),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(1045),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [236] = {
    [sym_block_body] = STATE(5601),
    [sym__statements] = STATE(5627),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(293),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3467),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_hash_splat_argument] = STATE(5406),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1969),
    [sym_identifier_suffix] = STATE(1970),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2710),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(236),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(5406),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(1045),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1223),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(1049),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(1045),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [237] = {
    [sym_block_body] = STATE(5601),
    [sym__statements] = STATE(5627),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(293),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3467),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_hash_splat_argument] = STATE(5406),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1969),
    [sym_identifier_suffix] = STATE(1970),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2710),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(237),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(5406),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(1045),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(1049),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(1045),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [238] = {
    [sym_block_body] = STATE(5601),
    [sym__statements] = STATE(5627),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(293),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3467),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_hash_splat_argument] = STATE(5406),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1969),
    [sym_identifier_suffix] = STATE(1970),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2710),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(238),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(5406),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(1045),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1227),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(1049),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(1045),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [239] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4570),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(239),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(234),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1229),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(1229),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1231),
    [anon_sym_rescue] = ACTIONS(1231),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(1231),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_elsif] = ACTIONS(1231),
    [anon_sym_else] = ACTIONS(1231),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(1231),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [240] = {
    [sym_block_body] = STATE(5632),
    [sym__statements] = STATE(5627),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(307),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3467),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_hash_splat_argument] = STATE(5418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1969),
    [sym_identifier_suffix] = STATE(1970),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2710),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(240),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(5418),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(1045),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1233),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(1049),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(1045),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [241] = {
    [sym_block_body] = STATE(5632),
    [sym__statements] = STATE(5627),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(307),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3467),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_hash_splat_argument] = STATE(5418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1969),
    [sym_identifier_suffix] = STATE(1970),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2710),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(241),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(5418),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(1045),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1235),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(1049),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(1045),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [242] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2612),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(242),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(921),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(923),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_do] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(923),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_elsif] = ACTIONS(923),
    [anon_sym_else] = ACTIONS(923),
    [anon_sym_then] = ACTIONS(923),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [243] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2627),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(243),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(883),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(885),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_do] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(885),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_elsif] = ACTIONS(885),
    [anon_sym_else] = ACTIONS(885),
    [anon_sym_then] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(885),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(883),
  },
  [244] = {
    [sym__statements] = STATE(4984),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(244),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1249),
    [anon_sym_rescue] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(1249),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_elsif] = ACTIONS(1249),
    [anon_sym_else] = ACTIONS(1249),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [245] = {
    [sym__statements] = STATE(4959),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(245),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1251),
    [anon_sym_rescue] = ACTIONS(1251),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(1251),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(1251),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_elsif] = ACTIONS(1251),
    [anon_sym_else] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(1251),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [246] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2696),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(246),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(921),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(923),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(923),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_elsif] = ACTIONS(923),
    [anon_sym_else] = ACTIONS(923),
    [anon_sym_then] = ACTIONS(923),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [247] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2672),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(247),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(883),
    [sym_identifier] = ACTIONS(881),
    [aux_sym_program_token1] = ACTIONS(883),
    [anon_sym___END__] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(885),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_do] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(883),
    [anon_sym_AMP_DOT] = ACTIONS(883),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1275),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(883),
    [sym__element_reference_bracket] = ACTIONS(883),
  },
  [248] = {
    [sym__statements] = STATE(4959),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_elsif] = STATE(5631),
    [sym_else] = STATE(5631),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(248),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1283),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_elsif] = ACTIONS(1285),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_then] = ACTIONS(1287),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [249] = {
    [sym__statements] = STATE(4959),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_elsif] = STATE(5719),
    [sym_else] = STATE(5719),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(249),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1289),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_elsif] = ACTIONS(1285),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_then] = ACTIONS(1287),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [250] = {
    [sym__statements] = STATE(4959),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_elsif] = STATE(5733),
    [sym_else] = STATE(5733),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(250),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1291),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_elsif] = ACTIONS(1285),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_then] = ACTIONS(1287),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [251] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2711),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(251),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(883),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(885),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(885),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_elsif] = ACTIONS(885),
    [anon_sym_else] = ACTIONS(885),
    [anon_sym_then] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(885),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(883),
  },
  [252] = {
    [sym__statements] = STATE(5403),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(252),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [sym__terminator] = STATE(270),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1293),
    [anon_sym_rescue] = ACTIONS(1293),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(1293),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(1293),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [253] = {
    [sym__statements] = STATE(4959),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_elsif] = STATE(5629),
    [sym_else] = STATE(5629),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(253),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1295),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_elsif] = ACTIONS(1285),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_then] = ACTIONS(1287),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [254] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2639),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(254),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(921),
    [sym_identifier] = ACTIONS(881),
    [aux_sym_program_token1] = ACTIONS(921),
    [anon_sym___END__] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_do] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1275),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [255] = {
    [sym__statements] = STATE(4959),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_elsif] = STATE(5577),
    [sym_else] = STATE(5577),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(255),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_elsif] = ACTIONS(1285),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_then] = ACTIONS(1287),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [256] = {
    [sym__statements] = STATE(4959),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_elsif] = STATE(5715),
    [sym_else] = STATE(5715),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(256),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1299),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_elsif] = ACTIONS(1285),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_then] = ACTIONS(1287),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [257] = {
    [sym__statements] = STATE(4959),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_elsif] = STATE(5572),
    [sym_else] = STATE(5572),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(257),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_elsif] = ACTIONS(1285),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_then] = ACTIONS(1287),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [258] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4545),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_when] = STATE(5435),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5647),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(258),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym__terminator] = STATE(5178),
    [aux_sym_case_repeat1] = STATE(5174),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1305),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(1307),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(1309),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [259] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2727),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(259),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(883),
    [sym_identifier] = ACTIONS(881),
    [aux_sym_program_token1] = ACTIONS(883),
    [anon_sym___END__] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(885),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(883),
    [anon_sym_AMP_DOT] = ACTIONS(883),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(883),
    [sym__element_reference_bracket] = ACTIONS(883),
  },
  [260] = {
    [sym__statements] = STATE(4959),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(260),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1329),
    [anon_sym_rescue] = ACTIONS(1329),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(1329),
    [anon_sym_then] = ACTIONS(1287),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(1329),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [261] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4544),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_when] = STATE(5435),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5753),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(261),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym__terminator] = STATE(5177),
    [aux_sym_case_repeat1] = STATE(5168),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1331),
    [anon_sym_SEMI] = ACTIONS(1305),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(1307),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(1333),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [262] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4546),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_when] = STATE(5435),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_else] = STATE(5813),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(262),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym__terminator] = STATE(5183),
    [aux_sym_case_repeat1] = STATE(5181),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1335),
    [anon_sym_SEMI] = ACTIONS(1305),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(1307),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(1337),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [263] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2726),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(263),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(921),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(923),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(923),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_elsif] = ACTIONS(923),
    [anon_sym_else] = ACTIONS(923),
    [anon_sym_then] = ACTIONS(923),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1345),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [264] = {
    [sym__statements] = STATE(4959),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(264),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1349),
    [anon_sym_rescue] = ACTIONS(1349),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(1349),
    [anon_sym_then] = ACTIONS(1287),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(1349),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [265] = {
    [sym__statements] = STATE(4959),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(265),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1351),
    [anon_sym_rescue] = ACTIONS(1351),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(1351),
    [anon_sym_then] = ACTIONS(1287),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [266] = {
    [sym__statements] = STATE(4959),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(266),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1353),
    [anon_sym_rescue] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(1353),
    [anon_sym_then] = ACTIONS(1287),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(1353),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [267] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2751),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(267),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(921),
    [sym_identifier] = ACTIONS(881),
    [aux_sym_program_token1] = ACTIONS(921),
    [anon_sym___END__] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [268] = {
    [sym_block_body] = STATE(5671),
    [sym__statements] = STATE(5627),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(309),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(268),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1355),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(1049),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [269] = {
    [sym__statements] = STATE(4959),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(269),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1357),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(1357),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(1357),
    [anon_sym_then] = ACTIONS(1287),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [270] = {
    [sym__statements] = STATE(5336),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(270),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1359),
    [anon_sym_rescue] = ACTIONS(1359),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(1359),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [271] = {
    [sym__statements] = STATE(5327),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(271),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1361),
    [anon_sym_rescue] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(1361),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [272] = {
    [sym_block_body] = STATE(5632),
    [sym__statements] = STATE(5627),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(307),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(272),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1363),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(1049),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [273] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3196),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(273),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(921),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(921),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1387),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [274] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2826),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5786),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2127),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(274),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(921),
    [sym_identifier] = ACTIONS(881),
    [aux_sym_program_token1] = ACTIONS(921),
    [anon_sym___END__] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1409),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_TILDE] = ACTIONS(1415),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1417),
    [sym__unary_minus_num] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1417),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [275] = {
    [sym_block_body] = STATE(5850),
    [sym__statements] = STATE(5627),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(294),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(275),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1421),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(1049),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [276] = {
    [sym_block_body] = STATE(5570),
    [sym__statements] = STATE(5627),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(298),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(276),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1423),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(1049),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [277] = {
    [sym_block_body] = STATE(5601),
    [sym__statements] = STATE(5627),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(293),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(277),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1425),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(1049),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [278] = {
    [sym__statements] = STATE(4959),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(278),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1427),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(1427),
    [anon_sym_then] = ACTIONS(1287),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [279] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3303),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(279),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(883),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_DOT] = ACTIONS(885),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(883),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(883),
    [anon_sym_AMP_DOT] = ACTIONS(883),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1387),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__binary_star_star] = ACTIONS(883),
    [sym__element_reference_bracket] = ACTIONS(883),
  },
  [280] = {
    [sym_block_body] = STATE(5591),
    [sym__statements] = STATE(5627),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(299),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(280),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1429),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(1049),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [281] = {
    [sym__statements] = STATE(4959),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(281),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1431),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(1431),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(1431),
    [anon_sym_then] = ACTIONS(1287),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [282] = {
    [sym_block_body] = STATE(5803),
    [sym__statements] = STATE(5627),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_block_parameters] = STATE(295),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(282),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1433),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(1049),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [283] = {
    [sym__statements] = STATE(4959),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(283),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(1435),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(1435),
    [anon_sym_then] = ACTIONS(1287),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [284] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3380),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5804),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2373),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(284),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(883),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_DOT] = ACTIONS(885),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(883),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(883),
    [anon_sym_AMP_DOT] = ACTIONS(883),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1447),
    [anon_sym_TILDE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1451),
    [sym__unary_minus_num] = ACTIONS(1453),
    [sym__binary_minus] = ACTIONS(1451),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__binary_star_star] = ACTIONS(883),
    [sym__element_reference_bracket] = ACTIONS(883),
  },
  [285] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3192),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5817),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(285),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(885),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_do] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_then] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(883),
    [anon_sym_AMP_DOT] = ACTIONS(883),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(1461),
    [anon_sym_not] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1465),
    [anon_sym_TILDE] = ACTIONS(1467),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1469),
    [sym__unary_minus_num] = ACTIONS(1471),
    [sym__binary_minus] = ACTIONS(1469),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(883),
    [sym__element_reference_bracket] = ACTIONS(883),
  },
  [286] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2954),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(286),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(885),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_do] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(883),
    [anon_sym_AMP_DOT] = ACTIONS(883),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(883),
    [sym__element_reference_bracket] = ACTIONS(883),
  },
  [287] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3301),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(287),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_DOT] = ACTIONS(885),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_do] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(883),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(883),
    [anon_sym_AMP_DOT] = ACTIONS(883),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__binary_star_star] = ACTIONS(883),
    [sym__element_reference_bracket] = ACTIONS(883),
  },
  [288] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3174),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5817),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(288),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_do] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_then] = ACTIONS(923),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1461),
    [anon_sym_not] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1465),
    [anon_sym_TILDE] = ACTIONS(1467),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1469),
    [sym__unary_minus_num] = ACTIONS(1471),
    [sym__binary_minus] = ACTIONS(1469),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [289] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2876),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2655),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(8),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(289),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4434),
    [sym__argument] = STATE(4565),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5611),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(53),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2121),
    [sym__variable] = STATE(9),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1957),
    [sym_identifier_suffix] = STATE(1959),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2472),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(289),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(1031),
    [sym_identifier] = ACTIONS(185),
    [aux_sym_program_token1] = ACTIONS(1031),
    [anon_sym___END__] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(1033),
    [anon_sym_COMMA] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1509),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(189),
    [anon_sym_yield] = ACTIONS(191),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_next] = ACTIONS(195),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_unless] = ACTIONS(1033),
    [anon_sym_while] = ACTIONS(1033),
    [anon_sym_until] = ACTIONS(1033),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(1033),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_defined_QMARK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(203),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(185),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(1031),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(205),
    [sym__splat_star] = ACTIONS(207),
    [sym__unary_minus] = ACTIONS(209),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym_hash_key_symbol] = ACTIONS(213),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
    [sym__hash_splat_star_star] = ACTIONS(215),
  },
  [290] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3329),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5804),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2373),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(290),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(921),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(921),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1447),
    [anon_sym_TILDE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1451),
    [sym__unary_minus_num] = ACTIONS(1453),
    [sym__binary_minus] = ACTIONS(1451),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [291] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3290),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(291),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_do] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(921),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [292] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2911),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(292),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_do] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [293] = {
    [sym_block_body] = STATE(5619),
    [sym__statements] = STATE(5627),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(293),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1517),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [294] = {
    [sym_block_body] = STATE(5789),
    [sym__statements] = STATE(5627),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(294),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1519),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [295] = {
    [sym_block_body] = STATE(5737),
    [sym__statements] = STATE(5627),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(295),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1521),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [296] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3041),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(296),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_do] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [297] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4883),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(297),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2094),
    [aux_sym__statements_repeat1] = STATE(297),
    [ts_builtin_sym_end] = ACTIONS(1070),
    [sym_identifier] = ACTIONS(1061),
    [aux_sym_program_token1] = ACTIONS(1070),
    [anon_sym___END__] = ACTIONS(1084),
    [anon_sym_BEGIN] = ACTIONS(1064),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_END] = ACTIONS(1072),
    [anon_sym_def] = ACTIONS(1075),
    [anon_sym_LPAREN] = ACTIONS(1078),
    [anon_sym_COLON_COLON] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1543),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1092),
    [anon_sym_nil] = ACTIONS(1095),
    [anon_sym_class] = ACTIONS(1098),
    [anon_sym_module] = ACTIONS(1101),
    [anon_sym_return] = ACTIONS(1104),
    [anon_sym_yield] = ACTIONS(1107),
    [anon_sym_break] = ACTIONS(1110),
    [anon_sym_next] = ACTIONS(1113),
    [anon_sym_redo] = ACTIONS(1116),
    [anon_sym_retry] = ACTIONS(1119),
    [anon_sym_if] = ACTIONS(1122),
    [anon_sym_unless] = ACTIONS(1125),
    [anon_sym_while] = ACTIONS(1128),
    [anon_sym_until] = ACTIONS(1131),
    [anon_sym_for] = ACTIONS(1134),
    [anon_sym_case] = ACTIONS(1137),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_DOT_DOT] = ACTIONS(1143),
    [anon_sym_begin] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_defined_QMARK] = ACTIONS(1152),
    [anon_sym_not] = ACTIONS(1155),
    [anon_sym_BANG] = ACTIONS(1158),
    [anon_sym_TILDE] = ACTIONS(1158),
    [anon_sym_undef] = ACTIONS(1161),
    [anon_sym_alias] = ACTIONS(1164),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(1167),
    [sym_float] = ACTIONS(1167),
    [sym_super] = ACTIONS(1061),
    [sym_self] = ACTIONS(1061),
    [sym_true] = ACTIONS(1170),
    [sym_false] = ACTIONS(1170),
    [sym_constant] = ACTIONS(1061),
    [aux_sym_constant_suffix_token1] = ACTIONS(1173),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1176),
    [sym_instance_variable] = ACTIONS(1179),
    [sym_class_variable] = ACTIONS(1179),
    [sym_global_variable] = ACTIONS(1179),
    [sym_character] = ACTIONS(1182),
    [anon_sym_DASH_GT] = ACTIONS(1185),
    [sym_simple_symbol] = ACTIONS(1188),
    [sym__string_start] = ACTIONS(1191),
    [sym__symbol_start] = ACTIONS(1194),
    [sym__subshell_start] = ACTIONS(1197),
    [sym__regex_start] = ACTIONS(1200),
    [sym__string_array_start] = ACTIONS(1203),
    [sym__symbol_array_start] = ACTIONS(1206),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1182),
    [sym__unary_minus] = ACTIONS(1209),
    [sym__unary_minus_num] = ACTIONS(1212),
    [sym__binary_minus] = ACTIONS(1215),
    [sym__identifier_suffix] = ACTIONS(1218),
    [sym__constant_suffix] = ACTIONS(1173),
  },
  [298] = {
    [sym_block_body] = STATE(5587),
    [sym__statements] = STATE(5627),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(298),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1546),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [299] = {
    [sym_block_body] = STATE(5614),
    [sym__statements] = STATE(5627),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(299),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [300] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2863),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(300),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(883),
    [sym_identifier] = ACTIONS(881),
    [aux_sym_program_token1] = ACTIONS(883),
    [anon_sym___END__] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_do] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1558),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(883),
  },
  [301] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3439),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5823),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2395),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(301),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_then] = ACTIONS(923),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1568),
    [anon_sym_not] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1572),
    [anon_sym_TILDE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1576),
    [sym__unary_minus_num] = ACTIONS(1578),
    [sym__binary_minus] = ACTIONS(1576),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [302] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3355),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5871),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2371),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(302),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_DOT] = ACTIONS(885),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_do] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(883),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(883),
    [anon_sym_AMP_DOT] = ACTIONS(883),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(1586),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1594),
    [sym__unary_minus_num] = ACTIONS(1596),
    [sym__binary_minus] = ACTIONS(1594),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__binary_star_star] = ACTIONS(883),
    [sym__element_reference_bracket] = ACTIONS(883),
  },
  [303] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3087),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(12),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4434),
    [sym__argument] = STATE(4579),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5848),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(54),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2136),
    [sym__variable] = STATE(13),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1953),
    [sym_identifier_suffix] = STATE(1950),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2559),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(303),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(1031),
    [sym_identifier] = ACTIONS(463),
    [aux_sym_program_token1] = ACTIONS(1031),
    [anon_sym___END__] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(1033),
    [anon_sym_COMMA] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1598),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_unless] = ACTIONS(1033),
    [anon_sym_while] = ACTIONS(1033),
    [anon_sym_until] = ACTIONS(1033),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_defined_QMARK] = ACTIONS(467),
    [anon_sym_not] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(463),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(1031),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(475),
    [sym__splat_star] = ACTIONS(477),
    [sym__unary_minus] = ACTIONS(479),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym_hash_key_symbol] = ACTIONS(483),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
    [sym__hash_splat_star_star] = ACTIONS(485),
  },
  [304] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3431),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5823),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2395),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(304),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(885),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_then] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(883),
    [anon_sym_AMP_DOT] = ACTIONS(883),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(1568),
    [anon_sym_not] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1572),
    [anon_sym_TILDE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1576),
    [sym__unary_minus_num] = ACTIONS(1578),
    [sym__binary_minus] = ACTIONS(1576),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(883),
    [sym__element_reference_bracket] = ACTIONS(883),
  },
  [305] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2953),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(305),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(921),
    [sym_identifier] = ACTIONS(881),
    [aux_sym_program_token1] = ACTIONS(921),
    [anon_sym___END__] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_do] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1558),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [306] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4703),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4691),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3304),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(11),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5759),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(55),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2133),
    [sym__variable] = STATE(10),
    [sym__nonlocal_variable] = STATE(1893),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(306),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2094),
    [aux_sym__statements_repeat1] = STATE(297),
    [ts_builtin_sym_end] = ACTIONS(1229),
    [sym_identifier] = ACTIONS(9),
    [aux_sym_program_token1] = ACTIONS(1229),
    [anon_sym___END__] = ACTIONS(1231),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(27),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_defined_QMARK] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [anon_sym_undef] = ACTIONS(77),
    [anon_sym_alias] = ACTIONS(79),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(111),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [307] = {
    [sym_block_body] = STATE(5559),
    [sym__statements] = STATE(5627),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(307),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1606),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [308] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3320),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5871),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2371),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(308),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_do] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(921),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1586),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1594),
    [sym__unary_minus_num] = ACTIONS(1596),
    [sym__binary_minus] = ACTIONS(1594),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [309] = {
    [sym_block_body] = STATE(5708),
    [sym__statements] = STATE(5627),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(309),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1608),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [310] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_splat_parameter] = STATE(4831),
    [sym_hash_splat_parameter] = STATE(4828),
    [sym_hash_splat_nil] = STATE(4828),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__pattern_top_expr_body] = STATE(4930),
    [sym__array_pattern_n] = STATE(4928),
    [sym__pattern_expr] = STATE(4832),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym__find_pattern_body] = STATE(4947),
    [sym_find_pattern] = STATE(4753),
    [sym__hash_pattern_body] = STATE(4934),
    [sym_keyword_pattern] = STATE(4810),
    [sym__hash_pattern_any_rest] = STATE(4833),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4746),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4681),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4032),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(3181),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2376),
    [sym_constant_suffix] = STATE(3278),
    [sym_identifier_suffix] = STATE(3283),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(3181),
    [sym_string_array] = STATE(3181),
    [sym_symbol_array] = STATE(3181),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(3181),
    [sym_heredoc_body] = STATE(310),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(3242),
    [sym_identifier] = ACTIONS(1610),
    [anon_sym_LBRACE] = ACTIONS(1612),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(1614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1616),
    [anon_sym_STAR] = ACTIONS(1618),
    [anon_sym_STAR_STAR] = ACTIONS(1620),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [anon_sym_DOT_DOT] = ACTIONS(1624),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1634),
    [sym_true] = ACTIONS(1636),
    [sym_false] = ACTIONS(1636),
    [sym_constant] = ACTIONS(1638),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1640),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [311] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_splat_parameter] = STATE(4461),
    [sym_hash_splat_parameter] = STATE(4409),
    [sym_hash_splat_nil] = STATE(4409),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym__pattern_top_expr_body] = STATE(4437),
    [sym__array_pattern_n] = STATE(4414),
    [sym__pattern_expr] = STATE(4460),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym__find_pattern_body] = STATE(4440),
    [sym_find_pattern] = STATE(4378),
    [sym__hash_pattern_body] = STATE(4443),
    [sym_keyword_pattern] = STATE(4458),
    [sym__hash_pattern_any_rest] = STATE(4421),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4425),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4391),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3479),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2276),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2053),
    [sym_constant_suffix] = STATE(2412),
    [sym_identifier_suffix] = STATE(2413),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2195),
    [sym_subshell] = STATE(2276),
    [sym_string_array] = STATE(2276),
    [sym_symbol_array] = STATE(2276),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2276),
    [sym_heredoc_body] = STATE(311),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2309),
    [sym_identifier] = ACTIONS(1644),
    [anon_sym_LBRACE] = ACTIONS(1646),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_COLON_COLON] = ACTIONS(1650),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1652),
    [anon_sym_STAR] = ACTIONS(1654),
    [anon_sym_STAR_STAR] = ACTIONS(1656),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1658),
    [anon_sym_DOT_DOT] = ACTIONS(1660),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(1674),
    [sym_true] = ACTIONS(1676),
    [sym_false] = ACTIONS(1676),
    [sym_constant] = ACTIONS(1678),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1680),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [312] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_splat_parameter] = STATE(4913),
    [sym_hash_splat_parameter] = STATE(4828),
    [sym_hash_splat_nil] = STATE(4828),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__pattern_top_expr_body] = STATE(4930),
    [sym__array_pattern_n] = STATE(4928),
    [sym__pattern_expr] = STATE(4932),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym__find_pattern_body] = STATE(4947),
    [sym_find_pattern] = STATE(4753),
    [sym__hash_pattern_body] = STATE(4934),
    [sym_keyword_pattern] = STATE(4822),
    [sym__hash_pattern_any_rest] = STATE(4833),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4007),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(3181),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2376),
    [sym_constant_suffix] = STATE(3353),
    [sym_identifier_suffix] = STATE(3351),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3079),
    [sym_subshell] = STATE(3181),
    [sym_string_array] = STATE(3181),
    [sym_symbol_array] = STATE(3181),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(3181),
    [sym_heredoc_body] = STATE(312),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(3242),
    [sym_identifier] = ACTIONS(1684),
    [anon_sym_LBRACE] = ACTIONS(1612),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(1614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1686),
    [anon_sym_STAR] = ACTIONS(1618),
    [anon_sym_STAR_STAR] = ACTIONS(1620),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [anon_sym_DOT_DOT] = ACTIONS(1688),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1634),
    [sym_true] = ACTIONS(1636),
    [sym_false] = ACTIONS(1636),
    [sym_constant] = ACTIONS(1698),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1640),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [313] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_splat_parameter] = STATE(4461),
    [sym_hash_splat_parameter] = STATE(4409),
    [sym_hash_splat_nil] = STATE(4409),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym__pattern_top_expr_body] = STATE(4437),
    [sym__array_pattern_n] = STATE(4414),
    [sym__pattern_expr] = STATE(4460),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym__find_pattern_body] = STATE(4440),
    [sym_find_pattern] = STATE(4378),
    [sym__hash_pattern_body] = STATE(4443),
    [sym_keyword_pattern] = STATE(4458),
    [sym__hash_pattern_any_rest] = STATE(4421),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4425),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4391),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2649),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2276),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2053),
    [sym_constant_suffix] = STATE(2412),
    [sym_identifier_suffix] = STATE(2413),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2195),
    [sym_subshell] = STATE(2276),
    [sym_string_array] = STATE(2276),
    [sym_symbol_array] = STATE(2276),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2276),
    [sym_heredoc_body] = STATE(313),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2309),
    [sym_identifier] = ACTIONS(1644),
    [anon_sym_LBRACE] = ACTIONS(1646),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_COLON_COLON] = ACTIONS(1650),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(1654),
    [anon_sym_STAR_STAR] = ACTIONS(1656),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1658),
    [anon_sym_DOT_DOT] = ACTIONS(1702),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(1674),
    [sym_true] = ACTIONS(1676),
    [sym_false] = ACTIONS(1676),
    [sym_constant] = ACTIONS(1678),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1680),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [314] = {
    [sym__statements] = STATE(5557),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(314),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1704),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [315] = {
    [sym__statements] = STATE(5568),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(315),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [316] = {
    [sym__statements] = STATE(5758),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(316),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(1708),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [317] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3112),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(317),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(921),
    [sym_identifier] = ACTIONS(881),
    [aux_sym_program_token1] = ACTIONS(921),
    [anon_sym___END__] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [318] = {
    [sym__statements] = STATE(5688),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5547),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(318),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(685),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [319] = {
    [sym__statements] = STATE(5588),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(319),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [320] = {
    [sym__statements] = STATE(5739),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(320),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1724),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [321] = {
    [sym__statements] = STATE(5869),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5547),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(321),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(643),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [322] = {
    [sym__statements] = STATE(5758),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5547),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(322),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(1708),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [323] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_splat_parameter] = STATE(4461),
    [sym_hash_splat_parameter] = STATE(4409),
    [sym_hash_splat_nil] = STATE(4409),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym__pattern_top_expr_body] = STATE(4437),
    [sym__array_pattern_n] = STATE(4414),
    [sym__pattern_expr] = STATE(4460),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym__find_pattern_body] = STATE(4440),
    [sym_find_pattern] = STATE(4378),
    [sym__hash_pattern_body] = STATE(4443),
    [sym_keyword_pattern] = STATE(4458),
    [sym__hash_pattern_any_rest] = STATE(4421),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4425),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4391),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2715),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2276),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2053),
    [sym_constant_suffix] = STATE(2412),
    [sym_identifier_suffix] = STATE(2413),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2195),
    [sym_subshell] = STATE(2276),
    [sym_string_array] = STATE(2276),
    [sym_symbol_array] = STATE(2276),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2276),
    [sym_heredoc_body] = STATE(323),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2309),
    [sym_identifier] = ACTIONS(1644),
    [anon_sym_LBRACE] = ACTIONS(1646),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_COLON_COLON] = ACTIONS(1650),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1726),
    [anon_sym_STAR] = ACTIONS(1654),
    [anon_sym_STAR_STAR] = ACTIONS(1656),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1658),
    [anon_sym_DOT_DOT] = ACTIONS(1728),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(1674),
    [sym_true] = ACTIONS(1676),
    [sym_false] = ACTIONS(1676),
    [sym_constant] = ACTIONS(1678),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1680),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [324] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_splat_parameter] = STATE(4913),
    [sym_hash_splat_parameter] = STATE(4828),
    [sym_hash_splat_nil] = STATE(4828),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__pattern_top_expr_body] = STATE(4930),
    [sym__array_pattern_n] = STATE(4928),
    [sym__pattern_expr] = STATE(4932),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym__find_pattern_body] = STATE(4947),
    [sym_find_pattern] = STATE(4753),
    [sym__hash_pattern_body] = STATE(4934),
    [sym_keyword_pattern] = STATE(4822),
    [sym__hash_pattern_any_rest] = STATE(4833),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3969),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(3181),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2376),
    [sym_constant_suffix] = STATE(3353),
    [sym_identifier_suffix] = STATE(3351),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3079),
    [sym_subshell] = STATE(3181),
    [sym_string_array] = STATE(3181),
    [sym_symbol_array] = STATE(3181),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(3181),
    [sym_heredoc_body] = STATE(324),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(3242),
    [sym_identifier] = ACTIONS(1684),
    [anon_sym_LBRACE] = ACTIONS(1612),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(1614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1730),
    [anon_sym_STAR] = ACTIONS(1618),
    [anon_sym_STAR_STAR] = ACTIONS(1620),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [anon_sym_DOT_DOT] = ACTIONS(1732),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1634),
    [sym_true] = ACTIONS(1636),
    [sym_false] = ACTIONS(1636),
    [sym_constant] = ACTIONS(1698),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1640),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [325] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_splat_parameter] = STATE(4736),
    [sym_hash_splat_parameter] = STATE(4409),
    [sym_hash_splat_nil] = STATE(4409),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym__pattern_top_expr_body] = STATE(4437),
    [sym__array_pattern_n] = STATE(4414),
    [sym__pattern_expr] = STATE(4745),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym__find_pattern_body] = STATE(4440),
    [sym_find_pattern] = STATE(4378),
    [sym__hash_pattern_body] = STATE(4443),
    [sym_keyword_pattern] = STATE(4726),
    [sym__hash_pattern_any_rest] = STATE(4421),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4668),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4584),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4000),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2276),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2053),
    [sym_constant_suffix] = STATE(3253),
    [sym_identifier_suffix] = STATE(3254),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2937),
    [sym_subshell] = STATE(2276),
    [sym_string_array] = STATE(2276),
    [sym_symbol_array] = STATE(2276),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2276),
    [sym_heredoc_body] = STATE(325),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2309),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_LBRACE] = ACTIONS(1646),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_COLON_COLON] = ACTIONS(1650),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1746),
    [anon_sym_STAR] = ACTIONS(1654),
    [anon_sym_STAR_STAR] = ACTIONS(1656),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1658),
    [anon_sym_DOT_DOT] = ACTIONS(1748),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(1674),
    [sym_true] = ACTIONS(1676),
    [sym_false] = ACTIONS(1676),
    [sym_constant] = ACTIONS(1758),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1680),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [326] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_splat_parameter] = STATE(4558),
    [sym_hash_splat_parameter] = STATE(4409),
    [sym_hash_splat_nil] = STATE(4409),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym__pattern_top_expr_body] = STATE(4437),
    [sym__array_pattern_n] = STATE(4414),
    [sym__pattern_expr] = STATE(4553),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym__find_pattern_body] = STATE(4440),
    [sym_find_pattern] = STATE(4378),
    [sym__hash_pattern_body] = STATE(4443),
    [sym_keyword_pattern] = STATE(4571),
    [sym__hash_pattern_any_rest] = STATE(4421),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4524),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4514),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3092),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2276),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2053),
    [sym_constant_suffix] = STATE(2670),
    [sym_identifier_suffix] = STATE(2635),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2479),
    [sym_subshell] = STATE(2276),
    [sym_string_array] = STATE(2276),
    [sym_symbol_array] = STATE(2276),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2276),
    [sym_heredoc_body] = STATE(326),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2309),
    [sym_identifier] = ACTIONS(1762),
    [anon_sym_LBRACE] = ACTIONS(1646),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_COLON_COLON] = ACTIONS(1650),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1766),
    [anon_sym_STAR_STAR] = ACTIONS(1768),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1658),
    [anon_sym_DOT_DOT] = ACTIONS(1770),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1772),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(1674),
    [sym_true] = ACTIONS(1676),
    [sym_false] = ACTIONS(1676),
    [sym_constant] = ACTIONS(1774),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1680),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [327] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_splat_parameter] = STATE(4913),
    [sym_hash_splat_parameter] = STATE(4828),
    [sym_hash_splat_nil] = STATE(4828),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__pattern_top_expr_body] = STATE(4930),
    [sym__array_pattern_n] = STATE(4928),
    [sym__pattern_expr] = STATE(4932),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym__find_pattern_body] = STATE(4947),
    [sym_find_pattern] = STATE(4753),
    [sym__hash_pattern_body] = STATE(4934),
    [sym_keyword_pattern] = STATE(4822),
    [sym__hash_pattern_any_rest] = STATE(4833),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4072),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(3181),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2376),
    [sym_constant_suffix] = STATE(3353),
    [sym_identifier_suffix] = STATE(3351),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3079),
    [sym_subshell] = STATE(3181),
    [sym_string_array] = STATE(3181),
    [sym_symbol_array] = STATE(3181),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(3181),
    [sym_heredoc_body] = STATE(327),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(3242),
    [sym_identifier] = ACTIONS(1684),
    [anon_sym_LBRACE] = ACTIONS(1612),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(1614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1686),
    [anon_sym_STAR] = ACTIONS(1618),
    [anon_sym_STAR_STAR] = ACTIONS(1620),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [anon_sym_DOT_DOT] = ACTIONS(1688),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1634),
    [sym_true] = ACTIONS(1636),
    [sym_false] = ACTIONS(1636),
    [sym_constant] = ACTIONS(1698),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1640),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [328] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4434),
    [sym__argument] = STATE(4782),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(328),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(1033),
    [anon_sym_COMMA] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1035),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(1033),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_then] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(231),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(1031),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
  },
  [329] = {
    [sym__statements] = STATE(5637),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(329),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [330] = {
    [sym__statements] = STATE(5717),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(330),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1780),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [331] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_splat_parameter] = STATE(4461),
    [sym_hash_splat_parameter] = STATE(4409),
    [sym_hash_splat_nil] = STATE(4409),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__pattern_top_expr_body] = STATE(4437),
    [sym__array_pattern_n] = STATE(4414),
    [sym__pattern_expr] = STATE(4460),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym__find_pattern_body] = STATE(4440),
    [sym_find_pattern] = STATE(4378),
    [sym__hash_pattern_body] = STATE(4443),
    [sym_keyword_pattern] = STATE(4458),
    [sym__hash_pattern_any_rest] = STATE(4421),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4425),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4391),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4007),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(3049),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2200),
    [sym_constant_suffix] = STATE(3466),
    [sym_identifier_suffix] = STATE(3465),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2684),
    [sym_subshell] = STATE(3049),
    [sym_string_array] = STATE(3049),
    [sym_symbol_array] = STATE(3049),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(3049),
    [sym_heredoc_body] = STATE(331),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(3056),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_LBRACE] = ACTIONS(1784),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1790),
    [anon_sym_STAR] = ACTIONS(1654),
    [anon_sym_STAR_STAR] = ACTIONS(1656),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1792),
    [anon_sym_DOT_DOT] = ACTIONS(1794),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1796),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1798),
    [sym_true] = ACTIONS(1800),
    [sym_false] = ACTIONS(1800),
    [sym_constant] = ACTIONS(1802),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1804),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(1806),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [332] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3497),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5830),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2416),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(332),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1812),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_then] = ACTIONS(923),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1816),
    [anon_sym_not] = ACTIONS(1818),
    [anon_sym_BANG] = ACTIONS(1820),
    [anon_sym_TILDE] = ACTIONS(1822),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1824),
    [sym__unary_minus_num] = ACTIONS(1826),
    [sym__binary_minus] = ACTIONS(1824),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [333] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_splat_parameter] = STATE(4736),
    [sym_hash_splat_parameter] = STATE(4409),
    [sym_hash_splat_nil] = STATE(4409),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym__pattern_top_expr_body] = STATE(4437),
    [sym__array_pattern_n] = STATE(4414),
    [sym__pattern_expr] = STATE(4745),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym__find_pattern_body] = STATE(4440),
    [sym_find_pattern] = STATE(4378),
    [sym__hash_pattern_body] = STATE(4443),
    [sym_keyword_pattern] = STATE(4726),
    [sym__hash_pattern_any_rest] = STATE(4421),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4668),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4584),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3899),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2276),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2053),
    [sym_constant_suffix] = STATE(3253),
    [sym_identifier_suffix] = STATE(3254),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2937),
    [sym_subshell] = STATE(2276),
    [sym_string_array] = STATE(2276),
    [sym_symbol_array] = STATE(2276),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2276),
    [sym_heredoc_body] = STATE(333),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2309),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_LBRACE] = ACTIONS(1646),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_COLON_COLON] = ACTIONS(1650),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1654),
    [anon_sym_STAR_STAR] = ACTIONS(1656),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1658),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(1674),
    [sym_true] = ACTIONS(1676),
    [sym_false] = ACTIONS(1676),
    [sym_constant] = ACTIONS(1758),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1680),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [334] = {
    [sym__statements] = STATE(5849),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(334),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1842),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [335] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3132),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(335),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(883),
    [sym_identifier] = ACTIONS(881),
    [aux_sym_program_token1] = ACTIONS(883),
    [anon_sym___END__] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(883),
  },
  [336] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_splat_parameter] = STATE(4558),
    [sym_hash_splat_parameter] = STATE(4409),
    [sym_hash_splat_nil] = STATE(4409),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym__pattern_top_expr_body] = STATE(4437),
    [sym__array_pattern_n] = STATE(4414),
    [sym__pattern_expr] = STATE(4553),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym__find_pattern_body] = STATE(4440),
    [sym_find_pattern] = STATE(4378),
    [sym__hash_pattern_body] = STATE(4443),
    [sym_keyword_pattern] = STATE(4571),
    [sym__hash_pattern_any_rest] = STATE(4421),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4524),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4514),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3391),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2276),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2053),
    [sym_constant_suffix] = STATE(2670),
    [sym_identifier_suffix] = STATE(2635),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2479),
    [sym_subshell] = STATE(2276),
    [sym_string_array] = STATE(2276),
    [sym_symbol_array] = STATE(2276),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2276),
    [sym_heredoc_body] = STATE(336),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2309),
    [sym_identifier] = ACTIONS(1762),
    [anon_sym_LBRACE] = ACTIONS(1646),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_COLON_COLON] = ACTIONS(1650),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1766),
    [anon_sym_STAR_STAR] = ACTIONS(1768),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1658),
    [anon_sym_DOT_DOT] = ACTIONS(1846),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1772),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(1674),
    [sym_true] = ACTIONS(1676),
    [sym_false] = ACTIONS(1676),
    [sym_constant] = ACTIONS(1774),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1680),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [337] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_splat_parameter] = STATE(4831),
    [sym_hash_splat_parameter] = STATE(4828),
    [sym_hash_splat_nil] = STATE(4828),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__pattern_top_expr_body] = STATE(4930),
    [sym__array_pattern_n] = STATE(4928),
    [sym__pattern_expr] = STATE(4832),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym__find_pattern_body] = STATE(4947),
    [sym_find_pattern] = STATE(4753),
    [sym__hash_pattern_body] = STATE(4934),
    [sym_keyword_pattern] = STATE(4810),
    [sym__hash_pattern_any_rest] = STATE(4833),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4746),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4681),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3869),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(3181),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2376),
    [sym_constant_suffix] = STATE(3278),
    [sym_identifier_suffix] = STATE(3283),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2839),
    [sym_subshell] = STATE(3181),
    [sym_string_array] = STATE(3181),
    [sym_symbol_array] = STATE(3181),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(3181),
    [sym_heredoc_body] = STATE(337),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(3242),
    [sym_identifier] = ACTIONS(1610),
    [anon_sym_LBRACE] = ACTIONS(1612),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(1614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1848),
    [anon_sym_STAR] = ACTIONS(1618),
    [anon_sym_STAR_STAR] = ACTIONS(1620),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [anon_sym_DOT_DOT] = ACTIONS(1850),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1634),
    [sym_true] = ACTIONS(1636),
    [sym_false] = ACTIONS(1636),
    [sym_constant] = ACTIONS(1638),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1640),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [338] = {
    [sym__statements] = STATE(5576),
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4555),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(338),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_empty_statement] = STATE(2027),
    [aux_sym__statements_repeat1] = STATE(239),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(1862),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [339] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3243),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5806),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2135),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(339),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(921),
    [sym_identifier] = ACTIONS(881),
    [aux_sym_program_token1] = ACTIONS(921),
    [anon_sym___END__] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1866),
    [anon_sym_not] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1870),
    [anon_sym_TILDE] = ACTIONS(1872),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(115),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [340] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3577),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4910),
    [sym__argument] = STATE(4840),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1963),
    [sym_identifier_suffix] = STATE(1965),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2816),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(340),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(1031),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_rescue] = ACTIONS(1033),
    [anon_sym_COMMA] = ACTIONS(1031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(1033),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(1031),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_PLUS] = ACTIONS(1880),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(269),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(353),
    [sym__splat_star] = ACTIONS(355),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym_hash_key_symbol] = ACTIONS(361),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(365),
  },
  [341] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3597),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(341),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(921),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(921),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1886),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [342] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3567),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(342),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1900),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [343] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3664),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5742),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2473),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(343),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(885),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1912),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(883),
    [anon_sym_AMP_DOT] = ACTIONS(883),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1924),
    [sym__unary_minus_num] = ACTIONS(1926),
    [sym__binary_minus] = ACTIONS(1924),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(883),
    [sym__element_reference_bracket] = ACTIONS(883),
  },
  [344] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3369),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(24),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4434),
    [sym__argument] = STATE(4683),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5720),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(71),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2153),
    [sym__variable] = STATE(23),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1967),
    [sym_identifier_suffix] = STATE(1966),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2663),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(344),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(1033),
    [anon_sym_COMMA] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_unless] = ACTIONS(1033),
    [anon_sym_while] = ACTIONS(1033),
    [anon_sym_until] = ACTIONS(1033),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(1033),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_defined_QMARK] = ACTIONS(499),
    [anon_sym_not] = ACTIONS(501),
    [anon_sym_BANG] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(505),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(487),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(1031),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(507),
    [sym__splat_star] = ACTIONS(509),
    [sym__unary_minus] = ACTIONS(511),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym_hash_key_symbol] = ACTIONS(515),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(517),
  },
  [345] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3541),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5742),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2473),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(345),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1912),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1924),
    [sym__unary_minus_num] = ACTIONS(1926),
    [sym__binary_minus] = ACTIONS(1924),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [346] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3578),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(346),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(883),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(883),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1886),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__binary_star_star] = ACTIONS(883),
  },
  [347] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3534),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(31),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(347),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4434),
    [sym__argument] = STATE(4813),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5844),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(62),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2265),
    [sym__variable] = STATE(21),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1975),
    [sym_identifier_suffix] = STATE(1973),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2825),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(347),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_yield] = ACTIONS(241),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_next] = ACTIONS(245),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(1033),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_then] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_defined_QMARK] = ACTIONS(247),
    [anon_sym_not] = ACTIONS(249),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_TILDE] = ACTIONS(253),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(235),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(1031),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(257),
    [sym__splat_star] = ACTIONS(259),
    [sym__unary_minus] = ACTIONS(261),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym_hash_key_symbol] = ACTIONS(265),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(267),
  },
  [348] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2695),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4434),
    [sym__argument] = STATE(4931),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5645),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2380),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1935),
    [sym_identifier_suffix] = STATE(1942),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2375),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(348),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(1033),
    [anon_sym_COMMA] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1053),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_then] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_defined_QMARK] = ACTIONS(527),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(431),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(1031),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(451),
    [sym__splat_star] = ACTIONS(453),
    [sym__unary_minus] = ACTIONS(535),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym_hash_key_symbol] = ACTIONS(459),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(461),
  },
  [349] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3344),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(349),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_do] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1944),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [350] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3916),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4910),
    [sym__argument] = STATE(5032),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5748),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2414),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1964),
    [sym_identifier_suffix] = STATE(1968),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3045),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(350),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(569),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(1031),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_rescue] = ACTIONS(1033),
    [anon_sym_COMMA] = ACTIONS(1031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1946),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(1031),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_PLUS] = ACTIONS(1948),
    [anon_sym_defined_QMARK] = ACTIONS(583),
    [anon_sym_not] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_TILDE] = ACTIONS(589),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(569),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym_hash_key_symbol] = ACTIONS(599),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(601),
  },
  [351] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3722),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(37),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(351),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4910),
    [sym__argument] = STATE(4933),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5746),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(72),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2370),
    [sym__variable] = STATE(36),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1983),
    [sym_identifier_suffix] = STATE(1982),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3011),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(351),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(1031),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(1031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(383),
    [anon_sym_break] = ACTIONS(385),
    [anon_sym_next] = ACTIONS(387),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(1033),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(1031),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_PLUS] = ACTIONS(1954),
    [anon_sym_defined_QMARK] = ACTIONS(389),
    [anon_sym_not] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(395),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(377),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(399),
    [sym__splat_star] = ACTIONS(401),
    [sym__unary_minus] = ACTIONS(403),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym_hash_key_symbol] = ACTIONS(407),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(409),
  },
  [352] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3797),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(352),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_COLON2] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1968),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [353] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4551),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(353),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(1984),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(1984),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [354] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3376),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(354),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_do] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1944),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(883),
  },
  [355] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3572),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(355),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_do] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(883),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1988),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__binary_star_star] = ACTIONS(883),
  },
  [356] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3818),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(356),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_DOT] = ACTIONS(885),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(883),
    [anon_sym_AMP_DOT] = ACTIONS(883),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_COLON2] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1968),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
    [sym__binary_star_star] = ACTIONS(883),
    [sym__element_reference_bracket] = ACTIONS(883),
  },
  [357] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3622),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(357),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_do] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(921),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1988),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [358] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4538),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(358),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(1984),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(1984),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [359] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3777),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(359),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(883),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(883),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1994),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__binary_star_star] = ACTIONS(883),
  },
  [360] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3702),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5821),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2467),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(360),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(2004),
    [anon_sym_not] = ACTIONS(2006),
    [anon_sym_BANG] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2012),
    [sym__unary_minus_num] = ACTIONS(2014),
    [sym__binary_minus] = ACTIONS(2012),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [361] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4548),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(361),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(1984),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_else] = ACTIONS(1984),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [362] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3812),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5860),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2460),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(362),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(2024),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2032),
    [sym__unary_minus_num] = ACTIONS(2034),
    [sym__binary_minus] = ACTIONS(2032),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [363] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3660),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(363),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_do] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_then] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(883),
  },
  [364] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3600),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(364),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_do] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_then] = ACTIONS(923),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [365] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3735),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(365),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(921),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(921),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1994),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [366] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3844),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(20),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(366),
    [sym_call] = STATE(2238),
    [sym_command_argument_list] = STATE(4434),
    [sym__argument] = STATE(4982),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5819),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(69),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2398),
    [sym__variable] = STATE(33),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1971),
    [sym_identifier_suffix] = STATE(1972),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(3065),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(366),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2040),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(541),
    [anon_sym_yield] = ACTIONS(543),
    [anon_sym_break] = ACTIONS(545),
    [anon_sym_next] = ACTIONS(547),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_then] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_PLUS] = ACTIONS(2044),
    [anon_sym_defined_QMARK] = ACTIONS(549),
    [anon_sym_not] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_TILDE] = ACTIONS(555),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(537),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(1031),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(557),
    [sym__splat_star] = ACTIONS(559),
    [sym__unary_minus] = ACTIONS(561),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym_hash_key_symbol] = ACTIONS(565),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(567),
  },
  [367] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3417),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(367),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_do] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2056),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [368] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3907),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(368),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_then] = ACTIONS(923),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(2066),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [369] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3941),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym_command_argument_list] = STATE(4910),
    [sym__argument] = STATE(5179),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1977),
    [sym_identifier_suffix] = STATE(1978),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3157),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(369),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(1031),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(1031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(1031),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(603),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(623),
    [sym__splat_star] = ACTIONS(625),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym_hash_key_symbol] = ACTIONS(631),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(633),
  },
  [370] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3840),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5858),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2584),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(370),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_COLON2] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2082),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2086),
    [sym__unary_minus_num] = ACTIONS(2088),
    [sym__binary_minus] = ACTIONS(2086),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [371] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3766),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(371),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_do] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(921),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [372] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3749),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(372),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_do] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(883),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__binary_star_star] = ACTIONS(883),
  },
  [373] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3913),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(373),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_then] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(2066),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(883),
  },
  [374] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3824),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5858),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2584),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(374),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_DOT] = ACTIONS(885),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(883),
    [anon_sym_AMP_DOT] = ACTIONS(883),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_COLON2] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2082),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2086),
    [sym__unary_minus_num] = ACTIONS(2088),
    [sym__binary_minus] = ACTIONS(2086),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
    [sym__binary_star_star] = ACTIONS(883),
    [sym__element_reference_bracket] = ACTIONS(883),
  },
  [375] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3839),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(375),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_COLON2] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2106),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [376] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3959),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5867),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2511),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(376),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_COLON_COLON] = ACTIONS(277),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2116),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2118),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_COLON_COLON2] = ACTIONS(921),
    [anon_sym_AMP_DOT] = ACTIONS(921),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_COLON2] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2126),
    [anon_sym_TILDE] = ACTIONS(2128),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2130),
    [sym__unary_minus_num] = ACTIONS(2132),
    [sym__binary_minus] = ACTIONS(2130),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
    [sym__binary_star_star] = ACTIONS(921),
    [sym__element_reference_bracket] = ACTIONS(921),
  },
  [377] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3925),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(377),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_then] = ACTIONS(923),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [378] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4786),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4803),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3452),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(29),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5775),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(73),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2163),
    [sym__variable] = STATE(26),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(378),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_defined_QMARK] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2158),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2160),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [379] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4774),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(379),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [380] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4763),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4803),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3452),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(29),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5775),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(73),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2163),
    [sym__variable] = STATE(26),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(380),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_defined_QMARK] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2158),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2160),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [381] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3997),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(381),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2172),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [382] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4796),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(382),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [383] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4808),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(383),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [384] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4787),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4803),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3452),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(29),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5775),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(73),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2163),
    [sym__variable] = STATE(26),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(384),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_defined_QMARK] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2158),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2160),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [385] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4769),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4803),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3452),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(29),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5775),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(73),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2163),
    [sym__variable] = STATE(26),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(385),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_defined_QMARK] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2158),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2160),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [386] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4768),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(386),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [387] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4804),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(387),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [388] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4784),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4803),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3452),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(29),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5775),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(73),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2163),
    [sym__variable] = STATE(26),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(388),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_defined_QMARK] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2158),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2160),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [389] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4789),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4803),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3452),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(29),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5775),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(73),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2163),
    [sym__variable] = STATE(26),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(389),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_defined_QMARK] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2158),
    [anon_sym_TILDE] = ACTIONS(2158),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2160),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [390] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4775),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(390),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [391] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4037),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5741),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2475),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(391),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2192),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2194),
    [sym__unary_minus_num] = ACTIONS(2196),
    [sym__binary_minus] = ACTIONS(2194),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [392] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4039),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5741),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2475),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(392),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2192),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2194),
    [sym__unary_minus_num] = ACTIONS(2196),
    [sym__binary_minus] = ACTIONS(2194),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(883),
  },
  [393] = {
    [sym_begin_block] = STATE(4500),
    [sym_end_block] = STATE(4500),
    [sym__statement] = STATE(4798),
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_if_modifier] = STATE(4500),
    [sym_unless_modifier] = STATE(4500),
    [sym_while_modifier] = STATE(4500),
    [sym_until_modifier] = STATE(4500),
    [sym_rescue_modifier] = STATE(4500),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4535),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym_undef] = STATE(4500),
    [sym_alias] = STATE(4500),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(393),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_BEGIN] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_END] = ACTIONS(19),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [anon_sym_undef] = ACTIONS(667),
    [anon_sym_alias] = ACTIONS(669),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [394] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4143),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5809),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2464),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(394),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2200),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(2204),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(921),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2212),
    [sym__unary_minus_num] = ACTIONS(2214),
    [sym__binary_minus] = ACTIONS(2212),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [395] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4093),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(395),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_in] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [396] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4092),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(396),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_COLON2] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
    [sym__binary_star_star] = ACTIONS(883),
  },
  [397] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4116),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(397),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_COLON2] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [398] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5212),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3923),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym__argument] = STATE(4897),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1979),
    [sym_identifier_suffix] = STATE(1976),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(398),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2254),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2252),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(715),
    [sym__splat_star] = ACTIONS(717),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [399] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5212),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3923),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym__argument_list_with_trailing_comma] = STATE(5571),
    [sym__argument] = STATE(5270),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1979),
    [sym_identifier_suffix] = STATE(1976),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(399),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2256),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2252),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(715),
    [sym__splat_star] = ACTIONS(717),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [400] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5212),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3923),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym__argument_list_with_trailing_comma] = STATE(5785),
    [sym__argument] = STATE(5270),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1979),
    [sym_identifier_suffix] = STATE(1976),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(400),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2258),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2252),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(715),
    [sym__splat_star] = ACTIONS(717),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [401] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5212),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3923),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym__argument_list_with_trailing_comma] = STATE(5616),
    [sym__argument] = STATE(5270),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1979),
    [sym_identifier_suffix] = STATE(1976),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(401),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2260),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2252),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(715),
    [sym__splat_star] = ACTIONS(717),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [402] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__pattern_expr] = STATE(4780),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4008),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(3181),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2376),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2872),
    [sym_subshell] = STATE(3181),
    [sym_string_array] = STATE(3181),
    [sym_symbol_array] = STATE(3181),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(3181),
    [sym_heredoc_body] = STATE(402),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(3242),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(1612),
    [anon_sym_RBRACE] = ACTIONS(2264),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(1614),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1686),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [anon_sym_DOT_DOT] = ACTIONS(1688),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1634),
    [sym_true] = ACTIONS(1636),
    [sym_false] = ACTIONS(1636),
    [sym_constant] = ACTIONS(2266),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym__no_line_break] = ACTIONS(2268),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1640),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [403] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5212),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3923),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym__argument_list_with_trailing_comma] = STATE(5607),
    [sym__argument] = STATE(5270),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1979),
    [sym_identifier_suffix] = STATE(1976),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(403),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2270),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2252),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(715),
    [sym__splat_star] = ACTIONS(717),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [404] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4161),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5790),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2502),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(404),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_rescue] = ACTIONS(923),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_COLON2] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(2278),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2284),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2286),
    [sym__unary_minus_num] = ACTIONS(2288),
    [sym__binary_minus] = ACTIONS(2286),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [405] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5212),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3923),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym__argument_list_with_trailing_comma] = STATE(5706),
    [sym__argument] = STATE(5270),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1979),
    [sym_identifier_suffix] = STATE(1976),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(405),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2290),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2252),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(715),
    [sym__splat_star] = ACTIONS(717),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [406] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5212),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3923),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym__argument_list_with_trailing_comma] = STATE(5788),
    [sym__argument] = STATE(5270),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1979),
    [sym_identifier_suffix] = STATE(1976),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(406),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2292),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2252),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(715),
    [sym__splat_star] = ACTIONS(717),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [407] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4193),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5857),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2523),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(407),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2296),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_COLON2] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2304),
    [anon_sym_TILDE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2308),
    [sym__unary_minus_num] = ACTIONS(2310),
    [sym__binary_minus] = ACTIONS(2308),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [408] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5212),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3923),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym__argument_list_with_trailing_comma] = STATE(5633),
    [sym__argument] = STATE(5270),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1979),
    [sym_identifier_suffix] = STATE(1976),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(408),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2312),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2252),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(715),
    [sym__splat_star] = ACTIONS(717),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [409] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5212),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3923),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym__argument_list_with_trailing_comma] = STATE(5552),
    [sym__argument] = STATE(5270),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1979),
    [sym_identifier_suffix] = STATE(1976),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(409),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2314),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2252),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(715),
    [sym__splat_star] = ACTIONS(717),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [410] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5212),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3923),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym__argument_list_with_trailing_comma] = STATE(5752),
    [sym__argument] = STATE(5270),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1979),
    [sym_identifier_suffix] = STATE(1976),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(410),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2316),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2252),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(715),
    [sym__splat_star] = ACTIONS(717),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [411] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4167),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5857),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2523),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(411),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2296),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_QMARK] = ACTIONS(885),
    [anon_sym_COLON2] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PIPE_PIPE] = ACTIONS(883),
    [anon_sym_AMP_AMP] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(885),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(883),
    [anon_sym_LT_EQ_GT] = ACTIONS(883),
    [anon_sym_EQ_TILDE] = ACTIONS(883),
    [anon_sym_BANG_TILDE] = ACTIONS(883),
    [anon_sym_defined_QMARK] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2304),
    [anon_sym_TILDE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2308),
    [sym__unary_minus_num] = ACTIONS(2310),
    [sym__binary_minus] = ACTIONS(2308),
    [sym__binary_star] = ACTIONS(883),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
    [sym__binary_star_star] = ACTIONS(883),
  },
  [412] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5212),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3923),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym__argument] = STATE(4897),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1979),
    [sym_identifier_suffix] = STATE(1976),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(412),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2318),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2252),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(715),
    [sym__splat_star] = ACTIONS(717),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [413] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5212),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3923),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym__argument_list_with_trailing_comma] = STATE(5783),
    [sym__argument] = STATE(5270),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1979),
    [sym_identifier_suffix] = STATE(1976),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(413),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2320),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2252),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(715),
    [sym__splat_star] = ACTIONS(717),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [414] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4305),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(414),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_CARET] = ACTIONS(921),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_COLON2] = ACTIONS(923),
    [anon_sym_and] = ACTIONS(923),
    [anon_sym_or] = ACTIONS(923),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(921),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ_GT] = ACTIONS(921),
    [anon_sym_EQ_TILDE] = ACTIONS(921),
    [anon_sym_BANG_TILDE] = ACTIONS(921),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__binary_star] = ACTIONS(921),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
    [sym__binary_star_star] = ACTIONS(921),
  },
  [415] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__pattern_expr] = STATE(4767),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4007),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(3181),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2376),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2872),
    [sym_subshell] = STATE(3181),
    [sym_string_array] = STATE(3181),
    [sym_symbol_array] = STATE(3181),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(3181),
    [sym_heredoc_body] = STATE(415),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(3242),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(1612),
    [anon_sym_RBRACE] = ACTIONS(2340),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(1614),
    [anon_sym_COMMA] = ACTIONS(2340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1686),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [anon_sym_DOT_DOT] = ACTIONS(1688),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1634),
    [sym_true] = ACTIONS(1636),
    [sym_false] = ACTIONS(1636),
    [sym_constant] = ACTIONS(2266),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1640),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [416] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3534),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(31),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(347),
    [sym_call] = STATE(2238),
    [sym__argument] = STATE(4445),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5844),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(62),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2265),
    [sym__variable] = STATE(21),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1975),
    [sym_identifier_suffix] = STATE(1973),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2825),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(416),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_yield] = ACTIONS(241),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_next] = ACTIONS(245),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_defined_QMARK] = ACTIONS(247),
    [anon_sym_not] = ACTIONS(249),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_TILDE] = ACTIONS(253),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(235),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(257),
    [sym__splat_star] = ACTIONS(259),
    [sym__unary_minus] = ACTIONS(261),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym_hash_key_symbol] = ACTIONS(265),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(267),
  },
  [417] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym__argument] = STATE(4445),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(417),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1035),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
  },
  [418] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2695),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym__argument] = STATE(4445),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5645),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2380),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1935),
    [sym_identifier_suffix] = STATE(1942),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2375),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(418),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1053),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_defined_QMARK] = ACTIONS(527),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(431),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(451),
    [sym__splat_star] = ACTIONS(453),
    [sym__unary_minus] = ACTIONS(535),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym_hash_key_symbol] = ACTIONS(459),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(461),
  },
  [419] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3941),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym__argument] = STATE(4897),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1977),
    [sym_identifier_suffix] = STATE(1978),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3157),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(419),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(603),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(623),
    [sym__splat_star] = ACTIONS(625),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym_hash_key_symbol] = ACTIONS(631),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(633),
  },
  [420] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2876),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2655),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(8),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(289),
    [sym_call] = STATE(2238),
    [sym__argument] = STATE(4445),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5611),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(53),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2121),
    [sym__variable] = STATE(9),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1957),
    [sym_identifier_suffix] = STATE(1959),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2472),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(420),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1509),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(189),
    [anon_sym_yield] = ACTIONS(191),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_next] = ACTIONS(195),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_defined_QMARK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(203),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(185),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(205),
    [sym__splat_star] = ACTIONS(207),
    [sym__unary_minus] = ACTIONS(209),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym_hash_key_symbol] = ACTIONS(213),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
    [sym__hash_splat_star_star] = ACTIONS(215),
  },
  [421] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2695),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(7),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym__argument] = STATE(4445),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5863),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(42),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2086),
    [sym__variable] = STATE(6),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1935),
    [sym_identifier_suffix] = STATE(1942),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2375),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(421),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1053),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1057),
    [anon_sym_defined_QMARK] = ACTIONS(443),
    [anon_sym_not] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(431),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(451),
    [sym__splat_star] = ACTIONS(453),
    [sym__unary_minus] = ACTIONS(455),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym_hash_key_symbol] = ACTIONS(459),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(461),
  },
  [422] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3916),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym__argument] = STATE(4897),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5748),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2414),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1964),
    [sym_identifier_suffix] = STATE(1968),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3045),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(422),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(569),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1946),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1948),
    [anon_sym_defined_QMARK] = ACTIONS(583),
    [anon_sym_not] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_TILDE] = ACTIONS(589),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(569),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(591),
    [sym__splat_star] = ACTIONS(593),
    [sym__unary_minus] = ACTIONS(595),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym_hash_key_symbol] = ACTIONS(599),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(601),
  },
  [423] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3577),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym__argument] = STATE(4897),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1963),
    [sym_identifier_suffix] = STATE(1965),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2816),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(423),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1880),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(269),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(353),
    [sym__splat_star] = ACTIONS(355),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym_hash_key_symbol] = ACTIONS(361),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(365),
  },
  [424] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3844),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(20),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(366),
    [sym_call] = STATE(2238),
    [sym__argument] = STATE(4445),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5819),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(69),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2398),
    [sym__variable] = STATE(33),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1971),
    [sym_identifier_suffix] = STATE(1972),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(3065),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(424),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(537),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2040),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(541),
    [anon_sym_yield] = ACTIONS(543),
    [anon_sym_break] = ACTIONS(545),
    [anon_sym_next] = ACTIONS(547),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2044),
    [anon_sym_defined_QMARK] = ACTIONS(549),
    [anon_sym_not] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_TILDE] = ACTIONS(555),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(537),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(557),
    [sym__splat_star] = ACTIONS(559),
    [sym__unary_minus] = ACTIONS(561),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym_hash_key_symbol] = ACTIONS(565),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(567),
  },
  [425] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4879),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3722),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(37),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(351),
    [sym_call] = STATE(2957),
    [sym__argument] = STATE(4897),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5746),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(72),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2370),
    [sym__variable] = STATE(36),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1983),
    [sym_identifier_suffix] = STATE(1982),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3011),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(425),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(383),
    [anon_sym_break] = ACTIONS(385),
    [anon_sym_next] = ACTIONS(387),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1954),
    [anon_sym_defined_QMARK] = ACTIONS(389),
    [anon_sym_not] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(395),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(377),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(399),
    [sym__splat_star] = ACTIONS(401),
    [sym__unary_minus] = ACTIONS(403),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym_hash_key_symbol] = ACTIONS(407),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(409),
  },
  [426] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5212),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3923),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym__argument] = STATE(4897),
    [sym_forward_argument] = STATE(4905),
    [sym_splat_argument] = STATE(4905),
    [sym_hash_splat_argument] = STATE(4905),
    [sym_block_argument] = STATE(4905),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1979),
    [sym_identifier_suffix] = STATE(1976),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(426),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(4905),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2252),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__block_ampersand] = ACTIONS(715),
    [sym__splat_star] = ACTIONS(717),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [427] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2626),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym__argument] = STATE(4445),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1940),
    [sym_identifier_suffix] = STATE(1937),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2203),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(427),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1035),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(231),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(119),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(163),
    [sym__splat_star] = ACTIONS(165),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym_hash_key_symbol] = ACTIONS(171),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(175),
  },
  [428] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3369),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(24),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym__argument] = STATE(4445),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5720),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(71),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2153),
    [sym__variable] = STATE(23),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1967),
    [sym_identifier_suffix] = STATE(1966),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2663),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(428),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(487),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_defined_QMARK] = ACTIONS(499),
    [anon_sym_not] = ACTIONS(501),
    [anon_sym_BANG] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(505),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(487),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(507),
    [sym__splat_star] = ACTIONS(509),
    [sym__unary_minus] = ACTIONS(511),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym_hash_key_symbol] = ACTIONS(515),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
    [sym__hash_splat_star_star] = ACTIONS(517),
  },
  [429] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4438),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3087),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(12),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym__argument] = STATE(4445),
    [sym_forward_argument] = STATE(4418),
    [sym_splat_argument] = STATE(4418),
    [sym_hash_splat_argument] = STATE(4418),
    [sym_block_argument] = STATE(4418),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5848),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(54),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2136),
    [sym__variable] = STATE(13),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1953),
    [sym_identifier_suffix] = STATE(1950),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2559),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(429),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_pair] = STATE(4418),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1598),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_defined_QMARK] = ACTIONS(467),
    [anon_sym_not] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(463),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__block_ampersand] = ACTIONS(475),
    [sym__splat_star] = ACTIONS(477),
    [sym__unary_minus] = ACTIONS(479),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym_hash_key_symbol] = ACTIONS(483),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
    [sym__hash_splat_star_star] = ACTIONS(485),
  },
  [430] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3309),
    [sym_rescue_modifier_expression] = STATE(4875),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5139),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3776),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3489),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(3309),
    [sym_left_assignment_list] = STATE(5748),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2414),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(430),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1948),
    [anon_sym_defined_QMARK] = ACTIONS(583),
    [anon_sym_not] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_TILDE] = ACTIONS(589),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2342),
    [sym__unary_minus] = ACTIONS(595),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [431] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_rescue_modifier_expression] = STATE(4439),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(5126),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3637),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3726),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5859),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2377),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(431),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2344),
    [anon_sym_defined_QMARK] = ACTIONS(2346),
    [anon_sym_not] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2352),
    [sym__unary_minus] = ACTIONS(2354),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [432] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3309),
    [sym_rescue_modifier_expression] = STATE(4875),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4919),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3491),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3636),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(3309),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(432),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1880),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2356),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [433] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3309),
    [sym_rescue_modifier_expression] = STATE(4875),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5149),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3789),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3573),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(3309),
    [sym_left_assignment_list] = STATE(5748),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2414),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(433),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1948),
    [anon_sym_defined_QMARK] = ACTIONS(583),
    [anon_sym_not] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_TILDE] = ACTIONS(589),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2358),
    [sym__unary_minus] = ACTIONS(595),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [434] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3309),
    [sym_rescue_modifier_expression] = STATE(4875),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5380),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3776),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3489),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(3309),
    [sym_left_assignment_list] = STATE(5868),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2440),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(434),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_defined_QMARK] = ACTIONS(2362),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2342),
    [sym__unary_minus] = ACTIONS(2368),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [435] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3309),
    [sym_rescue_modifier_expression] = STATE(4875),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5380),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3836),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3903),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(3309),
    [sym_left_assignment_list] = STATE(5868),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2440),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(435),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_defined_QMARK] = ACTIONS(2362),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2342),
    [sym__unary_minus] = ACTIONS(2368),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [436] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_rescue_modifier_expression] = STATE(4439),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4609),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3062),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(12),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3063),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5848),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(54),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2136),
    [sym__variable] = STATE(13),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(436),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_defined_QMARK] = ACTIONS(467),
    [anon_sym_not] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2370),
    [sym__unary_minus] = ACTIONS(479),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [437] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3309),
    [sym_rescue_modifier_expression] = STATE(4875),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4880),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3495),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3505),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(3309),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(437),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1880),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2372),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [438] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_rescue_modifier_expression] = STATE(4439),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4711),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3187),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(24),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3273),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5720),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(71),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2153),
    [sym__variable] = STATE(23),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(438),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_defined_QMARK] = ACTIONS(499),
    [anon_sym_not] = ACTIONS(501),
    [anon_sym_BANG] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(505),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2374),
    [sym__unary_minus] = ACTIONS(511),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [439] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_rescue_modifier_expression] = STATE(4439),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4818),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3416),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3528),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(439),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(231),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2376),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [440] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_rescue_modifier_expression] = STATE(4439),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4682),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3062),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(12),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3063),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5668),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(54),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2131),
    [sym__variable] = STATE(13),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(440),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2378),
    [anon_sym_defined_QMARK] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2384),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2370),
    [sym__unary_minus] = ACTIONS(2386),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [441] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_rescue_modifier_expression] = STATE(4439),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4518),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2647),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2671),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5645),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2380),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(441),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_defined_QMARK] = ACTIONS(527),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2388),
    [sym__unary_minus] = ACTIONS(535),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [442] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_rescue_modifier_expression] = STATE(4439),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4479),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2547),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2538),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(442),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2390),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [443] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_rescue_modifier_expression] = STATE(4439),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4479),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2547),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2538),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(443),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(231),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2390),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [444] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_rescue_modifier_expression] = STATE(4439),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4682),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3067),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(12),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3047),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5668),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(54),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2131),
    [sym__variable] = STATE(13),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(444),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2378),
    [anon_sym_defined_QMARK] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2384),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2370),
    [sym__unary_minus] = ACTIONS(2386),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [445] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_rescue_modifier_expression] = STATE(4439),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4527),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2674),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2658),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5859),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2377),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(445),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2344),
    [anon_sym_defined_QMARK] = ACTIONS(2346),
    [anon_sym_not] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2388),
    [sym__unary_minus] = ACTIONS(2354),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [446] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_rescue_modifier_expression] = STATE(4439),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4527),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2674),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(7),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2658),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5563),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(42),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2084),
    [sym__variable] = STATE(6),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(446),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_defined_QMARK] = ACTIONS(2394),
    [anon_sym_not] = ACTIONS(2396),
    [anon_sym_BANG] = ACTIONS(2398),
    [anon_sym_TILDE] = ACTIONS(2398),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2388),
    [sym__unary_minus] = ACTIONS(2400),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [447] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3309),
    [sym_rescue_modifier_expression] = STATE(4875),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5295),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3858),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3964),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(3309),
    [sym_left_assignment_list] = STATE(5868),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2440),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(447),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_defined_QMARK] = ACTIONS(2362),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2358),
    [sym__unary_minus] = ACTIONS(2368),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [448] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_rescue_modifier_expression] = STATE(4439),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(5080),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3553),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3800),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5645),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2380),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(448),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_defined_QMARK] = ACTIONS(527),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2352),
    [sym__unary_minus] = ACTIONS(535),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [449] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_rescue_modifier_expression] = STATE(4439),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4527),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2647),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2671),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5859),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2377),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(449),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2344),
    [anon_sym_defined_QMARK] = ACTIONS(2346),
    [anon_sym_not] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2388),
    [sym__unary_minus] = ACTIONS(2354),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [450] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_rescue_modifier_expression] = STATE(4439),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4801),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3187),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(24),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3273),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5594),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(71),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2162),
    [sym__variable] = STATE(23),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(450),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_defined_QMARK] = ACTIONS(2404),
    [anon_sym_not] = ACTIONS(2406),
    [anon_sym_BANG] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2408),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2374),
    [sym__unary_minus] = ACTIONS(2410),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [451] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_rescue_modifier_expression] = STATE(4439),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4518),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2647),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(7),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2671),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5863),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(42),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2086),
    [sym__variable] = STATE(6),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(451),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1057),
    [anon_sym_defined_QMARK] = ACTIONS(443),
    [anon_sym_not] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2388),
    [sym__unary_minus] = ACTIONS(455),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [452] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_rescue_modifier_expression] = STATE(4439),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4527),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2647),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(7),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2671),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5563),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(42),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2084),
    [sym__variable] = STATE(6),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(452),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_defined_QMARK] = ACTIONS(2394),
    [anon_sym_not] = ACTIONS(2396),
    [anon_sym_BANG] = ACTIONS(2398),
    [anon_sym_TILDE] = ACTIONS(2398),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2388),
    [sym__unary_minus] = ACTIONS(2400),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [453] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_rescue_modifier_expression] = STATE(4439),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4801),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3224),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(24),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3295),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5594),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(71),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2162),
    [sym__variable] = STATE(23),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(453),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_defined_QMARK] = ACTIONS(2404),
    [anon_sym_not] = ACTIONS(2406),
    [anon_sym_BANG] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2408),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2374),
    [sym__unary_minus] = ACTIONS(2410),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [454] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_rescue_modifier_expression] = STATE(4439),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4576),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2789),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2655),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(8),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(289),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2788),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5611),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(53),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2121),
    [sym__variable] = STATE(9),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(454),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(189),
    [anon_sym_yield] = ACTIONS(191),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_next] = ACTIONS(195),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_defined_QMARK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(203),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2412),
    [sym__unary_minus] = ACTIONS(209),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [455] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2646),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(455),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(2264),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(2414),
    [anon_sym_rescue] = ACTIONS(2414),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(2414),
    [anon_sym_do] = ACTIONS(2414),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(2414),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_elsif] = ACTIONS(2414),
    [anon_sym_else] = ACTIONS(2414),
    [anon_sym_then] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(2414),
    [anon_sym_and] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2264),
    [sym__no_line_break] = ACTIONS(2416),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [456] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2649),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(456),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(2418),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(2418),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(2420),
    [anon_sym_rescue] = ACTIONS(2420),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_elsif] = ACTIONS(2420),
    [anon_sym_else] = ACTIONS(2420),
    [anon_sym_then] = ACTIONS(2420),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(2420),
    [anon_sym_and] = ACTIONS(2420),
    [anon_sym_or] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2418),
    [sym__no_line_break] = ACTIONS(2422),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [457] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2627),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(457),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(883),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(885),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_do] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(885),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_elsif] = ACTIONS(885),
    [anon_sym_else] = ACTIONS(885),
    [anon_sym_then] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [458] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_rescue_modifier_expression] = STATE(4426),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(5124),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3848),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(16),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5787),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(68),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2378),
    [sym__variable] = STATE(15),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(458),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_defined_QMARK] = ACTIONS(2426),
    [anon_sym_not] = ACTIONS(2428),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2432),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [459] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3321),
    [sym_rescue_modifier_expression] = STATE(4865),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4935),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3586),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(459),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1880),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [460] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_rescue_modifier_expression] = STATE(4426),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4522),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2745),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(460),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [461] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_rescue_modifier_expression] = STATE(4426),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4764),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3365),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(24),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5594),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(71),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2162),
    [sym__variable] = STATE(23),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(461),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_defined_QMARK] = ACTIONS(2404),
    [anon_sym_not] = ACTIONS(2406),
    [anon_sym_BANG] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2408),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2410),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [462] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3321),
    [sym_rescue_modifier_expression] = STATE(4865),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5164),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3912),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5748),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2414),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(462),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1948),
    [anon_sym_defined_QMARK] = ACTIONS(583),
    [anon_sym_not] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_TILDE] = ACTIONS(589),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(595),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [463] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3321),
    [sym_rescue_modifier_expression] = STATE(4865),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4912),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3627),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(463),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1880),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [464] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_rescue_modifier_expression] = STATE(4426),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4764),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3459),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(29),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5775),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(73),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2163),
    [sym__variable] = STATE(26),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(464),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_defined_QMARK] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2158),
    [anon_sym_TILDE] = ACTIONS(2158),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2160),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [465] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_rescue_modifier_expression] = STATE(4426),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4575),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2945),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2655),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(8),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(289),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5611),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(53),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2121),
    [sym__variable] = STATE(9),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(465),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(189),
    [anon_sym_yield] = ACTIONS(191),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_next] = ACTIONS(195),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_defined_QMARK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(203),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(209),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [466] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_rescue_modifier_expression] = STATE(4426),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4675),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3184),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(11),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5759),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(55),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2133),
    [sym__variable] = STATE(10),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(466),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_defined_QMARK] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(111),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [467] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_rescue_modifier_expression] = STATE(4426),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4522),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2698),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(7),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5563),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(42),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2084),
    [sym__variable] = STATE(6),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(467),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_defined_QMARK] = ACTIONS(2394),
    [anon_sym_not] = ACTIONS(2396),
    [anon_sym_BANG] = ACTIONS(2398),
    [anon_sym_TILDE] = ACTIONS(2398),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2400),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [468] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_rescue_modifier_expression] = STATE(4426),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4522),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2698),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5859),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2377),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(468),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2344),
    [anon_sym_defined_QMARK] = ACTIONS(2346),
    [anon_sym_not] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2354),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [469] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2633),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(469),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(2434),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(2436),
    [anon_sym_rescue] = ACTIONS(2436),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_elsif] = ACTIONS(2436),
    [anon_sym_else] = ACTIONS(2436),
    [anon_sym_then] = ACTIONS(2436),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(2436),
    [anon_sym_and] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2434),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [470] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_rescue_modifier_expression] = STATE(4426),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4512),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2698),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5645),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2380),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(470),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_defined_QMARK] = ACTIONS(527),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(535),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [471] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2725),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(471),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(2264),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(2414),
    [anon_sym_rescue] = ACTIONS(2414),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(2414),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(2414),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_elsif] = ACTIONS(2414),
    [anon_sym_else] = ACTIONS(2414),
    [anon_sym_then] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(2414),
    [anon_sym_and] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2264),
    [sym__no_line_break] = ACTIONS(2416),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [472] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_rescue_modifier_expression] = STATE(4426),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(5072),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3753),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5645),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2380),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(472),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_defined_QMARK] = ACTIONS(527),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(535),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [473] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2715),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(473),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(2418),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(2418),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(2420),
    [anon_sym_rescue] = ACTIONS(2420),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_elsif] = ACTIONS(2420),
    [anon_sym_else] = ACTIONS(2420),
    [anon_sym_then] = ACTIONS(2420),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(2420),
    [anon_sym_and] = ACTIONS(2420),
    [anon_sym_or] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2418),
    [sym__no_line_break] = ACTIONS(2422),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [474] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_rescue_modifier_expression] = STATE(4426),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4474),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2592),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(474),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(231),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [475] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3321),
    [sym_rescue_modifier_expression] = STATE(4865),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5138),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3853),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5748),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2414),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(475),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1948),
    [anon_sym_defined_QMARK] = ACTIONS(583),
    [anon_sym_not] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_TILDE] = ACTIONS(589),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(595),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [476] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2652),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(476),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(2440),
    [anon_sym_rescue] = ACTIONS(2440),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(2440),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_elsif] = ACTIONS(2440),
    [anon_sym_else] = ACTIONS(2440),
    [anon_sym_then] = ACTIONS(2440),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(2440),
    [anon_sym_and] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2438),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [477] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3321),
    [sym_rescue_modifier_expression] = STATE(4865),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5294),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(4056),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(39),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5862),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(92),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2442),
    [sym__variable] = STATE(34),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(477),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_defined_QMARK] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2448),
    [anon_sym_TILDE] = ACTIONS(2448),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2450),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [478] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_rescue_modifier_expression] = STATE(4426),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4662),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3109),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(12),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5848),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(54),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2136),
    [sym__variable] = STATE(13),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(478),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_defined_QMARK] = ACTIONS(467),
    [anon_sym_not] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(479),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [479] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_rescue_modifier_expression] = STATE(4426),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4522),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2745),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(16),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5787),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(68),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2378),
    [sym__variable] = STATE(15),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(479),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_defined_QMARK] = ACTIONS(2426),
    [anon_sym_not] = ACTIONS(2428),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2432),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [480] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_rescue_modifier_expression] = STATE(4426),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4512),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2698),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(7),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5863),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(42),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2086),
    [sym__variable] = STATE(6),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(480),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1057),
    [anon_sym_defined_QMARK] = ACTIONS(443),
    [anon_sym_not] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(455),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [481] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_rescue_modifier_expression] = STATE(4426),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4474),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2592),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(481),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [482] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2628),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(482),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(2452),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(2454),
    [anon_sym_rescue] = ACTIONS(2454),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_elsif] = ACTIONS(2454),
    [anon_sym_else] = ACTIONS(2454),
    [anon_sym_then] = ACTIONS(2454),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(2454),
    [anon_sym_and] = ACTIONS(2454),
    [anon_sym_or] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2452),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [483] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3321),
    [sym_rescue_modifier_expression] = STATE(4865),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5379),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(4026),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(39),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5862),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(92),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2442),
    [sym__variable] = STATE(34),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(483),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_defined_QMARK] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2448),
    [anon_sym_TILDE] = ACTIONS(2448),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2450),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [484] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_rescue_modifier_expression] = STATE(4426),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4821),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3483),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(484),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(231),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [485] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_rescue_modifier_expression] = STATE(4426),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4675),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3109),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(12),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5668),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(54),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2131),
    [sym__variable] = STATE(13),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(485),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2378),
    [anon_sym_defined_QMARK] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2384),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2386),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [486] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_rescue_modifier_expression] = STATE(4426),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4710),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3365),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(24),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5720),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(71),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2153),
    [sym__variable] = STATE(23),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(486),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_defined_QMARK] = ACTIONS(499),
    [anon_sym_not] = ACTIONS(501),
    [anon_sym_BANG] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(505),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(511),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [487] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3321),
    [sym_rescue_modifier_expression] = STATE(4865),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5379),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3912),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5868),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2440),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(487),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_defined_QMARK] = ACTIONS(2362),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2368),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [488] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2706),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(488),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(2452),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(2454),
    [anon_sym_rescue] = ACTIONS(2454),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(2454),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_elsif] = ACTIONS(2454),
    [anon_sym_else] = ACTIONS(2454),
    [anon_sym_then] = ACTIONS(2454),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(2454),
    [anon_sym_and] = ACTIONS(2454),
    [anon_sym_or] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2452),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [489] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2711),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(489),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(883),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(885),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(885),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_elsif] = ACTIONS(885),
    [anon_sym_else] = ACTIONS(885),
    [anon_sym_then] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(885),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [490] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2765),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(490),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(2434),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(2436),
    [anon_sym_rescue] = ACTIONS(2436),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_elsif] = ACTIONS(2436),
    [anon_sym_else] = ACTIONS(2436),
    [anon_sym_then] = ACTIONS(2436),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(2436),
    [anon_sym_and] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2434),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [491] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2769),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(491),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_RPAREN] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_end] = ACTIONS(2440),
    [anon_sym_rescue] = ACTIONS(2440),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_in] = ACTIONS(2440),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_when] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_elsif] = ACTIONS(2440),
    [anon_sym_else] = ACTIONS(2440),
    [anon_sym_then] = ACTIONS(2440),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_ensure] = ACTIONS(2440),
    [anon_sym_and] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2438),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [492] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4906),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(4064),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(40),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5855),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(103),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2456),
    [sym__variable] = STATE(41),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(492),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_defined_QMARK] = ACTIONS(2458),
    [anon_sym_not] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2464),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [493] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4869),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3807),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(37),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(351),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5746),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(72),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2370),
    [sym__variable] = STATE(36),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(493),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(383),
    [anon_sym_break] = ACTIONS(385),
    [anon_sym_next] = ACTIONS(387),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1954),
    [anon_sym_defined_QMARK] = ACTIONS(389),
    [anon_sym_not] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(395),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(403),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [494] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4407),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2728),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(16),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5787),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(68),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2378),
    [sym__variable] = STATE(15),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(494),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_defined_QMARK] = ACTIONS(2426),
    [anon_sym_not] = ACTIONS(2428),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2432),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [495] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4431),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2732),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(16),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5787),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(68),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2378),
    [sym__variable] = STATE(15),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(495),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_defined_QMARK] = ACTIONS(2426),
    [anon_sym_not] = ACTIONS(2428),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2432),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [496] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2716),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(16),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5787),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(68),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2378),
    [sym__variable] = STATE(15),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(496),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_defined_QMARK] = ACTIONS(2426),
    [anon_sym_not] = ACTIONS(2428),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2432),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [497] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4407),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3027),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2655),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(8),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(289),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5611),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(53),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2121),
    [sym__variable] = STATE(9),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(497),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(189),
    [anon_sym_yield] = ACTIONS(191),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_next] = ACTIONS(195),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_defined_QMARK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(203),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(209),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [498] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4687),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3304),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(11),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5759),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(55),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2133),
    [sym__variable] = STATE(10),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(498),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_defined_QMARK] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(111),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [499] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2683),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5645),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2380),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(499),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_defined_QMARK] = ACTIONS(527),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(535),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [500] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4676),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3304),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(11),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5759),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(55),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2133),
    [sym__variable] = STATE(10),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(500),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_defined_QMARK] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(111),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [501] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4888),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3599),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(39),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5862),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(92),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2442),
    [sym__variable] = STATE(34),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(501),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_defined_QMARK] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2448),
    [anon_sym_TILDE] = ACTIONS(2448),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2450),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [502] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4906),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(4030),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(39),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5862),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(92),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2442),
    [sym__variable] = STATE(34),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(502),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_defined_QMARK] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2448),
    [anon_sym_TILDE] = ACTIONS(2448),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2450),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [503] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4869),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(4029),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(39),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5862),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(92),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2442),
    [sym__variable] = STATE(34),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(503),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_defined_QMARK] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2448),
    [anon_sym_TILDE] = ACTIONS(2448),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2450),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [504] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4926),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(4003),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(39),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5862),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(92),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2442),
    [sym__variable] = STATE(34),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(504),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_defined_QMARK] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2448),
    [anon_sym_TILDE] = ACTIONS(2448),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2450),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [505] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4688),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3304),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(11),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5759),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(55),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2133),
    [sym__variable] = STATE(10),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(505),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_defined_QMARK] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(111),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [506] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4690),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3304),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(11),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5759),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(55),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2133),
    [sym__variable] = STATE(10),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(506),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_defined_QMARK] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(111),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [507] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4926),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3583),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(507),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1880),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [508] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3364),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(24),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5594),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(71),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2162),
    [sym__variable] = STATE(23),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(508),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_defined_QMARK] = ACTIONS(2404),
    [anon_sym_not] = ACTIONS(2406),
    [anon_sym_BANG] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2408),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2410),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [509] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4436),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3304),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(11),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5759),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(55),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2133),
    [sym__variable] = STATE(10),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(509),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_defined_QMARK] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(111),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [510] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2716),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(16),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5787),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(68),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2378),
    [sym__variable] = STATE(15),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(510),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_defined_QMARK] = ACTIONS(2426),
    [anon_sym_not] = ACTIONS(2428),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2432),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [511] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4428),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3662),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(20),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(366),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5819),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(69),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2398),
    [sym__variable] = STATE(33),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(511),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(541),
    [anon_sym_yield] = ACTIONS(543),
    [anon_sym_break] = ACTIONS(545),
    [anon_sym_next] = ACTIONS(547),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2044),
    [anon_sym_defined_QMARK] = ACTIONS(549),
    [anon_sym_not] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_TILDE] = ACTIONS(555),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(561),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [512] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4407),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3888),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(20),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(366),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5819),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(69),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2398),
    [sym__variable] = STATE(33),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(512),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(541),
    [anon_sym_yield] = ACTIONS(543),
    [anon_sym_break] = ACTIONS(545),
    [anon_sym_next] = ACTIONS(547),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2044),
    [anon_sym_defined_QMARK] = ACTIONS(549),
    [anon_sym_not] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_TILDE] = ACTIONS(555),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(561),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [513] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4431),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3886),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(20),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(366),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5819),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(69),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2398),
    [sym__variable] = STATE(33),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(513),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(541),
    [anon_sym_yield] = ACTIONS(543),
    [anon_sym_break] = ACTIONS(545),
    [anon_sym_next] = ACTIONS(547),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2044),
    [anon_sym_defined_QMARK] = ACTIONS(549),
    [anon_sym_not] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_TILDE] = ACTIONS(555),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(561),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [514] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3873),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(20),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(366),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5819),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(69),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2398),
    [sym__variable] = STATE(33),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(514),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(541),
    [anon_sym_yield] = ACTIONS(543),
    [anon_sym_break] = ACTIONS(545),
    [anon_sym_next] = ACTIONS(547),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2044),
    [anon_sym_defined_QMARK] = ACTIONS(549),
    [anon_sym_not] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_TILDE] = ACTIONS(555),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(561),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [515] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3364),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(24),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5720),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(71),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2153),
    [sym__variable] = STATE(23),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(515),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_defined_QMARK] = ACTIONS(499),
    [anon_sym_not] = ACTIONS(501),
    [anon_sym_BANG] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(505),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(511),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [516] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4431),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3357),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(24),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5720),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(71),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2153),
    [sym__variable] = STATE(23),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(516),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_defined_QMARK] = ACTIONS(499),
    [anon_sym_not] = ACTIONS(501),
    [anon_sym_BANG] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(505),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(511),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [517] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4407),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3358),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(24),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5720),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(71),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2153),
    [sym__variable] = STATE(23),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(517),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_defined_QMARK] = ACTIONS(499),
    [anon_sym_not] = ACTIONS(501),
    [anon_sym_BANG] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(505),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(511),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [518] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4428),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2604),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(24),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5720),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(71),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2153),
    [sym__variable] = STATE(23),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(518),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_defined_QMARK] = ACTIONS(499),
    [anon_sym_not] = ACTIONS(501),
    [anon_sym_BANG] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(505),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(511),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [519] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2683),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5859),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2377),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(519),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2344),
    [anon_sym_defined_QMARK] = ACTIONS(2346),
    [anon_sym_not] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2354),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [520] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4431),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2697),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5859),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2377),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(520),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2344),
    [anon_sym_defined_QMARK] = ACTIONS(2346),
    [anon_sym_not] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2354),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [521] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4431),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2697),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5645),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2380),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(521),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_defined_QMARK] = ACTIONS(527),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(535),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [522] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3943),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(30),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(366),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5776),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(75),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2384),
    [sym__variable] = STATE(32),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(522),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(541),
    [anon_sym_yield] = ACTIONS(543),
    [anon_sym_break] = ACTIONS(545),
    [anon_sym_next] = ACTIONS(547),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_defined_QMARK] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2474),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [523] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4431),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3924),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(30),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(366),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5776),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(75),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2384),
    [sym__variable] = STATE(32),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(523),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(541),
    [anon_sym_yield] = ACTIONS(543),
    [anon_sym_break] = ACTIONS(545),
    [anon_sym_next] = ACTIONS(547),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_defined_QMARK] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2474),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [524] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4407),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3948),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(30),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(366),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5776),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(75),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2384),
    [sym__variable] = STATE(32),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(524),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(541),
    [anon_sym_yield] = ACTIONS(543),
    [anon_sym_break] = ACTIONS(545),
    [anon_sym_next] = ACTIONS(547),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_defined_QMARK] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2474),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [525] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4428),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3662),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(30),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(366),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5776),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(75),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2384),
    [sym__variable] = STATE(32),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(525),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(541),
    [anon_sym_yield] = ACTIONS(543),
    [anon_sym_break] = ACTIONS(545),
    [anon_sym_next] = ACTIONS(547),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_defined_QMARK] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2474),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [526] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4407),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2686),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5645),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2380),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(526),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_defined_QMARK] = ACTIONS(527),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(535),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [527] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4872),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(4060),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(40),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5855),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(103),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2456),
    [sym__variable] = STATE(41),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(527),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_defined_QMARK] = ACTIONS(2458),
    [anon_sym_not] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2464),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [528] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4428),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2604),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5645),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2380),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(528),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_defined_QMARK] = ACTIONS(527),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(535),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [529] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2683),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5859),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2377),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(529),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2344),
    [anon_sym_defined_QMARK] = ACTIONS(2346),
    [anon_sym_not] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2354),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [530] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4888),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3820),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(40),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5855),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(103),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2456),
    [sym__variable] = STATE(41),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(530),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_defined_QMARK] = ACTIONS(2458),
    [anon_sym_not] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2464),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [531] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2683),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(7),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5563),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(42),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2084),
    [sym__variable] = STATE(6),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(531),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_defined_QMARK] = ACTIONS(2394),
    [anon_sym_not] = ACTIONS(2396),
    [anon_sym_BANG] = ACTIONS(2398),
    [anon_sym_TILDE] = ACTIONS(2398),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2400),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [532] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4684),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3304),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(11),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5759),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(55),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2133),
    [sym__variable] = STATE(10),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(532),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_defined_QMARK] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(111),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [533] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4888),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3820),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(37),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(351),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5746),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(72),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2370),
    [sym__variable] = STATE(36),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(533),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(383),
    [anon_sym_break] = ACTIONS(385),
    [anon_sym_next] = ACTIONS(387),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1954),
    [anon_sym_defined_QMARK] = ACTIONS(389),
    [anon_sym_not] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(395),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(403),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [534] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4869),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(4066),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(40),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5855),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(103),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2456),
    [sym__variable] = STATE(41),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(534),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_defined_QMARK] = ACTIONS(2458),
    [anon_sym_not] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2464),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [535] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4926),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(4073),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(40),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5855),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(103),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2456),
    [sym__variable] = STATE(41),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(535),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_defined_QMARK] = ACTIONS(2458),
    [anon_sym_not] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2464),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [536] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4436),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3977),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(30),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(366),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5776),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(75),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2384),
    [sym__variable] = STATE(32),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(536),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(541),
    [anon_sym_yield] = ACTIONS(543),
    [anon_sym_break] = ACTIONS(545),
    [anon_sym_next] = ACTIONS(547),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_defined_QMARK] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2474),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [537] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4529),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(537),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [538] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2629),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(538),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(231),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [539] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2716),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(539),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [540] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4431),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3014),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2655),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(8),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(289),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5611),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(53),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2121),
    [sym__variable] = STATE(9),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(540),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(189),
    [anon_sym_yield] = ACTIONS(191),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_next] = ACTIONS(195),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_defined_QMARK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(203),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(209),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [541] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4926),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3930),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(541),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [542] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4407),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2686),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5859),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2377),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(542),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2344),
    [anon_sym_defined_QMARK] = ACTIONS(2346),
    [anon_sym_not] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2354),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [543] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3146),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(12),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5668),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(54),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2131),
    [sym__variable] = STATE(13),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(543),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2378),
    [anon_sym_defined_QMARK] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2384),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2386),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [544] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4428),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2604),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5859),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2377),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(544),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2344),
    [anon_sym_defined_QMARK] = ACTIONS(2346),
    [anon_sym_not] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2354),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [545] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4431),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2732),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(545),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [546] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4428),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2987),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2655),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(8),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(289),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5611),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(53),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2121),
    [sym__variable] = STATE(9),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(546),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(189),
    [anon_sym_yield] = ACTIONS(191),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_next] = ACTIONS(195),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_defined_QMARK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(203),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(209),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [547] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(5334),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3977),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(30),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(366),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5776),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(75),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2384),
    [sym__variable] = STATE(32),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(547),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(541),
    [anon_sym_yield] = ACTIONS(543),
    [anon_sym_break] = ACTIONS(545),
    [anon_sym_next] = ACTIONS(547),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_defined_QMARK] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2474),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [548] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4926),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3919),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5748),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2414),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(548),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1948),
    [anon_sym_defined_QMARK] = ACTIONS(583),
    [anon_sym_not] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_TILDE] = ACTIONS(589),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(595),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [549] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4869),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3918),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5748),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2414),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(549),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1948),
    [anon_sym_defined_QMARK] = ACTIONS(583),
    [anon_sym_not] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_TILDE] = ACTIONS(589),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(595),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [550] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4869),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3953),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(550),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [551] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4926),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3930),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(551),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [552] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4906),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3922),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(552),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [553] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4436),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3452),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(29),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5775),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(73),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2163),
    [sym__variable] = STATE(26),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(553),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_defined_QMARK] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2158),
    [anon_sym_TILDE] = ACTIONS(2158),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2160),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [554] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4778),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3452),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(29),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5775),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(73),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2163),
    [sym__variable] = STATE(26),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(554),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_defined_QMARK] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2158),
    [anon_sym_TILDE] = ACTIONS(2158),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2160),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [555] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4777),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3452),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(29),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5775),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(73),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2163),
    [sym__variable] = STATE(26),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(555),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_defined_QMARK] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2158),
    [anon_sym_TILDE] = ACTIONS(2158),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2160),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [556] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4776),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3452),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(29),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5775),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(73),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2163),
    [sym__variable] = STATE(26),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(556),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_defined_QMARK] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2158),
    [anon_sym_TILDE] = ACTIONS(2158),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2160),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [557] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4773),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3452),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(29),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5775),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(73),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2163),
    [sym__variable] = STATE(26),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(557),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_defined_QMARK] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2158),
    [anon_sym_TILDE] = ACTIONS(2158),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2160),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [558] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4772),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3452),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(29),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5775),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(73),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2163),
    [sym__variable] = STATE(26),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(558),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_defined_QMARK] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2158),
    [anon_sym_TILDE] = ACTIONS(2158),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2160),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [559] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4906),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3920),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5748),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2414),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(559),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1948),
    [anon_sym_defined_QMARK] = ACTIONS(583),
    [anon_sym_not] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_TILDE] = ACTIONS(589),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(595),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [560] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4888),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3820),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(560),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [561] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4888),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3599),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5748),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2414),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(561),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1948),
    [anon_sym_defined_QMARK] = ACTIONS(583),
    [anon_sym_not] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_TILDE] = ACTIONS(589),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(595),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [562] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4407),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2728),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(562),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [563] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4428),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2604),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(563),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [564] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2683),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(7),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5563),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(42),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2084),
    [sym__variable] = STATE(6),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(564),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_defined_QMARK] = ACTIONS(2394),
    [anon_sym_not] = ACTIONS(2396),
    [anon_sym_BANG] = ACTIONS(2398),
    [anon_sym_TILDE] = ACTIONS(2398),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2400),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [565] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4888),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3599),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5868),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2440),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(565),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_defined_QMARK] = ACTIONS(2362),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2368),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [566] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2629),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(566),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [567] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4926),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3919),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5868),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2440),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(567),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_defined_QMARK] = ACTIONS(2362),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2368),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [568] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4906),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3920),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5868),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2440),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(568),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_defined_QMARK] = ACTIONS(2362),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2368),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [569] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4428),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2604),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(29),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5775),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(73),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2163),
    [sym__variable] = STATE(26),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(569),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_defined_QMARK] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2158),
    [anon_sym_TILDE] = ACTIONS(2158),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2160),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [570] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4407),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3458),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(29),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5775),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(73),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2163),
    [sym__variable] = STATE(26),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(570),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_defined_QMARK] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2158),
    [anon_sym_TILDE] = ACTIONS(2158),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2160),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [571] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4431),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3476),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(29),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5775),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(73),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2163),
    [sym__variable] = STATE(26),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(571),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_defined_QMARK] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2158),
    [anon_sym_TILDE] = ACTIONS(2158),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2160),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [572] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3423),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(29),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5775),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(73),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2163),
    [sym__variable] = STATE(26),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(572),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_defined_QMARK] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2158),
    [anon_sym_TILDE] = ACTIONS(2158),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2160),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [573] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3146),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(12),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5848),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(54),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2136),
    [sym__variable] = STATE(13),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(573),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_defined_QMARK] = ACTIONS(467),
    [anon_sym_not] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(479),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [574] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(5216),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3977),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(30),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(366),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5776),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(75),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2384),
    [sym__variable] = STATE(32),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(574),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(541),
    [anon_sym_yield] = ACTIONS(543),
    [anon_sym_break] = ACTIONS(545),
    [anon_sym_next] = ACTIONS(547),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_defined_QMARK] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2474),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [575] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4906),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3804),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(37),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(351),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5746),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(72),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2370),
    [sym__variable] = STATE(36),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(575),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(383),
    [anon_sym_break] = ACTIONS(385),
    [anon_sym_next] = ACTIONS(387),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1954),
    [anon_sym_defined_QMARK] = ACTIONS(389),
    [anon_sym_not] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(395),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(403),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [576] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4526),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(576),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [577] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4926),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3795),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(37),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(351),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5746),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(72),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2370),
    [sym__variable] = STATE(36),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(577),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(383),
    [anon_sym_break] = ACTIONS(385),
    [anon_sym_next] = ACTIONS(387),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1954),
    [anon_sym_defined_QMARK] = ACTIONS(389),
    [anon_sym_not] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(395),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(403),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [578] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(5185),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3977),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(30),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(366),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5776),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(75),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2384),
    [sym__variable] = STATE(32),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(578),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(541),
    [anon_sym_yield] = ACTIONS(543),
    [anon_sym_break] = ACTIONS(545),
    [anon_sym_next] = ACTIONS(547),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_defined_QMARK] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2474),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [579] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2683),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(14),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5645),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(56),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2380),
    [sym__variable] = STATE(18),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(579),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_defined_QMARK] = ACTIONS(527),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(535),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [580] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4428),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2604),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(16),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(348),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5787),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(68),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2378),
    [sym__variable] = STATE(15),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(580),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(521),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_next] = ACTIONS(525),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_defined_QMARK] = ACTIONS(2426),
    [anon_sym_not] = ACTIONS(2428),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2432),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [581] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4869),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3918),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5868),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2440),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(581),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_defined_QMARK] = ACTIONS(2362),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2368),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [582] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4926),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3795),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(37),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(351),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5746),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(72),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2370),
    [sym__variable] = STATE(36),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(582),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_yield] = ACTIONS(383),
    [anon_sym_break] = ACTIONS(385),
    [anon_sym_next] = ACTIONS(387),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1954),
    [anon_sym_defined_QMARK] = ACTIONS(389),
    [anon_sym_not] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(395),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(403),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [583] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4431),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2697),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(7),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5563),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(42),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2084),
    [sym__variable] = STATE(6),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(583),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_defined_QMARK] = ACTIONS(2394),
    [anon_sym_not] = ACTIONS(2396),
    [anon_sym_BANG] = ACTIONS(2398),
    [anon_sym_TILDE] = ACTIONS(2398),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2400),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [584] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4428),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2987),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(12),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5668),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(54),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2131),
    [sym__variable] = STATE(13),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(584),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2378),
    [anon_sym_defined_QMARK] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2384),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2386),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [585] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3568),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(31),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(347),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5844),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(62),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2265),
    [sym__variable] = STATE(21),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(585),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_yield] = ACTIONS(241),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_next] = ACTIONS(245),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_defined_QMARK] = ACTIONS(247),
    [anon_sym_not] = ACTIONS(249),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_TILDE] = ACTIONS(253),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(261),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [586] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4926),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3919),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5868),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2440),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(586),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_defined_QMARK] = ACTIONS(2362),
    [anon_sym_not] = ACTIONS(2364),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2368),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [587] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4431),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3679),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(31),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(347),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5844),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(62),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2265),
    [sym__variable] = STATE(21),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(587),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_yield] = ACTIONS(241),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_next] = ACTIONS(245),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_defined_QMARK] = ACTIONS(247),
    [anon_sym_not] = ACTIONS(249),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_TILDE] = ACTIONS(253),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(261),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [588] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4407),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3678),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(31),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(347),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5844),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(62),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2265),
    [sym__variable] = STATE(21),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(588),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_yield] = ACTIONS(241),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_next] = ACTIONS(245),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_defined_QMARK] = ACTIONS(247),
    [anon_sym_not] = ACTIONS(249),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_TILDE] = ACTIONS(253),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(261),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [589] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3423),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(29),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5775),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(73),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2163),
    [sym__variable] = STATE(26),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(589),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_defined_QMARK] = ACTIONS(2154),
    [anon_sym_not] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2158),
    [anon_sym_TILDE] = ACTIONS(2158),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2160),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [590] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4428),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3662),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(31),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(347),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5844),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(62),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2265),
    [sym__variable] = STATE(21),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(590),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_yield] = ACTIONS(241),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_next] = ACTIONS(245),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_defined_QMARK] = ACTIONS(247),
    [anon_sym_not] = ACTIONS(249),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_TILDE] = ACTIONS(253),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(261),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [591] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4407),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3144),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(12),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5668),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(54),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2131),
    [sym__variable] = STATE(13),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(591),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2378),
    [anon_sym_defined_QMARK] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2384),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2386),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [592] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2949),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2655),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(8),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(289),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5611),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(53),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2121),
    [sym__variable] = STATE(9),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(592),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(189),
    [anon_sym_yield] = ACTIONS(191),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_next] = ACTIONS(195),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_defined_QMARK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(203),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(209),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [593] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4428),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2987),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(11),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5759),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(55),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2133),
    [sym__variable] = STATE(10),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(593),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_defined_QMARK] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(111),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [594] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4431),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3149),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(12),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5668),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(54),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2131),
    [sym__variable] = STATE(13),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(594),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2378),
    [anon_sym_defined_QMARK] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2384),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2386),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [595] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4407),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3190),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(11),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5759),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(55),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2133),
    [sym__variable] = STATE(10),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(595),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_defined_QMARK] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(111),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [596] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3568),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(31),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(347),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5844),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(62),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2265),
    [sym__variable] = STATE(21),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(596),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_yield] = ACTIONS(241),
    [anon_sym_break] = ACTIONS(243),
    [anon_sym_next] = ACTIONS(245),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1938),
    [anon_sym_defined_QMARK] = ACTIONS(247),
    [anon_sym_not] = ACTIONS(249),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_TILDE] = ACTIONS(253),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(261),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [597] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2629),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(597),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(231),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [598] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4407),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2686),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(7),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5563),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(42),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2084),
    [sym__variable] = STATE(6),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(598),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_defined_QMARK] = ACTIONS(2394),
    [anon_sym_not] = ACTIONS(2396),
    [anon_sym_BANG] = ACTIONS(2398),
    [anon_sym_TILDE] = ACTIONS(2398),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2400),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [599] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4431),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3221),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(11),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5759),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(55),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2133),
    [sym__variable] = STATE(10),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(599),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_defined_QMARK] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(111),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [600] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3146),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(12),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5668),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(54),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2131),
    [sym__variable] = STATE(13),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(600),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2378),
    [anon_sym_defined_QMARK] = ACTIONS(2380),
    [anon_sym_not] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2384),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2386),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [601] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4431),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2632),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(601),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(231),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [602] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4407),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2621),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(602),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(231),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [603] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4428),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2604),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(7),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5563),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(42),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2084),
    [sym__variable] = STATE(6),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(603),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_defined_QMARK] = ACTIONS(2394),
    [anon_sym_not] = ACTIONS(2396),
    [anon_sym_BANG] = ACTIONS(2398),
    [anon_sym_TILDE] = ACTIONS(2398),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2400),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [604] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4428),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2604),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3134),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(17),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(328),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5872),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(57),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2199),
    [sym__variable] = STATE(19),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(604),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_yield] = ACTIONS(219),
    [anon_sym_break] = ACTIONS(221),
    [anon_sym_next] = ACTIONS(223),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_defined_QMARK] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(231),
    [anon_sym_TILDE] = ACTIONS(231),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(233),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [605] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5472),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(4060),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(40),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5855),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(103),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2456),
    [sym__variable] = STATE(41),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(605),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_defined_QMARK] = ACTIONS(2458),
    [anon_sym_not] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2464),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [606] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4926),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3583),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(606),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1880),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [607] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4869),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3576),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(607),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1880),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [608] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4906),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3574),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(608),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1880),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [609] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4888),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3599),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3279),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(22),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(340),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5853),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(70),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2245),
    [sym__variable] = STATE(25),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(609),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_yield] = ACTIONS(287),
    [anon_sym_break] = ACTIONS(289),
    [anon_sym_next] = ACTIONS(291),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1880),
    [anon_sym_defined_QMARK] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(317),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_TILDE] = ACTIONS(321),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(357),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [610] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2683),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(7),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5863),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(42),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2086),
    [sym__variable] = STATE(6),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(610),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1057),
    [anon_sym_defined_QMARK] = ACTIONS(443),
    [anon_sym_not] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(455),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [611] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3364),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(24),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5594),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(71),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2162),
    [sym__variable] = STATE(23),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(611),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_defined_QMARK] = ACTIONS(2404),
    [anon_sym_not] = ACTIONS(2406),
    [anon_sym_BANG] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2408),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2410),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [612] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4431),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3357),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(24),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5594),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(71),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2162),
    [sym__variable] = STATE(23),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(612),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_defined_QMARK] = ACTIONS(2404),
    [anon_sym_not] = ACTIONS(2406),
    [anon_sym_BANG] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2408),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2410),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [613] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3169),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(11),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5759),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(55),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2133),
    [sym__variable] = STATE(10),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(613),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_defined_QMARK] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(111),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [614] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4428),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2604),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(614),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [615] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3364),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(24),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5720),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(71),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2153),
    [sym__variable] = STATE(23),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(615),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_defined_QMARK] = ACTIONS(499),
    [anon_sym_not] = ACTIONS(501),
    [anon_sym_BANG] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(505),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(511),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [616] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4428),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2604),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(7),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5863),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(42),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2086),
    [sym__variable] = STATE(6),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(616),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1057),
    [anon_sym_defined_QMARK] = ACTIONS(443),
    [anon_sym_not] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(455),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [617] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3873),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(20),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(366),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5819),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(69),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2398),
    [sym__variable] = STATE(33),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(617),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(541),
    [anon_sym_yield] = ACTIONS(543),
    [anon_sym_break] = ACTIONS(545),
    [anon_sym_next] = ACTIONS(547),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2044),
    [anon_sym_defined_QMARK] = ACTIONS(549),
    [anon_sym_not] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_TILDE] = ACTIONS(555),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(561),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [618] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4872),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3978),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(38),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5864),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(74),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2445),
    [sym__variable] = STATE(35),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(618),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_defined_QMARK] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_TILDE] = ACTIONS(621),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(627),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [619] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4407),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2621),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(619),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [620] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4407),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3358),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(24),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5594),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(71),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2162),
    [sym__variable] = STATE(23),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(620),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_defined_QMARK] = ACTIONS(2404),
    [anon_sym_not] = ACTIONS(2406),
    [anon_sym_BANG] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2408),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2410),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [621] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4431),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2632),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(621),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [622] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4407),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2686),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(7),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5863),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(42),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2086),
    [sym__variable] = STATE(6),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(622),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1057),
    [anon_sym_defined_QMARK] = ACTIONS(443),
    [anon_sym_not] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(455),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [623] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2629),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2425),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(4),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(229),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5560),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(43),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2073),
    [sym__variable] = STATE(3),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(623),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_next] = ACTIONS(141),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_defined_QMARK] = ACTIONS(147),
    [anon_sym_not] = ACTIONS(149),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_TILDE] = ACTIONS(153),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(167),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [624] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4431),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2697),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(7),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5863),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(42),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2086),
    [sym__variable] = STATE(6),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(624),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1057),
    [anon_sym_defined_QMARK] = ACTIONS(443),
    [anon_sym_not] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(455),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [625] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2683),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(7),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5863),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(42),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2086),
    [sym__variable] = STATE(6),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(625),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1057),
    [anon_sym_defined_QMARK] = ACTIONS(443),
    [anon_sym_not] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(455),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [626] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4525),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(626),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [627] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3943),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(3363),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(30),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(366),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5776),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(75),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2384),
    [sym__variable] = STATE(32),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(627),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(541),
    [anon_sym_yield] = ACTIONS(543),
    [anon_sym_break] = ACTIONS(545),
    [anon_sym_next] = ACTIONS(547),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_defined_QMARK] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2474),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [628] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4428),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2604),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2959),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(24),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(344),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5594),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(71),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2162),
    [sym__variable] = STATE(23),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(628),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_next] = ACTIONS(497),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_defined_QMARK] = ACTIONS(2404),
    [anon_sym_not] = ACTIONS(2406),
    [anon_sym_BANG] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2408),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2410),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [629] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4428),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2987),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(12),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5848),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(54),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2136),
    [sym__variable] = STATE(13),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(629),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_defined_QMARK] = ACTIONS(467),
    [anon_sym_not] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(479),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [630] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4407),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3144),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(12),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5848),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(54),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2136),
    [sym__variable] = STATE(13),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(630),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_defined_QMARK] = ACTIONS(467),
    [anon_sym_not] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(479),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [631] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4431),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3149),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(12),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5848),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(54),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2136),
    [sym__variable] = STATE(13),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(631),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_defined_QMARK] = ACTIONS(467),
    [anon_sym_not] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(479),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [632] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3146),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(12),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5848),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(54),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2136),
    [sym__variable] = STATE(13),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(632),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_defined_QMARK] = ACTIONS(467),
    [anon_sym_not] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(479),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [633] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(5455),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(4060),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(40),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5855),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(103),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2456),
    [sym__variable] = STATE(41),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(633),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_defined_QMARK] = ACTIONS(2458),
    [anon_sym_not] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2464),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [634] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4926),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(3919),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(28),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5748),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(67),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2414),
    [sym__variable] = STATE(27),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(634),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1948),
    [anon_sym_defined_QMARK] = ACTIONS(583),
    [anon_sym_not] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(589),
    [anon_sym_TILDE] = ACTIONS(589),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(595),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [635] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2949),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2655),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(8),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(289),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5611),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(53),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2121),
    [sym__variable] = STATE(9),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(635),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(189),
    [anon_sym_yield] = ACTIONS(191),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_next] = ACTIONS(195),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_defined_QMARK] = ACTIONS(197),
    [anon_sym_not] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(203),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(209),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [636] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4926),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(4003),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(39),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(350),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5862),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(92),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2442),
    [sym__variable] = STATE(34),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(636),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(579),
    [anon_sym_next] = ACTIONS(581),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_defined_QMARK] = ACTIONS(2444),
    [anon_sym_not] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2448),
    [anon_sym_TILDE] = ACTIONS(2448),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2450),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [637] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return_command] = STATE(4938),
    [sym_yield_command] = STATE(4938),
    [sym_break_command] = STATE(4938),
    [sym_next_command] = STATE(4938),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__expression] = STATE(4926),
    [sym_match_pattern] = STATE(4938),
    [sym_test_pattern] = STATE(4938),
    [sym__arg] = STATE(4073),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3413),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(40),
    [sym_command_call] = STATE(4916),
    [sym_command_call_with_block] = STATE(4757),
    [sym__chained_command_call] = STATE(369),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_command_assignment] = STATE(4938),
    [sym_operator_assignment] = STATE(3333),
    [sym_command_operator_assignment] = STATE(4938),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_command_binary] = STATE(4938),
    [sym_unary] = STATE(3333),
    [sym_command_unary] = STATE(4938),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5855),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(103),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2456),
    [sym__variable] = STATE(41),
    [sym__nonlocal_variable] = STATE(1927),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(1980),
    [sym_identifier_suffix] = STATE(1981),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(637),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(607),
    [anon_sym_yield] = ACTIONS(609),
    [anon_sym_break] = ACTIONS(611),
    [anon_sym_next] = ACTIONS(613),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_defined_QMARK] = ACTIONS(2458),
    [anon_sym_not] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(325),
    [sym_self] = ACTIONS(325),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(325),
    [aux_sym_constant_suffix_token1] = ACTIONS(329),
    [aux_sym_identifier_suffix_token1] = ACTIONS(331),
    [sym_instance_variable] = ACTIONS(333),
    [sym_class_variable] = ACTIONS(333),
    [sym_global_variable] = ACTIONS(333),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2464),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(363),
    [sym__constant_suffix] = ACTIONS(329),
  },
  [638] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2716),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(638),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [639] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4423),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(3169),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2743),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(11),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4537),
    [sym__chained_command_call] = STATE(303),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5759),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(55),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2133),
    [sym__variable] = STATE(10),
    [sym__nonlocal_variable] = STATE(1893),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1960),
    [sym_identifier_suffix] = STATE(1961),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(639),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_next] = ACTIONS(45),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_defined_QMARK] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(73),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(75),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(9),
    [sym_self] = ACTIONS(9),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(9),
    [aux_sym_constant_suffix_token1] = ACTIONS(87),
    [aux_sym_identifier_suffix_token1] = ACTIONS(89),
    [sym_instance_variable] = ACTIONS(91),
    [sym_class_variable] = ACTIONS(91),
    [sym_global_variable] = ACTIONS(91),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(111),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(117),
    [sym__constant_suffix] = ACTIONS(87),
  },
  [640] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4436),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(640),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [641] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4531),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(641),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [642] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return_command] = STATE(4417),
    [sym_yield_command] = STATE(4417),
    [sym_break_command] = STATE(4417),
    [sym_next_command] = STATE(4417),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__expression] = STATE(4521),
    [sym_match_pattern] = STATE(4417),
    [sym_test_pattern] = STATE(4417),
    [sym__arg] = STATE(2763),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2495),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(5),
    [sym_command_call] = STATE(4420),
    [sym_command_call_with_block] = STATE(4413),
    [sym__chained_command_call] = STATE(233),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_command_assignment] = STATE(4417),
    [sym_operator_assignment] = STATE(2466),
    [sym_command_operator_assignment] = STATE(4417),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_command_binary] = STATE(4417),
    [sym_unary] = STATE(2466),
    [sym_command_unary] = STATE(4417),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5726),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(44),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2083),
    [sym__variable] = STATE(2),
    [sym__nonlocal_variable] = STATE(1879),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(1944),
    [sym_identifier_suffix] = STATE(1945),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(642),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_next] = ACTIONS(441),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_defined_QMARK] = ACTIONS(661),
    [anon_sym_not] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(665),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(155),
    [sym_self] = ACTIONS(155),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(155),
    [aux_sym_constant_suffix_token1] = ACTIONS(157),
    [aux_sym_identifier_suffix_token1] = ACTIONS(159),
    [sym_instance_variable] = ACTIONS(161),
    [sym_class_variable] = ACTIONS(161),
    [sym_global_variable] = ACTIONS(161),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(679),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(173),
    [sym__constant_suffix] = ACTIONS(157),
  },
  [643] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_hash_splat_parameter] = STATE(4828),
    [sym_hash_splat_nil] = STATE(4828),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__hash_pattern_body] = STATE(5663),
    [sym_keyword_pattern] = STATE(4822),
    [sym__hash_pattern_any_rest] = STATE(4833),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4229),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_hash_splat_argument] = STATE(5406),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(3530),
    [sym_identifier_suffix] = STATE(3531),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3481),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(643),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(5406),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(2478),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(1620),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2476),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [644] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_hash_splat_parameter] = STATE(4828),
    [sym_hash_splat_nil] = STATE(4828),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__hash_pattern_body] = STATE(5663),
    [sym_keyword_pattern] = STATE(4822),
    [sym__hash_pattern_any_rest] = STATE(4833),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4229),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_hash_splat_argument] = STATE(5406),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(3530),
    [sym_identifier_suffix] = STATE(3531),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3481),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(644),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(5406),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(2480),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(1620),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2476),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [645] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_hash_splat_parameter] = STATE(4828),
    [sym_hash_splat_nil] = STATE(4828),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__hash_pattern_body] = STATE(5666),
    [sym_keyword_pattern] = STATE(4822),
    [sym__hash_pattern_any_rest] = STATE(4833),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4229),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_hash_splat_argument] = STATE(5418),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(3530),
    [sym_identifier_suffix] = STATE(3531),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3481),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(645),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(5418),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(2482),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(1620),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2476),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [646] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3086),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(646),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(2264),
    [sym_identifier] = ACTIONS(881),
    [aux_sym_program_token1] = ACTIONS(2264),
    [anon_sym___END__] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(2414),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(2414),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2264),
    [sym__no_line_break] = ACTIONS(2416),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [647] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_hash_splat_parameter] = STATE(4828),
    [sym_hash_splat_nil] = STATE(4828),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__hash_pattern_body] = STATE(5666),
    [sym_keyword_pattern] = STATE(4822),
    [sym__hash_pattern_any_rest] = STATE(4833),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4229),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_hash_splat_argument] = STATE(5406),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(3530),
    [sym_identifier_suffix] = STATE(3531),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3481),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(647),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(5406),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(2484),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(1620),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2476),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [648] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3092),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(648),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(2418),
    [sym_identifier] = ACTIONS(881),
    [aux_sym_program_token1] = ACTIONS(2418),
    [anon_sym___END__] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(2420),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2420),
    [anon_sym_or] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2418),
    [sym__no_line_break] = ACTIONS(2422),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [649] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_hash_splat_parameter] = STATE(4828),
    [sym_hash_splat_nil] = STATE(4828),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__hash_pattern_body] = STATE(5663),
    [sym_keyword_pattern] = STATE(4822),
    [sym__hash_pattern_any_rest] = STATE(4833),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4229),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_hash_splat_argument] = STATE(5418),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(3530),
    [sym_identifier_suffix] = STATE(3531),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3481),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(649),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(5418),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(2486),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(1620),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2476),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [650] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3151),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(650),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(2434),
    [sym_identifier] = ACTIONS(881),
    [aux_sym_program_token1] = ACTIONS(2434),
    [anon_sym___END__] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(2436),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2434),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [651] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3391),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(651),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(2418),
    [sym_identifier] = ACTIONS(881),
    [aux_sym_program_token1] = ACTIONS(2418),
    [anon_sym___END__] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(2420),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2420),
    [anon_sym_or] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2418),
    [sym__no_line_break] = ACTIONS(2422),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [652] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3392),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(652),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(2264),
    [sym_identifier] = ACTIONS(881),
    [aux_sym_program_token1] = ACTIONS(2264),
    [anon_sym___END__] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(2414),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2264),
    [sym__no_line_break] = ACTIONS(2416),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [653] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3128),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(653),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(2438),
    [sym_identifier] = ACTIONS(881),
    [aux_sym_program_token1] = ACTIONS(2438),
    [anon_sym___END__] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(2440),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2438),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [654] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_then] = STATE(5343),
    [sym_begin] = STATE(2238),
    [sym_exceptions] = STATE(4979),
    [sym_exception_variable] = STATE(5198),
    [sym__arg] = STATE(3841),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(5151),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(654),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym__terminator] = STATE(265),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(2488),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_then] = ACTIONS(2490),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(753),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2492),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [655] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3013),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(655),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(2452),
    [sym_identifier] = ACTIONS(881),
    [aux_sym_program_token1] = ACTIONS(2452),
    [anon_sym___END__] = ACTIONS(2454),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(2454),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2454),
    [anon_sym_or] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2452),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [656] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2863),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(656),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(883),
    [sym_identifier] = ACTIONS(881),
    [aux_sym_program_token1] = ACTIONS(883),
    [anon_sym___END__] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [657] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__pattern_primitive] = STATE(4761),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3810),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(3672),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2503),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3339),
    [sym_subshell] = STATE(3672),
    [sym_string_array] = STATE(3672),
    [sym_symbol_array] = STATE(3672),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(3672),
    [sym_heredoc_body] = STATE(657),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(3665),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(2494),
    [sym_true] = ACTIONS(709),
    [sym_false] = ACTIONS(709),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(713),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [658] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3327),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(658),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(2434),
    [sym_identifier] = ACTIONS(881),
    [aux_sym_program_token1] = ACTIONS(2434),
    [anon_sym___END__] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(2436),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2434),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [659] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3370),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(659),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(2438),
    [sym_identifier] = ACTIONS(881),
    [aux_sym_program_token1] = ACTIONS(2438),
    [anon_sym___END__] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(2440),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2438),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [660] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3132),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(660),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(883),
    [sym_identifier] = ACTIONS(881),
    [aux_sym_program_token1] = ACTIONS(883),
    [anon_sym___END__] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [661] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3150),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(661),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [ts_builtin_sym_end] = ACTIONS(2452),
    [sym_identifier] = ACTIONS(881),
    [aux_sym_program_token1] = ACTIONS(2452),
    [anon_sym___END__] = ACTIONS(2454),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(2454),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2454),
    [anon_sym_or] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2452),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [662] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3869),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(662),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2418),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_rescue] = ACTIONS(2420),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(2420),
    [anon_sym_or] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym__no_line_break] = ACTIONS(2496),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [663] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3479),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(663),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(2420),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2420),
    [anon_sym_or] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2418),
    [sym__no_line_break] = ACTIONS(2422),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [664] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3514),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(664),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(2414),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(2414),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2264),
    [sym__no_line_break] = ACTIONS(2416),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [665] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3867),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(665),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_rescue] = ACTIONS(2414),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(2414),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2264),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym__no_line_break] = ACTIONS(2268),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [666] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3899),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(666),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_then] = ACTIONS(2420),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2420),
    [anon_sym_or] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2418),
    [sym__no_line_break] = ACTIONS(2422),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [667] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3905),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(667),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(2414),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_then] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2264),
    [sym__no_line_break] = ACTIONS(2416),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [668] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__pattern_primitive] = STATE(4761),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3669),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(3181),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2376),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2872),
    [sym_subshell] = STATE(3181),
    [sym_string_array] = STATE(3181),
    [sym_symbol_array] = STATE(3181),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(3181),
    [sym_heredoc_body] = STATE(668),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(3242),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1634),
    [sym_true] = ACTIONS(1636),
    [sym_false] = ACTIONS(1636),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1640),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [669] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4011),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(669),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_then] = ACTIONS(2414),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2264),
    [sym__no_line_break] = ACTIONS(2416),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [670] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3875),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(670),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2434),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_rescue] = ACTIONS(2436),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2434),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [671] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__pattern_primitive] = STATE(4761),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3810),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(3181),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2376),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2872),
    [sym_subshell] = STATE(3181),
    [sym_string_array] = STATE(3181),
    [sym_symbol_array] = STATE(3181),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(3181),
    [sym_heredoc_body] = STATE(671),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(3242),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1634),
    [sym_true] = ACTIONS(1636),
    [sym_false] = ACTIONS(1636),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1640),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [672] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym__pattern_primitive] = STATE(4384),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2628),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2276),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2053),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2165),
    [sym_subshell] = STATE(2276),
    [sym_string_array] = STATE(2276),
    [sym_symbol_array] = STATE(2276),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2276),
    [sym_heredoc_body] = STATE(672),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2309),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(1674),
    [sym_true] = ACTIONS(1676),
    [sym_false] = ACTIONS(1676),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1680),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [673] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4028),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(673),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_rescue] = ACTIONS(2414),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2264),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym__no_line_break] = ACTIONS(2268),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [674] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4032),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(674),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2418),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_rescue] = ACTIONS(2420),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(2420),
    [anon_sym_or] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym__no_line_break] = ACTIONS(2496),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [675] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym__pattern_primitive] = STATE(4384),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3150),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2276),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2053),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2165),
    [sym_subshell] = STATE(2276),
    [sym_string_array] = STATE(2276),
    [sym_symbol_array] = STATE(2276),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2276),
    [sym_heredoc_body] = STATE(675),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2309),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(1674),
    [sym_true] = ACTIONS(1676),
    [sym_false] = ACTIONS(1676),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1680),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [676] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3660),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(676),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_then] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [677] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym__pattern_primitive] = STATE(4761),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2718),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(3068),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2176),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2733),
    [sym_subshell] = STATE(3068),
    [sym_string_array] = STATE(3068),
    [sym_symbol_array] = STATE(3068),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(3068),
    [sym_heredoc_body] = STATE(677),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(3077),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(2498),
    [sym_true] = ACTIONS(673),
    [sym_false] = ACTIONS(673),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(677),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [678] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__pattern_primitive] = STATE(4761),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3677),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(3181),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2376),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2872),
    [sym_subshell] = STATE(3181),
    [sym_string_array] = STATE(3181),
    [sym_symbol_array] = STATE(3181),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(3181),
    [sym_heredoc_body] = STATE(678),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(3242),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1634),
    [sym_true] = ACTIONS(1636),
    [sym_false] = ACTIONS(1636),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1640),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [679] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3376),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(679),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [680] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3517),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(680),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(2440),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2438),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [681] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3518),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(681),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(2436),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2434),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [682] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4000),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(682),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_then] = ACTIONS(2420),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2420),
    [anon_sym_or] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2418),
    [sym__no_line_break] = ACTIONS(2422),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [683] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3821),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(683),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_rescue] = ACTIONS(2440),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2438),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [684] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym__pattern_primitive] = STATE(4384),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2706),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2276),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2053),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2165),
    [sym_subshell] = STATE(2276),
    [sym_string_array] = STATE(2276),
    [sym_symbol_array] = STATE(2276),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2276),
    [sym_heredoc_body] = STATE(684),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2309),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(1674),
    [sym_true] = ACTIONS(1676),
    [sym_false] = ACTIONS(1676),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1680),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [685] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__pattern_primitive] = STATE(4761),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3810),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(3672),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2503),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3339),
    [sym_subshell] = STATE(3672),
    [sym_string_array] = STATE(3672),
    [sym_symbol_array] = STATE(3672),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(3672),
    [sym_heredoc_body] = STATE(685),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(3665),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(2494),
    [sym_true] = ACTIONS(709),
    [sym_false] = ACTIONS(709),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(713),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [686] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3971),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(686),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(2414),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2264),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym__no_line_break] = ACTIONS(2268),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [687] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3969),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(687),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2418),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(2420),
    [anon_sym_or] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym__no_line_break] = ACTIONS(2496),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [688] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym__pattern_primitive] = STATE(4384),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3013),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2276),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2053),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2165),
    [sym_subshell] = STATE(2276),
    [sym_string_array] = STATE(2276),
    [sym_symbol_array] = STATE(2276),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2276),
    [sym_heredoc_body] = STATE(688),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2309),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(1674),
    [sym_true] = ACTIONS(1676),
    [sym_false] = ACTIONS(1676),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1680),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [689] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3677),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(689),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_rescue] = ACTIONS(2454),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(2454),
    [anon_sym_or] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [690] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym__pattern_primitive] = STATE(4384),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3356),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2276),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2053),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2165),
    [sym_subshell] = STATE(2276),
    [sym_string_array] = STATE(2276),
    [sym_symbol_array] = STATE(2276),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2276),
    [sym_heredoc_body] = STATE(690),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2309),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(1674),
    [sym_true] = ACTIONS(1676),
    [sym_false] = ACTIONS(1676),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1680),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [691] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym__pattern_primitive] = STATE(4384),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3890),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2276),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2053),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2165),
    [sym_subshell] = STATE(2276),
    [sym_string_array] = STATE(2276),
    [sym_symbol_array] = STATE(2276),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2276),
    [sym_heredoc_body] = STATE(691),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2309),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(1674),
    [sym_true] = ACTIONS(1676),
    [sym_false] = ACTIONS(1676),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1680),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [692] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__pattern_primitive] = STATE(4384),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3810),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(3049),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2200),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2778),
    [sym_subshell] = STATE(3049),
    [sym_string_array] = STATE(3049),
    [sym_symbol_array] = STATE(3049),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(3049),
    [sym_heredoc_body] = STATE(692),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(3056),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1796),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1798),
    [sym_true] = ACTIONS(1800),
    [sym_false] = ACTIONS(1800),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1804),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(1806),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [693] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3572),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(693),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(883),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [694] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3896),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(694),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_then] = ACTIONS(2436),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2434),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [695] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3356),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(695),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_rescue] = ACTIONS(2454),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2454),
    [anon_sym_or] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2452),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [696] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3897),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(696),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_then] = ACTIONS(2440),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2438),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [697] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3638),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(697),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_then] = ACTIONS(2454),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2454),
    [anon_sym_or] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2452),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [698] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym__pattern_primitive] = STATE(4761),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3721),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(3181),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2376),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2872),
    [sym_subshell] = STATE(3181),
    [sym_string_array] = STATE(3181),
    [sym_symbol_array] = STATE(3181),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(3181),
    [sym_heredoc_body] = STATE(698),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(3242),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1634),
    [sym_true] = ACTIONS(1636),
    [sym_false] = ACTIONS(1636),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1640),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [699] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym__pattern_primitive] = STATE(4384),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3638),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2276),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2053),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2165),
    [sym_subshell] = STATE(2276),
    [sym_string_array] = STATE(2276),
    [sym_symbol_array] = STATE(2276),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2276),
    [sym_heredoc_body] = STATE(699),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2309),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(1674),
    [sym_true] = ACTIONS(1676),
    [sym_false] = ACTIONS(1676),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1680),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [700] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3989),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(700),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_then] = ACTIONS(2440),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2438),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [701] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3578),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(701),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_rescue] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(883),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [702] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3913),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(702),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_then] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [703] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4010),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(703),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2434),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_rescue] = ACTIONS(2436),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2434),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [704] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3958),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(704),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2434),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2434),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [705] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3721),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(705),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(2454),
    [anon_sym_or] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [706] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3669),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(706),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_rescue] = ACTIONS(2454),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(2454),
    [anon_sym_or] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [707] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4018),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(707),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_rescue] = ACTIONS(2440),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2438),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [708] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4139),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(708),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2264),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym__no_line_break] = ACTIONS(2268),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [709] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4072),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(709),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2418),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(2420),
    [anon_sym_or] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym__no_line_break] = ACTIONS(2496),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [710] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3890),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(710),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_then] = ACTIONS(2454),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2454),
    [anon_sym_or] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2452),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [711] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3749),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(711),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(885),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(883),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [712] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3988),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(712),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_then] = ACTIONS(2436),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_and] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2434),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [713] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3961),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(713),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2438),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [714] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3777),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(714),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(883),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(885),
    [anon_sym_or] = ACTIONS(885),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [715] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4229),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_hash_splat_argument] = STATE(5406),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(3502),
    [sym_identifier_suffix] = STATE(3516),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(715),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(5406),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(2502),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2500),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [716] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4229),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_hash_splat_argument] = STATE(5524),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(3502),
    [sym_identifier_suffix] = STATE(3516),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(716),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(5524),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(2504),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2500),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [717] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4229),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_hash_splat_argument] = STATE(5524),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(3502),
    [sym_identifier_suffix] = STATE(3516),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(717),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(5524),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2500),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [718] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3946),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(718),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_EQ_GT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_then] = ACTIONS(885),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(883),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [719] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3810),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(719),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(2454),
    [anon_sym_or] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [720] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4229),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_hash_splat_argument] = STATE(5477),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(3502),
    [sym_identifier_suffix] = STATE(3516),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(720),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(5477),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(2508),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2500),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [721] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4084),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(721),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2434),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2434),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [722] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4229),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_hash_splat_argument] = STATE(5524),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(3502),
    [sym_identifier_suffix] = STATE(3516),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(722),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(5524),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(2510),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2500),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [723] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4229),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_hash_splat_argument] = STATE(5418),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(3502),
    [sym_identifier_suffix] = STATE(3516),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(723),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(5418),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(2512),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2500),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [724] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4229),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_hash_splat_argument] = STATE(5524),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(3502),
    [sym_identifier_suffix] = STATE(3516),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(724),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(5524),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(2514),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2500),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [725] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4229),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_hash_splat_argument] = STATE(5524),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(3502),
    [sym_identifier_suffix] = STATE(3516),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(725),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(5524),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(2516),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2500),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [726] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4229),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_hash_splat_argument] = STATE(5524),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(3502),
    [sym_identifier_suffix] = STATE(3516),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(726),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(5524),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(2518),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2500),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [727] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4008),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(727),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(2264),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2264),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym__no_line_break] = ACTIONS(2268),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [728] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4085),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(728),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2438),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [729] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4007),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(729),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(2418),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2418),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym__no_line_break] = ACTIONS(2496),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [730] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3066),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3063),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(730),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2370),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [731] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2310),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3234),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3361),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2310),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(731),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2520),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [732] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2310),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2394),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2407),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2310),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(732),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2522),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [733] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3082),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3047),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(733),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2370),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [734] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2914),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3096),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3179),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(2914),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(734),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2524),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [735] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3309),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3880),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3964),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(3309),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(735),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2358),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [736] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3309),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4023),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3991),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(3309),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(736),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2526),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [737] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2310),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2476),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2468),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2310),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(737),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2528),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [738] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2914),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3430),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3490),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(2914),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(738),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2524),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [739] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3209),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3295),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(739),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2374),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [740] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2310),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2625),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2599),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2310),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(740),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2530),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [741] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3309),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3507),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3573),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(3309),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(741),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2358),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [742] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2634),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2658),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(742),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2388),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [743] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3309),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4050),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(4128),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(3309),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(743),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2532),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [744] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2830),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2788),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(744),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2412),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [745] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3309),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3511),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3489),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(3309),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(745),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2342),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [746] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2914),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3428),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3454),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(2914),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(746),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2534),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [747] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4054),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(747),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2434),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2434),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [748] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2310),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2802),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2796),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2310),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(748),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2536),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [749] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2914),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3591),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3817),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(2914),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(749),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2538),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [750] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2310),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3456),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3496),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2310),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(750),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2540),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [751] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2914),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3590),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3569),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(2914),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(751),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2542),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [752] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2310),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3453),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3506),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2310),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(752),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2540),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [753] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3309),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3508),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3636),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(3309),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(753),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2356),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [754] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2914),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3110),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3299),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(2914),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(754),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2544),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [755] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2310),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2699),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2689),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2310),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(755),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2546),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [756] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2310),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2704),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2705),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2310),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(756),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2546),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [757] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3309),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3906),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3903),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(3309),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(757),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2342),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [758] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3309),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4022),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(4123),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(3309),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(758),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2532),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [759] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3870),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3944),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(759),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2548),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [760] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2914),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3127),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3148),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(2914),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(760),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2550),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [761] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2310),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2787),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2815),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2310),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(761),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2536),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [762] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2310),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2455),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2461),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2310),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(762),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2528),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [763] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3557),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3800),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(763),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2352),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [764] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2310),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3038),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3159),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2310),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(764),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2552),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [765] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2914),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3091),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3139),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(2914),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(765),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2534),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [766] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3188),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3273),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(766),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2374),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [767] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3309),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3532),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3505),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(3309),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(767),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2372),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [768] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4229),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_hash_splat_argument] = STATE(5524),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(3502),
    [sym_identifier_suffix] = STATE(3516),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3090),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(768),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_pair] = STATE(5524),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(2500),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym_hash_key_symbol] = ACTIONS(721),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
    [sym__hash_splat_star_star] = ACTIONS(723),
  },
  [769] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2914),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3593),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3801),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(2914),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(769),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2538),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [770] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3463),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3528),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(770),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2376),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [771] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2675),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2671),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(771),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2388),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [772] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2310),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3233),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3350),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2310),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(772),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2520),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [773] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3895),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3945),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(773),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2548),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [774] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3560),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(3726),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(774),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2352),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [775] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2471),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2558),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2538),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_right_assignment_list] = STATE(2471),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(775),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2390),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [776] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2914),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3592),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3558),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(2914),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(776),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2542),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [777] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3309),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4047),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(4048),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_right_assignment_list] = STATE(3309),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(777),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2526),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [778] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4063),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(778),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(883),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [779] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4182),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(779),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_PIPE] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [780] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_pattern] = STATE(4956),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3994),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(5402),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(780),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2492),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [781] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4079),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(781),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(2438),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [782] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4075),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(782),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym__line_break] = ACTIONS(2554),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [783] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_pattern] = STATE(5274),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3994),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(5402),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(783),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2492),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [784] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3289),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(2837),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(784),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2534),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [785] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3823),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(2837),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5858),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2584),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(785),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_defined_QMARK] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2538),
    [sym__unary_minus] = ACTIONS(2086),
    [sym__unary_minus_num] = ACTIONS(2088),
    [sym__binary_minus] = ACTIONS(2086),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [786] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3932),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(5193),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(786),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2492),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [787] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4165),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(787),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(2554),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [788] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2747),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2365),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(788),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2546),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [789] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2434),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2365),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(789),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2522),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [790] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3535),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2365),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5742),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2473),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(790),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1912),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_defined_QMARK] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2540),
    [sym__unary_minus] = ACTIONS(1924),
    [sym__unary_minus_num] = ACTIONS(1926),
    [sym__binary_minus] = ACTIONS(1924),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [791] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2486),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2365),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(791),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2528),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [792] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3911),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2469),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(792),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2352),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [793] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3605),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2469),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(793),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2376),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [794] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3297),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(2837),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(794),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2550),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [795] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3371),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(2837),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5871),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2371),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(795),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_defined_QMARK] = ACTIONS(1586),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2544),
    [sym__unary_minus] = ACTIONS(1594),
    [sym__unary_minus_num] = ACTIONS(1596),
    [sym__binary_minus] = ACTIONS(1594),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [796] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4166),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3382),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5857),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2523),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(796),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2296),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_defined_QMARK] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2532),
    [sym__unary_minus] = ACTIONS(2308),
    [sym__unary_minus_num] = ACTIONS(2310),
    [sym__binary_minus] = ACTIONS(2308),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [797] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2836),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2469),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(797),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2412),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [798] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3120),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2469),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(798),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2370),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [799] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3435),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2365),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5823),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2395),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(799),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_defined_QMARK] = ACTIONS(1568),
    [anon_sym_not] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2520),
    [sym__unary_minus] = ACTIONS(1576),
    [sym__unary_minus_num] = ACTIONS(1578),
    [sym__binary_minus] = ACTIONS(1576),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [800] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2679),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2469),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(800),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2388),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [801] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2661),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2365),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(801),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2530),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [802] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4024),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2469),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5741),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2475),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(802),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_defined_QMARK] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2548),
    [sym__unary_minus] = ACTIONS(2194),
    [sym__unary_minus_num] = ACTIONS(2196),
    [sym__binary_minus] = ACTIONS(2194),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [803] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2620),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2469),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(803),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2390),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [804] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2952),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2365),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(804),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2536),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [805] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3359),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2469),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(805),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2374),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [806] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3814),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(2837),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(806),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2542),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [807] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3373),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(2837),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5804),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2373),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(807),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_defined_QMARK] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_TILDE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2524),
    [sym__unary_minus] = ACTIONS(1451),
    [sym__unary_minus_num] = ACTIONS(1453),
    [sym__binary_minus] = ACTIONS(1451),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [808] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3603),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3382),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(808),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2342),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [809] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3783),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3382),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(809),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2358),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [810] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3756),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3382),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(810),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2356),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [811] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3570),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3382),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(811),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2372),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [812] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4096),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(812),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [813] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3189),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_splat_argument] = STATE(2365),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5817),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(813),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_defined_QMARK] = ACTIONS(1461),
    [anon_sym_not] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__splat_star] = ACTIONS(2552),
    [sym__unary_minus] = ACTIONS(1469),
    [sym__unary_minus_num] = ACTIONS(1471),
    [sym__binary_minus] = ACTIONS(1469),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [814] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4074),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_splat_argument] = STATE(3382),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(814),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__splat_star] = ACTIONS(2526),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [815] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2313),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3494),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(815),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [816] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2938),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(816),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [817] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3992),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(817),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [818] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2313),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3415),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(818),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [819] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2313),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2744),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(819),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [820] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3360),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(820),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [821] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3321),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4119),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(821),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [822] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2222),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2908),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(822),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [823] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2222),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3111),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(823),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [824] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3714),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(824),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [825] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2915),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3191),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(825),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [826] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2313),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2905),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(826),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [827] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2313),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2546),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(827),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [828] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3937),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(828),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [829] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2222),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3671),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(829),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [830] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2915),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3879),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(830),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [831] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3321),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4150),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5790),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2502),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(831),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_defined_QMARK] = ACTIONS(2278),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2286),
    [sym__unary_minus_num] = ACTIONS(2288),
    [sym__binary_minus] = ACTIONS(2286),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [832] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2962),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3270),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(832),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [833] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2313),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2801),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5786),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2127),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(833),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_defined_QMARK] = ACTIONS(1409),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1417),
    [sym__unary_minus_num] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1417),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [834] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2313),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3536),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(834),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [835] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2962),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3723),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(835),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [836] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2962),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3280),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(836),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [837] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3321),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4127),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(837),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [838] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3321),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3663),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(838),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [839] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3115),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(839),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [840] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2962),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3802),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(840),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [841] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2222),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2572),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(841),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [842] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2222),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2673),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(842),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [843] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2915),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3276),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(843),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [844] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(5320),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3968),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(844),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [845] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2962),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3657),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(845),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [846] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2915),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3700),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(846),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [847] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2222),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3396),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(847),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [848] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2222),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2454),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(848),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [849] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3321),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3542),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(849),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [850] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2313),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3316),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(850),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [851] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2915),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3771),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(851),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [852] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3321),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4043),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(852),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [853] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2962),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3277),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(853),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [854] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2313),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3081),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(854),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [855] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2717),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(855),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [856] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2712),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(856),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [857] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2222),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3525),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(857),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [858] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3321),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4153),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5790),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2502),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(858),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_defined_QMARK] = ACTIONS(2278),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2286),
    [sym__unary_minus_num] = ACTIONS(2288),
    [sym__binary_minus] = ACTIONS(2286),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [859] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2222),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2809),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5786),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2127),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(859),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_defined_QMARK] = ACTIONS(1409),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1417),
    [sym__unary_minus_num] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1417),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [860] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2313),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3154),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(860),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [861] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3321),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3615),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(861),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [862] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2962),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3563),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(862),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [863] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2915),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3554),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(863),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [864] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2313),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2654),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(864),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [865] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3450),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(865),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [866] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3321),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3993),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(866),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [867] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2915),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3305),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(867),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [868] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2313),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2490),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(868),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [869] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3227),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5806),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2135),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(869),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_defined_QMARK] = ACTIONS(1866),
    [anon_sym_not] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(1872),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(115),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [870] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2962),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3910),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(870),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [871] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2222),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2482),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(871),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [872] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2608),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(872),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [873] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2962),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3256),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(873),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [874] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2915),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3634),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(874),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [875] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2222),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3083),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(875),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [876] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2915),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3300),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(876),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [877] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(3321),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3659),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(877),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [878] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2962),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3893),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(878),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [879] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2222),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3426),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(879),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [880] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3832),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(880),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [881] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2313),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2424),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(881),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [882] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_rescue_modifier_arg] = STATE(2915),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3835),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(882),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [883] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2463),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3521),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(883),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [884] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_rescue_modifier_arg] = STATE(2222),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2735),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(884),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [885] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2792),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5786),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2127),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(885),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_defined_QMARK] = ACTIONS(1409),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1417),
    [sym__unary_minus_num] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1417),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [886] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2435),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(886),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [887] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4231),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(887),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [888] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4232),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(888),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [889] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4241),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(889),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [890] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4243),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(890),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [891] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4244),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(891),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [892] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4245),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(892),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [893] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4253),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(893),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [894] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4255),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(894),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [895] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4256),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(895),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [896] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4130),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(896),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [897] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4140),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(897),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [898] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4132),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(898),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [899] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3336),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(899),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [900] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4260),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(900),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [901] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4262),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(901),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [902] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4197),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(902),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [903] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4271),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(903),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [904] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4273),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(904),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [905] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4274),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(905),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [906] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4278),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(906),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [907] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4279),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(907),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [908] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4284),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(908),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [909] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4288),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(909),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [910] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4289),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(910),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [911] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4290),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(911),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [912] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4291),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(912),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [913] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3223),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5806),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2135),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(913),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_defined_QMARK] = ACTIONS(1866),
    [anon_sym_not] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(1872),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(115),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [914] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4248),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(914),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [915] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4295),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(915),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [916] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4259),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(916),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [917] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4263),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(917),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [918] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4264),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(918),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [919] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4268),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(919),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [920] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4270),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(920),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [921] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4277),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(921),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [922] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4198),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(922),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [923] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4302),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(923),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [924] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4296),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(924),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [925] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4307),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(925),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [926] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4204),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(926),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [927] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4222),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(927),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [928] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4275),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(928),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [929] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4076),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(929),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [930] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4304),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(930),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [931] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4254),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(931),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [932] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2862),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(932),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [933] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3308),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(933),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [934] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3654),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5742),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2473),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(934),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1912),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_defined_QMARK] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1924),
    [sym__unary_minus_num] = ACTIONS(1926),
    [sym__binary_minus] = ACTIONS(1924),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [935] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3653),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5742),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2473),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(935),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1912),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_defined_QMARK] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1924),
    [sym__unary_minus_num] = ACTIONS(1926),
    [sym__binary_minus] = ACTIONS(1924),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [936] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3262),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5806),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2135),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(936),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_defined_QMARK] = ACTIONS(1866),
    [anon_sym_not] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(1872),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(115),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [937] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2907),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(937),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [938] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2862),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(938),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [939] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2906),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(939),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [940] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2909),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(940),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [941] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2849),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(941),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [942] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2850),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(942),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [943] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2852),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(943),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [944] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2853),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(944),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [945] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2854),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(945),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [946] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2856),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(946),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [947] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2857),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(947),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [948] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2858),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(948),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [949] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2859),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(949),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [950] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2860),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(950),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [951] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2861),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(951),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [952] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2250),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(952),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [953] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2912),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(953),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [954] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2913),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5740),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2152),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(954),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_defined_QMARK] = ACTIONS(1479),
    [anon_sym_not] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_TILDE] = ACTIONS(1485),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1487),
    [sym__unary_minus_num] = ACTIONS(1489),
    [sym__binary_minus] = ACTIONS(1487),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [955] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4051),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5741),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2475),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(955),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_defined_QMARK] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2194),
    [sym__unary_minus_num] = ACTIONS(2196),
    [sym__binary_minus] = ACTIONS(2194),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [956] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4053),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5741),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2475),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(956),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_defined_QMARK] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2194),
    [sym__unary_minus_num] = ACTIONS(2196),
    [sym__binary_minus] = ACTIONS(2194),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [957] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3348),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(957),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [958] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3655),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5742),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2473),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(958),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1912),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_defined_QMARK] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1924),
    [sym__unary_minus_num] = ACTIONS(1926),
    [sym__binary_minus] = ACTIONS(1924),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [959] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3546),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5742),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2473),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(959),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1912),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_defined_QMARK] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1924),
    [sym__unary_minus_num] = ACTIONS(1926),
    [sym__binary_minus] = ACTIONS(1924),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [960] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3680),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5742),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2473),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(960),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1912),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_defined_QMARK] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1924),
    [sym__unary_minus_num] = ACTIONS(1926),
    [sym__binary_minus] = ACTIONS(1924),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [961] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3681),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5742),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2473),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(961),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1912),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_defined_QMARK] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1924),
    [sym__unary_minus_num] = ACTIONS(1926),
    [sym__binary_minus] = ACTIONS(1924),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [962] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3682),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5742),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2473),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(962),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1912),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_defined_QMARK] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1924),
    [sym__unary_minus_num] = ACTIONS(1926),
    [sym__binary_minus] = ACTIONS(1924),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [963] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4086),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(963),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [964] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4106),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(964),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [965] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4102),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(965),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [966] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4100),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(966),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [967] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3683),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5742),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2473),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(967),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1912),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_defined_QMARK] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1924),
    [sym__unary_minus_num] = ACTIONS(1926),
    [sym__binary_minus] = ACTIONS(1924),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [968] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4118),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(968),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [969] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4125),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(969),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [970] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3684),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5742),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2473),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(970),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1912),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_defined_QMARK] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1924),
    [sym__unary_minus_num] = ACTIONS(1926),
    [sym__binary_minus] = ACTIONS(1924),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [971] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3686),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5742),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2473),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(971),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1912),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_defined_QMARK] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1924),
    [sym__unary_minus_num] = ACTIONS(1926),
    [sym__binary_minus] = ACTIONS(1924),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [972] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4077),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(972),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [973] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4146),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(973),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [974] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4145),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(974),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [975] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4138),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(975),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [976] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4137),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(976),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [977] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3688),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5742),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2473),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(977),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1912),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_defined_QMARK] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1924),
    [sym__unary_minus_num] = ACTIONS(1926),
    [sym__binary_minus] = ACTIONS(1924),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [978] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3689),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5742),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2473),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(978),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1912),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_defined_QMARK] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1924),
    [sym__unary_minus_num] = ACTIONS(1926),
    [sym__binary_minus] = ACTIONS(1924),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [979] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3691),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5742),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2473),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(979),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1912),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_defined_QMARK] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1924),
    [sym__unary_minus_num] = ACTIONS(1926),
    [sym__binary_minus] = ACTIONS(1924),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [980] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3661),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5742),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2473),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(980),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1912),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_defined_QMARK] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1924),
    [sym__unary_minus_num] = ACTIONS(1926),
    [sym__binary_minus] = ACTIONS(1924),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [981] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3658),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5742),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2473),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(981),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1912),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_defined_QMARK] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1924),
    [sym__unary_minus_num] = ACTIONS(1926),
    [sym__binary_minus] = ACTIONS(1924),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [982] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2250),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5742),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2473),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(982),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1912),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_defined_QMARK] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1924),
    [sym__unary_minus_num] = ACTIONS(1926),
    [sym__binary_minus] = ACTIONS(1924),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [983] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3540),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5742),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2473),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(983),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1912),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_defined_QMARK] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1924),
    [sym__unary_minus_num] = ACTIONS(1926),
    [sym__binary_minus] = ACTIONS(1924),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [984] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3539),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5742),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2473),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(984),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1912),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_defined_QMARK] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1924),
    [sym__unary_minus_num] = ACTIONS(1926),
    [sym__binary_minus] = ACTIONS(1924),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [985] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3653),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5742),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2473),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(985),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1912),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1914),
    [anon_sym_defined_QMARK] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_TILDE] = ACTIONS(1922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1924),
    [sym__unary_minus_num] = ACTIONS(1926),
    [sym__binary_minus] = ACTIONS(1924),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [986] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2459),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(986),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [987] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3343),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(987),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [988] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3341),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(988),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [989] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3486),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(989),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [990] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3347),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(990),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [991] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3411),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(991),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [992] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3307),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(992),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [993] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3408),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(993),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [994] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3403),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(994),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [995] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3402),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(995),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [996] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3346),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(996),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [997] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3400),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(997),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [998] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3399),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(998),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [999] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3397),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(999),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1000] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3395),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1000),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1001] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3393),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1001),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1002] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3308),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1002),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1003] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4046),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5741),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2475),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1003),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_defined_QMARK] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2194),
    [sym__unary_minus_num] = ACTIONS(2196),
    [sym__binary_minus] = ACTIONS(2194),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1004] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3356),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1004),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1005] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4126),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1005),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1006] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4042),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5741),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2475),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1006),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_defined_QMARK] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2194),
    [sym__unary_minus_num] = ACTIONS(2196),
    [sym__binary_minus] = ACTIONS(2194),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1007] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4027),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5741),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2475),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1007),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_defined_QMARK] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2194),
    [sym__unary_minus_num] = ACTIONS(2196),
    [sym__binary_minus] = ACTIONS(2194),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1008] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4025),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5741),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2475),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1008),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_defined_QMARK] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2194),
    [sym__unary_minus_num] = ACTIONS(2196),
    [sym__binary_minus] = ACTIONS(2194),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1009] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3995),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5741),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2475),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1009),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_defined_QMARK] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2194),
    [sym__unary_minus_num] = ACTIONS(2196),
    [sym__binary_minus] = ACTIONS(2194),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1010] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3986),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5741),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2475),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1010),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_defined_QMARK] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2194),
    [sym__unary_minus_num] = ACTIONS(2196),
    [sym__binary_minus] = ACTIONS(2194),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1011] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4020),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5741),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2475),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1011),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_defined_QMARK] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2194),
    [sym__unary_minus_num] = ACTIONS(2196),
    [sym__binary_minus] = ACTIONS(2194),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1012] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4019),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5741),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2475),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1012),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_defined_QMARK] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2194),
    [sym__unary_minus_num] = ACTIONS(2196),
    [sym__binary_minus] = ACTIONS(2194),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1013] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4017),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5741),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2475),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1013),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_defined_QMARK] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2194),
    [sym__unary_minus_num] = ACTIONS(2196),
    [sym__binary_minus] = ACTIONS(2194),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1014] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3391),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1014),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1015] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4015),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5741),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2475),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1015),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_defined_QMARK] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2194),
    [sym__unary_minus_num] = ACTIONS(2196),
    [sym__binary_minus] = ACTIONS(2194),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1016] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4014),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5741),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2475),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1016),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_defined_QMARK] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2194),
    [sym__unary_minus_num] = ACTIONS(2196),
    [sym__binary_minus] = ACTIONS(2194),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1017] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4013),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5741),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2475),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1017),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_defined_QMARK] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2194),
    [sym__unary_minus_num] = ACTIONS(2196),
    [sym__binary_minus] = ACTIONS(2194),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1018] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4012),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5741),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2475),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1018),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_defined_QMARK] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2194),
    [sym__unary_minus_num] = ACTIONS(2196),
    [sym__binary_minus] = ACTIONS(2194),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1019] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2459),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5741),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2475),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1019),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_defined_QMARK] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2194),
    [sym__unary_minus_num] = ACTIONS(2196),
    [sym__binary_minus] = ACTIONS(2194),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1020] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4036),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5741),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2475),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1020),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_defined_QMARK] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2194),
    [sym__unary_minus_num] = ACTIONS(2196),
    [sym__binary_minus] = ACTIONS(2194),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1021] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4035),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5741),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2475),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1021),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_defined_QMARK] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2194),
    [sym__unary_minus_num] = ACTIONS(2196),
    [sym__binary_minus] = ACTIONS(2194),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1022] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4053),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5741),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2475),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1022),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_defined_QMARK] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2194),
    [sym__unary_minus_num] = ACTIONS(2196),
    [sym__binary_minus] = ACTIONS(2194),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1023] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3479),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5734),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2154),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1023),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_defined_QMARK] = ACTIONS(1668),
    [anon_sym_not] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1682),
    [sym__unary_minus_num] = ACTIONS(513),
    [sym__binary_minus] = ACTIONS(1682),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1024] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4247),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1024),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1025] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4115),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1025),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1026] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4225),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1026),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1027] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4223),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1027),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1028] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4221),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1028),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1029] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4218),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1029),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1030] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4216),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1030),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1031] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4213),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1031),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1032] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4212),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1032),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1033] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4211),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1033),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1034] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4207),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1034),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1035] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4205),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1035),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1036] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4202),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1036),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1037] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4199),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1037),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1038] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4200),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1038),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1039] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4203),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1039),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1040] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4206),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1040),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1041] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4209),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1041),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1042] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4228),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1042),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1043] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4236),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1043),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1044] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4249),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1044),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1045] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4269),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1045),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1046] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4285),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1046),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1047] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4071),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1047),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1048] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4303),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1048),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1049] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4250),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1049),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1050] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4280),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1050),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1051] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4201),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1051),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1052] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4282),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1052),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1053] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4251),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1053),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1054] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2422),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1054),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1055] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2498),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1055),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1056] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2542),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1056),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1057] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2622),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1057),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1058] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2680),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1058),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1059] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3223),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5806),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2135),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1059),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_defined_QMARK] = ACTIONS(1866),
    [anon_sym_not] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(1872),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(115),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1060] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3251),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5806),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2135),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1060),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_defined_QMARK] = ACTIONS(1866),
    [anon_sym_not] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(1872),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(115),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1061] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3240),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5806),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2135),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1061),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_defined_QMARK] = ACTIONS(1866),
    [anon_sym_not] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(1872),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(115),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1062] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2459),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5806),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2135),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1062),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_defined_QMARK] = ACTIONS(1866),
    [anon_sym_not] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(1872),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(115),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1063] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4257),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1063),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1064] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2719),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1064),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1065] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2718),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1065),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1066] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2719),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1066),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1067] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3200),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5817),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1067),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_defined_QMARK] = ACTIONS(1461),
    [anon_sym_not] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1469),
    [sym__unary_minus_num] = ACTIONS(1471),
    [sym__binary_minus] = ACTIONS(1469),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1068] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4237),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1068),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1069] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3887),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5858),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2584),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1069),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_defined_QMARK] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2086),
    [sym__unary_minus_num] = ACTIONS(2088),
    [sym__binary_minus] = ACTIONS(2086),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1070] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3863),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5858),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2584),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1070),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_defined_QMARK] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2086),
    [sym__unary_minus_num] = ACTIONS(2088),
    [sym__binary_minus] = ACTIONS(2086),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1071] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3728),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5821),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2467),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1071),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_defined_QMARK] = ACTIONS(2004),
    [anon_sym_not] = ACTIONS(2006),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2012),
    [sym__unary_minus_num] = ACTIONS(2014),
    [sym__binary_minus] = ACTIONS(2012),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1072] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3796),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1072),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1073] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3715),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1073),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1074] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3433),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5823),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2395),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1074),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_defined_QMARK] = ACTIONS(1568),
    [anon_sym_not] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1576),
    [sym__unary_minus_num] = ACTIONS(1578),
    [sym__binary_minus] = ACTIONS(1576),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1075] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3199),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5817),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1075),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_defined_QMARK] = ACTIONS(1461),
    [anon_sym_not] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1469),
    [sym__unary_minus_num] = ACTIONS(1471),
    [sym__binary_minus] = ACTIONS(1469),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1076] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3963),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5867),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2511),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1076),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2116),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2118),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_defined_QMARK] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2130),
    [sym__unary_minus_num] = ACTIONS(2132),
    [sym__binary_minus] = ACTIONS(2130),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1077] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3983),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5867),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2511),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1077),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2116),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2118),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_defined_QMARK] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2130),
    [sym__unary_minus_num] = ACTIONS(2132),
    [sym__binary_minus] = ACTIONS(2130),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1078] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3484),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5830),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2416),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1078),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1812),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_defined_QMARK] = ACTIONS(1816),
    [anon_sym_not] = ACTIONS(1818),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1824),
    [sym__unary_minus_num] = ACTIONS(1826),
    [sym__binary_minus] = ACTIONS(1824),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1079] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3692),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5821),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2467),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1079),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_defined_QMARK] = ACTIONS(2004),
    [anon_sym_not] = ACTIONS(2006),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2012),
    [sym__unary_minus_num] = ACTIONS(2014),
    [sym__binary_minus] = ACTIONS(2012),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1080] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3338),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5871),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2371),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1080),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_defined_QMARK] = ACTIONS(1586),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1594),
    [sym__unary_minus_num] = ACTIONS(1596),
    [sym__binary_minus] = ACTIONS(1594),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1081] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3335),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5871),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2371),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1081),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_defined_QMARK] = ACTIONS(1586),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1594),
    [sym__unary_minus_num] = ACTIONS(1596),
    [sym__binary_minus] = ACTIONS(1594),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1082] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2444),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1082),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1083] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3436),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5823),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2395),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1083),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_defined_QMARK] = ACTIONS(1568),
    [anon_sym_not] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1576),
    [sym__unary_minus_num] = ACTIONS(1578),
    [sym__binary_minus] = ACTIONS(1576),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1084] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4087),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1084),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1085] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3368),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5804),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2373),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1085),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_defined_QMARK] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_TILDE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1451),
    [sym__unary_minus_num] = ACTIONS(1453),
    [sym__binary_minus] = ACTIONS(1451),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1086] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3367),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5804),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2373),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1086),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_defined_QMARK] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_TILDE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1451),
    [sym__unary_minus_num] = ACTIONS(1453),
    [sym__binary_minus] = ACTIONS(1451),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1087] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2506),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1087),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1088] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3488),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5830),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2416),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1088),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1812),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_defined_QMARK] = ACTIONS(1816),
    [anon_sym_not] = ACTIONS(1818),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1824),
    [sym__unary_minus_num] = ACTIONS(1826),
    [sym__binary_minus] = ACTIONS(1824),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1089] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3717),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5860),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2460),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1089),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_defined_QMARK] = ACTIONS(2024),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2032),
    [sym__unary_minus_num] = ACTIONS(2034),
    [sym__binary_minus] = ACTIONS(2032),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1090] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3768),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5860),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2460),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1090),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_defined_QMARK] = ACTIONS(2024),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2032),
    [sym__unary_minus_num] = ACTIONS(2034),
    [sym__binary_minus] = ACTIONS(2032),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1091] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2657),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1091),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1092] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2422),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1092),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1093] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4175),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5857),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2523),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1093),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2296),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_defined_QMARK] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2308),
    [sym__unary_minus_num] = ACTIONS(2310),
    [sym__binary_minus] = ACTIONS(2308),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1094] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4177),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5857),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2523),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1094),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2296),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_defined_QMARK] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2308),
    [sym__unary_minus_num] = ACTIONS(2310),
    [sym__binary_minus] = ACTIONS(2308),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1095] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2437),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1095),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1096] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2446),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1096),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1097] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2448),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1097),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1098] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2449),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1098),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1099] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2452),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1099),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1100] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2453),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1100),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1101] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2429),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1101),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1102] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2427),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1102),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1103] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2430),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1103),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1104] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2431),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1104),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1105] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2441),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1105),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1106] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2421),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1106),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1107] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2250),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1107),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1108] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2428),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1108),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1109] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2423),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5834),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2078),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1109),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_defined_QMARK] = ACTIONS(901),
    [anon_sym_not] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(915),
    [sym__unary_minus_num] = ACTIONS(917),
    [sym__binary_minus] = ACTIONS(915),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1110] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3080),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1110),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1111] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2498),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1111),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1112] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3866),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1112),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1113] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3865),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1113),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1114] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2477),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1114),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1115] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2480),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1115),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1116] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2481),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1116),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1117] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2484),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1117),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1118] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2485),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1118),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1119] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2487),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1119),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1120] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2488),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1120),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1121] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2489),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1121),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1122] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2491),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1122),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1123] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2492),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1123),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1124] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2493),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1124),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1125] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2494),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1125),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1126] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2497),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1126),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1127] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2250),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1127),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1128] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2504),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1128),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1129] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2478),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5838),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2095),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1129),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(981),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_defined_QMARK] = ACTIONS(985),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(993),
    [sym__unary_minus_num] = ACTIONS(995),
    [sym__binary_minus] = ACTIONS(993),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1130] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2767),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1130),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1131] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2662),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1131),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1132] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3274),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1132),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1133] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3275),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1133),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1134] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2636),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1134),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1135] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2664),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1135),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1136] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2651),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1136),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1137] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2648),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1137),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1138] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2645),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1138),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1139] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2656),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1139),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1140] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2653),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1140),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1141] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2660),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1141),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1142] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2638),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1142),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1143] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2640),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1143),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1144] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2641),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1144),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1145] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2643),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1145),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1146] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2659),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1146),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1147] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2250),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1147),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1148] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2650),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1148),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1149] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2667),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1149),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1150] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3638),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1150),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1151] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3050),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1151),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1152] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3828),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5858),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2584),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1152),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_defined_QMARK] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2086),
    [sym__unary_minus_num] = ACTIONS(2088),
    [sym__binary_minus] = ACTIONS(2086),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1153] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4148),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5790),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2502),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1153),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_defined_QMARK] = ACTIONS(2278),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2286),
    [sym__unary_minus_num] = ACTIONS(2288),
    [sym__binary_minus] = ACTIONS(2286),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1154] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4151),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5790),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2502),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1154),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_defined_QMARK] = ACTIONS(2278),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2286),
    [sym__unary_minus_num] = ACTIONS(2288),
    [sym__binary_minus] = ACTIONS(2286),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1155] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3053),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1155),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1156] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3046),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1156),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1157] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3074),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1157),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1158] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3072),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1158),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1159] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3071),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1159),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1160] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3070),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1160),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1161] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3064),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1161),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1162] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3061),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1162),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1163] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3060),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1163),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1164] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3057),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1164),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1165] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3054),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1165),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1166] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3037),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1166),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1167] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3051),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1167),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1168] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2250),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1168),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1169] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3040),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1169),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1170] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3039),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1170),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1171] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2556),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1171),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1172] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2714),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1172),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1173] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4184),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5857),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2523),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1173),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2296),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_defined_QMARK] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2308),
    [sym__unary_minus_num] = ACTIONS(2310),
    [sym__binary_minus] = ACTIONS(2308),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1174] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3856),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5858),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2584),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1174),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_defined_QMARK] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2086),
    [sym__unary_minus_num] = ACTIONS(2088),
    [sym__binary_minus] = ACTIONS(2086),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1175] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3833),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5858),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2584),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1175),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_defined_QMARK] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2086),
    [sym__unary_minus_num] = ACTIONS(2088),
    [sym__binary_minus] = ACTIONS(2086),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1176] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3842),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5858),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2584),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1176),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_defined_QMARK] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2086),
    [sym__unary_minus_num] = ACTIONS(2088),
    [sym__binary_minus] = ACTIONS(2086),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1177] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3846),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5858),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2584),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1177),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_defined_QMARK] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2086),
    [sym__unary_minus_num] = ACTIONS(2088),
    [sym__binary_minus] = ACTIONS(2086),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1178] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3849),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5858),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2584),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1178),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_defined_QMARK] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2086),
    [sym__unary_minus_num] = ACTIONS(2088),
    [sym__binary_minus] = ACTIONS(2086),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1179] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3850),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5858),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2584),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1179),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_defined_QMARK] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2086),
    [sym__unary_minus_num] = ACTIONS(2088),
    [sym__binary_minus] = ACTIONS(2086),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1180] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3851),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5858),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2584),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1180),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_defined_QMARK] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2086),
    [sym__unary_minus_num] = ACTIONS(2088),
    [sym__binary_minus] = ACTIONS(2086),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1181] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3854),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5858),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2584),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1181),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_defined_QMARK] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2086),
    [sym__unary_minus_num] = ACTIONS(2088),
    [sym__binary_minus] = ACTIONS(2086),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1182] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3857),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5858),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2584),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1182),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_defined_QMARK] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2086),
    [sym__unary_minus_num] = ACTIONS(2088),
    [sym__binary_minus] = ACTIONS(2086),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1183] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3859),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5858),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2584),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1183),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_defined_QMARK] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2086),
    [sym__unary_minus_num] = ACTIONS(2088),
    [sym__binary_minus] = ACTIONS(2086),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1184] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3860),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5858),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2584),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1184),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_defined_QMARK] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2086),
    [sym__unary_minus_num] = ACTIONS(2088),
    [sym__binary_minus] = ACTIONS(2086),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1185] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3862),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5858),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2584),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1185),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_defined_QMARK] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2086),
    [sym__unary_minus_num] = ACTIONS(2088),
    [sym__binary_minus] = ACTIONS(2086),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1186] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(2875),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5858),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2584),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1186),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_defined_QMARK] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2086),
    [sym__unary_minus_num] = ACTIONS(2088),
    [sym__binary_minus] = ACTIONS(2086),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1187] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3837),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5858),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2584),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1187),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_defined_QMARK] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2086),
    [sym__unary_minus_num] = ACTIONS(2088),
    [sym__binary_minus] = ACTIONS(2086),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1188] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3834),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5858),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2584),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1188),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_defined_QMARK] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2086),
    [sym__unary_minus_num] = ACTIONS(2088),
    [sym__binary_minus] = ACTIONS(2086),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1189] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3863),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5858),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2584),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1189),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_defined_QMARK] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2086),
    [sym__unary_minus_num] = ACTIONS(2088),
    [sym__binary_minus] = ACTIONS(2086),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1190] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4133),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1190),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1191] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4134),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1191),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1192] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2779),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1192),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1193] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2753),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1193),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1194] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2757),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1194),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1195] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2770),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1195),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1196] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2771),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1196),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1197] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2773),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1197),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1198] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2774),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1198),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1199] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2775),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1199),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1200] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2776),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1200),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1201] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4129),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1201),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1202] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2777),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1202),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1203] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2780),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1203),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1204] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2783),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1204),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1205] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4083),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1205),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1206] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4131),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1206),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1207] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2782),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1207),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1208] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2250),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1208),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1209] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2750),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1209),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1210] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2749),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1210),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1211] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2662),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5839),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2122),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1211),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_defined_QMARK] = ACTIONS(1271),
    [anon_sym_not] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1279),
    [sym__unary_minus_num] = ACTIONS(1281),
    [sym__binary_minus] = ACTIONS(1279),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1212] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4141),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5809),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2464),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1212),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2200),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_defined_QMARK] = ACTIONS(2204),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2212),
    [sym__unary_minus_num] = ACTIONS(2214),
    [sym__binary_minus] = ACTIONS(2212),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1213] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3561),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1213),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1214] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3970),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5867),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2511),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1214),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2116),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2118),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_defined_QMARK] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2130),
    [sym__unary_minus_num] = ACTIONS(2132),
    [sym__binary_minus] = ACTIONS(2130),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1215] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3965),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5867),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2511),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1215),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2116),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2118),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_defined_QMARK] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2130),
    [sym__unary_minus_num] = ACTIONS(2132),
    [sym__binary_minus] = ACTIONS(2130),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1216] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3957),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5867),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2511),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1216),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2116),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2118),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_defined_QMARK] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2130),
    [sym__unary_minus_num] = ACTIONS(2132),
    [sym__binary_minus] = ACTIONS(2130),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1217] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3966),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5867),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2511),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1217),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2116),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2118),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_defined_QMARK] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2130),
    [sym__unary_minus_num] = ACTIONS(2132),
    [sym__binary_minus] = ACTIONS(2130),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1218] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3967),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5867),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2511),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1218),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2116),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2118),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_defined_QMARK] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2130),
    [sym__unary_minus_num] = ACTIONS(2132),
    [sym__binary_minus] = ACTIONS(2130),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1219] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3972),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5867),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2511),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1219),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2116),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2118),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_defined_QMARK] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2130),
    [sym__unary_minus_num] = ACTIONS(2132),
    [sym__binary_minus] = ACTIONS(2130),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1220] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3973),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5867),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2511),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1220),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2116),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2118),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_defined_QMARK] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2130),
    [sym__unary_minus_num] = ACTIONS(2132),
    [sym__binary_minus] = ACTIONS(2130),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1221] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3975),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5867),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2511),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1221),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2116),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2118),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_defined_QMARK] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2130),
    [sym__unary_minus_num] = ACTIONS(2132),
    [sym__binary_minus] = ACTIONS(2130),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1222] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3976),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5867),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2511),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1222),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2116),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2118),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_defined_QMARK] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2130),
    [sym__unary_minus_num] = ACTIONS(2132),
    [sym__binary_minus] = ACTIONS(2130),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1223] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3979),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5867),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2511),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1223),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2116),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2118),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_defined_QMARK] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2130),
    [sym__unary_minus_num] = ACTIONS(2132),
    [sym__binary_minus] = ACTIONS(2130),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1224] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3980),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5867),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2511),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1224),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2116),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2118),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_defined_QMARK] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2130),
    [sym__unary_minus_num] = ACTIONS(2132),
    [sym__binary_minus] = ACTIONS(2130),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1225] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3981),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5867),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2511),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1225),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2116),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2118),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_defined_QMARK] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2130),
    [sym__unary_minus_num] = ACTIONS(2132),
    [sym__binary_minus] = ACTIONS(2130),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1226] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3982),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5867),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2511),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1226),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2116),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2118),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_defined_QMARK] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2130),
    [sym__unary_minus_num] = ACTIONS(2132),
    [sym__binary_minus] = ACTIONS(2130),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1227] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(2875),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5867),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2511),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1227),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2116),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2118),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_defined_QMARK] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2130),
    [sym__unary_minus_num] = ACTIONS(2132),
    [sym__binary_minus] = ACTIONS(2130),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1228] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3974),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5867),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2511),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1228),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2116),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2118),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_defined_QMARK] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2130),
    [sym__unary_minus_num] = ACTIONS(2132),
    [sym__binary_minus] = ACTIONS(2130),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1229] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3956),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5867),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2511),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1229),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2116),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2118),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_defined_QMARK] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2130),
    [sym__unary_minus_num] = ACTIONS(2132),
    [sym__binary_minus] = ACTIONS(2130),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1230] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3983),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5867),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2511),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1230),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2116),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2118),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_defined_QMARK] = ACTIONS(2122),
    [anon_sym_not] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2130),
    [sym__unary_minus_num] = ACTIONS(2132),
    [sym__binary_minus] = ACTIONS(2130),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1231] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3677),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1231),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1232] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3676),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1232),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1233] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2597),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1233),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1234] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2519),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1234),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1235] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2543),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1235),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1236] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2550),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1236),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1237] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2551),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1237),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1238] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2552),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1238),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1239] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2553),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1239),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1240] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2554),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1240),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1241] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2509),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1241),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1242] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2560),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1242),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1243] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2561),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1243),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1244] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2562),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1244),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1245] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2563),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1245),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1246] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2250),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1246),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1247] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2526),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1247),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1248] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2576),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1248),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1249] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3050),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5843),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2159),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1249),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1527),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_defined_QMARK] = ACTIONS(1531),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1537),
    [anon_sym_TILDE] = ACTIONS(1537),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1539),
    [sym__unary_minus_num] = ACTIONS(1541),
    [sym__binary_minus] = ACTIONS(1539),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1250] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2542),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1250),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1251] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3201),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5817),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1251),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_defined_QMARK] = ACTIONS(1461),
    [anon_sym_not] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1469),
    [sym__unary_minus_num] = ACTIONS(1471),
    [sym__binary_minus] = ACTIONS(1469),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1252] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3178),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5817),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1252),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_defined_QMARK] = ACTIONS(1461),
    [anon_sym_not] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1469),
    [sym__unary_minus_num] = ACTIONS(1471),
    [sym__binary_minus] = ACTIONS(1469),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1253] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3220),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5817),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1253),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_defined_QMARK] = ACTIONS(1461),
    [anon_sym_not] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1469),
    [sym__unary_minus_num] = ACTIONS(1471),
    [sym__binary_minus] = ACTIONS(1469),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1254] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3219),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5817),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1254),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_defined_QMARK] = ACTIONS(1461),
    [anon_sym_not] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1469),
    [sym__unary_minus_num] = ACTIONS(1471),
    [sym__binary_minus] = ACTIONS(1469),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1255] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3218),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5817),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1255),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_defined_QMARK] = ACTIONS(1461),
    [anon_sym_not] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1469),
    [sym__unary_minus_num] = ACTIONS(1471),
    [sym__binary_minus] = ACTIONS(1469),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1256] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3217),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5817),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1256),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_defined_QMARK] = ACTIONS(1461),
    [anon_sym_not] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1469),
    [sym__unary_minus_num] = ACTIONS(1471),
    [sym__binary_minus] = ACTIONS(1469),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1257] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3216),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5817),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1257),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_defined_QMARK] = ACTIONS(1461),
    [anon_sym_not] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1469),
    [sym__unary_minus_num] = ACTIONS(1471),
    [sym__binary_minus] = ACTIONS(1469),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1258] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3215),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5817),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1258),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_defined_QMARK] = ACTIONS(1461),
    [anon_sym_not] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1469),
    [sym__unary_minus_num] = ACTIONS(1471),
    [sym__binary_minus] = ACTIONS(1469),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1259] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3206),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5817),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1259),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_defined_QMARK] = ACTIONS(1461),
    [anon_sym_not] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1469),
    [sym__unary_minus_num] = ACTIONS(1471),
    [sym__binary_minus] = ACTIONS(1469),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1260] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3205),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5817),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1260),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_defined_QMARK] = ACTIONS(1461),
    [anon_sym_not] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1469),
    [sym__unary_minus_num] = ACTIONS(1471),
    [sym__binary_minus] = ACTIONS(1469),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1261] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3204),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5817),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1261),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_defined_QMARK] = ACTIONS(1461),
    [anon_sym_not] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1469),
    [sym__unary_minus_num] = ACTIONS(1471),
    [sym__binary_minus] = ACTIONS(1469),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1262] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3203),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5817),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1262),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_defined_QMARK] = ACTIONS(1461),
    [anon_sym_not] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1469),
    [sym__unary_minus_num] = ACTIONS(1471),
    [sym__binary_minus] = ACTIONS(1469),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1263] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3202),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5817),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1263),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_defined_QMARK] = ACTIONS(1461),
    [anon_sym_not] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1469),
    [sym__unary_minus_num] = ACTIONS(1471),
    [sym__binary_minus] = ACTIONS(1469),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1264] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2250),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5817),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1264),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_defined_QMARK] = ACTIONS(1461),
    [anon_sym_not] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1469),
    [sym__unary_minus_num] = ACTIONS(1471),
    [sym__binary_minus] = ACTIONS(1469),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1265] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3172),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5817),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1265),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_defined_QMARK] = ACTIONS(1461),
    [anon_sym_not] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1469),
    [sym__unary_minus_num] = ACTIONS(1471),
    [sym__binary_minus] = ACTIONS(1469),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1266] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3166),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5817),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1266),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_defined_QMARK] = ACTIONS(1461),
    [anon_sym_not] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1469),
    [sym__unary_minus_num] = ACTIONS(1471),
    [sym__binary_minus] = ACTIONS(1469),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1267] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3199),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5817),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2247),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1267),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1459),
    [anon_sym_defined_QMARK] = ACTIONS(1461),
    [anon_sym_not] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1469),
    [sym__unary_minus_num] = ACTIONS(1471),
    [sym__binary_minus] = ACTIONS(1469),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1268] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3340),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5871),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2371),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1268),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_defined_QMARK] = ACTIONS(1586),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1594),
    [sym__unary_minus_num] = ACTIONS(1596),
    [sym__binary_minus] = ACTIONS(1594),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1269] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3311),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5871),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2371),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1269),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_defined_QMARK] = ACTIONS(1586),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1594),
    [sym__unary_minus_num] = ACTIONS(1596),
    [sym__binary_minus] = ACTIONS(1594),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1270] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3410),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5871),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2371),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1270),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_defined_QMARK] = ACTIONS(1586),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1594),
    [sym__unary_minus_num] = ACTIONS(1596),
    [sym__binary_minus] = ACTIONS(1594),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1271] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3409),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5871),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2371),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1271),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_defined_QMARK] = ACTIONS(1586),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1594),
    [sym__unary_minus_num] = ACTIONS(1596),
    [sym__binary_minus] = ACTIONS(1594),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1272] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3406),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5871),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2371),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1272),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_defined_QMARK] = ACTIONS(1586),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1594),
    [sym__unary_minus_num] = ACTIONS(1596),
    [sym__binary_minus] = ACTIONS(1594),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1273] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3405),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5871),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2371),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1273),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_defined_QMARK] = ACTIONS(1586),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1594),
    [sym__unary_minus_num] = ACTIONS(1596),
    [sym__binary_minus] = ACTIONS(1594),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1274] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3404),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5871),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2371),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1274),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_defined_QMARK] = ACTIONS(1586),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1594),
    [sym__unary_minus_num] = ACTIONS(1596),
    [sym__binary_minus] = ACTIONS(1594),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1275] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3383),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5871),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2371),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1275),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_defined_QMARK] = ACTIONS(1586),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1594),
    [sym__unary_minus_num] = ACTIONS(1596),
    [sym__binary_minus] = ACTIONS(1594),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1276] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3394),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5871),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2371),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1276),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_defined_QMARK] = ACTIONS(1586),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1594),
    [sym__unary_minus_num] = ACTIONS(1596),
    [sym__binary_minus] = ACTIONS(1594),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1277] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3390),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5871),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2371),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1277),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_defined_QMARK] = ACTIONS(1586),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1594),
    [sym__unary_minus_num] = ACTIONS(1596),
    [sym__binary_minus] = ACTIONS(1594),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1278] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3384),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5871),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2371),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1278),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_defined_QMARK] = ACTIONS(1586),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1594),
    [sym__unary_minus_num] = ACTIONS(1596),
    [sym__binary_minus] = ACTIONS(1594),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1279] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3325),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5871),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2371),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1279),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_defined_QMARK] = ACTIONS(1586),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1594),
    [sym__unary_minus_num] = ACTIONS(1596),
    [sym__binary_minus] = ACTIONS(1594),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1280] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3372),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5871),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2371),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1280),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_defined_QMARK] = ACTIONS(1586),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1594),
    [sym__unary_minus_num] = ACTIONS(1596),
    [sym__binary_minus] = ACTIONS(1594),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1281] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(2875),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5871),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2371),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1281),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_defined_QMARK] = ACTIONS(1586),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1594),
    [sym__unary_minus_num] = ACTIONS(1596),
    [sym__binary_minus] = ACTIONS(1594),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1282] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3354),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5871),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2371),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1282),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_defined_QMARK] = ACTIONS(1586),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1594),
    [sym__unary_minus_num] = ACTIONS(1596),
    [sym__binary_minus] = ACTIONS(1594),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1283] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3310),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5871),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2371),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1283),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_defined_QMARK] = ACTIONS(1586),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1594),
    [sym__unary_minus_num] = ACTIONS(1596),
    [sym__binary_minus] = ACTIONS(1594),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1284] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3335),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5871),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2371),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1284),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1582),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_defined_QMARK] = ACTIONS(1586),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_TILDE] = ACTIONS(1592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1594),
    [sym__unary_minus_num] = ACTIONS(1596),
    [sym__binary_minus] = ACTIONS(1594),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1285] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3210),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1285),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1286] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3211),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1286),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1287] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2700),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1287),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1288] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2814),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5786),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2127),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1288),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_defined_QMARK] = ACTIONS(1409),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1417),
    [sym__unary_minus_num] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1417),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1289] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2813),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5786),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2127),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1289),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_defined_QMARK] = ACTIONS(1409),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1417),
    [sym__unary_minus_num] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1417),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1290] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2784),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5786),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2127),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1290),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_defined_QMARK] = ACTIONS(1409),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1417),
    [sym__unary_minus_num] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1417),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1291] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2808),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5786),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2127),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1291),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_defined_QMARK] = ACTIONS(1409),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1417),
    [sym__unary_minus_num] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1417),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1292] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2810),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5786),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2127),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1292),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_defined_QMARK] = ACTIONS(1409),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1417),
    [sym__unary_minus_num] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1417),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1293] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2820),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5786),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2127),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1293),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_defined_QMARK] = ACTIONS(1409),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1417),
    [sym__unary_minus_num] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1417),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1294] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2800),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5786),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2127),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1294),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_defined_QMARK] = ACTIONS(1409),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1417),
    [sym__unary_minus_num] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1417),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1295] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2799),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5786),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2127),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1295),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_defined_QMARK] = ACTIONS(1409),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1417),
    [sym__unary_minus_num] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1417),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1296] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2797),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5786),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2127),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1296),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_defined_QMARK] = ACTIONS(1409),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1417),
    [sym__unary_minus_num] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1417),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1297] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2794),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5786),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2127),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1297),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_defined_QMARK] = ACTIONS(1409),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1417),
    [sym__unary_minus_num] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1417),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1298] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2793),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5786),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2127),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1298),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_defined_QMARK] = ACTIONS(1409),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1417),
    [sym__unary_minus_num] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1417),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1299] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2822),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5786),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2127),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1299),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_defined_QMARK] = ACTIONS(1409),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1417),
    [sym__unary_minus_num] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1417),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1300] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2459),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1300),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1301] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2616),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1301),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1302] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2618),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1302),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1303] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2714),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5865),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2128),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1303),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_defined_QMARK] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1323),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1325),
    [sym__unary_minus_num] = ACTIONS(1327),
    [sym__binary_minus] = ACTIONS(1325),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1304] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3890),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1304),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1305] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4122),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5809),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2464),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1305),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2200),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_defined_QMARK] = ACTIONS(2204),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2212),
    [sym__unary_minus_num] = ACTIONS(2214),
    [sym__binary_minus] = ACTIONS(2212),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1306] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3733),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5821),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2467),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1306),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_defined_QMARK] = ACTIONS(2004),
    [anon_sym_not] = ACTIONS(2006),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2012),
    [sym__unary_minus_num] = ACTIONS(2014),
    [sym__binary_minus] = ACTIONS(2012),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1307] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3713),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5821),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2467),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1307),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_defined_QMARK] = ACTIONS(2004),
    [anon_sym_not] = ACTIONS(2006),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2012),
    [sym__unary_minus_num] = ACTIONS(2014),
    [sym__binary_minus] = ACTIONS(2012),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1308] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3760),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5821),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2467),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1308),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_defined_QMARK] = ACTIONS(2004),
    [anon_sym_not] = ACTIONS(2006),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2012),
    [sym__unary_minus_num] = ACTIONS(2014),
    [sym__binary_minus] = ACTIONS(2012),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1309] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3759),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5821),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2467),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1309),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_defined_QMARK] = ACTIONS(2004),
    [anon_sym_not] = ACTIONS(2006),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2012),
    [sym__unary_minus_num] = ACTIONS(2014),
    [sym__binary_minus] = ACTIONS(2012),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1310] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3758),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5821),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2467),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1310),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_defined_QMARK] = ACTIONS(2004),
    [anon_sym_not] = ACTIONS(2006),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2012),
    [sym__unary_minus_num] = ACTIONS(2014),
    [sym__binary_minus] = ACTIONS(2012),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1311] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3757),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5821),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2467),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1311),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_defined_QMARK] = ACTIONS(2004),
    [anon_sym_not] = ACTIONS(2006),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2012),
    [sym__unary_minus_num] = ACTIONS(2014),
    [sym__binary_minus] = ACTIONS(2012),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1312] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3752),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5821),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2467),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1312),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_defined_QMARK] = ACTIONS(2004),
    [anon_sym_not] = ACTIONS(2006),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2012),
    [sym__unary_minus_num] = ACTIONS(2014),
    [sym__binary_minus] = ACTIONS(2012),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1313] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3751),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5821),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2467),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1313),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_defined_QMARK] = ACTIONS(2004),
    [anon_sym_not] = ACTIONS(2006),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2012),
    [sym__unary_minus_num] = ACTIONS(2014),
    [sym__binary_minus] = ACTIONS(2012),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1314] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4091),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1314),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1315] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3748),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5821),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2467),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1315),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_defined_QMARK] = ACTIONS(2004),
    [anon_sym_not] = ACTIONS(2006),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2012),
    [sym__unary_minus_num] = ACTIONS(2014),
    [sym__binary_minus] = ACTIONS(2012),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1316] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3747),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5821),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2467),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1316),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_defined_QMARK] = ACTIONS(2004),
    [anon_sym_not] = ACTIONS(2006),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2012),
    [sym__unary_minus_num] = ACTIONS(2014),
    [sym__binary_minus] = ACTIONS(2012),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1317] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3745),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5821),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2467),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1317),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_defined_QMARK] = ACTIONS(2004),
    [anon_sym_not] = ACTIONS(2006),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2012),
    [sym__unary_minus_num] = ACTIONS(2014),
    [sym__binary_minus] = ACTIONS(2012),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1318] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3737),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5821),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2467),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1318),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_defined_QMARK] = ACTIONS(2004),
    [anon_sym_not] = ACTIONS(2006),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2012),
    [sym__unary_minus_num] = ACTIONS(2014),
    [sym__binary_minus] = ACTIONS(2012),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1319] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3736),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5821),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2467),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1319),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_defined_QMARK] = ACTIONS(2004),
    [anon_sym_not] = ACTIONS(2006),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2012),
    [sym__unary_minus_num] = ACTIONS(2014),
    [sym__binary_minus] = ACTIONS(2012),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1320] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4130),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1320),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1321] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2250),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5821),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2467),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1321),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_defined_QMARK] = ACTIONS(2004),
    [anon_sym_not] = ACTIONS(2006),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2012),
    [sym__unary_minus_num] = ACTIONS(2014),
    [sym__binary_minus] = ACTIONS(2012),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1322] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3701),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5821),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2467),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1322),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_defined_QMARK] = ACTIONS(2004),
    [anon_sym_not] = ACTIONS(2006),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2012),
    [sym__unary_minus_num] = ACTIONS(2014),
    [sym__binary_minus] = ACTIONS(2012),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1323] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3697),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5821),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2467),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1323),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_defined_QMARK] = ACTIONS(2004),
    [anon_sym_not] = ACTIONS(2006),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2012),
    [sym__unary_minus_num] = ACTIONS(2014),
    [sym__binary_minus] = ACTIONS(2012),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1324] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3692),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5821),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2467),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1324),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2000),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_defined_QMARK] = ACTIONS(2004),
    [anon_sym_not] = ACTIONS(2006),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2012),
    [sym__unary_minus_num] = ACTIONS(2014),
    [sym__binary_minus] = ACTIONS(2012),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1325] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4238),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1325),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1326] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3331),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5804),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2373),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1326),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_defined_QMARK] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_TILDE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1451),
    [sym__unary_minus_num] = ACTIONS(1453),
    [sym__binary_minus] = ACTIONS(1451),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1327] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3389),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5804),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2373),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1327),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_defined_QMARK] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_TILDE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1451),
    [sym__unary_minus_num] = ACTIONS(1453),
    [sym__binary_minus] = ACTIONS(1451),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1328] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3388),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5804),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2373),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1328),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_defined_QMARK] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_TILDE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1451),
    [sym__unary_minus_num] = ACTIONS(1453),
    [sym__binary_minus] = ACTIONS(1451),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1329] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3387),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5804),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2373),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1329),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_defined_QMARK] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_TILDE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1451),
    [sym__unary_minus_num] = ACTIONS(1453),
    [sym__binary_minus] = ACTIONS(1451),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1330] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3385),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5804),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2373),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1330),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_defined_QMARK] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_TILDE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1451),
    [sym__unary_minus_num] = ACTIONS(1453),
    [sym__binary_minus] = ACTIONS(1451),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1331] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3379),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5804),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2373),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1331),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_defined_QMARK] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_TILDE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1451),
    [sym__unary_minus_num] = ACTIONS(1453),
    [sym__binary_minus] = ACTIONS(1451),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1332] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3324),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5804),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2373),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1332),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_defined_QMARK] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_TILDE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1451),
    [sym__unary_minus_num] = ACTIONS(1453),
    [sym__binary_minus] = ACTIONS(1451),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1333] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3319),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5804),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2373),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1333),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_defined_QMARK] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_TILDE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1451),
    [sym__unary_minus_num] = ACTIONS(1453),
    [sym__binary_minus] = ACTIONS(1451),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1334] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3313),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5804),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2373),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1334),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_defined_QMARK] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_TILDE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1451),
    [sym__unary_minus_num] = ACTIONS(1453),
    [sym__binary_minus] = ACTIONS(1451),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1335] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3312),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5804),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2373),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1335),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_defined_QMARK] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_TILDE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1451),
    [sym__unary_minus_num] = ACTIONS(1453),
    [sym__binary_minus] = ACTIONS(1451),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1336] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3314),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5804),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2373),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1336),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_defined_QMARK] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_TILDE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1451),
    [sym__unary_minus_num] = ACTIONS(1453),
    [sym__binary_minus] = ACTIONS(1451),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1337] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3315),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5804),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2373),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1337),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_defined_QMARK] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_TILDE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1451),
    [sym__unary_minus_num] = ACTIONS(1453),
    [sym__binary_minus] = ACTIONS(1451),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1338] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(2875),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5804),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2373),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1338),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_defined_QMARK] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_TILDE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1451),
    [sym__unary_minus_num] = ACTIONS(1453),
    [sym__binary_minus] = ACTIONS(1451),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1339] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3328),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5804),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2373),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1339),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_defined_QMARK] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_TILDE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1451),
    [sym__unary_minus_num] = ACTIONS(1453),
    [sym__binary_minus] = ACTIONS(1451),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1340] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3326),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5804),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2373),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1340),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_defined_QMARK] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_TILDE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1451),
    [sym__unary_minus_num] = ACTIONS(1453),
    [sym__binary_minus] = ACTIONS(1451),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1341] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3367),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5804),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2373),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1341),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_defined_QMARK] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_TILDE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1451),
    [sym__unary_minus_num] = ACTIONS(1453),
    [sym__binary_minus] = ACTIONS(1451),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1342] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3629),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1342),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1343] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3626),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1343),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1344] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2589),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5749),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2085),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1344),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1011),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_defined_QMARK] = ACTIONS(1015),
    [anon_sym_not] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1021),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1023),
    [sym__unary_minus_num] = ACTIONS(1025),
    [sym__binary_minus] = ACTIONS(1023),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1345] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2668),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1345),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1346] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2606),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1346),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1347] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3250),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5806),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2135),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1347),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_defined_QMARK] = ACTIONS(1866),
    [anon_sym_not] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(1872),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(115),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1348] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3249),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5806),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2135),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1348),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_defined_QMARK] = ACTIONS(1866),
    [anon_sym_not] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(1872),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(115),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1349] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3247),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5806),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2135),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1349),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_defined_QMARK] = ACTIONS(1866),
    [anon_sym_not] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(1872),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(115),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1350] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3942),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1350),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1351] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3939),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1351),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1352] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3950),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1352),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1353] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2459),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1353),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1354] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3244),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5806),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2135),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1354),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_defined_QMARK] = ACTIONS(1866),
    [anon_sym_not] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(1872),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(115),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1355] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3241),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5806),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2135),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1355),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_defined_QMARK] = ACTIONS(1866),
    [anon_sym_not] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(1872),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(115),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1356] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3238),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5806),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2135),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1356),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_defined_QMARK] = ACTIONS(1866),
    [anon_sym_not] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(1872),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(115),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1357] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4276),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1357),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1358] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2617),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1358),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1359] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3265),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5806),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2135),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1359),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_defined_QMARK] = ACTIONS(1866),
    [anon_sym_not] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(1872),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(115),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1360] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2615),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1360),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1361] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2611),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1361),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1362] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2610),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1362),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1363] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2595),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1363),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1364] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2600),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1364),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1365] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2603),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1365),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1366] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2605),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1366),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1367] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2593),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1367),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1368] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2619),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1368),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1369] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2614),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1369),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1370] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3266),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5806),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2135),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1370),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_defined_QMARK] = ACTIONS(1866),
    [anon_sym_not] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(1872),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(115),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1371] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3267),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5806),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2135),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1371),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_defined_QMARK] = ACTIONS(1866),
    [anon_sym_not] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(1872),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(115),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1372] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2459),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1372),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1373] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2691),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1373),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1374] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2681),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1374),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1375] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2622),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1375),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1376] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3926),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1376),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1377] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2805),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5786),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2127),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1377),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_defined_QMARK] = ACTIONS(1409),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1417),
    [sym__unary_minus_num] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1417),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1378] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3268),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5806),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2135),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1378),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_defined_QMARK] = ACTIONS(1866),
    [anon_sym_not] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(1872),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(115),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1379] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3306),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1379),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1380] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3296),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1380),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1381] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3194),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1381),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1382] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3197),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1382),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1383] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3207),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1383),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1384] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3208),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1384),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1385] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3222),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1385),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1386] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3228),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1386),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1387] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3232),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1387),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1388] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3235),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1388),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1389] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3236),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1389),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1390] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3940),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1390),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1391] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3938),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1391),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1392] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3936),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1392),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1393] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3927),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1393),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1394] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3246),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1394),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1395] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3928),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1395),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1396] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3929),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1396),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1397] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3947),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1397),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1398] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3931),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1398),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1399] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3933),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1399),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1400] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3934),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1400),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1401] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3935),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1401),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1402] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3264),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1402),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1403] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(2875),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1403),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1404] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3286),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1404),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1405] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3284),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1405),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1406] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3275),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5845),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2362),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1406),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1493),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_defined_QMARK] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1505),
    [sym__unary_minus_num] = ACTIONS(1507),
    [sym__binary_minus] = ACTIONS(1505),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1407] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3588),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1407),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1408] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3441),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5823),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2395),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1408),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_defined_QMARK] = ACTIONS(1568),
    [anon_sym_not] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1576),
    [sym__unary_minus_num] = ACTIONS(1578),
    [sym__binary_minus] = ACTIONS(1576),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1409] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3449),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5823),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2395),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1409),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_defined_QMARK] = ACTIONS(1568),
    [anon_sym_not] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1576),
    [sym__unary_minus_num] = ACTIONS(1578),
    [sym__binary_minus] = ACTIONS(1576),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1410] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3438),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5823),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2395),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1410),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_defined_QMARK] = ACTIONS(1568),
    [anon_sym_not] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1576),
    [sym__unary_minus_num] = ACTIONS(1578),
    [sym__binary_minus] = ACTIONS(1576),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1411] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3434),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5823),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2395),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1411),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_defined_QMARK] = ACTIONS(1568),
    [anon_sym_not] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1576),
    [sym__unary_minus_num] = ACTIONS(1578),
    [sym__binary_minus] = ACTIONS(1576),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1412] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3446),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5823),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2395),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1412),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_defined_QMARK] = ACTIONS(1568),
    [anon_sym_not] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1576),
    [sym__unary_minus_num] = ACTIONS(1578),
    [sym__binary_minus] = ACTIONS(1576),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1413] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3425),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5823),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2395),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1413),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_defined_QMARK] = ACTIONS(1568),
    [anon_sym_not] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1576),
    [sym__unary_minus_num] = ACTIONS(1578),
    [sym__binary_minus] = ACTIONS(1576),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1414] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3420),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5823),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2395),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1414),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_defined_QMARK] = ACTIONS(1568),
    [anon_sym_not] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1576),
    [sym__unary_minus_num] = ACTIONS(1578),
    [sym__binary_minus] = ACTIONS(1576),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1415] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3444),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5823),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2395),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1415),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_defined_QMARK] = ACTIONS(1568),
    [anon_sym_not] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1576),
    [sym__unary_minus_num] = ACTIONS(1578),
    [sym__binary_minus] = ACTIONS(1576),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1416] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3447),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5823),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2395),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1416),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_defined_QMARK] = ACTIONS(1568),
    [anon_sym_not] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1576),
    [sym__unary_minus_num] = ACTIONS(1578),
    [sym__binary_minus] = ACTIONS(1576),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1417] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3442),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5823),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2395),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1417),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_defined_QMARK] = ACTIONS(1568),
    [anon_sym_not] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1576),
    [sym__unary_minus_num] = ACTIONS(1578),
    [sym__binary_minus] = ACTIONS(1576),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1418] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3418),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5823),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2395),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1418),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_defined_QMARK] = ACTIONS(1568),
    [anon_sym_not] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1576),
    [sym__unary_minus_num] = ACTIONS(1578),
    [sym__binary_minus] = ACTIONS(1576),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1419] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3424),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5823),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2395),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1419),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_defined_QMARK] = ACTIONS(1568),
    [anon_sym_not] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1576),
    [sym__unary_minus_num] = ACTIONS(1578),
    [sym__binary_minus] = ACTIONS(1576),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1420] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2250),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5823),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2395),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1420),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_defined_QMARK] = ACTIONS(1568),
    [anon_sym_not] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1576),
    [sym__unary_minus_num] = ACTIONS(1578),
    [sym__binary_minus] = ACTIONS(1576),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1421] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3437),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5823),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2395),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1421),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_defined_QMARK] = ACTIONS(1568),
    [anon_sym_not] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1576),
    [sym__unary_minus_num] = ACTIONS(1578),
    [sym__binary_minus] = ACTIONS(1576),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1422] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3432),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5823),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2395),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1422),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_defined_QMARK] = ACTIONS(1568),
    [anon_sym_not] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1576),
    [sym__unary_minus_num] = ACTIONS(1578),
    [sym__binary_minus] = ACTIONS(1576),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1423] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3436),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5823),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2395),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1423),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_defined_QMARK] = ACTIONS(1568),
    [anon_sym_not] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1576),
    [sym__unary_minus_num] = ACTIONS(1578),
    [sym__binary_minus] = ACTIONS(1576),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1424] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3709),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1424),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1425] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3816),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5860),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2460),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1425),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_defined_QMARK] = ACTIONS(2024),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2032),
    [sym__unary_minus_num] = ACTIONS(2034),
    [sym__binary_minus] = ACTIONS(2032),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1426] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3954),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1426),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1427] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3790),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5860),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2460),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1427),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_defined_QMARK] = ACTIONS(2024),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2032),
    [sym__unary_minus_num] = ACTIONS(2034),
    [sym__binary_minus] = ACTIONS(2032),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1428] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3787),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5860),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2460),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1428),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_defined_QMARK] = ACTIONS(2024),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2032),
    [sym__unary_minus_num] = ACTIONS(2034),
    [sym__binary_minus] = ACTIONS(2032),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1429] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3786),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5860),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2460),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1429),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_defined_QMARK] = ACTIONS(2024),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2032),
    [sym__unary_minus_num] = ACTIONS(2034),
    [sym__binary_minus] = ACTIONS(2032),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1430] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3784),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5860),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2460),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1430),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_defined_QMARK] = ACTIONS(2024),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2032),
    [sym__unary_minus_num] = ACTIONS(2034),
    [sym__binary_minus] = ACTIONS(2032),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1431] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3782),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5860),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2460),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1431),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_defined_QMARK] = ACTIONS(2024),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2032),
    [sym__unary_minus_num] = ACTIONS(2034),
    [sym__binary_minus] = ACTIONS(2032),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1432] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3813),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5860),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2460),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1432),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_defined_QMARK] = ACTIONS(2024),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2032),
    [sym__unary_minus_num] = ACTIONS(2034),
    [sym__binary_minus] = ACTIONS(2032),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1433] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4000),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1433),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1434] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3781),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5860),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2460),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1434),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_defined_QMARK] = ACTIONS(2024),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2032),
    [sym__unary_minus_num] = ACTIONS(2034),
    [sym__binary_minus] = ACTIONS(2032),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1435] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3780),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5860),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2460),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1435),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_defined_QMARK] = ACTIONS(2024),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2032),
    [sym__unary_minus_num] = ACTIONS(2034),
    [sym__binary_minus] = ACTIONS(2032),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1436] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3779),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5860),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2460),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1436),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_defined_QMARK] = ACTIONS(2024),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2032),
    [sym__unary_minus_num] = ACTIONS(2034),
    [sym__binary_minus] = ACTIONS(2032),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1437] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3778),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5860),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2460),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1437),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_defined_QMARK] = ACTIONS(2024),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2032),
    [sym__unary_minus_num] = ACTIONS(2034),
    [sym__binary_minus] = ACTIONS(2032),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1438] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3775),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5860),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2460),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1438),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_defined_QMARK] = ACTIONS(2024),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2032),
    [sym__unary_minus_num] = ACTIONS(2034),
    [sym__binary_minus] = ACTIONS(2032),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1439] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3774),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5860),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2460),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1439),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_defined_QMARK] = ACTIONS(2024),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2032),
    [sym__unary_minus_num] = ACTIONS(2034),
    [sym__binary_minus] = ACTIONS(2032),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1440] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(2875),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5860),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2460),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1440),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_defined_QMARK] = ACTIONS(2024),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2032),
    [sym__unary_minus_num] = ACTIONS(2034),
    [sym__binary_minus] = ACTIONS(2032),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1441] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3811),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5860),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2460),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1441),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_defined_QMARK] = ACTIONS(2024),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2032),
    [sym__unary_minus_num] = ACTIONS(2034),
    [sym__binary_minus] = ACTIONS(2032),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1442] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3809),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5860),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2460),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1442),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_defined_QMARK] = ACTIONS(2024),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2032),
    [sym__unary_minus_num] = ACTIONS(2034),
    [sym__binary_minus] = ACTIONS(2032),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1443] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3768),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5860),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2460),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1443),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_defined_QMARK] = ACTIONS(2024),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2032),
    [sym__unary_minus_num] = ACTIONS(2034),
    [sym__binary_minus] = ACTIONS(2032),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1444] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4038),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1444),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1445] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4041),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1445),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1446] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2927),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1446),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1447] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2772),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1447),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1448] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2701),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1448),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1449] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2703),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1449),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1450] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2702),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1450),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1451] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2693),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1451),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1452] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2692),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1452),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1453] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2690),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1453),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1454] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2687),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1454),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1455] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2678),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1455),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1456] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2682),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1456),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1457] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2685),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1457),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1458] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2688),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1458),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1459] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2708),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1459),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1460] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2250),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5786),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2127),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1460),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_defined_QMARK] = ACTIONS(1409),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1417),
    [sym__unary_minus_num] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1417),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1461] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2803),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5786),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2127),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1461),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_defined_QMARK] = ACTIONS(1409),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1417),
    [sym__unary_minus_num] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1417),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1462] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2804),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5786),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2127),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1462),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_defined_QMARK] = ACTIONS(1409),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1417),
    [sym__unary_minus_num] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1417),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1463] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2680),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1463),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1464] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2628),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1464),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1465] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3891),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1465),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1466] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3545),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1466),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1467] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3595),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1467),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1468] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3647),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1468),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1469] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3666),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1469),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1470] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3667),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1470),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1471] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3668),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1471),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1472] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3675),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1472),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1473] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3571),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1473),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1474] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3685),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1474),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1475] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3690),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1475),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1476] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3652),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1476),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1477] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3651),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1477),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1478] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3645),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1478),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1479] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3336),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1479),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1480] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3624),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1480),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1481] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3625),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1481),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1482] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3676),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1482),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1483] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3427),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5823),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2395),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1483),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1564),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_defined_QMARK] = ACTIONS(1568),
    [anon_sym_not] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1574),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1576),
    [sym__unary_minus_num] = ACTIONS(1578),
    [sym__binary_minus] = ACTIONS(1576),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1484] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3509),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5830),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2416),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1484),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1812),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_defined_QMARK] = ACTIONS(1816),
    [anon_sym_not] = ACTIONS(1818),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1824),
    [sym__unary_minus_num] = ACTIONS(1826),
    [sym__binary_minus] = ACTIONS(1824),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1485] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3487),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5830),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2416),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1485),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1812),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_defined_QMARK] = ACTIONS(1816),
    [anon_sym_not] = ACTIONS(1818),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1824),
    [sym__unary_minus_num] = ACTIONS(1826),
    [sym__binary_minus] = ACTIONS(1824),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1486] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3493),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5830),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2416),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1486),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1812),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_defined_QMARK] = ACTIONS(1816),
    [anon_sym_not] = ACTIONS(1818),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1824),
    [sym__unary_minus_num] = ACTIONS(1826),
    [sym__binary_minus] = ACTIONS(1824),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1487] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3498),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5830),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2416),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1487),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1812),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_defined_QMARK] = ACTIONS(1816),
    [anon_sym_not] = ACTIONS(1818),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1824),
    [sym__unary_minus_num] = ACTIONS(1826),
    [sym__binary_minus] = ACTIONS(1824),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1488] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3501),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5830),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2416),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1488),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1812),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_defined_QMARK] = ACTIONS(1816),
    [anon_sym_not] = ACTIONS(1818),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1824),
    [sym__unary_minus_num] = ACTIONS(1826),
    [sym__binary_minus] = ACTIONS(1824),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1489] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3503),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5830),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2416),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1489),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1812),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_defined_QMARK] = ACTIONS(1816),
    [anon_sym_not] = ACTIONS(1818),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1824),
    [sym__unary_minus_num] = ACTIONS(1826),
    [sym__binary_minus] = ACTIONS(1824),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1490] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3510),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5830),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2416),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1490),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1812),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_defined_QMARK] = ACTIONS(1816),
    [anon_sym_not] = ACTIONS(1818),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1824),
    [sym__unary_minus_num] = ACTIONS(1826),
    [sym__binary_minus] = ACTIONS(1824),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1491] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3520),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5830),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2416),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1491),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1812),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_defined_QMARK] = ACTIONS(1816),
    [anon_sym_not] = ACTIONS(1818),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1824),
    [sym__unary_minus_num] = ACTIONS(1826),
    [sym__binary_minus] = ACTIONS(1824),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1492] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3523),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5830),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2416),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1492),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1812),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_defined_QMARK] = ACTIONS(1816),
    [anon_sym_not] = ACTIONS(1818),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1824),
    [sym__unary_minus_num] = ACTIONS(1826),
    [sym__binary_minus] = ACTIONS(1824),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1493] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3524),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5830),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2416),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1493),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1812),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_defined_QMARK] = ACTIONS(1816),
    [anon_sym_not] = ACTIONS(1818),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1824),
    [sym__unary_minus_num] = ACTIONS(1826),
    [sym__binary_minus] = ACTIONS(1824),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1494] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3526),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5830),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2416),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1494),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1812),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_defined_QMARK] = ACTIONS(1816),
    [anon_sym_not] = ACTIONS(1818),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1824),
    [sym__unary_minus_num] = ACTIONS(1826),
    [sym__binary_minus] = ACTIONS(1824),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1495] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3527),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5830),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2416),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1495),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1812),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_defined_QMARK] = ACTIONS(1816),
    [anon_sym_not] = ACTIONS(1818),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1824),
    [sym__unary_minus_num] = ACTIONS(1826),
    [sym__binary_minus] = ACTIONS(1824),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1496] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2250),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5830),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2416),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1496),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1812),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_defined_QMARK] = ACTIONS(1816),
    [anon_sym_not] = ACTIONS(1818),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1824),
    [sym__unary_minus_num] = ACTIONS(1826),
    [sym__binary_minus] = ACTIONS(1824),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1497] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3492),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5830),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2416),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1497),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1812),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_defined_QMARK] = ACTIONS(1816),
    [anon_sym_not] = ACTIONS(1818),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1824),
    [sym__unary_minus_num] = ACTIONS(1826),
    [sym__binary_minus] = ACTIONS(1824),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1498] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3485),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5830),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2416),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1498),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1812),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_defined_QMARK] = ACTIONS(1816),
    [anon_sym_not] = ACTIONS(1818),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1824),
    [sym__unary_minus_num] = ACTIONS(1826),
    [sym__binary_minus] = ACTIONS(1824),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1499] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3488),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5830),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2416),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1499),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1812),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_defined_QMARK] = ACTIONS(1816),
    [anon_sym_not] = ACTIONS(1818),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1824),
    [sym__unary_minus_num] = ACTIONS(1826),
    [sym__binary_minus] = ACTIONS(1824),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1500] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3381),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5804),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2373),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1500),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_defined_QMARK] = ACTIONS(1443),
    [anon_sym_not] = ACTIONS(1445),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_TILDE] = ACTIONS(1449),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1451),
    [sym__unary_minus_num] = ACTIONS(1453),
    [sym__binary_minus] = ACTIONS(1451),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1501] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4185),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5857),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2523),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1501),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2296),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_defined_QMARK] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2308),
    [sym__unary_minus_num] = ACTIONS(2310),
    [sym__binary_minus] = ACTIONS(2308),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1502] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4186),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5857),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2523),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1502),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2296),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_defined_QMARK] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2308),
    [sym__unary_minus_num] = ACTIONS(2310),
    [sym__binary_minus] = ACTIONS(2308),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1503] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4187),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5857),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2523),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1503),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2296),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_defined_QMARK] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2308),
    [sym__unary_minus_num] = ACTIONS(2310),
    [sym__binary_minus] = ACTIONS(2308),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1504] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4188),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5857),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2523),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1504),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2296),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_defined_QMARK] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2308),
    [sym__unary_minus_num] = ACTIONS(2310),
    [sym__binary_minus] = ACTIONS(2308),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1505] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4189),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5857),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2523),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1505),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2296),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_defined_QMARK] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2308),
    [sym__unary_minus_num] = ACTIONS(2310),
    [sym__binary_minus] = ACTIONS(2308),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1506] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4190),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5857),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2523),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1506),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2296),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_defined_QMARK] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2308),
    [sym__unary_minus_num] = ACTIONS(2310),
    [sym__binary_minus] = ACTIONS(2308),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1507] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4192),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5857),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2523),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1507),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2296),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_defined_QMARK] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2308),
    [sym__unary_minus_num] = ACTIONS(2310),
    [sym__binary_minus] = ACTIONS(2308),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1508] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4147),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5857),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2523),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1508),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2296),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_defined_QMARK] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2308),
    [sym__unary_minus_num] = ACTIONS(2310),
    [sym__binary_minus] = ACTIONS(2308),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1509] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4194),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5857),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2523),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1509),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2296),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_defined_QMARK] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2308),
    [sym__unary_minus_num] = ACTIONS(2310),
    [sym__binary_minus] = ACTIONS(2308),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1510] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4195),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5857),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2523),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1510),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2296),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_defined_QMARK] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2308),
    [sym__unary_minus_num] = ACTIONS(2310),
    [sym__binary_minus] = ACTIONS(2308),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1511] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4196),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5857),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2523),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1511),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2296),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_defined_QMARK] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2308),
    [sym__unary_minus_num] = ACTIONS(2310),
    [sym__binary_minus] = ACTIONS(2308),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1512] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4152),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5857),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2523),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1512),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2296),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_defined_QMARK] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2308),
    [sym__unary_minus_num] = ACTIONS(2310),
    [sym__binary_minus] = ACTIONS(2308),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1513] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3336),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5857),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2523),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1513),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2296),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_defined_QMARK] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2308),
    [sym__unary_minus_num] = ACTIONS(2310),
    [sym__binary_minus] = ACTIONS(2308),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1514] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4156),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5857),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2523),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1514),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2296),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_defined_QMARK] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2308),
    [sym__unary_minus_num] = ACTIONS(2310),
    [sym__binary_minus] = ACTIONS(2308),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1515] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4155),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5857),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2523),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1515),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2296),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_defined_QMARK] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2308),
    [sym__unary_minus_num] = ACTIONS(2310),
    [sym__binary_minus] = ACTIONS(2308),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1516] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4177),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5857),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2523),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1516),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2296),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_defined_QMARK] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_TILDE] = ACTIONS(2306),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2308),
    [sym__unary_minus_num] = ACTIONS(2310),
    [sym__binary_minus] = ACTIONS(2308),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1517] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3669),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1517),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1518] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3670),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1518),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1519] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3429),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1519),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1520] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3160),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1520),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1521] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2928),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1521),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1522] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3869),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1522),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1523] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4007),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1523),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1524] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2902),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1524),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1525] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2901),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1525),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1526] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2900),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1526),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1527] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2899),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1527),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1528] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2898),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1528),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1529] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2897),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1529),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1530] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2896),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1530),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1531] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2895),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1531),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1532] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2894),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1532),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1533] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2893),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1533),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1534] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2892),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1534),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1535] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2459),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1535),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1536] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2964),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1536),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1537] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2965),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1537),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1538] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2805),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5786),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2127),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1538),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_defined_QMARK] = ACTIONS(1409),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1417),
    [sym__unary_minus_num] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1417),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1539] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2706),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1539),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1540] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3942),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1540),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1541] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3805),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1541),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1542] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3803),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1542),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1543] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3962),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1543),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1544] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3231),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5806),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2135),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1544),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_defined_QMARK] = ACTIONS(1866),
    [anon_sym_not] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(1872),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(115),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1545] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3711),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1545),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1546] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3695),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1546),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1547] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4136),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1547),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1548] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3952),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5664),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2408),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1548),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2136),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_defined_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_TILDE] = ACTIONS(2146),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2148),
    [sym__unary_minus_num] = ACTIONS(2150),
    [sym__binary_minus] = ACTIONS(2148),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1549] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3694),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1549),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1550] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3808),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1550),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1551] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3710),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1551),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1552] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3707),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1552),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1553] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3706),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1553),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1554] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3703),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1554),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1555] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3699),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1555),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1556] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3698),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1556),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1557] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3696),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1557),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1558] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(2875),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1558),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1559] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3794),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1559),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1560] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3793),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1560),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1561] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3715),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5861),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2483),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1561),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1960),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_defined_QMARK] = ACTIONS(1964),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(1970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1978),
    [sym__unary_minus_num] = ACTIONS(1980),
    [sym__binary_minus] = ACTIONS(1978),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1562] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3298),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1562),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1563] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3229),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1563),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1564] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3272),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1564),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1565] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3261),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1565),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1566] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3260),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1566),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1567] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3255),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1567),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1568] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3252),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1568),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1569] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3213),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1569),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1570] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3237),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1570),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1571] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3176),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1571),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1572] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3173),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1572),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1573] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3180),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1573),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1574] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3185),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1574),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1575] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(2875),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1575),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1576] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3186),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1576),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1577] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3245),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1577),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1578] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3211),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5750),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2242),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1578),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1381),
    [anon_sym_defined_QMARK] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1397),
    [sym__unary_minus_num] = ACTIONS(1399),
    [sym__binary_minus] = ACTIONS(1397),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1579] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4065),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5809),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2464),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1579),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2200),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_defined_QMARK] = ACTIONS(2204),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2212),
    [sym__unary_minus_num] = ACTIONS(2214),
    [sym__binary_minus] = ACTIONS(2212),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1580] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3596),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1580),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1581] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3609),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1581),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1582] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3610),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1582),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1583] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3611),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1583),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1584] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3612),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1584),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1585] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3617),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1585),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1586] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3621),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1586),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1587] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3623),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1587),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1588] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3628),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1588),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1589] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3630),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1589),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1590] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3631),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1590),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1591] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3632),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1591),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1592] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2459),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1592),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1593] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3601),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1593),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1594] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3602),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1594),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1595] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3561),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1595),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1596] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4034),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5860),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2460),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1596),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_defined_QMARK] = ACTIONS(2024),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2032),
    [sym__unary_minus_num] = ACTIONS(2034),
    [sym__binary_minus] = ACTIONS(2032),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1597] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4239),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1597),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1598] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2649),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5822),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2076),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1598),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1037),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_defined_QMARK] = ACTIONS(1241),
    [anon_sym_not] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1247),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1041),
    [sym__unary_minus_num] = ACTIONS(169),
    [sym__binary_minus] = ACTIONS(1041),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1599] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4261),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1599),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1600] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4266),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1600),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1601] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4267),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1601),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1602] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4272),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1602),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1603] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4281),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1603),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1604] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4292),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1604),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1605] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4293),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1605),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1606] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4299),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1606),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1607] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4306),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1607),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1608] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4310),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1608),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1609] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4309),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1609),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1610] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4308),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1610),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1611] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3336),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1611),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1612] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3705),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1612),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1613] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3704),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1613),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1614] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3720),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1614),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1615] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4219),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1615),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1616] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4220),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1616),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1617] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3162),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1617),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1618] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3620),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1618),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1619] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3461),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1619),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1620] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4032),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1620),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1621] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3468),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1621),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1622] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3469),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1622),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1623] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3470),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1623),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1624] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3471),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1624),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1625] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3472),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1625),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1626] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3473),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1626),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1627] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3474),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1627),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1628] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3477),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1628),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1629] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3478),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1629),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1630] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3464),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1630),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1631] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3462),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1631),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1632] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2459),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1632),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1633] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3451),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1633),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1634] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3448),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1634),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1635] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2947),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1635),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1636] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3013),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1636),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1637] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2947),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1637),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1638] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4144),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5809),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2464),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1638),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2200),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_defined_QMARK] = ACTIONS(2204),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2212),
    [sym__unary_minus_num] = ACTIONS(2214),
    [sym__binary_minus] = ACTIONS(2212),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1639] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3871),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1639),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1640] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3831),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1640),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1641] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3882),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1641),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1642] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3670),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1642),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1643] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3633),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1643),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1644] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3608),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1644),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1645] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3336),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1645),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1646] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3892),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1646),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1647] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3894),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1647),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1648] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3898),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1648),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1649] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3877),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1649),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1650] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3901),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1650),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1651] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3902),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1651),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1652] = {
    [sym_heredoc_body] = STATE(1652),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_RBRACE] = ACTIONS(745),
    [anon_sym_def] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_end] = ACTIONS(733),
    [anon_sym_rescue] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(733),
    [anon_sym_nil] = ACTIONS(733),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_COLON] = ACTIONS(2558),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_next] = ACTIONS(733),
    [anon_sym_redo] = ACTIONS(733),
    [anon_sym_retry] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_unless] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_until] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_in] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_when] = ACTIONS(733),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_elsif] = ACTIONS(733),
    [anon_sym_else] = ACTIONS(733),
    [anon_sym_then] = ACTIONS(733),
    [anon_sym_begin] = ACTIONS(733),
    [anon_sym_ensure] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [anon_sym_defined_QMARK] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_self] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_constant] = ACTIONS(733),
    [aux_sym_constant_suffix_token1] = ACTIONS(745),
    [aux_sym_identifier_suffix_token1] = ACTIONS(733),
    [sym_instance_variable] = ACTIONS(745),
    [sym_class_variable] = ACTIONS(745),
    [sym_global_variable] = ACTIONS(745),
    [sym_character] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(745),
    [sym__line_break] = ACTIONS(745),
    [sym_simple_symbol] = ACTIONS(745),
    [sym__string_start] = ACTIONS(745),
    [sym__symbol_start] = ACTIONS(745),
    [sym__subshell_start] = ACTIONS(745),
    [sym__regex_start] = ACTIONS(745),
    [sym__string_array_start] = ACTIONS(745),
    [sym__symbol_array_start] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(745),
    [sym__block_ampersand] = ACTIONS(745),
    [sym__splat_star] = ACTIONS(745),
    [sym__unary_minus] = ACTIONS(745),
    [sym__unary_minus_num] = ACTIONS(745),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym_hash_key_symbol] = ACTIONS(745),
    [sym__identifier_suffix] = ACTIONS(745),
    [sym__constant_suffix] = ACTIONS(745),
    [sym__hash_splat_star_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [1653] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3904),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1653),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1654] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3909),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1654),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1655] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3914),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1655),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1656] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3900),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1656),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1657] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(2875),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1657),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1658] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3843),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1658),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1659] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3845),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1659),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1660] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3865),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5854),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2499),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1660),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_defined_QMARK] = ACTIONS(2102),
    [anon_sym_not] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2110),
    [sym__unary_minus_num] = ACTIONS(2112),
    [sym__binary_minus] = ACTIONS(2110),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1661] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3587),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1661),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1662] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3552),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1662),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1663] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3550),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1663),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1664] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3548),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1664),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1665] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3543),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1665),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1666] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4158),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1666),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1667] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3538),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1667),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1668] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3537),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1668),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1669] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3559),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1669),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1670] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3562),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1670),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1671] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3564),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1671),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1672] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3565),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1672),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1673] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3549),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1673),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1674] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3635),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1674),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1675] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3639),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1675),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1676] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3640),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1676),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1677] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3641),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1677),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1678] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3642),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1678),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1679] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3566),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1679),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1680] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3643),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1680),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1681] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3644),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1681),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1682] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3646),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1682),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1683] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3648),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1683),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1684] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3649),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1684),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1685] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3650),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1685),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1686] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(2875),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1686),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1687] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3579),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1687),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1688] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3580),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1688),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1689] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3626),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5727),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2450),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1689),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1892),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_defined_QMARK] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1904),
    [sym__unary_minus_num] = ACTIONS(1906),
    [sym__binary_minus] = ACTIONS(1904),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1690] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3594),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1690),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1691] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3533),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5830),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2416),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1691),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1812),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_defined_QMARK] = ACTIONS(1816),
    [anon_sym_not] = ACTIONS(1818),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_TILDE] = ACTIONS(1822),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1824),
    [sym__unary_minus_num] = ACTIONS(1826),
    [sym__binary_minus] = ACTIONS(1824),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1692] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3889),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1692),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1693] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4107),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5809),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2464),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1693),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2200),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_defined_QMARK] = ACTIONS(2204),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2212),
    [sym__unary_minus_num] = ACTIONS(2214),
    [sym__binary_minus] = ACTIONS(2212),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1694] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4097),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5809),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2464),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1694),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2200),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_defined_QMARK] = ACTIONS(2204),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2212),
    [sym__unary_minus_num] = ACTIONS(2214),
    [sym__binary_minus] = ACTIONS(2212),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1695] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4095),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5809),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2464),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1695),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2200),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_defined_QMARK] = ACTIONS(2204),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2212),
    [sym__unary_minus_num] = ACTIONS(2214),
    [sym__binary_minus] = ACTIONS(2212),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1696] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4142),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5809),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2464),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1696),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2200),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_defined_QMARK] = ACTIONS(2204),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2212),
    [sym__unary_minus_num] = ACTIONS(2214),
    [sym__binary_minus] = ACTIONS(2212),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1697] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4088),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5809),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2464),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1697),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2200),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_defined_QMARK] = ACTIONS(2204),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2212),
    [sym__unary_minus_num] = ACTIONS(2214),
    [sym__binary_minus] = ACTIONS(2212),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1698] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4082),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5809),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2464),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1698),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2200),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_defined_QMARK] = ACTIONS(2204),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2212),
    [sym__unary_minus_num] = ACTIONS(2214),
    [sym__binary_minus] = ACTIONS(2212),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1699] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4135),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5809),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2464),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1699),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2200),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_defined_QMARK] = ACTIONS(2204),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2212),
    [sym__unary_minus_num] = ACTIONS(2214),
    [sym__binary_minus] = ACTIONS(2212),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1700] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4090),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5809),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2464),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1700),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2200),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_defined_QMARK] = ACTIONS(2204),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2212),
    [sym__unary_minus_num] = ACTIONS(2214),
    [sym__binary_minus] = ACTIONS(2212),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1701] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4081),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5809),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2464),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1701),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2200),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_defined_QMARK] = ACTIONS(2204),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2212),
    [sym__unary_minus_num] = ACTIONS(2214),
    [sym__binary_minus] = ACTIONS(2212),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1702] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4080),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5809),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2464),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1702),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2200),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_defined_QMARK] = ACTIONS(2204),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2212),
    [sym__unary_minus_num] = ACTIONS(2214),
    [sym__binary_minus] = ACTIONS(2212),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1703] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4068),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5809),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2464),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1703),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2200),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_defined_QMARK] = ACTIONS(2204),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2212),
    [sym__unary_minus_num] = ACTIONS(2214),
    [sym__binary_minus] = ACTIONS(2212),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1704] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4067),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5809),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2464),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1704),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2200),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_defined_QMARK] = ACTIONS(2204),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2212),
    [sym__unary_minus_num] = ACTIONS(2214),
    [sym__binary_minus] = ACTIONS(2212),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1705] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4062),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5809),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2464),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1705),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2200),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_defined_QMARK] = ACTIONS(2204),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2212),
    [sym__unary_minus_num] = ACTIONS(2214),
    [sym__binary_minus] = ACTIONS(2212),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1706] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2459),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5809),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2464),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1706),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2200),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_defined_QMARK] = ACTIONS(2204),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2212),
    [sym__unary_minus_num] = ACTIONS(2214),
    [sym__binary_minus] = ACTIONS(2212),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1707] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4069),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5809),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2464),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1707),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2200),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_defined_QMARK] = ACTIONS(2204),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2212),
    [sym__unary_minus_num] = ACTIONS(2214),
    [sym__binary_minus] = ACTIONS(2212),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1708] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4078),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5809),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2464),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1708),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2200),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_defined_QMARK] = ACTIONS(2204),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2212),
    [sym__unary_minus_num] = ACTIONS(2214),
    [sym__binary_minus] = ACTIONS(2212),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1709] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4122),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5809),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2464),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1709),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2200),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_defined_QMARK] = ACTIONS(2204),
    [anon_sym_not] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2212),
    [sym__unary_minus_num] = ACTIONS(2214),
    [sym__binary_minus] = ACTIONS(2212),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1710] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3770),
    [sym__unary_minus_pow] = STATE(2848),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(2847),
    [sym_operator_assignment] = STATE(2847),
    [sym_conditional] = STATE(2847),
    [sym_range] = STATE(2847),
    [sym_binary] = STATE(2847),
    [sym_unary] = STATE(2847),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5860),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2460),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1710),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2020),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2022),
    [anon_sym_defined_QMARK] = ACTIONS(2024),
    [anon_sym_not] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_TILDE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2032),
    [sym__unary_minus_num] = ACTIONS(2034),
    [sym__binary_minus] = ACTIONS(2032),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1711] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4252),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5704),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2470),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1711),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_defined_QMARK] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2230),
    [sym__unary_minus_num] = ACTIONS(2232),
    [sym__binary_minus] = ACTIONS(2230),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1712] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3708),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1712),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1713] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2715),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5829),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2090),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1713),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_defined_QMARK] = ACTIONS(1257),
    [anon_sym_not] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1059),
    [sym__unary_minus_num] = ACTIONS(457),
    [sym__binary_minus] = ACTIONS(1059),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1714] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3725),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1714),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1715] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3727),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1715),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1716] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3729),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1716),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1717] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3755),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1717),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1718] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3806),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1718),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1719] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3761),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1719),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1720] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3762),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1720),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1721] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3765),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1721),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1722] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3767),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1722),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1723] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3769),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1723),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1724] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3772),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1724),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1725] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3773),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1725),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1726] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4112),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1726),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1727] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3336),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1727),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1728] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4240),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1728),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1729] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4242),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1729),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1730] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4220),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5852),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2582),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1730),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_defined_QMARK] = ACTIONS(2328),
    [anon_sym_not] = ACTIONS(2330),
    [anon_sym_BANG] = ACTIONS(2334),
    [anon_sym_TILDE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2336),
    [sym__unary_minus_num] = ACTIONS(2338),
    [sym__binary_minus] = ACTIONS(2336),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1731] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3721),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1731),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1732] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3720),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1732),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1733] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2736),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1733),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1734] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3407),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1734),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1735] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3161),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1735),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1736] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4183),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1736),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1737] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3969),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1737),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1738] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3095),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1738),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1739] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3104),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1739),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1740] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3105),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1740),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1741] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3106),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1741),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1742] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3107),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1742),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1743] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3113),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1743),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1744] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3114),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1744),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1745] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3118),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1745),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1746] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3119),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1746),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1747] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3121),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1747),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1748] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3122),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1748),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1749] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2459),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1749),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1750] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3614),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1750),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1751] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3156),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1751),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1752] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3987),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1752),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1753] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3556),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5596),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2230),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1753),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1884),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_defined_QMARK] = ACTIONS(1628),
    [anon_sym_not] = ACTIONS(1630),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_TILDE] = ACTIONS(1632),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1642),
    [sym__unary_minus_num] = ACTIONS(597),
    [sym__binary_minus] = ACTIONS(1642),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1754] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3155),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1754),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1755] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3419),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1755),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1756] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3460),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1756),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1757] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3419),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2940),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5646),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2167),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1757),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2048),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_defined_QMARK] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_TILDE] = ACTIONS(2058),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(2060),
    [sym__unary_minus_num] = ACTIONS(2062),
    [sym__binary_minus] = ACTIONS(2060),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1758] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4154),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5790),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2502),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1758),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_defined_QMARK] = ACTIONS(2278),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2286),
    [sym__unary_minus_num] = ACTIONS(2288),
    [sym__binary_minus] = ACTIONS(2286),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1759] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4159),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5790),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2502),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1759),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_defined_QMARK] = ACTIONS(2278),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2286),
    [sym__unary_minus_num] = ACTIONS(2288),
    [sym__binary_minus] = ACTIONS(2286),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1760] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4169),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5790),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2502),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1760),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_defined_QMARK] = ACTIONS(2278),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2286),
    [sym__unary_minus_num] = ACTIONS(2288),
    [sym__binary_minus] = ACTIONS(2286),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1761] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4170),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5790),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2502),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1761),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_defined_QMARK] = ACTIONS(2278),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2286),
    [sym__unary_minus_num] = ACTIONS(2288),
    [sym__binary_minus] = ACTIONS(2286),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1762] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4171),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5790),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2502),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1762),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_defined_QMARK] = ACTIONS(2278),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2286),
    [sym__unary_minus_num] = ACTIONS(2288),
    [sym__binary_minus] = ACTIONS(2286),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1763] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4172),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5790),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2502),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1763),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_defined_QMARK] = ACTIONS(2278),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2286),
    [sym__unary_minus_num] = ACTIONS(2288),
    [sym__binary_minus] = ACTIONS(2286),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1764] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4173),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5790),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2502),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1764),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_defined_QMARK] = ACTIONS(2278),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2286),
    [sym__unary_minus_num] = ACTIONS(2288),
    [sym__binary_minus] = ACTIONS(2286),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1765] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4174),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5790),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2502),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1765),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_defined_QMARK] = ACTIONS(2278),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2286),
    [sym__unary_minus_num] = ACTIONS(2288),
    [sym__binary_minus] = ACTIONS(2286),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1766] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4176),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5790),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2502),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1766),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_defined_QMARK] = ACTIONS(2278),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2286),
    [sym__unary_minus_num] = ACTIONS(2288),
    [sym__binary_minus] = ACTIONS(2286),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1767] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4178),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5790),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2502),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1767),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_defined_QMARK] = ACTIONS(2278),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2286),
    [sym__unary_minus_num] = ACTIONS(2288),
    [sym__binary_minus] = ACTIONS(2286),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1768] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4179),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5790),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2502),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1768),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_defined_QMARK] = ACTIONS(2278),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2286),
    [sym__unary_minus_num] = ACTIONS(2288),
    [sym__binary_minus] = ACTIONS(2286),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1769] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4180),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5790),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2502),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1769),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_defined_QMARK] = ACTIONS(2278),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2286),
    [sym__unary_minus_num] = ACTIONS(2288),
    [sym__binary_minus] = ACTIONS(2286),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1770] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4181),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5790),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2502),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1770),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_defined_QMARK] = ACTIONS(2278),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2286),
    [sym__unary_minus_num] = ACTIONS(2288),
    [sym__binary_minus] = ACTIONS(2286),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1771] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3336),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5790),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2502),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1771),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_defined_QMARK] = ACTIONS(2278),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2286),
    [sym__unary_minus_num] = ACTIONS(2288),
    [sym__binary_minus] = ACTIONS(2286),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1772] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4162),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5790),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2502),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1772),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_defined_QMARK] = ACTIONS(2278),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2286),
    [sym__unary_minus_num] = ACTIONS(2288),
    [sym__binary_minus] = ACTIONS(2286),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1773] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4163),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5790),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2502),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1773),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_defined_QMARK] = ACTIONS(2278),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2286),
    [sym__unary_minus_num] = ACTIONS(2288),
    [sym__binary_minus] = ACTIONS(2286),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1774] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4151),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5790),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2502),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1774),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_defined_QMARK] = ACTIONS(2278),
    [anon_sym_not] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2286),
    [sym__unary_minus_num] = ACTIONS(2288),
    [sym__binary_minus] = ACTIONS(2286),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1775] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4049),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1775),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1776] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3878),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5824),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2205),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1776),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_defined_QMARK] = ACTIONS(1854),
    [anon_sym_not] = ACTIONS(1856),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_TILDE] = ACTIONS(1858),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1860),
    [sym__unary_minus_num] = ACTIONS(359),
    [sym__binary_minus] = ACTIONS(1860),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1777] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3990),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1777),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1778] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4045),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1778),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1779] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4021),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1779),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1780] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4057),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1780),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1781] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4055),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1781),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1782] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4058),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1782),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1783] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4044),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1783),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1784] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4052),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1784),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1785] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4009),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1785),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1786] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4006),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1786),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1787] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4005),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1787),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1788] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3998),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1788),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1789] = {
    [sym_heredoc_body] = STATE(1789),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_RBRACE] = ACTIONS(745),
    [anon_sym_def] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_end] = ACTIONS(733),
    [anon_sym_rescue] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(733),
    [anon_sym_nil] = ACTIONS(733),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_COLON] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_next] = ACTIONS(733),
    [anon_sym_redo] = ACTIONS(733),
    [anon_sym_retry] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_unless] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_until] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_in] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_when] = ACTIONS(733),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_elsif] = ACTIONS(733),
    [anon_sym_else] = ACTIONS(733),
    [anon_sym_then] = ACTIONS(733),
    [anon_sym_begin] = ACTIONS(733),
    [anon_sym_ensure] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [anon_sym_defined_QMARK] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_self] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_constant] = ACTIONS(733),
    [aux_sym_constant_suffix_token1] = ACTIONS(745),
    [aux_sym_identifier_suffix_token1] = ACTIONS(733),
    [sym_instance_variable] = ACTIONS(745),
    [sym_class_variable] = ACTIONS(745),
    [sym_global_variable] = ACTIONS(745),
    [sym_character] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(745),
    [sym__line_break] = ACTIONS(745),
    [sym_simple_symbol] = ACTIONS(745),
    [sym__string_start] = ACTIONS(745),
    [sym__symbol_start] = ACTIONS(745),
    [sym__subshell_start] = ACTIONS(745),
    [sym__regex_start] = ACTIONS(745),
    [sym__string_array_start] = ACTIONS(745),
    [sym__symbol_array_start] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(745),
    [sym__block_ampersand] = ACTIONS(745),
    [sym__splat_star] = ACTIONS(745),
    [sym__unary_minus] = ACTIONS(745),
    [sym__unary_minus_num] = ACTIONS(745),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym_hash_key_symbol] = ACTIONS(745),
    [sym__identifier_suffix] = ACTIONS(745),
    [sym__constant_suffix] = ACTIONS(745),
    [sym__hash_splat_star_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [1790] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3336),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1790),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1791] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3999),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1791),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1792] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4001),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1792),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1793] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4041),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5831),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2426),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1793),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2164),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_defined_QMARK] = ACTIONS(2168),
    [anon_sym_not] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_TILDE] = ACTIONS(2174),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2176),
    [sym__unary_minus_num] = ACTIONS(2178),
    [sym__binary_minus] = ACTIONS(2176),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1794] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3852),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1794),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1795] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(4016),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1795),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1796] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3822),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1796),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1797] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3899),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5832),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2258),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1797),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1936),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_defined_QMARK] = ACTIONS(1834),
    [anon_sym_not] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1840),
    [sym__unary_minus_num] = ACTIONS(263),
    [sym__binary_minus] = ACTIONS(1840),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1798] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3847),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1798),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1799] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3830),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1799),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1800] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3872),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1800),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1801] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3825),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1801),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1802] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3826),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1802),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1803] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3921),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1803),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1804] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3861),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1804),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1805] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3908),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1805),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1806] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3874),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1806),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1807] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3876),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1807),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1808] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3884),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1808),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1809] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3885),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1809),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1810] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4134),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1810),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1811] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4124),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1811),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1812] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4121),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1812),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1813] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3336),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1813),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1814] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2459),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1814),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1815] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3883),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1815),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1816] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3881),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1816),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1817] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3891),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5710),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2388),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1817),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1750),
    [anon_sym_defined_QMARK] = ACTIONS(1752),
    [anon_sym_not] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1756),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(255),
    [sym_float] = ACTIONS(255),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1760),
    [sym__unary_minus_num] = ACTIONS(563),
    [sym__binary_minus] = ACTIONS(1760),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1818] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3764),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1818),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1819] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3955),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3177),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2147),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5584),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2795),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2374),
    [sym__variable] = STATE(2166),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1819),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1952),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_defined_QMARK] = ACTIONS(1736),
    [anon_sym_not] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(1742),
    [sym__unary_minus_num] = ACTIONS(405),
    [sym__binary_minus] = ACTIONS(1742),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1820] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3763),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1820),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1821] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3092),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2324),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2014),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5763),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2137),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2120),
    [sym__variable] = STATE(2016),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1821),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1550),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_defined_QMARK] = ACTIONS(1554),
    [anon_sym_not] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1515),
    [sym__unary_minus_num] = ACTIONS(211),
    [sym__binary_minus] = ACTIONS(1515),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1822] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3754),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1822),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1823] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3744),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1823),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1824] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3743),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1824),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1825] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3742),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1825),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1826] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3741),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1826),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1827] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3740),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1827),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1828] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4094),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1828),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1829] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4098),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1829),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1830] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4099),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1830),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1831] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4104),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1831),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1832] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3739),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1832),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1833] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4108),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1833),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1834] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4109),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1834),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1835] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4111),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1835),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1836] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4113),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1836),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1837] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4114),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1837),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1838] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4117),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1838),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1839] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3738),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1839),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1840] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3734),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1840),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1841] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3732),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1841),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1842] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3731),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1842),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1843] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3730),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1843),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1844] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3336),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1844),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1845] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3724),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1845),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1846] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3718),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2873),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1846),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1847] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3799),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2871),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1847),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1848] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3810),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1848),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1849] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3799),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1849),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1850] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2785),
    [sym__unary_minus_pow] = STATE(2217),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2226),
    [sym_operator_assignment] = STATE(2226),
    [sym_conditional] = STATE(2226),
    [sym_range] = STATE(2226),
    [sym_binary] = STATE(2226),
    [sym_unary] = STATE(2226),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5786),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2127),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1850),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_defined_QMARK] = ACTIONS(1409),
    [anon_sym_not] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1417),
    [sym__unary_minus_num] = ACTIONS(1419),
    [sym__binary_minus] = ACTIONS(1417),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1851] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2812),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1851),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1852] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2723),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1852),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1853] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4168),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1853),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1854] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4120),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1854),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1855] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4072),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1855),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(397),
    [sym_float] = ACTIONS(397),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1856] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2781),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1856),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1857] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2768),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1857),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1858] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2761),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1858),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1859] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2760),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1859),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1860] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2758),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1860),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1861] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2756),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1861),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1862] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2748),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1862),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1863] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2740),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1863),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1864] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2738),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1864),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1865] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2737),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1865),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1866] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2734),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1866),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1867] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2459),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1867),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1868] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2759),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1868),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1869] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(2741),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2268),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5842),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2087),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1869),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(747),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_defined_QMARK] = ACTIONS(1341),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(683),
    [sym__unary_minus_num] = ACTIONS(681),
    [sym__binary_minus] = ACTIONS(683),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1870] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3145),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1870),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1871] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3150),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1871),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1872] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3145),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5579),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2129),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1872),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(1600),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_defined_QMARK] = ACTIONS(1714),
    [anon_sym_not] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1720),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(1604),
    [sym__unary_minus_num] = ACTIONS(481),
    [sym__binary_minus] = ACTIONS(1604),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1873] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3226),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5806),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2135),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1873),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_defined_QMARK] = ACTIONS(1866),
    [anon_sym_not] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(1872),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(115),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1874] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3414),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5806),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2135),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1874),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_defined_QMARK] = ACTIONS(1866),
    [anon_sym_not] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(1872),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(115),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1875] = {
    [sym_method] = STATE(2238),
    [sym_singleton_method] = STATE(2238),
    [sym_class] = STATE(2238),
    [sym_singleton_class] = STATE(2238),
    [sym_module] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_yield] = STATE(2238),
    [sym_break] = STATE(2238),
    [sym_next] = STATE(2238),
    [sym_redo] = STATE(2238),
    [sym_retry] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_until] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_case] = STATE(2238),
    [sym_case_match] = STATE(2238),
    [sym_if] = STATE(2238),
    [sym_unless] = STATE(2238),
    [sym_begin] = STATE(2238),
    [sym__arg] = STATE(3168),
    [sym__unary_minus_pow] = STATE(2474),
    [sym__primary] = STATE(2410),
    [sym_parenthesized_statements] = STATE(2238),
    [sym_element_reference] = STATE(2055),
    [sym_scope_resolution] = STATE(2055),
    [sym__call] = STATE(2018),
    [sym_call] = STATE(2238),
    [sym_assignment] = STATE(2466),
    [sym_operator_assignment] = STATE(2466),
    [sym_conditional] = STATE(2466),
    [sym_range] = STATE(2466),
    [sym_binary] = STATE(2466),
    [sym_unary] = STATE(2466),
    [sym_parenthesized_unary] = STATE(2238),
    [sym_unary_literal] = STATE(2206),
    [sym__literal] = STATE(2238),
    [sym__numeric] = STATE(2237),
    [sym__simple_numeric] = STATE(2206),
    [sym_left_assignment_list] = STATE(5806),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2138),
    [sym__function_identifier_call] = STATE(2207),
    [sym__lhs] = STATE(2135),
    [sym__variable] = STATE(2013),
    [sym__nonlocal_variable] = STATE(2041),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2055),
    [sym_constant_suffix] = STATE(2197),
    [sym_identifier_suffix] = STATE(2196),
    [sym_chained_string] = STATE(2238),
    [sym_string] = STATE(2160),
    [sym_subshell] = STATE(2238),
    [sym_string_array] = STATE(2238),
    [sym_symbol_array] = STATE(2238),
    [sym_delimited_symbol] = STATE(2237),
    [sym_regex] = STATE(2238),
    [sym_heredoc_body] = STATE(1875),
    [sym_array] = STATE(2238),
    [sym_hash] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_identifier] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_def] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(25),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(33),
    [anon_sym_class] = ACTIONS(35),
    [anon_sym_module] = ACTIONS(37),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(891),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_next] = ACTIONS(895),
    [anon_sym_redo] = ACTIONS(47),
    [anon_sym_retry] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_unless] = ACTIONS(53),
    [anon_sym_while] = ACTIONS(55),
    [anon_sym_until] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_defined_QMARK] = ACTIONS(1866),
    [anon_sym_not] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(1872),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(881),
    [sym_self] = ACTIONS(881),
    [sym_true] = ACTIONS(85),
    [sym_false] = ACTIONS(85),
    [sym_constant] = ACTIONS(881),
    [aux_sym_constant_suffix_token1] = ACTIONS(909),
    [aux_sym_identifier_suffix_token1] = ACTIONS(911),
    [sym_instance_variable] = ACTIONS(913),
    [sym_class_variable] = ACTIONS(913),
    [sym_global_variable] = ACTIONS(913),
    [sym_character] = ACTIONS(93),
    [anon_sym_DASH_GT] = ACTIONS(95),
    [sym_simple_symbol] = ACTIONS(97),
    [sym__string_start] = ACTIONS(99),
    [sym__symbol_start] = ACTIONS(101),
    [sym__subshell_start] = ACTIONS(103),
    [sym__regex_start] = ACTIONS(105),
    [sym__string_array_start] = ACTIONS(107),
    [sym__symbol_array_start] = ACTIONS(109),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(93),
    [sym__unary_minus] = ACTIONS(115),
    [sym__unary_minus_num] = ACTIONS(113),
    [sym__binary_minus] = ACTIONS(115),
    [sym__identifier_suffix] = ACTIONS(919),
    [sym__constant_suffix] = ACTIONS(909),
  },
  [1876] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(3799),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2235),
    [sym_left_assignment_list] = STATE(5765),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2379),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5471),
    [sym_complex] = STATE(2208),
    [sym_rational] = STATE(2208),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(2720),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1876),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(1992),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_defined_QMARK] = ACTIONS(1692),
    [anon_sym_not] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1696),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(83),
    [sym_float] = ACTIONS(83),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1391),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1393),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(341),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(719),
    [sym__unary_minus_num] = ACTIONS(629),
    [sym__binary_minus] = ACTIONS(719),
    [sym__identifier_suffix] = ACTIONS(1401),
    [sym__constant_suffix] = ACTIONS(1391),
  },
  [1877] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4101),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1877),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1878] = {
    [sym_method] = STATE(2957),
    [sym_singleton_method] = STATE(2957),
    [sym_class] = STATE(2957),
    [sym_singleton_class] = STATE(2957),
    [sym_module] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_yield] = STATE(2957),
    [sym_break] = STATE(2957),
    [sym_next] = STATE(2957),
    [sym_redo] = STATE(2957),
    [sym_retry] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_until] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_case] = STATE(2957),
    [sym_case_match] = STATE(2957),
    [sym_if] = STATE(2957),
    [sym_unless] = STATE(2957),
    [sym_begin] = STATE(2957),
    [sym__arg] = STATE(4059),
    [sym__unary_minus_pow] = STATE(3322),
    [sym__primary] = STATE(3141),
    [sym_parenthesized_statements] = STATE(2957),
    [sym_element_reference] = STATE(2192),
    [sym_scope_resolution] = STATE(2192),
    [sym__call] = STATE(2126),
    [sym_call] = STATE(2957),
    [sym_assignment] = STATE(3333),
    [sym_operator_assignment] = STATE(3333),
    [sym_conditional] = STATE(3333),
    [sym_range] = STATE(3333),
    [sym_binary] = STATE(3333),
    [sym_unary] = STATE(3333),
    [sym_parenthesized_unary] = STATE(2957),
    [sym_unary_literal] = STATE(2886),
    [sym__literal] = STATE(2957),
    [sym__numeric] = STATE(2955),
    [sym__simple_numeric] = STATE(2886),
    [sym_left_assignment_list] = STATE(5780),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(2666),
    [sym__function_identifier_call] = STATE(2882),
    [sym__lhs] = STATE(2505),
    [sym__variable] = STATE(2125),
    [sym__nonlocal_variable] = STATE(2158),
    [sym__int_or_float] = STATE(5483),
    [sym_complex] = STATE(2877),
    [sym_rational] = STATE(2877),
    [sym_nil] = STATE(2192),
    [sym_constant_suffix] = STATE(2818),
    [sym_identifier_suffix] = STATE(2819),
    [sym_chained_string] = STATE(2957),
    [sym_string] = STATE(3412),
    [sym_subshell] = STATE(2957),
    [sym_string_array] = STATE(2957),
    [sym_symbol_array] = STATE(2957),
    [sym_delimited_symbol] = STATE(2955),
    [sym_regex] = STATE(2957),
    [sym_heredoc_body] = STATE(1878),
    [sym_array] = STATE(2957),
    [sym_hash] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_def] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(279),
    [anon_sym_class] = ACTIONS(281),
    [anon_sym_module] = ACTIONS(283),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_next] = ACTIONS(1377),
    [anon_sym_redo] = ACTIONS(293),
    [anon_sym_retry] = ACTIONS(295),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_unless] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_until] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_DOT_DOT] = ACTIONS(2236),
    [anon_sym_begin] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_defined_QMARK] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_TILDE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(323),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_constant] = ACTIONS(1365),
    [aux_sym_constant_suffix_token1] = ACTIONS(1972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1974),
    [sym_instance_variable] = ACTIONS(1395),
    [sym_class_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_character] = ACTIONS(335),
    [anon_sym_DASH_GT] = ACTIONS(337),
    [sym_simple_symbol] = ACTIONS(339),
    [sym__string_start] = ACTIONS(1976),
    [sym__symbol_start] = ACTIONS(343),
    [sym__subshell_start] = ACTIONS(345),
    [sym__regex_start] = ACTIONS(347),
    [sym__string_array_start] = ACTIONS(349),
    [sym__symbol_array_start] = ACTIONS(351),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(335),
    [sym__unary_minus] = ACTIONS(2248),
    [sym__unary_minus_num] = ACTIONS(2250),
    [sym__binary_minus] = ACTIONS(2248),
    [sym__identifier_suffix] = ACTIONS(1982),
    [sym__constant_suffix] = ACTIONS(1972),
  },
  [1879] = {
    [sym_heredoc_body] = STATE(1879),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_RBRACE] = ACTIONS(745),
    [anon_sym_def] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_end] = ACTIONS(733),
    [anon_sym_rescue] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(733),
    [anon_sym_nil] = ACTIONS(733),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_next] = ACTIONS(733),
    [anon_sym_redo] = ACTIONS(733),
    [anon_sym_retry] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_unless] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_until] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_in] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_when] = ACTIONS(733),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_elsif] = ACTIONS(733),
    [anon_sym_else] = ACTIONS(733),
    [anon_sym_then] = ACTIONS(733),
    [anon_sym_begin] = ACTIONS(733),
    [anon_sym_ensure] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [anon_sym_defined_QMARK] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_self] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_constant] = ACTIONS(733),
    [aux_sym_constant_suffix_token1] = ACTIONS(745),
    [aux_sym_identifier_suffix_token1] = ACTIONS(733),
    [sym_instance_variable] = ACTIONS(745),
    [sym_class_variable] = ACTIONS(745),
    [sym_global_variable] = ACTIONS(745),
    [sym_character] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(745),
    [sym__line_break] = ACTIONS(745),
    [sym_simple_symbol] = ACTIONS(745),
    [sym__string_start] = ACTIONS(745),
    [sym__symbol_start] = ACTIONS(745),
    [sym__subshell_start] = ACTIONS(745),
    [sym__regex_start] = ACTIONS(745),
    [sym__string_array_start] = ACTIONS(745),
    [sym__symbol_array_start] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(745),
    [sym__block_ampersand] = ACTIONS(745),
    [sym__splat_star] = ACTIONS(745),
    [sym__unary_minus] = ACTIONS(745),
    [sym__unary_minus_num] = ACTIONS(745),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym_hash_key_symbol] = ACTIONS(745),
    [sym__identifier_suffix] = ACTIONS(745),
    [sym__constant_suffix] = ACTIONS(745),
    [sym__hash_splat_star_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [1880] = {
    [sym_heredoc_body] = STATE(1880),
    [sym_identifier] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_RBRACE] = ACTIONS(2564),
    [anon_sym_def] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_end] = ACTIONS(2562),
    [anon_sym_rescue] = ACTIONS(2562),
    [anon_sym_EQ] = ACTIONS(2562),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_nil] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_LT] = ACTIONS(2562),
    [anon_sym_module] = ACTIONS(2562),
    [anon_sym_return] = ACTIONS(2562),
    [anon_sym_yield] = ACTIONS(2562),
    [anon_sym_break] = ACTIONS(2562),
    [anon_sym_next] = ACTIONS(2562),
    [anon_sym_redo] = ACTIONS(2562),
    [anon_sym_retry] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_unless] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_until] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2562),
    [anon_sym_in] = ACTIONS(2562),
    [anon_sym_do] = ACTIONS(2562),
    [anon_sym_case] = ACTIONS(2562),
    [anon_sym_when] = ACTIONS(2562),
    [anon_sym_EQ_GT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_CARET] = ACTIONS(2562),
    [anon_sym_elsif] = ACTIONS(2562),
    [anon_sym_else] = ACTIONS(2562),
    [anon_sym_then] = ACTIONS(2562),
    [anon_sym_begin] = ACTIONS(2562),
    [anon_sym_ensure] = ACTIONS(2562),
    [anon_sym_COLON_COLON2] = ACTIONS(2564),
    [anon_sym_AMP_DOT] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2564),
    [anon_sym_DASH_EQ] = ACTIONS(2564),
    [anon_sym_STAR_EQ] = ACTIONS(2564),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2564),
    [anon_sym_SLASH_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_EQ] = ACTIONS(2564),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2564),
    [anon_sym_AMP_EQ] = ACTIONS(2564),
    [anon_sym_PERCENT_EQ] = ACTIONS(2564),
    [anon_sym_GT_GT_EQ] = ACTIONS(2564),
    [anon_sym_LT_LT_EQ] = ACTIONS(2564),
    [anon_sym_CARET_EQ] = ACTIONS(2564),
    [anon_sym_QMARK] = ACTIONS(2562),
    [anon_sym_and] = ACTIONS(2562),
    [anon_sym_or] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_LT_LT] = ACTIONS(2562),
    [anon_sym_GT_GT] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_SLASH] = ACTIONS(2562),
    [anon_sym_PERCENT] = ACTIONS(2562),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2564),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2564),
    [anon_sym_LT_EQ_GT] = ACTIONS(2564),
    [anon_sym_EQ_TILDE] = ACTIONS(2564),
    [anon_sym_BANG_TILDE] = ACTIONS(2564),
    [anon_sym_defined_QMARK] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2562),
    [sym_float] = ACTIONS(2562),
    [sym_super] = ACTIONS(2562),
    [sym_self] = ACTIONS(2562),
    [sym_true] = ACTIONS(2562),
    [sym_false] = ACTIONS(2562),
    [sym_constant] = ACTIONS(2562),
    [aux_sym_constant_suffix_token1] = ACTIONS(2564),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2562),
    [sym_instance_variable] = ACTIONS(2564),
    [sym_class_variable] = ACTIONS(2564),
    [sym_global_variable] = ACTIONS(2564),
    [sym_character] = ACTIONS(2564),
    [anon_sym_DASH_GT] = ACTIONS(2564),
    [sym__line_break] = ACTIONS(2564),
    [sym_simple_symbol] = ACTIONS(2564),
    [sym__string_start] = ACTIONS(2564),
    [sym__symbol_start] = ACTIONS(2564),
    [sym__subshell_start] = ACTIONS(2564),
    [sym__regex_start] = ACTIONS(2564),
    [sym__string_array_start] = ACTIONS(2564),
    [sym__symbol_array_start] = ACTIONS(2564),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2564),
    [sym__block_ampersand] = ACTIONS(2564),
    [sym__splat_star] = ACTIONS(2564),
    [sym__unary_minus] = ACTIONS(2564),
    [sym__unary_minus_num] = ACTIONS(2564),
    [sym__binary_minus] = ACTIONS(2564),
    [sym__binary_star] = ACTIONS(2564),
    [sym_hash_key_symbol] = ACTIONS(2564),
    [sym__identifier_suffix] = ACTIONS(2564),
    [sym__constant_suffix] = ACTIONS(2564),
    [sym__hash_splat_star_star] = ACTIONS(2564),
    [sym__binary_star_star] = ACTIONS(2564),
    [sym__element_reference_bracket] = ACTIONS(2564),
  },
  [1881] = {
    [sym_heredoc_body] = STATE(1881),
    [sym_identifier] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_RBRACE] = ACTIONS(2568),
    [anon_sym_def] = ACTIONS(2566),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_RPAREN] = ACTIONS(2568),
    [anon_sym_DOT] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_end] = ACTIONS(2566),
    [anon_sym_rescue] = ACTIONS(2566),
    [anon_sym_EQ] = ACTIONS(2566),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_PIPE] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_nil] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_LT] = ACTIONS(2566),
    [anon_sym_module] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_yield] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_next] = ACTIONS(2566),
    [anon_sym_redo] = ACTIONS(2566),
    [anon_sym_retry] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_unless] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_until] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_when] = ACTIONS(2566),
    [anon_sym_EQ_GT] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_DOT_DOT] = ACTIONS(2566),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_elsif] = ACTIONS(2566),
    [anon_sym_else] = ACTIONS(2566),
    [anon_sym_then] = ACTIONS(2566),
    [anon_sym_begin] = ACTIONS(2566),
    [anon_sym_ensure] = ACTIONS(2566),
    [anon_sym_COLON_COLON2] = ACTIONS(2568),
    [anon_sym_AMP_DOT] = ACTIONS(2568),
    [anon_sym_PLUS_EQ] = ACTIONS(2568),
    [anon_sym_DASH_EQ] = ACTIONS(2568),
    [anon_sym_STAR_EQ] = ACTIONS(2568),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2568),
    [anon_sym_AMP_EQ] = ACTIONS(2568),
    [anon_sym_PERCENT_EQ] = ACTIONS(2568),
    [anon_sym_GT_GT_EQ] = ACTIONS(2568),
    [anon_sym_LT_LT_EQ] = ACTIONS(2568),
    [anon_sym_CARET_EQ] = ACTIONS(2568),
    [anon_sym_QMARK] = ACTIONS(2566),
    [anon_sym_and] = ACTIONS(2566),
    [anon_sym_or] = ACTIONS(2566),
    [anon_sym_PIPE_PIPE] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_LT_LT] = ACTIONS(2566),
    [anon_sym_GT_GT] = ACTIONS(2566),
    [anon_sym_LT_EQ] = ACTIONS(2566),
    [anon_sym_GT] = ACTIONS(2566),
    [anon_sym_GT_EQ] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym_SLASH] = ACTIONS(2566),
    [anon_sym_PERCENT] = ACTIONS(2566),
    [anon_sym_EQ_EQ] = ACTIONS(2566),
    [anon_sym_BANG_EQ] = ACTIONS(2568),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2568),
    [anon_sym_LT_EQ_GT] = ACTIONS(2568),
    [anon_sym_EQ_TILDE] = ACTIONS(2568),
    [anon_sym_BANG_TILDE] = ACTIONS(2568),
    [anon_sym_defined_QMARK] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2566),
    [sym_float] = ACTIONS(2566),
    [sym_super] = ACTIONS(2566),
    [sym_self] = ACTIONS(2566),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [sym_constant] = ACTIONS(2566),
    [aux_sym_constant_suffix_token1] = ACTIONS(2568),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2566),
    [sym_instance_variable] = ACTIONS(2568),
    [sym_class_variable] = ACTIONS(2568),
    [sym_global_variable] = ACTIONS(2568),
    [sym_character] = ACTIONS(2568),
    [anon_sym_DASH_GT] = ACTIONS(2568),
    [sym__line_break] = ACTIONS(2568),
    [sym_simple_symbol] = ACTIONS(2568),
    [sym__string_start] = ACTIONS(2568),
    [sym__symbol_start] = ACTIONS(2568),
    [sym__subshell_start] = ACTIONS(2568),
    [sym__regex_start] = ACTIONS(2568),
    [sym__string_array_start] = ACTIONS(2568),
    [sym__symbol_array_start] = ACTIONS(2568),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2568),
    [sym__block_ampersand] = ACTIONS(2568),
    [sym__splat_star] = ACTIONS(2568),
    [sym__unary_minus] = ACTIONS(2568),
    [sym__unary_minus_num] = ACTIONS(2568),
    [sym__binary_minus] = ACTIONS(2568),
    [sym__binary_star] = ACTIONS(2568),
    [sym_hash_key_symbol] = ACTIONS(2568),
    [sym__identifier_suffix] = ACTIONS(2568),
    [sym__constant_suffix] = ACTIONS(2568),
    [sym__hash_splat_star_star] = ACTIONS(2568),
    [sym__binary_star_star] = ACTIONS(2568),
    [sym__element_reference_bracket] = ACTIONS(2568),
  },
  [1882] = {
    [sym_heredoc_body] = STATE(1882),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_RBRACE] = ACTIONS(2572),
    [anon_sym_def] = ACTIONS(2570),
    [anon_sym_LPAREN] = ACTIONS(2570),
    [anon_sym_RPAREN] = ACTIONS(2572),
    [anon_sym_DOT] = ACTIONS(2570),
    [anon_sym_COLON_COLON] = ACTIONS(2570),
    [anon_sym_end] = ACTIONS(2570),
    [anon_sym_rescue] = ACTIONS(2570),
    [anon_sym_EQ] = ACTIONS(2570),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_PIPE] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_nil] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_class] = ACTIONS(2570),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_module] = ACTIONS(2570),
    [anon_sym_return] = ACTIONS(2570),
    [anon_sym_yield] = ACTIONS(2570),
    [anon_sym_break] = ACTIONS(2570),
    [anon_sym_next] = ACTIONS(2570),
    [anon_sym_redo] = ACTIONS(2570),
    [anon_sym_retry] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2570),
    [anon_sym_unless] = ACTIONS(2570),
    [anon_sym_while] = ACTIONS(2570),
    [anon_sym_until] = ACTIONS(2570),
    [anon_sym_for] = ACTIONS(2570),
    [anon_sym_in] = ACTIONS(2570),
    [anon_sym_do] = ACTIONS(2570),
    [anon_sym_case] = ACTIONS(2570),
    [anon_sym_when] = ACTIONS(2570),
    [anon_sym_EQ_GT] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_DOT_DOT] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_elsif] = ACTIONS(2570),
    [anon_sym_else] = ACTIONS(2570),
    [anon_sym_then] = ACTIONS(2570),
    [anon_sym_begin] = ACTIONS(2570),
    [anon_sym_ensure] = ACTIONS(2570),
    [anon_sym_COLON_COLON2] = ACTIONS(2572),
    [anon_sym_AMP_DOT] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2572),
    [anon_sym_DASH_EQ] = ACTIONS(2572),
    [anon_sym_STAR_EQ] = ACTIONS(2572),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2572),
    [anon_sym_SLASH_EQ] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2572),
    [anon_sym_PIPE_EQ] = ACTIONS(2572),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2572),
    [anon_sym_AMP_EQ] = ACTIONS(2572),
    [anon_sym_PERCENT_EQ] = ACTIONS(2572),
    [anon_sym_GT_GT_EQ] = ACTIONS(2572),
    [anon_sym_LT_LT_EQ] = ACTIONS(2572),
    [anon_sym_CARET_EQ] = ACTIONS(2572),
    [anon_sym_QMARK] = ACTIONS(2570),
    [anon_sym_and] = ACTIONS(2570),
    [anon_sym_or] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_LT_LT] = ACTIONS(2570),
    [anon_sym_GT_GT] = ACTIONS(2570),
    [anon_sym_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT] = ACTIONS(2570),
    [anon_sym_GT_EQ] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_SLASH] = ACTIONS(2570),
    [anon_sym_PERCENT] = ACTIONS(2570),
    [anon_sym_EQ_EQ] = ACTIONS(2570),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2572),
    [anon_sym_LT_EQ_GT] = ACTIONS(2572),
    [anon_sym_EQ_TILDE] = ACTIONS(2572),
    [anon_sym_BANG_TILDE] = ACTIONS(2572),
    [anon_sym_defined_QMARK] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2570),
    [sym_float] = ACTIONS(2570),
    [sym_super] = ACTIONS(2570),
    [sym_self] = ACTIONS(2570),
    [sym_true] = ACTIONS(2570),
    [sym_false] = ACTIONS(2570),
    [sym_constant] = ACTIONS(2570),
    [aux_sym_constant_suffix_token1] = ACTIONS(2572),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2570),
    [sym_instance_variable] = ACTIONS(2572),
    [sym_class_variable] = ACTIONS(2572),
    [sym_global_variable] = ACTIONS(2572),
    [sym_character] = ACTIONS(2572),
    [anon_sym_DASH_GT] = ACTIONS(2572),
    [sym__line_break] = ACTIONS(2572),
    [sym_simple_symbol] = ACTIONS(2572),
    [sym__string_start] = ACTIONS(2572),
    [sym__symbol_start] = ACTIONS(2572),
    [sym__subshell_start] = ACTIONS(2572),
    [sym__regex_start] = ACTIONS(2572),
    [sym__string_array_start] = ACTIONS(2572),
    [sym__symbol_array_start] = ACTIONS(2572),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2572),
    [sym__block_ampersand] = ACTIONS(2572),
    [sym__splat_star] = ACTIONS(2572),
    [sym__unary_minus] = ACTIONS(2572),
    [sym__unary_minus_num] = ACTIONS(2572),
    [sym__binary_minus] = ACTIONS(2572),
    [sym__binary_star] = ACTIONS(2572),
    [sym_hash_key_symbol] = ACTIONS(2572),
    [sym__identifier_suffix] = ACTIONS(2572),
    [sym__constant_suffix] = ACTIONS(2572),
    [sym__hash_splat_star_star] = ACTIONS(2572),
    [sym__binary_star_star] = ACTIONS(2572),
    [sym__element_reference_bracket] = ACTIONS(2572),
  },
  [1883] = {
    [sym_heredoc_body] = STATE(1883),
    [sym_identifier] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_RBRACE] = ACTIONS(2576),
    [anon_sym_def] = ACTIONS(2574),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_RPAREN] = ACTIONS(2576),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_end] = ACTIONS(2578),
    [anon_sym_rescue] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_nil] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_module] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_yield] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_next] = ACTIONS(2574),
    [anon_sym_redo] = ACTIONS(2574),
    [anon_sym_retry] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2578),
    [anon_sym_unless] = ACTIONS(2578),
    [anon_sym_while] = ACTIONS(2578),
    [anon_sym_until] = ACTIONS(2578),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_do] = ACTIONS(2578),
    [anon_sym_case] = ACTIONS(2574),
    [anon_sym_when] = ACTIONS(2578),
    [anon_sym_EQ_GT] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_elsif] = ACTIONS(2578),
    [anon_sym_else] = ACTIONS(2578),
    [anon_sym_then] = ACTIONS(2578),
    [anon_sym_begin] = ACTIONS(2574),
    [anon_sym_ensure] = ACTIONS(2578),
    [anon_sym_COLON_COLON2] = ACTIONS(2576),
    [anon_sym_AMP_DOT] = ACTIONS(2576),
    [anon_sym_PLUS_EQ] = ACTIONS(2576),
    [anon_sym_DASH_EQ] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(2576),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2576),
    [anon_sym_SLASH_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_EQ] = ACTIONS(2576),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2576),
    [anon_sym_AMP_EQ] = ACTIONS(2576),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_GT_GT_EQ] = ACTIONS(2576),
    [anon_sym_LT_LT_EQ] = ACTIONS(2576),
    [anon_sym_CARET_EQ] = ACTIONS(2576),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_and] = ACTIONS(2578),
    [anon_sym_or] = ACTIONS(2578),
    [anon_sym_PIPE_PIPE] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2578),
    [anon_sym_GT_GT] = ACTIONS(2578),
    [anon_sym_LT_EQ] = ACTIONS(2578),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_GT_EQ] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ] = ACTIONS(2576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2576),
    [anon_sym_LT_EQ_GT] = ACTIONS(2576),
    [anon_sym_EQ_TILDE] = ACTIONS(2576),
    [anon_sym_BANG_TILDE] = ACTIONS(2576),
    [anon_sym_defined_QMARK] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2574),
    [sym_float] = ACTIONS(2574),
    [sym_super] = ACTIONS(2574),
    [sym_self] = ACTIONS(2574),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [sym_constant] = ACTIONS(2574),
    [aux_sym_constant_suffix_token1] = ACTIONS(2580),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2574),
    [sym_instance_variable] = ACTIONS(2580),
    [sym_class_variable] = ACTIONS(2580),
    [sym_global_variable] = ACTIONS(2580),
    [sym_character] = ACTIONS(2580),
    [anon_sym_DASH_GT] = ACTIONS(2580),
    [sym__line_break] = ACTIONS(2576),
    [sym_simple_symbol] = ACTIONS(2580),
    [sym__string_start] = ACTIONS(2580),
    [sym__symbol_start] = ACTIONS(2580),
    [sym__subshell_start] = ACTIONS(2580),
    [sym__regex_start] = ACTIONS(2580),
    [sym__string_array_start] = ACTIONS(2580),
    [sym__symbol_array_start] = ACTIONS(2580),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2580),
    [sym__block_ampersand] = ACTIONS(2580),
    [sym__splat_star] = ACTIONS(2580),
    [sym__unary_minus] = ACTIONS(2580),
    [sym__unary_minus_num] = ACTIONS(2580),
    [sym__binary_minus] = ACTIONS(2576),
    [sym__binary_star] = ACTIONS(2576),
    [sym_hash_key_symbol] = ACTIONS(2580),
    [sym__identifier_suffix] = ACTIONS(2580),
    [sym__constant_suffix] = ACTIONS(2580),
    [sym__hash_splat_star_star] = ACTIONS(2580),
    [sym__binary_star_star] = ACTIONS(2576),
    [sym__element_reference_bracket] = ACTIONS(2576),
  },
  [1884] = {
    [sym_heredoc_body] = STATE(1884),
    [sym_identifier] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [anon_sym_def] = ACTIONS(2582),
    [anon_sym_LPAREN] = ACTIONS(2582),
    [anon_sym_RPAREN] = ACTIONS(2584),
    [anon_sym_DOT] = ACTIONS(2582),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_end] = ACTIONS(2582),
    [anon_sym_rescue] = ACTIONS(2582),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_nil] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(2582),
    [anon_sym_LT] = ACTIONS(2582),
    [anon_sym_module] = ACTIONS(2582),
    [anon_sym_return] = ACTIONS(2582),
    [anon_sym_yield] = ACTIONS(2582),
    [anon_sym_break] = ACTIONS(2582),
    [anon_sym_next] = ACTIONS(2582),
    [anon_sym_redo] = ACTIONS(2582),
    [anon_sym_retry] = ACTIONS(2582),
    [anon_sym_if] = ACTIONS(2582),
    [anon_sym_unless] = ACTIONS(2582),
    [anon_sym_while] = ACTIONS(2582),
    [anon_sym_until] = ACTIONS(2582),
    [anon_sym_for] = ACTIONS(2582),
    [anon_sym_in] = ACTIONS(2582),
    [anon_sym_do] = ACTIONS(2582),
    [anon_sym_case] = ACTIONS(2582),
    [anon_sym_when] = ACTIONS(2582),
    [anon_sym_EQ_GT] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2584),
    [anon_sym_DOT_DOT] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_elsif] = ACTIONS(2582),
    [anon_sym_else] = ACTIONS(2582),
    [anon_sym_then] = ACTIONS(2582),
    [anon_sym_begin] = ACTIONS(2582),
    [anon_sym_ensure] = ACTIONS(2582),
    [anon_sym_COLON_COLON2] = ACTIONS(2584),
    [anon_sym_AMP_DOT] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2582),
    [anon_sym_and] = ACTIONS(2582),
    [anon_sym_or] = ACTIONS(2582),
    [anon_sym_PIPE_PIPE] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_LT_LT] = ACTIONS(2582),
    [anon_sym_GT_GT] = ACTIONS(2582),
    [anon_sym_LT_EQ] = ACTIONS(2582),
    [anon_sym_GT] = ACTIONS(2582),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2582),
    [anon_sym_SLASH] = ACTIONS(2582),
    [anon_sym_PERCENT] = ACTIONS(2582),
    [anon_sym_EQ_EQ] = ACTIONS(2582),
    [anon_sym_BANG_EQ] = ACTIONS(2584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_LT_EQ_GT] = ACTIONS(2584),
    [anon_sym_EQ_TILDE] = ACTIONS(2584),
    [anon_sym_BANG_TILDE] = ACTIONS(2584),
    [anon_sym_defined_QMARK] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2582),
    [sym_float] = ACTIONS(2582),
    [sym_super] = ACTIONS(2582),
    [sym_self] = ACTIONS(2582),
    [sym_true] = ACTIONS(2582),
    [sym_false] = ACTIONS(2582),
    [sym_constant] = ACTIONS(2582),
    [aux_sym_constant_suffix_token1] = ACTIONS(2584),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2582),
    [sym_instance_variable] = ACTIONS(2584),
    [sym_class_variable] = ACTIONS(2584),
    [sym_global_variable] = ACTIONS(2584),
    [sym_character] = ACTIONS(2584),
    [anon_sym_DASH_GT] = ACTIONS(2584),
    [sym__line_break] = ACTIONS(2584),
    [sym_simple_symbol] = ACTIONS(2584),
    [sym__string_start] = ACTIONS(2584),
    [sym__symbol_start] = ACTIONS(2584),
    [sym__subshell_start] = ACTIONS(2584),
    [sym__regex_start] = ACTIONS(2584),
    [sym__string_array_start] = ACTIONS(2584),
    [sym__symbol_array_start] = ACTIONS(2584),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2584),
    [sym__block_ampersand] = ACTIONS(2584),
    [sym__splat_star] = ACTIONS(2584),
    [sym__unary_minus] = ACTIONS(2584),
    [sym__unary_minus_num] = ACTIONS(2584),
    [sym__binary_minus] = ACTIONS(2584),
    [sym__binary_star] = ACTIONS(2584),
    [sym_hash_key_symbol] = ACTIONS(2584),
    [sym__identifier_suffix] = ACTIONS(2584),
    [sym__constant_suffix] = ACTIONS(2584),
    [sym__hash_splat_star_star] = ACTIONS(2584),
    [sym__binary_star_star] = ACTIONS(2584),
    [sym__element_reference_bracket] = ACTIONS(2584),
  },
  [1885] = {
    [sym_heredoc_body] = STATE(1885),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_def] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2586),
    [anon_sym_RPAREN] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_end] = ACTIONS(2586),
    [anon_sym_rescue] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_nil] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_next] = ACTIONS(2586),
    [anon_sym_redo] = ACTIONS(2586),
    [anon_sym_retry] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_until] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_when] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_elsif] = ACTIONS(2586),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_then] = ACTIONS(2586),
    [anon_sym_begin] = ACTIONS(2586),
    [anon_sym_ensure] = ACTIONS(2586),
    [anon_sym_COLON_COLON2] = ACTIONS(2588),
    [anon_sym_AMP_DOT] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2588),
    [anon_sym_PIPE_EQ] = ACTIONS(2588),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2588),
    [anon_sym_AMP_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_GT_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_LT_EQ] = ACTIONS(2588),
    [anon_sym_CARET_EQ] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2586),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2586),
    [anon_sym_GT_GT] = ACTIONS(2586),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ_GT] = ACTIONS(2588),
    [anon_sym_EQ_TILDE] = ACTIONS(2588),
    [anon_sym_BANG_TILDE] = ACTIONS(2588),
    [anon_sym_defined_QMARK] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2586),
    [sym_float] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_self] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_constant] = ACTIONS(2586),
    [aux_sym_constant_suffix_token1] = ACTIONS(2588),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2586),
    [sym_instance_variable] = ACTIONS(2588),
    [sym_class_variable] = ACTIONS(2588),
    [sym_global_variable] = ACTIONS(2588),
    [sym_character] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [sym__line_break] = ACTIONS(2588),
    [sym_simple_symbol] = ACTIONS(2588),
    [sym__string_start] = ACTIONS(2588),
    [sym__symbol_start] = ACTIONS(2588),
    [sym__subshell_start] = ACTIONS(2588),
    [sym__regex_start] = ACTIONS(2588),
    [sym__string_array_start] = ACTIONS(2588),
    [sym__symbol_array_start] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2588),
    [sym__block_ampersand] = ACTIONS(2588),
    [sym__splat_star] = ACTIONS(2588),
    [sym__unary_minus] = ACTIONS(2588),
    [sym__unary_minus_num] = ACTIONS(2588),
    [sym__binary_minus] = ACTIONS(2588),
    [sym__binary_star] = ACTIONS(2588),
    [sym_hash_key_symbol] = ACTIONS(2588),
    [sym__identifier_suffix] = ACTIONS(2588),
    [sym__constant_suffix] = ACTIONS(2588),
    [sym__hash_splat_star_star] = ACTIONS(2588),
    [sym__binary_star_star] = ACTIONS(2588),
    [sym__element_reference_bracket] = ACTIONS(2588),
  },
  [1886] = {
    [sym_heredoc_body] = STATE(1886),
    [sym_identifier] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_RBRACE] = ACTIONS(2592),
    [anon_sym_def] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2590),
    [anon_sym_RPAREN] = ACTIONS(2592),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_end] = ACTIONS(2590),
    [anon_sym_rescue] = ACTIONS(2590),
    [anon_sym_EQ] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_nil] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_next] = ACTIONS(2590),
    [anon_sym_redo] = ACTIONS(2590),
    [anon_sym_retry] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_when] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2590),
    [anon_sym_elsif] = ACTIONS(2590),
    [anon_sym_else] = ACTIONS(2590),
    [anon_sym_then] = ACTIONS(2590),
    [anon_sym_begin] = ACTIONS(2590),
    [anon_sym_ensure] = ACTIONS(2590),
    [anon_sym_COLON_COLON2] = ACTIONS(2592),
    [anon_sym_AMP_DOT] = ACTIONS(2592),
    [anon_sym_PLUS_EQ] = ACTIONS(2592),
    [anon_sym_DASH_EQ] = ACTIONS(2592),
    [anon_sym_STAR_EQ] = ACTIONS(2592),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2592),
    [anon_sym_SLASH_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_EQ] = ACTIONS(2592),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2592),
    [anon_sym_AMP_EQ] = ACTIONS(2592),
    [anon_sym_PERCENT_EQ] = ACTIONS(2592),
    [anon_sym_GT_GT_EQ] = ACTIONS(2592),
    [anon_sym_LT_LT_EQ] = ACTIONS(2592),
    [anon_sym_CARET_EQ] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2590),
    [anon_sym_LT_LT] = ACTIONS(2590),
    [anon_sym_GT_GT] = ACTIONS(2590),
    [anon_sym_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_SLASH] = ACTIONS(2590),
    [anon_sym_PERCENT] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2590),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ_GT] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2592),
    [anon_sym_BANG_TILDE] = ACTIONS(2592),
    [anon_sym_defined_QMARK] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2590),
    [sym_float] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_self] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_constant] = ACTIONS(2590),
    [aux_sym_constant_suffix_token1] = ACTIONS(2592),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2590),
    [sym_instance_variable] = ACTIONS(2592),
    [sym_class_variable] = ACTIONS(2592),
    [sym_global_variable] = ACTIONS(2592),
    [sym_character] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [sym__line_break] = ACTIONS(2592),
    [sym_simple_symbol] = ACTIONS(2592),
    [sym__string_start] = ACTIONS(2592),
    [sym__symbol_start] = ACTIONS(2592),
    [sym__subshell_start] = ACTIONS(2592),
    [sym__regex_start] = ACTIONS(2592),
    [sym__string_array_start] = ACTIONS(2592),
    [sym__symbol_array_start] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2592),
    [sym__block_ampersand] = ACTIONS(2592),
    [sym__splat_star] = ACTIONS(2592),
    [sym__unary_minus] = ACTIONS(2592),
    [sym__unary_minus_num] = ACTIONS(2592),
    [sym__binary_minus] = ACTIONS(2592),
    [sym__binary_star] = ACTIONS(2592),
    [sym_hash_key_symbol] = ACTIONS(2592),
    [sym__identifier_suffix] = ACTIONS(2592),
    [sym__constant_suffix] = ACTIONS(2592),
    [sym__hash_splat_star_star] = ACTIONS(2592),
    [sym__binary_star_star] = ACTIONS(2592),
    [sym__element_reference_bracket] = ACTIONS(2592),
  },
  [1887] = {
    [sym_heredoc_body] = STATE(1887),
    [sym_identifier] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_def] = ACTIONS(2574),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_RPAREN] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2574),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_end] = ACTIONS(2574),
    [anon_sym_rescue] = ACTIONS(2574),
    [anon_sym_EQ] = ACTIONS(2574),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_nil] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_LT] = ACTIONS(2574),
    [anon_sym_module] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_yield] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_next] = ACTIONS(2574),
    [anon_sym_redo] = ACTIONS(2574),
    [anon_sym_retry] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2574),
    [anon_sym_unless] = ACTIONS(2574),
    [anon_sym_while] = ACTIONS(2574),
    [anon_sym_until] = ACTIONS(2574),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2574),
    [anon_sym_do] = ACTIONS(2574),
    [anon_sym_case] = ACTIONS(2574),
    [anon_sym_when] = ACTIONS(2574),
    [anon_sym_EQ_GT] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2574),
    [anon_sym_CARET] = ACTIONS(2574),
    [anon_sym_elsif] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2574),
    [anon_sym_then] = ACTIONS(2574),
    [anon_sym_begin] = ACTIONS(2574),
    [anon_sym_ensure] = ACTIONS(2574),
    [anon_sym_COLON_COLON2] = ACTIONS(2580),
    [anon_sym_AMP_DOT] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_QMARK] = ACTIONS(2574),
    [anon_sym_and] = ACTIONS(2574),
    [anon_sym_or] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_LT_LT] = ACTIONS(2574),
    [anon_sym_GT_GT] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_GT] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2574),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ_GT] = ACTIONS(2580),
    [anon_sym_EQ_TILDE] = ACTIONS(2580),
    [anon_sym_BANG_TILDE] = ACTIONS(2580),
    [anon_sym_defined_QMARK] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2574),
    [sym_float] = ACTIONS(2574),
    [sym_super] = ACTIONS(2574),
    [sym_self] = ACTIONS(2574),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [sym_constant] = ACTIONS(2574),
    [aux_sym_constant_suffix_token1] = ACTIONS(2580),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2574),
    [sym_instance_variable] = ACTIONS(2580),
    [sym_class_variable] = ACTIONS(2580),
    [sym_global_variable] = ACTIONS(2580),
    [sym_character] = ACTIONS(2580),
    [anon_sym_DASH_GT] = ACTIONS(2580),
    [sym__line_break] = ACTIONS(2580),
    [sym_simple_symbol] = ACTIONS(2580),
    [sym__string_start] = ACTIONS(2580),
    [sym__symbol_start] = ACTIONS(2580),
    [sym__subshell_start] = ACTIONS(2580),
    [sym__regex_start] = ACTIONS(2580),
    [sym__string_array_start] = ACTIONS(2580),
    [sym__symbol_array_start] = ACTIONS(2580),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2580),
    [sym__block_ampersand] = ACTIONS(2580),
    [sym__splat_star] = ACTIONS(2580),
    [sym__unary_minus] = ACTIONS(2580),
    [sym__unary_minus_num] = ACTIONS(2580),
    [sym__binary_minus] = ACTIONS(2580),
    [sym__binary_star] = ACTIONS(2580),
    [sym_hash_key_symbol] = ACTIONS(2580),
    [sym__identifier_suffix] = ACTIONS(2580),
    [sym__constant_suffix] = ACTIONS(2580),
    [sym__hash_splat_star_star] = ACTIONS(2580),
    [sym__binary_star_star] = ACTIONS(2580),
    [sym__element_reference_bracket] = ACTIONS(2580),
  },
  [1888] = {
    [sym_heredoc_body] = STATE(1888),
    [sym_identifier] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2576),
    [anon_sym_def] = ACTIONS(2574),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_RPAREN] = ACTIONS(2576),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_end] = ACTIONS(2578),
    [anon_sym_rescue] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_nil] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_module] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_yield] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_next] = ACTIONS(2574),
    [anon_sym_redo] = ACTIONS(2574),
    [anon_sym_retry] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2578),
    [anon_sym_unless] = ACTIONS(2578),
    [anon_sym_while] = ACTIONS(2578),
    [anon_sym_until] = ACTIONS(2578),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_do] = ACTIONS(2574),
    [anon_sym_case] = ACTIONS(2574),
    [anon_sym_when] = ACTIONS(2578),
    [anon_sym_EQ_GT] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_elsif] = ACTIONS(2578),
    [anon_sym_else] = ACTIONS(2578),
    [anon_sym_then] = ACTIONS(2578),
    [anon_sym_begin] = ACTIONS(2574),
    [anon_sym_ensure] = ACTIONS(2578),
    [anon_sym_COLON_COLON2] = ACTIONS(2576),
    [anon_sym_AMP_DOT] = ACTIONS(2576),
    [anon_sym_PLUS_EQ] = ACTIONS(2576),
    [anon_sym_DASH_EQ] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(2576),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2576),
    [anon_sym_SLASH_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_EQ] = ACTIONS(2576),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2576),
    [anon_sym_AMP_EQ] = ACTIONS(2576),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_GT_GT_EQ] = ACTIONS(2576),
    [anon_sym_LT_LT_EQ] = ACTIONS(2576),
    [anon_sym_CARET_EQ] = ACTIONS(2576),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_and] = ACTIONS(2578),
    [anon_sym_or] = ACTIONS(2578),
    [anon_sym_PIPE_PIPE] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2578),
    [anon_sym_GT_GT] = ACTIONS(2578),
    [anon_sym_LT_EQ] = ACTIONS(2578),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_GT_EQ] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ] = ACTIONS(2576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2576),
    [anon_sym_LT_EQ_GT] = ACTIONS(2576),
    [anon_sym_EQ_TILDE] = ACTIONS(2576),
    [anon_sym_BANG_TILDE] = ACTIONS(2576),
    [anon_sym_defined_QMARK] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2574),
    [sym_float] = ACTIONS(2574),
    [sym_super] = ACTIONS(2574),
    [sym_self] = ACTIONS(2574),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [sym_constant] = ACTIONS(2574),
    [aux_sym_constant_suffix_token1] = ACTIONS(2580),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2574),
    [sym_instance_variable] = ACTIONS(2580),
    [sym_class_variable] = ACTIONS(2580),
    [sym_global_variable] = ACTIONS(2580),
    [sym_character] = ACTIONS(2580),
    [anon_sym_DASH_GT] = ACTIONS(2580),
    [sym__line_break] = ACTIONS(2576),
    [sym_simple_symbol] = ACTIONS(2580),
    [sym__string_start] = ACTIONS(2580),
    [sym__symbol_start] = ACTIONS(2580),
    [sym__subshell_start] = ACTIONS(2580),
    [sym__regex_start] = ACTIONS(2580),
    [sym__string_array_start] = ACTIONS(2580),
    [sym__symbol_array_start] = ACTIONS(2580),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2580),
    [sym__block_ampersand] = ACTIONS(2580),
    [sym__splat_star] = ACTIONS(2580),
    [sym__unary_minus] = ACTIONS(2580),
    [sym__unary_minus_num] = ACTIONS(2580),
    [sym__binary_minus] = ACTIONS(2576),
    [sym__binary_star] = ACTIONS(2576),
    [sym_hash_key_symbol] = ACTIONS(2580),
    [sym__identifier_suffix] = ACTIONS(2580),
    [sym__constant_suffix] = ACTIONS(2580),
    [sym__hash_splat_star_star] = ACTIONS(2580),
    [sym__binary_star_star] = ACTIONS(2576),
    [sym__element_reference_bracket] = ACTIONS(2576),
  },
  [1889] = {
    [sym_method] = STATE(5393),
    [sym_singleton_method] = STATE(5393),
    [sym_class] = STATE(5393),
    [sym_singleton_class] = STATE(5393),
    [sym_module] = STATE(5393),
    [sym_return] = STATE(5393),
    [sym_yield] = STATE(5393),
    [sym_break] = STATE(5393),
    [sym_next] = STATE(5393),
    [sym_redo] = STATE(5393),
    [sym_retry] = STATE(5393),
    [sym_while] = STATE(5393),
    [sym_until] = STATE(5393),
    [sym_for] = STATE(5393),
    [sym_case] = STATE(5393),
    [sym_case_match] = STATE(5393),
    [sym_if] = STATE(5393),
    [sym_unless] = STATE(5393),
    [sym_begin] = STATE(5393),
    [sym__primary] = STATE(5404),
    [sym_parenthesized_statements] = STATE(5393),
    [sym_element_reference] = STATE(4876),
    [sym_scope_resolution] = STATE(4876),
    [sym__call] = STATE(4590),
    [sym_call] = STATE(5393),
    [sym_parenthesized_unary] = STATE(5393),
    [sym_unary_literal] = STATE(5331),
    [sym__literal] = STATE(5393),
    [sym__numeric] = STATE(5399),
    [sym__simple_numeric] = STATE(5331),
    [sym__function_identifier] = STATE(4807),
    [sym__function_identifier_call] = STATE(5326),
    [sym__lhs] = STATE(4929),
    [sym__variable] = STATE(4583),
    [sym__nonlocal_variable] = STATE(4704),
    [sym__int_or_float] = STATE(5469),
    [sym_complex] = STATE(5314),
    [sym_rational] = STATE(5314),
    [sym_nil] = STATE(4876),
    [sym_constant_suffix] = STATE(4744),
    [sym_identifier_suffix] = STATE(4740),
    [sym_chained_string] = STATE(5393),
    [sym_string] = STATE(5029),
    [sym_subshell] = STATE(5393),
    [sym_string_array] = STATE(5393),
    [sym_symbol_array] = STATE(5393),
    [sym_delimited_symbol] = STATE(5399),
    [sym_regex] = STATE(5393),
    [sym_heredoc_body] = STATE(1889),
    [sym_array] = STATE(5393),
    [sym_hash] = STATE(5393),
    [sym_lambda] = STATE(5393),
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_RBRACE] = ACTIONS(2598),
    [anon_sym_def] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(2602),
    [anon_sym_RPAREN] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2604),
    [anon_sym_end] = ACTIONS(2606),
    [anon_sym_rescue] = ACTIONS(2606),
    [anon_sym_EQ] = ACTIONS(2608),
    [anon_sym_COMMA] = ACTIONS(2608),
    [anon_sym_SEMI] = ACTIONS(2598),
    [anon_sym_nil] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_module] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_yield] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_next] = ACTIONS(2622),
    [anon_sym_redo] = ACTIONS(2624),
    [anon_sym_retry] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_unless] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_until] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_in] = ACTIONS(2606),
    [anon_sym_do] = ACTIONS(2606),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_when] = ACTIONS(2606),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_elsif] = ACTIONS(2606),
    [anon_sym_else] = ACTIONS(2606),
    [anon_sym_then] = ACTIONS(2606),
    [anon_sym_begin] = ACTIONS(2642),
    [anon_sym_ensure] = ACTIONS(2606),
    [anon_sym_and] = ACTIONS(2606),
    [anon_sym_or] = ACTIONS(2606),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_defined_QMARK] = ACTIONS(2646),
    [anon_sym_not] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2650),
    [sym_float] = ACTIONS(2650),
    [sym_super] = ACTIONS(2652),
    [sym_self] = ACTIONS(2652),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [sym_constant] = ACTIONS(2652),
    [aux_sym_constant_suffix_token1] = ACTIONS(2656),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2658),
    [sym_instance_variable] = ACTIONS(2660),
    [sym_class_variable] = ACTIONS(2660),
    [sym_global_variable] = ACTIONS(2660),
    [sym_character] = ACTIONS(2662),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [sym__line_break] = ACTIONS(2598),
    [sym_simple_symbol] = ACTIONS(2666),
    [sym__string_start] = ACTIONS(2668),
    [sym__symbol_start] = ACTIONS(2670),
    [sym__subshell_start] = ACTIONS(2672),
    [sym__regex_start] = ACTIONS(2674),
    [sym__string_array_start] = ACTIONS(2676),
    [sym__symbol_array_start] = ACTIONS(2678),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2662),
    [sym__unary_minus_num] = ACTIONS(2644),
    [sym__identifier_suffix] = ACTIONS(2680),
    [sym__constant_suffix] = ACTIONS(2656),
  },
  [1890] = {
    [sym_heredoc_body] = STATE(1890),
    [ts_builtin_sym_end] = ACTIONS(745),
    [sym_identifier] = ACTIONS(733),
    [aux_sym_program_token1] = ACTIONS(745),
    [anon_sym___END__] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_def] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_rescue] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(733),
    [anon_sym_nil] = ACTIONS(733),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_COLON] = ACTIONS(2682),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_next] = ACTIONS(733),
    [anon_sym_redo] = ACTIONS(733),
    [anon_sym_retry] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_unless] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_until] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_in] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_begin] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [anon_sym_defined_QMARK] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_self] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_constant] = ACTIONS(733),
    [aux_sym_constant_suffix_token1] = ACTIONS(745),
    [aux_sym_identifier_suffix_token1] = ACTIONS(733),
    [sym_instance_variable] = ACTIONS(745),
    [sym_class_variable] = ACTIONS(745),
    [sym_global_variable] = ACTIONS(745),
    [sym_character] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(745),
    [sym__line_break] = ACTIONS(745),
    [sym_simple_symbol] = ACTIONS(745),
    [sym__string_start] = ACTIONS(745),
    [sym__symbol_start] = ACTIONS(745),
    [sym__subshell_start] = ACTIONS(745),
    [sym__regex_start] = ACTIONS(745),
    [sym__string_array_start] = ACTIONS(745),
    [sym__symbol_array_start] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(745),
    [sym__block_ampersand] = ACTIONS(745),
    [sym__splat_star] = ACTIONS(745),
    [sym__unary_minus] = ACTIONS(745),
    [sym__unary_minus_num] = ACTIONS(745),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym_hash_key_symbol] = ACTIONS(745),
    [sym__identifier_suffix] = ACTIONS(745),
    [sym__constant_suffix] = ACTIONS(745),
    [sym__hash_splat_star_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [1891] = {
    [sym_heredoc_body] = STATE(1891),
    [ts_builtin_sym_end] = ACTIONS(745),
    [sym_identifier] = ACTIONS(733),
    [aux_sym_program_token1] = ACTIONS(745),
    [anon_sym___END__] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_def] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_rescue] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(733),
    [anon_sym_nil] = ACTIONS(733),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_COLON] = ACTIONS(2684),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_next] = ACTIONS(733),
    [anon_sym_redo] = ACTIONS(733),
    [anon_sym_retry] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_unless] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_until] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_in] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_begin] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [anon_sym_defined_QMARK] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_self] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_constant] = ACTIONS(733),
    [aux_sym_constant_suffix_token1] = ACTIONS(745),
    [aux_sym_identifier_suffix_token1] = ACTIONS(733),
    [sym_instance_variable] = ACTIONS(745),
    [sym_class_variable] = ACTIONS(745),
    [sym_global_variable] = ACTIONS(745),
    [sym_character] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(745),
    [sym__line_break] = ACTIONS(745),
    [sym_simple_symbol] = ACTIONS(745),
    [sym__string_start] = ACTIONS(745),
    [sym__symbol_start] = ACTIONS(745),
    [sym__subshell_start] = ACTIONS(745),
    [sym__regex_start] = ACTIONS(745),
    [sym__string_array_start] = ACTIONS(745),
    [sym__symbol_array_start] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(745),
    [sym__block_ampersand] = ACTIONS(745),
    [sym__splat_star] = ACTIONS(745),
    [sym__unary_minus] = ACTIONS(745),
    [sym__unary_minus_num] = ACTIONS(745),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym_hash_key_symbol] = ACTIONS(745),
    [sym__identifier_suffix] = ACTIONS(745),
    [sym__constant_suffix] = ACTIONS(745),
    [sym__hash_splat_star_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [1892] = {
    [sym_heredoc_body] = STATE(1892),
    [ts_builtin_sym_end] = ACTIONS(2564),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_program_token1] = ACTIONS(2564),
    [anon_sym___END__] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_def] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_DOT] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_rescue] = ACTIONS(2562),
    [anon_sym_EQ] = ACTIONS(2562),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_nil] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_LT] = ACTIONS(2562),
    [anon_sym_module] = ACTIONS(2562),
    [anon_sym_return] = ACTIONS(2562),
    [anon_sym_yield] = ACTIONS(2562),
    [anon_sym_break] = ACTIONS(2562),
    [anon_sym_next] = ACTIONS(2562),
    [anon_sym_redo] = ACTIONS(2562),
    [anon_sym_retry] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_unless] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_until] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2562),
    [anon_sym_in] = ACTIONS(2562),
    [anon_sym_do] = ACTIONS(2562),
    [anon_sym_case] = ACTIONS(2562),
    [anon_sym_EQ_GT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_CARET] = ACTIONS(2562),
    [anon_sym_begin] = ACTIONS(2562),
    [anon_sym_COLON_COLON2] = ACTIONS(2564),
    [anon_sym_AMP_DOT] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2564),
    [anon_sym_DASH_EQ] = ACTIONS(2564),
    [anon_sym_STAR_EQ] = ACTIONS(2564),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2564),
    [anon_sym_SLASH_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_EQ] = ACTIONS(2564),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2564),
    [anon_sym_AMP_EQ] = ACTIONS(2564),
    [anon_sym_PERCENT_EQ] = ACTIONS(2564),
    [anon_sym_GT_GT_EQ] = ACTIONS(2564),
    [anon_sym_LT_LT_EQ] = ACTIONS(2564),
    [anon_sym_CARET_EQ] = ACTIONS(2564),
    [anon_sym_QMARK] = ACTIONS(2562),
    [anon_sym_and] = ACTIONS(2562),
    [anon_sym_or] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_LT_LT] = ACTIONS(2562),
    [anon_sym_GT_GT] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_SLASH] = ACTIONS(2562),
    [anon_sym_PERCENT] = ACTIONS(2562),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2564),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2564),
    [anon_sym_LT_EQ_GT] = ACTIONS(2564),
    [anon_sym_EQ_TILDE] = ACTIONS(2564),
    [anon_sym_BANG_TILDE] = ACTIONS(2564),
    [anon_sym_defined_QMARK] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2562),
    [sym_float] = ACTIONS(2562),
    [sym_super] = ACTIONS(2562),
    [sym_self] = ACTIONS(2562),
    [sym_true] = ACTIONS(2562),
    [sym_false] = ACTIONS(2562),
    [sym_constant] = ACTIONS(2562),
    [aux_sym_constant_suffix_token1] = ACTIONS(2564),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2562),
    [sym_instance_variable] = ACTIONS(2564),
    [sym_class_variable] = ACTIONS(2564),
    [sym_global_variable] = ACTIONS(2564),
    [sym_character] = ACTIONS(2564),
    [anon_sym_DASH_GT] = ACTIONS(2564),
    [sym__line_break] = ACTIONS(2564),
    [sym_simple_symbol] = ACTIONS(2564),
    [sym__string_start] = ACTIONS(2564),
    [sym__symbol_start] = ACTIONS(2564),
    [sym__subshell_start] = ACTIONS(2564),
    [sym__regex_start] = ACTIONS(2564),
    [sym__string_array_start] = ACTIONS(2564),
    [sym__symbol_array_start] = ACTIONS(2564),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2564),
    [sym__block_ampersand] = ACTIONS(2564),
    [sym__splat_star] = ACTIONS(2564),
    [sym__unary_minus] = ACTIONS(2564),
    [sym__unary_minus_num] = ACTIONS(2564),
    [sym__binary_minus] = ACTIONS(2564),
    [sym__binary_star] = ACTIONS(2564),
    [sym_hash_key_symbol] = ACTIONS(2564),
    [sym__identifier_suffix] = ACTIONS(2564),
    [sym__constant_suffix] = ACTIONS(2564),
    [sym__hash_splat_star_star] = ACTIONS(2564),
    [sym__binary_star_star] = ACTIONS(2564),
    [sym__element_reference_bracket] = ACTIONS(2564),
  },
  [1893] = {
    [sym_heredoc_body] = STATE(1893),
    [ts_builtin_sym_end] = ACTIONS(745),
    [sym_identifier] = ACTIONS(733),
    [aux_sym_program_token1] = ACTIONS(745),
    [anon_sym___END__] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_def] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_rescue] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(733),
    [anon_sym_nil] = ACTIONS(733),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_next] = ACTIONS(733),
    [anon_sym_redo] = ACTIONS(733),
    [anon_sym_retry] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_unless] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_until] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_in] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_begin] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [anon_sym_defined_QMARK] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_self] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_constant] = ACTIONS(733),
    [aux_sym_constant_suffix_token1] = ACTIONS(745),
    [aux_sym_identifier_suffix_token1] = ACTIONS(733),
    [sym_instance_variable] = ACTIONS(745),
    [sym_class_variable] = ACTIONS(745),
    [sym_global_variable] = ACTIONS(745),
    [sym_character] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(745),
    [sym__line_break] = ACTIONS(745),
    [sym_simple_symbol] = ACTIONS(745),
    [sym__string_start] = ACTIONS(745),
    [sym__symbol_start] = ACTIONS(745),
    [sym__subshell_start] = ACTIONS(745),
    [sym__regex_start] = ACTIONS(745),
    [sym__string_array_start] = ACTIONS(745),
    [sym__symbol_array_start] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(745),
    [sym__block_ampersand] = ACTIONS(745),
    [sym__splat_star] = ACTIONS(745),
    [sym__unary_minus] = ACTIONS(745),
    [sym__unary_minus_num] = ACTIONS(745),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym_hash_key_symbol] = ACTIONS(745),
    [sym__identifier_suffix] = ACTIONS(745),
    [sym__constant_suffix] = ACTIONS(745),
    [sym__hash_splat_star_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [1894] = {
    [sym_heredoc_body] = STATE(1894),
    [ts_builtin_sym_end] = ACTIONS(2568),
    [sym_identifier] = ACTIONS(2566),
    [aux_sym_program_token1] = ACTIONS(2568),
    [anon_sym___END__] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_def] = ACTIONS(2566),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_DOT] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_rescue] = ACTIONS(2566),
    [anon_sym_EQ] = ACTIONS(2566),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_PIPE] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_nil] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_LT] = ACTIONS(2566),
    [anon_sym_module] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_yield] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_next] = ACTIONS(2566),
    [anon_sym_redo] = ACTIONS(2566),
    [anon_sym_retry] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_unless] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_until] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_EQ_GT] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_DOT_DOT] = ACTIONS(2566),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_begin] = ACTIONS(2566),
    [anon_sym_COLON_COLON2] = ACTIONS(2568),
    [anon_sym_AMP_DOT] = ACTIONS(2568),
    [anon_sym_PLUS_EQ] = ACTIONS(2568),
    [anon_sym_DASH_EQ] = ACTIONS(2568),
    [anon_sym_STAR_EQ] = ACTIONS(2568),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2568),
    [anon_sym_AMP_EQ] = ACTIONS(2568),
    [anon_sym_PERCENT_EQ] = ACTIONS(2568),
    [anon_sym_GT_GT_EQ] = ACTIONS(2568),
    [anon_sym_LT_LT_EQ] = ACTIONS(2568),
    [anon_sym_CARET_EQ] = ACTIONS(2568),
    [anon_sym_QMARK] = ACTIONS(2566),
    [anon_sym_and] = ACTIONS(2566),
    [anon_sym_or] = ACTIONS(2566),
    [anon_sym_PIPE_PIPE] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_LT_LT] = ACTIONS(2566),
    [anon_sym_GT_GT] = ACTIONS(2566),
    [anon_sym_LT_EQ] = ACTIONS(2566),
    [anon_sym_GT] = ACTIONS(2566),
    [anon_sym_GT_EQ] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym_SLASH] = ACTIONS(2566),
    [anon_sym_PERCENT] = ACTIONS(2566),
    [anon_sym_EQ_EQ] = ACTIONS(2566),
    [anon_sym_BANG_EQ] = ACTIONS(2568),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2568),
    [anon_sym_LT_EQ_GT] = ACTIONS(2568),
    [anon_sym_EQ_TILDE] = ACTIONS(2568),
    [anon_sym_BANG_TILDE] = ACTIONS(2568),
    [anon_sym_defined_QMARK] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2566),
    [sym_float] = ACTIONS(2566),
    [sym_super] = ACTIONS(2566),
    [sym_self] = ACTIONS(2566),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [sym_constant] = ACTIONS(2566),
    [aux_sym_constant_suffix_token1] = ACTIONS(2568),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2566),
    [sym_instance_variable] = ACTIONS(2568),
    [sym_class_variable] = ACTIONS(2568),
    [sym_global_variable] = ACTIONS(2568),
    [sym_character] = ACTIONS(2568),
    [anon_sym_DASH_GT] = ACTIONS(2568),
    [sym__line_break] = ACTIONS(2568),
    [sym_simple_symbol] = ACTIONS(2568),
    [sym__string_start] = ACTIONS(2568),
    [sym__symbol_start] = ACTIONS(2568),
    [sym__subshell_start] = ACTIONS(2568),
    [sym__regex_start] = ACTIONS(2568),
    [sym__string_array_start] = ACTIONS(2568),
    [sym__symbol_array_start] = ACTIONS(2568),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2568),
    [sym__block_ampersand] = ACTIONS(2568),
    [sym__splat_star] = ACTIONS(2568),
    [sym__unary_minus] = ACTIONS(2568),
    [sym__unary_minus_num] = ACTIONS(2568),
    [sym__binary_minus] = ACTIONS(2568),
    [sym__binary_star] = ACTIONS(2568),
    [sym_hash_key_symbol] = ACTIONS(2568),
    [sym__identifier_suffix] = ACTIONS(2568),
    [sym__constant_suffix] = ACTIONS(2568),
    [sym__hash_splat_star_star] = ACTIONS(2568),
    [sym__binary_star_star] = ACTIONS(2568),
    [sym__element_reference_bracket] = ACTIONS(2568),
  },
  [1895] = {
    [sym_heredoc_body] = STATE(1895),
    [ts_builtin_sym_end] = ACTIONS(2584),
    [sym_identifier] = ACTIONS(2582),
    [aux_sym_program_token1] = ACTIONS(2584),
    [anon_sym___END__] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_def] = ACTIONS(2582),
    [anon_sym_LPAREN] = ACTIONS(2582),
    [anon_sym_DOT] = ACTIONS(2582),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_rescue] = ACTIONS(2582),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_nil] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(2582),
    [anon_sym_LT] = ACTIONS(2582),
    [anon_sym_module] = ACTIONS(2582),
    [anon_sym_return] = ACTIONS(2582),
    [anon_sym_yield] = ACTIONS(2582),
    [anon_sym_break] = ACTIONS(2582),
    [anon_sym_next] = ACTIONS(2582),
    [anon_sym_redo] = ACTIONS(2582),
    [anon_sym_retry] = ACTIONS(2582),
    [anon_sym_if] = ACTIONS(2582),
    [anon_sym_unless] = ACTIONS(2582),
    [anon_sym_while] = ACTIONS(2582),
    [anon_sym_until] = ACTIONS(2582),
    [anon_sym_for] = ACTIONS(2582),
    [anon_sym_in] = ACTIONS(2582),
    [anon_sym_do] = ACTIONS(2582),
    [anon_sym_case] = ACTIONS(2582),
    [anon_sym_EQ_GT] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2584),
    [anon_sym_DOT_DOT] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_begin] = ACTIONS(2582),
    [anon_sym_COLON_COLON2] = ACTIONS(2584),
    [anon_sym_AMP_DOT] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2582),
    [anon_sym_and] = ACTIONS(2582),
    [anon_sym_or] = ACTIONS(2582),
    [anon_sym_PIPE_PIPE] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_LT_LT] = ACTIONS(2582),
    [anon_sym_GT_GT] = ACTIONS(2582),
    [anon_sym_LT_EQ] = ACTIONS(2582),
    [anon_sym_GT] = ACTIONS(2582),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2582),
    [anon_sym_SLASH] = ACTIONS(2582),
    [anon_sym_PERCENT] = ACTIONS(2582),
    [anon_sym_EQ_EQ] = ACTIONS(2582),
    [anon_sym_BANG_EQ] = ACTIONS(2584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_LT_EQ_GT] = ACTIONS(2584),
    [anon_sym_EQ_TILDE] = ACTIONS(2584),
    [anon_sym_BANG_TILDE] = ACTIONS(2584),
    [anon_sym_defined_QMARK] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2582),
    [sym_float] = ACTIONS(2582),
    [sym_super] = ACTIONS(2582),
    [sym_self] = ACTIONS(2582),
    [sym_true] = ACTIONS(2582),
    [sym_false] = ACTIONS(2582),
    [sym_constant] = ACTIONS(2582),
    [aux_sym_constant_suffix_token1] = ACTIONS(2584),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2582),
    [sym_instance_variable] = ACTIONS(2584),
    [sym_class_variable] = ACTIONS(2584),
    [sym_global_variable] = ACTIONS(2584),
    [sym_character] = ACTIONS(2584),
    [anon_sym_DASH_GT] = ACTIONS(2584),
    [sym__line_break] = ACTIONS(2584),
    [sym_simple_symbol] = ACTIONS(2584),
    [sym__string_start] = ACTIONS(2584),
    [sym__symbol_start] = ACTIONS(2584),
    [sym__subshell_start] = ACTIONS(2584),
    [sym__regex_start] = ACTIONS(2584),
    [sym__string_array_start] = ACTIONS(2584),
    [sym__symbol_array_start] = ACTIONS(2584),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2584),
    [sym__block_ampersand] = ACTIONS(2584),
    [sym__splat_star] = ACTIONS(2584),
    [sym__unary_minus] = ACTIONS(2584),
    [sym__unary_minus_num] = ACTIONS(2584),
    [sym__binary_minus] = ACTIONS(2584),
    [sym__binary_star] = ACTIONS(2584),
    [sym_hash_key_symbol] = ACTIONS(2584),
    [sym__identifier_suffix] = ACTIONS(2584),
    [sym__constant_suffix] = ACTIONS(2584),
    [sym__hash_splat_star_star] = ACTIONS(2584),
    [sym__binary_star_star] = ACTIONS(2584),
    [sym__element_reference_bracket] = ACTIONS(2584),
  },
  [1896] = {
    [sym_heredoc_body] = STATE(1896),
    [ts_builtin_sym_end] = ACTIONS(2576),
    [sym_identifier] = ACTIONS(2574),
    [aux_sym_program_token1] = ACTIONS(2576),
    [anon_sym___END__] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_def] = ACTIONS(2574),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_rescue] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_nil] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_module] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_yield] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_next] = ACTIONS(2574),
    [anon_sym_redo] = ACTIONS(2574),
    [anon_sym_retry] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2578),
    [anon_sym_unless] = ACTIONS(2578),
    [anon_sym_while] = ACTIONS(2578),
    [anon_sym_until] = ACTIONS(2578),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_do] = ACTIONS(2574),
    [anon_sym_case] = ACTIONS(2574),
    [anon_sym_EQ_GT] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_begin] = ACTIONS(2574),
    [anon_sym_COLON_COLON2] = ACTIONS(2576),
    [anon_sym_AMP_DOT] = ACTIONS(2576),
    [anon_sym_PLUS_EQ] = ACTIONS(2576),
    [anon_sym_DASH_EQ] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(2576),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2576),
    [anon_sym_SLASH_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_EQ] = ACTIONS(2576),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2576),
    [anon_sym_AMP_EQ] = ACTIONS(2576),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_GT_GT_EQ] = ACTIONS(2576),
    [anon_sym_LT_LT_EQ] = ACTIONS(2576),
    [anon_sym_CARET_EQ] = ACTIONS(2576),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_and] = ACTIONS(2578),
    [anon_sym_or] = ACTIONS(2578),
    [anon_sym_PIPE_PIPE] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2578),
    [anon_sym_GT_GT] = ACTIONS(2578),
    [anon_sym_LT_EQ] = ACTIONS(2578),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_GT_EQ] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ] = ACTIONS(2576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2576),
    [anon_sym_LT_EQ_GT] = ACTIONS(2576),
    [anon_sym_EQ_TILDE] = ACTIONS(2576),
    [anon_sym_BANG_TILDE] = ACTIONS(2576),
    [anon_sym_defined_QMARK] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2574),
    [sym_float] = ACTIONS(2574),
    [sym_super] = ACTIONS(2574),
    [sym_self] = ACTIONS(2574),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [sym_constant] = ACTIONS(2574),
    [aux_sym_constant_suffix_token1] = ACTIONS(2580),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2574),
    [sym_instance_variable] = ACTIONS(2580),
    [sym_class_variable] = ACTIONS(2580),
    [sym_global_variable] = ACTIONS(2580),
    [sym_character] = ACTIONS(2580),
    [anon_sym_DASH_GT] = ACTIONS(2580),
    [sym__line_break] = ACTIONS(2576),
    [sym_simple_symbol] = ACTIONS(2580),
    [sym__string_start] = ACTIONS(2580),
    [sym__symbol_start] = ACTIONS(2580),
    [sym__subshell_start] = ACTIONS(2580),
    [sym__regex_start] = ACTIONS(2580),
    [sym__string_array_start] = ACTIONS(2580),
    [sym__symbol_array_start] = ACTIONS(2580),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2580),
    [sym__block_ampersand] = ACTIONS(2580),
    [sym__splat_star] = ACTIONS(2580),
    [sym__unary_minus] = ACTIONS(2580),
    [sym__unary_minus_num] = ACTIONS(2580),
    [sym__binary_minus] = ACTIONS(2576),
    [sym__binary_star] = ACTIONS(2576),
    [sym_hash_key_symbol] = ACTIONS(2580),
    [sym__identifier_suffix] = ACTIONS(2580),
    [sym__constant_suffix] = ACTIONS(2580),
    [sym__hash_splat_star_star] = ACTIONS(2580),
    [sym__binary_star_star] = ACTIONS(2576),
    [sym__element_reference_bracket] = ACTIONS(2576),
  },
  [1897] = {
    [sym_heredoc_body] = STATE(1897),
    [ts_builtin_sym_end] = ACTIONS(2592),
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_program_token1] = ACTIONS(2592),
    [anon_sym___END__] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_def] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2590),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_rescue] = ACTIONS(2590),
    [anon_sym_EQ] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_nil] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_next] = ACTIONS(2590),
    [anon_sym_redo] = ACTIONS(2590),
    [anon_sym_retry] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2590),
    [anon_sym_begin] = ACTIONS(2590),
    [anon_sym_COLON_COLON2] = ACTIONS(2592),
    [anon_sym_AMP_DOT] = ACTIONS(2592),
    [anon_sym_PLUS_EQ] = ACTIONS(2592),
    [anon_sym_DASH_EQ] = ACTIONS(2592),
    [anon_sym_STAR_EQ] = ACTIONS(2592),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2592),
    [anon_sym_SLASH_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_EQ] = ACTIONS(2592),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2592),
    [anon_sym_AMP_EQ] = ACTIONS(2592),
    [anon_sym_PERCENT_EQ] = ACTIONS(2592),
    [anon_sym_GT_GT_EQ] = ACTIONS(2592),
    [anon_sym_LT_LT_EQ] = ACTIONS(2592),
    [anon_sym_CARET_EQ] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2590),
    [anon_sym_LT_LT] = ACTIONS(2590),
    [anon_sym_GT_GT] = ACTIONS(2590),
    [anon_sym_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_SLASH] = ACTIONS(2590),
    [anon_sym_PERCENT] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2590),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ_GT] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2592),
    [anon_sym_BANG_TILDE] = ACTIONS(2592),
    [anon_sym_defined_QMARK] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2590),
    [sym_float] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_self] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_constant] = ACTIONS(2590),
    [aux_sym_constant_suffix_token1] = ACTIONS(2592),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2590),
    [sym_instance_variable] = ACTIONS(2592),
    [sym_class_variable] = ACTIONS(2592),
    [sym_global_variable] = ACTIONS(2592),
    [sym_character] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [sym__line_break] = ACTIONS(2592),
    [sym_simple_symbol] = ACTIONS(2592),
    [sym__string_start] = ACTIONS(2592),
    [sym__symbol_start] = ACTIONS(2592),
    [sym__subshell_start] = ACTIONS(2592),
    [sym__regex_start] = ACTIONS(2592),
    [sym__string_array_start] = ACTIONS(2592),
    [sym__symbol_array_start] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2592),
    [sym__block_ampersand] = ACTIONS(2592),
    [sym__splat_star] = ACTIONS(2592),
    [sym__unary_minus] = ACTIONS(2592),
    [sym__unary_minus_num] = ACTIONS(2592),
    [sym__binary_minus] = ACTIONS(2592),
    [sym__binary_star] = ACTIONS(2592),
    [sym_hash_key_symbol] = ACTIONS(2592),
    [sym__identifier_suffix] = ACTIONS(2592),
    [sym__constant_suffix] = ACTIONS(2592),
    [sym__hash_splat_star_star] = ACTIONS(2592),
    [sym__binary_star_star] = ACTIONS(2592),
    [sym__element_reference_bracket] = ACTIONS(2592),
  },
  [1898] = {
    [sym_heredoc_body] = STATE(1898),
    [ts_builtin_sym_end] = ACTIONS(2588),
    [sym_identifier] = ACTIONS(2586),
    [aux_sym_program_token1] = ACTIONS(2588),
    [anon_sym___END__] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_def] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2586),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_rescue] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_nil] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_next] = ACTIONS(2586),
    [anon_sym_redo] = ACTIONS(2586),
    [anon_sym_retry] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_until] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_begin] = ACTIONS(2586),
    [anon_sym_COLON_COLON2] = ACTIONS(2588),
    [anon_sym_AMP_DOT] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2588),
    [anon_sym_PIPE_EQ] = ACTIONS(2588),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2588),
    [anon_sym_AMP_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_GT_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_LT_EQ] = ACTIONS(2588),
    [anon_sym_CARET_EQ] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2586),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2586),
    [anon_sym_GT_GT] = ACTIONS(2586),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ_GT] = ACTIONS(2588),
    [anon_sym_EQ_TILDE] = ACTIONS(2588),
    [anon_sym_BANG_TILDE] = ACTIONS(2588),
    [anon_sym_defined_QMARK] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2586),
    [sym_float] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_self] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_constant] = ACTIONS(2586),
    [aux_sym_constant_suffix_token1] = ACTIONS(2588),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2586),
    [sym_instance_variable] = ACTIONS(2588),
    [sym_class_variable] = ACTIONS(2588),
    [sym_global_variable] = ACTIONS(2588),
    [sym_character] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [sym__line_break] = ACTIONS(2588),
    [sym_simple_symbol] = ACTIONS(2588),
    [sym__string_start] = ACTIONS(2588),
    [sym__symbol_start] = ACTIONS(2588),
    [sym__subshell_start] = ACTIONS(2588),
    [sym__regex_start] = ACTIONS(2588),
    [sym__string_array_start] = ACTIONS(2588),
    [sym__symbol_array_start] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2588),
    [sym__block_ampersand] = ACTIONS(2588),
    [sym__splat_star] = ACTIONS(2588),
    [sym__unary_minus] = ACTIONS(2588),
    [sym__unary_minus_num] = ACTIONS(2588),
    [sym__binary_minus] = ACTIONS(2588),
    [sym__binary_star] = ACTIONS(2588),
    [sym_hash_key_symbol] = ACTIONS(2588),
    [sym__identifier_suffix] = ACTIONS(2588),
    [sym__constant_suffix] = ACTIONS(2588),
    [sym__hash_splat_star_star] = ACTIONS(2588),
    [sym__binary_star_star] = ACTIONS(2588),
    [sym__element_reference_bracket] = ACTIONS(2588),
  },
  [1899] = {
    [sym_heredoc_body] = STATE(1899),
    [ts_builtin_sym_end] = ACTIONS(2572),
    [sym_identifier] = ACTIONS(2570),
    [aux_sym_program_token1] = ACTIONS(2572),
    [anon_sym___END__] = ACTIONS(2570),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_def] = ACTIONS(2570),
    [anon_sym_LPAREN] = ACTIONS(2570),
    [anon_sym_DOT] = ACTIONS(2570),
    [anon_sym_COLON_COLON] = ACTIONS(2570),
    [anon_sym_rescue] = ACTIONS(2570),
    [anon_sym_EQ] = ACTIONS(2570),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_PIPE] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_nil] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_class] = ACTIONS(2570),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_module] = ACTIONS(2570),
    [anon_sym_return] = ACTIONS(2570),
    [anon_sym_yield] = ACTIONS(2570),
    [anon_sym_break] = ACTIONS(2570),
    [anon_sym_next] = ACTIONS(2570),
    [anon_sym_redo] = ACTIONS(2570),
    [anon_sym_retry] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2570),
    [anon_sym_unless] = ACTIONS(2570),
    [anon_sym_while] = ACTIONS(2570),
    [anon_sym_until] = ACTIONS(2570),
    [anon_sym_for] = ACTIONS(2570),
    [anon_sym_in] = ACTIONS(2570),
    [anon_sym_do] = ACTIONS(2570),
    [anon_sym_case] = ACTIONS(2570),
    [anon_sym_EQ_GT] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_DOT_DOT] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_begin] = ACTIONS(2570),
    [anon_sym_COLON_COLON2] = ACTIONS(2572),
    [anon_sym_AMP_DOT] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2572),
    [anon_sym_DASH_EQ] = ACTIONS(2572),
    [anon_sym_STAR_EQ] = ACTIONS(2572),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2572),
    [anon_sym_SLASH_EQ] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2572),
    [anon_sym_PIPE_EQ] = ACTIONS(2572),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2572),
    [anon_sym_AMP_EQ] = ACTIONS(2572),
    [anon_sym_PERCENT_EQ] = ACTIONS(2572),
    [anon_sym_GT_GT_EQ] = ACTIONS(2572),
    [anon_sym_LT_LT_EQ] = ACTIONS(2572),
    [anon_sym_CARET_EQ] = ACTIONS(2572),
    [anon_sym_QMARK] = ACTIONS(2570),
    [anon_sym_and] = ACTIONS(2570),
    [anon_sym_or] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_LT_LT] = ACTIONS(2570),
    [anon_sym_GT_GT] = ACTIONS(2570),
    [anon_sym_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT] = ACTIONS(2570),
    [anon_sym_GT_EQ] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_SLASH] = ACTIONS(2570),
    [anon_sym_PERCENT] = ACTIONS(2570),
    [anon_sym_EQ_EQ] = ACTIONS(2570),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2572),
    [anon_sym_LT_EQ_GT] = ACTIONS(2572),
    [anon_sym_EQ_TILDE] = ACTIONS(2572),
    [anon_sym_BANG_TILDE] = ACTIONS(2572),
    [anon_sym_defined_QMARK] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2570),
    [sym_float] = ACTIONS(2570),
    [sym_super] = ACTIONS(2570),
    [sym_self] = ACTIONS(2570),
    [sym_true] = ACTIONS(2570),
    [sym_false] = ACTIONS(2570),
    [sym_constant] = ACTIONS(2570),
    [aux_sym_constant_suffix_token1] = ACTIONS(2572),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2570),
    [sym_instance_variable] = ACTIONS(2572),
    [sym_class_variable] = ACTIONS(2572),
    [sym_global_variable] = ACTIONS(2572),
    [sym_character] = ACTIONS(2572),
    [anon_sym_DASH_GT] = ACTIONS(2572),
    [sym__line_break] = ACTIONS(2572),
    [sym_simple_symbol] = ACTIONS(2572),
    [sym__string_start] = ACTIONS(2572),
    [sym__symbol_start] = ACTIONS(2572),
    [sym__subshell_start] = ACTIONS(2572),
    [sym__regex_start] = ACTIONS(2572),
    [sym__string_array_start] = ACTIONS(2572),
    [sym__symbol_array_start] = ACTIONS(2572),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2572),
    [sym__block_ampersand] = ACTIONS(2572),
    [sym__splat_star] = ACTIONS(2572),
    [sym__unary_minus] = ACTIONS(2572),
    [sym__unary_minus_num] = ACTIONS(2572),
    [sym__binary_minus] = ACTIONS(2572),
    [sym__binary_star] = ACTIONS(2572),
    [sym_hash_key_symbol] = ACTIONS(2572),
    [sym__identifier_suffix] = ACTIONS(2572),
    [sym__constant_suffix] = ACTIONS(2572),
    [sym__hash_splat_star_star] = ACTIONS(2572),
    [sym__binary_star_star] = ACTIONS(2572),
    [sym__element_reference_bracket] = ACTIONS(2572),
  },
  [1900] = {
    [sym_heredoc_body] = STATE(1900),
    [ts_builtin_sym_end] = ACTIONS(2576),
    [sym_identifier] = ACTIONS(2574),
    [aux_sym_program_token1] = ACTIONS(2576),
    [anon_sym___END__] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_def] = ACTIONS(2574),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_rescue] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_nil] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_module] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_yield] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_next] = ACTIONS(2574),
    [anon_sym_redo] = ACTIONS(2574),
    [anon_sym_retry] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2578),
    [anon_sym_unless] = ACTIONS(2578),
    [anon_sym_while] = ACTIONS(2578),
    [anon_sym_until] = ACTIONS(2578),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_do] = ACTIONS(2578),
    [anon_sym_case] = ACTIONS(2574),
    [anon_sym_EQ_GT] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_begin] = ACTIONS(2574),
    [anon_sym_COLON_COLON2] = ACTIONS(2576),
    [anon_sym_AMP_DOT] = ACTIONS(2576),
    [anon_sym_PLUS_EQ] = ACTIONS(2576),
    [anon_sym_DASH_EQ] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(2576),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2576),
    [anon_sym_SLASH_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_EQ] = ACTIONS(2576),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2576),
    [anon_sym_AMP_EQ] = ACTIONS(2576),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_GT_GT_EQ] = ACTIONS(2576),
    [anon_sym_LT_LT_EQ] = ACTIONS(2576),
    [anon_sym_CARET_EQ] = ACTIONS(2576),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_and] = ACTIONS(2578),
    [anon_sym_or] = ACTIONS(2578),
    [anon_sym_PIPE_PIPE] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2578),
    [anon_sym_GT_GT] = ACTIONS(2578),
    [anon_sym_LT_EQ] = ACTIONS(2578),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_GT_EQ] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ] = ACTIONS(2576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2576),
    [anon_sym_LT_EQ_GT] = ACTIONS(2576),
    [anon_sym_EQ_TILDE] = ACTIONS(2576),
    [anon_sym_BANG_TILDE] = ACTIONS(2576),
    [anon_sym_defined_QMARK] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2574),
    [sym_float] = ACTIONS(2574),
    [sym_super] = ACTIONS(2574),
    [sym_self] = ACTIONS(2574),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [sym_constant] = ACTIONS(2574),
    [aux_sym_constant_suffix_token1] = ACTIONS(2580),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2574),
    [sym_instance_variable] = ACTIONS(2580),
    [sym_class_variable] = ACTIONS(2580),
    [sym_global_variable] = ACTIONS(2580),
    [sym_character] = ACTIONS(2580),
    [anon_sym_DASH_GT] = ACTIONS(2580),
    [sym__line_break] = ACTIONS(2576),
    [sym_simple_symbol] = ACTIONS(2580),
    [sym__string_start] = ACTIONS(2580),
    [sym__symbol_start] = ACTIONS(2580),
    [sym__subshell_start] = ACTIONS(2580),
    [sym__regex_start] = ACTIONS(2580),
    [sym__string_array_start] = ACTIONS(2580),
    [sym__symbol_array_start] = ACTIONS(2580),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2580),
    [sym__block_ampersand] = ACTIONS(2580),
    [sym__splat_star] = ACTIONS(2580),
    [sym__unary_minus] = ACTIONS(2580),
    [sym__unary_minus_num] = ACTIONS(2580),
    [sym__binary_minus] = ACTIONS(2576),
    [sym__binary_star] = ACTIONS(2576),
    [sym_hash_key_symbol] = ACTIONS(2580),
    [sym__identifier_suffix] = ACTIONS(2580),
    [sym__constant_suffix] = ACTIONS(2580),
    [sym__hash_splat_star_star] = ACTIONS(2580),
    [sym__binary_star_star] = ACTIONS(2576),
    [sym__element_reference_bracket] = ACTIONS(2576),
  },
  [1901] = {
    [sym_heredoc_body] = STATE(1901),
    [ts_builtin_sym_end] = ACTIONS(2580),
    [sym_identifier] = ACTIONS(2574),
    [aux_sym_program_token1] = ACTIONS(2580),
    [anon_sym___END__] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_def] = ACTIONS(2574),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2574),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_rescue] = ACTIONS(2574),
    [anon_sym_EQ] = ACTIONS(2574),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_nil] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_LT] = ACTIONS(2574),
    [anon_sym_module] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_yield] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_next] = ACTIONS(2574),
    [anon_sym_redo] = ACTIONS(2574),
    [anon_sym_retry] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2574),
    [anon_sym_unless] = ACTIONS(2574),
    [anon_sym_while] = ACTIONS(2574),
    [anon_sym_until] = ACTIONS(2574),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2574),
    [anon_sym_do] = ACTIONS(2574),
    [anon_sym_case] = ACTIONS(2574),
    [anon_sym_EQ_GT] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2574),
    [anon_sym_CARET] = ACTIONS(2574),
    [anon_sym_begin] = ACTIONS(2574),
    [anon_sym_COLON_COLON2] = ACTIONS(2580),
    [anon_sym_AMP_DOT] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_QMARK] = ACTIONS(2574),
    [anon_sym_and] = ACTIONS(2574),
    [anon_sym_or] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_LT_LT] = ACTIONS(2574),
    [anon_sym_GT_GT] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_GT] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2574),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ_GT] = ACTIONS(2580),
    [anon_sym_EQ_TILDE] = ACTIONS(2580),
    [anon_sym_BANG_TILDE] = ACTIONS(2580),
    [anon_sym_defined_QMARK] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2574),
    [sym_float] = ACTIONS(2574),
    [sym_super] = ACTIONS(2574),
    [sym_self] = ACTIONS(2574),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [sym_constant] = ACTIONS(2574),
    [aux_sym_constant_suffix_token1] = ACTIONS(2580),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2574),
    [sym_instance_variable] = ACTIONS(2580),
    [sym_class_variable] = ACTIONS(2580),
    [sym_global_variable] = ACTIONS(2580),
    [sym_character] = ACTIONS(2580),
    [anon_sym_DASH_GT] = ACTIONS(2580),
    [sym__line_break] = ACTIONS(2580),
    [sym_simple_symbol] = ACTIONS(2580),
    [sym__string_start] = ACTIONS(2580),
    [sym__symbol_start] = ACTIONS(2580),
    [sym__subshell_start] = ACTIONS(2580),
    [sym__regex_start] = ACTIONS(2580),
    [sym__string_array_start] = ACTIONS(2580),
    [sym__symbol_array_start] = ACTIONS(2580),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2580),
    [sym__block_ampersand] = ACTIONS(2580),
    [sym__splat_star] = ACTIONS(2580),
    [sym__unary_minus] = ACTIONS(2580),
    [sym__unary_minus_num] = ACTIONS(2580),
    [sym__binary_minus] = ACTIONS(2580),
    [sym__binary_star] = ACTIONS(2580),
    [sym_hash_key_symbol] = ACTIONS(2580),
    [sym__identifier_suffix] = ACTIONS(2580),
    [sym__constant_suffix] = ACTIONS(2580),
    [sym__hash_splat_star_star] = ACTIONS(2580),
    [sym__binary_star_star] = ACTIONS(2580),
    [sym__element_reference_bracket] = ACTIONS(2580),
  },
  [1902] = {
    [sym_heredoc_body] = STATE(1902),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_RBRACE] = ACTIONS(745),
    [anon_sym_def] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_rescue] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(733),
    [anon_sym_nil] = ACTIONS(733),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_COLON] = ACTIONS(2686),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_next] = ACTIONS(733),
    [anon_sym_redo] = ACTIONS(733),
    [anon_sym_retry] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_unless] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_until] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_in] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_begin] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [anon_sym_defined_QMARK] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_self] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_constant] = ACTIONS(733),
    [aux_sym_constant_suffix_token1] = ACTIONS(745),
    [aux_sym_identifier_suffix_token1] = ACTIONS(733),
    [sym_instance_variable] = ACTIONS(745),
    [sym_class_variable] = ACTIONS(745),
    [sym_global_variable] = ACTIONS(745),
    [sym_character] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(745),
    [sym__line_break] = ACTIONS(745),
    [sym_simple_symbol] = ACTIONS(745),
    [sym__string_start] = ACTIONS(745),
    [sym__symbol_start] = ACTIONS(745),
    [sym__subshell_start] = ACTIONS(745),
    [sym__regex_start] = ACTIONS(745),
    [sym__string_array_start] = ACTIONS(745),
    [sym__symbol_array_start] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(745),
    [sym__block_ampersand] = ACTIONS(745),
    [sym__splat_star] = ACTIONS(745),
    [sym__unary_minus] = ACTIONS(745),
    [sym__unary_minus_num] = ACTIONS(745),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym_hash_key_symbol] = ACTIONS(745),
    [sym__identifier_suffix] = ACTIONS(745),
    [sym__constant_suffix] = ACTIONS(745),
    [sym__hash_splat_star_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [1903] = {
    [sym_heredoc_body] = STATE(1903),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_def] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_rescue] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(733),
    [anon_sym_nil] = ACTIONS(733),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_next] = ACTIONS(733),
    [anon_sym_redo] = ACTIONS(733),
    [anon_sym_retry] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_unless] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_until] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_in] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(733),
    [anon_sym_LBRACK2] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_begin] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [anon_sym_defined_QMARK] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_self] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_constant] = ACTIONS(733),
    [aux_sym_constant_suffix_token1] = ACTIONS(745),
    [aux_sym_identifier_suffix_token1] = ACTIONS(733),
    [sym_instance_variable] = ACTIONS(745),
    [sym_class_variable] = ACTIONS(745),
    [sym_global_variable] = ACTIONS(745),
    [sym_character] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(745),
    [sym__line_break] = ACTIONS(745),
    [sym_simple_symbol] = ACTIONS(745),
    [sym__string_start] = ACTIONS(745),
    [sym__symbol_start] = ACTIONS(745),
    [sym__subshell_start] = ACTIONS(745),
    [sym__regex_start] = ACTIONS(745),
    [sym__string_array_start] = ACTIONS(745),
    [sym__symbol_array_start] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(745),
    [sym__block_ampersand] = ACTIONS(745),
    [sym__splat_star] = ACTIONS(745),
    [sym__unary_minus] = ACTIONS(745),
    [sym__unary_minus_num] = ACTIONS(745),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym_hash_key_symbol] = ACTIONS(745),
    [sym__identifier_suffix] = ACTIONS(745),
    [sym__constant_suffix] = ACTIONS(745),
    [sym__hash_splat_star_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [1904] = {
    [sym_heredoc_body] = STATE(1904),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_def] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(733),
    [anon_sym_nil] = ACTIONS(733),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_COLON] = ACTIONS(2690),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_next] = ACTIONS(733),
    [anon_sym_redo] = ACTIONS(733),
    [anon_sym_retry] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_unless] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_until] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_in] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_then] = ACTIONS(733),
    [anon_sym_begin] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [anon_sym_defined_QMARK] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_self] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_constant] = ACTIONS(733),
    [aux_sym_constant_suffix_token1] = ACTIONS(745),
    [aux_sym_identifier_suffix_token1] = ACTIONS(733),
    [sym_instance_variable] = ACTIONS(745),
    [sym_class_variable] = ACTIONS(745),
    [sym_global_variable] = ACTIONS(745),
    [sym_character] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(745),
    [sym__line_break] = ACTIONS(745),
    [sym_simple_symbol] = ACTIONS(745),
    [sym__string_start] = ACTIONS(745),
    [sym__symbol_start] = ACTIONS(745),
    [sym__subshell_start] = ACTIONS(745),
    [sym__regex_start] = ACTIONS(745),
    [sym__string_array_start] = ACTIONS(745),
    [sym__symbol_array_start] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(745),
    [sym__block_ampersand] = ACTIONS(745),
    [sym__splat_star] = ACTIONS(745),
    [sym__unary_minus] = ACTIONS(745),
    [sym__unary_minus_num] = ACTIONS(745),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym_hash_key_symbol] = ACTIONS(745),
    [sym__identifier_suffix] = ACTIONS(745),
    [sym__constant_suffix] = ACTIONS(745),
    [sym__hash_splat_star_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [1905] = {
    [sym_heredoc_body] = STATE(1905),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_def] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_rescue] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(733),
    [anon_sym_nil] = ACTIONS(733),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_COLON] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_next] = ACTIONS(733),
    [anon_sym_redo] = ACTIONS(733),
    [anon_sym_retry] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_unless] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_until] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_in] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_RBRACK] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_begin] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [anon_sym_defined_QMARK] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_self] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_constant] = ACTIONS(733),
    [aux_sym_constant_suffix_token1] = ACTIONS(745),
    [aux_sym_identifier_suffix_token1] = ACTIONS(733),
    [sym_instance_variable] = ACTIONS(745),
    [sym_class_variable] = ACTIONS(745),
    [sym_global_variable] = ACTIONS(745),
    [sym_character] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(745),
    [sym_simple_symbol] = ACTIONS(745),
    [sym__string_start] = ACTIONS(745),
    [sym__symbol_start] = ACTIONS(745),
    [sym__subshell_start] = ACTIONS(745),
    [sym__regex_start] = ACTIONS(745),
    [sym__string_array_start] = ACTIONS(745),
    [sym__symbol_array_start] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(745),
    [sym__block_ampersand] = ACTIONS(745),
    [sym__splat_star] = ACTIONS(745),
    [sym__unary_minus] = ACTIONS(745),
    [sym__unary_minus_num] = ACTIONS(745),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym_hash_key_symbol] = ACTIONS(745),
    [sym__identifier_suffix] = ACTIONS(745),
    [sym__constant_suffix] = ACTIONS(745),
    [sym__hash_splat_star_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [1906] = {
    [sym_heredoc_body] = STATE(1906),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_def] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_rescue] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(733),
    [anon_sym_nil] = ACTIONS(733),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_COLON] = ACTIONS(2694),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_next] = ACTIONS(733),
    [anon_sym_redo] = ACTIONS(733),
    [anon_sym_retry] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_unless] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_until] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_in] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_RBRACK] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_begin] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [anon_sym_defined_QMARK] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_self] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_constant] = ACTIONS(733),
    [aux_sym_constant_suffix_token1] = ACTIONS(745),
    [aux_sym_identifier_suffix_token1] = ACTIONS(733),
    [sym_instance_variable] = ACTIONS(745),
    [sym_class_variable] = ACTIONS(745),
    [sym_global_variable] = ACTIONS(745),
    [sym_character] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(745),
    [sym_simple_symbol] = ACTIONS(745),
    [sym__string_start] = ACTIONS(745),
    [sym__symbol_start] = ACTIONS(745),
    [sym__subshell_start] = ACTIONS(745),
    [sym__regex_start] = ACTIONS(745),
    [sym__string_array_start] = ACTIONS(745),
    [sym__symbol_array_start] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(745),
    [sym__block_ampersand] = ACTIONS(745),
    [sym__splat_star] = ACTIONS(745),
    [sym__unary_minus] = ACTIONS(745),
    [sym__unary_minus_num] = ACTIONS(745),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym_hash_key_symbol] = ACTIONS(745),
    [sym__identifier_suffix] = ACTIONS(745),
    [sym__constant_suffix] = ACTIONS(745),
    [sym__hash_splat_star_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [1907] = {
    [sym_heredoc_body] = STATE(1907),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_def] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_rescue] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(733),
    [anon_sym_nil] = ACTIONS(733),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_COLON] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_next] = ACTIONS(733),
    [anon_sym_redo] = ACTIONS(733),
    [anon_sym_retry] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_unless] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_until] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_in] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_begin] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [anon_sym_defined_QMARK] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_self] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_constant] = ACTIONS(733),
    [aux_sym_constant_suffix_token1] = ACTIONS(745),
    [aux_sym_identifier_suffix_token1] = ACTIONS(733),
    [sym_instance_variable] = ACTIONS(745),
    [sym_class_variable] = ACTIONS(745),
    [sym_global_variable] = ACTIONS(745),
    [sym_character] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(745),
    [sym__line_break] = ACTIONS(745),
    [sym_simple_symbol] = ACTIONS(745),
    [sym__string_start] = ACTIONS(745),
    [sym__symbol_start] = ACTIONS(745),
    [sym__subshell_start] = ACTIONS(745),
    [sym__regex_start] = ACTIONS(745),
    [sym__string_array_start] = ACTIONS(745),
    [sym__symbol_array_start] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(745),
    [sym__block_ampersand] = ACTIONS(745),
    [sym__splat_star] = ACTIONS(745),
    [sym__unary_minus] = ACTIONS(745),
    [sym__unary_minus_num] = ACTIONS(745),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym_hash_key_symbol] = ACTIONS(745),
    [sym__identifier_suffix] = ACTIONS(745),
    [sym__constant_suffix] = ACTIONS(745),
    [sym__hash_splat_star_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [1908] = {
    [sym_heredoc_body] = STATE(1908),
    [sym_identifier] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_def] = ACTIONS(2574),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_rescue] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_nil] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_module] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_yield] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_next] = ACTIONS(2574),
    [anon_sym_redo] = ACTIONS(2574),
    [anon_sym_retry] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2574),
    [anon_sym_unless] = ACTIONS(2574),
    [anon_sym_while] = ACTIONS(2574),
    [anon_sym_until] = ACTIONS(2574),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_do] = ACTIONS(2578),
    [anon_sym_case] = ACTIONS(2574),
    [anon_sym_EQ_GT] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_then] = ACTIONS(2578),
    [anon_sym_begin] = ACTIONS(2574),
    [anon_sym_COLON_COLON2] = ACTIONS(2576),
    [anon_sym_AMP_DOT] = ACTIONS(2576),
    [anon_sym_PLUS_EQ] = ACTIONS(2576),
    [anon_sym_DASH_EQ] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(2576),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2576),
    [anon_sym_SLASH_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_EQ] = ACTIONS(2576),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2576),
    [anon_sym_AMP_EQ] = ACTIONS(2576),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_GT_GT_EQ] = ACTIONS(2576),
    [anon_sym_LT_LT_EQ] = ACTIONS(2576),
    [anon_sym_CARET_EQ] = ACTIONS(2576),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_and] = ACTIONS(2578),
    [anon_sym_or] = ACTIONS(2578),
    [anon_sym_PIPE_PIPE] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2578),
    [anon_sym_GT_GT] = ACTIONS(2578),
    [anon_sym_LT_EQ] = ACTIONS(2578),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_GT_EQ] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ] = ACTIONS(2576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2576),
    [anon_sym_LT_EQ_GT] = ACTIONS(2576),
    [anon_sym_EQ_TILDE] = ACTIONS(2576),
    [anon_sym_BANG_TILDE] = ACTIONS(2576),
    [anon_sym_defined_QMARK] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2574),
    [sym_float] = ACTIONS(2574),
    [sym_super] = ACTIONS(2574),
    [sym_self] = ACTIONS(2574),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [sym_constant] = ACTIONS(2574),
    [aux_sym_constant_suffix_token1] = ACTIONS(2580),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2574),
    [sym_instance_variable] = ACTIONS(2580),
    [sym_class_variable] = ACTIONS(2580),
    [sym_global_variable] = ACTIONS(2580),
    [sym_character] = ACTIONS(2580),
    [anon_sym_DASH_GT] = ACTIONS(2580),
    [sym__line_break] = ACTIONS(2576),
    [sym_simple_symbol] = ACTIONS(2580),
    [sym__string_start] = ACTIONS(2580),
    [sym__symbol_start] = ACTIONS(2580),
    [sym__subshell_start] = ACTIONS(2580),
    [sym__regex_start] = ACTIONS(2580),
    [sym__string_array_start] = ACTIONS(2580),
    [sym__symbol_array_start] = ACTIONS(2580),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2580),
    [sym__block_ampersand] = ACTIONS(2580),
    [sym__splat_star] = ACTIONS(2580),
    [sym__unary_minus] = ACTIONS(2580),
    [sym__unary_minus_num] = ACTIONS(2580),
    [sym__binary_minus] = ACTIONS(2576),
    [sym__binary_star] = ACTIONS(2576),
    [sym_hash_key_symbol] = ACTIONS(2580),
    [sym__identifier_suffix] = ACTIONS(2580),
    [sym__constant_suffix] = ACTIONS(2580),
    [sym__hash_splat_star_star] = ACTIONS(2580),
    [sym__binary_star_star] = ACTIONS(2576),
    [sym__element_reference_bracket] = ACTIONS(2576),
  },
  [1909] = {
    [sym_heredoc_body] = STATE(1909),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_def] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_rescue] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(733),
    [anon_sym_nil] = ACTIONS(733),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_next] = ACTIONS(733),
    [anon_sym_redo] = ACTIONS(733),
    [anon_sym_retry] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_unless] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_until] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_in] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_begin] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [anon_sym_defined_QMARK] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_self] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_constant] = ACTIONS(733),
    [aux_sym_constant_suffix_token1] = ACTIONS(745),
    [aux_sym_identifier_suffix_token1] = ACTIONS(733),
    [sym_instance_variable] = ACTIONS(745),
    [sym_class_variable] = ACTIONS(745),
    [sym_global_variable] = ACTIONS(745),
    [sym_character] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(745),
    [sym__line_break] = ACTIONS(745),
    [sym_simple_symbol] = ACTIONS(745),
    [sym__string_start] = ACTIONS(745),
    [sym__symbol_start] = ACTIONS(745),
    [sym__subshell_start] = ACTIONS(745),
    [sym__regex_start] = ACTIONS(745),
    [sym__string_array_start] = ACTIONS(745),
    [sym__symbol_array_start] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(745),
    [sym__block_ampersand] = ACTIONS(745),
    [sym__splat_star] = ACTIONS(745),
    [sym__unary_minus] = ACTIONS(745),
    [sym__unary_minus_num] = ACTIONS(745),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym_hash_key_symbol] = ACTIONS(745),
    [sym__identifier_suffix] = ACTIONS(745),
    [sym__constant_suffix] = ACTIONS(745),
    [sym__hash_splat_star_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [1910] = {
    [sym_heredoc_body] = STATE(1910),
    [sym_identifier] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_def] = ACTIONS(2574),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_rescue] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_nil] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_module] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_yield] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_next] = ACTIONS(2574),
    [anon_sym_redo] = ACTIONS(2574),
    [anon_sym_retry] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2574),
    [anon_sym_unless] = ACTIONS(2574),
    [anon_sym_while] = ACTIONS(2574),
    [anon_sym_until] = ACTIONS(2574),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_do] = ACTIONS(2574),
    [anon_sym_case] = ACTIONS(2574),
    [anon_sym_EQ_GT] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_then] = ACTIONS(2578),
    [anon_sym_begin] = ACTIONS(2574),
    [anon_sym_COLON_COLON2] = ACTIONS(2576),
    [anon_sym_AMP_DOT] = ACTIONS(2576),
    [anon_sym_PLUS_EQ] = ACTIONS(2576),
    [anon_sym_DASH_EQ] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(2576),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2576),
    [anon_sym_SLASH_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_EQ] = ACTIONS(2576),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2576),
    [anon_sym_AMP_EQ] = ACTIONS(2576),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_GT_GT_EQ] = ACTIONS(2576),
    [anon_sym_LT_LT_EQ] = ACTIONS(2576),
    [anon_sym_CARET_EQ] = ACTIONS(2576),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_and] = ACTIONS(2578),
    [anon_sym_or] = ACTIONS(2578),
    [anon_sym_PIPE_PIPE] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2578),
    [anon_sym_GT_GT] = ACTIONS(2578),
    [anon_sym_LT_EQ] = ACTIONS(2578),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_GT_EQ] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ] = ACTIONS(2576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2576),
    [anon_sym_LT_EQ_GT] = ACTIONS(2576),
    [anon_sym_EQ_TILDE] = ACTIONS(2576),
    [anon_sym_BANG_TILDE] = ACTIONS(2576),
    [anon_sym_defined_QMARK] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2574),
    [sym_float] = ACTIONS(2574),
    [sym_super] = ACTIONS(2574),
    [sym_self] = ACTIONS(2574),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [sym_constant] = ACTIONS(2574),
    [aux_sym_constant_suffix_token1] = ACTIONS(2580),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2574),
    [sym_instance_variable] = ACTIONS(2580),
    [sym_class_variable] = ACTIONS(2580),
    [sym_global_variable] = ACTIONS(2580),
    [sym_character] = ACTIONS(2580),
    [anon_sym_DASH_GT] = ACTIONS(2580),
    [sym__line_break] = ACTIONS(2576),
    [sym_simple_symbol] = ACTIONS(2580),
    [sym__string_start] = ACTIONS(2580),
    [sym__symbol_start] = ACTIONS(2580),
    [sym__subshell_start] = ACTIONS(2580),
    [sym__regex_start] = ACTIONS(2580),
    [sym__string_array_start] = ACTIONS(2580),
    [sym__symbol_array_start] = ACTIONS(2580),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2580),
    [sym__block_ampersand] = ACTIONS(2580),
    [sym__splat_star] = ACTIONS(2580),
    [sym__unary_minus] = ACTIONS(2580),
    [sym__unary_minus_num] = ACTIONS(2580),
    [sym__binary_minus] = ACTIONS(2576),
    [sym__binary_star] = ACTIONS(2576),
    [sym_hash_key_symbol] = ACTIONS(2580),
    [sym__identifier_suffix] = ACTIONS(2580),
    [sym__constant_suffix] = ACTIONS(2580),
    [sym__hash_splat_star_star] = ACTIONS(2580),
    [sym__binary_star_star] = ACTIONS(2576),
    [sym__element_reference_bracket] = ACTIONS(2576),
  },
  [1911] = {
    [sym_heredoc_body] = STATE(1911),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_def] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(733),
    [anon_sym_nil] = ACTIONS(733),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_COLON] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_next] = ACTIONS(733),
    [anon_sym_redo] = ACTIONS(733),
    [anon_sym_retry] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_unless] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_until] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_in] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_then] = ACTIONS(733),
    [anon_sym_begin] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [anon_sym_defined_QMARK] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_self] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_constant] = ACTIONS(733),
    [aux_sym_constant_suffix_token1] = ACTIONS(745),
    [aux_sym_identifier_suffix_token1] = ACTIONS(733),
    [sym_instance_variable] = ACTIONS(745),
    [sym_class_variable] = ACTIONS(745),
    [sym_global_variable] = ACTIONS(745),
    [sym_character] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(745),
    [sym__line_break] = ACTIONS(745),
    [sym_simple_symbol] = ACTIONS(745),
    [sym__string_start] = ACTIONS(745),
    [sym__symbol_start] = ACTIONS(745),
    [sym__subshell_start] = ACTIONS(745),
    [sym__regex_start] = ACTIONS(745),
    [sym__string_array_start] = ACTIONS(745),
    [sym__symbol_array_start] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(745),
    [sym__block_ampersand] = ACTIONS(745),
    [sym__splat_star] = ACTIONS(745),
    [sym__unary_minus] = ACTIONS(745),
    [sym__unary_minus_num] = ACTIONS(745),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym_hash_key_symbol] = ACTIONS(745),
    [sym__identifier_suffix] = ACTIONS(745),
    [sym__constant_suffix] = ACTIONS(745),
    [sym__hash_splat_star_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [1912] = {
    [sym_method] = STATE(5393),
    [sym_singleton_method] = STATE(5393),
    [sym_class] = STATE(5393),
    [sym_singleton_class] = STATE(5393),
    [sym_module] = STATE(5393),
    [sym_return] = STATE(5393),
    [sym_yield] = STATE(5393),
    [sym_break] = STATE(5393),
    [sym_next] = STATE(5393),
    [sym_redo] = STATE(5393),
    [sym_retry] = STATE(5393),
    [sym_while] = STATE(5393),
    [sym_until] = STATE(5393),
    [sym_for] = STATE(5393),
    [sym_case] = STATE(5393),
    [sym_case_match] = STATE(5393),
    [sym_if] = STATE(5393),
    [sym_unless] = STATE(5393),
    [sym_begin] = STATE(5393),
    [sym__primary] = STATE(5404),
    [sym_parenthesized_statements] = STATE(5393),
    [sym_element_reference] = STATE(4876),
    [sym_scope_resolution] = STATE(4876),
    [sym__call] = STATE(4590),
    [sym_call] = STATE(5393),
    [sym_parenthesized_unary] = STATE(5393),
    [sym_unary_literal] = STATE(5331),
    [sym__literal] = STATE(5393),
    [sym__numeric] = STATE(5399),
    [sym__simple_numeric] = STATE(5331),
    [sym__function_identifier] = STATE(4807),
    [sym__function_identifier_call] = STATE(5326),
    [sym__lhs] = STATE(4929),
    [sym__variable] = STATE(4583),
    [sym__nonlocal_variable] = STATE(4704),
    [sym__int_or_float] = STATE(5469),
    [sym_complex] = STATE(5314),
    [sym_rational] = STATE(5314),
    [sym_nil] = STATE(4876),
    [sym_constant_suffix] = STATE(4744),
    [sym_identifier_suffix] = STATE(4740),
    [sym_chained_string] = STATE(5393),
    [sym_string] = STATE(5029),
    [sym_subshell] = STATE(5393),
    [sym_string_array] = STATE(5393),
    [sym_symbol_array] = STATE(5393),
    [sym_delimited_symbol] = STATE(5399),
    [sym_regex] = STATE(5393),
    [sym_heredoc_body] = STATE(1912),
    [sym_array] = STATE(5393),
    [sym_hash] = STATE(5393),
    [sym_lambda] = STATE(5393),
    [ts_builtin_sym_end] = ACTIONS(2598),
    [sym_identifier] = ACTIONS(2594),
    [aux_sym_program_token1] = ACTIONS(2598),
    [anon_sym___END__] = ACTIONS(2606),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_def] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(2602),
    [anon_sym_COLON_COLON] = ACTIONS(2604),
    [anon_sym_rescue] = ACTIONS(2606),
    [anon_sym_EQ] = ACTIONS(2608),
    [anon_sym_COMMA] = ACTIONS(2608),
    [anon_sym_SEMI] = ACTIONS(2598),
    [anon_sym_nil] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_module] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_yield] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_next] = ACTIONS(2622),
    [anon_sym_redo] = ACTIONS(2624),
    [anon_sym_retry] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_unless] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_until] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_do] = ACTIONS(2606),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_begin] = ACTIONS(2642),
    [anon_sym_and] = ACTIONS(2606),
    [anon_sym_or] = ACTIONS(2606),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_defined_QMARK] = ACTIONS(2646),
    [anon_sym_not] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2650),
    [sym_float] = ACTIONS(2650),
    [sym_super] = ACTIONS(2652),
    [sym_self] = ACTIONS(2652),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [sym_constant] = ACTIONS(2652),
    [aux_sym_constant_suffix_token1] = ACTIONS(2656),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2658),
    [sym_instance_variable] = ACTIONS(2660),
    [sym_class_variable] = ACTIONS(2660),
    [sym_global_variable] = ACTIONS(2660),
    [sym_character] = ACTIONS(2662),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [sym__line_break] = ACTIONS(2598),
    [sym_simple_symbol] = ACTIONS(2666),
    [sym__string_start] = ACTIONS(2668),
    [sym__symbol_start] = ACTIONS(2670),
    [sym__subshell_start] = ACTIONS(2672),
    [sym__regex_start] = ACTIONS(2674),
    [sym__string_array_start] = ACTIONS(2676),
    [sym__symbol_array_start] = ACTIONS(2678),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2662),
    [sym__unary_minus_num] = ACTIONS(2644),
    [sym__identifier_suffix] = ACTIONS(2680),
    [sym__constant_suffix] = ACTIONS(2656),
  },
  [1913] = {
    [sym_heredoc_body] = STATE(1913),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_def] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_rescue] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(733),
    [anon_sym_nil] = ACTIONS(733),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_next] = ACTIONS(733),
    [anon_sym_redo] = ACTIONS(733),
    [anon_sym_retry] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_unless] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_until] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_in] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_begin] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [anon_sym_defined_QMARK] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_self] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_constant] = ACTIONS(733),
    [aux_sym_constant_suffix_token1] = ACTIONS(745),
    [aux_sym_identifier_suffix_token1] = ACTIONS(733),
    [sym_instance_variable] = ACTIONS(745),
    [sym_class_variable] = ACTIONS(745),
    [sym_global_variable] = ACTIONS(745),
    [sym_character] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(745),
    [sym__line_break] = ACTIONS(745),
    [sym_simple_symbol] = ACTIONS(745),
    [sym__string_start] = ACTIONS(745),
    [sym__symbol_start] = ACTIONS(745),
    [sym__subshell_start] = ACTIONS(745),
    [sym__regex_start] = ACTIONS(745),
    [sym__string_array_start] = ACTIONS(745),
    [sym__symbol_array_start] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(745),
    [sym__block_ampersand] = ACTIONS(745),
    [sym__splat_star] = ACTIONS(745),
    [sym__unary_minus] = ACTIONS(745),
    [sym__unary_minus_num] = ACTIONS(745),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym_hash_key_symbol] = ACTIONS(745),
    [sym__identifier_suffix] = ACTIONS(745),
    [sym__constant_suffix] = ACTIONS(745),
    [sym__hash_splat_star_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [1914] = {
    [sym_heredoc_body] = STATE(1914),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_def] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(733),
    [anon_sym_nil] = ACTIONS(733),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_COLON] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_next] = ACTIONS(733),
    [anon_sym_redo] = ACTIONS(733),
    [anon_sym_retry] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_unless] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_until] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_in] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_RBRACK] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_begin] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [anon_sym_defined_QMARK] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_self] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_constant] = ACTIONS(733),
    [aux_sym_constant_suffix_token1] = ACTIONS(745),
    [aux_sym_identifier_suffix_token1] = ACTIONS(733),
    [sym_instance_variable] = ACTIONS(745),
    [sym_class_variable] = ACTIONS(745),
    [sym_global_variable] = ACTIONS(745),
    [sym_character] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(745),
    [sym_simple_symbol] = ACTIONS(745),
    [sym__string_start] = ACTIONS(745),
    [sym__symbol_start] = ACTIONS(745),
    [sym__subshell_start] = ACTIONS(745),
    [sym__regex_start] = ACTIONS(745),
    [sym__string_array_start] = ACTIONS(745),
    [sym__symbol_array_start] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(745),
    [sym__block_ampersand] = ACTIONS(745),
    [sym__splat_star] = ACTIONS(745),
    [sym__unary_minus] = ACTIONS(745),
    [sym__unary_minus_num] = ACTIONS(745),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym_hash_key_symbol] = ACTIONS(745),
    [sym__identifier_suffix] = ACTIONS(745),
    [sym__constant_suffix] = ACTIONS(745),
    [sym__hash_splat_star_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [1915] = {
    [sym_heredoc_body] = STATE(1915),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_def] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(733),
    [anon_sym_nil] = ACTIONS(733),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_COLON] = ACTIONS(2686),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_next] = ACTIONS(733),
    [anon_sym_redo] = ACTIONS(733),
    [anon_sym_retry] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_unless] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_until] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_in] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(733),
    [anon_sym_RBRACK] = ACTIONS(745),
    [anon_sym_LBRACK2] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_begin] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [anon_sym_defined_QMARK] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_self] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_constant] = ACTIONS(733),
    [aux_sym_constant_suffix_token1] = ACTIONS(745),
    [aux_sym_identifier_suffix_token1] = ACTIONS(733),
    [sym_instance_variable] = ACTIONS(745),
    [sym_class_variable] = ACTIONS(745),
    [sym_global_variable] = ACTIONS(745),
    [sym_character] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(745),
    [sym_simple_symbol] = ACTIONS(745),
    [sym__string_start] = ACTIONS(745),
    [sym__symbol_start] = ACTIONS(745),
    [sym__subshell_start] = ACTIONS(745),
    [sym__regex_start] = ACTIONS(745),
    [sym__string_array_start] = ACTIONS(745),
    [sym__symbol_array_start] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(745),
    [sym__block_ampersand] = ACTIONS(745),
    [sym__splat_star] = ACTIONS(745),
    [sym__unary_minus] = ACTIONS(745),
    [sym__unary_minus_num] = ACTIONS(745),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym_hash_key_symbol] = ACTIONS(745),
    [sym__identifier_suffix] = ACTIONS(745),
    [sym__constant_suffix] = ACTIONS(745),
    [sym__hash_splat_star_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [1916] = {
    [sym_heredoc_body] = STATE(1916),
    [sym_identifier] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_def] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2590),
    [anon_sym_RPAREN] = ACTIONS(2592),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_rescue] = ACTIONS(2590),
    [anon_sym_EQ] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_nil] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_next] = ACTIONS(2590),
    [anon_sym_redo] = ACTIONS(2590),
    [anon_sym_retry] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_RBRACK] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2590),
    [anon_sym_begin] = ACTIONS(2590),
    [anon_sym_COLON_COLON2] = ACTIONS(2592),
    [anon_sym_AMP_DOT] = ACTIONS(2592),
    [anon_sym_PLUS_EQ] = ACTIONS(2592),
    [anon_sym_DASH_EQ] = ACTIONS(2592),
    [anon_sym_STAR_EQ] = ACTIONS(2592),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2592),
    [anon_sym_SLASH_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_EQ] = ACTIONS(2592),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2592),
    [anon_sym_AMP_EQ] = ACTIONS(2592),
    [anon_sym_PERCENT_EQ] = ACTIONS(2592),
    [anon_sym_GT_GT_EQ] = ACTIONS(2592),
    [anon_sym_LT_LT_EQ] = ACTIONS(2592),
    [anon_sym_CARET_EQ] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2590),
    [anon_sym_LT_LT] = ACTIONS(2590),
    [anon_sym_GT_GT] = ACTIONS(2590),
    [anon_sym_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_SLASH] = ACTIONS(2590),
    [anon_sym_PERCENT] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2590),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ_GT] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2592),
    [anon_sym_BANG_TILDE] = ACTIONS(2592),
    [anon_sym_defined_QMARK] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2590),
    [sym_float] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_self] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_constant] = ACTIONS(2590),
    [aux_sym_constant_suffix_token1] = ACTIONS(2592),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2590),
    [sym_instance_variable] = ACTIONS(2592),
    [sym_class_variable] = ACTIONS(2592),
    [sym_global_variable] = ACTIONS(2592),
    [sym_character] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [sym_simple_symbol] = ACTIONS(2592),
    [sym__string_start] = ACTIONS(2592),
    [sym__symbol_start] = ACTIONS(2592),
    [sym__subshell_start] = ACTIONS(2592),
    [sym__regex_start] = ACTIONS(2592),
    [sym__string_array_start] = ACTIONS(2592),
    [sym__symbol_array_start] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2592),
    [sym__block_ampersand] = ACTIONS(2592),
    [sym__splat_star] = ACTIONS(2592),
    [sym__unary_minus] = ACTIONS(2592),
    [sym__unary_minus_num] = ACTIONS(2592),
    [sym__binary_minus] = ACTIONS(2592),
    [sym__binary_star] = ACTIONS(2592),
    [sym_hash_key_symbol] = ACTIONS(2592),
    [sym__identifier_suffix] = ACTIONS(2592),
    [sym__constant_suffix] = ACTIONS(2592),
    [sym__hash_splat_star_star] = ACTIONS(2592),
    [sym__binary_star_star] = ACTIONS(2592),
    [sym__element_reference_bracket] = ACTIONS(2592),
  },
  [1917] = {
    [sym_heredoc_body] = STATE(1917),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_def] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2586),
    [anon_sym_RPAREN] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_rescue] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_nil] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_next] = ACTIONS(2586),
    [anon_sym_redo] = ACTIONS(2586),
    [anon_sym_retry] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_until] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_RBRACK] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_begin] = ACTIONS(2586),
    [anon_sym_COLON_COLON2] = ACTIONS(2588),
    [anon_sym_AMP_DOT] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2588),
    [anon_sym_PIPE_EQ] = ACTIONS(2588),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2588),
    [anon_sym_AMP_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_GT_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_LT_EQ] = ACTIONS(2588),
    [anon_sym_CARET_EQ] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2586),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2586),
    [anon_sym_GT_GT] = ACTIONS(2586),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ_GT] = ACTIONS(2588),
    [anon_sym_EQ_TILDE] = ACTIONS(2588),
    [anon_sym_BANG_TILDE] = ACTIONS(2588),
    [anon_sym_defined_QMARK] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2586),
    [sym_float] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_self] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_constant] = ACTIONS(2586),
    [aux_sym_constant_suffix_token1] = ACTIONS(2588),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2586),
    [sym_instance_variable] = ACTIONS(2588),
    [sym_class_variable] = ACTIONS(2588),
    [sym_global_variable] = ACTIONS(2588),
    [sym_character] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [sym_simple_symbol] = ACTIONS(2588),
    [sym__string_start] = ACTIONS(2588),
    [sym__symbol_start] = ACTIONS(2588),
    [sym__subshell_start] = ACTIONS(2588),
    [sym__regex_start] = ACTIONS(2588),
    [sym__string_array_start] = ACTIONS(2588),
    [sym__symbol_array_start] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2588),
    [sym__block_ampersand] = ACTIONS(2588),
    [sym__splat_star] = ACTIONS(2588),
    [sym__unary_minus] = ACTIONS(2588),
    [sym__unary_minus_num] = ACTIONS(2588),
    [sym__binary_minus] = ACTIONS(2588),
    [sym__binary_star] = ACTIONS(2588),
    [sym_hash_key_symbol] = ACTIONS(2588),
    [sym__identifier_suffix] = ACTIONS(2588),
    [sym__constant_suffix] = ACTIONS(2588),
    [sym__hash_splat_star_star] = ACTIONS(2588),
    [sym__binary_star_star] = ACTIONS(2588),
    [sym__element_reference_bracket] = ACTIONS(2588),
  },
  [1918] = {
    [sym_heredoc_body] = STATE(1918),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_def] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(733),
    [anon_sym_nil] = ACTIONS(733),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_COLON] = ACTIONS(2686),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_next] = ACTIONS(733),
    [anon_sym_redo] = ACTIONS(733),
    [anon_sym_retry] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_unless] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_until] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_in] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_RBRACK] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_begin] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [anon_sym_defined_QMARK] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_self] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_constant] = ACTIONS(733),
    [aux_sym_constant_suffix_token1] = ACTIONS(745),
    [aux_sym_identifier_suffix_token1] = ACTIONS(733),
    [sym_instance_variable] = ACTIONS(745),
    [sym_class_variable] = ACTIONS(745),
    [sym_global_variable] = ACTIONS(745),
    [sym_character] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(745),
    [sym_simple_symbol] = ACTIONS(745),
    [sym__string_start] = ACTIONS(745),
    [sym__symbol_start] = ACTIONS(745),
    [sym__subshell_start] = ACTIONS(745),
    [sym__regex_start] = ACTIONS(745),
    [sym__string_array_start] = ACTIONS(745),
    [sym__symbol_array_start] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(745),
    [sym__block_ampersand] = ACTIONS(745),
    [sym__splat_star] = ACTIONS(745),
    [sym__unary_minus] = ACTIONS(745),
    [sym__unary_minus_num] = ACTIONS(745),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym_hash_key_symbol] = ACTIONS(745),
    [sym__identifier_suffix] = ACTIONS(745),
    [sym__constant_suffix] = ACTIONS(745),
    [sym__hash_splat_star_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [1919] = {
    [sym_heredoc_body] = STATE(1919),
    [sym_identifier] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_def] = ACTIONS(2566),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_RPAREN] = ACTIONS(2568),
    [anon_sym_DOT] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_rescue] = ACTIONS(2566),
    [anon_sym_EQ] = ACTIONS(2566),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_PIPE] = ACTIONS(2566),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_nil] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_LT] = ACTIONS(2566),
    [anon_sym_module] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_yield] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_next] = ACTIONS(2566),
    [anon_sym_redo] = ACTIONS(2566),
    [anon_sym_retry] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_unless] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_until] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_EQ_GT] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_RBRACK] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_DOT_DOT] = ACTIONS(2566),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_begin] = ACTIONS(2566),
    [anon_sym_COLON_COLON2] = ACTIONS(2568),
    [anon_sym_AMP_DOT] = ACTIONS(2568),
    [anon_sym_PLUS_EQ] = ACTIONS(2568),
    [anon_sym_DASH_EQ] = ACTIONS(2568),
    [anon_sym_STAR_EQ] = ACTIONS(2568),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2568),
    [anon_sym_AMP_EQ] = ACTIONS(2568),
    [anon_sym_PERCENT_EQ] = ACTIONS(2568),
    [anon_sym_GT_GT_EQ] = ACTIONS(2568),
    [anon_sym_LT_LT_EQ] = ACTIONS(2568),
    [anon_sym_CARET_EQ] = ACTIONS(2568),
    [anon_sym_QMARK] = ACTIONS(2566),
    [anon_sym_and] = ACTIONS(2566),
    [anon_sym_or] = ACTIONS(2566),
    [anon_sym_PIPE_PIPE] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_LT_LT] = ACTIONS(2566),
    [anon_sym_GT_GT] = ACTIONS(2566),
    [anon_sym_LT_EQ] = ACTIONS(2566),
    [anon_sym_GT] = ACTIONS(2566),
    [anon_sym_GT_EQ] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym_SLASH] = ACTIONS(2566),
    [anon_sym_PERCENT] = ACTIONS(2566),
    [anon_sym_EQ_EQ] = ACTIONS(2566),
    [anon_sym_BANG_EQ] = ACTIONS(2568),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2568),
    [anon_sym_LT_EQ_GT] = ACTIONS(2568),
    [anon_sym_EQ_TILDE] = ACTIONS(2568),
    [anon_sym_BANG_TILDE] = ACTIONS(2568),
    [anon_sym_defined_QMARK] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2566),
    [sym_float] = ACTIONS(2566),
    [sym_super] = ACTIONS(2566),
    [sym_self] = ACTIONS(2566),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [sym_constant] = ACTIONS(2566),
    [aux_sym_constant_suffix_token1] = ACTIONS(2568),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2566),
    [sym_instance_variable] = ACTIONS(2568),
    [sym_class_variable] = ACTIONS(2568),
    [sym_global_variable] = ACTIONS(2568),
    [sym_character] = ACTIONS(2568),
    [anon_sym_DASH_GT] = ACTIONS(2568),
    [sym_simple_symbol] = ACTIONS(2568),
    [sym__string_start] = ACTIONS(2568),
    [sym__symbol_start] = ACTIONS(2568),
    [sym__subshell_start] = ACTIONS(2568),
    [sym__regex_start] = ACTIONS(2568),
    [sym__string_array_start] = ACTIONS(2568),
    [sym__symbol_array_start] = ACTIONS(2568),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2568),
    [sym__block_ampersand] = ACTIONS(2568),
    [sym__splat_star] = ACTIONS(2568),
    [sym__unary_minus] = ACTIONS(2568),
    [sym__unary_minus_num] = ACTIONS(2568),
    [sym__binary_minus] = ACTIONS(2568),
    [sym__binary_star] = ACTIONS(2568),
    [sym_hash_key_symbol] = ACTIONS(2568),
    [sym__identifier_suffix] = ACTIONS(2568),
    [sym__constant_suffix] = ACTIONS(2568),
    [sym__hash_splat_star_star] = ACTIONS(2568),
    [sym__binary_star_star] = ACTIONS(2568),
    [sym__element_reference_bracket] = ACTIONS(2568),
  },
  [1920] = {
    [sym_heredoc_body] = STATE(1920),
    [sym_identifier] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_def] = ACTIONS(2582),
    [anon_sym_LPAREN] = ACTIONS(2582),
    [anon_sym_RPAREN] = ACTIONS(2584),
    [anon_sym_DOT] = ACTIONS(2582),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_rescue] = ACTIONS(2582),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_nil] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(2582),
    [anon_sym_LT] = ACTIONS(2582),
    [anon_sym_module] = ACTIONS(2582),
    [anon_sym_return] = ACTIONS(2582),
    [anon_sym_yield] = ACTIONS(2582),
    [anon_sym_break] = ACTIONS(2582),
    [anon_sym_next] = ACTIONS(2582),
    [anon_sym_redo] = ACTIONS(2582),
    [anon_sym_retry] = ACTIONS(2582),
    [anon_sym_if] = ACTIONS(2582),
    [anon_sym_unless] = ACTIONS(2582),
    [anon_sym_while] = ACTIONS(2582),
    [anon_sym_until] = ACTIONS(2582),
    [anon_sym_for] = ACTIONS(2582),
    [anon_sym_in] = ACTIONS(2582),
    [anon_sym_do] = ACTIONS(2582),
    [anon_sym_case] = ACTIONS(2582),
    [anon_sym_EQ_GT] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_RBRACK] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2584),
    [anon_sym_DOT_DOT] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_begin] = ACTIONS(2582),
    [anon_sym_COLON_COLON2] = ACTIONS(2584),
    [anon_sym_AMP_DOT] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2582),
    [anon_sym_and] = ACTIONS(2582),
    [anon_sym_or] = ACTIONS(2582),
    [anon_sym_PIPE_PIPE] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_LT_LT] = ACTIONS(2582),
    [anon_sym_GT_GT] = ACTIONS(2582),
    [anon_sym_LT_EQ] = ACTIONS(2582),
    [anon_sym_GT] = ACTIONS(2582),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2582),
    [anon_sym_SLASH] = ACTIONS(2582),
    [anon_sym_PERCENT] = ACTIONS(2582),
    [anon_sym_EQ_EQ] = ACTIONS(2582),
    [anon_sym_BANG_EQ] = ACTIONS(2584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_LT_EQ_GT] = ACTIONS(2584),
    [anon_sym_EQ_TILDE] = ACTIONS(2584),
    [anon_sym_BANG_TILDE] = ACTIONS(2584),
    [anon_sym_defined_QMARK] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2582),
    [sym_float] = ACTIONS(2582),
    [sym_super] = ACTIONS(2582),
    [sym_self] = ACTIONS(2582),
    [sym_true] = ACTIONS(2582),
    [sym_false] = ACTIONS(2582),
    [sym_constant] = ACTIONS(2582),
    [aux_sym_constant_suffix_token1] = ACTIONS(2584),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2582),
    [sym_instance_variable] = ACTIONS(2584),
    [sym_class_variable] = ACTIONS(2584),
    [sym_global_variable] = ACTIONS(2584),
    [sym_character] = ACTIONS(2584),
    [anon_sym_DASH_GT] = ACTIONS(2584),
    [sym_simple_symbol] = ACTIONS(2584),
    [sym__string_start] = ACTIONS(2584),
    [sym__symbol_start] = ACTIONS(2584),
    [sym__subshell_start] = ACTIONS(2584),
    [sym__regex_start] = ACTIONS(2584),
    [sym__string_array_start] = ACTIONS(2584),
    [sym__symbol_array_start] = ACTIONS(2584),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2584),
    [sym__block_ampersand] = ACTIONS(2584),
    [sym__splat_star] = ACTIONS(2584),
    [sym__unary_minus] = ACTIONS(2584),
    [sym__unary_minus_num] = ACTIONS(2584),
    [sym__binary_minus] = ACTIONS(2584),
    [sym__binary_star] = ACTIONS(2584),
    [sym_hash_key_symbol] = ACTIONS(2584),
    [sym__identifier_suffix] = ACTIONS(2584),
    [sym__constant_suffix] = ACTIONS(2584),
    [sym__hash_splat_star_star] = ACTIONS(2584),
    [sym__binary_star_star] = ACTIONS(2584),
    [sym__element_reference_bracket] = ACTIONS(2584),
  },
  [1921] = {
    [sym_heredoc_body] = STATE(1921),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_def] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(733),
    [anon_sym_nil] = ACTIONS(733),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_COLON] = ACTIONS(2702),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_next] = ACTIONS(733),
    [anon_sym_redo] = ACTIONS(733),
    [anon_sym_retry] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_unless] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_until] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_in] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_RBRACK] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_begin] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [anon_sym_defined_QMARK] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_self] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_constant] = ACTIONS(733),
    [aux_sym_constant_suffix_token1] = ACTIONS(745),
    [aux_sym_identifier_suffix_token1] = ACTIONS(733),
    [sym_instance_variable] = ACTIONS(745),
    [sym_class_variable] = ACTIONS(745),
    [sym_global_variable] = ACTIONS(745),
    [sym_character] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(745),
    [sym_simple_symbol] = ACTIONS(745),
    [sym__string_start] = ACTIONS(745),
    [sym__symbol_start] = ACTIONS(745),
    [sym__subshell_start] = ACTIONS(745),
    [sym__regex_start] = ACTIONS(745),
    [sym__string_array_start] = ACTIONS(745),
    [sym__symbol_array_start] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(745),
    [sym__block_ampersand] = ACTIONS(745),
    [sym__splat_star] = ACTIONS(745),
    [sym__unary_minus] = ACTIONS(745),
    [sym__unary_minus_num] = ACTIONS(745),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym_hash_key_symbol] = ACTIONS(745),
    [sym__identifier_suffix] = ACTIONS(745),
    [sym__constant_suffix] = ACTIONS(745),
    [sym__hash_splat_star_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [1922] = {
    [sym_heredoc_body] = STATE(1922),
    [sym_identifier] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_def] = ACTIONS(2574),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_rescue] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_nil] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_module] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_yield] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_next] = ACTIONS(2574),
    [anon_sym_redo] = ACTIONS(2574),
    [anon_sym_retry] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2578),
    [anon_sym_unless] = ACTIONS(2578),
    [anon_sym_while] = ACTIONS(2578),
    [anon_sym_until] = ACTIONS(2578),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_do] = ACTIONS(2578),
    [anon_sym_case] = ACTIONS(2574),
    [anon_sym_EQ_GT] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_begin] = ACTIONS(2574),
    [anon_sym_COLON_COLON2] = ACTIONS(2576),
    [anon_sym_AMP_DOT] = ACTIONS(2576),
    [anon_sym_PLUS_EQ] = ACTIONS(2576),
    [anon_sym_DASH_EQ] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(2576),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2576),
    [anon_sym_SLASH_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_EQ] = ACTIONS(2576),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2576),
    [anon_sym_AMP_EQ] = ACTIONS(2576),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_GT_GT_EQ] = ACTIONS(2576),
    [anon_sym_LT_LT_EQ] = ACTIONS(2576),
    [anon_sym_CARET_EQ] = ACTIONS(2576),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_and] = ACTIONS(2578),
    [anon_sym_or] = ACTIONS(2578),
    [anon_sym_PIPE_PIPE] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2578),
    [anon_sym_GT_GT] = ACTIONS(2578),
    [anon_sym_LT_EQ] = ACTIONS(2578),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_GT_EQ] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ] = ACTIONS(2576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2576),
    [anon_sym_LT_EQ_GT] = ACTIONS(2576),
    [anon_sym_EQ_TILDE] = ACTIONS(2576),
    [anon_sym_BANG_TILDE] = ACTIONS(2576),
    [anon_sym_defined_QMARK] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2574),
    [sym_float] = ACTIONS(2574),
    [sym_super] = ACTIONS(2574),
    [sym_self] = ACTIONS(2574),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [sym_constant] = ACTIONS(2574),
    [aux_sym_constant_suffix_token1] = ACTIONS(2580),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2574),
    [sym_instance_variable] = ACTIONS(2580),
    [sym_class_variable] = ACTIONS(2580),
    [sym_global_variable] = ACTIONS(2580),
    [sym_character] = ACTIONS(2580),
    [anon_sym_DASH_GT] = ACTIONS(2580),
    [sym__line_break] = ACTIONS(2576),
    [sym_simple_symbol] = ACTIONS(2580),
    [sym__string_start] = ACTIONS(2580),
    [sym__symbol_start] = ACTIONS(2580),
    [sym__subshell_start] = ACTIONS(2580),
    [sym__regex_start] = ACTIONS(2580),
    [sym__string_array_start] = ACTIONS(2580),
    [sym__symbol_array_start] = ACTIONS(2580),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2580),
    [sym__block_ampersand] = ACTIONS(2580),
    [sym__splat_star] = ACTIONS(2580),
    [sym__unary_minus] = ACTIONS(2580),
    [sym__unary_minus_num] = ACTIONS(2580),
    [sym__binary_minus] = ACTIONS(2576),
    [sym__binary_star] = ACTIONS(2576),
    [sym_hash_key_symbol] = ACTIONS(2580),
    [sym__identifier_suffix] = ACTIONS(2580),
    [sym__constant_suffix] = ACTIONS(2580),
    [sym__hash_splat_star_star] = ACTIONS(2580),
    [sym__binary_star_star] = ACTIONS(2576),
    [sym__element_reference_bracket] = ACTIONS(2576),
  },
  [1923] = {
    [sym_heredoc_body] = STATE(1923),
    [sym_identifier] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_def] = ACTIONS(2574),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_RPAREN] = ACTIONS(2576),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_rescue] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_nil] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_module] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_yield] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_next] = ACTIONS(2574),
    [anon_sym_redo] = ACTIONS(2574),
    [anon_sym_retry] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2574),
    [anon_sym_unless] = ACTIONS(2574),
    [anon_sym_while] = ACTIONS(2574),
    [anon_sym_until] = ACTIONS(2574),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_do] = ACTIONS(2574),
    [anon_sym_case] = ACTIONS(2574),
    [anon_sym_EQ_GT] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_RBRACK] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_begin] = ACTIONS(2574),
    [anon_sym_COLON_COLON2] = ACTIONS(2576),
    [anon_sym_AMP_DOT] = ACTIONS(2576),
    [anon_sym_PLUS_EQ] = ACTIONS(2576),
    [anon_sym_DASH_EQ] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(2576),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2576),
    [anon_sym_SLASH_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_EQ] = ACTIONS(2576),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2576),
    [anon_sym_AMP_EQ] = ACTIONS(2576),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_GT_GT_EQ] = ACTIONS(2576),
    [anon_sym_LT_LT_EQ] = ACTIONS(2576),
    [anon_sym_CARET_EQ] = ACTIONS(2576),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_and] = ACTIONS(2578),
    [anon_sym_or] = ACTIONS(2578),
    [anon_sym_PIPE_PIPE] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2578),
    [anon_sym_GT_GT] = ACTIONS(2578),
    [anon_sym_LT_EQ] = ACTIONS(2578),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_GT_EQ] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ] = ACTIONS(2576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2576),
    [anon_sym_LT_EQ_GT] = ACTIONS(2576),
    [anon_sym_EQ_TILDE] = ACTIONS(2576),
    [anon_sym_BANG_TILDE] = ACTIONS(2576),
    [anon_sym_defined_QMARK] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2574),
    [sym_float] = ACTIONS(2574),
    [sym_super] = ACTIONS(2574),
    [sym_self] = ACTIONS(2574),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [sym_constant] = ACTIONS(2574),
    [aux_sym_constant_suffix_token1] = ACTIONS(2580),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2574),
    [sym_instance_variable] = ACTIONS(2580),
    [sym_class_variable] = ACTIONS(2580),
    [sym_global_variable] = ACTIONS(2580),
    [sym_character] = ACTIONS(2580),
    [anon_sym_DASH_GT] = ACTIONS(2580),
    [sym_simple_symbol] = ACTIONS(2580),
    [sym__string_start] = ACTIONS(2580),
    [sym__symbol_start] = ACTIONS(2580),
    [sym__subshell_start] = ACTIONS(2580),
    [sym__regex_start] = ACTIONS(2580),
    [sym__string_array_start] = ACTIONS(2580),
    [sym__symbol_array_start] = ACTIONS(2580),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2580),
    [sym__block_ampersand] = ACTIONS(2580),
    [sym__splat_star] = ACTIONS(2580),
    [sym__unary_minus] = ACTIONS(2580),
    [sym__unary_minus_num] = ACTIONS(2580),
    [sym__binary_minus] = ACTIONS(2576),
    [sym__binary_star] = ACTIONS(2576),
    [sym_hash_key_symbol] = ACTIONS(2580),
    [sym__identifier_suffix] = ACTIONS(2580),
    [sym__constant_suffix] = ACTIONS(2580),
    [sym__hash_splat_star_star] = ACTIONS(2580),
    [sym__binary_star_star] = ACTIONS(2576),
    [sym__element_reference_bracket] = ACTIONS(2576),
  },
  [1924] = {
    [sym_heredoc_body] = STATE(1924),
    [sym_identifier] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_def] = ACTIONS(2562),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_rescue] = ACTIONS(2562),
    [anon_sym_EQ] = ACTIONS(2562),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_nil] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_LT] = ACTIONS(2562),
    [anon_sym_module] = ACTIONS(2562),
    [anon_sym_return] = ACTIONS(2562),
    [anon_sym_yield] = ACTIONS(2562),
    [anon_sym_break] = ACTIONS(2562),
    [anon_sym_next] = ACTIONS(2562),
    [anon_sym_redo] = ACTIONS(2562),
    [anon_sym_retry] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_unless] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_until] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2562),
    [anon_sym_in] = ACTIONS(2562),
    [anon_sym_do] = ACTIONS(2562),
    [anon_sym_case] = ACTIONS(2562),
    [anon_sym_EQ_GT] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_RBRACK] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_CARET] = ACTIONS(2562),
    [anon_sym_begin] = ACTIONS(2562),
    [anon_sym_COLON_COLON2] = ACTIONS(2564),
    [anon_sym_AMP_DOT] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2564),
    [anon_sym_DASH_EQ] = ACTIONS(2564),
    [anon_sym_STAR_EQ] = ACTIONS(2564),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2564),
    [anon_sym_SLASH_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_EQ] = ACTIONS(2564),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2564),
    [anon_sym_AMP_EQ] = ACTIONS(2564),
    [anon_sym_PERCENT_EQ] = ACTIONS(2564),
    [anon_sym_GT_GT_EQ] = ACTIONS(2564),
    [anon_sym_LT_LT_EQ] = ACTIONS(2564),
    [anon_sym_CARET_EQ] = ACTIONS(2564),
    [anon_sym_QMARK] = ACTIONS(2562),
    [anon_sym_and] = ACTIONS(2562),
    [anon_sym_or] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_LT_LT] = ACTIONS(2562),
    [anon_sym_GT_GT] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_SLASH] = ACTIONS(2562),
    [anon_sym_PERCENT] = ACTIONS(2562),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2564),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2564),
    [anon_sym_LT_EQ_GT] = ACTIONS(2564),
    [anon_sym_EQ_TILDE] = ACTIONS(2564),
    [anon_sym_BANG_TILDE] = ACTIONS(2564),
    [anon_sym_defined_QMARK] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2562),
    [sym_float] = ACTIONS(2562),
    [sym_super] = ACTIONS(2562),
    [sym_self] = ACTIONS(2562),
    [sym_true] = ACTIONS(2562),
    [sym_false] = ACTIONS(2562),
    [sym_constant] = ACTIONS(2562),
    [aux_sym_constant_suffix_token1] = ACTIONS(2564),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2562),
    [sym_instance_variable] = ACTIONS(2564),
    [sym_class_variable] = ACTIONS(2564),
    [sym_global_variable] = ACTIONS(2564),
    [sym_character] = ACTIONS(2564),
    [anon_sym_DASH_GT] = ACTIONS(2564),
    [sym_simple_symbol] = ACTIONS(2564),
    [sym__string_start] = ACTIONS(2564),
    [sym__symbol_start] = ACTIONS(2564),
    [sym__subshell_start] = ACTIONS(2564),
    [sym__regex_start] = ACTIONS(2564),
    [sym__string_array_start] = ACTIONS(2564),
    [sym__symbol_array_start] = ACTIONS(2564),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2564),
    [sym__block_ampersand] = ACTIONS(2564),
    [sym__splat_star] = ACTIONS(2564),
    [sym__unary_minus] = ACTIONS(2564),
    [sym__unary_minus_num] = ACTIONS(2564),
    [sym__binary_minus] = ACTIONS(2564),
    [sym__binary_star] = ACTIONS(2564),
    [sym_hash_key_symbol] = ACTIONS(2564),
    [sym__identifier_suffix] = ACTIONS(2564),
    [sym__constant_suffix] = ACTIONS(2564),
    [sym__hash_splat_star_star] = ACTIONS(2564),
    [sym__binary_star_star] = ACTIONS(2564),
    [sym__element_reference_bracket] = ACTIONS(2564),
  },
  [1925] = {
    [sym_heredoc_body] = STATE(1925),
    [sym_identifier] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_def] = ACTIONS(2574),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_RPAREN] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2574),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_rescue] = ACTIONS(2574),
    [anon_sym_EQ] = ACTIONS(2574),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_nil] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_LT] = ACTIONS(2574),
    [anon_sym_module] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_yield] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_next] = ACTIONS(2574),
    [anon_sym_redo] = ACTIONS(2574),
    [anon_sym_retry] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2574),
    [anon_sym_unless] = ACTIONS(2574),
    [anon_sym_while] = ACTIONS(2574),
    [anon_sym_until] = ACTIONS(2574),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2574),
    [anon_sym_do] = ACTIONS(2574),
    [anon_sym_case] = ACTIONS(2574),
    [anon_sym_EQ_GT] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_RBRACK] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2574),
    [anon_sym_CARET] = ACTIONS(2574),
    [anon_sym_begin] = ACTIONS(2574),
    [anon_sym_COLON_COLON2] = ACTIONS(2580),
    [anon_sym_AMP_DOT] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_QMARK] = ACTIONS(2574),
    [anon_sym_and] = ACTIONS(2574),
    [anon_sym_or] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_LT_LT] = ACTIONS(2574),
    [anon_sym_GT_GT] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_GT] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2574),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ_GT] = ACTIONS(2580),
    [anon_sym_EQ_TILDE] = ACTIONS(2580),
    [anon_sym_BANG_TILDE] = ACTIONS(2580),
    [anon_sym_defined_QMARK] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2574),
    [sym_float] = ACTIONS(2574),
    [sym_super] = ACTIONS(2574),
    [sym_self] = ACTIONS(2574),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [sym_constant] = ACTIONS(2574),
    [aux_sym_constant_suffix_token1] = ACTIONS(2580),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2574),
    [sym_instance_variable] = ACTIONS(2580),
    [sym_class_variable] = ACTIONS(2580),
    [sym_global_variable] = ACTIONS(2580),
    [sym_character] = ACTIONS(2580),
    [anon_sym_DASH_GT] = ACTIONS(2580),
    [sym_simple_symbol] = ACTIONS(2580),
    [sym__string_start] = ACTIONS(2580),
    [sym__symbol_start] = ACTIONS(2580),
    [sym__subshell_start] = ACTIONS(2580),
    [sym__regex_start] = ACTIONS(2580),
    [sym__string_array_start] = ACTIONS(2580),
    [sym__symbol_array_start] = ACTIONS(2580),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2580),
    [sym__block_ampersand] = ACTIONS(2580),
    [sym__splat_star] = ACTIONS(2580),
    [sym__unary_minus] = ACTIONS(2580),
    [sym__unary_minus_num] = ACTIONS(2580),
    [sym__binary_minus] = ACTIONS(2580),
    [sym__binary_star] = ACTIONS(2580),
    [sym_hash_key_symbol] = ACTIONS(2580),
    [sym__identifier_suffix] = ACTIONS(2580),
    [sym__constant_suffix] = ACTIONS(2580),
    [sym__hash_splat_star_star] = ACTIONS(2580),
    [sym__binary_star_star] = ACTIONS(2580),
    [sym__element_reference_bracket] = ACTIONS(2580),
  },
  [1926] = {
    [sym_heredoc_body] = STATE(1926),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_def] = ACTIONS(2570),
    [anon_sym_LPAREN] = ACTIONS(2570),
    [anon_sym_RPAREN] = ACTIONS(2572),
    [anon_sym_DOT] = ACTIONS(2570),
    [anon_sym_COLON_COLON] = ACTIONS(2570),
    [anon_sym_rescue] = ACTIONS(2570),
    [anon_sym_EQ] = ACTIONS(2570),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_PIPE] = ACTIONS(2570),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_nil] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_class] = ACTIONS(2570),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_module] = ACTIONS(2570),
    [anon_sym_return] = ACTIONS(2570),
    [anon_sym_yield] = ACTIONS(2570),
    [anon_sym_break] = ACTIONS(2570),
    [anon_sym_next] = ACTIONS(2570),
    [anon_sym_redo] = ACTIONS(2570),
    [anon_sym_retry] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2570),
    [anon_sym_unless] = ACTIONS(2570),
    [anon_sym_while] = ACTIONS(2570),
    [anon_sym_until] = ACTIONS(2570),
    [anon_sym_for] = ACTIONS(2570),
    [anon_sym_in] = ACTIONS(2570),
    [anon_sym_do] = ACTIONS(2570),
    [anon_sym_case] = ACTIONS(2570),
    [anon_sym_EQ_GT] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_RBRACK] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_DOT_DOT] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_begin] = ACTIONS(2570),
    [anon_sym_COLON_COLON2] = ACTIONS(2572),
    [anon_sym_AMP_DOT] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2572),
    [anon_sym_DASH_EQ] = ACTIONS(2572),
    [anon_sym_STAR_EQ] = ACTIONS(2572),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2572),
    [anon_sym_SLASH_EQ] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2572),
    [anon_sym_PIPE_EQ] = ACTIONS(2572),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2572),
    [anon_sym_AMP_EQ] = ACTIONS(2572),
    [anon_sym_PERCENT_EQ] = ACTIONS(2572),
    [anon_sym_GT_GT_EQ] = ACTIONS(2572),
    [anon_sym_LT_LT_EQ] = ACTIONS(2572),
    [anon_sym_CARET_EQ] = ACTIONS(2572),
    [anon_sym_QMARK] = ACTIONS(2570),
    [anon_sym_and] = ACTIONS(2570),
    [anon_sym_or] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_LT_LT] = ACTIONS(2570),
    [anon_sym_GT_GT] = ACTIONS(2570),
    [anon_sym_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT] = ACTIONS(2570),
    [anon_sym_GT_EQ] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_SLASH] = ACTIONS(2570),
    [anon_sym_PERCENT] = ACTIONS(2570),
    [anon_sym_EQ_EQ] = ACTIONS(2570),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2572),
    [anon_sym_LT_EQ_GT] = ACTIONS(2572),
    [anon_sym_EQ_TILDE] = ACTIONS(2572),
    [anon_sym_BANG_TILDE] = ACTIONS(2572),
    [anon_sym_defined_QMARK] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2570),
    [sym_float] = ACTIONS(2570),
    [sym_super] = ACTIONS(2570),
    [sym_self] = ACTIONS(2570),
    [sym_true] = ACTIONS(2570),
    [sym_false] = ACTIONS(2570),
    [sym_constant] = ACTIONS(2570),
    [aux_sym_constant_suffix_token1] = ACTIONS(2572),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2570),
    [sym_instance_variable] = ACTIONS(2572),
    [sym_class_variable] = ACTIONS(2572),
    [sym_global_variable] = ACTIONS(2572),
    [sym_character] = ACTIONS(2572),
    [anon_sym_DASH_GT] = ACTIONS(2572),
    [sym_simple_symbol] = ACTIONS(2572),
    [sym__string_start] = ACTIONS(2572),
    [sym__symbol_start] = ACTIONS(2572),
    [sym__subshell_start] = ACTIONS(2572),
    [sym__regex_start] = ACTIONS(2572),
    [sym__string_array_start] = ACTIONS(2572),
    [sym__symbol_array_start] = ACTIONS(2572),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2572),
    [sym__block_ampersand] = ACTIONS(2572),
    [sym__splat_star] = ACTIONS(2572),
    [sym__unary_minus] = ACTIONS(2572),
    [sym__unary_minus_num] = ACTIONS(2572),
    [sym__binary_minus] = ACTIONS(2572),
    [sym__binary_star] = ACTIONS(2572),
    [sym_hash_key_symbol] = ACTIONS(2572),
    [sym__identifier_suffix] = ACTIONS(2572),
    [sym__constant_suffix] = ACTIONS(2572),
    [sym__hash_splat_star_star] = ACTIONS(2572),
    [sym__binary_star_star] = ACTIONS(2572),
    [sym__element_reference_bracket] = ACTIONS(2572),
  },
  [1927] = {
    [sym_heredoc_body] = STATE(1927),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_def] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_rescue] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(733),
    [anon_sym_nil] = ACTIONS(733),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_next] = ACTIONS(733),
    [anon_sym_redo] = ACTIONS(733),
    [anon_sym_retry] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_unless] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_until] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_in] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_RBRACK] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_begin] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [anon_sym_defined_QMARK] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_self] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_constant] = ACTIONS(733),
    [aux_sym_constant_suffix_token1] = ACTIONS(745),
    [aux_sym_identifier_suffix_token1] = ACTIONS(733),
    [sym_instance_variable] = ACTIONS(745),
    [sym_class_variable] = ACTIONS(745),
    [sym_global_variable] = ACTIONS(745),
    [sym_character] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(745),
    [sym_simple_symbol] = ACTIONS(745),
    [sym__string_start] = ACTIONS(745),
    [sym__symbol_start] = ACTIONS(745),
    [sym__subshell_start] = ACTIONS(745),
    [sym__regex_start] = ACTIONS(745),
    [sym__string_array_start] = ACTIONS(745),
    [sym__symbol_array_start] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(745),
    [sym__block_ampersand] = ACTIONS(745),
    [sym__splat_star] = ACTIONS(745),
    [sym__unary_minus] = ACTIONS(745),
    [sym__unary_minus_num] = ACTIONS(745),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym_hash_key_symbol] = ACTIONS(745),
    [sym__identifier_suffix] = ACTIONS(745),
    [sym__constant_suffix] = ACTIONS(745),
    [sym__hash_splat_star_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [1928] = {
    [sym_heredoc_body] = STATE(1928),
    [sym_identifier] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_def] = ACTIONS(2574),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_RPAREN] = ACTIONS(2576),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_rescue] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_nil] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_module] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_yield] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_next] = ACTIONS(2574),
    [anon_sym_redo] = ACTIONS(2574),
    [anon_sym_retry] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2574),
    [anon_sym_unless] = ACTIONS(2574),
    [anon_sym_while] = ACTIONS(2574),
    [anon_sym_until] = ACTIONS(2574),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_do] = ACTIONS(2578),
    [anon_sym_case] = ACTIONS(2574),
    [anon_sym_EQ_GT] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_RBRACK] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_begin] = ACTIONS(2574),
    [anon_sym_COLON_COLON2] = ACTIONS(2576),
    [anon_sym_AMP_DOT] = ACTIONS(2576),
    [anon_sym_PLUS_EQ] = ACTIONS(2576),
    [anon_sym_DASH_EQ] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(2576),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2576),
    [anon_sym_SLASH_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_EQ] = ACTIONS(2576),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2576),
    [anon_sym_AMP_EQ] = ACTIONS(2576),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_GT_GT_EQ] = ACTIONS(2576),
    [anon_sym_LT_LT_EQ] = ACTIONS(2576),
    [anon_sym_CARET_EQ] = ACTIONS(2576),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_and] = ACTIONS(2578),
    [anon_sym_or] = ACTIONS(2578),
    [anon_sym_PIPE_PIPE] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2578),
    [anon_sym_GT_GT] = ACTIONS(2578),
    [anon_sym_LT_EQ] = ACTIONS(2578),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_GT_EQ] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ] = ACTIONS(2576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2576),
    [anon_sym_LT_EQ_GT] = ACTIONS(2576),
    [anon_sym_EQ_TILDE] = ACTIONS(2576),
    [anon_sym_BANG_TILDE] = ACTIONS(2576),
    [anon_sym_defined_QMARK] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2574),
    [sym_float] = ACTIONS(2574),
    [sym_super] = ACTIONS(2574),
    [sym_self] = ACTIONS(2574),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [sym_constant] = ACTIONS(2574),
    [aux_sym_constant_suffix_token1] = ACTIONS(2580),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2574),
    [sym_instance_variable] = ACTIONS(2580),
    [sym_class_variable] = ACTIONS(2580),
    [sym_global_variable] = ACTIONS(2580),
    [sym_character] = ACTIONS(2580),
    [anon_sym_DASH_GT] = ACTIONS(2580),
    [sym_simple_symbol] = ACTIONS(2580),
    [sym__string_start] = ACTIONS(2580),
    [sym__symbol_start] = ACTIONS(2580),
    [sym__subshell_start] = ACTIONS(2580),
    [sym__regex_start] = ACTIONS(2580),
    [sym__string_array_start] = ACTIONS(2580),
    [sym__symbol_array_start] = ACTIONS(2580),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2580),
    [sym__block_ampersand] = ACTIONS(2580),
    [sym__splat_star] = ACTIONS(2580),
    [sym__unary_minus] = ACTIONS(2580),
    [sym__unary_minus_num] = ACTIONS(2580),
    [sym__binary_minus] = ACTIONS(2576),
    [sym__binary_star] = ACTIONS(2576),
    [sym_hash_key_symbol] = ACTIONS(2580),
    [sym__identifier_suffix] = ACTIONS(2580),
    [sym__constant_suffix] = ACTIONS(2580),
    [sym__hash_splat_star_star] = ACTIONS(2580),
    [sym__binary_star_star] = ACTIONS(2576),
    [sym__element_reference_bracket] = ACTIONS(2576),
  },
  [1929] = {
    [sym_heredoc_body] = STATE(1929),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_def] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(733),
    [anon_sym_nil] = ACTIONS(733),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_COLON] = ACTIONS(2686),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_next] = ACTIONS(733),
    [anon_sym_redo] = ACTIONS(733),
    [anon_sym_retry] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_unless] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_until] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_in] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_RBRACK] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_begin] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [anon_sym_defined_QMARK] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_self] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_constant] = ACTIONS(733),
    [aux_sym_constant_suffix_token1] = ACTIONS(745),
    [aux_sym_identifier_suffix_token1] = ACTIONS(733),
    [sym_instance_variable] = ACTIONS(745),
    [sym_class_variable] = ACTIONS(745),
    [sym_global_variable] = ACTIONS(745),
    [sym_character] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(745),
    [sym_simple_symbol] = ACTIONS(745),
    [sym__string_start] = ACTIONS(745),
    [sym__symbol_start] = ACTIONS(745),
    [sym__subshell_start] = ACTIONS(745),
    [sym__regex_start] = ACTIONS(745),
    [sym__string_array_start] = ACTIONS(745),
    [sym__symbol_array_start] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(745),
    [sym__block_ampersand] = ACTIONS(745),
    [sym__splat_star] = ACTIONS(745),
    [sym__unary_minus] = ACTIONS(745),
    [sym__unary_minus_num] = ACTIONS(745),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym_hash_key_symbol] = ACTIONS(745),
    [sym__identifier_suffix] = ACTIONS(745),
    [sym__constant_suffix] = ACTIONS(745),
    [sym__hash_splat_star_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [1930] = {
    [sym_method] = STATE(5393),
    [sym_singleton_method] = STATE(5393),
    [sym_class] = STATE(5393),
    [sym_singleton_class] = STATE(5393),
    [sym_module] = STATE(5393),
    [sym_return] = STATE(5393),
    [sym_yield] = STATE(5393),
    [sym_break] = STATE(5393),
    [sym_next] = STATE(5393),
    [sym_redo] = STATE(5393),
    [sym_retry] = STATE(5393),
    [sym_while] = STATE(5393),
    [sym_until] = STATE(5393),
    [sym_for] = STATE(5393),
    [sym_case] = STATE(5393),
    [sym_case_match] = STATE(5393),
    [sym_if] = STATE(5393),
    [sym_unless] = STATE(5393),
    [sym_begin] = STATE(5393),
    [sym__primary] = STATE(5404),
    [sym_parenthesized_statements] = STATE(5393),
    [sym_element_reference] = STATE(4876),
    [sym_scope_resolution] = STATE(4876),
    [sym__call] = STATE(4590),
    [sym_call] = STATE(5393),
    [sym_parenthesized_unary] = STATE(5393),
    [sym_unary_literal] = STATE(5331),
    [sym__literal] = STATE(5393),
    [sym__numeric] = STATE(5399),
    [sym__simple_numeric] = STATE(5331),
    [sym__function_identifier] = STATE(4807),
    [sym__function_identifier_call] = STATE(5326),
    [sym__lhs] = STATE(4929),
    [sym__variable] = STATE(4583),
    [sym__nonlocal_variable] = STATE(4704),
    [sym__int_or_float] = STATE(5469),
    [sym_complex] = STATE(5314),
    [sym_rational] = STATE(5314),
    [sym_nil] = STATE(4876),
    [sym_constant_suffix] = STATE(4744),
    [sym_identifier_suffix] = STATE(4740),
    [sym_chained_string] = STATE(5393),
    [sym_string] = STATE(5029),
    [sym_subshell] = STATE(5393),
    [sym_string_array] = STATE(5393),
    [sym_symbol_array] = STATE(5393),
    [sym_delimited_symbol] = STATE(5399),
    [sym_regex] = STATE(5393),
    [sym_heredoc_body] = STATE(1930),
    [sym_array] = STATE(5393),
    [sym_hash] = STATE(5393),
    [sym_lambda] = STATE(5393),
    [sym_identifier] = ACTIONS(2704),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_def] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(2602),
    [anon_sym_RPAREN] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2604),
    [anon_sym_rescue] = ACTIONS(2606),
    [anon_sym_EQ] = ACTIONS(2608),
    [anon_sym_COMMA] = ACTIONS(2608),
    [anon_sym_nil] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_module] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_yield] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_next] = ACTIONS(2622),
    [anon_sym_redo] = ACTIONS(2624),
    [anon_sym_retry] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_unless] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_until] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_do] = ACTIONS(2606),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_RBRACK] = ACTIONS(2598),
    [anon_sym_begin] = ACTIONS(2642),
    [anon_sym_and] = ACTIONS(2606),
    [anon_sym_or] = ACTIONS(2606),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_defined_QMARK] = ACTIONS(2646),
    [anon_sym_not] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2650),
    [sym_float] = ACTIONS(2650),
    [sym_super] = ACTIONS(2652),
    [sym_self] = ACTIONS(2652),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [sym_constant] = ACTIONS(2652),
    [aux_sym_constant_suffix_token1] = ACTIONS(2656),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2658),
    [sym_instance_variable] = ACTIONS(2660),
    [sym_class_variable] = ACTIONS(2660),
    [sym_global_variable] = ACTIONS(2660),
    [sym_character] = ACTIONS(2662),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [sym_simple_symbol] = ACTIONS(2666),
    [sym__string_start] = ACTIONS(2668),
    [sym__symbol_start] = ACTIONS(2670),
    [sym__subshell_start] = ACTIONS(2672),
    [sym__regex_start] = ACTIONS(2674),
    [sym__string_array_start] = ACTIONS(2676),
    [sym__symbol_array_start] = ACTIONS(2678),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2662),
    [sym__unary_minus_num] = ACTIONS(2644),
    [sym__identifier_suffix] = ACTIONS(2680),
    [sym__constant_suffix] = ACTIONS(2656),
  },
  [1931] = {
    [sym_heredoc_body] = STATE(1931),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_def] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(733),
    [anon_sym_nil] = ACTIONS(733),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_next] = ACTIONS(733),
    [anon_sym_redo] = ACTIONS(733),
    [anon_sym_retry] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_unless] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_until] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_in] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_RBRACK] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_begin] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_and] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [anon_sym_defined_QMARK] = ACTIONS(745),
    [anon_sym_not] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_self] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_constant] = ACTIONS(733),
    [aux_sym_constant_suffix_token1] = ACTIONS(745),
    [aux_sym_identifier_suffix_token1] = ACTIONS(733),
    [sym_instance_variable] = ACTIONS(745),
    [sym_class_variable] = ACTIONS(745),
    [sym_global_variable] = ACTIONS(745),
    [sym_character] = ACTIONS(745),
    [anon_sym_DASH_GT] = ACTIONS(745),
    [sym_simple_symbol] = ACTIONS(745),
    [sym__string_start] = ACTIONS(745),
    [sym__symbol_start] = ACTIONS(745),
    [sym__subshell_start] = ACTIONS(745),
    [sym__regex_start] = ACTIONS(745),
    [sym__string_array_start] = ACTIONS(745),
    [sym__symbol_array_start] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(745),
    [sym__block_ampersand] = ACTIONS(745),
    [sym__splat_star] = ACTIONS(745),
    [sym__unary_minus] = ACTIONS(745),
    [sym__unary_minus_num] = ACTIONS(745),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym_hash_key_symbol] = ACTIONS(745),
    [sym__identifier_suffix] = ACTIONS(745),
    [sym__constant_suffix] = ACTIONS(745),
    [sym__hash_splat_star_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [1932] = {
    [sym_method] = STATE(5393),
    [sym_singleton_method] = STATE(5393),
    [sym_class] = STATE(5393),
    [sym_singleton_class] = STATE(5393),
    [sym_module] = STATE(5393),
    [sym_return] = STATE(5393),
    [sym_yield] = STATE(5393),
    [sym_break] = STATE(5393),
    [sym_next] = STATE(5393),
    [sym_redo] = STATE(5393),
    [sym_retry] = STATE(5393),
    [sym_while] = STATE(5393),
    [sym_until] = STATE(5393),
    [sym_for] = STATE(5393),
    [sym_case] = STATE(5393),
    [sym_case_match] = STATE(5393),
    [sym_if] = STATE(5393),
    [sym_unless] = STATE(5393),
    [sym_begin] = STATE(5393),
    [sym__primary] = STATE(5404),
    [sym_parenthesized_statements] = STATE(5393),
    [sym_element_reference] = STATE(4876),
    [sym_scope_resolution] = STATE(4876),
    [sym__call] = STATE(4590),
    [sym_call] = STATE(5393),
    [sym_parenthesized_unary] = STATE(5393),
    [sym_unary_literal] = STATE(5331),
    [sym__literal] = STATE(5393),
    [sym__numeric] = STATE(5399),
    [sym__simple_numeric] = STATE(5331),
    [sym_destructured_left_assignment] = STATE(5246),
    [sym_rest_assignment] = STATE(5246),
    [sym__function_identifier] = STATE(4807),
    [sym__function_identifier_call] = STATE(5326),
    [sym__lhs] = STATE(4945),
    [sym__variable] = STATE(4583),
    [sym__nonlocal_variable] = STATE(4704),
    [sym__int_or_float] = STATE(5469),
    [sym_complex] = STATE(5314),
    [sym_rational] = STATE(5314),
    [sym_nil] = STATE(4876),
    [sym_constant_suffix] = STATE(4744),
    [sym_identifier_suffix] = STATE(4740),
    [sym_chained_string] = STATE(5393),
    [sym_string] = STATE(5029),
    [sym_subshell] = STATE(5393),
    [sym_string_array] = STATE(5393),
    [sym_symbol_array] = STATE(5393),
    [sym_delimited_symbol] = STATE(5399),
    [sym_regex] = STATE(5393),
    [sym_heredoc_body] = STATE(1932),
    [sym_array] = STATE(5393),
    [sym_hash] = STATE(5393),
    [sym_lambda] = STATE(5393),
    [sym_identifier] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_def] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(2706),
    [anon_sym_RPAREN] = ACTIONS(2708),
    [anon_sym_COLON_COLON] = ACTIONS(2604),
    [anon_sym_EQ] = ACTIONS(2708),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_module] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_yield] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_next] = ACTIONS(2622),
    [anon_sym_redo] = ACTIONS(2624),
    [anon_sym_retry] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_unless] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_until] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_in] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_begin] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_defined_QMARK] = ACTIONS(2646),
    [anon_sym_not] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2650),
    [sym_float] = ACTIONS(2650),
    [sym_super] = ACTIONS(2652),
    [sym_self] = ACTIONS(2652),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [sym_constant] = ACTIONS(2652),
    [aux_sym_constant_suffix_token1] = ACTIONS(2656),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2658),
    [sym_instance_variable] = ACTIONS(2660),
    [sym_class_variable] = ACTIONS(2660),
    [sym_global_variable] = ACTIONS(2660),
    [sym_character] = ACTIONS(2662),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [sym_simple_symbol] = ACTIONS(2666),
    [sym__string_start] = ACTIONS(2668),
    [sym__symbol_start] = ACTIONS(2670),
    [sym__subshell_start] = ACTIONS(2672),
    [sym__regex_start] = ACTIONS(2674),
    [sym__string_array_start] = ACTIONS(2676),
    [sym__symbol_array_start] = ACTIONS(2678),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2662),
    [sym__unary_minus_num] = ACTIONS(2644),
    [sym__identifier_suffix] = ACTIONS(2680),
    [sym__constant_suffix] = ACTIONS(2656),
  },
  [1933] = {
    [sym_method] = STATE(5393),
    [sym_singleton_method] = STATE(5393),
    [sym_class] = STATE(5393),
    [sym_singleton_class] = STATE(5393),
    [sym_module] = STATE(5393),
    [sym_return] = STATE(5393),
    [sym_yield] = STATE(5393),
    [sym_break] = STATE(5393),
    [sym_next] = STATE(5393),
    [sym_redo] = STATE(5393),
    [sym_retry] = STATE(5393),
    [sym_while] = STATE(5393),
    [sym_until] = STATE(5393),
    [sym_for] = STATE(5393),
    [sym_case] = STATE(5393),
    [sym_case_match] = STATE(5393),
    [sym_if] = STATE(5393),
    [sym_unless] = STATE(5393),
    [sym_begin] = STATE(5393),
    [sym__primary] = STATE(5404),
    [sym_parenthesized_statements] = STATE(5393),
    [sym_element_reference] = STATE(4876),
    [sym_scope_resolution] = STATE(4876),
    [sym__call] = STATE(4590),
    [sym_call] = STATE(5393),
    [sym_parenthesized_unary] = STATE(5393),
    [sym_unary_literal] = STATE(5331),
    [sym__literal] = STATE(5393),
    [sym__numeric] = STATE(5399),
    [sym__simple_numeric] = STATE(5331),
    [sym_destructured_left_assignment] = STATE(5246),
    [sym_rest_assignment] = STATE(5246),
    [sym__function_identifier] = STATE(4807),
    [sym__function_identifier_call] = STATE(5326),
    [sym__lhs] = STATE(4945),
    [sym__variable] = STATE(4583),
    [sym__nonlocal_variable] = STATE(4704),
    [sym__int_or_float] = STATE(5469),
    [sym_complex] = STATE(5314),
    [sym_rational] = STATE(5314),
    [sym_nil] = STATE(4876),
    [sym_constant_suffix] = STATE(4744),
    [sym_identifier_suffix] = STATE(4740),
    [sym_chained_string] = STATE(5393),
    [sym_string] = STATE(5029),
    [sym_subshell] = STATE(5393),
    [sym_string_array] = STATE(5393),
    [sym_symbol_array] = STATE(5393),
    [sym_delimited_symbol] = STATE(5399),
    [sym_regex] = STATE(5393),
    [sym_heredoc_body] = STATE(1933),
    [sym_array] = STATE(5393),
    [sym_hash] = STATE(5393),
    [sym_lambda] = STATE(5393),
    [sym_identifier] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_def] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(2706),
    [anon_sym_RPAREN] = ACTIONS(2712),
    [anon_sym_COLON_COLON] = ACTIONS(2604),
    [anon_sym_EQ] = ACTIONS(2712),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_module] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_yield] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_next] = ACTIONS(2622),
    [anon_sym_redo] = ACTIONS(2624),
    [anon_sym_retry] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_unless] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_until] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_in] = ACTIONS(2714),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_begin] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_defined_QMARK] = ACTIONS(2646),
    [anon_sym_not] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2650),
    [sym_float] = ACTIONS(2650),
    [sym_super] = ACTIONS(2652),
    [sym_self] = ACTIONS(2652),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [sym_constant] = ACTIONS(2652),
    [aux_sym_constant_suffix_token1] = ACTIONS(2656),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2658),
    [sym_instance_variable] = ACTIONS(2660),
    [sym_class_variable] = ACTIONS(2660),
    [sym_global_variable] = ACTIONS(2660),
    [sym_character] = ACTIONS(2662),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [sym_simple_symbol] = ACTIONS(2666),
    [sym__string_start] = ACTIONS(2668),
    [sym__symbol_start] = ACTIONS(2670),
    [sym__subshell_start] = ACTIONS(2672),
    [sym__regex_start] = ACTIONS(2674),
    [sym__string_array_start] = ACTIONS(2676),
    [sym__symbol_array_start] = ACTIONS(2678),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2662),
    [sym__unary_minus_num] = ACTIONS(2644),
    [sym__identifier_suffix] = ACTIONS(2680),
    [sym__constant_suffix] = ACTIONS(2656),
  },
  [1934] = {
    [sym_heredoc_body] = STATE(1934),
    [sym_identifier] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [anon_sym_def] = ACTIONS(2582),
    [anon_sym_LPAREN] = ACTIONS(2582),
    [anon_sym_RPAREN] = ACTIONS(2584),
    [anon_sym_DOT] = ACTIONS(2582),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_end] = ACTIONS(2582),
    [anon_sym_rescue] = ACTIONS(2582),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2584),
    [anon_sym_nil] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_COLON] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(2582),
    [anon_sym_LT] = ACTIONS(2582),
    [anon_sym_module] = ACTIONS(2582),
    [anon_sym_return] = ACTIONS(2582),
    [anon_sym_yield] = ACTIONS(2582),
    [anon_sym_break] = ACTIONS(2582),
    [anon_sym_next] = ACTIONS(2582),
    [anon_sym_redo] = ACTIONS(2582),
    [anon_sym_retry] = ACTIONS(2582),
    [anon_sym_if] = ACTIONS(2582),
    [anon_sym_unless] = ACTIONS(2582),
    [anon_sym_while] = ACTIONS(2582),
    [anon_sym_until] = ACTIONS(2582),
    [anon_sym_for] = ACTIONS(2582),
    [anon_sym_in] = ACTIONS(2582),
    [anon_sym_do] = ACTIONS(2582),
    [anon_sym_case] = ACTIONS(2582),
    [anon_sym_when] = ACTIONS(2582),
    [anon_sym_EQ_GT] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2584),
    [anon_sym_DOT_DOT] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2584),
    [anon_sym_elsif] = ACTIONS(2582),
    [anon_sym_else] = ACTIONS(2582),
    [anon_sym_then] = ACTIONS(2582),
    [anon_sym_begin] = ACTIONS(2582),
    [anon_sym_ensure] = ACTIONS(2582),
    [anon_sym_COLON_COLON2] = ACTIONS(2584),
    [anon_sym_AMP_DOT] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2582),
    [anon_sym_and] = ACTIONS(2582),
    [anon_sym_or] = ACTIONS(2582),
    [anon_sym_PIPE_PIPE] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2584),
    [anon_sym_LT_LT] = ACTIONS(2584),
    [anon_sym_GT_GT] = ACTIONS(2584),
    [anon_sym_LT_EQ] = ACTIONS(2582),
    [anon_sym_GT] = ACTIONS(2582),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_SLASH] = ACTIONS(2584),
    [anon_sym_PERCENT] = ACTIONS(2584),
    [anon_sym_EQ_EQ] = ACTIONS(2582),
    [anon_sym_BANG_EQ] = ACTIONS(2584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_LT_EQ_GT] = ACTIONS(2584),
    [anon_sym_EQ_TILDE] = ACTIONS(2584),
    [anon_sym_BANG_TILDE] = ACTIONS(2584),
    [anon_sym_defined_QMARK] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2584),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2582),
    [sym_float] = ACTIONS(2582),
    [sym_super] = ACTIONS(2582),
    [sym_self] = ACTIONS(2582),
    [sym_true] = ACTIONS(2582),
    [sym_false] = ACTIONS(2582),
    [sym_constant] = ACTIONS(2582),
    [aux_sym_constant_suffix_token1] = ACTIONS(2584),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2582),
    [sym_instance_variable] = ACTIONS(2584),
    [sym_class_variable] = ACTIONS(2584),
    [sym_global_variable] = ACTIONS(2584),
    [sym_character] = ACTIONS(2584),
    [anon_sym_DASH_GT] = ACTIONS(2584),
    [sym__line_break] = ACTIONS(2584),
    [sym_simple_symbol] = ACTIONS(2584),
    [sym__string_start] = ACTIONS(2584),
    [sym__symbol_start] = ACTIONS(2584),
    [sym__subshell_start] = ACTIONS(2584),
    [sym__regex_start] = ACTIONS(2584),
    [sym__string_array_start] = ACTIONS(2584),
    [sym__symbol_array_start] = ACTIONS(2584),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2584),
    [sym__block_ampersand] = ACTIONS(2584),
    [sym__splat_star] = ACTIONS(2584),
    [sym__unary_minus] = ACTIONS(2584),
    [sym__unary_minus_num] = ACTIONS(2584),
    [sym__binary_minus] = ACTIONS(2584),
    [sym__binary_star] = ACTIONS(2584),
    [sym_hash_key_symbol] = ACTIONS(2584),
    [sym__identifier_suffix] = ACTIONS(2584),
    [sym__constant_suffix] = ACTIONS(2584),
    [sym__hash_splat_star_star] = ACTIONS(2584),
    [sym__binary_star_star] = ACTIONS(2584),
    [sym__element_reference_bracket] = ACTIONS(2584),
  },
  [1935] = {
    [sym_heredoc_body] = STATE(1935),
    [sym_identifier] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_RBRACE] = ACTIONS(2592),
    [anon_sym_def] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2590),
    [anon_sym_RPAREN] = ACTIONS(2592),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_end] = ACTIONS(2590),
    [anon_sym_rescue] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_nil] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_COLON] = ACTIONS(2558),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_next] = ACTIONS(2590),
    [anon_sym_redo] = ACTIONS(2590),
    [anon_sym_retry] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_when] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_elsif] = ACTIONS(2590),
    [anon_sym_else] = ACTIONS(2590),
    [anon_sym_then] = ACTIONS(2590),
    [anon_sym_begin] = ACTIONS(2590),
    [anon_sym_ensure] = ACTIONS(2590),
    [anon_sym_COLON_COLON2] = ACTIONS(2592),
    [anon_sym_AMP_DOT] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_GT_GT] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_EQ_EQ] = ACTIONS(2590),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ_GT] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2592),
    [anon_sym_BANG_TILDE] = ACTIONS(2592),
    [anon_sym_defined_QMARK] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2590),
    [sym_float] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_self] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_constant] = ACTIONS(2590),
    [aux_sym_constant_suffix_token1] = ACTIONS(2592),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2590),
    [sym_instance_variable] = ACTIONS(2592),
    [sym_class_variable] = ACTIONS(2592),
    [sym_global_variable] = ACTIONS(2592),
    [sym_character] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [sym__line_break] = ACTIONS(2592),
    [sym_simple_symbol] = ACTIONS(2592),
    [sym__string_start] = ACTIONS(2592),
    [sym__symbol_start] = ACTIONS(2592),
    [sym__subshell_start] = ACTIONS(2592),
    [sym__regex_start] = ACTIONS(2592),
    [sym__string_array_start] = ACTIONS(2592),
    [sym__symbol_array_start] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2592),
    [sym__block_ampersand] = ACTIONS(2592),
    [sym__splat_star] = ACTIONS(2592),
    [sym__unary_minus] = ACTIONS(2592),
    [sym__unary_minus_num] = ACTIONS(2592),
    [sym__binary_minus] = ACTIONS(2592),
    [sym__binary_star] = ACTIONS(2592),
    [sym_hash_key_symbol] = ACTIONS(2592),
    [sym__identifier_suffix] = ACTIONS(2592),
    [sym__constant_suffix] = ACTIONS(2592),
    [sym__hash_splat_star_star] = ACTIONS(2592),
    [sym__binary_star_star] = ACTIONS(2592),
    [sym__element_reference_bracket] = ACTIONS(2592),
  },
  [1936] = {
    [sym_method] = STATE(5393),
    [sym_singleton_method] = STATE(5393),
    [sym_class] = STATE(5393),
    [sym_singleton_class] = STATE(5393),
    [sym_module] = STATE(5393),
    [sym_return] = STATE(5393),
    [sym_yield] = STATE(5393),
    [sym_break] = STATE(5393),
    [sym_next] = STATE(5393),
    [sym_redo] = STATE(5393),
    [sym_retry] = STATE(5393),
    [sym_while] = STATE(5393),
    [sym_until] = STATE(5393),
    [sym_for] = STATE(5393),
    [sym_case] = STATE(5393),
    [sym_case_match] = STATE(5393),
    [sym_if] = STATE(5393),
    [sym_unless] = STATE(5393),
    [sym_begin] = STATE(5393),
    [sym__primary] = STATE(5404),
    [sym_parenthesized_statements] = STATE(5393),
    [sym_element_reference] = STATE(4876),
    [sym_scope_resolution] = STATE(4876),
    [sym__call] = STATE(4590),
    [sym_call] = STATE(5393),
    [sym_parenthesized_unary] = STATE(5393),
    [sym_unary_literal] = STATE(5331),
    [sym__literal] = STATE(5393),
    [sym__numeric] = STATE(5399),
    [sym__simple_numeric] = STATE(5331),
    [sym_left_assignment_list] = STATE(5539),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(4807),
    [sym__function_identifier_call] = STATE(5326),
    [sym__lhs] = STATE(4917),
    [sym__variable] = STATE(4583),
    [sym__nonlocal_variable] = STATE(4704),
    [sym__int_or_float] = STATE(5469),
    [sym_complex] = STATE(5314),
    [sym_rational] = STATE(5314),
    [sym_nil] = STATE(4876),
    [sym_constant_suffix] = STATE(4744),
    [sym_identifier_suffix] = STATE(4740),
    [sym_chained_string] = STATE(5393),
    [sym_string] = STATE(5029),
    [sym_subshell] = STATE(5393),
    [sym_string_array] = STATE(5393),
    [sym_symbol_array] = STATE(5393),
    [sym_delimited_symbol] = STATE(5399),
    [sym_regex] = STATE(5393),
    [sym_heredoc_body] = STATE(1936),
    [sym_array] = STATE(5393),
    [sym_hash] = STATE(5393),
    [sym_lambda] = STATE(5393),
    [sym_identifier] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_def] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_module] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_yield] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_next] = ACTIONS(2622),
    [anon_sym_redo] = ACTIONS(2624),
    [anon_sym_retry] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_unless] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_until] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_begin] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_defined_QMARK] = ACTIONS(2646),
    [anon_sym_not] = ACTIONS(2648),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2650),
    [sym_float] = ACTIONS(2650),
    [sym_super] = ACTIONS(2652),
    [sym_self] = ACTIONS(2652),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [sym_constant] = ACTIONS(2652),
    [aux_sym_constant_suffix_token1] = ACTIONS(2656),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2658),
    [sym_instance_variable] = ACTIONS(2660),
    [sym_class_variable] = ACTIONS(2660),
    [sym_global_variable] = ACTIONS(2660),
    [sym_character] = ACTIONS(2662),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [sym_simple_symbol] = ACTIONS(2666),
    [sym__string_start] = ACTIONS(2668),
    [sym__symbol_start] = ACTIONS(2670),
    [sym__subshell_start] = ACTIONS(2672),
    [sym__regex_start] = ACTIONS(2674),
    [sym__string_array_start] = ACTIONS(2676),
    [sym__symbol_array_start] = ACTIONS(2678),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2662),
    [sym__unary_minus_num] = ACTIONS(2644),
    [sym__identifier_suffix] = ACTIONS(2680),
    [sym__constant_suffix] = ACTIONS(2656),
  },
  [1937] = {
    [sym_heredoc_body] = STATE(1937),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_def] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2586),
    [anon_sym_RPAREN] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_end] = ACTIONS(2586),
    [anon_sym_rescue] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_nil] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_COLON] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_next] = ACTIONS(2586),
    [anon_sym_redo] = ACTIONS(2586),
    [anon_sym_retry] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_until] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_when] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2588),
    [anon_sym_elsif] = ACTIONS(2586),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_then] = ACTIONS(2586),
    [anon_sym_begin] = ACTIONS(2586),
    [anon_sym_ensure] = ACTIONS(2586),
    [anon_sym_COLON_COLON2] = ACTIONS(2588),
    [anon_sym_AMP_DOT] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_LT_LT] = ACTIONS(2588),
    [anon_sym_GT_GT] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2588),
    [anon_sym_PERCENT] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ_GT] = ACTIONS(2588),
    [anon_sym_EQ_TILDE] = ACTIONS(2588),
    [anon_sym_BANG_TILDE] = ACTIONS(2588),
    [anon_sym_defined_QMARK] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2586),
    [sym_float] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_self] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_constant] = ACTIONS(2586),
    [aux_sym_constant_suffix_token1] = ACTIONS(2588),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2586),
    [sym_instance_variable] = ACTIONS(2588),
    [sym_class_variable] = ACTIONS(2588),
    [sym_global_variable] = ACTIONS(2588),
    [sym_character] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [sym__line_break] = ACTIONS(2588),
    [sym_simple_symbol] = ACTIONS(2588),
    [sym__string_start] = ACTIONS(2588),
    [sym__symbol_start] = ACTIONS(2588),
    [sym__subshell_start] = ACTIONS(2588),
    [sym__regex_start] = ACTIONS(2588),
    [sym__string_array_start] = ACTIONS(2588),
    [sym__symbol_array_start] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2588),
    [sym__block_ampersand] = ACTIONS(2588),
    [sym__splat_star] = ACTIONS(2588),
    [sym__unary_minus] = ACTIONS(2588),
    [sym__unary_minus_num] = ACTIONS(2588),
    [sym__binary_minus] = ACTIONS(2588),
    [sym__binary_star] = ACTIONS(2588),
    [sym_hash_key_symbol] = ACTIONS(2588),
    [sym__identifier_suffix] = ACTIONS(2588),
    [sym__constant_suffix] = ACTIONS(2588),
    [sym__hash_splat_star_star] = ACTIONS(2588),
    [sym__binary_star_star] = ACTIONS(2588),
    [sym__element_reference_bracket] = ACTIONS(2588),
  },
  [1938] = {
    [sym_method] = STATE(5393),
    [sym_singleton_method] = STATE(5393),
    [sym_class] = STATE(5393),
    [sym_singleton_class] = STATE(5393),
    [sym_module] = STATE(5393),
    [sym_return] = STATE(5393),
    [sym_yield] = STATE(5393),
    [sym_break] = STATE(5393),
    [sym_next] = STATE(5393),
    [sym_redo] = STATE(5393),
    [sym_retry] = STATE(5393),
    [sym_while] = STATE(5393),
    [sym_until] = STATE(5393),
    [sym_for] = STATE(5393),
    [sym_case] = STATE(5393),
    [sym_case_match] = STATE(5393),
    [sym_if] = STATE(5393),
    [sym_unless] = STATE(5393),
    [sym_begin] = STATE(5393),
    [sym__primary] = STATE(5404),
    [sym_parenthesized_statements] = STATE(5393),
    [sym_element_reference] = STATE(4876),
    [sym_scope_resolution] = STATE(4876),
    [sym__call] = STATE(4590),
    [sym_call] = STATE(5393),
    [sym_parenthesized_unary] = STATE(5393),
    [sym_unary_literal] = STATE(5331),
    [sym__literal] = STATE(5393),
    [sym__numeric] = STATE(5399),
    [sym__simple_numeric] = STATE(5331),
    [sym_left_assignment_list] = STATE(5508),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(4807),
    [sym__function_identifier_call] = STATE(5326),
    [sym__lhs] = STATE(4871),
    [sym__variable] = STATE(4583),
    [sym__nonlocal_variable] = STATE(4704),
    [sym__int_or_float] = STATE(5469),
    [sym_complex] = STATE(5314),
    [sym_rational] = STATE(5314),
    [sym_nil] = STATE(4876),
    [sym_constant_suffix] = STATE(4744),
    [sym_identifier_suffix] = STATE(4740),
    [sym_chained_string] = STATE(5393),
    [sym_string] = STATE(5029),
    [sym_subshell] = STATE(5393),
    [sym_string_array] = STATE(5393),
    [sym_symbol_array] = STATE(5393),
    [sym_delimited_symbol] = STATE(5399),
    [sym_regex] = STATE(5393),
    [sym_heredoc_body] = STATE(1938),
    [sym_array] = STATE(5393),
    [sym_hash] = STATE(5393),
    [sym_lambda] = STATE(5393),
    [sym_identifier] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_def] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_module] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_yield] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_next] = ACTIONS(2622),
    [anon_sym_redo] = ACTIONS(2624),
    [anon_sym_retry] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_unless] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_until] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_begin] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_defined_QMARK] = ACTIONS(2646),
    [anon_sym_not] = ACTIONS(2648),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2650),
    [sym_float] = ACTIONS(2650),
    [sym_super] = ACTIONS(2652),
    [sym_self] = ACTIONS(2652),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [sym_constant] = ACTIONS(2652),
    [aux_sym_constant_suffix_token1] = ACTIONS(2656),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2658),
    [sym_instance_variable] = ACTIONS(2660),
    [sym_class_variable] = ACTIONS(2660),
    [sym_global_variable] = ACTIONS(2660),
    [sym_character] = ACTIONS(2662),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [sym_simple_symbol] = ACTIONS(2666),
    [sym__string_start] = ACTIONS(2668),
    [sym__symbol_start] = ACTIONS(2670),
    [sym__subshell_start] = ACTIONS(2672),
    [sym__regex_start] = ACTIONS(2674),
    [sym__string_array_start] = ACTIONS(2676),
    [sym__symbol_array_start] = ACTIONS(2678),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2662),
    [sym__unary_minus_num] = ACTIONS(2644),
    [sym__identifier_suffix] = ACTIONS(2680),
    [sym__constant_suffix] = ACTIONS(2656),
  },
  [1939] = {
    [sym_heredoc_body] = STATE(1939),
    [sym_identifier] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_RBRACE] = ACTIONS(2568),
    [anon_sym_def] = ACTIONS(2566),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_RPAREN] = ACTIONS(2568),
    [anon_sym_DOT] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_end] = ACTIONS(2566),
    [anon_sym_rescue] = ACTIONS(2566),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_PIPE] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_nil] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_COLON] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_LT] = ACTIONS(2566),
    [anon_sym_module] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_yield] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_next] = ACTIONS(2566),
    [anon_sym_redo] = ACTIONS(2566),
    [anon_sym_retry] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_unless] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_until] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_when] = ACTIONS(2566),
    [anon_sym_EQ_GT] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_DOT_DOT] = ACTIONS(2566),
    [anon_sym_CARET] = ACTIONS(2568),
    [anon_sym_elsif] = ACTIONS(2566),
    [anon_sym_else] = ACTIONS(2566),
    [anon_sym_then] = ACTIONS(2566),
    [anon_sym_begin] = ACTIONS(2566),
    [anon_sym_ensure] = ACTIONS(2566),
    [anon_sym_COLON_COLON2] = ACTIONS(2568),
    [anon_sym_AMP_DOT] = ACTIONS(2568),
    [anon_sym_QMARK] = ACTIONS(2566),
    [anon_sym_and] = ACTIONS(2566),
    [anon_sym_or] = ACTIONS(2566),
    [anon_sym_PIPE_PIPE] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_LT_LT] = ACTIONS(2568),
    [anon_sym_GT_GT] = ACTIONS(2568),
    [anon_sym_LT_EQ] = ACTIONS(2566),
    [anon_sym_GT] = ACTIONS(2566),
    [anon_sym_GT_EQ] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_SLASH] = ACTIONS(2568),
    [anon_sym_PERCENT] = ACTIONS(2568),
    [anon_sym_EQ_EQ] = ACTIONS(2566),
    [anon_sym_BANG_EQ] = ACTIONS(2568),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2568),
    [anon_sym_LT_EQ_GT] = ACTIONS(2568),
    [anon_sym_EQ_TILDE] = ACTIONS(2568),
    [anon_sym_BANG_TILDE] = ACTIONS(2568),
    [anon_sym_defined_QMARK] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2568),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2566),
    [sym_float] = ACTIONS(2566),
    [sym_super] = ACTIONS(2566),
    [sym_self] = ACTIONS(2566),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [sym_constant] = ACTIONS(2566),
    [aux_sym_constant_suffix_token1] = ACTIONS(2568),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2566),
    [sym_instance_variable] = ACTIONS(2568),
    [sym_class_variable] = ACTIONS(2568),
    [sym_global_variable] = ACTIONS(2568),
    [sym_character] = ACTIONS(2568),
    [anon_sym_DASH_GT] = ACTIONS(2568),
    [sym__line_break] = ACTIONS(2568),
    [sym_simple_symbol] = ACTIONS(2568),
    [sym__string_start] = ACTIONS(2568),
    [sym__symbol_start] = ACTIONS(2568),
    [sym__subshell_start] = ACTIONS(2568),
    [sym__regex_start] = ACTIONS(2568),
    [sym__string_array_start] = ACTIONS(2568),
    [sym__symbol_array_start] = ACTIONS(2568),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2568),
    [sym__block_ampersand] = ACTIONS(2568),
    [sym__splat_star] = ACTIONS(2568),
    [sym__unary_minus] = ACTIONS(2568),
    [sym__unary_minus_num] = ACTIONS(2568),
    [sym__binary_minus] = ACTIONS(2568),
    [sym__binary_star] = ACTIONS(2568),
    [sym_hash_key_symbol] = ACTIONS(2568),
    [sym__identifier_suffix] = ACTIONS(2568),
    [sym__constant_suffix] = ACTIONS(2568),
    [sym__hash_splat_star_star] = ACTIONS(2568),
    [sym__binary_star_star] = ACTIONS(2568),
    [sym__element_reference_bracket] = ACTIONS(2568),
  },
  [1940] = {
    [sym_heredoc_body] = STATE(1940),
    [sym_identifier] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_RBRACE] = ACTIONS(2592),
    [anon_sym_def] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2590),
    [anon_sym_RPAREN] = ACTIONS(2592),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_end] = ACTIONS(2590),
    [anon_sym_rescue] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_nil] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_COLON] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_next] = ACTIONS(2590),
    [anon_sym_redo] = ACTIONS(2590),
    [anon_sym_retry] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_when] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_elsif] = ACTIONS(2590),
    [anon_sym_else] = ACTIONS(2590),
    [anon_sym_then] = ACTIONS(2590),
    [anon_sym_begin] = ACTIONS(2590),
    [anon_sym_ensure] = ACTIONS(2590),
    [anon_sym_COLON_COLON2] = ACTIONS(2592),
    [anon_sym_AMP_DOT] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_GT_GT] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_EQ_EQ] = ACTIONS(2590),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ_GT] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2592),
    [anon_sym_BANG_TILDE] = ACTIONS(2592),
    [anon_sym_defined_QMARK] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2590),
    [sym_float] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_self] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_constant] = ACTIONS(2590),
    [aux_sym_constant_suffix_token1] = ACTIONS(2592),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2590),
    [sym_instance_variable] = ACTIONS(2592),
    [sym_class_variable] = ACTIONS(2592),
    [sym_global_variable] = ACTIONS(2592),
    [sym_character] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [sym__line_break] = ACTIONS(2592),
    [sym_simple_symbol] = ACTIONS(2592),
    [sym__string_start] = ACTIONS(2592),
    [sym__symbol_start] = ACTIONS(2592),
    [sym__subshell_start] = ACTIONS(2592),
    [sym__regex_start] = ACTIONS(2592),
    [sym__string_array_start] = ACTIONS(2592),
    [sym__symbol_array_start] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2592),
    [sym__block_ampersand] = ACTIONS(2592),
    [sym__splat_star] = ACTIONS(2592),
    [sym__unary_minus] = ACTIONS(2592),
    [sym__unary_minus_num] = ACTIONS(2592),
    [sym__binary_minus] = ACTIONS(2592),
    [sym__binary_star] = ACTIONS(2592),
    [sym_hash_key_symbol] = ACTIONS(2592),
    [sym__identifier_suffix] = ACTIONS(2592),
    [sym__constant_suffix] = ACTIONS(2592),
    [sym__hash_splat_star_star] = ACTIONS(2592),
    [sym__binary_star_star] = ACTIONS(2592),
    [sym__element_reference_bracket] = ACTIONS(2592),
  },
  [1941] = {
    [sym_method] = STATE(5393),
    [sym_singleton_method] = STATE(5393),
    [sym_class] = STATE(5393),
    [sym_singleton_class] = STATE(5393),
    [sym_module] = STATE(5393),
    [sym_return] = STATE(5393),
    [sym_yield] = STATE(5393),
    [sym_break] = STATE(5393),
    [sym_next] = STATE(5393),
    [sym_redo] = STATE(5393),
    [sym_retry] = STATE(5393),
    [sym_while] = STATE(5393),
    [sym_until] = STATE(5393),
    [sym_for] = STATE(5393),
    [sym_case] = STATE(5393),
    [sym_case_match] = STATE(5393),
    [sym_if] = STATE(5393),
    [sym_unless] = STATE(5393),
    [sym_begin] = STATE(5393),
    [sym__primary] = STATE(5404),
    [sym_parenthesized_statements] = STATE(5393),
    [sym_element_reference] = STATE(4876),
    [sym_scope_resolution] = STATE(4876),
    [sym__call] = STATE(4590),
    [sym_call] = STATE(5393),
    [sym_parenthesized_unary] = STATE(5393),
    [sym_unary_literal] = STATE(5331),
    [sym__literal] = STATE(5393),
    [sym__numeric] = STATE(5399),
    [sym__simple_numeric] = STATE(5331),
    [sym_left_assignment_list] = STATE(5538),
    [sym__mlhs] = STATE(5497),
    [sym_destructured_left_assignment] = STATE(5209),
    [sym_rest_assignment] = STATE(5209),
    [sym__function_identifier] = STATE(4807),
    [sym__function_identifier_call] = STATE(5326),
    [sym__lhs] = STATE(4885),
    [sym__variable] = STATE(4583),
    [sym__nonlocal_variable] = STATE(4704),
    [sym__int_or_float] = STATE(5469),
    [sym_complex] = STATE(5314),
    [sym_rational] = STATE(5314),
    [sym_nil] = STATE(4876),
    [sym_constant_suffix] = STATE(4744),
    [sym_identifier_suffix] = STATE(4740),
    [sym_chained_string] = STATE(5393),
    [sym_string] = STATE(5029),
    [sym_subshell] = STATE(5393),
    [sym_string_array] = STATE(5393),
    [sym_symbol_array] = STATE(5393),
    [sym_delimited_symbol] = STATE(5399),
    [sym_regex] = STATE(5393),
    [sym_heredoc_body] = STATE(1941),
    [sym_array] = STATE(5393),
    [sym_hash] = STATE(5393),
    [sym_lambda] = STATE(5393),
    [sym_identifier] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_def] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_module] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_yield] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_next] = ACTIONS(2622),
    [anon_sym_redo] = ACTIONS(2624),
    [anon_sym_retry] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_unless] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_until] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_begin] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_defined_QMARK] = ACTIONS(2646),
    [anon_sym_not] = ACTIONS(2648),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2650),
    [sym_float] = ACTIONS(2650),
    [sym_super] = ACTIONS(2652),
    [sym_self] = ACTIONS(2652),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [sym_constant] = ACTIONS(2652),
    [aux_sym_constant_suffix_token1] = ACTIONS(2656),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2658),
    [sym_instance_variable] = ACTIONS(2660),
    [sym_class_variable] = ACTIONS(2660),
    [sym_global_variable] = ACTIONS(2660),
    [sym_character] = ACTIONS(2662),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [sym_simple_symbol] = ACTIONS(2666),
    [sym__string_start] = ACTIONS(2668),
    [sym__symbol_start] = ACTIONS(2670),
    [sym__subshell_start] = ACTIONS(2672),
    [sym__regex_start] = ACTIONS(2674),
    [sym__string_array_start] = ACTIONS(2676),
    [sym__symbol_array_start] = ACTIONS(2678),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2662),
    [sym__unary_minus_num] = ACTIONS(2644),
    [sym__identifier_suffix] = ACTIONS(2680),
    [sym__constant_suffix] = ACTIONS(2656),
  },
  [1942] = {
    [sym_heredoc_body] = STATE(1942),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_def] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2586),
    [anon_sym_RPAREN] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_end] = ACTIONS(2586),
    [anon_sym_rescue] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_nil] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_COLON] = ACTIONS(2558),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_next] = ACTIONS(2586),
    [anon_sym_redo] = ACTIONS(2586),
    [anon_sym_retry] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_until] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_when] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2588),
    [anon_sym_elsif] = ACTIONS(2586),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_then] = ACTIONS(2586),
    [anon_sym_begin] = ACTIONS(2586),
    [anon_sym_ensure] = ACTIONS(2586),
    [anon_sym_COLON_COLON2] = ACTIONS(2588),
    [anon_sym_AMP_DOT] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_LT_LT] = ACTIONS(2588),
    [anon_sym_GT_GT] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2588),
    [anon_sym_PERCENT] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ_GT] = ACTIONS(2588),
    [anon_sym_EQ_TILDE] = ACTIONS(2588),
    [anon_sym_BANG_TILDE] = ACTIONS(2588),
    [anon_sym_defined_QMARK] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2586),
    [sym_float] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_self] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_constant] = ACTIONS(2586),
    [aux_sym_constant_suffix_token1] = ACTIONS(2588),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2586),
    [sym_instance_variable] = ACTIONS(2588),
    [sym_class_variable] = ACTIONS(2588),
    [sym_global_variable] = ACTIONS(2588),
    [sym_character] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [sym__line_break] = ACTIONS(2588),
    [sym_simple_symbol] = ACTIONS(2588),
    [sym__string_start] = ACTIONS(2588),
    [sym__symbol_start] = ACTIONS(2588),
    [sym__subshell_start] = ACTIONS(2588),
    [sym__regex_start] = ACTIONS(2588),
    [sym__string_array_start] = ACTIONS(2588),
    [sym__symbol_array_start] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2588),
    [sym__block_ampersand] = ACTIONS(2588),
    [sym__splat_star] = ACTIONS(2588),
    [sym__unary_minus] = ACTIONS(2588),
    [sym__unary_minus_num] = ACTIONS(2588),
    [sym__binary_minus] = ACTIONS(2588),
    [sym__binary_star] = ACTIONS(2588),
    [sym_hash_key_symbol] = ACTIONS(2588),
    [sym__identifier_suffix] = ACTIONS(2588),
    [sym__constant_suffix] = ACTIONS(2588),
    [sym__hash_splat_star_star] = ACTIONS(2588),
    [sym__binary_star_star] = ACTIONS(2588),
    [sym__element_reference_bracket] = ACTIONS(2588),
  },
  [1943] = {
    [sym_method] = STATE(5393),
    [sym_singleton_method] = STATE(5393),
    [sym_class] = STATE(5393),
    [sym_singleton_class] = STATE(5393),
    [sym_module] = STATE(5393),
    [sym_return] = STATE(5393),
    [sym_yield] = STATE(5393),
    [sym_break] = STATE(5393),
    [sym_next] = STATE(5393),
    [sym_redo] = STATE(5393),
    [sym_retry] = STATE(5393),
    [sym_while] = STATE(5393),
    [sym_until] = STATE(5393),
    [sym_for] = STATE(5393),
    [sym_case] = STATE(5393),
    [sym_case_match] = STATE(5393),
    [sym_if] = STATE(5393),
    [sym_unless] = STATE(5393),
    [sym_begin] = STATE(5393),
    [sym__primary] = STATE(5404),
    [sym_parenthesized_statements] = STATE(5393),
    [sym_element_reference] = STATE(4876),
    [sym_scope_resolution] = STATE(4876),
    [sym__call] = STATE(4590),
    [sym_call] = STATE(5393),
    [sym_parenthesized_unary] = STATE(5393),
    [sym_unary_literal] = STATE(5331),
    [sym__literal] = STATE(5393),
    [sym__numeric] = STATE(5399),
    [sym__simple_numeric] = STATE(5331),
    [sym__function_identifier] = STATE(4807),
    [sym__function_identifier_call] = STATE(5326),
    [sym__lhs] = STATE(4929),
    [sym__variable] = STATE(4583),
    [sym__nonlocal_variable] = STATE(4704),
    [sym__int_or_float] = STATE(5469),
    [sym_complex] = STATE(5314),
    [sym_rational] = STATE(5314),
    [sym_nil] = STATE(4876),
    [sym_constant_suffix] = STATE(4744),
    [sym_identifier_suffix] = STATE(4740),
    [sym_chained_string] = STATE(5393),
    [sym_string] = STATE(5029),
    [sym_subshell] = STATE(5393),
    [sym_string_array] = STATE(5393),
    [sym_symbol_array] = STATE(5393),
    [sym_delimited_symbol] = STATE(5399),
    [sym_regex] = STATE(5393),
    [sym_heredoc_body] = STATE(1943),
    [sym_array] = STATE(5393),
    [sym_hash] = STATE(5393),
    [sym_lambda] = STATE(5393),
    [sym_identifier] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_def] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(2602),
    [anon_sym_RPAREN] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2604),
    [anon_sym_EQ] = ACTIONS(2608),
    [anon_sym_COMMA] = ACTIONS(2608),
    [anon_sym_nil] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_module] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_yield] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_next] = ACTIONS(2622),
    [anon_sym_redo] = ACTIONS(2624),
    [anon_sym_retry] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_unless] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_until] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_in] = ACTIONS(2716),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_begin] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_defined_QMARK] = ACTIONS(2646),
    [anon_sym_not] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2650),
    [sym_float] = ACTIONS(2650),
    [sym_super] = ACTIONS(2652),
    [sym_self] = ACTIONS(2652),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [sym_constant] = ACTIONS(2652),
    [aux_sym_constant_suffix_token1] = ACTIONS(2656),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2658),
    [sym_instance_variable] = ACTIONS(2660),
    [sym_class_variable] = ACTIONS(2660),
    [sym_global_variable] = ACTIONS(2660),
    [sym_character] = ACTIONS(2662),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [sym_simple_symbol] = ACTIONS(2666),
    [sym__string_start] = ACTIONS(2668),
    [sym__symbol_start] = ACTIONS(2670),
    [sym__subshell_start] = ACTIONS(2672),
    [sym__regex_start] = ACTIONS(2674),
    [sym__string_array_start] = ACTIONS(2676),
    [sym__symbol_array_start] = ACTIONS(2678),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2662),
    [sym__unary_minus_num] = ACTIONS(2644),
    [sym__identifier_suffix] = ACTIONS(2680),
    [sym__constant_suffix] = ACTIONS(2656),
  },
  [1944] = {
    [sym_heredoc_body] = STATE(1944),
    [sym_identifier] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_RBRACE] = ACTIONS(2592),
    [anon_sym_def] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2590),
    [anon_sym_RPAREN] = ACTIONS(2592),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_end] = ACTIONS(2590),
    [anon_sym_rescue] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_nil] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_next] = ACTIONS(2590),
    [anon_sym_redo] = ACTIONS(2590),
    [anon_sym_retry] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_when] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_elsif] = ACTIONS(2590),
    [anon_sym_else] = ACTIONS(2590),
    [anon_sym_then] = ACTIONS(2590),
    [anon_sym_begin] = ACTIONS(2590),
    [anon_sym_ensure] = ACTIONS(2590),
    [anon_sym_COLON_COLON2] = ACTIONS(2592),
    [anon_sym_AMP_DOT] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_GT_GT] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_EQ_EQ] = ACTIONS(2590),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ_GT] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2592),
    [anon_sym_BANG_TILDE] = ACTIONS(2592),
    [anon_sym_defined_QMARK] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2590),
    [sym_float] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_self] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_constant] = ACTIONS(2590),
    [aux_sym_constant_suffix_token1] = ACTIONS(2592),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2590),
    [sym_instance_variable] = ACTIONS(2592),
    [sym_class_variable] = ACTIONS(2592),
    [sym_global_variable] = ACTIONS(2592),
    [sym_character] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [sym__line_break] = ACTIONS(2592),
    [sym_simple_symbol] = ACTIONS(2592),
    [sym__string_start] = ACTIONS(2592),
    [sym__symbol_start] = ACTIONS(2592),
    [sym__subshell_start] = ACTIONS(2592),
    [sym__regex_start] = ACTIONS(2592),
    [sym__string_array_start] = ACTIONS(2592),
    [sym__symbol_array_start] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2592),
    [sym__block_ampersand] = ACTIONS(2592),
    [sym__splat_star] = ACTIONS(2592),
    [sym__unary_minus] = ACTIONS(2592),
    [sym__unary_minus_num] = ACTIONS(2592),
    [sym__binary_minus] = ACTIONS(2592),
    [sym__binary_star] = ACTIONS(2592),
    [sym_hash_key_symbol] = ACTIONS(2592),
    [sym__identifier_suffix] = ACTIONS(2592),
    [sym__constant_suffix] = ACTIONS(2592),
    [sym__hash_splat_star_star] = ACTIONS(2592),
    [sym__binary_star_star] = ACTIONS(2592),
    [sym__element_reference_bracket] = ACTIONS(2592),
  },
  [1945] = {
    [sym_heredoc_body] = STATE(1945),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_def] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2586),
    [anon_sym_RPAREN] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_end] = ACTIONS(2586),
    [anon_sym_rescue] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_nil] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_next] = ACTIONS(2586),
    [anon_sym_redo] = ACTIONS(2586),
    [anon_sym_retry] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_until] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_when] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2588),
    [anon_sym_elsif] = ACTIONS(2586),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_then] = ACTIONS(2586),
    [anon_sym_begin] = ACTIONS(2586),
    [anon_sym_ensure] = ACTIONS(2586),
    [anon_sym_COLON_COLON2] = ACTIONS(2588),
    [anon_sym_AMP_DOT] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_LT_LT] = ACTIONS(2588),
    [anon_sym_GT_GT] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2588),
    [anon_sym_PERCENT] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ_GT] = ACTIONS(2588),
    [anon_sym_EQ_TILDE] = ACTIONS(2588),
    [anon_sym_BANG_TILDE] = ACTIONS(2588),
    [anon_sym_defined_QMARK] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2586),
    [sym_float] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_self] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_constant] = ACTIONS(2586),
    [aux_sym_constant_suffix_token1] = ACTIONS(2588),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2586),
    [sym_instance_variable] = ACTIONS(2588),
    [sym_class_variable] = ACTIONS(2588),
    [sym_global_variable] = ACTIONS(2588),
    [sym_character] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [sym__line_break] = ACTIONS(2588),
    [sym_simple_symbol] = ACTIONS(2588),
    [sym__string_start] = ACTIONS(2588),
    [sym__symbol_start] = ACTIONS(2588),
    [sym__subshell_start] = ACTIONS(2588),
    [sym__regex_start] = ACTIONS(2588),
    [sym__string_array_start] = ACTIONS(2588),
    [sym__symbol_array_start] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2588),
    [sym__block_ampersand] = ACTIONS(2588),
    [sym__splat_star] = ACTIONS(2588),
    [sym__unary_minus] = ACTIONS(2588),
    [sym__unary_minus_num] = ACTIONS(2588),
    [sym__binary_minus] = ACTIONS(2588),
    [sym__binary_star] = ACTIONS(2588),
    [sym_hash_key_symbol] = ACTIONS(2588),
    [sym__identifier_suffix] = ACTIONS(2588),
    [sym__constant_suffix] = ACTIONS(2588),
    [sym__hash_splat_star_star] = ACTIONS(2588),
    [sym__binary_star_star] = ACTIONS(2588),
    [sym__element_reference_bracket] = ACTIONS(2588),
  },
  [1946] = {
    [sym_method] = STATE(5393),
    [sym_singleton_method] = STATE(5393),
    [sym_class] = STATE(5393),
    [sym_singleton_class] = STATE(5393),
    [sym_module] = STATE(5393),
    [sym_return] = STATE(5393),
    [sym_yield] = STATE(5393),
    [sym_break] = STATE(5393),
    [sym_next] = STATE(5393),
    [sym_redo] = STATE(5393),
    [sym_retry] = STATE(5393),
    [sym_while] = STATE(5393),
    [sym_until] = STATE(5393),
    [sym_for] = STATE(5393),
    [sym_case] = STATE(5393),
    [sym_case_match] = STATE(5393),
    [sym_if] = STATE(5393),
    [sym_unless] = STATE(5393),
    [sym_begin] = STATE(5393),
    [sym__primary] = STATE(5404),
    [sym_parenthesized_statements] = STATE(5393),
    [sym_element_reference] = STATE(4876),
    [sym_scope_resolution] = STATE(4876),
    [sym__call] = STATE(4590),
    [sym_call] = STATE(5393),
    [sym_parenthesized_unary] = STATE(5393),
    [sym_unary_literal] = STATE(5331),
    [sym__literal] = STATE(5393),
    [sym__numeric] = STATE(5399),
    [sym__simple_numeric] = STATE(5331),
    [sym_destructured_left_assignment] = STATE(5246),
    [sym_rest_assignment] = STATE(5246),
    [sym__function_identifier] = STATE(4807),
    [sym__function_identifier_call] = STATE(5326),
    [sym__lhs] = STATE(4945),
    [sym__variable] = STATE(4583),
    [sym__nonlocal_variable] = STATE(4704),
    [sym__int_or_float] = STATE(5469),
    [sym_complex] = STATE(5314),
    [sym_rational] = STATE(5314),
    [sym_nil] = STATE(4876),
    [sym_constant_suffix] = STATE(4744),
    [sym_identifier_suffix] = STATE(4740),
    [sym_chained_string] = STATE(5393),
    [sym_string] = STATE(5029),
    [sym_subshell] = STATE(5393),
    [sym_string_array] = STATE(5393),
    [sym_symbol_array] = STATE(5393),
    [sym_delimited_symbol] = STATE(5399),
    [sym_regex] = STATE(5393),
    [sym_heredoc_body] = STATE(1946),
    [sym_array] = STATE(5393),
    [sym_hash] = STATE(5393),
    [sym_lambda] = STATE(5393),
    [sym_identifier] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_def] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(31),
    [anon_sym_nil] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_module] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_yield] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_next] = ACTIONS(2622),
    [anon_sym_redo] = ACTIONS(2624),
    [anon_sym_retry] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_unless] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_until] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_begin] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_defined_QMARK] = ACTIONS(2646),
    [anon_sym_not] = ACTIONS(2648),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2650),
    [sym_float] = ACTIONS(2650),
    [sym_super] = ACTIONS(2652),
    [sym_self] = ACTIONS(2652),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [sym_constant] = ACTIONS(2652),
    [aux_sym_constant_suffix_token1] = ACTIONS(2656),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2658),
    [sym_instance_variable] = ACTIONS(2660),
    [sym_class_variable] = ACTIONS(2660),
    [sym_global_variable] = ACTIONS(2660),
    [sym_character] = ACTIONS(2662),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [sym_simple_symbol] = ACTIONS(2666),
    [sym__string_start] = ACTIONS(2668),
    [sym__symbol_start] = ACTIONS(2670),
    [sym__subshell_start] = ACTIONS(2672),
    [sym__regex_start] = ACTIONS(2674),
    [sym__string_array_start] = ACTIONS(2676),
    [sym__symbol_array_start] = ACTIONS(2678),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2662),
    [sym__unary_minus_num] = ACTIONS(2644),
    [sym__identifier_suffix] = ACTIONS(2680),
    [sym__constant_suffix] = ACTIONS(2656),
  },
  [1947] = {
    [sym_method] = STATE(5393),
    [sym_singleton_method] = STATE(5393),
    [sym_class] = STATE(5393),
    [sym_singleton_class] = STATE(5393),
    [sym_module] = STATE(5393),
    [sym_return] = STATE(5393),
    [sym_yield] = STATE(5393),
    [sym_break] = STATE(5393),
    [sym_next] = STATE(5393),
    [sym_redo] = STATE(5393),
    [sym_retry] = STATE(5393),
    [sym_while] = STATE(5393),
    [sym_until] = STATE(5393),
    [sym_for] = STATE(5393),
    [sym_case] = STATE(5393),
    [sym_case_match] = STATE(5393),
    [sym_if] = STATE(5393),
    [sym_unless] = STATE(5393),
    [sym_begin] = STATE(5393),
    [sym__primary] = STATE(5298),
    [sym_parenthesized_statements] = STATE(5393),
    [sym_element_reference] = STATE(4876),
    [sym_scope_resolution] = STATE(130),
    [sym__call] = STATE(4590),
    [sym_call] = STATE(5393),
    [sym_parenthesized_unary] = STATE(5393),
    [sym_unary_literal] = STATE(5331),
    [sym__literal] = STATE(5393),
    [sym__numeric] = STATE(5399),
    [sym__simple_numeric] = STATE(5331),
    [sym__function_identifier] = STATE(4807),
    [sym__function_identifier_call] = STATE(5326),
    [sym__lhs] = STATE(5393),
    [sym__variable] = STATE(4583),
    [sym__nonlocal_variable] = STATE(4704),
    [sym__int_or_float] = STATE(5469),
    [sym_complex] = STATE(5314),
    [sym_rational] = STATE(5314),
    [sym_nil] = STATE(4876),
    [sym_constant_suffix] = STATE(4744),
    [sym_identifier_suffix] = STATE(4740),
    [sym_chained_string] = STATE(5393),
    [sym_string] = STATE(5029),
    [sym_subshell] = STATE(5393),
    [sym_string_array] = STATE(5393),
    [sym_symbol_array] = STATE(5393),
    [sym_delimited_symbol] = STATE(5399),
    [sym_regex] = STATE(5393),
    [sym_heredoc_body] = STATE(1947),
    [sym_array] = STATE(5393),
    [sym_hash] = STATE(5393),
    [sym_lambda] = STATE(5393),
    [sym_identifier] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_def] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(2602),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_nil] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_module] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_yield] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_next] = ACTIONS(2622),
    [anon_sym_redo] = ACTIONS(2624),
    [anon_sym_retry] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_unless] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_until] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_begin] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_defined_QMARK] = ACTIONS(2646),
    [anon_sym_not] = ACTIONS(2648),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2650),
    [sym_float] = ACTIONS(2650),
    [sym_super] = ACTIONS(2652),
    [sym_self] = ACTIONS(2652),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [sym_constant] = ACTIONS(2720),
    [aux_sym_constant_suffix_token1] = ACTIONS(2656),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2658),
    [sym_instance_variable] = ACTIONS(2660),
    [sym_class_variable] = ACTIONS(2660),
    [sym_global_variable] = ACTIONS(2660),
    [sym_character] = ACTIONS(2662),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [sym_simple_symbol] = ACTIONS(2666),
    [sym__string_start] = ACTIONS(2668),
    [sym__symbol_start] = ACTIONS(2670),
    [sym__subshell_start] = ACTIONS(2672),
    [sym__regex_start] = ACTIONS(2674),
    [sym__string_array_start] = ACTIONS(2676),
    [sym__symbol_array_start] = ACTIONS(2678),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2662),
    [sym__unary_minus_num] = ACTIONS(2644),
    [sym__singleton_class_left_angle_left_langle] = ACTIONS(2722),
    [sym__identifier_suffix] = ACTIONS(2680),
    [sym__constant_suffix] = ACTIONS(2656),
  },
  [1948] = {
    [sym_method] = STATE(5393),
    [sym_singleton_method] = STATE(5393),
    [sym_class] = STATE(5393),
    [sym_singleton_class] = STATE(5393),
    [sym_module] = STATE(5393),
    [sym_return] = STATE(5393),
    [sym_yield] = STATE(5393),
    [sym_break] = STATE(5393),
    [sym_next] = STATE(5393),
    [sym_redo] = STATE(5393),
    [sym_retry] = STATE(5393),
    [sym_while] = STATE(5393),
    [sym_until] = STATE(5393),
    [sym_for] = STATE(5393),
    [sym_case] = STATE(5393),
    [sym_case_match] = STATE(5393),
    [sym_if] = STATE(5393),
    [sym_unless] = STATE(5393),
    [sym_begin] = STATE(5393),
    [sym__primary] = STATE(5298),
    [sym_parenthesized_statements] = STATE(5393),
    [sym_element_reference] = STATE(4876),
    [sym_scope_resolution] = STATE(127),
    [sym__call] = STATE(4590),
    [sym_call] = STATE(5393),
    [sym_parenthesized_unary] = STATE(5393),
    [sym_unary_literal] = STATE(5331),
    [sym__literal] = STATE(5393),
    [sym__numeric] = STATE(5399),
    [sym__simple_numeric] = STATE(5331),
    [sym__function_identifier] = STATE(4807),
    [sym__function_identifier_call] = STATE(5326),
    [sym__lhs] = STATE(5393),
    [sym__variable] = STATE(4583),
    [sym__nonlocal_variable] = STATE(4704),
    [sym__int_or_float] = STATE(5469),
    [sym_complex] = STATE(5314),
    [sym_rational] = STATE(5314),
    [sym_nil] = STATE(4876),
    [sym_constant_suffix] = STATE(4744),
    [sym_identifier_suffix] = STATE(4740),
    [sym_chained_string] = STATE(5393),
    [sym_string] = STATE(5029),
    [sym_subshell] = STATE(5393),
    [sym_string_array] = STATE(5393),
    [sym_symbol_array] = STATE(5393),
    [sym_delimited_symbol] = STATE(5399),
    [sym_regex] = STATE(5393),
    [sym_heredoc_body] = STATE(1948),
    [sym_array] = STATE(5393),
    [sym_hash] = STATE(5393),
    [sym_lambda] = STATE(5393),
    [sym_identifier] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_def] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(2602),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_nil] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_module] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_yield] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_next] = ACTIONS(2622),
    [anon_sym_redo] = ACTIONS(2624),
    [anon_sym_retry] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_unless] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_until] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_begin] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_defined_QMARK] = ACTIONS(2646),
    [anon_sym_not] = ACTIONS(2648),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2650),
    [sym_float] = ACTIONS(2650),
    [sym_super] = ACTIONS(2652),
    [sym_self] = ACTIONS(2652),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [sym_constant] = ACTIONS(2724),
    [aux_sym_constant_suffix_token1] = ACTIONS(2656),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2658),
    [sym_instance_variable] = ACTIONS(2660),
    [sym_class_variable] = ACTIONS(2660),
    [sym_global_variable] = ACTIONS(2660),
    [sym_character] = ACTIONS(2662),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [sym_simple_symbol] = ACTIONS(2666),
    [sym__string_start] = ACTIONS(2668),
    [sym__symbol_start] = ACTIONS(2670),
    [sym__subshell_start] = ACTIONS(2672),
    [sym__regex_start] = ACTIONS(2674),
    [sym__string_array_start] = ACTIONS(2676),
    [sym__symbol_array_start] = ACTIONS(2678),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2662),
    [sym__unary_minus_num] = ACTIONS(2644),
    [sym__singleton_class_left_angle_left_langle] = ACTIONS(2726),
    [sym__identifier_suffix] = ACTIONS(2680),
    [sym__constant_suffix] = ACTIONS(2656),
  },
  [1949] = {
    [sym_method] = STATE(5393),
    [sym_singleton_method] = STATE(5393),
    [sym_class] = STATE(5393),
    [sym_singleton_class] = STATE(5393),
    [sym_module] = STATE(5393),
    [sym_return] = STATE(5393),
    [sym_yield] = STATE(5393),
    [sym_break] = STATE(5393),
    [sym_next] = STATE(5393),
    [sym_redo] = STATE(5393),
    [sym_retry] = STATE(5393),
    [sym_while] = STATE(5393),
    [sym_until] = STATE(5393),
    [sym_for] = STATE(5393),
    [sym_case] = STATE(5393),
    [sym_case_match] = STATE(5393),
    [sym_if] = STATE(5393),
    [sym_unless] = STATE(5393),
    [sym_begin] = STATE(5393),
    [sym__primary] = STATE(5298),
    [sym_parenthesized_statements] = STATE(5393),
    [sym_element_reference] = STATE(4876),
    [sym_scope_resolution] = STATE(129),
    [sym__call] = STATE(4590),
    [sym_call] = STATE(5393),
    [sym_parenthesized_unary] = STATE(5393),
    [sym_unary_literal] = STATE(5331),
    [sym__literal] = STATE(5393),
    [sym__numeric] = STATE(5399),
    [sym__simple_numeric] = STATE(5331),
    [sym__function_identifier] = STATE(4807),
    [sym__function_identifier_call] = STATE(5326),
    [sym__lhs] = STATE(5393),
    [sym__variable] = STATE(4583),
    [sym__nonlocal_variable] = STATE(4704),
    [sym__int_or_float] = STATE(5469),
    [sym_complex] = STATE(5314),
    [sym_rational] = STATE(5314),
    [sym_nil] = STATE(4876),
    [sym_constant_suffix] = STATE(4744),
    [sym_identifier_suffix] = STATE(4740),
    [sym_chained_string] = STATE(5393),
    [sym_string] = STATE(5029),
    [sym_subshell] = STATE(5393),
    [sym_string_array] = STATE(5393),
    [sym_symbol_array] = STATE(5393),
    [sym_delimited_symbol] = STATE(5399),
    [sym_regex] = STATE(5393),
    [sym_heredoc_body] = STATE(1949),
    [sym_array] = STATE(5393),
    [sym_hash] = STATE(5393),
    [sym_lambda] = STATE(5393),
    [sym_identifier] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_def] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(2602),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_nil] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_module] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_yield] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_next] = ACTIONS(2622),
    [anon_sym_redo] = ACTIONS(2624),
    [anon_sym_retry] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_unless] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_until] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_begin] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_defined_QMARK] = ACTIONS(2646),
    [anon_sym_not] = ACTIONS(2648),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2650),
    [sym_float] = ACTIONS(2650),
    [sym_super] = ACTIONS(2652),
    [sym_self] = ACTIONS(2652),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [sym_constant] = ACTIONS(2728),
    [aux_sym_constant_suffix_token1] = ACTIONS(2656),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2658),
    [sym_instance_variable] = ACTIONS(2660),
    [sym_class_variable] = ACTIONS(2660),
    [sym_global_variable] = ACTIONS(2660),
    [sym_character] = ACTIONS(2662),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [sym_simple_symbol] = ACTIONS(2666),
    [sym__string_start] = ACTIONS(2668),
    [sym__symbol_start] = ACTIONS(2670),
    [sym__subshell_start] = ACTIONS(2672),
    [sym__regex_start] = ACTIONS(2674),
    [sym__string_array_start] = ACTIONS(2676),
    [sym__symbol_array_start] = ACTIONS(2678),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2662),
    [sym__unary_minus_num] = ACTIONS(2644),
    [sym__singleton_class_left_angle_left_langle] = ACTIONS(2730),
    [sym__identifier_suffix] = ACTIONS(2680),
    [sym__constant_suffix] = ACTIONS(2656),
  },
  [1950] = {
    [sym_heredoc_body] = STATE(1950),
    [ts_builtin_sym_end] = ACTIONS(2588),
    [sym_identifier] = ACTIONS(2586),
    [aux_sym_program_token1] = ACTIONS(2588),
    [anon_sym___END__] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_def] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2586),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_rescue] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_nil] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_COLON] = ACTIONS(2684),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_next] = ACTIONS(2586),
    [anon_sym_redo] = ACTIONS(2586),
    [anon_sym_retry] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_until] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2588),
    [anon_sym_begin] = ACTIONS(2586),
    [anon_sym_COLON_COLON2] = ACTIONS(2588),
    [anon_sym_AMP_DOT] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_LT_LT] = ACTIONS(2588),
    [anon_sym_GT_GT] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2588),
    [anon_sym_PERCENT] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ_GT] = ACTIONS(2588),
    [anon_sym_EQ_TILDE] = ACTIONS(2588),
    [anon_sym_BANG_TILDE] = ACTIONS(2588),
    [anon_sym_defined_QMARK] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2586),
    [sym_float] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_self] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_constant] = ACTIONS(2586),
    [aux_sym_constant_suffix_token1] = ACTIONS(2588),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2586),
    [sym_instance_variable] = ACTIONS(2588),
    [sym_class_variable] = ACTIONS(2588),
    [sym_global_variable] = ACTIONS(2588),
    [sym_character] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [sym__line_break] = ACTIONS(2588),
    [sym_simple_symbol] = ACTIONS(2588),
    [sym__string_start] = ACTIONS(2588),
    [sym__symbol_start] = ACTIONS(2588),
    [sym__subshell_start] = ACTIONS(2588),
    [sym__regex_start] = ACTIONS(2588),
    [sym__string_array_start] = ACTIONS(2588),
    [sym__symbol_array_start] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2588),
    [sym__block_ampersand] = ACTIONS(2588),
    [sym__splat_star] = ACTIONS(2588),
    [sym__unary_minus] = ACTIONS(2588),
    [sym__unary_minus_num] = ACTIONS(2588),
    [sym__binary_minus] = ACTIONS(2588),
    [sym__binary_star] = ACTIONS(2588),
    [sym_hash_key_symbol] = ACTIONS(2588),
    [sym__identifier_suffix] = ACTIONS(2588),
    [sym__constant_suffix] = ACTIONS(2588),
    [sym__hash_splat_star_star] = ACTIONS(2588),
    [sym__binary_star_star] = ACTIONS(2588),
    [sym__element_reference_bracket] = ACTIONS(2588),
  },
  [1951] = {
    [sym_method] = STATE(5393),
    [sym_singleton_method] = STATE(5393),
    [sym_class] = STATE(5393),
    [sym_singleton_class] = STATE(5393),
    [sym_module] = STATE(5393),
    [sym_return] = STATE(5393),
    [sym_yield] = STATE(5393),
    [sym_break] = STATE(5393),
    [sym_next] = STATE(5393),
    [sym_redo] = STATE(5393),
    [sym_retry] = STATE(5393),
    [sym_while] = STATE(5393),
    [sym_until] = STATE(5393),
    [sym_for] = STATE(5393),
    [sym_case] = STATE(5393),
    [sym_case_match] = STATE(5393),
    [sym_if] = STATE(5393),
    [sym_unless] = STATE(5393),
    [sym_begin] = STATE(5393),
    [sym__primary] = STATE(5298),
    [sym_parenthesized_statements] = STATE(5393),
    [sym_element_reference] = STATE(4876),
    [sym_scope_resolution] = STATE(134),
    [sym__call] = STATE(4590),
    [sym_call] = STATE(5393),
    [sym_parenthesized_unary] = STATE(5393),
    [sym_unary_literal] = STATE(5331),
    [sym__literal] = STATE(5393),
    [sym__numeric] = STATE(5399),
    [sym__simple_numeric] = STATE(5331),
    [sym__function_identifier] = STATE(4807),
    [sym__function_identifier_call] = STATE(5326),
    [sym__lhs] = STATE(5393),
    [sym__variable] = STATE(4583),
    [sym__nonlocal_variable] = STATE(4704),
    [sym__int_or_float] = STATE(5469),
    [sym_complex] = STATE(5314),
    [sym_rational] = STATE(5314),
    [sym_nil] = STATE(4876),
    [sym_constant_suffix] = STATE(4744),
    [sym_identifier_suffix] = STATE(4740),
    [sym_chained_string] = STATE(5393),
    [sym_string] = STATE(5029),
    [sym_subshell] = STATE(5393),
    [sym_string_array] = STATE(5393),
    [sym_symbol_array] = STATE(5393),
    [sym_delimited_symbol] = STATE(5399),
    [sym_regex] = STATE(5393),
    [sym_heredoc_body] = STATE(1951),
    [sym_array] = STATE(5393),
    [sym_hash] = STATE(5393),
    [sym_lambda] = STATE(5393),
    [sym_identifier] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_def] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(2602),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_nil] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_module] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_yield] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_next] = ACTIONS(2622),
    [anon_sym_redo] = ACTIONS(2624),
    [anon_sym_retry] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_unless] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_until] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_begin] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_defined_QMARK] = ACTIONS(2646),
    [anon_sym_not] = ACTIONS(2648),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2650),
    [sym_float] = ACTIONS(2650),
    [sym_super] = ACTIONS(2652),
    [sym_self] = ACTIONS(2652),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [sym_constant] = ACTIONS(2732),
    [aux_sym_constant_suffix_token1] = ACTIONS(2656),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2658),
    [sym_instance_variable] = ACTIONS(2660),
    [sym_class_variable] = ACTIONS(2660),
    [sym_global_variable] = ACTIONS(2660),
    [sym_character] = ACTIONS(2662),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [sym_simple_symbol] = ACTIONS(2666),
    [sym__string_start] = ACTIONS(2668),
    [sym__symbol_start] = ACTIONS(2670),
    [sym__subshell_start] = ACTIONS(2672),
    [sym__regex_start] = ACTIONS(2674),
    [sym__string_array_start] = ACTIONS(2676),
    [sym__symbol_array_start] = ACTIONS(2678),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2662),
    [sym__unary_minus_num] = ACTIONS(2644),
    [sym__identifier_suffix] = ACTIONS(2680),
    [sym__constant_suffix] = ACTIONS(2656),
  },
  [1952] = {
    [sym_heredoc_body] = STATE(1952),
    [ts_builtin_sym_end] = ACTIONS(2568),
    [sym_identifier] = ACTIONS(2566),
    [aux_sym_program_token1] = ACTIONS(2568),
    [anon_sym___END__] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_def] = ACTIONS(2566),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_DOT] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_rescue] = ACTIONS(2566),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_PIPE] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_nil] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_COLON] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_LT] = ACTIONS(2566),
    [anon_sym_module] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_yield] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_next] = ACTIONS(2566),
    [anon_sym_redo] = ACTIONS(2566),
    [anon_sym_retry] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_unless] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_until] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_EQ_GT] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_DOT_DOT] = ACTIONS(2566),
    [anon_sym_CARET] = ACTIONS(2568),
    [anon_sym_begin] = ACTIONS(2566),
    [anon_sym_COLON_COLON2] = ACTIONS(2568),
    [anon_sym_AMP_DOT] = ACTIONS(2568),
    [anon_sym_QMARK] = ACTIONS(2566),
    [anon_sym_and] = ACTIONS(2566),
    [anon_sym_or] = ACTIONS(2566),
    [anon_sym_PIPE_PIPE] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_LT_LT] = ACTIONS(2568),
    [anon_sym_GT_GT] = ACTIONS(2568),
    [anon_sym_LT_EQ] = ACTIONS(2566),
    [anon_sym_GT] = ACTIONS(2566),
    [anon_sym_GT_EQ] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_SLASH] = ACTIONS(2568),
    [anon_sym_PERCENT] = ACTIONS(2568),
    [anon_sym_EQ_EQ] = ACTIONS(2566),
    [anon_sym_BANG_EQ] = ACTIONS(2568),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2568),
    [anon_sym_LT_EQ_GT] = ACTIONS(2568),
    [anon_sym_EQ_TILDE] = ACTIONS(2568),
    [anon_sym_BANG_TILDE] = ACTIONS(2568),
    [anon_sym_defined_QMARK] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2568),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2566),
    [sym_float] = ACTIONS(2566),
    [sym_super] = ACTIONS(2566),
    [sym_self] = ACTIONS(2566),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [sym_constant] = ACTIONS(2566),
    [aux_sym_constant_suffix_token1] = ACTIONS(2568),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2566),
    [sym_instance_variable] = ACTIONS(2568),
    [sym_class_variable] = ACTIONS(2568),
    [sym_global_variable] = ACTIONS(2568),
    [sym_character] = ACTIONS(2568),
    [anon_sym_DASH_GT] = ACTIONS(2568),
    [sym__line_break] = ACTIONS(2568),
    [sym_simple_symbol] = ACTIONS(2568),
    [sym__string_start] = ACTIONS(2568),
    [sym__symbol_start] = ACTIONS(2568),
    [sym__subshell_start] = ACTIONS(2568),
    [sym__regex_start] = ACTIONS(2568),
    [sym__string_array_start] = ACTIONS(2568),
    [sym__symbol_array_start] = ACTIONS(2568),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2568),
    [sym__block_ampersand] = ACTIONS(2568),
    [sym__splat_star] = ACTIONS(2568),
    [sym__unary_minus] = ACTIONS(2568),
    [sym__unary_minus_num] = ACTIONS(2568),
    [sym__binary_minus] = ACTIONS(2568),
    [sym__binary_star] = ACTIONS(2568),
    [sym_hash_key_symbol] = ACTIONS(2568),
    [sym__identifier_suffix] = ACTIONS(2568),
    [sym__constant_suffix] = ACTIONS(2568),
    [sym__hash_splat_star_star] = ACTIONS(2568),
    [sym__binary_star_star] = ACTIONS(2568),
    [sym__element_reference_bracket] = ACTIONS(2568),
  },
  [1953] = {
    [sym_heredoc_body] = STATE(1953),
    [ts_builtin_sym_end] = ACTIONS(2592),
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_program_token1] = ACTIONS(2592),
    [anon_sym___END__] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_def] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2590),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_rescue] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_nil] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_COLON] = ACTIONS(2684),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_next] = ACTIONS(2590),
    [anon_sym_redo] = ACTIONS(2590),
    [anon_sym_retry] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_begin] = ACTIONS(2590),
    [anon_sym_COLON_COLON2] = ACTIONS(2592),
    [anon_sym_AMP_DOT] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_GT_GT] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_EQ_EQ] = ACTIONS(2590),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ_GT] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2592),
    [anon_sym_BANG_TILDE] = ACTIONS(2592),
    [anon_sym_defined_QMARK] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2590),
    [sym_float] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_self] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_constant] = ACTIONS(2590),
    [aux_sym_constant_suffix_token1] = ACTIONS(2592),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2590),
    [sym_instance_variable] = ACTIONS(2592),
    [sym_class_variable] = ACTIONS(2592),
    [sym_global_variable] = ACTIONS(2592),
    [sym_character] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [sym__line_break] = ACTIONS(2592),
    [sym_simple_symbol] = ACTIONS(2592),
    [sym__string_start] = ACTIONS(2592),
    [sym__symbol_start] = ACTIONS(2592),
    [sym__subshell_start] = ACTIONS(2592),
    [sym__regex_start] = ACTIONS(2592),
    [sym__string_array_start] = ACTIONS(2592),
    [sym__symbol_array_start] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2592),
    [sym__block_ampersand] = ACTIONS(2592),
    [sym__splat_star] = ACTIONS(2592),
    [sym__unary_minus] = ACTIONS(2592),
    [sym__unary_minus_num] = ACTIONS(2592),
    [sym__binary_minus] = ACTIONS(2592),
    [sym__binary_star] = ACTIONS(2592),
    [sym_hash_key_symbol] = ACTIONS(2592),
    [sym__identifier_suffix] = ACTIONS(2592),
    [sym__constant_suffix] = ACTIONS(2592),
    [sym__hash_splat_star_star] = ACTIONS(2592),
    [sym__binary_star_star] = ACTIONS(2592),
    [sym__element_reference_bracket] = ACTIONS(2592),
  },
  [1954] = {
    [sym_method] = STATE(5393),
    [sym_singleton_method] = STATE(5393),
    [sym_class] = STATE(5393),
    [sym_singleton_class] = STATE(5393),
    [sym_module] = STATE(5393),
    [sym_return] = STATE(5393),
    [sym_yield] = STATE(5393),
    [sym_break] = STATE(5393),
    [sym_next] = STATE(5393),
    [sym_redo] = STATE(5393),
    [sym_retry] = STATE(5393),
    [sym_while] = STATE(5393),
    [sym_until] = STATE(5393),
    [sym_for] = STATE(5393),
    [sym_case] = STATE(5393),
    [sym_case_match] = STATE(5393),
    [sym_if] = STATE(5393),
    [sym_unless] = STATE(5393),
    [sym_begin] = STATE(5393),
    [sym__primary] = STATE(5335),
    [sym_parenthesized_statements] = STATE(5393),
    [sym_element_reference] = STATE(5085),
    [sym_scope_resolution] = STATE(5085),
    [sym__call] = STATE(4658),
    [sym_call] = STATE(5393),
    [sym_parenthesized_unary] = STATE(5393),
    [sym_unary_literal] = STATE(5331),
    [sym__literal] = STATE(5393),
    [sym__numeric] = STATE(5399),
    [sym__simple_numeric] = STATE(5331),
    [sym__function_identifier] = STATE(4807),
    [sym__function_identifier_call] = STATE(5326),
    [sym__lhs] = STATE(5050),
    [sym__variable] = STATE(4649),
    [sym__nonlocal_variable] = STATE(4806),
    [sym__int_or_float] = STATE(5469),
    [sym_complex] = STATE(5314),
    [sym_rational] = STATE(5314),
    [sym_nil] = STATE(5085),
    [sym_constant_suffix] = STATE(4744),
    [sym_identifier_suffix] = STATE(4740),
    [sym_chained_string] = STATE(5393),
    [sym_string] = STATE(5029),
    [sym_subshell] = STATE(5393),
    [sym_string_array] = STATE(5393),
    [sym_symbol_array] = STATE(5393),
    [sym_delimited_symbol] = STATE(5399),
    [sym_regex] = STATE(5393),
    [sym_heredoc_body] = STATE(1954),
    [sym_array] = STATE(5393),
    [sym_hash] = STATE(5393),
    [sym_lambda] = STATE(5393),
    [sym_identifier] = ACTIONS(2734),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_def] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(2602),
    [anon_sym_COLON_COLON] = ACTIONS(2736),
    [anon_sym_nil] = ACTIONS(2738),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_module] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_yield] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_next] = ACTIONS(2622),
    [anon_sym_redo] = ACTIONS(2624),
    [anon_sym_retry] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_unless] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_until] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_begin] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_defined_QMARK] = ACTIONS(2646),
    [anon_sym_not] = ACTIONS(2648),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2650),
    [sym_float] = ACTIONS(2650),
    [sym_super] = ACTIONS(2734),
    [sym_self] = ACTIONS(2734),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [sym_constant] = ACTIONS(2734),
    [aux_sym_constant_suffix_token1] = ACTIONS(2656),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2658),
    [sym_instance_variable] = ACTIONS(2742),
    [sym_class_variable] = ACTIONS(2742),
    [sym_global_variable] = ACTIONS(2742),
    [sym_character] = ACTIONS(2662),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [sym_simple_symbol] = ACTIONS(2666),
    [sym__string_start] = ACTIONS(2668),
    [sym__symbol_start] = ACTIONS(2670),
    [sym__subshell_start] = ACTIONS(2672),
    [sym__regex_start] = ACTIONS(2674),
    [sym__string_array_start] = ACTIONS(2676),
    [sym__symbol_array_start] = ACTIONS(2678),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2662),
    [sym__unary_minus_num] = ACTIONS(2644),
    [sym__identifier_suffix] = ACTIONS(2680),
    [sym__constant_suffix] = ACTIONS(2656),
  },
  [1955] = {
    [sym_method] = STATE(5393),
    [sym_singleton_method] = STATE(5393),
    [sym_class] = STATE(5393),
    [sym_singleton_class] = STATE(5393),
    [sym_module] = STATE(5393),
    [sym_return] = STATE(5393),
    [sym_yield] = STATE(5393),
    [sym_break] = STATE(5393),
    [sym_next] = STATE(5393),
    [sym_redo] = STATE(5393),
    [sym_retry] = STATE(5393),
    [sym_while] = STATE(5393),
    [sym_until] = STATE(5393),
    [sym_for] = STATE(5393),
    [sym_case] = STATE(5393),
    [sym_case_match] = STATE(5393),
    [sym_if] = STATE(5393),
    [sym_unless] = STATE(5393),
    [sym_begin] = STATE(5393),
    [sym__primary] = STATE(5298),
    [sym_parenthesized_statements] = STATE(5393),
    [sym_element_reference] = STATE(4876),
    [sym_scope_resolution] = STATE(132),
    [sym__call] = STATE(4590),
    [sym_call] = STATE(5393),
    [sym_parenthesized_unary] = STATE(5393),
    [sym_unary_literal] = STATE(5331),
    [sym__literal] = STATE(5393),
    [sym__numeric] = STATE(5399),
    [sym__simple_numeric] = STATE(5331),
    [sym__function_identifier] = STATE(4807),
    [sym__function_identifier_call] = STATE(5326),
    [sym__lhs] = STATE(5393),
    [sym__variable] = STATE(4583),
    [sym__nonlocal_variable] = STATE(4704),
    [sym__int_or_float] = STATE(5469),
    [sym_complex] = STATE(5314),
    [sym_rational] = STATE(5314),
    [sym_nil] = STATE(4876),
    [sym_constant_suffix] = STATE(4744),
    [sym_identifier_suffix] = STATE(4740),
    [sym_chained_string] = STATE(5393),
    [sym_string] = STATE(5029),
    [sym_subshell] = STATE(5393),
    [sym_string_array] = STATE(5393),
    [sym_symbol_array] = STATE(5393),
    [sym_delimited_symbol] = STATE(5399),
    [sym_regex] = STATE(5393),
    [sym_heredoc_body] = STATE(1955),
    [sym_array] = STATE(5393),
    [sym_hash] = STATE(5393),
    [sym_lambda] = STATE(5393),
    [sym_identifier] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_def] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(2602),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_nil] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_module] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_yield] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_next] = ACTIONS(2622),
    [anon_sym_redo] = ACTIONS(2624),
    [anon_sym_retry] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_unless] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_until] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_begin] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_defined_QMARK] = ACTIONS(2646),
    [anon_sym_not] = ACTIONS(2648),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2650),
    [sym_float] = ACTIONS(2650),
    [sym_super] = ACTIONS(2652),
    [sym_self] = ACTIONS(2652),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [sym_constant] = ACTIONS(2744),
    [aux_sym_constant_suffix_token1] = ACTIONS(2656),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2658),
    [sym_instance_variable] = ACTIONS(2660),
    [sym_class_variable] = ACTIONS(2660),
    [sym_global_variable] = ACTIONS(2660),
    [sym_character] = ACTIONS(2662),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [sym_simple_symbol] = ACTIONS(2666),
    [sym__string_start] = ACTIONS(2668),
    [sym__symbol_start] = ACTIONS(2670),
    [sym__subshell_start] = ACTIONS(2672),
    [sym__regex_start] = ACTIONS(2674),
    [sym__string_array_start] = ACTIONS(2676),
    [sym__symbol_array_start] = ACTIONS(2678),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2662),
    [sym__unary_minus_num] = ACTIONS(2644),
    [sym__identifier_suffix] = ACTIONS(2680),
    [sym__constant_suffix] = ACTIONS(2656),
  },
  [1956] = {
    [sym_heredoc_body] = STATE(1956),
    [ts_builtin_sym_end] = ACTIONS(2584),
    [sym_identifier] = ACTIONS(2582),
    [aux_sym_program_token1] = ACTIONS(2584),
    [anon_sym___END__] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_def] = ACTIONS(2582),
    [anon_sym_LPAREN] = ACTIONS(2582),
    [anon_sym_DOT] = ACTIONS(2582),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_rescue] = ACTIONS(2582),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2584),
    [anon_sym_nil] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_COLON] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(2582),
    [anon_sym_LT] = ACTIONS(2582),
    [anon_sym_module] = ACTIONS(2582),
    [anon_sym_return] = ACTIONS(2582),
    [anon_sym_yield] = ACTIONS(2582),
    [anon_sym_break] = ACTIONS(2582),
    [anon_sym_next] = ACTIONS(2582),
    [anon_sym_redo] = ACTIONS(2582),
    [anon_sym_retry] = ACTIONS(2582),
    [anon_sym_if] = ACTIONS(2582),
    [anon_sym_unless] = ACTIONS(2582),
    [anon_sym_while] = ACTIONS(2582),
    [anon_sym_until] = ACTIONS(2582),
    [anon_sym_for] = ACTIONS(2582),
    [anon_sym_in] = ACTIONS(2582),
    [anon_sym_do] = ACTIONS(2582),
    [anon_sym_case] = ACTIONS(2582),
    [anon_sym_EQ_GT] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2584),
    [anon_sym_DOT_DOT] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2584),
    [anon_sym_begin] = ACTIONS(2582),
    [anon_sym_COLON_COLON2] = ACTIONS(2584),
    [anon_sym_AMP_DOT] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2582),
    [anon_sym_and] = ACTIONS(2582),
    [anon_sym_or] = ACTIONS(2582),
    [anon_sym_PIPE_PIPE] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2584),
    [anon_sym_LT_LT] = ACTIONS(2584),
    [anon_sym_GT_GT] = ACTIONS(2584),
    [anon_sym_LT_EQ] = ACTIONS(2582),
    [anon_sym_GT] = ACTIONS(2582),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_SLASH] = ACTIONS(2584),
    [anon_sym_PERCENT] = ACTIONS(2584),
    [anon_sym_EQ_EQ] = ACTIONS(2582),
    [anon_sym_BANG_EQ] = ACTIONS(2584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_LT_EQ_GT] = ACTIONS(2584),
    [anon_sym_EQ_TILDE] = ACTIONS(2584),
    [anon_sym_BANG_TILDE] = ACTIONS(2584),
    [anon_sym_defined_QMARK] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2584),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2582),
    [sym_float] = ACTIONS(2582),
    [sym_super] = ACTIONS(2582),
    [sym_self] = ACTIONS(2582),
    [sym_true] = ACTIONS(2582),
    [sym_false] = ACTIONS(2582),
    [sym_constant] = ACTIONS(2582),
    [aux_sym_constant_suffix_token1] = ACTIONS(2584),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2582),
    [sym_instance_variable] = ACTIONS(2584),
    [sym_class_variable] = ACTIONS(2584),
    [sym_global_variable] = ACTIONS(2584),
    [sym_character] = ACTIONS(2584),
    [anon_sym_DASH_GT] = ACTIONS(2584),
    [sym__line_break] = ACTIONS(2584),
    [sym_simple_symbol] = ACTIONS(2584),
    [sym__string_start] = ACTIONS(2584),
    [sym__symbol_start] = ACTIONS(2584),
    [sym__subshell_start] = ACTIONS(2584),
    [sym__regex_start] = ACTIONS(2584),
    [sym__string_array_start] = ACTIONS(2584),
    [sym__symbol_array_start] = ACTIONS(2584),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2584),
    [sym__block_ampersand] = ACTIONS(2584),
    [sym__splat_star] = ACTIONS(2584),
    [sym__unary_minus] = ACTIONS(2584),
    [sym__unary_minus_num] = ACTIONS(2584),
    [sym__binary_minus] = ACTIONS(2584),
    [sym__binary_star] = ACTIONS(2584),
    [sym_hash_key_symbol] = ACTIONS(2584),
    [sym__identifier_suffix] = ACTIONS(2584),
    [sym__constant_suffix] = ACTIONS(2584),
    [sym__hash_splat_star_star] = ACTIONS(2584),
    [sym__binary_star_star] = ACTIONS(2584),
    [sym__element_reference_bracket] = ACTIONS(2584),
  },
  [1957] = {
    [sym_heredoc_body] = STATE(1957),
    [ts_builtin_sym_end] = ACTIONS(2592),
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_program_token1] = ACTIONS(2592),
    [anon_sym___END__] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_def] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2590),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_rescue] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_nil] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_COLON] = ACTIONS(2682),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_next] = ACTIONS(2590),
    [anon_sym_redo] = ACTIONS(2590),
    [anon_sym_retry] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_begin] = ACTIONS(2590),
    [anon_sym_COLON_COLON2] = ACTIONS(2592),
    [anon_sym_AMP_DOT] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_GT_GT] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_EQ_EQ] = ACTIONS(2590),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ_GT] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2592),
    [anon_sym_BANG_TILDE] = ACTIONS(2592),
    [anon_sym_defined_QMARK] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2590),
    [sym_float] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_self] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_constant] = ACTIONS(2590),
    [aux_sym_constant_suffix_token1] = ACTIONS(2592),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2590),
    [sym_instance_variable] = ACTIONS(2592),
    [sym_class_variable] = ACTIONS(2592),
    [sym_global_variable] = ACTIONS(2592),
    [sym_character] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [sym__line_break] = ACTIONS(2592),
    [sym_simple_symbol] = ACTIONS(2592),
    [sym__string_start] = ACTIONS(2592),
    [sym__symbol_start] = ACTIONS(2592),
    [sym__subshell_start] = ACTIONS(2592),
    [sym__regex_start] = ACTIONS(2592),
    [sym__string_array_start] = ACTIONS(2592),
    [sym__symbol_array_start] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2592),
    [sym__block_ampersand] = ACTIONS(2592),
    [sym__splat_star] = ACTIONS(2592),
    [sym__unary_minus] = ACTIONS(2592),
    [sym__unary_minus_num] = ACTIONS(2592),
    [sym__binary_minus] = ACTIONS(2592),
    [sym__binary_star] = ACTIONS(2592),
    [sym_hash_key_symbol] = ACTIONS(2592),
    [sym__identifier_suffix] = ACTIONS(2592),
    [sym__constant_suffix] = ACTIONS(2592),
    [sym__hash_splat_star_star] = ACTIONS(2592),
    [sym__binary_star_star] = ACTIONS(2592),
    [sym__element_reference_bracket] = ACTIONS(2592),
  },
  [1958] = {
    [sym_method] = STATE(5393),
    [sym_singleton_method] = STATE(5393),
    [sym_class] = STATE(5393),
    [sym_singleton_class] = STATE(5393),
    [sym_module] = STATE(5393),
    [sym_return] = STATE(5393),
    [sym_yield] = STATE(5393),
    [sym_break] = STATE(5393),
    [sym_next] = STATE(5393),
    [sym_redo] = STATE(5393),
    [sym_retry] = STATE(5393),
    [sym_while] = STATE(5393),
    [sym_until] = STATE(5393),
    [sym_for] = STATE(5393),
    [sym_case] = STATE(5393),
    [sym_case_match] = STATE(5393),
    [sym_if] = STATE(5393),
    [sym_unless] = STATE(5393),
    [sym_begin] = STATE(5393),
    [sym__primary] = STATE(5298),
    [sym_parenthesized_statements] = STATE(5393),
    [sym_element_reference] = STATE(4876),
    [sym_scope_resolution] = STATE(133),
    [sym__call] = STATE(4590),
    [sym_call] = STATE(5393),
    [sym_parenthesized_unary] = STATE(5393),
    [sym_unary_literal] = STATE(5331),
    [sym__literal] = STATE(5393),
    [sym__numeric] = STATE(5399),
    [sym__simple_numeric] = STATE(5331),
    [sym__function_identifier] = STATE(4807),
    [sym__function_identifier_call] = STATE(5326),
    [sym__lhs] = STATE(5393),
    [sym__variable] = STATE(4583),
    [sym__nonlocal_variable] = STATE(4704),
    [sym__int_or_float] = STATE(5469),
    [sym_complex] = STATE(5314),
    [sym_rational] = STATE(5314),
    [sym_nil] = STATE(4876),
    [sym_constant_suffix] = STATE(4744),
    [sym_identifier_suffix] = STATE(4740),
    [sym_chained_string] = STATE(5393),
    [sym_string] = STATE(5029),
    [sym_subshell] = STATE(5393),
    [sym_string_array] = STATE(5393),
    [sym_symbol_array] = STATE(5393),
    [sym_delimited_symbol] = STATE(5399),
    [sym_regex] = STATE(5393),
    [sym_heredoc_body] = STATE(1958),
    [sym_array] = STATE(5393),
    [sym_hash] = STATE(5393),
    [sym_lambda] = STATE(5393),
    [sym_identifier] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_def] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(2602),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_nil] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_module] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_yield] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_next] = ACTIONS(2622),
    [anon_sym_redo] = ACTIONS(2624),
    [anon_sym_retry] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_unless] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_until] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_begin] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_defined_QMARK] = ACTIONS(2646),
    [anon_sym_not] = ACTIONS(2648),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2650),
    [sym_float] = ACTIONS(2650),
    [sym_super] = ACTIONS(2652),
    [sym_self] = ACTIONS(2652),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [sym_constant] = ACTIONS(2746),
    [aux_sym_constant_suffix_token1] = ACTIONS(2656),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2658),
    [sym_instance_variable] = ACTIONS(2660),
    [sym_class_variable] = ACTIONS(2660),
    [sym_global_variable] = ACTIONS(2660),
    [sym_character] = ACTIONS(2662),
    [anon_sym_DASH_GT] = ACTIONS(2664),
    [sym_simple_symbol] = ACTIONS(2666),
    [sym__string_start] = ACTIONS(2668),
    [sym__symbol_start] = ACTIONS(2670),
    [sym__subshell_start] = ACTIONS(2672),
    [sym__regex_start] = ACTIONS(2674),
    [sym__string_array_start] = ACTIONS(2676),
    [sym__symbol_array_start] = ACTIONS(2678),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2662),
    [sym__unary_minus_num] = ACTIONS(2644),
    [sym__identifier_suffix] = ACTIONS(2680),
    [sym__constant_suffix] = ACTIONS(2656),
  },
  [1959] = {
    [sym_heredoc_body] = STATE(1959),
    [ts_builtin_sym_end] = ACTIONS(2588),
    [sym_identifier] = ACTIONS(2586),
    [aux_sym_program_token1] = ACTIONS(2588),
    [anon_sym___END__] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_def] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2586),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_rescue] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_nil] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_COLON] = ACTIONS(2682),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_next] = ACTIONS(2586),
    [anon_sym_redo] = ACTIONS(2586),
    [anon_sym_retry] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_until] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2588),
    [anon_sym_begin] = ACTIONS(2586),
    [anon_sym_COLON_COLON2] = ACTIONS(2588),
    [anon_sym_AMP_DOT] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_LT_LT] = ACTIONS(2588),
    [anon_sym_GT_GT] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2588),
    [anon_sym_PERCENT] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ_GT] = ACTIONS(2588),
    [anon_sym_EQ_TILDE] = ACTIONS(2588),
    [anon_sym_BANG_TILDE] = ACTIONS(2588),
    [anon_sym_defined_QMARK] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2586),
    [sym_float] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_self] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_constant] = ACTIONS(2586),
    [aux_sym_constant_suffix_token1] = ACTIONS(2588),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2586),
    [sym_instance_variable] = ACTIONS(2588),
    [sym_class_variable] = ACTIONS(2588),
    [sym_global_variable] = ACTIONS(2588),
    [sym_character] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [sym__line_break] = ACTIONS(2588),
    [sym_simple_symbol] = ACTIONS(2588),
    [sym__string_start] = ACTIONS(2588),
    [sym__symbol_start] = ACTIONS(2588),
    [sym__subshell_start] = ACTIONS(2588),
    [sym__regex_start] = ACTIONS(2588),
    [sym__string_array_start] = ACTIONS(2588),
    [sym__symbol_array_start] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2588),
    [sym__block_ampersand] = ACTIONS(2588),
    [sym__splat_star] = ACTIONS(2588),
    [sym__unary_minus] = ACTIONS(2588),
    [sym__unary_minus_num] = ACTIONS(2588),
    [sym__binary_minus] = ACTIONS(2588),
    [sym__binary_star] = ACTIONS(2588),
    [sym_hash_key_symbol] = ACTIONS(2588),
    [sym__identifier_suffix] = ACTIONS(2588),
    [sym__constant_suffix] = ACTIONS(2588),
    [sym__hash_splat_star_star] = ACTIONS(2588),
    [sym__binary_star_star] = ACTIONS(2588),
    [sym__element_reference_bracket] = ACTIONS(2588),
  },
  [1960] = {
    [sym_heredoc_body] = STATE(1960),
    [ts_builtin_sym_end] = ACTIONS(2592),
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_program_token1] = ACTIONS(2592),
    [anon_sym___END__] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_def] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2590),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_rescue] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_nil] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_next] = ACTIONS(2590),
    [anon_sym_redo] = ACTIONS(2590),
    [anon_sym_retry] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_begin] = ACTIONS(2590),
    [anon_sym_COLON_COLON2] = ACTIONS(2592),
    [anon_sym_AMP_DOT] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_GT_GT] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_EQ_EQ] = ACTIONS(2590),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ_GT] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2592),
    [anon_sym_BANG_TILDE] = ACTIONS(2592),
    [anon_sym_defined_QMARK] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2590),
    [sym_float] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_self] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_constant] = ACTIONS(2590),
    [aux_sym_constant_suffix_token1] = ACTIONS(2592),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2590),
    [sym_instance_variable] = ACTIONS(2592),
    [sym_class_variable] = ACTIONS(2592),
    [sym_global_variable] = ACTIONS(2592),
    [sym_character] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [sym__line_break] = ACTIONS(2592),
    [sym_simple_symbol] = ACTIONS(2592),
    [sym__string_start] = ACTIONS(2592),
    [sym__symbol_start] = ACTIONS(2592),
    [sym__subshell_start] = ACTIONS(2592),
    [sym__regex_start] = ACTIONS(2592),
    [sym__string_array_start] = ACTIONS(2592),
    [sym__symbol_array_start] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2592),
    [sym__block_ampersand] = ACTIONS(2592),
    [sym__splat_star] = ACTIONS(2592),
    [sym__unary_minus] = ACTIONS(2592),
    [sym__unary_minus_num] = ACTIONS(2592),
    [sym__binary_minus] = ACTIONS(2592),
    [sym__binary_star] = ACTIONS(2592),
    [sym_hash_key_symbol] = ACTIONS(2592),
    [sym__identifier_suffix] = ACTIONS(2592),
    [sym__constant_suffix] = ACTIONS(2592),
    [sym__hash_splat_star_star] = ACTIONS(2592),
    [sym__binary_star_star] = ACTIONS(2592),
    [sym__element_reference_bracket] = ACTIONS(2592),
  },
  [1961] = {
    [sym_heredoc_body] = STATE(1961),
    [ts_builtin_sym_end] = ACTIONS(2588),
    [sym_identifier] = ACTIONS(2586),
    [aux_sym_program_token1] = ACTIONS(2588),
    [anon_sym___END__] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_def] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2586),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_rescue] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_nil] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_next] = ACTIONS(2586),
    [anon_sym_redo] = ACTIONS(2586),
    [anon_sym_retry] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_until] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2588),
    [anon_sym_begin] = ACTIONS(2586),
    [anon_sym_COLON_COLON2] = ACTIONS(2588),
    [anon_sym_AMP_DOT] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_LT_LT] = ACTIONS(2588),
    [anon_sym_GT_GT] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2588),
    [anon_sym_PERCENT] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ_GT] = ACTIONS(2588),
    [anon_sym_EQ_TILDE] = ACTIONS(2588),
    [anon_sym_BANG_TILDE] = ACTIONS(2588),
    [anon_sym_defined_QMARK] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2586),
    [sym_float] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_self] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_constant] = ACTIONS(2586),
    [aux_sym_constant_suffix_token1] = ACTIONS(2588),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2586),
    [sym_instance_variable] = ACTIONS(2588),
    [sym_class_variable] = ACTIONS(2588),
    [sym_global_variable] = ACTIONS(2588),
    [sym_character] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [sym__line_break] = ACTIONS(2588),
    [sym_simple_symbol] = ACTIONS(2588),
    [sym__string_start] = ACTIONS(2588),
    [sym__symbol_start] = ACTIONS(2588),
    [sym__subshell_start] = ACTIONS(2588),
    [sym__regex_start] = ACTIONS(2588),
    [sym__string_array_start] = ACTIONS(2588),
    [sym__symbol_array_start] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2588),
    [sym__block_ampersand] = ACTIONS(2588),
    [sym__splat_star] = ACTIONS(2588),
    [sym__unary_minus] = ACTIONS(2588),
    [sym__unary_minus_num] = ACTIONS(2588),
    [sym__binary_minus] = ACTIONS(2588),
    [sym__binary_star] = ACTIONS(2588),
    [sym_hash_key_symbol] = ACTIONS(2588),
    [sym__identifier_suffix] = ACTIONS(2588),
    [sym__constant_suffix] = ACTIONS(2588),
    [sym__hash_splat_star_star] = ACTIONS(2588),
    [sym__binary_star_star] = ACTIONS(2588),
    [sym__element_reference_bracket] = ACTIONS(2588),
  },
  [1962] = {
    [sym_heredoc_body] = STATE(1962),
    [sym_identifier] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_def] = ACTIONS(2566),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_RPAREN] = ACTIONS(2568),
    [anon_sym_DOT] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_rescue] = ACTIONS(2566),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_PIPE] = ACTIONS(2566),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_nil] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_COLON] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_LT] = ACTIONS(2566),
    [anon_sym_module] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_yield] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_next] = ACTIONS(2566),
    [anon_sym_redo] = ACTIONS(2566),
    [anon_sym_retry] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_unless] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_until] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_EQ_GT] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_RBRACK] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_DOT_DOT] = ACTIONS(2566),
    [anon_sym_CARET] = ACTIONS(2568),
    [anon_sym_begin] = ACTIONS(2566),
    [anon_sym_COLON_COLON2] = ACTIONS(2568),
    [anon_sym_AMP_DOT] = ACTIONS(2568),
    [anon_sym_QMARK] = ACTIONS(2566),
    [anon_sym_and] = ACTIONS(2566),
    [anon_sym_or] = ACTIONS(2566),
    [anon_sym_PIPE_PIPE] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_LT_LT] = ACTIONS(2568),
    [anon_sym_GT_GT] = ACTIONS(2568),
    [anon_sym_LT_EQ] = ACTIONS(2566),
    [anon_sym_GT] = ACTIONS(2566),
    [anon_sym_GT_EQ] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_SLASH] = ACTIONS(2568),
    [anon_sym_PERCENT] = ACTIONS(2568),
    [anon_sym_EQ_EQ] = ACTIONS(2566),
    [anon_sym_BANG_EQ] = ACTIONS(2568),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2568),
    [anon_sym_LT_EQ_GT] = ACTIONS(2568),
    [anon_sym_EQ_TILDE] = ACTIONS(2568),
    [anon_sym_BANG_TILDE] = ACTIONS(2568),
    [anon_sym_defined_QMARK] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2568),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2566),
    [sym_float] = ACTIONS(2566),
    [sym_super] = ACTIONS(2566),
    [sym_self] = ACTIONS(2566),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [sym_constant] = ACTIONS(2566),
    [aux_sym_constant_suffix_token1] = ACTIONS(2568),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2566),
    [sym_instance_variable] = ACTIONS(2568),
    [sym_class_variable] = ACTIONS(2568),
    [sym_global_variable] = ACTIONS(2568),
    [sym_character] = ACTIONS(2568),
    [anon_sym_DASH_GT] = ACTIONS(2568),
    [sym_simple_symbol] = ACTIONS(2568),
    [sym__string_start] = ACTIONS(2568),
    [sym__symbol_start] = ACTIONS(2568),
    [sym__subshell_start] = ACTIONS(2568),
    [sym__regex_start] = ACTIONS(2568),
    [sym__string_array_start] = ACTIONS(2568),
    [sym__symbol_array_start] = ACTIONS(2568),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2568),
    [sym__block_ampersand] = ACTIONS(2568),
    [sym__splat_star] = ACTIONS(2568),
    [sym__unary_minus] = ACTIONS(2568),
    [sym__unary_minus_num] = ACTIONS(2568),
    [sym__binary_minus] = ACTIONS(2568),
    [sym__binary_star] = ACTIONS(2568),
    [sym_hash_key_symbol] = ACTIONS(2568),
    [sym__identifier_suffix] = ACTIONS(2568),
    [sym__constant_suffix] = ACTIONS(2568),
    [sym__hash_splat_star_star] = ACTIONS(2568),
    [sym__binary_star_star] = ACTIONS(2568),
    [sym__element_reference_bracket] = ACTIONS(2568),
  },
  [1963] = {
    [sym_heredoc_body] = STATE(1963),
    [sym_identifier] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_def] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2590),
    [anon_sym_RPAREN] = ACTIONS(2592),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_rescue] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_nil] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_COLON] = ACTIONS(2694),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_next] = ACTIONS(2590),
    [anon_sym_redo] = ACTIONS(2590),
    [anon_sym_retry] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_RBRACK] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_begin] = ACTIONS(2590),
    [anon_sym_COLON_COLON2] = ACTIONS(2592),
    [anon_sym_AMP_DOT] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_GT_GT] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_EQ_EQ] = ACTIONS(2590),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ_GT] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2592),
    [anon_sym_BANG_TILDE] = ACTIONS(2592),
    [anon_sym_defined_QMARK] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2590),
    [sym_float] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_self] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_constant] = ACTIONS(2590),
    [aux_sym_constant_suffix_token1] = ACTIONS(2592),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2590),
    [sym_instance_variable] = ACTIONS(2592),
    [sym_class_variable] = ACTIONS(2592),
    [sym_global_variable] = ACTIONS(2592),
    [sym_character] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [sym_simple_symbol] = ACTIONS(2592),
    [sym__string_start] = ACTIONS(2592),
    [sym__symbol_start] = ACTIONS(2592),
    [sym__subshell_start] = ACTIONS(2592),
    [sym__regex_start] = ACTIONS(2592),
    [sym__string_array_start] = ACTIONS(2592),
    [sym__symbol_array_start] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2592),
    [sym__block_ampersand] = ACTIONS(2592),
    [sym__splat_star] = ACTIONS(2592),
    [sym__unary_minus] = ACTIONS(2592),
    [sym__unary_minus_num] = ACTIONS(2592),
    [sym__binary_minus] = ACTIONS(2592),
    [sym__binary_star] = ACTIONS(2592),
    [sym_hash_key_symbol] = ACTIONS(2592),
    [sym__identifier_suffix] = ACTIONS(2592),
    [sym__constant_suffix] = ACTIONS(2592),
    [sym__hash_splat_star_star] = ACTIONS(2592),
    [sym__binary_star_star] = ACTIONS(2592),
    [sym__element_reference_bracket] = ACTIONS(2592),
  },
  [1964] = {
    [sym_heredoc_body] = STATE(1964),
    [sym_identifier] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_def] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2590),
    [anon_sym_RPAREN] = ACTIONS(2592),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_rescue] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_nil] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_COLON] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_next] = ACTIONS(2590),
    [anon_sym_redo] = ACTIONS(2590),
    [anon_sym_retry] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_RBRACK] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_begin] = ACTIONS(2590),
    [anon_sym_COLON_COLON2] = ACTIONS(2592),
    [anon_sym_AMP_DOT] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_GT_GT] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_EQ_EQ] = ACTIONS(2590),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ_GT] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2592),
    [anon_sym_BANG_TILDE] = ACTIONS(2592),
    [anon_sym_defined_QMARK] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2590),
    [sym_float] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_self] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_constant] = ACTIONS(2590),
    [aux_sym_constant_suffix_token1] = ACTIONS(2592),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2590),
    [sym_instance_variable] = ACTIONS(2592),
    [sym_class_variable] = ACTIONS(2592),
    [sym_global_variable] = ACTIONS(2592),
    [sym_character] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [sym_simple_symbol] = ACTIONS(2592),
    [sym__string_start] = ACTIONS(2592),
    [sym__symbol_start] = ACTIONS(2592),
    [sym__subshell_start] = ACTIONS(2592),
    [sym__regex_start] = ACTIONS(2592),
    [sym__string_array_start] = ACTIONS(2592),
    [sym__symbol_array_start] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2592),
    [sym__block_ampersand] = ACTIONS(2592),
    [sym__splat_star] = ACTIONS(2592),
    [sym__unary_minus] = ACTIONS(2592),
    [sym__unary_minus_num] = ACTIONS(2592),
    [sym__binary_minus] = ACTIONS(2592),
    [sym__binary_star] = ACTIONS(2592),
    [sym_hash_key_symbol] = ACTIONS(2592),
    [sym__identifier_suffix] = ACTIONS(2592),
    [sym__constant_suffix] = ACTIONS(2592),
    [sym__hash_splat_star_star] = ACTIONS(2592),
    [sym__binary_star_star] = ACTIONS(2592),
    [sym__element_reference_bracket] = ACTIONS(2592),
  },
  [1965] = {
    [sym_heredoc_body] = STATE(1965),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_def] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2586),
    [anon_sym_RPAREN] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_rescue] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_nil] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_COLON] = ACTIONS(2694),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_next] = ACTIONS(2586),
    [anon_sym_redo] = ACTIONS(2586),
    [anon_sym_retry] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_until] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_RBRACK] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2588),
    [anon_sym_begin] = ACTIONS(2586),
    [anon_sym_COLON_COLON2] = ACTIONS(2588),
    [anon_sym_AMP_DOT] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_LT_LT] = ACTIONS(2588),
    [anon_sym_GT_GT] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2588),
    [anon_sym_PERCENT] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ_GT] = ACTIONS(2588),
    [anon_sym_EQ_TILDE] = ACTIONS(2588),
    [anon_sym_BANG_TILDE] = ACTIONS(2588),
    [anon_sym_defined_QMARK] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2586),
    [sym_float] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_self] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_constant] = ACTIONS(2586),
    [aux_sym_constant_suffix_token1] = ACTIONS(2588),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2586),
    [sym_instance_variable] = ACTIONS(2588),
    [sym_class_variable] = ACTIONS(2588),
    [sym_global_variable] = ACTIONS(2588),
    [sym_character] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [sym_simple_symbol] = ACTIONS(2588),
    [sym__string_start] = ACTIONS(2588),
    [sym__symbol_start] = ACTIONS(2588),
    [sym__subshell_start] = ACTIONS(2588),
    [sym__regex_start] = ACTIONS(2588),
    [sym__string_array_start] = ACTIONS(2588),
    [sym__symbol_array_start] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2588),
    [sym__block_ampersand] = ACTIONS(2588),
    [sym__splat_star] = ACTIONS(2588),
    [sym__unary_minus] = ACTIONS(2588),
    [sym__unary_minus_num] = ACTIONS(2588),
    [sym__binary_minus] = ACTIONS(2588),
    [sym__binary_star] = ACTIONS(2588),
    [sym_hash_key_symbol] = ACTIONS(2588),
    [sym__identifier_suffix] = ACTIONS(2588),
    [sym__constant_suffix] = ACTIONS(2588),
    [sym__hash_splat_star_star] = ACTIONS(2588),
    [sym__binary_star_star] = ACTIONS(2588),
    [sym__element_reference_bracket] = ACTIONS(2588),
  },
  [1966] = {
    [sym_heredoc_body] = STATE(1966),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_def] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2586),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_rescue] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_nil] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_COLON] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_next] = ACTIONS(2586),
    [anon_sym_redo] = ACTIONS(2586),
    [anon_sym_retry] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_until] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2588),
    [anon_sym_begin] = ACTIONS(2586),
    [anon_sym_COLON_COLON2] = ACTIONS(2588),
    [anon_sym_AMP_DOT] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_LT_LT] = ACTIONS(2588),
    [anon_sym_GT_GT] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2588),
    [anon_sym_PERCENT] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ_GT] = ACTIONS(2588),
    [anon_sym_EQ_TILDE] = ACTIONS(2588),
    [anon_sym_BANG_TILDE] = ACTIONS(2588),
    [anon_sym_defined_QMARK] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2586),
    [sym_float] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_self] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_constant] = ACTIONS(2586),
    [aux_sym_constant_suffix_token1] = ACTIONS(2588),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2586),
    [sym_instance_variable] = ACTIONS(2588),
    [sym_class_variable] = ACTIONS(2588),
    [sym_global_variable] = ACTIONS(2588),
    [sym_character] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [sym__line_break] = ACTIONS(2588),
    [sym_simple_symbol] = ACTIONS(2588),
    [sym__string_start] = ACTIONS(2588),
    [sym__symbol_start] = ACTIONS(2588),
    [sym__subshell_start] = ACTIONS(2588),
    [sym__regex_start] = ACTIONS(2588),
    [sym__string_array_start] = ACTIONS(2588),
    [sym__symbol_array_start] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2588),
    [sym__block_ampersand] = ACTIONS(2588),
    [sym__splat_star] = ACTIONS(2588),
    [sym__unary_minus] = ACTIONS(2588),
    [sym__unary_minus_num] = ACTIONS(2588),
    [sym__binary_minus] = ACTIONS(2588),
    [sym__binary_star] = ACTIONS(2588),
    [sym_hash_key_symbol] = ACTIONS(2588),
    [sym__identifier_suffix] = ACTIONS(2588),
    [sym__constant_suffix] = ACTIONS(2588),
    [sym__hash_splat_star_star] = ACTIONS(2588),
    [sym__binary_star_star] = ACTIONS(2588),
    [sym__element_reference_bracket] = ACTIONS(2588),
  },
  [1967] = {
    [sym_heredoc_body] = STATE(1967),
    [sym_identifier] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_def] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2590),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_rescue] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_nil] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_COLON] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_next] = ACTIONS(2590),
    [anon_sym_redo] = ACTIONS(2590),
    [anon_sym_retry] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_begin] = ACTIONS(2590),
    [anon_sym_COLON_COLON2] = ACTIONS(2592),
    [anon_sym_AMP_DOT] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_GT_GT] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_EQ_EQ] = ACTIONS(2590),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ_GT] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2592),
    [anon_sym_BANG_TILDE] = ACTIONS(2592),
    [anon_sym_defined_QMARK] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2590),
    [sym_float] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_self] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_constant] = ACTIONS(2590),
    [aux_sym_constant_suffix_token1] = ACTIONS(2592),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2590),
    [sym_instance_variable] = ACTIONS(2592),
    [sym_class_variable] = ACTIONS(2592),
    [sym_global_variable] = ACTIONS(2592),
    [sym_character] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [sym__line_break] = ACTIONS(2592),
    [sym_simple_symbol] = ACTIONS(2592),
    [sym__string_start] = ACTIONS(2592),
    [sym__symbol_start] = ACTIONS(2592),
    [sym__subshell_start] = ACTIONS(2592),
    [sym__regex_start] = ACTIONS(2592),
    [sym__string_array_start] = ACTIONS(2592),
    [sym__symbol_array_start] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2592),
    [sym__block_ampersand] = ACTIONS(2592),
    [sym__splat_star] = ACTIONS(2592),
    [sym__unary_minus] = ACTIONS(2592),
    [sym__unary_minus_num] = ACTIONS(2592),
    [sym__binary_minus] = ACTIONS(2592),
    [sym__binary_star] = ACTIONS(2592),
    [sym_hash_key_symbol] = ACTIONS(2592),
    [sym__identifier_suffix] = ACTIONS(2592),
    [sym__constant_suffix] = ACTIONS(2592),
    [sym__hash_splat_star_star] = ACTIONS(2592),
    [sym__binary_star_star] = ACTIONS(2592),
    [sym__element_reference_bracket] = ACTIONS(2592),
  },
  [1968] = {
    [sym_heredoc_body] = STATE(1968),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_def] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2586),
    [anon_sym_RPAREN] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_rescue] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_nil] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_COLON] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_next] = ACTIONS(2586),
    [anon_sym_redo] = ACTIONS(2586),
    [anon_sym_retry] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_until] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_RBRACK] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2588),
    [anon_sym_begin] = ACTIONS(2586),
    [anon_sym_COLON_COLON2] = ACTIONS(2588),
    [anon_sym_AMP_DOT] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_LT_LT] = ACTIONS(2588),
    [anon_sym_GT_GT] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2588),
    [anon_sym_PERCENT] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ_GT] = ACTIONS(2588),
    [anon_sym_EQ_TILDE] = ACTIONS(2588),
    [anon_sym_BANG_TILDE] = ACTIONS(2588),
    [anon_sym_defined_QMARK] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2586),
    [sym_float] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_self] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_constant] = ACTIONS(2586),
    [aux_sym_constant_suffix_token1] = ACTIONS(2588),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2586),
    [sym_instance_variable] = ACTIONS(2588),
    [sym_class_variable] = ACTIONS(2588),
    [sym_global_variable] = ACTIONS(2588),
    [sym_character] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [sym_simple_symbol] = ACTIONS(2588),
    [sym__string_start] = ACTIONS(2588),
    [sym__symbol_start] = ACTIONS(2588),
    [sym__subshell_start] = ACTIONS(2588),
    [sym__regex_start] = ACTIONS(2588),
    [sym__string_array_start] = ACTIONS(2588),
    [sym__symbol_array_start] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2588),
    [sym__block_ampersand] = ACTIONS(2588),
    [sym__splat_star] = ACTIONS(2588),
    [sym__unary_minus] = ACTIONS(2588),
    [sym__unary_minus_num] = ACTIONS(2588),
    [sym__binary_minus] = ACTIONS(2588),
    [sym__binary_star] = ACTIONS(2588),
    [sym_hash_key_symbol] = ACTIONS(2588),
    [sym__identifier_suffix] = ACTIONS(2588),
    [sym__constant_suffix] = ACTIONS(2588),
    [sym__hash_splat_star_star] = ACTIONS(2588),
    [sym__binary_star_star] = ACTIONS(2588),
    [sym__element_reference_bracket] = ACTIONS(2588),
  },
  [1969] = {
    [sym_heredoc_body] = STATE(1969),
    [sym_identifier] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_RBRACE] = ACTIONS(2592),
    [anon_sym_def] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2590),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_rescue] = ACTIONS(2590),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_nil] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_COLON] = ACTIONS(2686),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_next] = ACTIONS(2590),
    [anon_sym_redo] = ACTIONS(2590),
    [anon_sym_retry] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_begin] = ACTIONS(2590),
    [anon_sym_COLON_COLON2] = ACTIONS(2592),
    [anon_sym_AMP_DOT] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_GT_GT] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_EQ_EQ] = ACTIONS(2590),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ_GT] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2592),
    [anon_sym_BANG_TILDE] = ACTIONS(2592),
    [anon_sym_defined_QMARK] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2590),
    [sym_float] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_self] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_constant] = ACTIONS(2590),
    [aux_sym_constant_suffix_token1] = ACTIONS(2592),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2590),
    [sym_instance_variable] = ACTIONS(2592),
    [sym_class_variable] = ACTIONS(2592),
    [sym_global_variable] = ACTIONS(2592),
    [sym_character] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [sym__line_break] = ACTIONS(2592),
    [sym_simple_symbol] = ACTIONS(2592),
    [sym__string_start] = ACTIONS(2592),
    [sym__symbol_start] = ACTIONS(2592),
    [sym__subshell_start] = ACTIONS(2592),
    [sym__regex_start] = ACTIONS(2592),
    [sym__string_array_start] = ACTIONS(2592),
    [sym__symbol_array_start] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2592),
    [sym__block_ampersand] = ACTIONS(2592),
    [sym__splat_star] = ACTIONS(2592),
    [sym__unary_minus] = ACTIONS(2592),
    [sym__unary_minus_num] = ACTIONS(2592),
    [sym__binary_minus] = ACTIONS(2592),
    [sym__binary_star] = ACTIONS(2592),
    [sym_hash_key_symbol] = ACTIONS(2592),
    [sym__identifier_suffix] = ACTIONS(2592),
    [sym__constant_suffix] = ACTIONS(2592),
    [sym__hash_splat_star_star] = ACTIONS(2592),
    [sym__binary_star_star] = ACTIONS(2592),
    [sym__element_reference_bracket] = ACTIONS(2592),
  },
  [1970] = {
    [sym_heredoc_body] = STATE(1970),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_def] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2586),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_rescue] = ACTIONS(2586),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_nil] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_COLON] = ACTIONS(2686),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_next] = ACTIONS(2586),
    [anon_sym_redo] = ACTIONS(2586),
    [anon_sym_retry] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_until] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2588),
    [anon_sym_begin] = ACTIONS(2586),
    [anon_sym_COLON_COLON2] = ACTIONS(2588),
    [anon_sym_AMP_DOT] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_LT_LT] = ACTIONS(2588),
    [anon_sym_GT_GT] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2588),
    [anon_sym_PERCENT] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ_GT] = ACTIONS(2588),
    [anon_sym_EQ_TILDE] = ACTIONS(2588),
    [anon_sym_BANG_TILDE] = ACTIONS(2588),
    [anon_sym_defined_QMARK] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2586),
    [sym_float] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_self] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_constant] = ACTIONS(2586),
    [aux_sym_constant_suffix_token1] = ACTIONS(2588),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2586),
    [sym_instance_variable] = ACTIONS(2588),
    [sym_class_variable] = ACTIONS(2588),
    [sym_global_variable] = ACTIONS(2588),
    [sym_character] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [sym__line_break] = ACTIONS(2588),
    [sym_simple_symbol] = ACTIONS(2588),
    [sym__string_start] = ACTIONS(2588),
    [sym__symbol_start] = ACTIONS(2588),
    [sym__subshell_start] = ACTIONS(2588),
    [sym__regex_start] = ACTIONS(2588),
    [sym__string_array_start] = ACTIONS(2588),
    [sym__symbol_array_start] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2588),
    [sym__block_ampersand] = ACTIONS(2588),
    [sym__splat_star] = ACTIONS(2588),
    [sym__unary_minus] = ACTIONS(2588),
    [sym__unary_minus_num] = ACTIONS(2588),
    [sym__binary_minus] = ACTIONS(2588),
    [sym__binary_star] = ACTIONS(2588),
    [sym_hash_key_symbol] = ACTIONS(2588),
    [sym__identifier_suffix] = ACTIONS(2588),
    [sym__constant_suffix] = ACTIONS(2588),
    [sym__hash_splat_star_star] = ACTIONS(2588),
    [sym__binary_star_star] = ACTIONS(2588),
    [sym__element_reference_bracket] = ACTIONS(2588),
  },
  [1971] = {
    [sym_heredoc_body] = STATE(1971),
    [sym_identifier] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_def] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2590),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_nil] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_COLON] = ACTIONS(2690),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_next] = ACTIONS(2590),
    [anon_sym_redo] = ACTIONS(2590),
    [anon_sym_retry] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_then] = ACTIONS(2590),
    [anon_sym_begin] = ACTIONS(2590),
    [anon_sym_COLON_COLON2] = ACTIONS(2592),
    [anon_sym_AMP_DOT] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_GT_GT] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_EQ_EQ] = ACTIONS(2590),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ_GT] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2592),
    [anon_sym_BANG_TILDE] = ACTIONS(2592),
    [anon_sym_defined_QMARK] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2590),
    [sym_float] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_self] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_constant] = ACTIONS(2590),
    [aux_sym_constant_suffix_token1] = ACTIONS(2592),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2590),
    [sym_instance_variable] = ACTIONS(2592),
    [sym_class_variable] = ACTIONS(2592),
    [sym_global_variable] = ACTIONS(2592),
    [sym_character] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [sym__line_break] = ACTIONS(2592),
    [sym_simple_symbol] = ACTIONS(2592),
    [sym__string_start] = ACTIONS(2592),
    [sym__symbol_start] = ACTIONS(2592),
    [sym__subshell_start] = ACTIONS(2592),
    [sym__regex_start] = ACTIONS(2592),
    [sym__string_array_start] = ACTIONS(2592),
    [sym__symbol_array_start] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2592),
    [sym__block_ampersand] = ACTIONS(2592),
    [sym__splat_star] = ACTIONS(2592),
    [sym__unary_minus] = ACTIONS(2592),
    [sym__unary_minus_num] = ACTIONS(2592),
    [sym__binary_minus] = ACTIONS(2592),
    [sym__binary_star] = ACTIONS(2592),
    [sym_hash_key_symbol] = ACTIONS(2592),
    [sym__identifier_suffix] = ACTIONS(2592),
    [sym__constant_suffix] = ACTIONS(2592),
    [sym__hash_splat_star_star] = ACTIONS(2592),
    [sym__binary_star_star] = ACTIONS(2592),
    [sym__element_reference_bracket] = ACTIONS(2592),
  },
  [1972] = {
    [sym_heredoc_body] = STATE(1972),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_def] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2586),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_nil] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_COLON] = ACTIONS(2690),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_next] = ACTIONS(2586),
    [anon_sym_redo] = ACTIONS(2586),
    [anon_sym_retry] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_until] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2588),
    [anon_sym_then] = ACTIONS(2586),
    [anon_sym_begin] = ACTIONS(2586),
    [anon_sym_COLON_COLON2] = ACTIONS(2588),
    [anon_sym_AMP_DOT] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_LT_LT] = ACTIONS(2588),
    [anon_sym_GT_GT] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2588),
    [anon_sym_PERCENT] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ_GT] = ACTIONS(2588),
    [anon_sym_EQ_TILDE] = ACTIONS(2588),
    [anon_sym_BANG_TILDE] = ACTIONS(2588),
    [anon_sym_defined_QMARK] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2586),
    [sym_float] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_self] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_constant] = ACTIONS(2586),
    [aux_sym_constant_suffix_token1] = ACTIONS(2588),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2586),
    [sym_instance_variable] = ACTIONS(2588),
    [sym_class_variable] = ACTIONS(2588),
    [sym_global_variable] = ACTIONS(2588),
    [sym_character] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [sym__line_break] = ACTIONS(2588),
    [sym_simple_symbol] = ACTIONS(2588),
    [sym__string_start] = ACTIONS(2588),
    [sym__symbol_start] = ACTIONS(2588),
    [sym__subshell_start] = ACTIONS(2588),
    [sym__regex_start] = ACTIONS(2588),
    [sym__string_array_start] = ACTIONS(2588),
    [sym__symbol_array_start] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2588),
    [sym__block_ampersand] = ACTIONS(2588),
    [sym__splat_star] = ACTIONS(2588),
    [sym__unary_minus] = ACTIONS(2588),
    [sym__unary_minus_num] = ACTIONS(2588),
    [sym__binary_minus] = ACTIONS(2588),
    [sym__binary_star] = ACTIONS(2588),
    [sym_hash_key_symbol] = ACTIONS(2588),
    [sym__identifier_suffix] = ACTIONS(2588),
    [sym__constant_suffix] = ACTIONS(2588),
    [sym__hash_splat_star_star] = ACTIONS(2588),
    [sym__binary_star_star] = ACTIONS(2588),
    [sym__element_reference_bracket] = ACTIONS(2588),
  },
  [1973] = {
    [sym_heredoc_body] = STATE(1973),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_def] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2586),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_nil] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_COLON] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_next] = ACTIONS(2586),
    [anon_sym_redo] = ACTIONS(2586),
    [anon_sym_retry] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_until] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2588),
    [anon_sym_then] = ACTIONS(2586),
    [anon_sym_begin] = ACTIONS(2586),
    [anon_sym_COLON_COLON2] = ACTIONS(2588),
    [anon_sym_AMP_DOT] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_LT_LT] = ACTIONS(2588),
    [anon_sym_GT_GT] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2588),
    [anon_sym_PERCENT] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ_GT] = ACTIONS(2588),
    [anon_sym_EQ_TILDE] = ACTIONS(2588),
    [anon_sym_BANG_TILDE] = ACTIONS(2588),
    [anon_sym_defined_QMARK] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2586),
    [sym_float] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_self] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_constant] = ACTIONS(2586),
    [aux_sym_constant_suffix_token1] = ACTIONS(2588),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2586),
    [sym_instance_variable] = ACTIONS(2588),
    [sym_class_variable] = ACTIONS(2588),
    [sym_global_variable] = ACTIONS(2588),
    [sym_character] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [sym__line_break] = ACTIONS(2588),
    [sym_simple_symbol] = ACTIONS(2588),
    [sym__string_start] = ACTIONS(2588),
    [sym__symbol_start] = ACTIONS(2588),
    [sym__subshell_start] = ACTIONS(2588),
    [sym__regex_start] = ACTIONS(2588),
    [sym__string_array_start] = ACTIONS(2588),
    [sym__symbol_array_start] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2588),
    [sym__block_ampersand] = ACTIONS(2588),
    [sym__splat_star] = ACTIONS(2588),
    [sym__unary_minus] = ACTIONS(2588),
    [sym__unary_minus_num] = ACTIONS(2588),
    [sym__binary_minus] = ACTIONS(2588),
    [sym__binary_star] = ACTIONS(2588),
    [sym_hash_key_symbol] = ACTIONS(2588),
    [sym__identifier_suffix] = ACTIONS(2588),
    [sym__constant_suffix] = ACTIONS(2588),
    [sym__hash_splat_star_star] = ACTIONS(2588),
    [sym__binary_star_star] = ACTIONS(2588),
    [sym__element_reference_bracket] = ACTIONS(2588),
  },
  [1974] = {
    [sym_heredoc_body] = STATE(1974),
    [sym_identifier] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_def] = ACTIONS(2582),
    [anon_sym_LPAREN] = ACTIONS(2582),
    [anon_sym_RPAREN] = ACTIONS(2584),
    [anon_sym_DOT] = ACTIONS(2582),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_rescue] = ACTIONS(2582),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2584),
    [anon_sym_nil] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_COLON] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(2582),
    [anon_sym_LT] = ACTIONS(2582),
    [anon_sym_module] = ACTIONS(2582),
    [anon_sym_return] = ACTIONS(2582),
    [anon_sym_yield] = ACTIONS(2582),
    [anon_sym_break] = ACTIONS(2582),
    [anon_sym_next] = ACTIONS(2582),
    [anon_sym_redo] = ACTIONS(2582),
    [anon_sym_retry] = ACTIONS(2582),
    [anon_sym_if] = ACTIONS(2582),
    [anon_sym_unless] = ACTIONS(2582),
    [anon_sym_while] = ACTIONS(2582),
    [anon_sym_until] = ACTIONS(2582),
    [anon_sym_for] = ACTIONS(2582),
    [anon_sym_in] = ACTIONS(2582),
    [anon_sym_do] = ACTIONS(2582),
    [anon_sym_case] = ACTIONS(2582),
    [anon_sym_EQ_GT] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_RBRACK] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2584),
    [anon_sym_DOT_DOT] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2584),
    [anon_sym_begin] = ACTIONS(2582),
    [anon_sym_COLON_COLON2] = ACTIONS(2584),
    [anon_sym_AMP_DOT] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2582),
    [anon_sym_and] = ACTIONS(2582),
    [anon_sym_or] = ACTIONS(2582),
    [anon_sym_PIPE_PIPE] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2584),
    [anon_sym_LT_LT] = ACTIONS(2584),
    [anon_sym_GT_GT] = ACTIONS(2584),
    [anon_sym_LT_EQ] = ACTIONS(2582),
    [anon_sym_GT] = ACTIONS(2582),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_SLASH] = ACTIONS(2584),
    [anon_sym_PERCENT] = ACTIONS(2584),
    [anon_sym_EQ_EQ] = ACTIONS(2582),
    [anon_sym_BANG_EQ] = ACTIONS(2584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_LT_EQ_GT] = ACTIONS(2584),
    [anon_sym_EQ_TILDE] = ACTIONS(2584),
    [anon_sym_BANG_TILDE] = ACTIONS(2584),
    [anon_sym_defined_QMARK] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2584),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2582),
    [sym_float] = ACTIONS(2582),
    [sym_super] = ACTIONS(2582),
    [sym_self] = ACTIONS(2582),
    [sym_true] = ACTIONS(2582),
    [sym_false] = ACTIONS(2582),
    [sym_constant] = ACTIONS(2582),
    [aux_sym_constant_suffix_token1] = ACTIONS(2584),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2582),
    [sym_instance_variable] = ACTIONS(2584),
    [sym_class_variable] = ACTIONS(2584),
    [sym_global_variable] = ACTIONS(2584),
    [sym_character] = ACTIONS(2584),
    [anon_sym_DASH_GT] = ACTIONS(2584),
    [sym_simple_symbol] = ACTIONS(2584),
    [sym__string_start] = ACTIONS(2584),
    [sym__symbol_start] = ACTIONS(2584),
    [sym__subshell_start] = ACTIONS(2584),
    [sym__regex_start] = ACTIONS(2584),
    [sym__string_array_start] = ACTIONS(2584),
    [sym__symbol_array_start] = ACTIONS(2584),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2584),
    [sym__block_ampersand] = ACTIONS(2584),
    [sym__splat_star] = ACTIONS(2584),
    [sym__unary_minus] = ACTIONS(2584),
    [sym__unary_minus_num] = ACTIONS(2584),
    [sym__binary_minus] = ACTIONS(2584),
    [sym__binary_star] = ACTIONS(2584),
    [sym_hash_key_symbol] = ACTIONS(2584),
    [sym__identifier_suffix] = ACTIONS(2584),
    [sym__constant_suffix] = ACTIONS(2584),
    [sym__hash_splat_star_star] = ACTIONS(2584),
    [sym__binary_star_star] = ACTIONS(2584),
    [sym__element_reference_bracket] = ACTIONS(2584),
  },
  [1975] = {
    [sym_heredoc_body] = STATE(1975),
    [sym_identifier] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_def] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2590),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_nil] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_COLON] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_next] = ACTIONS(2590),
    [anon_sym_redo] = ACTIONS(2590),
    [anon_sym_retry] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_then] = ACTIONS(2590),
    [anon_sym_begin] = ACTIONS(2590),
    [anon_sym_COLON_COLON2] = ACTIONS(2592),
    [anon_sym_AMP_DOT] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_GT_GT] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_EQ_EQ] = ACTIONS(2590),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ_GT] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2592),
    [anon_sym_BANG_TILDE] = ACTIONS(2592),
    [anon_sym_defined_QMARK] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2590),
    [sym_float] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_self] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_constant] = ACTIONS(2590),
    [aux_sym_constant_suffix_token1] = ACTIONS(2592),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2590),
    [sym_instance_variable] = ACTIONS(2592),
    [sym_class_variable] = ACTIONS(2592),
    [sym_global_variable] = ACTIONS(2592),
    [sym_character] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [sym__line_break] = ACTIONS(2592),
    [sym_simple_symbol] = ACTIONS(2592),
    [sym__string_start] = ACTIONS(2592),
    [sym__symbol_start] = ACTIONS(2592),
    [sym__subshell_start] = ACTIONS(2592),
    [sym__regex_start] = ACTIONS(2592),
    [sym__string_array_start] = ACTIONS(2592),
    [sym__symbol_array_start] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2592),
    [sym__block_ampersand] = ACTIONS(2592),
    [sym__splat_star] = ACTIONS(2592),
    [sym__unary_minus] = ACTIONS(2592),
    [sym__unary_minus_num] = ACTIONS(2592),
    [sym__binary_minus] = ACTIONS(2592),
    [sym__binary_star] = ACTIONS(2592),
    [sym_hash_key_symbol] = ACTIONS(2592),
    [sym__identifier_suffix] = ACTIONS(2592),
    [sym__constant_suffix] = ACTIONS(2592),
    [sym__hash_splat_star_star] = ACTIONS(2592),
    [sym__binary_star_star] = ACTIONS(2592),
    [sym__element_reference_bracket] = ACTIONS(2592),
  },
  [1976] = {
    [sym_heredoc_body] = STATE(1976),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_def] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2586),
    [anon_sym_RPAREN] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_nil] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_COLON] = ACTIONS(2686),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_next] = ACTIONS(2586),
    [anon_sym_redo] = ACTIONS(2586),
    [anon_sym_retry] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_until] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_RBRACK] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2588),
    [anon_sym_begin] = ACTIONS(2586),
    [anon_sym_COLON_COLON2] = ACTIONS(2588),
    [anon_sym_AMP_DOT] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_LT_LT] = ACTIONS(2588),
    [anon_sym_GT_GT] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2588),
    [anon_sym_PERCENT] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ_GT] = ACTIONS(2588),
    [anon_sym_EQ_TILDE] = ACTIONS(2588),
    [anon_sym_BANG_TILDE] = ACTIONS(2588),
    [anon_sym_defined_QMARK] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2586),
    [sym_float] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_self] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_constant] = ACTIONS(2586),
    [aux_sym_constant_suffix_token1] = ACTIONS(2588),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2586),
    [sym_instance_variable] = ACTIONS(2588),
    [sym_class_variable] = ACTIONS(2588),
    [sym_global_variable] = ACTIONS(2588),
    [sym_character] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [sym_simple_symbol] = ACTIONS(2588),
    [sym__string_start] = ACTIONS(2588),
    [sym__symbol_start] = ACTIONS(2588),
    [sym__subshell_start] = ACTIONS(2588),
    [sym__regex_start] = ACTIONS(2588),
    [sym__string_array_start] = ACTIONS(2588),
    [sym__symbol_array_start] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2588),
    [sym__block_ampersand] = ACTIONS(2588),
    [sym__splat_star] = ACTIONS(2588),
    [sym__unary_minus] = ACTIONS(2588),
    [sym__unary_minus_num] = ACTIONS(2588),
    [sym__binary_minus] = ACTIONS(2588),
    [sym__binary_star] = ACTIONS(2588),
    [sym_hash_key_symbol] = ACTIONS(2588),
    [sym__identifier_suffix] = ACTIONS(2588),
    [sym__constant_suffix] = ACTIONS(2588),
    [sym__hash_splat_star_star] = ACTIONS(2588),
    [sym__binary_star_star] = ACTIONS(2588),
    [sym__element_reference_bracket] = ACTIONS(2588),
  },
  [1977] = {
    [sym_heredoc_body] = STATE(1977),
    [sym_identifier] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_def] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2590),
    [anon_sym_RPAREN] = ACTIONS(2592),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_nil] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_COLON] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_next] = ACTIONS(2590),
    [anon_sym_redo] = ACTIONS(2590),
    [anon_sym_retry] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_RBRACK] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_begin] = ACTIONS(2590),
    [anon_sym_COLON_COLON2] = ACTIONS(2592),
    [anon_sym_AMP_DOT] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_GT_GT] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_EQ_EQ] = ACTIONS(2590),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ_GT] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2592),
    [anon_sym_BANG_TILDE] = ACTIONS(2592),
    [anon_sym_defined_QMARK] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2590),
    [sym_float] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_self] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_constant] = ACTIONS(2590),
    [aux_sym_constant_suffix_token1] = ACTIONS(2592),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2590),
    [sym_instance_variable] = ACTIONS(2592),
    [sym_class_variable] = ACTIONS(2592),
    [sym_global_variable] = ACTIONS(2592),
    [sym_character] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [sym_simple_symbol] = ACTIONS(2592),
    [sym__string_start] = ACTIONS(2592),
    [sym__symbol_start] = ACTIONS(2592),
    [sym__subshell_start] = ACTIONS(2592),
    [sym__regex_start] = ACTIONS(2592),
    [sym__string_array_start] = ACTIONS(2592),
    [sym__symbol_array_start] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2592),
    [sym__block_ampersand] = ACTIONS(2592),
    [sym__splat_star] = ACTIONS(2592),
    [sym__unary_minus] = ACTIONS(2592),
    [sym__unary_minus_num] = ACTIONS(2592),
    [sym__binary_minus] = ACTIONS(2592),
    [sym__binary_star] = ACTIONS(2592),
    [sym_hash_key_symbol] = ACTIONS(2592),
    [sym__identifier_suffix] = ACTIONS(2592),
    [sym__constant_suffix] = ACTIONS(2592),
    [sym__hash_splat_star_star] = ACTIONS(2592),
    [sym__binary_star_star] = ACTIONS(2592),
    [sym__element_reference_bracket] = ACTIONS(2592),
  },
  [1978] = {
    [sym_heredoc_body] = STATE(1978),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_def] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2586),
    [anon_sym_RPAREN] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_nil] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_COLON] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_next] = ACTIONS(2586),
    [anon_sym_redo] = ACTIONS(2586),
    [anon_sym_retry] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_until] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_RBRACK] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2588),
    [anon_sym_begin] = ACTIONS(2586),
    [anon_sym_COLON_COLON2] = ACTIONS(2588),
    [anon_sym_AMP_DOT] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_LT_LT] = ACTIONS(2588),
    [anon_sym_GT_GT] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2588),
    [anon_sym_PERCENT] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ_GT] = ACTIONS(2588),
    [anon_sym_EQ_TILDE] = ACTIONS(2588),
    [anon_sym_BANG_TILDE] = ACTIONS(2588),
    [anon_sym_defined_QMARK] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2586),
    [sym_float] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_self] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_constant] = ACTIONS(2586),
    [aux_sym_constant_suffix_token1] = ACTIONS(2588),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2586),
    [sym_instance_variable] = ACTIONS(2588),
    [sym_class_variable] = ACTIONS(2588),
    [sym_global_variable] = ACTIONS(2588),
    [sym_character] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [sym_simple_symbol] = ACTIONS(2588),
    [sym__string_start] = ACTIONS(2588),
    [sym__symbol_start] = ACTIONS(2588),
    [sym__subshell_start] = ACTIONS(2588),
    [sym__regex_start] = ACTIONS(2588),
    [sym__string_array_start] = ACTIONS(2588),
    [sym__symbol_array_start] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2588),
    [sym__block_ampersand] = ACTIONS(2588),
    [sym__splat_star] = ACTIONS(2588),
    [sym__unary_minus] = ACTIONS(2588),
    [sym__unary_minus_num] = ACTIONS(2588),
    [sym__binary_minus] = ACTIONS(2588),
    [sym__binary_star] = ACTIONS(2588),
    [sym_hash_key_symbol] = ACTIONS(2588),
    [sym__identifier_suffix] = ACTIONS(2588),
    [sym__constant_suffix] = ACTIONS(2588),
    [sym__hash_splat_star_star] = ACTIONS(2588),
    [sym__binary_star_star] = ACTIONS(2588),
    [sym__element_reference_bracket] = ACTIONS(2588),
  },
  [1979] = {
    [sym_heredoc_body] = STATE(1979),
    [sym_identifier] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_def] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2590),
    [anon_sym_RPAREN] = ACTIONS(2592),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_nil] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_COLON] = ACTIONS(2686),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_next] = ACTIONS(2590),
    [anon_sym_redo] = ACTIONS(2590),
    [anon_sym_retry] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_RBRACK] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_begin] = ACTIONS(2590),
    [anon_sym_COLON_COLON2] = ACTIONS(2592),
    [anon_sym_AMP_DOT] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_GT_GT] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_EQ_EQ] = ACTIONS(2590),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ_GT] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2592),
    [anon_sym_BANG_TILDE] = ACTIONS(2592),
    [anon_sym_defined_QMARK] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2590),
    [sym_float] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_self] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_constant] = ACTIONS(2590),
    [aux_sym_constant_suffix_token1] = ACTIONS(2592),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2590),
    [sym_instance_variable] = ACTIONS(2592),
    [sym_class_variable] = ACTIONS(2592),
    [sym_global_variable] = ACTIONS(2592),
    [sym_character] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [sym_simple_symbol] = ACTIONS(2592),
    [sym__string_start] = ACTIONS(2592),
    [sym__symbol_start] = ACTIONS(2592),
    [sym__subshell_start] = ACTIONS(2592),
    [sym__regex_start] = ACTIONS(2592),
    [sym__string_array_start] = ACTIONS(2592),
    [sym__symbol_array_start] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2592),
    [sym__block_ampersand] = ACTIONS(2592),
    [sym__splat_star] = ACTIONS(2592),
    [sym__unary_minus] = ACTIONS(2592),
    [sym__unary_minus_num] = ACTIONS(2592),
    [sym__binary_minus] = ACTIONS(2592),
    [sym__binary_star] = ACTIONS(2592),
    [sym_hash_key_symbol] = ACTIONS(2592),
    [sym__identifier_suffix] = ACTIONS(2592),
    [sym__constant_suffix] = ACTIONS(2592),
    [sym__hash_splat_star_star] = ACTIONS(2592),
    [sym__binary_star_star] = ACTIONS(2592),
    [sym__element_reference_bracket] = ACTIONS(2592),
  },
  [1980] = {
    [sym_heredoc_body] = STATE(1980),
    [sym_identifier] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_def] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2590),
    [anon_sym_RPAREN] = ACTIONS(2592),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_rescue] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_nil] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_next] = ACTIONS(2590),
    [anon_sym_redo] = ACTIONS(2590),
    [anon_sym_retry] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_RBRACK] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_begin] = ACTIONS(2590),
    [anon_sym_COLON_COLON2] = ACTIONS(2592),
    [anon_sym_AMP_DOT] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_GT_GT] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_EQ_EQ] = ACTIONS(2590),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ_GT] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2592),
    [anon_sym_BANG_TILDE] = ACTIONS(2592),
    [anon_sym_defined_QMARK] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2590),
    [sym_float] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_self] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_constant] = ACTIONS(2590),
    [aux_sym_constant_suffix_token1] = ACTIONS(2592),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2590),
    [sym_instance_variable] = ACTIONS(2592),
    [sym_class_variable] = ACTIONS(2592),
    [sym_global_variable] = ACTIONS(2592),
    [sym_character] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [sym_simple_symbol] = ACTIONS(2592),
    [sym__string_start] = ACTIONS(2592),
    [sym__symbol_start] = ACTIONS(2592),
    [sym__subshell_start] = ACTIONS(2592),
    [sym__regex_start] = ACTIONS(2592),
    [sym__string_array_start] = ACTIONS(2592),
    [sym__symbol_array_start] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2592),
    [sym__block_ampersand] = ACTIONS(2592),
    [sym__splat_star] = ACTIONS(2592),
    [sym__unary_minus] = ACTIONS(2592),
    [sym__unary_minus_num] = ACTIONS(2592),
    [sym__binary_minus] = ACTIONS(2592),
    [sym__binary_star] = ACTIONS(2592),
    [sym_hash_key_symbol] = ACTIONS(2592),
    [sym__identifier_suffix] = ACTIONS(2592),
    [sym__constant_suffix] = ACTIONS(2592),
    [sym__hash_splat_star_star] = ACTIONS(2592),
    [sym__binary_star_star] = ACTIONS(2592),
    [sym__element_reference_bracket] = ACTIONS(2592),
  },
  [1981] = {
    [sym_heredoc_body] = STATE(1981),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_def] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2586),
    [anon_sym_RPAREN] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_rescue] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_nil] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_next] = ACTIONS(2586),
    [anon_sym_redo] = ACTIONS(2586),
    [anon_sym_retry] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_until] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_RBRACK] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2588),
    [anon_sym_begin] = ACTIONS(2586),
    [anon_sym_COLON_COLON2] = ACTIONS(2588),
    [anon_sym_AMP_DOT] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_LT_LT] = ACTIONS(2588),
    [anon_sym_GT_GT] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2588),
    [anon_sym_PERCENT] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ_GT] = ACTIONS(2588),
    [anon_sym_EQ_TILDE] = ACTIONS(2588),
    [anon_sym_BANG_TILDE] = ACTIONS(2588),
    [anon_sym_defined_QMARK] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2586),
    [sym_float] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_self] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_constant] = ACTIONS(2586),
    [aux_sym_constant_suffix_token1] = ACTIONS(2588),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2586),
    [sym_instance_variable] = ACTIONS(2588),
    [sym_class_variable] = ACTIONS(2588),
    [sym_global_variable] = ACTIONS(2588),
    [sym_character] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [sym_simple_symbol] = ACTIONS(2588),
    [sym__string_start] = ACTIONS(2588),
    [sym__symbol_start] = ACTIONS(2588),
    [sym__subshell_start] = ACTIONS(2588),
    [sym__regex_start] = ACTIONS(2588),
    [sym__string_array_start] = ACTIONS(2588),
    [sym__symbol_array_start] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2588),
    [sym__block_ampersand] = ACTIONS(2588),
    [sym__splat_star] = ACTIONS(2588),
    [sym__unary_minus] = ACTIONS(2588),
    [sym__unary_minus_num] = ACTIONS(2588),
    [sym__binary_minus] = ACTIONS(2588),
    [sym__binary_star] = ACTIONS(2588),
    [sym_hash_key_symbol] = ACTIONS(2588),
    [sym__identifier_suffix] = ACTIONS(2588),
    [sym__constant_suffix] = ACTIONS(2588),
    [sym__hash_splat_star_star] = ACTIONS(2588),
    [sym__binary_star_star] = ACTIONS(2588),
    [sym__element_reference_bracket] = ACTIONS(2588),
  },
  [1982] = {
    [sym_heredoc_body] = STATE(1982),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_def] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2586),
    [anon_sym_RPAREN] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_nil] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_COLON] = ACTIONS(2702),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_next] = ACTIONS(2586),
    [anon_sym_redo] = ACTIONS(2586),
    [anon_sym_retry] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_until] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_RBRACK] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2588),
    [anon_sym_begin] = ACTIONS(2586),
    [anon_sym_COLON_COLON2] = ACTIONS(2588),
    [anon_sym_AMP_DOT] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_LT_LT] = ACTIONS(2588),
    [anon_sym_GT_GT] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2588),
    [anon_sym_PERCENT] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ_GT] = ACTIONS(2588),
    [anon_sym_EQ_TILDE] = ACTIONS(2588),
    [anon_sym_BANG_TILDE] = ACTIONS(2588),
    [anon_sym_defined_QMARK] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2586),
    [sym_float] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_self] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_constant] = ACTIONS(2586),
    [aux_sym_constant_suffix_token1] = ACTIONS(2588),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2586),
    [sym_instance_variable] = ACTIONS(2588),
    [sym_class_variable] = ACTIONS(2588),
    [sym_global_variable] = ACTIONS(2588),
    [sym_character] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [sym_simple_symbol] = ACTIONS(2588),
    [sym__string_start] = ACTIONS(2588),
    [sym__symbol_start] = ACTIONS(2588),
    [sym__subshell_start] = ACTIONS(2588),
    [sym__regex_start] = ACTIONS(2588),
    [sym__string_array_start] = ACTIONS(2588),
    [sym__symbol_array_start] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2588),
    [sym__block_ampersand] = ACTIONS(2588),
    [sym__splat_star] = ACTIONS(2588),
    [sym__unary_minus] = ACTIONS(2588),
    [sym__unary_minus_num] = ACTIONS(2588),
    [sym__binary_minus] = ACTIONS(2588),
    [sym__binary_star] = ACTIONS(2588),
    [sym_hash_key_symbol] = ACTIONS(2588),
    [sym__identifier_suffix] = ACTIONS(2588),
    [sym__constant_suffix] = ACTIONS(2588),
    [sym__hash_splat_star_star] = ACTIONS(2588),
    [sym__binary_star_star] = ACTIONS(2588),
    [sym__element_reference_bracket] = ACTIONS(2588),
  },
  [1983] = {
    [sym_heredoc_body] = STATE(1983),
    [sym_identifier] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_def] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2590),
    [anon_sym_RPAREN] = ACTIONS(2592),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_nil] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_COLON] = ACTIONS(2702),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_next] = ACTIONS(2590),
    [anon_sym_redo] = ACTIONS(2590),
    [anon_sym_retry] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_RBRACK] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_begin] = ACTIONS(2590),
    [anon_sym_COLON_COLON2] = ACTIONS(2592),
    [anon_sym_AMP_DOT] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_GT_GT] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_EQ_EQ] = ACTIONS(2590),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ_GT] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2592),
    [anon_sym_BANG_TILDE] = ACTIONS(2592),
    [anon_sym_defined_QMARK] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2590),
    [sym_float] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_self] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_constant] = ACTIONS(2590),
    [aux_sym_constant_suffix_token1] = ACTIONS(2592),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2590),
    [sym_instance_variable] = ACTIONS(2592),
    [sym_class_variable] = ACTIONS(2592),
    [sym_global_variable] = ACTIONS(2592),
    [sym_character] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [sym_simple_symbol] = ACTIONS(2592),
    [sym__string_start] = ACTIONS(2592),
    [sym__symbol_start] = ACTIONS(2592),
    [sym__subshell_start] = ACTIONS(2592),
    [sym__regex_start] = ACTIONS(2592),
    [sym__string_array_start] = ACTIONS(2592),
    [sym__symbol_array_start] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2592),
    [sym__block_ampersand] = ACTIONS(2592),
    [sym__splat_star] = ACTIONS(2592),
    [sym__unary_minus] = ACTIONS(2592),
    [sym__unary_minus_num] = ACTIONS(2592),
    [sym__binary_minus] = ACTIONS(2592),
    [sym__binary_star] = ACTIONS(2592),
    [sym_hash_key_symbol] = ACTIONS(2592),
    [sym__identifier_suffix] = ACTIONS(2592),
    [sym__constant_suffix] = ACTIONS(2592),
    [sym__hash_splat_star_star] = ACTIONS(2592),
    [sym__binary_star_star] = ACTIONS(2592),
    [sym__element_reference_bracket] = ACTIONS(2592),
  },
  [1984] = {
    [sym_splat_parameter] = STATE(4459),
    [sym__array_pattern_n] = STATE(4408),
    [sym__pattern_expr] = STATE(4456),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym_find_pattern] = STATE(4378),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4425),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4391),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_string] = STATE(4357),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(1984),
    [sym_lambda] = STATE(4311),
    [sym_identifier] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_RBRACE] = ACTIONS(2752),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_RPAREN] = ACTIONS(2752),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_end] = ACTIONS(2758),
    [anon_sym_rescue] = ACTIONS(2758),
    [anon_sym_COMMA] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2760),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_nil] = ACTIONS(2764),
    [anon_sym_if] = ACTIONS(2758),
    [anon_sym_unless] = ACTIONS(2758),
    [anon_sym_while] = ACTIONS(2758),
    [anon_sym_until] = ACTIONS(2758),
    [anon_sym_in] = ACTIONS(2758),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_when] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_DOT_DOT] = ACTIONS(2768),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_elsif] = ACTIONS(2758),
    [anon_sym_else] = ACTIONS(2758),
    [anon_sym_then] = ACTIONS(2758),
    [anon_sym_ensure] = ACTIONS(2758),
    [anon_sym_and] = ACTIONS(2758),
    [anon_sym_or] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2770),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2772),
    [sym_float] = ACTIONS(2772),
    [sym_self] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_constant] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2776),
    [sym__line_break] = ACTIONS(2752),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2782),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2770),
  },
  [1985] = {
    [sym__pattern_expr] = STATE(4399),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym_find_pattern] = STATE(4378),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4425),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4391),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_string] = STATE(4357),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(1985),
    [sym_lambda] = STATE(4311),
    [sym_identifier] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_RBRACE] = ACTIONS(2340),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_RPAREN] = ACTIONS(2340),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_end] = ACTIONS(2794),
    [anon_sym_rescue] = ACTIONS(2794),
    [anon_sym_COMMA] = ACTIONS(2340),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2760),
    [anon_sym_nil] = ACTIONS(2764),
    [anon_sym_if] = ACTIONS(2794),
    [anon_sym_unless] = ACTIONS(2794),
    [anon_sym_while] = ACTIONS(2794),
    [anon_sym_until] = ACTIONS(2794),
    [anon_sym_in] = ACTIONS(2794),
    [anon_sym_do] = ACTIONS(2794),
    [anon_sym_when] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_DOT_DOT] = ACTIONS(2768),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_elsif] = ACTIONS(2794),
    [anon_sym_else] = ACTIONS(2794),
    [anon_sym_then] = ACTIONS(2794),
    [anon_sym_ensure] = ACTIONS(2794),
    [anon_sym_and] = ACTIONS(2794),
    [anon_sym_or] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2770),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2772),
    [sym_float] = ACTIONS(2772),
    [sym_self] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_constant] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2776),
    [sym__line_break] = ACTIONS(2340),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2782),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2770),
  },
  [1986] = {
    [sym__pattern_expr] = STATE(4406),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym_find_pattern] = STATE(4378),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4425),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4391),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_string] = STATE(4357),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(1986),
    [sym_lambda] = STATE(4311),
    [sym_identifier] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_RBRACE] = ACTIONS(2796),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_RPAREN] = ACTIONS(2796),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_end] = ACTIONS(2798),
    [anon_sym_rescue] = ACTIONS(2798),
    [anon_sym_COMMA] = ACTIONS(2796),
    [anon_sym_SEMI] = ACTIONS(2796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2760),
    [anon_sym_nil] = ACTIONS(2764),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_unless] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_until] = ACTIONS(2798),
    [anon_sym_in] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_when] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_DOT_DOT] = ACTIONS(2768),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_elsif] = ACTIONS(2798),
    [anon_sym_else] = ACTIONS(2798),
    [anon_sym_then] = ACTIONS(2798),
    [anon_sym_ensure] = ACTIONS(2798),
    [anon_sym_and] = ACTIONS(2798),
    [anon_sym_or] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2770),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2772),
    [sym_float] = ACTIONS(2772),
    [sym_self] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_constant] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2776),
    [sym__line_break] = ACTIONS(2796),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2782),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2770),
  },
  [1987] = {
    [sym_splat_parameter] = STATE(4913),
    [sym_hash_splat_parameter] = STATE(4828),
    [sym_hash_splat_nil] = STATE(4828),
    [sym__array_pattern_n] = STATE(5490),
    [sym__pattern_expr] = STATE(5319),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym__array_pattern_body] = STATE(5697),
    [sym_array_pattern] = STATE(4753),
    [sym__find_pattern_body] = STATE(5698),
    [sym_find_pattern] = STATE(4753),
    [sym__hash_pattern_body] = STATE(5699),
    [sym_keyword_pattern] = STATE(4822),
    [sym__hash_pattern_any_rest] = STATE(4833),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_unary_literal] = STATE(4664),
    [sym__literal] = STATE(4610),
    [sym__numeric] = STATE(4616),
    [sym__simple_numeric] = STATE(4664),
    [sym__int_or_float] = STATE(5446),
    [sym_complex] = STATE(4665),
    [sym_rational] = STATE(4665),
    [sym_nil] = STATE(4648),
    [sym_constant_suffix] = STATE(5794),
    [sym_identifier_suffix] = STATE(5794),
    [sym_string] = STATE(4692),
    [sym_subshell] = STATE(4610),
    [sym_string_array] = STATE(4610),
    [sym_symbol_array] = STATE(4610),
    [sym_delimited_symbol] = STATE(4616),
    [sym_regex] = STATE(4610),
    [sym_heredoc_body] = STATE(1987),
    [sym_lambda] = STATE(4652),
    [sym_identifier] = ACTIONS(2800),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_RPAREN] = ACTIONS(2806),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_STAR_STAR] = ACTIONS(1620),
    [anon_sym_nil] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_DOT_DOT] = ACTIONS(2818),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(2820),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2822),
    [sym_float] = ACTIONS(2822),
    [sym_self] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_constant] = ACTIONS(2824),
    [aux_sym_constant_suffix_token1] = ACTIONS(2826),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2828),
    [anon_sym_DASH_GT] = ACTIONS(2830),
    [sym_simple_symbol] = ACTIONS(2832),
    [sym__string_start] = ACTIONS(2834),
    [sym__symbol_start] = ACTIONS(2836),
    [sym__subshell_start] = ACTIONS(2838),
    [sym__regex_start] = ACTIONS(2840),
    [sym__string_array_start] = ACTIONS(2842),
    [sym__symbol_array_start] = ACTIONS(2844),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2846),
    [sym__unary_minus_num] = ACTIONS(2820),
    [sym__identifier_suffix] = ACTIONS(2828),
    [sym__constant_suffix] = ACTIONS(2826),
  },
  [1988] = {
    [sym_splat_parameter] = STATE(4913),
    [sym_hash_splat_parameter] = STATE(4828),
    [sym_hash_splat_nil] = STATE(4828),
    [sym__array_pattern_n] = STATE(5490),
    [sym__pattern_expr] = STATE(5319),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym__array_pattern_body] = STATE(5693),
    [sym_array_pattern] = STATE(4753),
    [sym__find_pattern_body] = STATE(5694),
    [sym_find_pattern] = STATE(4753),
    [sym__hash_pattern_body] = STATE(5695),
    [sym_keyword_pattern] = STATE(4822),
    [sym__hash_pattern_any_rest] = STATE(4833),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_unary_literal] = STATE(4664),
    [sym__literal] = STATE(4610),
    [sym__numeric] = STATE(4616),
    [sym__simple_numeric] = STATE(4664),
    [sym__int_or_float] = STATE(5446),
    [sym_complex] = STATE(4665),
    [sym_rational] = STATE(4665),
    [sym_nil] = STATE(4648),
    [sym_constant_suffix] = STATE(5794),
    [sym_identifier_suffix] = STATE(5794),
    [sym_string] = STATE(4692),
    [sym_subshell] = STATE(4610),
    [sym_string_array] = STATE(4610),
    [sym_symbol_array] = STATE(4610),
    [sym_delimited_symbol] = STATE(4616),
    [sym_regex] = STATE(4610),
    [sym_heredoc_body] = STATE(1988),
    [sym_lambda] = STATE(4652),
    [sym_identifier] = ACTIONS(2800),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_STAR_STAR] = ACTIONS(1620),
    [anon_sym_nil] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_RBRACK] = ACTIONS(2806),
    [anon_sym_DOT_DOT] = ACTIONS(2818),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(2820),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2822),
    [sym_float] = ACTIONS(2822),
    [sym_self] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_constant] = ACTIONS(2824),
    [aux_sym_constant_suffix_token1] = ACTIONS(2826),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2828),
    [anon_sym_DASH_GT] = ACTIONS(2830),
    [sym_simple_symbol] = ACTIONS(2832),
    [sym__string_start] = ACTIONS(2834),
    [sym__symbol_start] = ACTIONS(2836),
    [sym__subshell_start] = ACTIONS(2838),
    [sym__regex_start] = ACTIONS(2840),
    [sym__string_array_start] = ACTIONS(2842),
    [sym__symbol_array_start] = ACTIONS(2844),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2846),
    [sym__unary_minus_num] = ACTIONS(2820),
    [sym__identifier_suffix] = ACTIONS(2828),
    [sym__constant_suffix] = ACTIONS(2826),
  },
  [1989] = {
    [sym_splat_parameter] = STATE(4913),
    [sym_hash_splat_parameter] = STATE(4828),
    [sym_hash_splat_nil] = STATE(4828),
    [sym__array_pattern_n] = STATE(5490),
    [sym__pattern_expr] = STATE(5319),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym__array_pattern_body] = STATE(5751),
    [sym_array_pattern] = STATE(4753),
    [sym__find_pattern_body] = STATE(5754),
    [sym_find_pattern] = STATE(4753),
    [sym__hash_pattern_body] = STATE(5756),
    [sym_keyword_pattern] = STATE(4822),
    [sym__hash_pattern_any_rest] = STATE(4833),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_unary_literal] = STATE(4664),
    [sym__literal] = STATE(4610),
    [sym__numeric] = STATE(4616),
    [sym__simple_numeric] = STATE(4664),
    [sym__int_or_float] = STATE(5446),
    [sym_complex] = STATE(4665),
    [sym_rational] = STATE(4665),
    [sym_nil] = STATE(4648),
    [sym_constant_suffix] = STATE(5794),
    [sym_identifier_suffix] = STATE(5794),
    [sym_string] = STATE(4692),
    [sym_subshell] = STATE(4610),
    [sym_string_array] = STATE(4610),
    [sym_symbol_array] = STATE(4610),
    [sym_delimited_symbol] = STATE(4616),
    [sym_regex] = STATE(4610),
    [sym_heredoc_body] = STATE(1989),
    [sym_lambda] = STATE(4652),
    [sym_identifier] = ACTIONS(2800),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_STAR_STAR] = ACTIONS(1620),
    [anon_sym_nil] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_RBRACK] = ACTIONS(2848),
    [anon_sym_DOT_DOT] = ACTIONS(2818),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(2820),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2822),
    [sym_float] = ACTIONS(2822),
    [sym_self] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_constant] = ACTIONS(2824),
    [aux_sym_constant_suffix_token1] = ACTIONS(2826),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2828),
    [anon_sym_DASH_GT] = ACTIONS(2830),
    [sym_simple_symbol] = ACTIONS(2832),
    [sym__string_start] = ACTIONS(2834),
    [sym__symbol_start] = ACTIONS(2836),
    [sym__subshell_start] = ACTIONS(2838),
    [sym__regex_start] = ACTIONS(2840),
    [sym__string_array_start] = ACTIONS(2842),
    [sym__symbol_array_start] = ACTIONS(2844),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2846),
    [sym__unary_minus_num] = ACTIONS(2820),
    [sym__identifier_suffix] = ACTIONS(2828),
    [sym__constant_suffix] = ACTIONS(2826),
  },
  [1990] = {
    [sym_splat_parameter] = STATE(4913),
    [sym_hash_splat_parameter] = STATE(4828),
    [sym_hash_splat_nil] = STATE(4828),
    [sym__array_pattern_n] = STATE(5490),
    [sym__pattern_expr] = STATE(5319),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym__array_pattern_body] = STATE(5856),
    [sym_array_pattern] = STATE(4753),
    [sym__find_pattern_body] = STATE(5743),
    [sym_find_pattern] = STATE(4753),
    [sym__hash_pattern_body] = STATE(5590),
    [sym_keyword_pattern] = STATE(4822),
    [sym__hash_pattern_any_rest] = STATE(4833),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_unary_literal] = STATE(4664),
    [sym__literal] = STATE(4610),
    [sym__numeric] = STATE(4616),
    [sym__simple_numeric] = STATE(4664),
    [sym__int_or_float] = STATE(5446),
    [sym_complex] = STATE(4665),
    [sym_rational] = STATE(4665),
    [sym_nil] = STATE(4648),
    [sym_constant_suffix] = STATE(5794),
    [sym_identifier_suffix] = STATE(5794),
    [sym_string] = STATE(4692),
    [sym_subshell] = STATE(4610),
    [sym_string_array] = STATE(4610),
    [sym_symbol_array] = STATE(4610),
    [sym_delimited_symbol] = STATE(4616),
    [sym_regex] = STATE(4610),
    [sym_heredoc_body] = STATE(1990),
    [sym_lambda] = STATE(4652),
    [sym_identifier] = ACTIONS(2800),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_RPAREN] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_STAR_STAR] = ACTIONS(1620),
    [anon_sym_nil] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_DOT_DOT] = ACTIONS(2818),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(2820),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2822),
    [sym_float] = ACTIONS(2822),
    [sym_self] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_constant] = ACTIONS(2824),
    [aux_sym_constant_suffix_token1] = ACTIONS(2826),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2828),
    [anon_sym_DASH_GT] = ACTIONS(2830),
    [sym_simple_symbol] = ACTIONS(2832),
    [sym__string_start] = ACTIONS(2834),
    [sym__symbol_start] = ACTIONS(2836),
    [sym__subshell_start] = ACTIONS(2838),
    [sym__regex_start] = ACTIONS(2840),
    [sym__string_array_start] = ACTIONS(2842),
    [sym__symbol_array_start] = ACTIONS(2844),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2846),
    [sym__unary_minus_num] = ACTIONS(2820),
    [sym__identifier_suffix] = ACTIONS(2828),
    [sym__constant_suffix] = ACTIONS(2826),
  },
  [1991] = {
    [sym_splat_parameter] = STATE(4461),
    [sym_hash_splat_parameter] = STATE(4409),
    [sym_hash_splat_nil] = STATE(4409),
    [sym__pattern_top_expr_body] = STATE(4410),
    [sym__array_pattern_n] = STATE(4414),
    [sym__pattern_expr] = STATE(4460),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym__find_pattern_body] = STATE(4440),
    [sym_find_pattern] = STATE(4378),
    [sym__hash_pattern_body] = STATE(4443),
    [sym_keyword_pattern] = STATE(4458),
    [sym__hash_pattern_any_rest] = STATE(4421),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4425),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4391),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_constant_suffix] = STATE(5608),
    [sym_identifier_suffix] = STATE(5608),
    [sym_string] = STATE(4370),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(1991),
    [sym_lambda] = STATE(4311),
    [sym_identifier] = ACTIONS(2850),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2760),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_STAR_STAR] = ACTIONS(1656),
    [anon_sym_nil] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_DOT_DOT] = ACTIONS(2768),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_PLUS] = ACTIONS(2770),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2772),
    [sym_float] = ACTIONS(2772),
    [sym_self] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_constant] = ACTIONS(2854),
    [aux_sym_constant_suffix_token1] = ACTIONS(2826),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2828),
    [anon_sym_DASH_GT] = ACTIONS(2776),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2782),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2770),
    [sym__identifier_suffix] = ACTIONS(2828),
    [sym__constant_suffix] = ACTIONS(2826),
  },
  [1992] = {
    [sym_splat_parameter] = STATE(4736),
    [sym_hash_splat_parameter] = STATE(4409),
    [sym_hash_splat_nil] = STATE(4409),
    [sym__pattern_top_expr_body] = STATE(4799),
    [sym__array_pattern_n] = STATE(4414),
    [sym__pattern_expr] = STATE(4745),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym__find_pattern_body] = STATE(4440),
    [sym_find_pattern] = STATE(4378),
    [sym__hash_pattern_body] = STATE(4443),
    [sym_keyword_pattern] = STATE(4726),
    [sym__hash_pattern_any_rest] = STATE(4421),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4668),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4584),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_constant_suffix] = STATE(5612),
    [sym_identifier_suffix] = STATE(5612),
    [sym_string] = STATE(4577),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(1992),
    [sym_lambda] = STATE(4311),
    [sym_identifier] = ACTIONS(2856),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_STAR_STAR] = ACTIONS(1656),
    [anon_sym_nil] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_DOT_DOT] = ACTIONS(2860),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_PLUS] = ACTIONS(2862),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2864),
    [sym_float] = ACTIONS(2864),
    [sym_self] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_constant] = ACTIONS(2866),
    [aux_sym_constant_suffix_token1] = ACTIONS(2826),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2828),
    [anon_sym_DASH_GT] = ACTIONS(2776),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2782),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2862),
    [sym__identifier_suffix] = ACTIONS(2828),
    [sym__constant_suffix] = ACTIONS(2826),
  },
  [1993] = {
    [sym_splat_parameter] = STATE(4913),
    [sym_hash_splat_parameter] = STATE(4828),
    [sym_hash_splat_nil] = STATE(4828),
    [sym__pattern_top_expr_body] = STATE(4930),
    [sym__array_pattern_n] = STATE(4928),
    [sym__pattern_expr] = STATE(4932),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym__find_pattern_body] = STATE(4947),
    [sym_find_pattern] = STATE(4753),
    [sym__hash_pattern_body] = STATE(4934),
    [sym_keyword_pattern] = STATE(4822),
    [sym__hash_pattern_any_rest] = STATE(4833),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_unary_literal] = STATE(4664),
    [sym__literal] = STATE(4610),
    [sym__numeric] = STATE(4616),
    [sym__simple_numeric] = STATE(4664),
    [sym__int_or_float] = STATE(5446),
    [sym_complex] = STATE(4665),
    [sym_rational] = STATE(4665),
    [sym_nil] = STATE(4648),
    [sym_constant_suffix] = STATE(5794),
    [sym_identifier_suffix] = STATE(5794),
    [sym_string] = STATE(4692),
    [sym_subshell] = STATE(4610),
    [sym_string_array] = STATE(4610),
    [sym_symbol_array] = STATE(4610),
    [sym_delimited_symbol] = STATE(4616),
    [sym_regex] = STATE(4610),
    [sym_heredoc_body] = STATE(1993),
    [sym_lambda] = STATE(4652),
    [sym_identifier] = ACTIONS(2800),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_STAR_STAR] = ACTIONS(1620),
    [anon_sym_nil] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_DOT_DOT] = ACTIONS(2818),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(2820),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2822),
    [sym_float] = ACTIONS(2822),
    [sym_self] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_constant] = ACTIONS(2824),
    [aux_sym_constant_suffix_token1] = ACTIONS(2826),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2828),
    [anon_sym_DASH_GT] = ACTIONS(2830),
    [sym_simple_symbol] = ACTIONS(2832),
    [sym__string_start] = ACTIONS(2834),
    [sym__symbol_start] = ACTIONS(2836),
    [sym__subshell_start] = ACTIONS(2838),
    [sym__regex_start] = ACTIONS(2840),
    [sym__string_array_start] = ACTIONS(2842),
    [sym__symbol_array_start] = ACTIONS(2844),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2846),
    [sym__unary_minus_num] = ACTIONS(2820),
    [sym__identifier_suffix] = ACTIONS(2828),
    [sym__constant_suffix] = ACTIONS(2826),
  },
  [1994] = {
    [sym_splat_parameter] = STATE(4913),
    [sym_hash_splat_parameter] = STATE(4828),
    [sym_hash_splat_nil] = STATE(4828),
    [sym__pattern_top_expr_body] = STATE(4925),
    [sym__array_pattern_n] = STATE(4928),
    [sym__pattern_expr] = STATE(4932),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym__find_pattern_body] = STATE(4947),
    [sym_find_pattern] = STATE(4753),
    [sym__hash_pattern_body] = STATE(4934),
    [sym_keyword_pattern] = STATE(4822),
    [sym__hash_pattern_any_rest] = STATE(4833),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_unary_literal] = STATE(4664),
    [sym__literal] = STATE(4610),
    [sym__numeric] = STATE(4616),
    [sym__simple_numeric] = STATE(4664),
    [sym__int_or_float] = STATE(5446),
    [sym_complex] = STATE(4665),
    [sym_rational] = STATE(4665),
    [sym_nil] = STATE(4648),
    [sym_constant_suffix] = STATE(5794),
    [sym_identifier_suffix] = STATE(5794),
    [sym_string] = STATE(4692),
    [sym_subshell] = STATE(4610),
    [sym_string_array] = STATE(4610),
    [sym_symbol_array] = STATE(4610),
    [sym_delimited_symbol] = STATE(4616),
    [sym_regex] = STATE(4610),
    [sym_heredoc_body] = STATE(1994),
    [sym_lambda] = STATE(4652),
    [sym_identifier] = ACTIONS(2800),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_STAR_STAR] = ACTIONS(1620),
    [anon_sym_nil] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_DOT_DOT] = ACTIONS(2818),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(2820),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2822),
    [sym_float] = ACTIONS(2822),
    [sym_self] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_constant] = ACTIONS(2824),
    [aux_sym_constant_suffix_token1] = ACTIONS(2826),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2828),
    [anon_sym_DASH_GT] = ACTIONS(2830),
    [sym_simple_symbol] = ACTIONS(2832),
    [sym__string_start] = ACTIONS(2834),
    [sym__symbol_start] = ACTIONS(2836),
    [sym__subshell_start] = ACTIONS(2838),
    [sym__regex_start] = ACTIONS(2840),
    [sym__string_array_start] = ACTIONS(2842),
    [sym__symbol_array_start] = ACTIONS(2844),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2846),
    [sym__unary_minus_num] = ACTIONS(2820),
    [sym__identifier_suffix] = ACTIONS(2828),
    [sym__constant_suffix] = ACTIONS(2826),
  },
  [1995] = {
    [sym_splat_parameter] = STATE(4831),
    [sym_hash_splat_parameter] = STATE(4828),
    [sym_hash_splat_nil] = STATE(4828),
    [sym__pattern_top_expr_body] = STATE(4930),
    [sym__array_pattern_n] = STATE(4928),
    [sym__pattern_expr] = STATE(4832),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym__find_pattern_body] = STATE(4947),
    [sym_find_pattern] = STATE(4753),
    [sym__hash_pattern_body] = STATE(4934),
    [sym_keyword_pattern] = STATE(4810),
    [sym__hash_pattern_any_rest] = STATE(4833),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4746),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4681),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_unary_literal] = STATE(4664),
    [sym__literal] = STATE(4610),
    [sym__numeric] = STATE(4616),
    [sym__simple_numeric] = STATE(4664),
    [sym__int_or_float] = STATE(5446),
    [sym_complex] = STATE(4665),
    [sym_rational] = STATE(4665),
    [sym_nil] = STATE(4648),
    [sym_constant_suffix] = STATE(5712),
    [sym_identifier_suffix] = STATE(5712),
    [sym_string] = STATE(4663),
    [sym_subshell] = STATE(4610),
    [sym_string_array] = STATE(4610),
    [sym_symbol_array] = STATE(4610),
    [sym_delimited_symbol] = STATE(4616),
    [sym_regex] = STATE(4610),
    [sym_heredoc_body] = STATE(1995),
    [sym_lambda] = STATE(4652),
    [sym_identifier] = ACTIONS(2868),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_STAR_STAR] = ACTIONS(1620),
    [anon_sym_nil] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_DOT_DOT] = ACTIONS(2872),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(2874),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2876),
    [sym_float] = ACTIONS(2876),
    [sym_self] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_constant] = ACTIONS(2878),
    [aux_sym_constant_suffix_token1] = ACTIONS(2826),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2828),
    [anon_sym_DASH_GT] = ACTIONS(2830),
    [sym_simple_symbol] = ACTIONS(2832),
    [sym__string_start] = ACTIONS(2834),
    [sym__symbol_start] = ACTIONS(2836),
    [sym__subshell_start] = ACTIONS(2838),
    [sym__regex_start] = ACTIONS(2840),
    [sym__string_array_start] = ACTIONS(2842),
    [sym__symbol_array_start] = ACTIONS(2844),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2846),
    [sym__unary_minus_num] = ACTIONS(2874),
    [sym__identifier_suffix] = ACTIONS(2828),
    [sym__constant_suffix] = ACTIONS(2826),
  },
  [1996] = {
    [sym_splat_parameter] = STATE(4558),
    [sym_hash_splat_parameter] = STATE(4409),
    [sym_hash_splat_nil] = STATE(4409),
    [sym__pattern_top_expr_body] = STATE(4437),
    [sym__array_pattern_n] = STATE(4414),
    [sym__pattern_expr] = STATE(4553),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym__find_pattern_body] = STATE(4440),
    [sym_find_pattern] = STATE(4378),
    [sym__hash_pattern_body] = STATE(4443),
    [sym_keyword_pattern] = STATE(4571),
    [sym__hash_pattern_any_rest] = STATE(4421),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4524),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4514),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_constant_suffix] = STATE(5761),
    [sym_identifier_suffix] = STATE(5761),
    [sym_string] = STATE(4504),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(1996),
    [sym_lambda] = STATE(4311),
    [sym_identifier] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2882),
    [anon_sym_STAR] = ACTIONS(2884),
    [anon_sym_STAR_STAR] = ACTIONS(1768),
    [anon_sym_nil] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_DOT_DOT] = ACTIONS(2886),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(2770),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2772),
    [sym_float] = ACTIONS(2772),
    [sym_self] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_constant] = ACTIONS(2888),
    [aux_sym_constant_suffix_token1] = ACTIONS(2826),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2828),
    [anon_sym_DASH_GT] = ACTIONS(2776),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2890),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2770),
    [sym__identifier_suffix] = ACTIONS(2828),
    [sym__constant_suffix] = ACTIONS(2826),
  },
  [1997] = {
    [sym_splat_parameter] = STATE(4736),
    [sym_hash_splat_parameter] = STATE(4409),
    [sym_hash_splat_nil] = STATE(4409),
    [sym__pattern_top_expr_body] = STATE(4410),
    [sym__array_pattern_n] = STATE(4414),
    [sym__pattern_expr] = STATE(4745),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym__find_pattern_body] = STATE(4440),
    [sym_find_pattern] = STATE(4378),
    [sym__hash_pattern_body] = STATE(4443),
    [sym_keyword_pattern] = STATE(4726),
    [sym__hash_pattern_any_rest] = STATE(4421),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4668),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4584),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_constant_suffix] = STATE(5612),
    [sym_identifier_suffix] = STATE(5612),
    [sym_string] = STATE(4577),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(1997),
    [sym_lambda] = STATE(4311),
    [sym_identifier] = ACTIONS(2856),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_STAR_STAR] = ACTIONS(1656),
    [anon_sym_nil] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_DOT_DOT] = ACTIONS(2860),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_PLUS] = ACTIONS(2862),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2864),
    [sym_float] = ACTIONS(2864),
    [sym_self] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_constant] = ACTIONS(2866),
    [aux_sym_constant_suffix_token1] = ACTIONS(2826),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2828),
    [anon_sym_DASH_GT] = ACTIONS(2776),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2782),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2862),
    [sym__identifier_suffix] = ACTIONS(2828),
    [sym__constant_suffix] = ACTIONS(2826),
  },
  [1998] = {
    [sym_splat_parameter] = STATE(4831),
    [sym_hash_splat_parameter] = STATE(4828),
    [sym_hash_splat_nil] = STATE(4828),
    [sym__pattern_top_expr_body] = STATE(4925),
    [sym__array_pattern_n] = STATE(4928),
    [sym__pattern_expr] = STATE(4832),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym__find_pattern_body] = STATE(4947),
    [sym_find_pattern] = STATE(4753),
    [sym__hash_pattern_body] = STATE(4934),
    [sym_keyword_pattern] = STATE(4810),
    [sym__hash_pattern_any_rest] = STATE(4833),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4746),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4681),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_unary_literal] = STATE(4664),
    [sym__literal] = STATE(4610),
    [sym__numeric] = STATE(4616),
    [sym__simple_numeric] = STATE(4664),
    [sym__int_or_float] = STATE(5446),
    [sym_complex] = STATE(4665),
    [sym_rational] = STATE(4665),
    [sym_nil] = STATE(4648),
    [sym_constant_suffix] = STATE(5712),
    [sym_identifier_suffix] = STATE(5712),
    [sym_string] = STATE(4663),
    [sym_subshell] = STATE(4610),
    [sym_string_array] = STATE(4610),
    [sym_symbol_array] = STATE(4610),
    [sym_delimited_symbol] = STATE(4616),
    [sym_regex] = STATE(4610),
    [sym_heredoc_body] = STATE(1998),
    [sym_lambda] = STATE(4652),
    [sym_identifier] = ACTIONS(2868),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_STAR_STAR] = ACTIONS(1620),
    [anon_sym_nil] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_DOT_DOT] = ACTIONS(2872),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(2874),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2876),
    [sym_float] = ACTIONS(2876),
    [sym_self] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_constant] = ACTIONS(2878),
    [aux_sym_constant_suffix_token1] = ACTIONS(2826),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2828),
    [anon_sym_DASH_GT] = ACTIONS(2830),
    [sym_simple_symbol] = ACTIONS(2832),
    [sym__string_start] = ACTIONS(2834),
    [sym__symbol_start] = ACTIONS(2836),
    [sym__subshell_start] = ACTIONS(2838),
    [sym__regex_start] = ACTIONS(2840),
    [sym__string_array_start] = ACTIONS(2842),
    [sym__symbol_array_start] = ACTIONS(2844),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2846),
    [sym__unary_minus_num] = ACTIONS(2874),
    [sym__identifier_suffix] = ACTIONS(2828),
    [sym__constant_suffix] = ACTIONS(2826),
  },
  [1999] = {
    [sym_splat_parameter] = STATE(4558),
    [sym_hash_splat_parameter] = STATE(4409),
    [sym_hash_splat_nil] = STATE(4409),
    [sym__pattern_top_expr_body] = STATE(4410),
    [sym__array_pattern_n] = STATE(4414),
    [sym__pattern_expr] = STATE(4553),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym__find_pattern_body] = STATE(4440),
    [sym_find_pattern] = STATE(4378),
    [sym__hash_pattern_body] = STATE(4443),
    [sym_keyword_pattern] = STATE(4571),
    [sym__hash_pattern_any_rest] = STATE(4421),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4524),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4514),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_constant_suffix] = STATE(5761),
    [sym_identifier_suffix] = STATE(5761),
    [sym_string] = STATE(4504),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(1999),
    [sym_lambda] = STATE(4311),
    [sym_identifier] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2882),
    [anon_sym_STAR] = ACTIONS(2884),
    [anon_sym_STAR_STAR] = ACTIONS(1768),
    [anon_sym_nil] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_DOT_DOT] = ACTIONS(2886),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(2770),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2772),
    [sym_float] = ACTIONS(2772),
    [sym_self] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_constant] = ACTIONS(2888),
    [aux_sym_constant_suffix_token1] = ACTIONS(2826),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2828),
    [anon_sym_DASH_GT] = ACTIONS(2776),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2890),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2770),
    [sym__identifier_suffix] = ACTIONS(2828),
    [sym__constant_suffix] = ACTIONS(2826),
  },
  [2000] = {
    [sym_splat_parameter] = STATE(4736),
    [sym_hash_splat_parameter] = STATE(4409),
    [sym_hash_splat_nil] = STATE(4409),
    [sym__pattern_top_expr_body] = STATE(4437),
    [sym__array_pattern_n] = STATE(4414),
    [sym__pattern_expr] = STATE(4745),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym__find_pattern_body] = STATE(4440),
    [sym_find_pattern] = STATE(4378),
    [sym__hash_pattern_body] = STATE(4443),
    [sym_keyword_pattern] = STATE(4726),
    [sym__hash_pattern_any_rest] = STATE(4421),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4668),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4584),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_constant_suffix] = STATE(5612),
    [sym_identifier_suffix] = STATE(5612),
    [sym_string] = STATE(4577),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(2000),
    [sym_lambda] = STATE(4311),
    [sym_identifier] = ACTIONS(2856),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_STAR_STAR] = ACTIONS(1656),
    [anon_sym_nil] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_DOT_DOT] = ACTIONS(2860),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_PLUS] = ACTIONS(2862),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2864),
    [sym_float] = ACTIONS(2864),
    [sym_self] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_constant] = ACTIONS(2866),
    [aux_sym_constant_suffix_token1] = ACTIONS(2826),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2828),
    [anon_sym_DASH_GT] = ACTIONS(2776),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2782),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2862),
    [sym__identifier_suffix] = ACTIONS(2828),
    [sym__constant_suffix] = ACTIONS(2826),
  },
  [2001] = {
    [sym_splat_parameter] = STATE(4461),
    [sym_hash_splat_parameter] = STATE(4409),
    [sym_hash_splat_nil] = STATE(4409),
    [sym__pattern_top_expr_body] = STATE(4437),
    [sym__array_pattern_n] = STATE(4414),
    [sym__pattern_expr] = STATE(4460),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym__find_pattern_body] = STATE(4440),
    [sym_find_pattern] = STATE(4378),
    [sym__hash_pattern_body] = STATE(4443),
    [sym_keyword_pattern] = STATE(4458),
    [sym__hash_pattern_any_rest] = STATE(4421),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4425),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4391),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_constant_suffix] = STATE(5608),
    [sym_identifier_suffix] = STATE(5608),
    [sym_string] = STATE(4370),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(2001),
    [sym_lambda] = STATE(4311),
    [sym_identifier] = ACTIONS(2850),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2760),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_STAR_STAR] = ACTIONS(1656),
    [anon_sym_nil] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_DOT_DOT] = ACTIONS(2768),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_PLUS] = ACTIONS(2770),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2772),
    [sym_float] = ACTIONS(2772),
    [sym_self] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_constant] = ACTIONS(2854),
    [aux_sym_constant_suffix_token1] = ACTIONS(2826),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2828),
    [anon_sym_DASH_GT] = ACTIONS(2776),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2782),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2770),
    [sym__identifier_suffix] = ACTIONS(2828),
    [sym__constant_suffix] = ACTIONS(2826),
  },
  [2002] = {
    [sym_splat_parameter] = STATE(4564),
    [sym__array_pattern_n] = STATE(4408),
    [sym__pattern_expr] = STATE(4566),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym_find_pattern] = STATE(4378),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4524),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4514),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_string] = STATE(4357),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(2002),
    [sym_lambda] = STATE(4311),
    [ts_builtin_sym_end] = ACTIONS(2752),
    [sym_identifier] = ACTIONS(2748),
    [aux_sym_program_token1] = ACTIONS(2752),
    [anon_sym___END__] = ACTIONS(2758),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_rescue] = ACTIONS(2758),
    [anon_sym_COMMA] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2882),
    [anon_sym_STAR] = ACTIONS(2892),
    [anon_sym_nil] = ACTIONS(2764),
    [anon_sym_if] = ACTIONS(2758),
    [anon_sym_unless] = ACTIONS(2758),
    [anon_sym_while] = ACTIONS(2758),
    [anon_sym_until] = ACTIONS(2758),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_DOT_DOT] = ACTIONS(2886),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1772),
    [anon_sym_and] = ACTIONS(2758),
    [anon_sym_or] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2770),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2772),
    [sym_float] = ACTIONS(2772),
    [sym_self] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_constant] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2776),
    [sym__line_break] = ACTIONS(2752),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2890),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2770),
  },
  [2003] = {
    [sym_heredoc_body] = STATE(2003),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_RBRACE] = ACTIONS(2572),
    [anon_sym_def] = ACTIONS(2570),
    [anon_sym_LPAREN] = ACTIONS(2572),
    [anon_sym_RPAREN] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2572),
    [anon_sym_end] = ACTIONS(2570),
    [anon_sym_rescue] = ACTIONS(2570),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_nil] = ACTIONS(2570),
    [anon_sym_class] = ACTIONS(2570),
    [anon_sym_module] = ACTIONS(2570),
    [anon_sym_return] = ACTIONS(2570),
    [anon_sym_yield] = ACTIONS(2570),
    [anon_sym_break] = ACTIONS(2570),
    [anon_sym_next] = ACTIONS(2570),
    [anon_sym_redo] = ACTIONS(2570),
    [anon_sym_retry] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2570),
    [anon_sym_unless] = ACTIONS(2570),
    [anon_sym_while] = ACTIONS(2570),
    [anon_sym_until] = ACTIONS(2570),
    [anon_sym_for] = ACTIONS(2570),
    [anon_sym_in] = ACTIONS(2570),
    [anon_sym_do] = ACTIONS(2570),
    [anon_sym_case] = ACTIONS(2570),
    [anon_sym_when] = ACTIONS(2570),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_DOT_DOT] = ACTIONS(2570),
    [anon_sym_elsif] = ACTIONS(2570),
    [anon_sym_else] = ACTIONS(2570),
    [anon_sym_then] = ACTIONS(2570),
    [anon_sym_begin] = ACTIONS(2570),
    [anon_sym_ensure] = ACTIONS(2570),
    [anon_sym_and] = ACTIONS(2570),
    [anon_sym_or] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_defined_QMARK] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_TILDE] = ACTIONS(2572),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2570),
    [sym_float] = ACTIONS(2570),
    [sym_super] = ACTIONS(2570),
    [sym_self] = ACTIONS(2570),
    [sym_true] = ACTIONS(2570),
    [sym_false] = ACTIONS(2570),
    [sym_constant] = ACTIONS(2570),
    [aux_sym_constant_suffix_token1] = ACTIONS(2572),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2570),
    [sym_instance_variable] = ACTIONS(2572),
    [sym_class_variable] = ACTIONS(2572),
    [sym_global_variable] = ACTIONS(2572),
    [sym_character] = ACTIONS(2572),
    [anon_sym_DASH_GT] = ACTIONS(2572),
    [sym__line_break] = ACTIONS(2572),
    [sym_simple_symbol] = ACTIONS(2572),
    [sym__string_start] = ACTIONS(2572),
    [sym__symbol_start] = ACTIONS(2572),
    [sym__subshell_start] = ACTIONS(2572),
    [sym__regex_start] = ACTIONS(2572),
    [sym__string_array_start] = ACTIONS(2572),
    [sym__symbol_array_start] = ACTIONS(2572),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2572),
    [sym__block_ampersand] = ACTIONS(2572),
    [sym__splat_star] = ACTIONS(2572),
    [sym__unary_minus] = ACTIONS(2572),
    [sym__unary_minus_num] = ACTIONS(2572),
    [sym__binary_minus] = ACTIONS(2572),
    [sym_hash_key_symbol] = ACTIONS(2572),
    [sym__identifier_suffix] = ACTIONS(2572),
    [sym__constant_suffix] = ACTIONS(2572),
    [sym__hash_splat_star_star] = ACTIONS(2572),
  },
  [2004] = {
    [sym_heredoc_body] = STATE(2004),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_def] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_RPAREN] = ACTIONS(2588),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_end] = ACTIONS(2586),
    [anon_sym_rescue] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_nil] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_next] = ACTIONS(2586),
    [anon_sym_redo] = ACTIONS(2586),
    [anon_sym_retry] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_until] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_when] = ACTIONS(2586),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_elsif] = ACTIONS(2586),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_then] = ACTIONS(2586),
    [anon_sym_begin] = ACTIONS(2586),
    [anon_sym_ensure] = ACTIONS(2586),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_defined_QMARK] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2586),
    [sym_float] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_self] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_constant] = ACTIONS(2586),
    [aux_sym_constant_suffix_token1] = ACTIONS(2588),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2586),
    [sym_instance_variable] = ACTIONS(2588),
    [sym_class_variable] = ACTIONS(2588),
    [sym_global_variable] = ACTIONS(2588),
    [sym_character] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [sym__line_break] = ACTIONS(2588),
    [sym_simple_symbol] = ACTIONS(2588),
    [sym__string_start] = ACTIONS(2588),
    [sym__symbol_start] = ACTIONS(2588),
    [sym__subshell_start] = ACTIONS(2588),
    [sym__regex_start] = ACTIONS(2588),
    [sym__string_array_start] = ACTIONS(2588),
    [sym__symbol_array_start] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2588),
    [sym__block_ampersand] = ACTIONS(2588),
    [sym__splat_star] = ACTIONS(2588),
    [sym__unary_minus] = ACTIONS(2588),
    [sym__unary_minus_num] = ACTIONS(2588),
    [sym__binary_minus] = ACTIONS(2588),
    [sym_hash_key_symbol] = ACTIONS(2588),
    [sym__identifier_suffix] = ACTIONS(2588),
    [sym__constant_suffix] = ACTIONS(2588),
    [sym__hash_splat_star_star] = ACTIONS(2588),
  },
  [2005] = {
    [sym__pattern_expr] = STATE(4406),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym_find_pattern] = STATE(4378),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4524),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4514),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_string] = STATE(4357),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(2005),
    [sym_lambda] = STATE(4311),
    [ts_builtin_sym_end] = ACTIONS(2796),
    [sym_identifier] = ACTIONS(2748),
    [aux_sym_program_token1] = ACTIONS(2796),
    [anon_sym___END__] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_rescue] = ACTIONS(2798),
    [anon_sym_COMMA] = ACTIONS(2796),
    [anon_sym_SEMI] = ACTIONS(2796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2882),
    [anon_sym_nil] = ACTIONS(2764),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_unless] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_until] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_DOT_DOT] = ACTIONS(2886),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1772),
    [anon_sym_and] = ACTIONS(2798),
    [anon_sym_or] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2770),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2772),
    [sym_float] = ACTIONS(2772),
    [sym_self] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_constant] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2776),
    [sym__line_break] = ACTIONS(2796),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2890),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2770),
  },
  [2006] = {
    [sym_heredoc_body] = STATE(2006),
    [sym_identifier] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_RBRACE] = ACTIONS(2592),
    [anon_sym_def] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2592),
    [anon_sym_RPAREN] = ACTIONS(2592),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_end] = ACTIONS(2590),
    [anon_sym_rescue] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_nil] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_next] = ACTIONS(2590),
    [anon_sym_redo] = ACTIONS(2590),
    [anon_sym_retry] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_when] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_elsif] = ACTIONS(2590),
    [anon_sym_else] = ACTIONS(2590),
    [anon_sym_then] = ACTIONS(2590),
    [anon_sym_begin] = ACTIONS(2590),
    [anon_sym_ensure] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_defined_QMARK] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2590),
    [sym_float] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_self] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_constant] = ACTIONS(2590),
    [aux_sym_constant_suffix_token1] = ACTIONS(2592),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2590),
    [sym_instance_variable] = ACTIONS(2592),
    [sym_class_variable] = ACTIONS(2592),
    [sym_global_variable] = ACTIONS(2592),
    [sym_character] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [sym__line_break] = ACTIONS(2592),
    [sym_simple_symbol] = ACTIONS(2592),
    [sym__string_start] = ACTIONS(2592),
    [sym__symbol_start] = ACTIONS(2592),
    [sym__subshell_start] = ACTIONS(2592),
    [sym__regex_start] = ACTIONS(2592),
    [sym__string_array_start] = ACTIONS(2592),
    [sym__symbol_array_start] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2592),
    [sym__block_ampersand] = ACTIONS(2592),
    [sym__splat_star] = ACTIONS(2592),
    [sym__unary_minus] = ACTIONS(2592),
    [sym__unary_minus_num] = ACTIONS(2592),
    [sym__binary_minus] = ACTIONS(2592),
    [sym_hash_key_symbol] = ACTIONS(2592),
    [sym__identifier_suffix] = ACTIONS(2592),
    [sym__constant_suffix] = ACTIONS(2592),
    [sym__hash_splat_star_star] = ACTIONS(2592),
  },
  [2007] = {
    [sym_heredoc_body] = STATE(2007),
    [sym_identifier] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_RBRACE] = ACTIONS(2568),
    [anon_sym_def] = ACTIONS(2566),
    [anon_sym_LPAREN] = ACTIONS(2568),
    [anon_sym_RPAREN] = ACTIONS(2568),
    [anon_sym_COLON_COLON] = ACTIONS(2568),
    [anon_sym_end] = ACTIONS(2566),
    [anon_sym_rescue] = ACTIONS(2566),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_nil] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_module] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_yield] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_next] = ACTIONS(2566),
    [anon_sym_redo] = ACTIONS(2566),
    [anon_sym_retry] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_unless] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_until] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_in] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_when] = ACTIONS(2566),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_DOT_DOT] = ACTIONS(2566),
    [anon_sym_elsif] = ACTIONS(2566),
    [anon_sym_else] = ACTIONS(2566),
    [anon_sym_then] = ACTIONS(2566),
    [anon_sym_begin] = ACTIONS(2566),
    [anon_sym_ensure] = ACTIONS(2566),
    [anon_sym_and] = ACTIONS(2566),
    [anon_sym_or] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_defined_QMARK] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2568),
    [anon_sym_TILDE] = ACTIONS(2568),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2566),
    [sym_float] = ACTIONS(2566),
    [sym_super] = ACTIONS(2566),
    [sym_self] = ACTIONS(2566),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [sym_constant] = ACTIONS(2566),
    [aux_sym_constant_suffix_token1] = ACTIONS(2568),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2566),
    [sym_instance_variable] = ACTIONS(2568),
    [sym_class_variable] = ACTIONS(2568),
    [sym_global_variable] = ACTIONS(2568),
    [sym_character] = ACTIONS(2568),
    [anon_sym_DASH_GT] = ACTIONS(2568),
    [sym__line_break] = ACTIONS(2568),
    [sym_simple_symbol] = ACTIONS(2568),
    [sym__string_start] = ACTIONS(2568),
    [sym__symbol_start] = ACTIONS(2568),
    [sym__subshell_start] = ACTIONS(2568),
    [sym__regex_start] = ACTIONS(2568),
    [sym__string_array_start] = ACTIONS(2568),
    [sym__symbol_array_start] = ACTIONS(2568),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2568),
    [sym__block_ampersand] = ACTIONS(2568),
    [sym__splat_star] = ACTIONS(2568),
    [sym__unary_minus] = ACTIONS(2568),
    [sym__unary_minus_num] = ACTIONS(2568),
    [sym__binary_minus] = ACTIONS(2568),
    [sym_hash_key_symbol] = ACTIONS(2568),
    [sym__identifier_suffix] = ACTIONS(2568),
    [sym__constant_suffix] = ACTIONS(2568),
    [sym__hash_splat_star_star] = ACTIONS(2568),
  },
  [2008] = {
    [sym__pattern_expr] = STATE(4399),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym_find_pattern] = STATE(4378),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4524),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4514),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_string] = STATE(4357),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(2008),
    [sym_lambda] = STATE(4311),
    [ts_builtin_sym_end] = ACTIONS(2340),
    [sym_identifier] = ACTIONS(2748),
    [aux_sym_program_token1] = ACTIONS(2340),
    [anon_sym___END__] = ACTIONS(2794),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_rescue] = ACTIONS(2794),
    [anon_sym_COMMA] = ACTIONS(2340),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2882),
    [anon_sym_nil] = ACTIONS(2764),
    [anon_sym_if] = ACTIONS(2794),
    [anon_sym_unless] = ACTIONS(2794),
    [anon_sym_while] = ACTIONS(2794),
    [anon_sym_until] = ACTIONS(2794),
    [anon_sym_do] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_DOT_DOT] = ACTIONS(2886),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1772),
    [anon_sym_and] = ACTIONS(2794),
    [anon_sym_or] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2770),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2772),
    [sym_float] = ACTIONS(2772),
    [sym_self] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_constant] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2776),
    [sym__line_break] = ACTIONS(2340),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2890),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2770),
  },
  [2009] = {
    [sym_heredoc_body] = STATE(2009),
    [sym_identifier] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [anon_sym_def] = ACTIONS(2582),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_RPAREN] = ACTIONS(2584),
    [anon_sym_COLON_COLON] = ACTIONS(2584),
    [anon_sym_end] = ACTIONS(2582),
    [anon_sym_rescue] = ACTIONS(2582),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2584),
    [anon_sym_nil] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(2582),
    [anon_sym_module] = ACTIONS(2582),
    [anon_sym_return] = ACTIONS(2582),
    [anon_sym_yield] = ACTIONS(2582),
    [anon_sym_break] = ACTIONS(2582),
    [anon_sym_next] = ACTIONS(2582),
    [anon_sym_redo] = ACTIONS(2582),
    [anon_sym_retry] = ACTIONS(2582),
    [anon_sym_if] = ACTIONS(2582),
    [anon_sym_unless] = ACTIONS(2582),
    [anon_sym_while] = ACTIONS(2582),
    [anon_sym_until] = ACTIONS(2582),
    [anon_sym_for] = ACTIONS(2582),
    [anon_sym_in] = ACTIONS(2582),
    [anon_sym_do] = ACTIONS(2582),
    [anon_sym_case] = ACTIONS(2582),
    [anon_sym_when] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_DOT_DOT] = ACTIONS(2582),
    [anon_sym_elsif] = ACTIONS(2582),
    [anon_sym_else] = ACTIONS(2582),
    [anon_sym_then] = ACTIONS(2582),
    [anon_sym_begin] = ACTIONS(2582),
    [anon_sym_ensure] = ACTIONS(2582),
    [anon_sym_and] = ACTIONS(2582),
    [anon_sym_or] = ACTIONS(2582),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_defined_QMARK] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2584),
    [anon_sym_TILDE] = ACTIONS(2584),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2582),
    [sym_float] = ACTIONS(2582),
    [sym_super] = ACTIONS(2582),
    [sym_self] = ACTIONS(2582),
    [sym_true] = ACTIONS(2582),
    [sym_false] = ACTIONS(2582),
    [sym_constant] = ACTIONS(2582),
    [aux_sym_constant_suffix_token1] = ACTIONS(2584),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2582),
    [sym_instance_variable] = ACTIONS(2584),
    [sym_class_variable] = ACTIONS(2584),
    [sym_global_variable] = ACTIONS(2584),
    [sym_character] = ACTIONS(2584),
    [anon_sym_DASH_GT] = ACTIONS(2584),
    [sym__line_break] = ACTIONS(2584),
    [sym_simple_symbol] = ACTIONS(2584),
    [sym__string_start] = ACTIONS(2584),
    [sym__symbol_start] = ACTIONS(2584),
    [sym__subshell_start] = ACTIONS(2584),
    [sym__regex_start] = ACTIONS(2584),
    [sym__string_array_start] = ACTIONS(2584),
    [sym__symbol_array_start] = ACTIONS(2584),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2584),
    [sym__block_ampersand] = ACTIONS(2584),
    [sym__splat_star] = ACTIONS(2584),
    [sym__unary_minus] = ACTIONS(2584),
    [sym__unary_minus_num] = ACTIONS(2584),
    [sym__binary_minus] = ACTIONS(2584),
    [sym_hash_key_symbol] = ACTIONS(2584),
    [sym__identifier_suffix] = ACTIONS(2584),
    [sym__constant_suffix] = ACTIONS(2584),
    [sym__hash_splat_star_star] = ACTIONS(2584),
  },
  [2010] = {
    [sym_heredoc_body] = STATE(2010),
    [sym_identifier] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_RBRACE] = ACTIONS(2896),
    [anon_sym_def] = ACTIONS(2894),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_RPAREN] = ACTIONS(2896),
    [anon_sym_COLON_COLON] = ACTIONS(2896),
    [anon_sym_end] = ACTIONS(2894),
    [anon_sym_rescue] = ACTIONS(2894),
    [anon_sym_COMMA] = ACTIONS(2896),
    [anon_sym_SEMI] = ACTIONS(2896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2896),
    [anon_sym_STAR] = ACTIONS(2896),
    [anon_sym_nil] = ACTIONS(2894),
    [anon_sym_class] = ACTIONS(2894),
    [anon_sym_module] = ACTIONS(2894),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_yield] = ACTIONS(2894),
    [anon_sym_break] = ACTIONS(2894),
    [anon_sym_next] = ACTIONS(2894),
    [anon_sym_redo] = ACTIONS(2894),
    [anon_sym_retry] = ACTIONS(2894),
    [anon_sym_if] = ACTIONS(2894),
    [anon_sym_unless] = ACTIONS(2894),
    [anon_sym_while] = ACTIONS(2894),
    [anon_sym_until] = ACTIONS(2894),
    [anon_sym_for] = ACTIONS(2894),
    [anon_sym_in] = ACTIONS(2894),
    [anon_sym_do] = ACTIONS(2894),
    [anon_sym_case] = ACTIONS(2894),
    [anon_sym_when] = ACTIONS(2894),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_DOT_DOT] = ACTIONS(2894),
    [anon_sym_elsif] = ACTIONS(2894),
    [anon_sym_else] = ACTIONS(2894),
    [anon_sym_then] = ACTIONS(2894),
    [anon_sym_begin] = ACTIONS(2894),
    [anon_sym_ensure] = ACTIONS(2894),
    [anon_sym_and] = ACTIONS(2894),
    [anon_sym_or] = ACTIONS(2894),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_defined_QMARK] = ACTIONS(2896),
    [anon_sym_not] = ACTIONS(2894),
    [anon_sym_BANG] = ACTIONS(2896),
    [anon_sym_TILDE] = ACTIONS(2896),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2894),
    [sym_float] = ACTIONS(2894),
    [sym_super] = ACTIONS(2894),
    [sym_self] = ACTIONS(2894),
    [sym_true] = ACTIONS(2894),
    [sym_false] = ACTIONS(2894),
    [sym_constant] = ACTIONS(2894),
    [aux_sym_constant_suffix_token1] = ACTIONS(2896),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2894),
    [sym_instance_variable] = ACTIONS(2896),
    [sym_class_variable] = ACTIONS(2896),
    [sym_global_variable] = ACTIONS(2896),
    [sym_character] = ACTIONS(2896),
    [anon_sym_DASH_GT] = ACTIONS(2896),
    [sym__line_break] = ACTIONS(2896),
    [sym_simple_symbol] = ACTIONS(2896),
    [sym__string_start] = ACTIONS(2896),
    [sym__symbol_start] = ACTIONS(2896),
    [sym__subshell_start] = ACTIONS(2896),
    [sym__regex_start] = ACTIONS(2896),
    [sym__string_array_start] = ACTIONS(2896),
    [sym__symbol_array_start] = ACTIONS(2896),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2896),
    [sym__block_ampersand] = ACTIONS(2896),
    [sym__splat_star] = ACTIONS(2896),
    [sym__unary_minus] = ACTIONS(2896),
    [sym__unary_minus_num] = ACTIONS(2896),
    [sym__binary_minus] = ACTIONS(2896),
    [sym_hash_key_symbol] = ACTIONS(2896),
    [sym__identifier_suffix] = ACTIONS(2896),
    [sym__constant_suffix] = ACTIONS(2896),
    [sym__hash_splat_star_star] = ACTIONS(2896),
  },
  [2011] = {
    [sym_splat_parameter] = STATE(4713),
    [sym__array_pattern_n] = STATE(4408),
    [sym__pattern_expr] = STATE(4731),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym_find_pattern] = STATE(4378),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4668),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4584),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_string] = STATE(4357),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(2011),
    [sym_lambda] = STATE(4311),
    [sym_identifier] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_COMMA] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_nil] = ACTIONS(2764),
    [anon_sym_if] = ACTIONS(2758),
    [anon_sym_unless] = ACTIONS(2758),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_DOT_DOT] = ACTIONS(2860),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_then] = ACTIONS(2758),
    [anon_sym_and] = ACTIONS(2758),
    [anon_sym_or] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2862),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2864),
    [sym_float] = ACTIONS(2864),
    [sym_self] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_constant] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2776),
    [sym__line_break] = ACTIONS(2752),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2782),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2862),
  },
  [2012] = {
    [sym_heredoc_body] = STATE(2012),
    [sym_identifier] = ACTIONS(2578),
    [anon_sym_BEGIN] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_END] = ACTIONS(2578),
    [anon_sym_def] = ACTIONS(2578),
    [anon_sym_LPAREN] = ACTIONS(2578),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_end] = ACTIONS(2578),
    [anon_sym_rescue] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2576),
    [anon_sym_nil] = ACTIONS(2578),
    [anon_sym_class] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2576),
    [anon_sym_module] = ACTIONS(2578),
    [anon_sym_return] = ACTIONS(2578),
    [anon_sym_yield] = ACTIONS(2578),
    [anon_sym_break] = ACTIONS(2578),
    [anon_sym_next] = ACTIONS(2578),
    [anon_sym_redo] = ACTIONS(2578),
    [anon_sym_retry] = ACTIONS(2578),
    [anon_sym_if] = ACTIONS(2578),
    [anon_sym_unless] = ACTIONS(2578),
    [anon_sym_while] = ACTIONS(2578),
    [anon_sym_until] = ACTIONS(2578),
    [anon_sym_for] = ACTIONS(2578),
    [anon_sym_do] = ACTIONS(2574),
    [anon_sym_case] = ACTIONS(2578),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_else] = ACTIONS(2578),
    [anon_sym_begin] = ACTIONS(2578),
    [anon_sym_ensure] = ACTIONS(2578),
    [anon_sym_COLON_COLON2] = ACTIONS(2576),
    [anon_sym_AMP_DOT] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_defined_QMARK] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2576),
    [anon_sym_TILDE] = ACTIONS(2576),
    [anon_sym_undef] = ACTIONS(2578),
    [anon_sym_alias] = ACTIONS(2578),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2578),
    [sym_float] = ACTIONS(2578),
    [sym_super] = ACTIONS(2578),
    [sym_self] = ACTIONS(2578),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [sym_constant] = ACTIONS(2578),
    [aux_sym_constant_suffix_token1] = ACTIONS(2576),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2578),
    [sym_instance_variable] = ACTIONS(2576),
    [sym_class_variable] = ACTIONS(2576),
    [sym_global_variable] = ACTIONS(2576),
    [sym_character] = ACTIONS(2576),
    [anon_sym_DASH_GT] = ACTIONS(2576),
    [sym__line_break] = ACTIONS(2576),
    [sym_simple_symbol] = ACTIONS(2576),
    [sym__string_start] = ACTIONS(2576),
    [sym__symbol_start] = ACTIONS(2576),
    [sym__subshell_start] = ACTIONS(2576),
    [sym__regex_start] = ACTIONS(2576),
    [sym__string_array_start] = ACTIONS(2576),
    [sym__symbol_array_start] = ACTIONS(2576),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2576),
    [sym__unary_minus] = ACTIONS(2576),
    [sym__unary_minus_num] = ACTIONS(2576),
    [sym__binary_minus] = ACTIONS(2576),
    [sym__identifier_suffix] = ACTIONS(2576),
    [sym__constant_suffix] = ACTIONS(2576),
    [sym__element_reference_bracket] = ACTIONS(2576),
  },
  [2013] = {
    [sym_argument_list] = STATE(2186),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_heredoc_body] = STATE(2013),
    [ts_builtin_sym_end] = ACTIONS(123),
    [aux_sym_program_token1] = ACTIONS(123),
    [anon_sym___END__] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(2898),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_end] = ACTIONS(123),
    [anon_sym_rescue] = ACTIONS(123),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(123),
    [anon_sym_unless] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [anon_sym_in] = ACTIONS(123),
    [anon_sym_do] = ACTIONS(2900),
    [anon_sym_when] = ACTIONS(123),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_elsif] = ACTIONS(123),
    [anon_sym_else] = ACTIONS(123),
    [anon_sym_then] = ACTIONS(123),
    [anon_sym_ensure] = ACTIONS(123),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(123),
    [anon_sym_and] = ACTIONS(123),
    [anon_sym_or] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(123),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [2014] = {
    [sym_argument_list] = STATE(2189),
    [sym_do_block] = STATE(2277),
    [sym_block] = STATE(2275),
    [sym_heredoc_body] = STATE(2014),
    [ts_builtin_sym_end] = ACTIONS(179),
    [aux_sym_program_token1] = ACTIONS(179),
    [anon_sym___END__] = ACTIONS(181),
    [anon_sym_LBRACE] = ACTIONS(2898),
    [anon_sym_RBRACE] = ACTIONS(179),
    [anon_sym_RPAREN] = ACTIONS(179),
    [anon_sym_DOT] = ACTIONS(181),
    [anon_sym_end] = ACTIONS(179),
    [anon_sym_rescue] = ACTIONS(179),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(179),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_LT] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(179),
    [anon_sym_unless] = ACTIONS(179),
    [anon_sym_while] = ACTIONS(179),
    [anon_sym_until] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(179),
    [anon_sym_do] = ACTIONS(179),
    [anon_sym_when] = ACTIONS(179),
    [anon_sym_EQ_GT] = ACTIONS(179),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_elsif] = ACTIONS(179),
    [anon_sym_else] = ACTIONS(179),
    [anon_sym_then] = ACTIONS(179),
    [anon_sym_ensure] = ACTIONS(179),
    [anon_sym_COLON_COLON2] = ACTIONS(179),
    [anon_sym_AMP_DOT] = ACTIONS(179),
    [anon_sym_PLUS_EQ] = ACTIONS(179),
    [anon_sym_DASH_EQ] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(179),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(179),
    [anon_sym_SLASH_EQ] = ACTIONS(179),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(179),
    [anon_sym_PIPE_EQ] = ACTIONS(179),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(179),
    [anon_sym_AMP_EQ] = ACTIONS(179),
    [anon_sym_PERCENT_EQ] = ACTIONS(179),
    [anon_sym_GT_GT_EQ] = ACTIONS(179),
    [anon_sym_LT_LT_EQ] = ACTIONS(179),
    [anon_sym_CARET_EQ] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(179),
    [anon_sym_and] = ACTIONS(179),
    [anon_sym_or] = ACTIONS(179),
    [anon_sym_PIPE_PIPE] = ACTIONS(181),
    [anon_sym_AMP_AMP] = ACTIONS(181),
    [anon_sym_LT_LT] = ACTIONS(181),
    [anon_sym_GT_GT] = ACTIONS(181),
    [anon_sym_LT_EQ] = ACTIONS(181),
    [anon_sym_GT] = ACTIONS(181),
    [anon_sym_GT_EQ] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_SLASH] = ACTIONS(181),
    [anon_sym_PERCENT] = ACTIONS(181),
    [anon_sym_EQ_EQ] = ACTIONS(181),
    [anon_sym_BANG_EQ] = ACTIONS(179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(179),
    [anon_sym_LT_EQ_GT] = ACTIONS(179),
    [anon_sym_EQ_TILDE] = ACTIONS(179),
    [anon_sym_BANG_TILDE] = ACTIONS(179),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(179),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(179),
    [sym__binary_star] = ACTIONS(179),
    [sym__binary_star_star] = ACTIONS(179),
    [sym__element_reference_bracket] = ACTIONS(179),
  },
  [2015] = {
    [sym_splat_parameter] = STATE(4811),
    [sym__array_pattern_n] = STATE(4908),
    [sym__pattern_expr] = STATE(4864),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4746),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4681),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_unary_literal] = STATE(4664),
    [sym__literal] = STATE(4610),
    [sym__numeric] = STATE(4616),
    [sym__simple_numeric] = STATE(4664),
    [sym__int_or_float] = STATE(5446),
    [sym_complex] = STATE(4665),
    [sym_rational] = STATE(4665),
    [sym_nil] = STATE(4648),
    [sym_string] = STATE(4610),
    [sym_subshell] = STATE(4610),
    [sym_string_array] = STATE(4610),
    [sym_symbol_array] = STATE(4610),
    [sym_delimited_symbol] = STATE(4616),
    [sym_regex] = STATE(4610),
    [sym_heredoc_body] = STATE(2015),
    [sym_lambda] = STATE(4652),
    [sym_identifier] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_RPAREN] = ACTIONS(2752),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_rescue] = ACTIONS(2758),
    [anon_sym_COMMA] = ACTIONS(2752),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2904),
    [anon_sym_nil] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_RBRACK] = ACTIONS(2752),
    [anon_sym_DOT_DOT] = ACTIONS(2872),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_and] = ACTIONS(2758),
    [anon_sym_or] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2874),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2876),
    [sym_float] = ACTIONS(2876),
    [sym_self] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_constant] = ACTIONS(2906),
    [anon_sym_DASH_GT] = ACTIONS(2830),
    [sym_simple_symbol] = ACTIONS(2832),
    [sym__string_start] = ACTIONS(2834),
    [sym__symbol_start] = ACTIONS(2836),
    [sym__subshell_start] = ACTIONS(2838),
    [sym__regex_start] = ACTIONS(2840),
    [sym__string_array_start] = ACTIONS(2842),
    [sym__symbol_array_start] = ACTIONS(2844),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2846),
    [sym__unary_minus_num] = ACTIONS(2874),
  },
  [2016] = {
    [sym_argument_list] = STATE(2183),
    [sym_do_block] = STATE(2236),
    [sym_block] = STATE(2219),
    [sym_heredoc_body] = STATE(2016),
    [ts_builtin_sym_end] = ACTIONS(123),
    [aux_sym_program_token1] = ACTIONS(123),
    [anon_sym___END__] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(2898),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_end] = ACTIONS(123),
    [anon_sym_rescue] = ACTIONS(123),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(123),
    [anon_sym_unless] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [anon_sym_in] = ACTIONS(123),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_when] = ACTIONS(123),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_elsif] = ACTIONS(123),
    [anon_sym_else] = ACTIONS(123),
    [anon_sym_then] = ACTIONS(123),
    [anon_sym_ensure] = ACTIONS(123),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(123),
    [anon_sym_and] = ACTIONS(123),
    [anon_sym_or] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(123),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [2017] = {
    [sym_heredoc_body] = STATE(2017),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_BEGIN] = ACTIONS(1984),
    [anon_sym_LBRACE] = ACTIONS(2908),
    [anon_sym_RBRACE] = ACTIONS(2908),
    [anon_sym_END] = ACTIONS(1984),
    [anon_sym_def] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(2908),
    [anon_sym_RPAREN] = ACTIONS(2908),
    [anon_sym_COLON_COLON] = ACTIONS(2908),
    [anon_sym_end] = ACTIONS(1984),
    [anon_sym_rescue] = ACTIONS(1984),
    [anon_sym_PIPE] = ACTIONS(2908),
    [anon_sym_SEMI] = ACTIONS(2908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(2908),
    [anon_sym_nil] = ACTIONS(1984),
    [anon_sym_class] = ACTIONS(1984),
    [anon_sym_module] = ACTIONS(1984),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_yield] = ACTIONS(1984),
    [anon_sym_break] = ACTIONS(1984),
    [anon_sym_next] = ACTIONS(1984),
    [anon_sym_redo] = ACTIONS(1984),
    [anon_sym_retry] = ACTIONS(1984),
    [anon_sym_if] = ACTIONS(1984),
    [anon_sym_unless] = ACTIONS(1984),
    [anon_sym_while] = ACTIONS(1984),
    [anon_sym_until] = ACTIONS(1984),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_in] = ACTIONS(1984),
    [anon_sym_case] = ACTIONS(1984),
    [anon_sym_when] = ACTIONS(1984),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_DOT_DOT] = ACTIONS(1984),
    [anon_sym_elsif] = ACTIONS(1984),
    [anon_sym_else] = ACTIONS(1984),
    [anon_sym_then] = ACTIONS(1984),
    [anon_sym_begin] = ACTIONS(1984),
    [anon_sym_ensure] = ACTIONS(1984),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_defined_QMARK] = ACTIONS(2908),
    [anon_sym_not] = ACTIONS(1984),
    [anon_sym_BANG] = ACTIONS(2908),
    [anon_sym_TILDE] = ACTIONS(2908),
    [anon_sym_undef] = ACTIONS(1984),
    [anon_sym_alias] = ACTIONS(1984),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(1984),
    [sym_float] = ACTIONS(1984),
    [sym_super] = ACTIONS(1984),
    [sym_self] = ACTIONS(1984),
    [sym_true] = ACTIONS(1984),
    [sym_false] = ACTIONS(1984),
    [sym_constant] = ACTIONS(1984),
    [aux_sym_constant_suffix_token1] = ACTIONS(2908),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1984),
    [sym_instance_variable] = ACTIONS(2908),
    [sym_class_variable] = ACTIONS(2908),
    [sym_global_variable] = ACTIONS(2908),
    [sym_character] = ACTIONS(2908),
    [anon_sym_DASH_GT] = ACTIONS(2908),
    [sym_simple_symbol] = ACTIONS(2908),
    [sym__string_start] = ACTIONS(2908),
    [sym__symbol_start] = ACTIONS(2908),
    [sym__subshell_start] = ACTIONS(2908),
    [sym__regex_start] = ACTIONS(2908),
    [sym__string_array_start] = ACTIONS(2908),
    [sym__symbol_array_start] = ACTIONS(2908),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2908),
    [sym__unary_minus] = ACTIONS(2908),
    [sym__unary_minus_num] = ACTIONS(2908),
    [sym__binary_minus] = ACTIONS(2908),
    [sym__identifier_suffix] = ACTIONS(2908),
    [sym__constant_suffix] = ACTIONS(2908),
  },
  [2018] = {
    [sym_argument_list] = STATE(2181),
    [sym_do_block] = STATE(2277),
    [sym_block] = STATE(2275),
    [sym_heredoc_body] = STATE(2018),
    [ts_builtin_sym_end] = ACTIONS(179),
    [aux_sym_program_token1] = ACTIONS(179),
    [anon_sym___END__] = ACTIONS(181),
    [anon_sym_LBRACE] = ACTIONS(2898),
    [anon_sym_RBRACE] = ACTIONS(179),
    [anon_sym_RPAREN] = ACTIONS(179),
    [anon_sym_DOT] = ACTIONS(181),
    [anon_sym_end] = ACTIONS(179),
    [anon_sym_rescue] = ACTIONS(179),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(179),
    [anon_sym_PIPE] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(179),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_LT] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(179),
    [anon_sym_unless] = ACTIONS(179),
    [anon_sym_while] = ACTIONS(179),
    [anon_sym_until] = ACTIONS(179),
    [anon_sym_in] = ACTIONS(179),
    [anon_sym_do] = ACTIONS(2900),
    [anon_sym_when] = ACTIONS(179),
    [anon_sym_EQ_GT] = ACTIONS(179),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_DOT_DOT] = ACTIONS(181),
    [anon_sym_CARET] = ACTIONS(181),
    [anon_sym_elsif] = ACTIONS(179),
    [anon_sym_else] = ACTIONS(179),
    [anon_sym_then] = ACTIONS(179),
    [anon_sym_ensure] = ACTIONS(179),
    [anon_sym_COLON_COLON2] = ACTIONS(179),
    [anon_sym_AMP_DOT] = ACTIONS(179),
    [anon_sym_PLUS_EQ] = ACTIONS(179),
    [anon_sym_DASH_EQ] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(179),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(179),
    [anon_sym_SLASH_EQ] = ACTIONS(179),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(179),
    [anon_sym_PIPE_EQ] = ACTIONS(179),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(179),
    [anon_sym_AMP_EQ] = ACTIONS(179),
    [anon_sym_PERCENT_EQ] = ACTIONS(179),
    [anon_sym_GT_GT_EQ] = ACTIONS(179),
    [anon_sym_LT_LT_EQ] = ACTIONS(179),
    [anon_sym_CARET_EQ] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(179),
    [anon_sym_and] = ACTIONS(179),
    [anon_sym_or] = ACTIONS(179),
    [anon_sym_PIPE_PIPE] = ACTIONS(181),
    [anon_sym_AMP_AMP] = ACTIONS(181),
    [anon_sym_LT_LT] = ACTIONS(181),
    [anon_sym_GT_GT] = ACTIONS(181),
    [anon_sym_LT_EQ] = ACTIONS(181),
    [anon_sym_GT] = ACTIONS(181),
    [anon_sym_GT_EQ] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(181),
    [anon_sym_SLASH] = ACTIONS(181),
    [anon_sym_PERCENT] = ACTIONS(181),
    [anon_sym_EQ_EQ] = ACTIONS(181),
    [anon_sym_BANG_EQ] = ACTIONS(179),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(179),
    [anon_sym_LT_EQ_GT] = ACTIONS(179),
    [anon_sym_EQ_TILDE] = ACTIONS(179),
    [anon_sym_BANG_TILDE] = ACTIONS(179),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(179),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(179),
    [sym__binary_star] = ACTIONS(179),
    [sym__binary_star_star] = ACTIONS(179),
    [sym__element_reference_bracket] = ACTIONS(179),
  },
  [2019] = {
    [sym__pattern_expr] = STATE(4406),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym_find_pattern] = STATE(4378),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4668),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4584),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_string] = STATE(4357),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(2019),
    [sym_lambda] = STATE(4311),
    [sym_identifier] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_COMMA] = ACTIONS(2796),
    [anon_sym_SEMI] = ACTIONS(2796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2858),
    [anon_sym_nil] = ACTIONS(2764),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_unless] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_DOT_DOT] = ACTIONS(2860),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_then] = ACTIONS(2798),
    [anon_sym_and] = ACTIONS(2798),
    [anon_sym_or] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2862),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2864),
    [sym_float] = ACTIONS(2864),
    [sym_self] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_constant] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2776),
    [sym__line_break] = ACTIONS(2796),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2782),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2862),
  },
  [2020] = {
    [sym_heredoc_body] = STATE(2020),
    [ts_builtin_sym_end] = ACTIONS(2910),
    [aux_sym_program_token1] = ACTIONS(2910),
    [anon_sym___END__] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_RBRACE] = ACTIONS(2910),
    [anon_sym_RPAREN] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_end] = ACTIONS(2910),
    [anon_sym_rescue] = ACTIONS(2910),
    [anon_sym_EQ] = ACTIONS(2912),
    [anon_sym_COMMA] = ACTIONS(2910),
    [anon_sym_PIPE] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2910),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_LT] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2910),
    [anon_sym_unless] = ACTIONS(2910),
    [anon_sym_while] = ACTIONS(2910),
    [anon_sym_until] = ACTIONS(2910),
    [anon_sym_in] = ACTIONS(2910),
    [anon_sym_do] = ACTIONS(2910),
    [anon_sym_when] = ACTIONS(2910),
    [anon_sym_EQ_GT] = ACTIONS(2916),
    [anon_sym_LBRACK2] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2916),
    [anon_sym_DOT_DOT] = ACTIONS(2912),
    [anon_sym_CARET] = ACTIONS(2912),
    [anon_sym_elsif] = ACTIONS(2910),
    [anon_sym_else] = ACTIONS(2910),
    [anon_sym_then] = ACTIONS(2910),
    [anon_sym_ensure] = ACTIONS(2910),
    [anon_sym_COLON_COLON2] = ACTIONS(2910),
    [anon_sym_AMP_DOT] = ACTIONS(2910),
    [anon_sym_PLUS_EQ] = ACTIONS(2910),
    [anon_sym_DASH_EQ] = ACTIONS(2910),
    [anon_sym_STAR_EQ] = ACTIONS(2910),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2910),
    [anon_sym_SLASH_EQ] = ACTIONS(2910),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2910),
    [anon_sym_PIPE_EQ] = ACTIONS(2910),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2910),
    [anon_sym_AMP_EQ] = ACTIONS(2910),
    [anon_sym_PERCENT_EQ] = ACTIONS(2910),
    [anon_sym_GT_GT_EQ] = ACTIONS(2910),
    [anon_sym_LT_LT_EQ] = ACTIONS(2910),
    [anon_sym_CARET_EQ] = ACTIONS(2910),
    [anon_sym_QMARK] = ACTIONS(2910),
    [anon_sym_and] = ACTIONS(2910),
    [anon_sym_or] = ACTIONS(2910),
    [anon_sym_PIPE_PIPE] = ACTIONS(2912),
    [anon_sym_AMP_AMP] = ACTIONS(2912),
    [anon_sym_LT_LT] = ACTIONS(2912),
    [anon_sym_GT_GT] = ACTIONS(2912),
    [anon_sym_LT_EQ] = ACTIONS(2912),
    [anon_sym_GT] = ACTIONS(2912),
    [anon_sym_GT_EQ] = ACTIONS(2910),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_SLASH] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2912),
    [anon_sym_EQ_EQ] = ACTIONS(2912),
    [anon_sym_BANG_EQ] = ACTIONS(2910),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2910),
    [anon_sym_LT_EQ_GT] = ACTIONS(2910),
    [anon_sym_EQ_TILDE] = ACTIONS(2910),
    [anon_sym_BANG_TILDE] = ACTIONS(2910),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2910),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2910),
    [sym__binary_star] = ACTIONS(2910),
    [sym__binary_star_star] = ACTIONS(2910),
    [sym__element_reference_bracket] = ACTIONS(2910),
  },
  [2021] = {
    [sym_splat_parameter] = STATE(4907),
    [sym__array_pattern_n] = STATE(4908),
    [sym__pattern_expr] = STATE(4886),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_unary_literal] = STATE(4664),
    [sym__literal] = STATE(4610),
    [sym__numeric] = STATE(4616),
    [sym__simple_numeric] = STATE(4664),
    [sym__int_or_float] = STATE(5446),
    [sym_complex] = STATE(4665),
    [sym_rational] = STATE(4665),
    [sym_nil] = STATE(4648),
    [sym_string] = STATE(4610),
    [sym_subshell] = STATE(4610),
    [sym_string_array] = STATE(4610),
    [sym_symbol_array] = STATE(4610),
    [sym_delimited_symbol] = STATE(4616),
    [sym_regex] = STATE(4610),
    [sym_heredoc_body] = STATE(2021),
    [sym_lambda] = STATE(4652),
    [sym_identifier] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_RPAREN] = ACTIONS(2752),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_COMMA] = ACTIONS(2752),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2904),
    [anon_sym_nil] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_RBRACK] = ACTIONS(2752),
    [anon_sym_DOT_DOT] = ACTIONS(2818),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_and] = ACTIONS(2758),
    [anon_sym_or] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2820),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2822),
    [sym_float] = ACTIONS(2822),
    [sym_self] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_constant] = ACTIONS(2906),
    [anon_sym_DASH_GT] = ACTIONS(2830),
    [sym_simple_symbol] = ACTIONS(2832),
    [sym__string_start] = ACTIONS(2834),
    [sym__symbol_start] = ACTIONS(2836),
    [sym__subshell_start] = ACTIONS(2838),
    [sym__regex_start] = ACTIONS(2840),
    [sym__string_array_start] = ACTIONS(2842),
    [sym__symbol_array_start] = ACTIONS(2844),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2846),
    [sym__unary_minus_num] = ACTIONS(2820),
  },
  [2022] = {
    [sym_heredoc_body] = STATE(2022),
    [sym_identifier] = ACTIONS(2912),
    [anon_sym_BEGIN] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_END] = ACTIONS(2912),
    [anon_sym_def] = ACTIONS(2912),
    [anon_sym_LPAREN] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2912),
    [anon_sym_end] = ACTIONS(2912),
    [anon_sym_rescue] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2910),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2910),
    [anon_sym_STAR] = ACTIONS(2910),
    [anon_sym_nil] = ACTIONS(2912),
    [anon_sym_class] = ACTIONS(2912),
    [anon_sym_LT] = ACTIONS(2910),
    [anon_sym_module] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_yield] = ACTIONS(2912),
    [anon_sym_break] = ACTIONS(2912),
    [anon_sym_next] = ACTIONS(2912),
    [anon_sym_redo] = ACTIONS(2912),
    [anon_sym_retry] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_unless] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_until] = ACTIONS(2912),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_case] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2910),
    [anon_sym_DOT_DOT] = ACTIONS(2912),
    [anon_sym_else] = ACTIONS(2912),
    [anon_sym_begin] = ACTIONS(2912),
    [anon_sym_ensure] = ACTIONS(2912),
    [anon_sym_COLON_COLON2] = ACTIONS(2910),
    [anon_sym_AMP_DOT] = ACTIONS(2910),
    [anon_sym_PLUS] = ACTIONS(2910),
    [anon_sym_defined_QMARK] = ACTIONS(2910),
    [anon_sym_not] = ACTIONS(2912),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_undef] = ACTIONS(2912),
    [anon_sym_alias] = ACTIONS(2912),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2912),
    [sym_float] = ACTIONS(2912),
    [sym_super] = ACTIONS(2912),
    [sym_self] = ACTIONS(2912),
    [sym_true] = ACTIONS(2912),
    [sym_false] = ACTIONS(2912),
    [sym_constant] = ACTIONS(2912),
    [aux_sym_constant_suffix_token1] = ACTIONS(2910),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2912),
    [sym_instance_variable] = ACTIONS(2910),
    [sym_class_variable] = ACTIONS(2910),
    [sym_global_variable] = ACTIONS(2910),
    [sym_character] = ACTIONS(2910),
    [anon_sym_DASH_GT] = ACTIONS(2910),
    [sym__line_break] = ACTIONS(2910),
    [sym_simple_symbol] = ACTIONS(2910),
    [sym__string_start] = ACTIONS(2910),
    [sym__symbol_start] = ACTIONS(2910),
    [sym__subshell_start] = ACTIONS(2910),
    [sym__regex_start] = ACTIONS(2910),
    [sym__string_array_start] = ACTIONS(2910),
    [sym__symbol_array_start] = ACTIONS(2910),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2910),
    [sym__unary_minus] = ACTIONS(2910),
    [sym__unary_minus_num] = ACTIONS(2910),
    [sym__binary_minus] = ACTIONS(2910),
    [sym__identifier_suffix] = ACTIONS(2910),
    [sym__constant_suffix] = ACTIONS(2910),
    [sym__element_reference_bracket] = ACTIONS(2910),
  },
  [2023] = {
    [sym__pattern_expr] = STATE(4399),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym_find_pattern] = STATE(4378),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4668),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4584),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_string] = STATE(4357),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(2023),
    [sym_lambda] = STATE(4311),
    [sym_identifier] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_COMMA] = ACTIONS(2340),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2858),
    [anon_sym_nil] = ACTIONS(2764),
    [anon_sym_if] = ACTIONS(2794),
    [anon_sym_unless] = ACTIONS(2794),
    [anon_sym_do] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_DOT_DOT] = ACTIONS(2860),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_then] = ACTIONS(2794),
    [anon_sym_and] = ACTIONS(2794),
    [anon_sym_or] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2862),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2864),
    [sym_float] = ACTIONS(2864),
    [sym_self] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_constant] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2776),
    [sym__line_break] = ACTIONS(2340),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2782),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2862),
  },
  [2024] = {
    [sym_heredoc_body] = STATE(2024),
    [ts_builtin_sym_end] = ACTIONS(2588),
    [sym_identifier] = ACTIONS(2586),
    [aux_sym_program_token1] = ACTIONS(2588),
    [anon_sym___END__] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_def] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_rescue] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_nil] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_next] = ACTIONS(2586),
    [anon_sym_redo] = ACTIONS(2586),
    [anon_sym_retry] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_until] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_begin] = ACTIONS(2586),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_defined_QMARK] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2586),
    [sym_float] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_self] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_constant] = ACTIONS(2586),
    [aux_sym_constant_suffix_token1] = ACTIONS(2588),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2586),
    [sym_instance_variable] = ACTIONS(2588),
    [sym_class_variable] = ACTIONS(2588),
    [sym_global_variable] = ACTIONS(2588),
    [sym_character] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [sym__line_break] = ACTIONS(2588),
    [sym_simple_symbol] = ACTIONS(2588),
    [sym__string_start] = ACTIONS(2588),
    [sym__symbol_start] = ACTIONS(2588),
    [sym__subshell_start] = ACTIONS(2588),
    [sym__regex_start] = ACTIONS(2588),
    [sym__string_array_start] = ACTIONS(2588),
    [sym__symbol_array_start] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2588),
    [sym__block_ampersand] = ACTIONS(2588),
    [sym__splat_star] = ACTIONS(2588),
    [sym__unary_minus] = ACTIONS(2588),
    [sym__unary_minus_num] = ACTIONS(2588),
    [sym__binary_minus] = ACTIONS(2588),
    [sym_hash_key_symbol] = ACTIONS(2588),
    [sym__identifier_suffix] = ACTIONS(2588),
    [sym__constant_suffix] = ACTIONS(2588),
    [sym__hash_splat_star_star] = ACTIONS(2588),
  },
  [2025] = {
    [sym_heredoc_body] = STATE(2025),
    [sym_identifier] = ACTIONS(2918),
    [anon_sym_BEGIN] = ACTIONS(2918),
    [anon_sym_LBRACE] = ACTIONS(2920),
    [anon_sym_RBRACE] = ACTIONS(2920),
    [anon_sym_END] = ACTIONS(2918),
    [anon_sym_def] = ACTIONS(2918),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_RPAREN] = ACTIONS(2920),
    [anon_sym_COLON_COLON] = ACTIONS(2920),
    [anon_sym_end] = ACTIONS(2918),
    [anon_sym_rescue] = ACTIONS(2918),
    [anon_sym_SEMI] = ACTIONS(2920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2920),
    [anon_sym_STAR] = ACTIONS(2920),
    [anon_sym_nil] = ACTIONS(2918),
    [anon_sym_class] = ACTIONS(2918),
    [anon_sym_module] = ACTIONS(2918),
    [anon_sym_return] = ACTIONS(2918),
    [anon_sym_yield] = ACTIONS(2918),
    [anon_sym_break] = ACTIONS(2918),
    [anon_sym_next] = ACTIONS(2918),
    [anon_sym_redo] = ACTIONS(2918),
    [anon_sym_retry] = ACTIONS(2918),
    [anon_sym_if] = ACTIONS(2918),
    [anon_sym_unless] = ACTIONS(2918),
    [anon_sym_while] = ACTIONS(2918),
    [anon_sym_until] = ACTIONS(2918),
    [anon_sym_for] = ACTIONS(2918),
    [anon_sym_in] = ACTIONS(2918),
    [anon_sym_case] = ACTIONS(2918),
    [anon_sym_when] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_DOT_DOT] = ACTIONS(2918),
    [anon_sym_elsif] = ACTIONS(2918),
    [anon_sym_else] = ACTIONS(2918),
    [anon_sym_begin] = ACTIONS(2918),
    [anon_sym_ensure] = ACTIONS(2918),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_defined_QMARK] = ACTIONS(2920),
    [anon_sym_not] = ACTIONS(2918),
    [anon_sym_BANG] = ACTIONS(2920),
    [anon_sym_TILDE] = ACTIONS(2920),
    [anon_sym_undef] = ACTIONS(2918),
    [anon_sym_alias] = ACTIONS(2918),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2918),
    [sym_float] = ACTIONS(2918),
    [sym_super] = ACTIONS(2918),
    [sym_self] = ACTIONS(2918),
    [sym_true] = ACTIONS(2918),
    [sym_false] = ACTIONS(2918),
    [sym_constant] = ACTIONS(2918),
    [aux_sym_constant_suffix_token1] = ACTIONS(2920),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2918),
    [sym_instance_variable] = ACTIONS(2920),
    [sym_class_variable] = ACTIONS(2920),
    [sym_global_variable] = ACTIONS(2920),
    [sym_character] = ACTIONS(2920),
    [anon_sym_DASH_GT] = ACTIONS(2920),
    [sym_simple_symbol] = ACTIONS(2920),
    [sym__string_start] = ACTIONS(2920),
    [sym__symbol_start] = ACTIONS(2920),
    [sym__subshell_start] = ACTIONS(2920),
    [sym__regex_start] = ACTIONS(2920),
    [sym__string_array_start] = ACTIONS(2920),
    [sym__symbol_array_start] = ACTIONS(2920),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2920),
    [sym__unary_minus] = ACTIONS(2920),
    [sym__unary_minus_num] = ACTIONS(2920),
    [sym__binary_minus] = ACTIONS(2920),
    [sym__identifier_suffix] = ACTIONS(2920),
    [sym__constant_suffix] = ACTIONS(2920),
  },
  [2026] = {
    [sym_heredoc_body] = STATE(2026),
    [sym_identifier] = ACTIONS(1084),
    [anon_sym_BEGIN] = ACTIONS(1084),
    [anon_sym_LBRACE] = ACTIONS(1070),
    [anon_sym_RBRACE] = ACTIONS(1070),
    [anon_sym_END] = ACTIONS(1084),
    [anon_sym_def] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1070),
    [anon_sym_RPAREN] = ACTIONS(1070),
    [anon_sym_COLON_COLON] = ACTIONS(1070),
    [anon_sym_end] = ACTIONS(1084),
    [anon_sym_rescue] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(1070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1070),
    [anon_sym_STAR] = ACTIONS(1070),
    [anon_sym_nil] = ACTIONS(1084),
    [anon_sym_class] = ACTIONS(1084),
    [anon_sym_module] = ACTIONS(1084),
    [anon_sym_return] = ACTIONS(1084),
    [anon_sym_yield] = ACTIONS(1084),
    [anon_sym_break] = ACTIONS(1084),
    [anon_sym_next] = ACTIONS(1084),
    [anon_sym_redo] = ACTIONS(1084),
    [anon_sym_retry] = ACTIONS(1084),
    [anon_sym_if] = ACTIONS(1084),
    [anon_sym_unless] = ACTIONS(1084),
    [anon_sym_while] = ACTIONS(1084),
    [anon_sym_until] = ACTIONS(1084),
    [anon_sym_for] = ACTIONS(1084),
    [anon_sym_in] = ACTIONS(1084),
    [anon_sym_case] = ACTIONS(1084),
    [anon_sym_when] = ACTIONS(1084),
    [anon_sym_LBRACK] = ACTIONS(1070),
    [anon_sym_DOT_DOT] = ACTIONS(1084),
    [anon_sym_elsif] = ACTIONS(1084),
    [anon_sym_else] = ACTIONS(1084),
    [anon_sym_begin] = ACTIONS(1084),
    [anon_sym_ensure] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1070),
    [anon_sym_defined_QMARK] = ACTIONS(1070),
    [anon_sym_not] = ACTIONS(1084),
    [anon_sym_BANG] = ACTIONS(1070),
    [anon_sym_TILDE] = ACTIONS(1070),
    [anon_sym_undef] = ACTIONS(1084),
    [anon_sym_alias] = ACTIONS(1084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(1084),
    [sym_float] = ACTIONS(1084),
    [sym_super] = ACTIONS(1084),
    [sym_self] = ACTIONS(1084),
    [sym_true] = ACTIONS(1084),
    [sym_false] = ACTIONS(1084),
    [sym_constant] = ACTIONS(1084),
    [aux_sym_constant_suffix_token1] = ACTIONS(1070),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1084),
    [sym_instance_variable] = ACTIONS(1070),
    [sym_class_variable] = ACTIONS(1070),
    [sym_global_variable] = ACTIONS(1070),
    [sym_character] = ACTIONS(1070),
    [anon_sym_DASH_GT] = ACTIONS(1070),
    [sym_simple_symbol] = ACTIONS(1070),
    [sym__string_start] = ACTIONS(1070),
    [sym__symbol_start] = ACTIONS(1070),
    [sym__subshell_start] = ACTIONS(1070),
    [sym__regex_start] = ACTIONS(1070),
    [sym__string_array_start] = ACTIONS(1070),
    [sym__symbol_array_start] = ACTIONS(1070),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1070),
    [sym__unary_minus] = ACTIONS(1070),
    [sym__unary_minus_num] = ACTIONS(1070),
    [sym__binary_minus] = ACTIONS(1070),
    [sym__identifier_suffix] = ACTIONS(1070),
    [sym__constant_suffix] = ACTIONS(1070),
  },
  [2027] = {
    [sym_heredoc_body] = STATE(2027),
    [sym_identifier] = ACTIONS(2922),
    [anon_sym_BEGIN] = ACTIONS(2922),
    [anon_sym_LBRACE] = ACTIONS(2924),
    [anon_sym_RBRACE] = ACTIONS(2924),
    [anon_sym_END] = ACTIONS(2922),
    [anon_sym_def] = ACTIONS(2922),
    [anon_sym_LPAREN] = ACTIONS(2924),
    [anon_sym_RPAREN] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2924),
    [anon_sym_end] = ACTIONS(2922),
    [anon_sym_rescue] = ACTIONS(2922),
    [anon_sym_SEMI] = ACTIONS(2924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2924),
    [anon_sym_STAR] = ACTIONS(2924),
    [anon_sym_nil] = ACTIONS(2922),
    [anon_sym_class] = ACTIONS(2922),
    [anon_sym_module] = ACTIONS(2922),
    [anon_sym_return] = ACTIONS(2922),
    [anon_sym_yield] = ACTIONS(2922),
    [anon_sym_break] = ACTIONS(2922),
    [anon_sym_next] = ACTIONS(2922),
    [anon_sym_redo] = ACTIONS(2922),
    [anon_sym_retry] = ACTIONS(2922),
    [anon_sym_if] = ACTIONS(2922),
    [anon_sym_unless] = ACTIONS(2922),
    [anon_sym_while] = ACTIONS(2922),
    [anon_sym_until] = ACTIONS(2922),
    [anon_sym_for] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(2922),
    [anon_sym_case] = ACTIONS(2922),
    [anon_sym_when] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_DOT_DOT] = ACTIONS(2922),
    [anon_sym_elsif] = ACTIONS(2922),
    [anon_sym_else] = ACTIONS(2922),
    [anon_sym_begin] = ACTIONS(2922),
    [anon_sym_ensure] = ACTIONS(2922),
    [anon_sym_PLUS] = ACTIONS(2924),
    [anon_sym_defined_QMARK] = ACTIONS(2924),
    [anon_sym_not] = ACTIONS(2922),
    [anon_sym_BANG] = ACTIONS(2924),
    [anon_sym_TILDE] = ACTIONS(2924),
    [anon_sym_undef] = ACTIONS(2922),
    [anon_sym_alias] = ACTIONS(2922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2922),
    [sym_float] = ACTIONS(2922),
    [sym_super] = ACTIONS(2922),
    [sym_self] = ACTIONS(2922),
    [sym_true] = ACTIONS(2922),
    [sym_false] = ACTIONS(2922),
    [sym_constant] = ACTIONS(2922),
    [aux_sym_constant_suffix_token1] = ACTIONS(2924),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2922),
    [sym_instance_variable] = ACTIONS(2924),
    [sym_class_variable] = ACTIONS(2924),
    [sym_global_variable] = ACTIONS(2924),
    [sym_character] = ACTIONS(2924),
    [anon_sym_DASH_GT] = ACTIONS(2924),
    [sym_simple_symbol] = ACTIONS(2924),
    [sym__string_start] = ACTIONS(2924),
    [sym__symbol_start] = ACTIONS(2924),
    [sym__subshell_start] = ACTIONS(2924),
    [sym__regex_start] = ACTIONS(2924),
    [sym__string_array_start] = ACTIONS(2924),
    [sym__symbol_array_start] = ACTIONS(2924),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2924),
    [sym__unary_minus] = ACTIONS(2924),
    [sym__unary_minus_num] = ACTIONS(2924),
    [sym__binary_minus] = ACTIONS(2924),
    [sym__identifier_suffix] = ACTIONS(2924),
    [sym__constant_suffix] = ACTIONS(2924),
  },
  [2028] = {
    [sym_heredoc_body] = STATE(2028),
    [ts_builtin_sym_end] = ACTIONS(2592),
    [sym_identifier] = ACTIONS(2590),
    [aux_sym_program_token1] = ACTIONS(2592),
    [anon_sym___END__] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_def] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2592),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_rescue] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_nil] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_next] = ACTIONS(2590),
    [anon_sym_redo] = ACTIONS(2590),
    [anon_sym_retry] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_begin] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_defined_QMARK] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2590),
    [sym_float] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_self] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_constant] = ACTIONS(2590),
    [aux_sym_constant_suffix_token1] = ACTIONS(2592),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2590),
    [sym_instance_variable] = ACTIONS(2592),
    [sym_class_variable] = ACTIONS(2592),
    [sym_global_variable] = ACTIONS(2592),
    [sym_character] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [sym__line_break] = ACTIONS(2592),
    [sym_simple_symbol] = ACTIONS(2592),
    [sym__string_start] = ACTIONS(2592),
    [sym__symbol_start] = ACTIONS(2592),
    [sym__subshell_start] = ACTIONS(2592),
    [sym__regex_start] = ACTIONS(2592),
    [sym__string_array_start] = ACTIONS(2592),
    [sym__symbol_array_start] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2592),
    [sym__block_ampersand] = ACTIONS(2592),
    [sym__splat_star] = ACTIONS(2592),
    [sym__unary_minus] = ACTIONS(2592),
    [sym__unary_minus_num] = ACTIONS(2592),
    [sym__binary_minus] = ACTIONS(2592),
    [sym_hash_key_symbol] = ACTIONS(2592),
    [sym__identifier_suffix] = ACTIONS(2592),
    [sym__constant_suffix] = ACTIONS(2592),
    [sym__hash_splat_star_star] = ACTIONS(2592),
  },
  [2029] = {
    [sym_heredoc_body] = STATE(2029),
    [ts_builtin_sym_end] = ACTIONS(2896),
    [sym_identifier] = ACTIONS(2894),
    [aux_sym_program_token1] = ACTIONS(2896),
    [anon_sym___END__] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_def] = ACTIONS(2894),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_COLON_COLON] = ACTIONS(2896),
    [anon_sym_rescue] = ACTIONS(2894),
    [anon_sym_COMMA] = ACTIONS(2896),
    [anon_sym_SEMI] = ACTIONS(2896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2896),
    [anon_sym_STAR] = ACTIONS(2896),
    [anon_sym_nil] = ACTIONS(2894),
    [anon_sym_class] = ACTIONS(2894),
    [anon_sym_module] = ACTIONS(2894),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_yield] = ACTIONS(2894),
    [anon_sym_break] = ACTIONS(2894),
    [anon_sym_next] = ACTIONS(2894),
    [anon_sym_redo] = ACTIONS(2894),
    [anon_sym_retry] = ACTIONS(2894),
    [anon_sym_if] = ACTIONS(2894),
    [anon_sym_unless] = ACTIONS(2894),
    [anon_sym_while] = ACTIONS(2894),
    [anon_sym_until] = ACTIONS(2894),
    [anon_sym_for] = ACTIONS(2894),
    [anon_sym_do] = ACTIONS(2894),
    [anon_sym_case] = ACTIONS(2894),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_DOT_DOT] = ACTIONS(2894),
    [anon_sym_begin] = ACTIONS(2894),
    [anon_sym_and] = ACTIONS(2894),
    [anon_sym_or] = ACTIONS(2894),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_defined_QMARK] = ACTIONS(2896),
    [anon_sym_not] = ACTIONS(2894),
    [anon_sym_BANG] = ACTIONS(2896),
    [anon_sym_TILDE] = ACTIONS(2896),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2894),
    [sym_float] = ACTIONS(2894),
    [sym_super] = ACTIONS(2894),
    [sym_self] = ACTIONS(2894),
    [sym_true] = ACTIONS(2894),
    [sym_false] = ACTIONS(2894),
    [sym_constant] = ACTIONS(2894),
    [aux_sym_constant_suffix_token1] = ACTIONS(2896),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2894),
    [sym_instance_variable] = ACTIONS(2896),
    [sym_class_variable] = ACTIONS(2896),
    [sym_global_variable] = ACTIONS(2896),
    [sym_character] = ACTIONS(2896),
    [anon_sym_DASH_GT] = ACTIONS(2896),
    [sym__line_break] = ACTIONS(2896),
    [sym_simple_symbol] = ACTIONS(2896),
    [sym__string_start] = ACTIONS(2896),
    [sym__symbol_start] = ACTIONS(2896),
    [sym__subshell_start] = ACTIONS(2896),
    [sym__regex_start] = ACTIONS(2896),
    [sym__string_array_start] = ACTIONS(2896),
    [sym__symbol_array_start] = ACTIONS(2896),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2896),
    [sym__block_ampersand] = ACTIONS(2896),
    [sym__splat_star] = ACTIONS(2896),
    [sym__unary_minus] = ACTIONS(2896),
    [sym__unary_minus_num] = ACTIONS(2896),
    [sym__binary_minus] = ACTIONS(2896),
    [sym_hash_key_symbol] = ACTIONS(2896),
    [sym__identifier_suffix] = ACTIONS(2896),
    [sym__constant_suffix] = ACTIONS(2896),
    [sym__hash_splat_star_star] = ACTIONS(2896),
  },
  [2030] = {
    [sym_heredoc_body] = STATE(2030),
    [ts_builtin_sym_end] = ACTIONS(2572),
    [sym_identifier] = ACTIONS(2570),
    [aux_sym_program_token1] = ACTIONS(2572),
    [anon_sym___END__] = ACTIONS(2570),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_def] = ACTIONS(2570),
    [anon_sym_LPAREN] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2572),
    [anon_sym_rescue] = ACTIONS(2570),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_nil] = ACTIONS(2570),
    [anon_sym_class] = ACTIONS(2570),
    [anon_sym_module] = ACTIONS(2570),
    [anon_sym_return] = ACTIONS(2570),
    [anon_sym_yield] = ACTIONS(2570),
    [anon_sym_break] = ACTIONS(2570),
    [anon_sym_next] = ACTIONS(2570),
    [anon_sym_redo] = ACTIONS(2570),
    [anon_sym_retry] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2570),
    [anon_sym_unless] = ACTIONS(2570),
    [anon_sym_while] = ACTIONS(2570),
    [anon_sym_until] = ACTIONS(2570),
    [anon_sym_for] = ACTIONS(2570),
    [anon_sym_do] = ACTIONS(2570),
    [anon_sym_case] = ACTIONS(2570),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_DOT_DOT] = ACTIONS(2570),
    [anon_sym_begin] = ACTIONS(2570),
    [anon_sym_and] = ACTIONS(2570),
    [anon_sym_or] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_defined_QMARK] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_TILDE] = ACTIONS(2572),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2570),
    [sym_float] = ACTIONS(2570),
    [sym_super] = ACTIONS(2570),
    [sym_self] = ACTIONS(2570),
    [sym_true] = ACTIONS(2570),
    [sym_false] = ACTIONS(2570),
    [sym_constant] = ACTIONS(2570),
    [aux_sym_constant_suffix_token1] = ACTIONS(2572),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2570),
    [sym_instance_variable] = ACTIONS(2572),
    [sym_class_variable] = ACTIONS(2572),
    [sym_global_variable] = ACTIONS(2572),
    [sym_character] = ACTIONS(2572),
    [anon_sym_DASH_GT] = ACTIONS(2572),
    [sym__line_break] = ACTIONS(2572),
    [sym_simple_symbol] = ACTIONS(2572),
    [sym__string_start] = ACTIONS(2572),
    [sym__symbol_start] = ACTIONS(2572),
    [sym__subshell_start] = ACTIONS(2572),
    [sym__regex_start] = ACTIONS(2572),
    [sym__string_array_start] = ACTIONS(2572),
    [sym__symbol_array_start] = ACTIONS(2572),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2572),
    [sym__block_ampersand] = ACTIONS(2572),
    [sym__splat_star] = ACTIONS(2572),
    [sym__unary_minus] = ACTIONS(2572),
    [sym__unary_minus_num] = ACTIONS(2572),
    [sym__binary_minus] = ACTIONS(2572),
    [sym_hash_key_symbol] = ACTIONS(2572),
    [sym__identifier_suffix] = ACTIONS(2572),
    [sym__constant_suffix] = ACTIONS(2572),
    [sym__hash_splat_star_star] = ACTIONS(2572),
  },
  [2031] = {
    [sym_heredoc_body] = STATE(2031),
    [ts_builtin_sym_end] = ACTIONS(2568),
    [sym_identifier] = ACTIONS(2566),
    [aux_sym_program_token1] = ACTIONS(2568),
    [anon_sym___END__] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_def] = ACTIONS(2566),
    [anon_sym_LPAREN] = ACTIONS(2568),
    [anon_sym_COLON_COLON] = ACTIONS(2568),
    [anon_sym_rescue] = ACTIONS(2566),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_nil] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_module] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_yield] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_next] = ACTIONS(2566),
    [anon_sym_redo] = ACTIONS(2566),
    [anon_sym_retry] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_unless] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_until] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_DOT_DOT] = ACTIONS(2566),
    [anon_sym_begin] = ACTIONS(2566),
    [anon_sym_and] = ACTIONS(2566),
    [anon_sym_or] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_defined_QMARK] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2568),
    [anon_sym_TILDE] = ACTIONS(2568),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2566),
    [sym_float] = ACTIONS(2566),
    [sym_super] = ACTIONS(2566),
    [sym_self] = ACTIONS(2566),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [sym_constant] = ACTIONS(2566),
    [aux_sym_constant_suffix_token1] = ACTIONS(2568),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2566),
    [sym_instance_variable] = ACTIONS(2568),
    [sym_class_variable] = ACTIONS(2568),
    [sym_global_variable] = ACTIONS(2568),
    [sym_character] = ACTIONS(2568),
    [anon_sym_DASH_GT] = ACTIONS(2568),
    [sym__line_break] = ACTIONS(2568),
    [sym_simple_symbol] = ACTIONS(2568),
    [sym__string_start] = ACTIONS(2568),
    [sym__symbol_start] = ACTIONS(2568),
    [sym__subshell_start] = ACTIONS(2568),
    [sym__regex_start] = ACTIONS(2568),
    [sym__string_array_start] = ACTIONS(2568),
    [sym__symbol_array_start] = ACTIONS(2568),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2568),
    [sym__block_ampersand] = ACTIONS(2568),
    [sym__splat_star] = ACTIONS(2568),
    [sym__unary_minus] = ACTIONS(2568),
    [sym__unary_minus_num] = ACTIONS(2568),
    [sym__binary_minus] = ACTIONS(2568),
    [sym_hash_key_symbol] = ACTIONS(2568),
    [sym__identifier_suffix] = ACTIONS(2568),
    [sym__constant_suffix] = ACTIONS(2568),
    [sym__hash_splat_star_star] = ACTIONS(2568),
  },
  [2032] = {
    [sym_heredoc_body] = STATE(2032),
    [ts_builtin_sym_end] = ACTIONS(2584),
    [sym_identifier] = ACTIONS(2582),
    [aux_sym_program_token1] = ACTIONS(2584),
    [anon_sym___END__] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_def] = ACTIONS(2582),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_COLON_COLON] = ACTIONS(2584),
    [anon_sym_rescue] = ACTIONS(2582),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2584),
    [anon_sym_nil] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(2582),
    [anon_sym_module] = ACTIONS(2582),
    [anon_sym_return] = ACTIONS(2582),
    [anon_sym_yield] = ACTIONS(2582),
    [anon_sym_break] = ACTIONS(2582),
    [anon_sym_next] = ACTIONS(2582),
    [anon_sym_redo] = ACTIONS(2582),
    [anon_sym_retry] = ACTIONS(2582),
    [anon_sym_if] = ACTIONS(2582),
    [anon_sym_unless] = ACTIONS(2582),
    [anon_sym_while] = ACTIONS(2582),
    [anon_sym_until] = ACTIONS(2582),
    [anon_sym_for] = ACTIONS(2582),
    [anon_sym_do] = ACTIONS(2582),
    [anon_sym_case] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_DOT_DOT] = ACTIONS(2582),
    [anon_sym_begin] = ACTIONS(2582),
    [anon_sym_and] = ACTIONS(2582),
    [anon_sym_or] = ACTIONS(2582),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_defined_QMARK] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2584),
    [anon_sym_TILDE] = ACTIONS(2584),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2582),
    [sym_float] = ACTIONS(2582),
    [sym_super] = ACTIONS(2582),
    [sym_self] = ACTIONS(2582),
    [sym_true] = ACTIONS(2582),
    [sym_false] = ACTIONS(2582),
    [sym_constant] = ACTIONS(2582),
    [aux_sym_constant_suffix_token1] = ACTIONS(2584),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2582),
    [sym_instance_variable] = ACTIONS(2584),
    [sym_class_variable] = ACTIONS(2584),
    [sym_global_variable] = ACTIONS(2584),
    [sym_character] = ACTIONS(2584),
    [anon_sym_DASH_GT] = ACTIONS(2584),
    [sym__line_break] = ACTIONS(2584),
    [sym_simple_symbol] = ACTIONS(2584),
    [sym__string_start] = ACTIONS(2584),
    [sym__symbol_start] = ACTIONS(2584),
    [sym__subshell_start] = ACTIONS(2584),
    [sym__regex_start] = ACTIONS(2584),
    [sym__string_array_start] = ACTIONS(2584),
    [sym__symbol_array_start] = ACTIONS(2584),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2584),
    [sym__block_ampersand] = ACTIONS(2584),
    [sym__splat_star] = ACTIONS(2584),
    [sym__unary_minus] = ACTIONS(2584),
    [sym__unary_minus_num] = ACTIONS(2584),
    [sym__binary_minus] = ACTIONS(2584),
    [sym_hash_key_symbol] = ACTIONS(2584),
    [sym__identifier_suffix] = ACTIONS(2584),
    [sym__constant_suffix] = ACTIONS(2584),
    [sym__hash_splat_star_star] = ACTIONS(2584),
  },
  [2033] = {
    [sym__pattern_expr] = STATE(4780),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_unary_literal] = STATE(4664),
    [sym__literal] = STATE(4610),
    [sym__numeric] = STATE(4616),
    [sym__simple_numeric] = STATE(4664),
    [sym__int_or_float] = STATE(5446),
    [sym_complex] = STATE(4665),
    [sym_rational] = STATE(4665),
    [sym_nil] = STATE(4648),
    [sym_string] = STATE(4610),
    [sym_subshell] = STATE(4610),
    [sym_string_array] = STATE(4610),
    [sym_symbol_array] = STATE(4610),
    [sym_delimited_symbol] = STATE(4616),
    [sym_regex] = STATE(4610),
    [sym_heredoc_body] = STATE(2033),
    [sym_lambda] = STATE(4652),
    [sym_identifier] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_RBRACE] = ACTIONS(2796),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_RPAREN] = ACTIONS(2796),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_COMMA] = ACTIONS(2796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2810),
    [anon_sym_nil] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_RBRACK] = ACTIONS(2796),
    [anon_sym_DOT_DOT] = ACTIONS(2818),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_and] = ACTIONS(2798),
    [anon_sym_or] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2820),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2822),
    [sym_float] = ACTIONS(2822),
    [sym_self] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_constant] = ACTIONS(2906),
    [anon_sym_DASH_GT] = ACTIONS(2830),
    [sym_simple_symbol] = ACTIONS(2832),
    [sym__string_start] = ACTIONS(2834),
    [sym__symbol_start] = ACTIONS(2836),
    [sym__subshell_start] = ACTIONS(2838),
    [sym__regex_start] = ACTIONS(2840),
    [sym__string_array_start] = ACTIONS(2842),
    [sym__symbol_array_start] = ACTIONS(2844),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2846),
    [sym__unary_minus_num] = ACTIONS(2820),
  },
  [2034] = {
    [sym_heredoc_body] = STATE(2034),
    [ts_builtin_sym_end] = ACTIONS(2592),
    [aux_sym_program_token1] = ACTIONS(2592),
    [anon_sym___END__] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_RBRACE] = ACTIONS(2592),
    [anon_sym_RPAREN] = ACTIONS(2592),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_end] = ACTIONS(2592),
    [anon_sym_rescue] = ACTIONS(2592),
    [anon_sym_EQ] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2592),
    [anon_sym_unless] = ACTIONS(2592),
    [anon_sym_while] = ACTIONS(2592),
    [anon_sym_until] = ACTIONS(2592),
    [anon_sym_in] = ACTIONS(2592),
    [anon_sym_do] = ACTIONS(2592),
    [anon_sym_when] = ACTIONS(2592),
    [anon_sym_EQ_GT] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2590),
    [anon_sym_elsif] = ACTIONS(2592),
    [anon_sym_else] = ACTIONS(2592),
    [anon_sym_then] = ACTIONS(2592),
    [anon_sym_ensure] = ACTIONS(2592),
    [anon_sym_COLON_COLON2] = ACTIONS(2592),
    [anon_sym_AMP_DOT] = ACTIONS(2592),
    [anon_sym_PLUS_EQ] = ACTIONS(2592),
    [anon_sym_DASH_EQ] = ACTIONS(2592),
    [anon_sym_STAR_EQ] = ACTIONS(2592),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2592),
    [anon_sym_SLASH_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_EQ] = ACTIONS(2592),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2592),
    [anon_sym_AMP_EQ] = ACTIONS(2592),
    [anon_sym_PERCENT_EQ] = ACTIONS(2592),
    [anon_sym_GT_GT_EQ] = ACTIONS(2592),
    [anon_sym_LT_LT_EQ] = ACTIONS(2592),
    [anon_sym_CARET_EQ] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2592),
    [anon_sym_and] = ACTIONS(2592),
    [anon_sym_or] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2590),
    [anon_sym_LT_LT] = ACTIONS(2590),
    [anon_sym_GT_GT] = ACTIONS(2590),
    [anon_sym_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT] = ACTIONS(2590),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_SLASH] = ACTIONS(2590),
    [anon_sym_PERCENT] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2590),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2592),
    [anon_sym_LT_EQ_GT] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2592),
    [anon_sym_BANG_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2592),
    [sym__binary_star] = ACTIONS(2592),
    [sym__binary_star_star] = ACTIONS(2592),
    [sym__element_reference_bracket] = ACTIONS(2592),
  },
  [2035] = {
    [sym_heredoc_body] = STATE(2035),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_RBRACE] = ACTIONS(745),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_end] = ACTIONS(745),
    [anon_sym_rescue] = ACTIONS(745),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_COLON] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(745),
    [anon_sym_unless] = ACTIONS(745),
    [anon_sym_while] = ACTIONS(745),
    [anon_sym_until] = ACTIONS(745),
    [anon_sym_in] = ACTIONS(745),
    [anon_sym_do] = ACTIONS(745),
    [anon_sym_when] = ACTIONS(745),
    [anon_sym_EQ_GT] = ACTIONS(2688),
    [anon_sym_LBRACK2] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_elsif] = ACTIONS(745),
    [anon_sym_else] = ACTIONS(745),
    [anon_sym_then] = ACTIONS(745),
    [anon_sym_ensure] = ACTIONS(745),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(745),
    [anon_sym_and] = ACTIONS(745),
    [anon_sym_or] = ACTIONS(745),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [2036] = {
    [sym_heredoc_body] = STATE(2036),
    [ts_builtin_sym_end] = ACTIONS(745),
    [aux_sym_program_token1] = ACTIONS(745),
    [anon_sym___END__] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_RBRACE] = ACTIONS(745),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_end] = ACTIONS(745),
    [anon_sym_rescue] = ACTIONS(745),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(745),
    [anon_sym_unless] = ACTIONS(745),
    [anon_sym_while] = ACTIONS(745),
    [anon_sym_until] = ACTIONS(745),
    [anon_sym_in] = ACTIONS(745),
    [anon_sym_do] = ACTIONS(745),
    [anon_sym_when] = ACTIONS(745),
    [anon_sym_EQ_GT] = ACTIONS(2930),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_elsif] = ACTIONS(745),
    [anon_sym_else] = ACTIONS(745),
    [anon_sym_then] = ACTIONS(745),
    [anon_sym_ensure] = ACTIONS(745),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(745),
    [anon_sym_and] = ACTIONS(745),
    [anon_sym_or] = ACTIONS(745),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [2037] = {
    [sym_heredoc_body] = STATE(2037),
    [ts_builtin_sym_end] = ACTIONS(2564),
    [aux_sym_program_token1] = ACTIONS(2564),
    [anon_sym___END__] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_RBRACE] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2562),
    [anon_sym_end] = ACTIONS(2564),
    [anon_sym_rescue] = ACTIONS(2564),
    [anon_sym_EQ] = ACTIONS(2562),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_LT] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_unless] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_until] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_when] = ACTIONS(2564),
    [anon_sym_EQ_GT] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_DOT_DOT] = ACTIONS(2562),
    [anon_sym_CARET] = ACTIONS(2562),
    [anon_sym_elsif] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_then] = ACTIONS(2564),
    [anon_sym_ensure] = ACTIONS(2564),
    [anon_sym_COLON_COLON2] = ACTIONS(2564),
    [anon_sym_AMP_DOT] = ACTIONS(2564),
    [anon_sym_PLUS_EQ] = ACTIONS(2564),
    [anon_sym_DASH_EQ] = ACTIONS(2564),
    [anon_sym_STAR_EQ] = ACTIONS(2564),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2564),
    [anon_sym_SLASH_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_EQ] = ACTIONS(2564),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2564),
    [anon_sym_AMP_EQ] = ACTIONS(2564),
    [anon_sym_PERCENT_EQ] = ACTIONS(2564),
    [anon_sym_GT_GT_EQ] = ACTIONS(2564),
    [anon_sym_LT_LT_EQ] = ACTIONS(2564),
    [anon_sym_CARET_EQ] = ACTIONS(2564),
    [anon_sym_QMARK] = ACTIONS(2564),
    [anon_sym_and] = ACTIONS(2564),
    [anon_sym_or] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_LT_LT] = ACTIONS(2562),
    [anon_sym_GT_GT] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT] = ACTIONS(2562),
    [anon_sym_GT_EQ] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_SLASH] = ACTIONS(2562),
    [anon_sym_PERCENT] = ACTIONS(2562),
    [anon_sym_EQ_EQ] = ACTIONS(2562),
    [anon_sym_BANG_EQ] = ACTIONS(2564),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2564),
    [anon_sym_LT_EQ_GT] = ACTIONS(2564),
    [anon_sym_EQ_TILDE] = ACTIONS(2564),
    [anon_sym_BANG_TILDE] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2564),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2564),
    [sym__binary_star] = ACTIONS(2564),
    [sym__binary_star_star] = ACTIONS(2564),
    [sym__element_reference_bracket] = ACTIONS(2564),
  },
  [2038] = {
    [sym_heredoc_body] = STATE(2038),
    [ts_builtin_sym_end] = ACTIONS(2576),
    [aux_sym_program_token1] = ACTIONS(2576),
    [anon_sym___END__] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_RBRACE] = ACTIONS(2576),
    [anon_sym_RPAREN] = ACTIONS(2576),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_end] = ACTIONS(2576),
    [anon_sym_rescue] = ACTIONS(2576),
    [anon_sym_EQ] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_unless] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_until] = ACTIONS(2576),
    [anon_sym_in] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_when] = ACTIONS(2576),
    [anon_sym_EQ_GT] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_elsif] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(2576),
    [anon_sym_then] = ACTIONS(2576),
    [anon_sym_ensure] = ACTIONS(2576),
    [anon_sym_COLON_COLON2] = ACTIONS(2576),
    [anon_sym_AMP_DOT] = ACTIONS(2576),
    [anon_sym_PLUS_EQ] = ACTIONS(2576),
    [anon_sym_DASH_EQ] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(2576),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2576),
    [anon_sym_SLASH_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_EQ] = ACTIONS(2576),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2576),
    [anon_sym_AMP_EQ] = ACTIONS(2576),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_GT_GT_EQ] = ACTIONS(2576),
    [anon_sym_LT_LT_EQ] = ACTIONS(2576),
    [anon_sym_CARET_EQ] = ACTIONS(2576),
    [anon_sym_QMARK] = ACTIONS(2576),
    [anon_sym_and] = ACTIONS(2576),
    [anon_sym_or] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2578),
    [anon_sym_GT_GT] = ACTIONS(2578),
    [anon_sym_LT_EQ] = ACTIONS(2578),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_GT_EQ] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ] = ACTIONS(2576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2576),
    [anon_sym_LT_EQ_GT] = ACTIONS(2576),
    [anon_sym_EQ_TILDE] = ACTIONS(2576),
    [anon_sym_BANG_TILDE] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2576),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2576),
    [sym__binary_star] = ACTIONS(2576),
    [sym__binary_star_star] = ACTIONS(2576),
    [sym__element_reference_bracket] = ACTIONS(2576),
  },
  [2039] = {
    [sym_heredoc_body] = STATE(2039),
    [ts_builtin_sym_end] = ACTIONS(2572),
    [aux_sym_program_token1] = ACTIONS(2572),
    [anon_sym___END__] = ACTIONS(2570),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_RBRACE] = ACTIONS(2572),
    [anon_sym_RPAREN] = ACTIONS(2572),
    [anon_sym_DOT] = ACTIONS(2570),
    [anon_sym_end] = ACTIONS(2572),
    [anon_sym_rescue] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(2570),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_PIPE] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2572),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_unless] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_until] = ACTIONS(2572),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_when] = ACTIONS(2572),
    [anon_sym_EQ_GT] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_DOT_DOT] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_elsif] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_then] = ACTIONS(2572),
    [anon_sym_ensure] = ACTIONS(2572),
    [anon_sym_COLON_COLON2] = ACTIONS(2572),
    [anon_sym_AMP_DOT] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2572),
    [anon_sym_DASH_EQ] = ACTIONS(2572),
    [anon_sym_STAR_EQ] = ACTIONS(2572),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2572),
    [anon_sym_SLASH_EQ] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2572),
    [anon_sym_PIPE_EQ] = ACTIONS(2572),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2572),
    [anon_sym_AMP_EQ] = ACTIONS(2572),
    [anon_sym_PERCENT_EQ] = ACTIONS(2572),
    [anon_sym_GT_GT_EQ] = ACTIONS(2572),
    [anon_sym_LT_LT_EQ] = ACTIONS(2572),
    [anon_sym_CARET_EQ] = ACTIONS(2572),
    [anon_sym_QMARK] = ACTIONS(2572),
    [anon_sym_and] = ACTIONS(2572),
    [anon_sym_or] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_LT_LT] = ACTIONS(2570),
    [anon_sym_GT_GT] = ACTIONS(2570),
    [anon_sym_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT] = ACTIONS(2570),
    [anon_sym_GT_EQ] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_SLASH] = ACTIONS(2570),
    [anon_sym_PERCENT] = ACTIONS(2570),
    [anon_sym_EQ_EQ] = ACTIONS(2570),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2572),
    [anon_sym_LT_EQ_GT] = ACTIONS(2572),
    [anon_sym_EQ_TILDE] = ACTIONS(2572),
    [anon_sym_BANG_TILDE] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2572),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2572),
    [sym__binary_star] = ACTIONS(2572),
    [sym__binary_star_star] = ACTIONS(2572),
    [sym__element_reference_bracket] = ACTIONS(2572),
  },
  [2040] = {
    [sym__pattern_expr] = STATE(4767),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4746),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4681),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_unary_literal] = STATE(4664),
    [sym__literal] = STATE(4610),
    [sym__numeric] = STATE(4616),
    [sym__simple_numeric] = STATE(4664),
    [sym__int_or_float] = STATE(5446),
    [sym_complex] = STATE(4665),
    [sym_rational] = STATE(4665),
    [sym_nil] = STATE(4648),
    [sym_string] = STATE(4610),
    [sym_subshell] = STATE(4610),
    [sym_string_array] = STATE(4610),
    [sym_symbol_array] = STATE(4610),
    [sym_delimited_symbol] = STATE(4616),
    [sym_regex] = STATE(4610),
    [sym_heredoc_body] = STATE(2040),
    [sym_lambda] = STATE(4652),
    [sym_identifier] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_RPAREN] = ACTIONS(2340),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_rescue] = ACTIONS(2794),
    [anon_sym_COMMA] = ACTIONS(2340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2870),
    [anon_sym_nil] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_RBRACK] = ACTIONS(2340),
    [anon_sym_DOT_DOT] = ACTIONS(2872),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_and] = ACTIONS(2794),
    [anon_sym_or] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2874),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2876),
    [sym_float] = ACTIONS(2876),
    [sym_self] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_constant] = ACTIONS(2906),
    [anon_sym_DASH_GT] = ACTIONS(2830),
    [sym_simple_symbol] = ACTIONS(2832),
    [sym__string_start] = ACTIONS(2834),
    [sym__symbol_start] = ACTIONS(2836),
    [sym__subshell_start] = ACTIONS(2838),
    [sym__regex_start] = ACTIONS(2840),
    [sym__string_array_start] = ACTIONS(2842),
    [sym__symbol_array_start] = ACTIONS(2844),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2846),
    [sym__unary_minus_num] = ACTIONS(2874),
  },
  [2041] = {
    [sym_heredoc_body] = STATE(2041),
    [ts_builtin_sym_end] = ACTIONS(745),
    [aux_sym_program_token1] = ACTIONS(745),
    [anon_sym___END__] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_RBRACE] = ACTIONS(745),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_end] = ACTIONS(745),
    [anon_sym_rescue] = ACTIONS(745),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(745),
    [anon_sym_unless] = ACTIONS(745),
    [anon_sym_while] = ACTIONS(745),
    [anon_sym_until] = ACTIONS(745),
    [anon_sym_in] = ACTIONS(745),
    [anon_sym_do] = ACTIONS(745),
    [anon_sym_when] = ACTIONS(745),
    [anon_sym_EQ_GT] = ACTIONS(745),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_elsif] = ACTIONS(745),
    [anon_sym_else] = ACTIONS(745),
    [anon_sym_then] = ACTIONS(745),
    [anon_sym_ensure] = ACTIONS(745),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(745),
    [anon_sym_and] = ACTIONS(745),
    [anon_sym_or] = ACTIONS(745),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [2042] = {
    [sym_heredoc_body] = STATE(2042),
    [ts_builtin_sym_end] = ACTIONS(2580),
    [aux_sym_program_token1] = ACTIONS(2580),
    [anon_sym___END__] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_RPAREN] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2574),
    [anon_sym_end] = ACTIONS(2580),
    [anon_sym_rescue] = ACTIONS(2580),
    [anon_sym_EQ] = ACTIONS(2574),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_LT] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_unless] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_until] = ACTIONS(2580),
    [anon_sym_in] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_when] = ACTIONS(2580),
    [anon_sym_EQ_GT] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2574),
    [anon_sym_CARET] = ACTIONS(2574),
    [anon_sym_elsif] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_then] = ACTIONS(2580),
    [anon_sym_ensure] = ACTIONS(2580),
    [anon_sym_COLON_COLON2] = ACTIONS(2580),
    [anon_sym_AMP_DOT] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_and] = ACTIONS(2580),
    [anon_sym_or] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_LT_LT] = ACTIONS(2574),
    [anon_sym_GT_GT] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_GT] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2574),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ_GT] = ACTIONS(2580),
    [anon_sym_EQ_TILDE] = ACTIONS(2580),
    [anon_sym_BANG_TILDE] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2580),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2580),
    [sym__binary_star] = ACTIONS(2580),
    [sym__binary_star_star] = ACTIONS(2580),
    [sym__element_reference_bracket] = ACTIONS(2580),
  },
  [2043] = {
    [sym__pattern_expr] = STATE(4780),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4746),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4681),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_unary_literal] = STATE(4664),
    [sym__literal] = STATE(4610),
    [sym__numeric] = STATE(4616),
    [sym__simple_numeric] = STATE(4664),
    [sym__int_or_float] = STATE(5446),
    [sym_complex] = STATE(4665),
    [sym_rational] = STATE(4665),
    [sym_nil] = STATE(4648),
    [sym_string] = STATE(4610),
    [sym_subshell] = STATE(4610),
    [sym_string_array] = STATE(4610),
    [sym_symbol_array] = STATE(4610),
    [sym_delimited_symbol] = STATE(4616),
    [sym_regex] = STATE(4610),
    [sym_heredoc_body] = STATE(2043),
    [sym_lambda] = STATE(4652),
    [sym_identifier] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_RPAREN] = ACTIONS(2796),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_rescue] = ACTIONS(2798),
    [anon_sym_COMMA] = ACTIONS(2796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2870),
    [anon_sym_nil] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_RBRACK] = ACTIONS(2796),
    [anon_sym_DOT_DOT] = ACTIONS(2872),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_and] = ACTIONS(2798),
    [anon_sym_or] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2874),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2876),
    [sym_float] = ACTIONS(2876),
    [sym_self] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_constant] = ACTIONS(2906),
    [anon_sym_DASH_GT] = ACTIONS(2830),
    [sym_simple_symbol] = ACTIONS(2832),
    [sym__string_start] = ACTIONS(2834),
    [sym__symbol_start] = ACTIONS(2836),
    [sym__subshell_start] = ACTIONS(2838),
    [sym__regex_start] = ACTIONS(2840),
    [sym__string_array_start] = ACTIONS(2842),
    [sym__symbol_array_start] = ACTIONS(2844),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2846),
    [sym__unary_minus_num] = ACTIONS(2874),
  },
  [2044] = {
    [sym_heredoc_body] = STATE(2044),
    [ts_builtin_sym_end] = ACTIONS(2588),
    [aux_sym_program_token1] = ACTIONS(2588),
    [anon_sym___END__] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_RPAREN] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_end] = ACTIONS(2588),
    [anon_sym_rescue] = ACTIONS(2588),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2588),
    [anon_sym_unless] = ACTIONS(2588),
    [anon_sym_while] = ACTIONS(2588),
    [anon_sym_until] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2588),
    [anon_sym_do] = ACTIONS(2588),
    [anon_sym_when] = ACTIONS(2588),
    [anon_sym_EQ_GT] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_elsif] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2588),
    [anon_sym_then] = ACTIONS(2588),
    [anon_sym_ensure] = ACTIONS(2588),
    [anon_sym_COLON_COLON2] = ACTIONS(2588),
    [anon_sym_AMP_DOT] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2588),
    [anon_sym_PIPE_EQ] = ACTIONS(2588),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2588),
    [anon_sym_AMP_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_GT_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_LT_EQ] = ACTIONS(2588),
    [anon_sym_CARET_EQ] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2588),
    [anon_sym_and] = ACTIONS(2588),
    [anon_sym_or] = ACTIONS(2588),
    [anon_sym_PIPE_PIPE] = ACTIONS(2586),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2586),
    [anon_sym_GT_GT] = ACTIONS(2586),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ_GT] = ACTIONS(2588),
    [anon_sym_EQ_TILDE] = ACTIONS(2588),
    [anon_sym_BANG_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2588),
    [sym__binary_star] = ACTIONS(2588),
    [sym__binary_star_star] = ACTIONS(2588),
    [sym__element_reference_bracket] = ACTIONS(2588),
  },
  [2045] = {
    [sym_heredoc_body] = STATE(2045),
    [ts_builtin_sym_end] = ACTIONS(2576),
    [aux_sym_program_token1] = ACTIONS(2576),
    [anon_sym___END__] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2576),
    [anon_sym_RPAREN] = ACTIONS(2576),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_end] = ACTIONS(2576),
    [anon_sym_rescue] = ACTIONS(2576),
    [anon_sym_EQ] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_unless] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_until] = ACTIONS(2576),
    [anon_sym_in] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_when] = ACTIONS(2576),
    [anon_sym_EQ_GT] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_elsif] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(2576),
    [anon_sym_then] = ACTIONS(2576),
    [anon_sym_ensure] = ACTIONS(2576),
    [anon_sym_COLON_COLON2] = ACTIONS(2576),
    [anon_sym_AMP_DOT] = ACTIONS(2576),
    [anon_sym_PLUS_EQ] = ACTIONS(2576),
    [anon_sym_DASH_EQ] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(2576),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2576),
    [anon_sym_SLASH_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_EQ] = ACTIONS(2576),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2576),
    [anon_sym_AMP_EQ] = ACTIONS(2576),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_GT_GT_EQ] = ACTIONS(2576),
    [anon_sym_LT_LT_EQ] = ACTIONS(2576),
    [anon_sym_CARET_EQ] = ACTIONS(2576),
    [anon_sym_QMARK] = ACTIONS(2576),
    [anon_sym_and] = ACTIONS(2576),
    [anon_sym_or] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_LT_LT] = ACTIONS(2578),
    [anon_sym_GT_GT] = ACTIONS(2578),
    [anon_sym_LT_EQ] = ACTIONS(2578),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_GT_EQ] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ] = ACTIONS(2576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2576),
    [anon_sym_LT_EQ_GT] = ACTIONS(2576),
    [anon_sym_EQ_TILDE] = ACTIONS(2576),
    [anon_sym_BANG_TILDE] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2576),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2576),
    [sym__binary_star] = ACTIONS(2576),
    [sym__binary_star_star] = ACTIONS(2576),
    [sym__element_reference_bracket] = ACTIONS(2576),
  },
  [2046] = {
    [sym_heredoc_body] = STATE(2046),
    [ts_builtin_sym_end] = ACTIONS(2568),
    [aux_sym_program_token1] = ACTIONS(2568),
    [anon_sym___END__] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_RBRACE] = ACTIONS(2568),
    [anon_sym_RPAREN] = ACTIONS(2568),
    [anon_sym_DOT] = ACTIONS(2566),
    [anon_sym_end] = ACTIONS(2568),
    [anon_sym_rescue] = ACTIONS(2568),
    [anon_sym_EQ] = ACTIONS(2566),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_PIPE] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_LT] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_unless] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_until] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_when] = ACTIONS(2568),
    [anon_sym_EQ_GT] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_DOT_DOT] = ACTIONS(2566),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_elsif] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_then] = ACTIONS(2568),
    [anon_sym_ensure] = ACTIONS(2568),
    [anon_sym_COLON_COLON2] = ACTIONS(2568),
    [anon_sym_AMP_DOT] = ACTIONS(2568),
    [anon_sym_PLUS_EQ] = ACTIONS(2568),
    [anon_sym_DASH_EQ] = ACTIONS(2568),
    [anon_sym_STAR_EQ] = ACTIONS(2568),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2568),
    [anon_sym_AMP_EQ] = ACTIONS(2568),
    [anon_sym_PERCENT_EQ] = ACTIONS(2568),
    [anon_sym_GT_GT_EQ] = ACTIONS(2568),
    [anon_sym_LT_LT_EQ] = ACTIONS(2568),
    [anon_sym_CARET_EQ] = ACTIONS(2568),
    [anon_sym_QMARK] = ACTIONS(2568),
    [anon_sym_and] = ACTIONS(2568),
    [anon_sym_or] = ACTIONS(2568),
    [anon_sym_PIPE_PIPE] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_LT_LT] = ACTIONS(2566),
    [anon_sym_GT_GT] = ACTIONS(2566),
    [anon_sym_LT_EQ] = ACTIONS(2566),
    [anon_sym_GT] = ACTIONS(2566),
    [anon_sym_GT_EQ] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym_SLASH] = ACTIONS(2566),
    [anon_sym_PERCENT] = ACTIONS(2566),
    [anon_sym_EQ_EQ] = ACTIONS(2566),
    [anon_sym_BANG_EQ] = ACTIONS(2568),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2568),
    [anon_sym_LT_EQ_GT] = ACTIONS(2568),
    [anon_sym_EQ_TILDE] = ACTIONS(2568),
    [anon_sym_BANG_TILDE] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2568),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2568),
    [sym__binary_star] = ACTIONS(2568),
    [sym__binary_star_star] = ACTIONS(2568),
    [sym__element_reference_bracket] = ACTIONS(2568),
  },
  [2047] = {
    [sym_heredoc_body] = STATE(2047),
    [ts_builtin_sym_end] = ACTIONS(2584),
    [aux_sym_program_token1] = ACTIONS(2584),
    [anon_sym___END__] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [anon_sym_RPAREN] = ACTIONS(2584),
    [anon_sym_DOT] = ACTIONS(2582),
    [anon_sym_end] = ACTIONS(2584),
    [anon_sym_rescue] = ACTIONS(2584),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_LT] = ACTIONS(2582),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_unless] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_until] = ACTIONS(2584),
    [anon_sym_in] = ACTIONS(2584),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_when] = ACTIONS(2584),
    [anon_sym_EQ_GT] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2584),
    [anon_sym_DOT_DOT] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_elsif] = ACTIONS(2584),
    [anon_sym_else] = ACTIONS(2584),
    [anon_sym_then] = ACTIONS(2584),
    [anon_sym_ensure] = ACTIONS(2584),
    [anon_sym_COLON_COLON2] = ACTIONS(2584),
    [anon_sym_AMP_DOT] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_and] = ACTIONS(2584),
    [anon_sym_or] = ACTIONS(2584),
    [anon_sym_PIPE_PIPE] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_LT_LT] = ACTIONS(2582),
    [anon_sym_GT_GT] = ACTIONS(2582),
    [anon_sym_LT_EQ] = ACTIONS(2582),
    [anon_sym_GT] = ACTIONS(2582),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2582),
    [anon_sym_SLASH] = ACTIONS(2582),
    [anon_sym_PERCENT] = ACTIONS(2582),
    [anon_sym_EQ_EQ] = ACTIONS(2582),
    [anon_sym_BANG_EQ] = ACTIONS(2584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_LT_EQ_GT] = ACTIONS(2584),
    [anon_sym_EQ_TILDE] = ACTIONS(2584),
    [anon_sym_BANG_TILDE] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2584),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2584),
    [sym__binary_star] = ACTIONS(2584),
    [sym__binary_star_star] = ACTIONS(2584),
    [sym__element_reference_bracket] = ACTIONS(2584),
  },
  [2048] = {
    [sym__pattern_expr] = STATE(4767),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_unary_literal] = STATE(4664),
    [sym__literal] = STATE(4610),
    [sym__numeric] = STATE(4616),
    [sym__simple_numeric] = STATE(4664),
    [sym__int_or_float] = STATE(5446),
    [sym_complex] = STATE(4665),
    [sym_rational] = STATE(4665),
    [sym_nil] = STATE(4648),
    [sym_string] = STATE(4610),
    [sym_subshell] = STATE(4610),
    [sym_string_array] = STATE(4610),
    [sym_symbol_array] = STATE(4610),
    [sym_delimited_symbol] = STATE(4616),
    [sym_regex] = STATE(4610),
    [sym_heredoc_body] = STATE(2048),
    [sym_lambda] = STATE(4652),
    [sym_identifier] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_RBRACE] = ACTIONS(2340),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_RPAREN] = ACTIONS(2340),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_COMMA] = ACTIONS(2340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2810),
    [anon_sym_nil] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_RBRACK] = ACTIONS(2340),
    [anon_sym_DOT_DOT] = ACTIONS(2818),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_and] = ACTIONS(2794),
    [anon_sym_or] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2820),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2822),
    [sym_float] = ACTIONS(2822),
    [sym_self] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_constant] = ACTIONS(2906),
    [anon_sym_DASH_GT] = ACTIONS(2830),
    [sym_simple_symbol] = ACTIONS(2832),
    [sym__string_start] = ACTIONS(2834),
    [sym__symbol_start] = ACTIONS(2836),
    [sym__subshell_start] = ACTIONS(2838),
    [sym__regex_start] = ACTIONS(2840),
    [sym__string_array_start] = ACTIONS(2842),
    [sym__symbol_array_start] = ACTIONS(2844),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2846),
    [sym__unary_minus_num] = ACTIONS(2820),
  },
  [2049] = {
    [sym_splat_parameter] = STATE(4913),
    [sym__array_pattern_n] = STATE(5490),
    [sym__pattern_expr] = STATE(5319),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym__array_pattern_body] = STATE(5667),
    [sym_array_pattern] = STATE(4753),
    [sym__find_pattern_body] = STATE(5669),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_unary_literal] = STATE(4664),
    [sym__literal] = STATE(4610),
    [sym__numeric] = STATE(4616),
    [sym__simple_numeric] = STATE(4664),
    [sym__int_or_float] = STATE(5446),
    [sym_complex] = STATE(4665),
    [sym_rational] = STATE(4665),
    [sym_nil] = STATE(4648),
    [sym_string] = STATE(4610),
    [sym_subshell] = STATE(4610),
    [sym_string_array] = STATE(4610),
    [sym_symbol_array] = STATE(4610),
    [sym_delimited_symbol] = STATE(4616),
    [sym_regex] = STATE(4610),
    [sym_heredoc_body] = STATE(2049),
    [sym_lambda] = STATE(4652),
    [sym_identifier] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2904),
    [anon_sym_nil] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_RBRACK] = ACTIONS(2932),
    [anon_sym_DOT_DOT] = ACTIONS(2818),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(2820),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2822),
    [sym_float] = ACTIONS(2822),
    [sym_self] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_constant] = ACTIONS(2906),
    [anon_sym_DASH_GT] = ACTIONS(2830),
    [sym_simple_symbol] = ACTIONS(2832),
    [sym__string_start] = ACTIONS(2834),
    [sym__symbol_start] = ACTIONS(2836),
    [sym__subshell_start] = ACTIONS(2838),
    [sym__regex_start] = ACTIONS(2840),
    [sym__string_array_start] = ACTIONS(2842),
    [sym__symbol_array_start] = ACTIONS(2844),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2846),
    [sym__unary_minus_num] = ACTIONS(2820),
  },
  [2050] = {
    [sym_heredoc_body] = STATE(2050),
    [ts_builtin_sym_end] = ACTIONS(2910),
    [aux_sym_program_token1] = ACTIONS(2910),
    [anon_sym___END__] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_RBRACE] = ACTIONS(2910),
    [anon_sym_RPAREN] = ACTIONS(2910),
    [anon_sym_DOT] = ACTIONS(2912),
    [anon_sym_end] = ACTIONS(2910),
    [anon_sym_rescue] = ACTIONS(2910),
    [anon_sym_EQ] = ACTIONS(2912),
    [anon_sym_COMMA] = ACTIONS(2910),
    [anon_sym_PIPE] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2910),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2910),
    [anon_sym_AMP] = ACTIONS(2912),
    [anon_sym_LT] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2910),
    [anon_sym_unless] = ACTIONS(2910),
    [anon_sym_while] = ACTIONS(2910),
    [anon_sym_until] = ACTIONS(2910),
    [anon_sym_in] = ACTIONS(2910),
    [anon_sym_do] = ACTIONS(2910),
    [anon_sym_when] = ACTIONS(2910),
    [anon_sym_EQ_GT] = ACTIONS(2910),
    [anon_sym_DOT_DOT] = ACTIONS(2912),
    [anon_sym_CARET] = ACTIONS(2912),
    [anon_sym_elsif] = ACTIONS(2910),
    [anon_sym_else] = ACTIONS(2910),
    [anon_sym_then] = ACTIONS(2910),
    [anon_sym_ensure] = ACTIONS(2910),
    [anon_sym_COLON_COLON2] = ACTIONS(2910),
    [anon_sym_AMP_DOT] = ACTIONS(2910),
    [anon_sym_PLUS_EQ] = ACTIONS(2910),
    [anon_sym_DASH_EQ] = ACTIONS(2910),
    [anon_sym_STAR_EQ] = ACTIONS(2910),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2910),
    [anon_sym_SLASH_EQ] = ACTIONS(2910),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2910),
    [anon_sym_PIPE_EQ] = ACTIONS(2910),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2910),
    [anon_sym_AMP_EQ] = ACTIONS(2910),
    [anon_sym_PERCENT_EQ] = ACTIONS(2910),
    [anon_sym_GT_GT_EQ] = ACTIONS(2910),
    [anon_sym_LT_LT_EQ] = ACTIONS(2910),
    [anon_sym_CARET_EQ] = ACTIONS(2910),
    [anon_sym_QMARK] = ACTIONS(2910),
    [anon_sym_and] = ACTIONS(2910),
    [anon_sym_or] = ACTIONS(2910),
    [anon_sym_PIPE_PIPE] = ACTIONS(2912),
    [anon_sym_AMP_AMP] = ACTIONS(2912),
    [anon_sym_LT_LT] = ACTIONS(2912),
    [anon_sym_GT_GT] = ACTIONS(2912),
    [anon_sym_LT_EQ] = ACTIONS(2912),
    [anon_sym_GT] = ACTIONS(2912),
    [anon_sym_GT_EQ] = ACTIONS(2910),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_SLASH] = ACTIONS(2912),
    [anon_sym_PERCENT] = ACTIONS(2912),
    [anon_sym_EQ_EQ] = ACTIONS(2912),
    [anon_sym_BANG_EQ] = ACTIONS(2910),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2910),
    [anon_sym_LT_EQ_GT] = ACTIONS(2910),
    [anon_sym_EQ_TILDE] = ACTIONS(2910),
    [anon_sym_BANG_TILDE] = ACTIONS(2910),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2910),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2910),
    [sym__binary_star] = ACTIONS(2910),
    [sym__binary_star_star] = ACTIONS(2910),
    [sym__element_reference_bracket] = ACTIONS(2910),
  },
  [2051] = {
    [sym_heredoc_body] = STATE(2051),
    [ts_builtin_sym_end] = ACTIONS(2934),
    [aux_sym_program_token1] = ACTIONS(2934),
    [anon_sym___END__] = ACTIONS(2936),
    [anon_sym_LBRACE] = ACTIONS(2934),
    [anon_sym_RBRACE] = ACTIONS(2934),
    [anon_sym_RPAREN] = ACTIONS(2934),
    [anon_sym_DOT] = ACTIONS(2936),
    [anon_sym_end] = ACTIONS(2934),
    [anon_sym_rescue] = ACTIONS(2934),
    [anon_sym_EQ] = ACTIONS(2936),
    [anon_sym_COMMA] = ACTIONS(2934),
    [anon_sym_PIPE] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_if] = ACTIONS(2934),
    [anon_sym_unless] = ACTIONS(2934),
    [anon_sym_while] = ACTIONS(2934),
    [anon_sym_until] = ACTIONS(2934),
    [anon_sym_in] = ACTIONS(2934),
    [anon_sym_do] = ACTIONS(2934),
    [anon_sym_when] = ACTIONS(2934),
    [anon_sym_EQ_GT] = ACTIONS(2934),
    [anon_sym_DOT_DOT] = ACTIONS(2936),
    [anon_sym_CARET] = ACTIONS(2936),
    [anon_sym_elsif] = ACTIONS(2934),
    [anon_sym_else] = ACTIONS(2934),
    [anon_sym_then] = ACTIONS(2934),
    [anon_sym_ensure] = ACTIONS(2934),
    [anon_sym_COLON_COLON2] = ACTIONS(2934),
    [anon_sym_AMP_DOT] = ACTIONS(2934),
    [anon_sym_PLUS_EQ] = ACTIONS(2934),
    [anon_sym_DASH_EQ] = ACTIONS(2934),
    [anon_sym_STAR_EQ] = ACTIONS(2934),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2934),
    [anon_sym_SLASH_EQ] = ACTIONS(2934),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2934),
    [anon_sym_PIPE_EQ] = ACTIONS(2934),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2934),
    [anon_sym_AMP_EQ] = ACTIONS(2934),
    [anon_sym_PERCENT_EQ] = ACTIONS(2934),
    [anon_sym_GT_GT_EQ] = ACTIONS(2934),
    [anon_sym_LT_LT_EQ] = ACTIONS(2934),
    [anon_sym_CARET_EQ] = ACTIONS(2934),
    [anon_sym_QMARK] = ACTIONS(2934),
    [anon_sym_and] = ACTIONS(2934),
    [anon_sym_or] = ACTIONS(2934),
    [anon_sym_PIPE_PIPE] = ACTIONS(2936),
    [anon_sym_AMP_AMP] = ACTIONS(2936),
    [anon_sym_LT_LT] = ACTIONS(2936),
    [anon_sym_GT_GT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(2936),
    [anon_sym_GT] = ACTIONS(2936),
    [anon_sym_GT_EQ] = ACTIONS(2934),
    [anon_sym_PLUS] = ACTIONS(2936),
    [anon_sym_SLASH] = ACTIONS(2936),
    [anon_sym_PERCENT] = ACTIONS(2936),
    [anon_sym_EQ_EQ] = ACTIONS(2936),
    [anon_sym_BANG_EQ] = ACTIONS(2934),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2934),
    [anon_sym_LT_EQ_GT] = ACTIONS(2934),
    [anon_sym_EQ_TILDE] = ACTIONS(2934),
    [anon_sym_BANG_TILDE] = ACTIONS(2934),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2934),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2934),
    [sym__binary_star] = ACTIONS(2934),
    [sym__binary_star_star] = ACTIONS(2934),
    [sym__element_reference_bracket] = ACTIONS(2934),
  },
  [2052] = {
    [sym_heredoc_body] = STATE(2052),
    [ts_builtin_sym_end] = ACTIONS(2938),
    [aux_sym_program_token1] = ACTIONS(2938),
    [anon_sym___END__] = ACTIONS(2940),
    [anon_sym_LBRACE] = ACTIONS(2938),
    [anon_sym_RBRACE] = ACTIONS(2938),
    [anon_sym_RPAREN] = ACTIONS(2938),
    [anon_sym_DOT] = ACTIONS(2940),
    [anon_sym_end] = ACTIONS(2938),
    [anon_sym_rescue] = ACTIONS(2938),
    [anon_sym_EQ] = ACTIONS(2940),
    [anon_sym_COMMA] = ACTIONS(2938),
    [anon_sym_PIPE] = ACTIONS(2940),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym_LT] = ACTIONS(2940),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_unless] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2938),
    [anon_sym_until] = ACTIONS(2938),
    [anon_sym_in] = ACTIONS(2938),
    [anon_sym_do] = ACTIONS(2938),
    [anon_sym_when] = ACTIONS(2938),
    [anon_sym_EQ_GT] = ACTIONS(2938),
    [anon_sym_DOT_DOT] = ACTIONS(2940),
    [anon_sym_CARET] = ACTIONS(2940),
    [anon_sym_elsif] = ACTIONS(2938),
    [anon_sym_else] = ACTIONS(2938),
    [anon_sym_then] = ACTIONS(2938),
    [anon_sym_ensure] = ACTIONS(2938),
    [anon_sym_COLON_COLON2] = ACTIONS(2938),
    [anon_sym_AMP_DOT] = ACTIONS(2938),
    [anon_sym_PLUS_EQ] = ACTIONS(2938),
    [anon_sym_DASH_EQ] = ACTIONS(2938),
    [anon_sym_STAR_EQ] = ACTIONS(2938),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2938),
    [anon_sym_SLASH_EQ] = ACTIONS(2938),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2938),
    [anon_sym_PIPE_EQ] = ACTIONS(2938),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2938),
    [anon_sym_AMP_EQ] = ACTIONS(2938),
    [anon_sym_PERCENT_EQ] = ACTIONS(2938),
    [anon_sym_GT_GT_EQ] = ACTIONS(2938),
    [anon_sym_LT_LT_EQ] = ACTIONS(2938),
    [anon_sym_CARET_EQ] = ACTIONS(2938),
    [anon_sym_QMARK] = ACTIONS(2938),
    [anon_sym_and] = ACTIONS(2938),
    [anon_sym_or] = ACTIONS(2938),
    [anon_sym_PIPE_PIPE] = ACTIONS(2940),
    [anon_sym_AMP_AMP] = ACTIONS(2940),
    [anon_sym_LT_LT] = ACTIONS(2940),
    [anon_sym_GT_GT] = ACTIONS(2940),
    [anon_sym_LT_EQ] = ACTIONS(2940),
    [anon_sym_GT] = ACTIONS(2940),
    [anon_sym_GT_EQ] = ACTIONS(2938),
    [anon_sym_PLUS] = ACTIONS(2940),
    [anon_sym_SLASH] = ACTIONS(2940),
    [anon_sym_PERCENT] = ACTIONS(2940),
    [anon_sym_EQ_EQ] = ACTIONS(2940),
    [anon_sym_BANG_EQ] = ACTIONS(2938),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2938),
    [anon_sym_LT_EQ_GT] = ACTIONS(2938),
    [anon_sym_EQ_TILDE] = ACTIONS(2938),
    [anon_sym_BANG_TILDE] = ACTIONS(2938),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2938),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2938),
    [sym__binary_star] = ACTIONS(2938),
    [sym__binary_star_star] = ACTIONS(2938),
    [sym__element_reference_bracket] = ACTIONS(2938),
  },
  [2053] = {
    [sym_heredoc_body] = STATE(2053),
    [ts_builtin_sym_end] = ACTIONS(123),
    [aux_sym_program_token1] = ACTIONS(123),
    [anon_sym___END__] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_end] = ACTIONS(123),
    [anon_sym_rescue] = ACTIONS(123),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(123),
    [anon_sym_unless] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [anon_sym_in] = ACTIONS(123),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_when] = ACTIONS(123),
    [anon_sym_EQ_GT] = ACTIONS(2930),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_elsif] = ACTIONS(123),
    [anon_sym_else] = ACTIONS(123),
    [anon_sym_then] = ACTIONS(123),
    [anon_sym_ensure] = ACTIONS(123),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(123),
    [anon_sym_and] = ACTIONS(123),
    [anon_sym_or] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(123),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [2054] = {
    [sym_heredoc_body] = STATE(2054),
    [ts_builtin_sym_end] = ACTIONS(2942),
    [aux_sym_program_token1] = ACTIONS(2942),
    [anon_sym___END__] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2942),
    [anon_sym_RBRACE] = ACTIONS(2942),
    [anon_sym_RPAREN] = ACTIONS(2942),
    [anon_sym_DOT] = ACTIONS(2944),
    [anon_sym_end] = ACTIONS(2942),
    [anon_sym_rescue] = ACTIONS(2942),
    [anon_sym_EQ] = ACTIONS(2944),
    [anon_sym_COMMA] = ACTIONS(2942),
    [anon_sym_PIPE] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_LT] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2942),
    [anon_sym_unless] = ACTIONS(2942),
    [anon_sym_while] = ACTIONS(2942),
    [anon_sym_until] = ACTIONS(2942),
    [anon_sym_in] = ACTIONS(2942),
    [anon_sym_do] = ACTIONS(2942),
    [anon_sym_when] = ACTIONS(2942),
    [anon_sym_EQ_GT] = ACTIONS(2942),
    [anon_sym_DOT_DOT] = ACTIONS(2944),
    [anon_sym_CARET] = ACTIONS(2944),
    [anon_sym_elsif] = ACTIONS(2942),
    [anon_sym_else] = ACTIONS(2942),
    [anon_sym_then] = ACTIONS(2942),
    [anon_sym_ensure] = ACTIONS(2942),
    [anon_sym_COLON_COLON2] = ACTIONS(2942),
    [anon_sym_AMP_DOT] = ACTIONS(2942),
    [anon_sym_PLUS_EQ] = ACTIONS(2942),
    [anon_sym_DASH_EQ] = ACTIONS(2942),
    [anon_sym_STAR_EQ] = ACTIONS(2942),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2942),
    [anon_sym_SLASH_EQ] = ACTIONS(2942),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2942),
    [anon_sym_PIPE_EQ] = ACTIONS(2942),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2942),
    [anon_sym_AMP_EQ] = ACTIONS(2942),
    [anon_sym_PERCENT_EQ] = ACTIONS(2942),
    [anon_sym_GT_GT_EQ] = ACTIONS(2942),
    [anon_sym_LT_LT_EQ] = ACTIONS(2942),
    [anon_sym_CARET_EQ] = ACTIONS(2942),
    [anon_sym_QMARK] = ACTIONS(2942),
    [anon_sym_and] = ACTIONS(2942),
    [anon_sym_or] = ACTIONS(2942),
    [anon_sym_PIPE_PIPE] = ACTIONS(2944),
    [anon_sym_AMP_AMP] = ACTIONS(2944),
    [anon_sym_LT_LT] = ACTIONS(2944),
    [anon_sym_GT_GT] = ACTIONS(2944),
    [anon_sym_LT_EQ] = ACTIONS(2944),
    [anon_sym_GT] = ACTIONS(2944),
    [anon_sym_GT_EQ] = ACTIONS(2942),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_SLASH] = ACTIONS(2944),
    [anon_sym_PERCENT] = ACTIONS(2944),
    [anon_sym_EQ_EQ] = ACTIONS(2944),
    [anon_sym_BANG_EQ] = ACTIONS(2942),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2942),
    [anon_sym_LT_EQ_GT] = ACTIONS(2942),
    [anon_sym_EQ_TILDE] = ACTIONS(2942),
    [anon_sym_BANG_TILDE] = ACTIONS(2942),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2942),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2942),
    [sym__binary_star] = ACTIONS(2942),
    [sym__binary_star_star] = ACTIONS(2942),
    [sym__element_reference_bracket] = ACTIONS(2942),
  },
  [2055] = {
    [sym_heredoc_body] = STATE(2055),
    [ts_builtin_sym_end] = ACTIONS(123),
    [aux_sym_program_token1] = ACTIONS(123),
    [anon_sym___END__] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(123),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_end] = ACTIONS(123),
    [anon_sym_rescue] = ACTIONS(123),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_AMP] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(123),
    [anon_sym_unless] = ACTIONS(123),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [anon_sym_in] = ACTIONS(123),
    [anon_sym_do] = ACTIONS(123),
    [anon_sym_when] = ACTIONS(123),
    [anon_sym_EQ_GT] = ACTIONS(123),
    [anon_sym_DOT_DOT] = ACTIONS(129),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_elsif] = ACTIONS(123),
    [anon_sym_else] = ACTIONS(123),
    [anon_sym_then] = ACTIONS(123),
    [anon_sym_ensure] = ACTIONS(123),
    [anon_sym_COLON_COLON2] = ACTIONS(123),
    [anon_sym_AMP_DOT] = ACTIONS(123),
    [anon_sym_PLUS_EQ] = ACTIONS(123),
    [anon_sym_DASH_EQ] = ACTIONS(123),
    [anon_sym_STAR_EQ] = ACTIONS(123),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(123),
    [anon_sym_SLASH_EQ] = ACTIONS(123),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(123),
    [anon_sym_PIPE_EQ] = ACTIONS(123),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(123),
    [anon_sym_AMP_EQ] = ACTIONS(123),
    [anon_sym_PERCENT_EQ] = ACTIONS(123),
    [anon_sym_GT_GT_EQ] = ACTIONS(123),
    [anon_sym_LT_LT_EQ] = ACTIONS(123),
    [anon_sym_CARET_EQ] = ACTIONS(123),
    [anon_sym_QMARK] = ACTIONS(123),
    [anon_sym_and] = ACTIONS(123),
    [anon_sym_or] = ACTIONS(123),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(123),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(123),
    [anon_sym_LT_EQ_GT] = ACTIONS(123),
    [anon_sym_EQ_TILDE] = ACTIONS(123),
    [anon_sym_BANG_TILDE] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(123),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(123),
    [sym__binary_star] = ACTIONS(123),
    [sym__binary_star_star] = ACTIONS(123),
    [sym__element_reference_bracket] = ACTIONS(123),
  },
  [2056] = {
    [sym_splat_parameter] = STATE(4913),
    [sym__array_pattern_n] = STATE(5490),
    [sym__pattern_expr] = STATE(5319),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym__array_pattern_body] = STATE(5793),
    [sym_array_pattern] = STATE(4753),
    [sym__find_pattern_body] = STATE(5729),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_unary_literal] = STATE(4664),
    [sym__literal] = STATE(4610),
    [sym__numeric] = STATE(4616),
    [sym__simple_numeric] = STATE(4664),
    [sym__int_or_float] = STATE(5446),
    [sym_complex] = STATE(4665),
    [sym_rational] = STATE(4665),
    [sym_nil] = STATE(4648),
    [sym_string] = STATE(4610),
    [sym_subshell] = STATE(4610),
    [sym_string_array] = STATE(4610),
    [sym_symbol_array] = STATE(4610),
    [sym_delimited_symbol] = STATE(4616),
    [sym_regex] = STATE(4610),
    [sym_heredoc_body] = STATE(2056),
    [sym_lambda] = STATE(4652),
    [sym_identifier] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2904),
    [anon_sym_nil] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_RBRACK] = ACTIONS(2946),
    [anon_sym_DOT_DOT] = ACTIONS(2818),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(2820),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2822),
    [sym_float] = ACTIONS(2822),
    [sym_self] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_constant] = ACTIONS(2906),
    [anon_sym_DASH_GT] = ACTIONS(2830),
    [sym_simple_symbol] = ACTIONS(2832),
    [sym__string_start] = ACTIONS(2834),
    [sym__symbol_start] = ACTIONS(2836),
    [sym__subshell_start] = ACTIONS(2838),
    [sym__regex_start] = ACTIONS(2840),
    [sym__string_array_start] = ACTIONS(2842),
    [sym__symbol_array_start] = ACTIONS(2844),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2846),
    [sym__unary_minus_num] = ACTIONS(2820),
  },
  [2057] = {
    [sym_heredoc_body] = STATE(2057),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_RBRACE] = ACTIONS(745),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_end] = ACTIONS(745),
    [anon_sym_rescue] = ACTIONS(745),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_COLON] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(745),
    [anon_sym_unless] = ACTIONS(745),
    [anon_sym_while] = ACTIONS(745),
    [anon_sym_until] = ACTIONS(745),
    [anon_sym_in] = ACTIONS(745),
    [anon_sym_do] = ACTIONS(745),
    [anon_sym_when] = ACTIONS(745),
    [anon_sym_EQ_GT] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_elsif] = ACTIONS(745),
    [anon_sym_else] = ACTIONS(745),
    [anon_sym_then] = ACTIONS(745),
    [anon_sym_ensure] = ACTIONS(745),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(745),
    [anon_sym_and] = ACTIONS(745),
    [anon_sym_or] = ACTIONS(745),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [2058] = {
    [sym_heredoc_body] = STATE(2058),
    [sym_identifier] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_def] = ACTIONS(2582),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_RPAREN] = ACTIONS(2584),
    [anon_sym_COLON_COLON] = ACTIONS(2584),
    [anon_sym_rescue] = ACTIONS(2582),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2584),
    [anon_sym_nil] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(2582),
    [anon_sym_module] = ACTIONS(2582),
    [anon_sym_return] = ACTIONS(2582),
    [anon_sym_yield] = ACTIONS(2582),
    [anon_sym_break] = ACTIONS(2582),
    [anon_sym_next] = ACTIONS(2582),
    [anon_sym_redo] = ACTIONS(2582),
    [anon_sym_retry] = ACTIONS(2582),
    [anon_sym_if] = ACTIONS(2582),
    [anon_sym_unless] = ACTIONS(2582),
    [anon_sym_while] = ACTIONS(2582),
    [anon_sym_until] = ACTIONS(2582),
    [anon_sym_for] = ACTIONS(2582),
    [anon_sym_do] = ACTIONS(2582),
    [anon_sym_case] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_RBRACK] = ACTIONS(2584),
    [anon_sym_DOT_DOT] = ACTIONS(2582),
    [anon_sym_begin] = ACTIONS(2582),
    [anon_sym_and] = ACTIONS(2582),
    [anon_sym_or] = ACTIONS(2582),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_defined_QMARK] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2584),
    [anon_sym_TILDE] = ACTIONS(2584),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2582),
    [sym_float] = ACTIONS(2582),
    [sym_super] = ACTIONS(2582),
    [sym_self] = ACTIONS(2582),
    [sym_true] = ACTIONS(2582),
    [sym_false] = ACTIONS(2582),
    [sym_constant] = ACTIONS(2582),
    [aux_sym_constant_suffix_token1] = ACTIONS(2584),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2582),
    [sym_instance_variable] = ACTIONS(2584),
    [sym_class_variable] = ACTIONS(2584),
    [sym_global_variable] = ACTIONS(2584),
    [sym_character] = ACTIONS(2584),
    [anon_sym_DASH_GT] = ACTIONS(2584),
    [sym_simple_symbol] = ACTIONS(2584),
    [sym__string_start] = ACTIONS(2584),
    [sym__symbol_start] = ACTIONS(2584),
    [sym__subshell_start] = ACTIONS(2584),
    [sym__regex_start] = ACTIONS(2584),
    [sym__string_array_start] = ACTIONS(2584),
    [sym__symbol_array_start] = ACTIONS(2584),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2584),
    [sym__block_ampersand] = ACTIONS(2584),
    [sym__splat_star] = ACTIONS(2584),
    [sym__unary_minus] = ACTIONS(2584),
    [sym__unary_minus_num] = ACTIONS(2584),
    [sym__binary_minus] = ACTIONS(2584),
    [sym_hash_key_symbol] = ACTIONS(2584),
    [sym__identifier_suffix] = ACTIONS(2584),
    [sym__constant_suffix] = ACTIONS(2584),
    [sym__hash_splat_star_star] = ACTIONS(2584),
  },
  [2059] = {
    [sym_heredoc_body] = STATE(2059),
    [sym_identifier] = ACTIONS(2950),
    [anon_sym_BEGIN] = ACTIONS(2950),
    [anon_sym_LBRACE] = ACTIONS(2952),
    [anon_sym_END] = ACTIONS(2950),
    [anon_sym_def] = ACTIONS(2950),
    [anon_sym_LPAREN] = ACTIONS(2952),
    [anon_sym_COLON_COLON] = ACTIONS(2952),
    [anon_sym_end] = ACTIONS(2950),
    [anon_sym_rescue] = ACTIONS(2950),
    [anon_sym_EQ] = ACTIONS(2952),
    [anon_sym_SEMI] = ACTIONS(2952),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2952),
    [anon_sym_STAR] = ACTIONS(2952),
    [anon_sym_nil] = ACTIONS(2950),
    [anon_sym_class] = ACTIONS(2950),
    [anon_sym_module] = ACTIONS(2950),
    [anon_sym_return] = ACTIONS(2950),
    [anon_sym_yield] = ACTIONS(2950),
    [anon_sym_break] = ACTIONS(2950),
    [anon_sym_next] = ACTIONS(2950),
    [anon_sym_redo] = ACTIONS(2950),
    [anon_sym_retry] = ACTIONS(2950),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_unless] = ACTIONS(2950),
    [anon_sym_while] = ACTIONS(2950),
    [anon_sym_until] = ACTIONS(2950),
    [anon_sym_for] = ACTIONS(2950),
    [anon_sym_case] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(2952),
    [anon_sym_DOT_DOT] = ACTIONS(2950),
    [anon_sym_else] = ACTIONS(2950),
    [anon_sym_begin] = ACTIONS(2950),
    [anon_sym_ensure] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(2952),
    [anon_sym_defined_QMARK] = ACTIONS(2952),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_BANG] = ACTIONS(2952),
    [anon_sym_TILDE] = ACTIONS(2952),
    [anon_sym_undef] = ACTIONS(2950),
    [anon_sym_alias] = ACTIONS(2950),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2950),
    [sym_float] = ACTIONS(2950),
    [sym_super] = ACTIONS(2950),
    [sym_self] = ACTIONS(2950),
    [sym_true] = ACTIONS(2950),
    [sym_false] = ACTIONS(2950),
    [sym_constant] = ACTIONS(2950),
    [aux_sym_constant_suffix_token1] = ACTIONS(2952),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2950),
    [sym_instance_variable] = ACTIONS(2952),
    [sym_class_variable] = ACTIONS(2952),
    [sym_global_variable] = ACTIONS(2952),
    [sym_character] = ACTIONS(2952),
    [anon_sym_DASH_GT] = ACTIONS(2952),
    [sym__line_break] = ACTIONS(2952),
    [sym_simple_symbol] = ACTIONS(2952),
    [sym__string_start] = ACTIONS(2952),
    [sym__symbol_start] = ACTIONS(2952),
    [sym__subshell_start] = ACTIONS(2952),
    [sym__regex_start] = ACTIONS(2952),
    [sym__string_array_start] = ACTIONS(2952),
    [sym__symbol_array_start] = ACTIONS(2952),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2952),
    [sym__unary_minus] = ACTIONS(2952),
    [sym__unary_minus_num] = ACTIONS(2952),
    [sym__binary_minus] = ACTIONS(2952),
    [sym__identifier_suffix] = ACTIONS(2952),
    [sym__constant_suffix] = ACTIONS(2952),
  },
  [2060] = {
    [sym_heredoc_body] = STATE(2060),
    [sym_identifier] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_def] = ACTIONS(2566),
    [anon_sym_LPAREN] = ACTIONS(2568),
    [anon_sym_RPAREN] = ACTIONS(2568),
    [anon_sym_COLON_COLON] = ACTIONS(2568),
    [anon_sym_rescue] = ACTIONS(2566),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_nil] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_module] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_yield] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_next] = ACTIONS(2566),
    [anon_sym_redo] = ACTIONS(2566),
    [anon_sym_retry] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_unless] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_until] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_RBRACK] = ACTIONS(2568),
    [anon_sym_DOT_DOT] = ACTIONS(2566),
    [anon_sym_begin] = ACTIONS(2566),
    [anon_sym_and] = ACTIONS(2566),
    [anon_sym_or] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_defined_QMARK] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2568),
    [anon_sym_TILDE] = ACTIONS(2568),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2566),
    [sym_float] = ACTIONS(2566),
    [sym_super] = ACTIONS(2566),
    [sym_self] = ACTIONS(2566),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [sym_constant] = ACTIONS(2566),
    [aux_sym_constant_suffix_token1] = ACTIONS(2568),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2566),
    [sym_instance_variable] = ACTIONS(2568),
    [sym_class_variable] = ACTIONS(2568),
    [sym_global_variable] = ACTIONS(2568),
    [sym_character] = ACTIONS(2568),
    [anon_sym_DASH_GT] = ACTIONS(2568),
    [sym_simple_symbol] = ACTIONS(2568),
    [sym__string_start] = ACTIONS(2568),
    [sym__symbol_start] = ACTIONS(2568),
    [sym__subshell_start] = ACTIONS(2568),
    [sym__regex_start] = ACTIONS(2568),
    [sym__string_array_start] = ACTIONS(2568),
    [sym__symbol_array_start] = ACTIONS(2568),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2568),
    [sym__block_ampersand] = ACTIONS(2568),
    [sym__splat_star] = ACTIONS(2568),
    [sym__unary_minus] = ACTIONS(2568),
    [sym__unary_minus_num] = ACTIONS(2568),
    [sym__binary_minus] = ACTIONS(2568),
    [sym_hash_key_symbol] = ACTIONS(2568),
    [sym__identifier_suffix] = ACTIONS(2568),
    [sym__constant_suffix] = ACTIONS(2568),
    [sym__hash_splat_star_star] = ACTIONS(2568),
  },
  [2061] = {
    [sym_heredoc_body] = STATE(2061),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_def] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_RPAREN] = ACTIONS(2588),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_rescue] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_nil] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_next] = ACTIONS(2586),
    [anon_sym_redo] = ACTIONS(2586),
    [anon_sym_retry] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_until] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_RBRACK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_begin] = ACTIONS(2586),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_defined_QMARK] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2586),
    [sym_float] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_self] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_constant] = ACTIONS(2586),
    [aux_sym_constant_suffix_token1] = ACTIONS(2588),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2586),
    [sym_instance_variable] = ACTIONS(2588),
    [sym_class_variable] = ACTIONS(2588),
    [sym_global_variable] = ACTIONS(2588),
    [sym_character] = ACTIONS(2588),
    [anon_sym_DASH_GT] = ACTIONS(2588),
    [sym_simple_symbol] = ACTIONS(2588),
    [sym__string_start] = ACTIONS(2588),
    [sym__symbol_start] = ACTIONS(2588),
    [sym__subshell_start] = ACTIONS(2588),
    [sym__regex_start] = ACTIONS(2588),
    [sym__string_array_start] = ACTIONS(2588),
    [sym__symbol_array_start] = ACTIONS(2588),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2588),
    [sym__block_ampersand] = ACTIONS(2588),
    [sym__splat_star] = ACTIONS(2588),
    [sym__unary_minus] = ACTIONS(2588),
    [sym__unary_minus_num] = ACTIONS(2588),
    [sym__binary_minus] = ACTIONS(2588),
    [sym_hash_key_symbol] = ACTIONS(2588),
    [sym__identifier_suffix] = ACTIONS(2588),
    [sym__constant_suffix] = ACTIONS(2588),
    [sym__hash_splat_star_star] = ACTIONS(2588),
  },
  [2062] = {
    [sym_heredoc_body] = STATE(2062),
    [sym_identifier] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_def] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2592),
    [anon_sym_RPAREN] = ACTIONS(2592),
    [anon_sym_COLON_COLON] = ACTIONS(2592),
    [anon_sym_rescue] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_nil] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_next] = ACTIONS(2590),
    [anon_sym_redo] = ACTIONS(2590),
    [anon_sym_retry] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_RBRACK] = ACTIONS(2592),
    [anon_sym_DOT_DOT] = ACTIONS(2590),
    [anon_sym_begin] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_defined_QMARK] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2592),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2590),
    [sym_float] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_self] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_constant] = ACTIONS(2590),
    [aux_sym_constant_suffix_token1] = ACTIONS(2592),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2590),
    [sym_instance_variable] = ACTIONS(2592),
    [sym_class_variable] = ACTIONS(2592),
    [sym_global_variable] = ACTIONS(2592),
    [sym_character] = ACTIONS(2592),
    [anon_sym_DASH_GT] = ACTIONS(2592),
    [sym_simple_symbol] = ACTIONS(2592),
    [sym__string_start] = ACTIONS(2592),
    [sym__symbol_start] = ACTIONS(2592),
    [sym__subshell_start] = ACTIONS(2592),
    [sym__regex_start] = ACTIONS(2592),
    [sym__string_array_start] = ACTIONS(2592),
    [sym__symbol_array_start] = ACTIONS(2592),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2592),
    [sym__block_ampersand] = ACTIONS(2592),
    [sym__splat_star] = ACTIONS(2592),
    [sym__unary_minus] = ACTIONS(2592),
    [sym__unary_minus_num] = ACTIONS(2592),
    [sym__binary_minus] = ACTIONS(2592),
    [sym_hash_key_symbol] = ACTIONS(2592),
    [sym__identifier_suffix] = ACTIONS(2592),
    [sym__constant_suffix] = ACTIONS(2592),
    [sym__hash_splat_star_star] = ACTIONS(2592),
  },
  [2063] = {
    [sym_heredoc_body] = STATE(2063),
    [sym_identifier] = ACTIONS(2954),
    [anon_sym_BEGIN] = ACTIONS(2954),
    [anon_sym_LBRACE] = ACTIONS(2956),
    [anon_sym_END] = ACTIONS(2954),
    [anon_sym_def] = ACTIONS(2954),
    [anon_sym_LPAREN] = ACTIONS(2956),
    [anon_sym_COLON_COLON] = ACTIONS(2956),
    [anon_sym_end] = ACTIONS(2954),
    [anon_sym_rescue] = ACTIONS(2954),
    [anon_sym_EQ] = ACTIONS(2956),
    [anon_sym_SEMI] = ACTIONS(2956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2956),
    [anon_sym_STAR] = ACTIONS(2956),
    [anon_sym_nil] = ACTIONS(2954),
    [anon_sym_class] = ACTIONS(2954),
    [anon_sym_module] = ACTIONS(2954),
    [anon_sym_return] = ACTIONS(2954),
    [anon_sym_yield] = ACTIONS(2954),
    [anon_sym_break] = ACTIONS(2954),
    [anon_sym_next] = ACTIONS(2954),
    [anon_sym_redo] = ACTIONS(2954),
    [anon_sym_retry] = ACTIONS(2954),
    [anon_sym_if] = ACTIONS(2954),
    [anon_sym_unless] = ACTIONS(2954),
    [anon_sym_while] = ACTIONS(2954),
    [anon_sym_until] = ACTIONS(2954),
    [anon_sym_for] = ACTIONS(2954),
    [anon_sym_case] = ACTIONS(2954),
    [anon_sym_LBRACK] = ACTIONS(2956),
    [anon_sym_DOT_DOT] = ACTIONS(2954),
    [anon_sym_else] = ACTIONS(2954),
    [anon_sym_begin] = ACTIONS(2954),
    [anon_sym_ensure] = ACTIONS(2954),
    [anon_sym_PLUS] = ACTIONS(2956),
    [anon_sym_defined_QMARK] = ACTIONS(2956),
    [anon_sym_not] = ACTIONS(2954),
    [anon_sym_BANG] = ACTIONS(2956),
    [anon_sym_TILDE] = ACTIONS(2956),
    [anon_sym_undef] = ACTIONS(2954),
    [anon_sym_alias] = ACTIONS(2954),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2954),
    [sym_float] = ACTIONS(2954),
    [sym_super] = ACTIONS(2954),
    [sym_self] = ACTIONS(2954),
    [sym_true] = ACTIONS(2954),
    [sym_false] = ACTIONS(2954),
    [sym_constant] = ACTIONS(2954),
    [aux_sym_constant_suffix_token1] = ACTIONS(2956),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2954),
    [sym_instance_variable] = ACTIONS(2956),
    [sym_class_variable] = ACTIONS(2956),
    [sym_global_variable] = ACTIONS(2956),
    [sym_character] = ACTIONS(2956),
    [anon_sym_DASH_GT] = ACTIONS(2956),
    [sym__line_break] = ACTIONS(2956),
    [sym_simple_symbol] = ACTIONS(2956),
    [sym__string_start] = ACTIONS(2956),
    [sym__symbol_start] = ACTIONS(2956),
    [sym__subshell_start] = ACTIONS(2956),
    [sym__regex_start] = ACTIONS(2956),
    [sym__string_array_start] = ACTIONS(2956),
    [sym__symbol_array_start] = ACTIONS(2956),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2956),
    [sym__unary_minus] = ACTIONS(2956),
    [sym__unary_minus_num] = ACTIONS(2956),
    [sym__binary_minus] = ACTIONS(2956),
    [sym__identifier_suffix] = ACTIONS(2956),
    [sym__constant_suffix] = ACTIONS(2956),
  },
  [2064] = {
    [sym_heredoc_body] = STATE(2064),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_def] = ACTIONS(2570),
    [anon_sym_LPAREN] = ACTIONS(2572),
    [anon_sym_RPAREN] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2572),
    [anon_sym_rescue] = ACTIONS(2570),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_nil] = ACTIONS(2570),
    [anon_sym_class] = ACTIONS(2570),
    [anon_sym_module] = ACTIONS(2570),
    [anon_sym_return] = ACTIONS(2570),
    [anon_sym_yield] = ACTIONS(2570),
    [anon_sym_break] = ACTIONS(2570),
    [anon_sym_next] = ACTIONS(2570),
    [anon_sym_redo] = ACTIONS(2570),
    [anon_sym_retry] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2570),
    [anon_sym_unless] = ACTIONS(2570),
    [anon_sym_while] = ACTIONS(2570),
    [anon_sym_until] = ACTIONS(2570),
    [anon_sym_for] = ACTIONS(2570),
    [anon_sym_do] = ACTIONS(2570),
    [anon_sym_case] = ACTIONS(2570),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_RBRACK] = ACTIONS(2572),
    [anon_sym_DOT_DOT] = ACTIONS(2570),
    [anon_sym_begin] = ACTIONS(2570),
    [anon_sym_and] = ACTIONS(2570),
    [anon_sym_or] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_defined_QMARK] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_TILDE] = ACTIONS(2572),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2570),
    [sym_float] = ACTIONS(2570),
    [sym_super] = ACTIONS(2570),
    [sym_self] = ACTIONS(2570),
    [sym_true] = ACTIONS(2570),
    [sym_false] = ACTIONS(2570),
    [sym_constant] = ACTIONS(2570),
    [aux_sym_constant_suffix_token1] = ACTIONS(2572),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2570),
    [sym_instance_variable] = ACTIONS(2572),
    [sym_class_variable] = ACTIONS(2572),
    [sym_global_variable] = ACTIONS(2572),
    [sym_character] = ACTIONS(2572),
    [anon_sym_DASH_GT] = ACTIONS(2572),
    [sym_simple_symbol] = ACTIONS(2572),
    [sym__string_start] = ACTIONS(2572),
    [sym__symbol_start] = ACTIONS(2572),
    [sym__subshell_start] = ACTIONS(2572),
    [sym__regex_start] = ACTIONS(2572),
    [sym__string_array_start] = ACTIONS(2572),
    [sym__symbol_array_start] = ACTIONS(2572),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2572),
    [sym__block_ampersand] = ACTIONS(2572),
    [sym__splat_star] = ACTIONS(2572),
    [sym__unary_minus] = ACTIONS(2572),
    [sym__unary_minus_num] = ACTIONS(2572),
    [sym__binary_minus] = ACTIONS(2572),
    [sym_hash_key_symbol] = ACTIONS(2572),
    [sym__identifier_suffix] = ACTIONS(2572),
    [sym__constant_suffix] = ACTIONS(2572),
    [sym__hash_splat_star_star] = ACTIONS(2572),
  },
  [2065] = {
    [sym_heredoc_body] = STATE(2065),
    [sym_identifier] = ACTIONS(2958),
    [anon_sym_BEGIN] = ACTIONS(2958),
    [anon_sym_LBRACE] = ACTIONS(2960),
    [anon_sym_END] = ACTIONS(2958),
    [anon_sym_def] = ACTIONS(2958),
    [anon_sym_LPAREN] = ACTIONS(2960),
    [anon_sym_COLON_COLON] = ACTIONS(2960),
    [anon_sym_end] = ACTIONS(2958),
    [anon_sym_rescue] = ACTIONS(2958),
    [anon_sym_EQ] = ACTIONS(2960),
    [anon_sym_SEMI] = ACTIONS(2960),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2960),
    [anon_sym_STAR] = ACTIONS(2960),
    [anon_sym_nil] = ACTIONS(2958),
    [anon_sym_class] = ACTIONS(2958),
    [anon_sym_module] = ACTIONS(2958),
    [anon_sym_return] = ACTIONS(2958),
    [anon_sym_yield] = ACTIONS(2958),
    [anon_sym_break] = ACTIONS(2958),
    [anon_sym_next] = ACTIONS(2958),
    [anon_sym_redo] = ACTIONS(2958),
    [anon_sym_retry] = ACTIONS(2958),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_unless] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2958),
    [anon_sym_until] = ACTIONS(2958),
    [anon_sym_for] = ACTIONS(2958),
    [anon_sym_case] = ACTIONS(2958),
    [anon_sym_LBRACK] = ACTIONS(2960),
    [anon_sym_DOT_DOT] = ACTIONS(2958),
    [anon_sym_else] = ACTIONS(2958),
    [anon_sym_begin] = ACTIONS(2958),
    [anon_sym_ensure] = ACTIONS(2958),
    [anon_sym_PLUS] = ACTIONS(2960),
    [anon_sym_defined_QMARK] = ACTIONS(2960),
    [anon_sym_not] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_undef] = ACTIONS(2958),
    [anon_sym_alias] = ACTIONS(2958),
    [sym_comment] = ACTIONS(3),
    [sym_integer] = ACTIONS(2958),
    [sym_float] = ACTIONS(2958),
    [sym_super] = ACTIONS(2958),
    [sym_self] = ACTIONS(2958),
    [sym_true] = ACTIONS(2958),
    [sym_false] = ACTIONS(2958),
    [sym_constant] = ACTIONS(2958),
    [aux_sym_constant_suffix_token1] = ACTIONS(2960),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2958),
    [sym_instance_variable] = ACTIONS(2960),
    [sym_class_variable] = ACTIONS(2960),
    [sym_global_variable] = ACTIONS(2960),
    [sym_character] = ACTIONS(2960),
    [anon_sym_DASH_GT] = ACTIONS(2960),
    [sym__line_break] = ACTIONS(2960),
    [sym_simple_symbol] = ACTIONS(2960),
    [sym__string_start] = ACTIONS(2960),
    [sym__symbol_start] = ACTIONS(2960),
    [sym__subshell_start] = ACTIONS(2960),
    [sym__regex_start] = ACTIONS(2960),
    [sym__string_array_start] = ACTIONS(2960),
    [sym__symbol_array_start] = ACTIONS(2960),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2960),
    [sym__unary_minus] = ACTIONS(2960),
    [sym__unary_minus_num] = ACTIONS(2960),
    [sym__binary_minus] = ACTIONS(2960),
    [sym__identifier_suffix] = ACTIONS(2960),
    [sym__constant_suffix] = ACTIONS(2960),
  },
  [2066] = {
    [sym_heredoc_body] = STATE(2066),
    [sym_identifier] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_def] = ACTIONS(2894),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_RPAREN] = ACTIONS(2896),
    [anon_sym_COLON_COLON] = ACTIONS(2896),
    [anon_sym_rescue] = ACTIONS(2894),
    [anon_sym_COMMA] = ACTIONS(2896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2896),
    [anon_sym_STAR] = ACTIONS(2896),
    [anon_sym_nil] = ACTIONS(2894),
    [anon_sym_class] = ACTIONS(2894),
    [anon_sym_module] = ACTIONS(2894),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_yield] = ACTIONS(2894),
    [anon_sym_break] = ACTIONS(2894),
    [anon_sym_next] = ACTIONS(2894),
    [anon_sym_redo] = ACTIONS(2894),
    [anon_sym_retry] = ACTIONS(2894),
    [anon_sym_if] = ACTIONS(2894),
    [anon_sym_unless] = ACTIONS(2894),
    [anon_sym_while] = ACTIONS(2894),
    [anon_sym_until] = ACTIONS(2894),
    [anon_sym_for] = ACTIONS(2894),
    [anon_sym_do] = ACTIONS(2894),
    [anon_sym_case] = ACTIONS(2894),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_RBRACK] = ACTIONS(2896),
    [anon_sym_DOT_DOT] = ACTIONS(2894),
    [anon_sym_begin] = ACTIONS(2894),
    [anon_sym_and] = ACTIONS(2894),
    [anon_sym_or] = ACTIONS(2894),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_defined_QMARK] = ACTIONS(2896),
    [anon_sym_not] = ACTIONS(2894),
    [anon_sym_BANG] = ACTIONS(2896),
    [anon_sym_TILDE] = ACTIONS(2896),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2894),
    [sym_float] = ACTIONS(2894),
    [sym_super] = ACTIONS(2894),
    [sym_self] = ACTIONS(2894),
    [sym_true] = ACTIONS(2894),
    [sym_false] = ACTIONS(2894),
    [sym_constant] = ACTIONS(2894),
    [aux_sym_constant_suffix_token1] = ACTIONS(2896),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2894),
    [sym_instance_variable] = ACTIONS(2896),
    [sym_class_variable] = ACTIONS(2896),
    [sym_global_variable] = ACTIONS(2896),
    [sym_character] = ACTIONS(2896),
    [anon_sym_DASH_GT] = ACTIONS(2896),
    [sym_simple_symbol] = ACTIONS(2896),
    [sym__string_start] = ACTIONS(2896),
    [sym__symbol_start] = ACTIONS(2896),
    [sym__subshell_start] = ACTIONS(2896),
    [sym__regex_start] = ACTIONS(2896),
    [sym__string_array_start] = ACTIONS(2896),
    [sym__symbol_array_start] = ACTIONS(2896),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2896),
    [sym__block_ampersand] = ACTIONS(2896),
    [sym__splat_star] = ACTIONS(2896),
    [sym__unary_minus] = ACTIONS(2896),
    [sym__unary_minus_num] = ACTIONS(2896),
    [sym__binary_minus] = ACTIONS(2896),
    [sym_hash_key_symbol] = ACTIONS(2896),
    [sym__identifier_suffix] = ACTIONS(2896),
    [sym__constant_suffix] = ACTIONS(2896),
    [sym__hash_splat_star_star] = ACTIONS(2896),
  },
  [2067] = {
    [sym_heredoc_body] = STATE(2067),
    [sym_identifier] = ACTIONS(2962),
    [anon_sym_BEGIN] = ACTIONS(2962),
    [anon_sym_LBRACE] = ACTIONS(2964),
    [anon_sym_END] = ACTIONS(2962),
    [anon_sym_def] = ACTIONS(2962),
    [anon_sym_LPAREN] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2964),
    [anon_sym_end] = ACTIONS(2962),
    [anon_sym_rescue] = ACTIONS(2962),
    [anon_sym_SEMI] = ACTIONS(2964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2964),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_nil] = ACTIONS(2962),
    [anon_sym_class] = ACTIONS(2962),
    [anon_sym_module] = ACTIONS(2962),
    [anon_sym_return] = ACTIONS(2962),
    [anon_sym_yield] = ACTIONS(2962),
    [anon_sym_break] = ACTIONS(2962),
    [anon_sym_next] = ACTIONS(2962),
    [anon_sym_redo] = ACTIONS(2962),
    [anon_sym_retry] = ACTIONS(2962),
    [anon_sym_if] = ACTIONS(2962),
    [anon_sym_unless] = ACTIONS(2962),
    [anon_sym_while] = ACTIONS(2962),
    [anon_sym_until] = ACTIONS(2962),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_case] = ACTIONS(2962),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [anon_sym_DOT_DOT] = ACTIONS(2962),
    [anon_sym_else] = ACTIONS(2962),
    [anon_sym_begin] = ACTIONS(2962),
    [anon_sym_ensure] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2964),
    [anon_sym_defined_QMARK] = ACTIONS(2964),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_BANG] = ACTIONS(2964),
    [anon_sym_TILDE] = ACTIONS(2964),
    [anon_sym_undef] = ACTIONS(2962),
    [anon_sym_alias] = ACTIONS(2962),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2962),
    [sym_float] = ACTIONS(2962),
    [sym_super] = ACTIONS(2962),
    [sym_self] = ACTIONS(2962),
    [sym_true] = ACTIONS(2962),
    [sym_false] = ACTIONS(2962),
    [sym_constant] = ACTIONS(2962),
    [aux_sym_constant_suffix_token1] = ACTIONS(2964),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2962),
    [sym_instance_variable] = ACTIONS(2964),
    [sym_class_variable] = ACTIONS(2964),
    [sym_global_variable] = ACTIONS(2964),
    [sym_character] = ACTIONS(2964),
    [anon_sym_DASH_GT] = ACTIONS(2964),
    [sym__line_break] = ACTIONS(2964),
    [sym_simple_symbol] = ACTIONS(2964),
    [sym__string_start] = ACTIONS(2964),
    [sym__symbol_start] = ACTIONS(2964),
    [sym__subshell_start] = ACTIONS(2964),
    [sym__regex_start] = ACTIONS(2964),
    [sym__string_array_start] = ACTIONS(2964),
    [sym__symbol_array_start] = ACTIONS(2964),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2964),
    [sym__unary_minus] = ACTIONS(2964),
    [sym__unary_minus_num] = ACTIONS(2964),
    [sym__binary_minus] = ACTIONS(2964),
    [sym__identifier_suffix] = ACTIONS(2964),
    [sym__constant_suffix] = ACTIONS(2964),
  },
  [2068] = {
    [sym_heredoc_body] = STATE(2068),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_BEGIN] = ACTIONS(2966),
    [anon_sym_LBRACE] = ACTIONS(2968),
    [anon_sym_END] = ACTIONS(2966),
    [anon_sym_def] = ACTIONS(2966),
    [anon_sym_LPAREN] = ACTIONS(2968),
    [anon_sym_COLON_COLON] = ACTIONS(2968),
    [anon_sym_end] = ACTIONS(2966),
    [anon_sym_rescue] = ACTIONS(2966),
    [anon_sym_SEMI] = ACTIONS(2968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(2968),
    [anon_sym_nil] = ACTIONS(2966),
    [anon_sym_class] = ACTIONS(2966),
    [anon_sym_module] = ACTIONS(2966),
    [anon_sym_return] = ACTIONS(2966),
    [anon_sym_yield] = ACTIONS(2966),
    [anon_sym_break] = ACTIONS(2966),
    [anon_sym_next] = ACTIONS(2966),
    [anon_sym_redo] = ACTIONS(2966),
    [anon_sym_retry] = ACTIONS(2966),
    [anon_sym_if] = ACTIONS(2966),
    [anon_sym_unless] = ACTIONS(2966),
    [anon_sym_while] = ACTIONS(2966),
    [anon_sym_until] = ACTIONS(2966),
    [anon_sym_for] = ACTIONS(2966),
    [anon_sym_case] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2968),
    [anon_sym_DOT_DOT] = ACTIONS(2966),
    [anon_sym_else] = ACTIONS(2966),
    [anon_sym_begin] = ACTIONS(2966),
    [anon_sym_ensure] = ACTIONS(2966),
    [anon_sym_PLUS] = ACTIONS(2968),
    [anon_sym_defined_QMARK] = ACTIONS(2968),
    [anon_sym_not] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2968),
    [anon_sym_TILDE] = ACTIONS(2968),
    [anon_sym_undef] = ACTIONS(2966),
    [anon_sym_alias] = ACTIONS(2966),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2966),
    [sym_float] = ACTIONS(2966),
    [sym_super] = ACTIONS(2966),
    [sym_self] = ACTIONS(2966),
    [sym_true] = ACTIONS(2966),
    [sym_false] = ACTIONS(2966),
    [sym_constant] = ACTIONS(2966),
    [aux_sym_constant_suffix_token1] = ACTIONS(2968),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2966),
    [sym_instance_variable] = ACTIONS(2968),
    [sym_class_variable] = ACTIONS(2968),
    [sym_global_variable] = ACTIONS(2968),
    [sym_character] = ACTIONS(2968),
    [anon_sym_DASH_GT] = ACTIONS(2968),
    [sym__line_break] = ACTIONS(2968),
    [sym_simple_symbol] = ACTIONS(2968),
    [sym__string_start] = ACTIONS(2968),
    [sym__symbol_start] = ACTIONS(2968),
    [sym__subshell_start] = ACTIONS(2968),
    [sym__regex_start] = ACTIONS(2968),
    [sym__string_array_start] = ACTIONS(2968),
    [sym__symbol_array_start] = ACTIONS(2968),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2968),
    [sym__unary_minus] = ACTIONS(2968),
    [sym__unary_minus_num] = ACTIONS(2968),
    [sym__binary_minus] = ACTIONS(2968),
    [sym__identifier_suffix] = ACTIONS(2968),
    [sym__constant_suffix] = ACTIONS(2968),
  },
  [2069] = {
    [sym_heredoc_body] = STATE(2069),
    [sym_identifier] = ACTIONS(2970),
    [anon_sym_BEGIN] = ACTIONS(2970),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_END] = ACTIONS(2970),
    [anon_sym_def] = ACTIONS(2970),
    [anon_sym_LPAREN] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2972),
    [anon_sym_end] = ACTIONS(2970),
    [anon_sym_rescue] = ACTIONS(2970),
    [anon_sym_SEMI] = ACTIONS(2972),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2972),
    [anon_sym_nil] = ACTIONS(2970),
    [anon_sym_class] = ACTIONS(2970),
    [anon_sym_module] = ACTIONS(2970),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_yield] = ACTIONS(2970),
    [anon_sym_break] = ACTIONS(2970),
    [anon_sym_next] = ACTIONS(2970),
    [anon_sym_redo] = ACTIONS(2970),
    [anon_sym_retry] = ACTIONS(2970),
    [anon_sym_if] = ACTIONS(2970),
    [anon_sym_unless] = ACTIONS(2970),
    [anon_sym_while] = ACTIONS(2970),
    [anon_sym_until] = ACTIONS(2970),
    [anon_sym_for] = ACTIONS(2970),
    [anon_sym_case] = ACTIONS(2970),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_DOT_DOT] = ACTIONS(2970),
    [anon_sym_else] = ACTIONS(2970),
    [anon_sym_begin] = ACTIONS(2970),
    [anon_sym_ensure] = ACTIONS(2970),
    [anon_sym_PLUS] = ACTIONS(2972),
    [anon_sym_defined_QMARK] = ACTIONS(2972),
    [anon_sym_not] = ACTIONS(2970),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_TILDE] = ACTIONS(2972),
    [anon_sym_undef] = ACTIONS(2970),
    [anon_sym_alias] = ACTIONS(2970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2970),
    [sym_float] = ACTIONS(2970),
    [sym_super] = ACTIONS(2970),
    [sym_self] = ACTIONS(2970),
    [sym_true] = ACTIONS(2970),
    [sym_false] = ACTIONS(2970),
    [sym_constant] = ACTIONS(2970),
    [aux_sym_constant_suffix_token1] = ACTIONS(2972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2970),
    [sym_instance_variable] = ACTIONS(2972),
    [sym_class_variable] = ACTIONS(2972),
    [sym_global_variable] = ACTIONS(2972),
    [sym_character] = ACTIONS(2972),
    [anon_sym_DASH_GT] = ACTIONS(2972),
    [sym__line_break] = ACTIONS(2972),
    [sym_simple_symbol] = ACTIONS(2972),
    [sym__string_start] = ACTIONS(2972),
    [sym__symbol_start] = ACTIONS(2972),
    [sym__subshell_start] = ACTIONS(2972),
    [sym__regex_start] = ACTIONS(2972),
    [sym__string_array_start] = ACTIONS(2972),
    [sym__symbol_array_start] = ACTIONS(2972),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2972),
    [sym__unary_minus] = ACTIONS(2972),
    [sym__unary_minus_num] = ACTIONS(2972),
    [sym__binary_minus] = ACTIONS(2972),
    [sym__identifier_suffix] = ACTIONS(2972),
    [sym__constant_suffix] = ACTIONS(2972),
  },
  [2070] = {
    [sym_heredoc_body] = STATE(2070),
    [sym_identifier] = ACTIONS(2974),
    [anon_sym_BEGIN] = ACTIONS(2974),
    [anon_sym_LBRACE] = ACTIONS(2976),
    [anon_sym_END] = ACTIONS(2974),
    [anon_sym_def] = ACTIONS(2974),
    [anon_sym_LPAREN] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2976),
    [anon_sym_end] = ACTIONS(2974),
    [anon_sym_rescue] = ACTIONS(2974),
    [anon_sym_SEMI] = ACTIONS(2976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2976),
    [anon_sym_nil] = ACTIONS(2974),
    [anon_sym_class] = ACTIONS(2974),
    [anon_sym_module] = ACTIONS(2974),
    [anon_sym_return] = ACTIONS(2974),
    [anon_sym_yield] = ACTIONS(2974),
    [anon_sym_break] = ACTIONS(2974),
    [anon_sym_next] = ACTIONS(2974),
    [anon_sym_redo] = ACTIONS(2974),
    [anon_sym_retry] = ACTIONS(2974),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_unless] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(2974),
    [anon_sym_until] = ACTIONS(2974),
    [anon_sym_for] = ACTIONS(2974),
    [anon_sym_case] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_DOT_DOT] = ACTIONS(2974),
    [anon_sym_else] = ACTIONS(2974),
    [anon_sym_begin] = ACTIONS(2974),
    [anon_sym_ensure] = ACTIONS(2974),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_defined_QMARK] = ACTIONS(2976),
    [anon_sym_not] = ACTIONS(2974),
    [anon_sym_BANG] = ACTIONS(2976),
    [anon_sym_TILDE] = ACTIONS(2976),
    [anon_sym_undef] = ACTIONS(2974),
    [anon_sym_alias] = ACTIONS(2974),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2974),
    [sym_float] = ACTIONS(2974),
    [sym_super] = ACTIONS(2974),
    [sym_self] = ACTIONS(2974),
    [sym_true] = ACTIONS(2974),
    [sym_false] = ACTIONS(2974),
    [sym_constant] = ACTIONS(2974),
    [aux_sym_constant_suffix_token1] = ACTIONS(2976),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2974),
    [sym_instance_variable] = ACTIONS(2976),
    [sym_class_variable] = ACTIONS(2976),
    [sym_global_variable] = ACTIONS(2976),
    [sym_character] = ACTIONS(2976),
    [anon_sym_DASH_GT] = ACTIONS(2976),
    [sym__line_break] = ACTIONS(2976),
    [sym_simple_symbol] = ACTIONS(2976),
    [sym__string_start] = ACTIONS(2976),
    [sym__symbol_start] = ACTIONS(2976),
    [sym__subshell_start] = ACTIONS(2976),
    [sym__regex_start] = ACTIONS(2976),
    [sym__string_array_start] = ACTIONS(2976),
    [sym__symbol_array_start] = ACTIONS(2976),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2976),
    [sym__unary_minus] = ACTIONS(2976),
    [sym__unary_minus_num] = ACTIONS(2976),
    [sym__binary_minus] = ACTIONS(2976),
    [sym__identifier_suffix] = ACTIONS(2976),
    [sym__constant_suffix] = ACTIONS(2976),
  },
  [2071] = {
    [sym_heredoc_body] = STATE(2071),
    [sym_identifier] = ACTIONS(2978),
    [anon_sym_BEGIN] = ACTIONS(2978),
    [anon_sym_LBRACE] = ACTIONS(2980),
    [anon_sym_END] = ACTIONS(2978),
    [anon_sym_def] = ACTIONS(2978),
    [anon_sym_LPAREN] = ACTIONS(2980),
    [anon_sym_COLON_COLON] = ACTIONS(2980),
    [anon_sym_end] = ACTIONS(2978),
    [anon_sym_rescue] = ACTIONS(2978),
    [anon_sym_SEMI] = ACTIONS(2980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(2980),
    [anon_sym_nil] = ACTIONS(2978),
    [anon_sym_class] = ACTIONS(2978),
    [anon_sym_module] = ACTIONS(2978),
    [anon_sym_return] = ACTIONS(2978),
    [anon_sym_yield] = ACTIONS(2978),
    [anon_sym_break] = ACTIONS(2978),
    [anon_sym_next] = ACTIONS(2978),
    [anon_sym_redo] = ACTIONS(2978),
    [anon_sym_retry] = ACTIONS(2978),
    [anon_sym_if] = ACTIONS(2978),
    [anon_sym_unless] = ACTIONS(2978),
    [anon_sym_while] = ACTIONS(2978),
    [anon_sym_until] = ACTIONS(2978),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_case] = ACTIONS(2978),
    [anon_sym_LBRACK] = ACTIONS(2980),
    [anon_sym_DOT_DOT] = ACTIONS(2978),
    [anon_sym_else] = ACTIONS(2978),
    [anon_sym_begin] = ACTIONS(2978),
    [anon_sym_ensure] = ACTIONS(2978),
    [anon_sym_PLUS] = ACTIONS(2980),
    [anon_sym_defined_QMARK] = ACTIONS(2980),
    [anon_sym_not] = ACTIONS(2978),
    [anon_sym_BANG] = ACTIONS(2980),
    [anon_sym_TILDE] = ACTIONS(2980),
    [anon_sym_undef] = ACTIONS(2978),
    [anon_sym_alias] = ACTIONS(2978),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2978),
    [sym_float] = ACTIONS(2978),
    [sym_super] = ACTIONS(2978),
    [sym_self] = ACTIONS(2978),
    [sym_true] = ACTIONS(2978),
    [sym_false] = ACTIONS(2978),
    [sym_constant] = ACTIONS(2978),
    [aux_sym_constant_suffix_token1] = ACTIONS(2980),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2978),
    [sym_instance_variable] = ACTIONS(2980),
    [sym_class_variable] = ACTIONS(2980),
    [sym_global_variable] = ACTIONS(2980),
    [sym_character] = ACTIONS(2980),
    [anon_sym_DASH_GT] = ACTIONS(2980),
    [sym__line_break] = ACTIONS(2980),
    [sym_simple_symbol] = ACTIONS(2980),
    [sym__string_start] = ACTIONS(2980),
    [sym__symbol_start] = ACTIONS(2980),
    [sym__subshell_start] = ACTIONS(2980),
    [sym__regex_start] = ACTIONS(2980),
    [sym__string_array_start] = ACTIONS(2980),
    [sym__symbol_array_start] = ACTIONS(2980),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2980),
    [sym__unary_minus] = ACTIONS(2980),
    [sym__unary_minus_num] = ACTIONS(2980),
    [sym__binary_minus] = ACTIONS(2980),
    [sym__identifier_suffix] = ACTIONS(2980),
    [sym__constant_suffix] = ACTIONS(2980),
  },
  [2072] = {
    [sym_heredoc_body] = STATE(2072),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_BEGIN] = ACTIONS(2982),
    [anon_sym_LBRACE] = ACTIONS(2984),
    [anon_sym_END] = ACTIONS(2982),
    [anon_sym_def] = ACTIONS(2982),
    [anon_sym_LPAREN] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2984),
    [anon_sym_end] = ACTIONS(2982),
    [anon_sym_rescue] = ACTIONS(2982),
    [anon_sym_SEMI] = ACTIONS(2984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(2984),
    [anon_sym_nil] = ACTIONS(2982),
    [anon_sym_class] = ACTIONS(2982),
    [anon_sym_module] = ACTIONS(2982),
    [anon_sym_return] = ACTIONS(2982),
    [anon_sym_yield] = ACTIONS(2982),
    [anon_sym_break] = ACTIONS(2982),
    [anon_sym_next] = ACTIONS(2982),
    [anon_sym_redo] = ACTIONS(2982),
    [anon_sym_retry] = ACTIONS(2982),
    [anon_sym_if] = ACTIONS(2982),
    [anon_sym_unless] = ACTIONS(2982),
    [anon_sym_while] = ACTIONS(2982),
    [anon_sym_until] = ACTIONS(2982),
    [anon_sym_for] = ACTIONS(2982),
    [anon_sym_case] = ACTIONS(2982),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_DOT_DOT] = ACTIONS(2982),
    [anon_sym_else] = ACTIONS(2982),
    [anon_sym_begin] = ACTIONS(2982),
    [anon_sym_ensure] = ACTIONS(2982),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_defined_QMARK] = ACTIONS(2984),
    [anon_sym_not] = ACTIONS(2982),
    [anon_sym_BANG] = ACTIONS(2984),
    [anon_sym_TILDE] = ACTIONS(2984),
    [anon_sym_undef] = ACTIONS(2982),
    [anon_sym_alias] = ACTIONS(2982),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2982),
    [sym_float] = ACTIONS(2982),
    [sym_super] = ACTIONS(2982),
    [sym_self] = ACTIONS(2982),
    [sym_true] = ACTIONS(2982),
    [sym_false] = ACTIONS(2982),
    [sym_constant] = ACTIONS(2982),
    [aux_sym_constant_suffix_token1] = ACTIONS(2984),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2982),
    [sym_instance_variable] = ACTIONS(2984),
    [sym_class_variable] = ACTIONS(2984),
    [sym_global_variable] = ACTIONS(2984),
    [sym_character] = ACTIONS(2984),
    [anon_sym_DASH_GT] = ACTIONS(2984),
    [sym__line_break] = ACTIONS(2984),
    [sym_simple_symbol] = ACTIONS(2984),
    [sym__string_start] = ACTIONS(2984),
    [sym__symbol_start] = ACTIONS(2984),
    [sym__subshell_start] = ACTIONS(2984),
    [sym__regex_start] = ACTIONS(2984),
    [sym__string_array_start] = ACTIONS(2984),
    [sym__symbol_array_start] = ACTIONS(2984),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2984),
    [sym__unary_minus] = ACTIONS(2984),
    [sym__unary_minus_num] = ACTIONS(2984),
    [sym__binary_minus] = ACTIONS(2984),
    [sym__identifier_suffix] = ACTIONS(2984),
    [sym__constant_suffix] = ACTIONS(2984),
  },
  [2073] = {
    [sym_heredoc_body] = STATE(2073),
    [aux_sym__mlhs_repeat1] = STATE(5201),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_RBRACE] = ACTIONS(2986),
    [anon_sym_RPAREN] = ACTIONS(2986),
    [anon_sym_DOT] = ACTIONS(2988),
    [anon_sym_end] = ACTIONS(2986),
    [anon_sym_rescue] = ACTIONS(2986),
    [anon_sym_EQ] = ACTIONS(2990),
    [anon_sym_COMMA] = ACTIONS(2986),
    [anon_sym_PIPE] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_LT] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2986),
    [anon_sym_unless] = ACTIONS(2986),
    [anon_sym_while] = ACTIONS(2986),
    [anon_sym_until] = ACTIONS(2986),
    [anon_sym_in] = ACTIONS(2986),
    [anon_sym_do] = ACTIONS(2986),
    [anon_sym_when] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(2986),
    [anon_sym_DOT_DOT] = ACTIONS(2988),
    [anon_sym_CARET] = ACTIONS(2988),
    [anon_sym_elsif] = ACTIONS(2986),
    [anon_sym_else] = ACTIONS(2986),
    [anon_sym_then] = ACTIONS(2986),
    [anon_sym_ensure] = ACTIONS(2986),
    [anon_sym_COLON_COLON2] = ACTIONS(2986),
    [anon_sym_AMP_DOT] = ACTIONS(2986),
    [anon_sym_PLUS_EQ] = ACTIONS(2992),
    [anon_sym_DASH_EQ] = ACTIONS(2992),
    [anon_sym_STAR_EQ] = ACTIONS(2992),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2992),
    [anon_sym_SLASH_EQ] = ACTIONS(2992),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2992),
    [anon_sym_PIPE_EQ] = ACTIONS(2992),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2992),
    [anon_sym_AMP_EQ] = ACTIONS(2992),
    [anon_sym_PERCENT_EQ] = ACTIONS(2992),
    [anon_sym_GT_GT_EQ] = ACTIONS(2992),
    [anon_sym_LT_LT_EQ] = ACTIONS(2992),
    [anon_sym_CARET_EQ] = ACTIONS(2992),
    [anon_sym_QMARK] = ACTIONS(2986),
    [anon_sym_and] = ACTIONS(2986),
    [anon_sym_or] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2988),
    [anon_sym_LT_LT] = ACTIONS(2988),
    [anon_sym_GT_GT] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(2988),
    [anon_sym_GT] = ACTIONS(2988),
    [anon_sym_GT_EQ] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2988),
    [anon_sym_PERCENT] = ACTIONS(2988),
    [anon_sym_EQ_EQ] = ACTIONS(2988),
    [anon_sym_BANG_EQ] = ACTIONS(2986),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2986),
    [anon_sym_LT_EQ_GT] = ACTIONS(2986),
    [anon_sym_EQ_TILDE] = ACTIONS(2986),
    [anon_sym_BANG_TILDE] = ACTIONS(2986),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2986),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2986),
    [sym__binary_star] = ACTIONS(2986),
    [sym__binary_star_star] = ACTIONS(2986),
    [sym__element_reference_bracket] = ACTIONS(2986),
  },
  [2074] = {
    [sym_heredoc_body] = STATE(2074),
    [sym_identifier] = ACTIONS(2994),
    [anon_sym_BEGIN] = ACTIONS(2994),
    [anon_sym_LBRACE] = ACTIONS(2996),
    [anon_sym_END] = ACTIONS(2994),
    [anon_sym_def] = ACTIONS(2994),
    [anon_sym_LPAREN] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2996),
    [anon_sym_end] = ACTIONS(2994),
    [anon_sym_rescue] = ACTIONS(2994),
    [anon_sym_SEMI] = ACTIONS(2996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2996),
    [anon_sym_nil] = ACTIONS(2994),
    [anon_sym_class] = ACTIONS(2994),
    [anon_sym_module] = ACTIONS(2994),
    [anon_sym_return] = ACTIONS(2994),
    [anon_sym_yield] = ACTIONS(2994),
    [anon_sym_break] = ACTIONS(2994),
    [anon_sym_next] = ACTIONS(2994),
    [anon_sym_redo] = ACTIONS(2994),
    [anon_sym_retry] = ACTIONS(2994),
    [anon_sym_if] = ACTIONS(2994),
    [anon_sym_unless] = ACTIONS(2994),
    [anon_sym_while] = ACTIONS(2994),
    [anon_sym_until] = ACTIONS(2994),
    [anon_sym_for] = ACTIONS(2994),
    [anon_sym_case] = ACTIONS(2994),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_DOT_DOT] = ACTIONS(2994),
    [anon_sym_else] = ACTIONS(2994),
    [anon_sym_begin] = ACTIONS(2994),
    [anon_sym_ensure] = ACTIONS(2994),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_defined_QMARK] = ACTIONS(2996),
    [anon_sym_not] = ACTIONS(2994),
    [anon_sym_BANG] = ACTIONS(2996),
    [anon_sym_TILDE] = ACTIONS(2996),
    [anon_sym_undef] = ACTIONS(2994),
    [anon_sym_alias] = ACTIONS(2994),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2994),
    [sym_float] = ACTIONS(2994),
    [sym_super] = ACTIONS(2994),
    [sym_self] = ACTIONS(2994),
    [sym_true] = ACTIONS(2994),
    [sym_false] = ACTIONS(2994),
    [sym_constant] = ACTIONS(2994),
    [aux_sym_constant_suffix_token1] = ACTIONS(2996),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2994),
    [sym_instance_variable] = ACTIONS(2996),
    [sym_class_variable] = ACTIONS(2996),
    [sym_global_variable] = ACTIONS(2996),
    [sym_character] = ACTIONS(2996),
    [anon_sym_DASH_GT] = ACTIONS(2996),
    [sym__line_break] = ACTIONS(2996),
    [sym_simple_symbol] = ACTIONS(2996),
    [sym__string_start] = ACTIONS(2996),
    [sym__symbol_start] = ACTIONS(2996),
    [sym__subshell_start] = ACTIONS(2996),
    [sym__regex_start] = ACTIONS(2996),
    [sym__string_array_start] = ACTIONS(2996),
    [sym__symbol_array_start] = ACTIONS(2996),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2996),
    [sym__unary_minus] = ACTIONS(2996),
    [sym__unary_minus_num] = ACTIONS(2996),
    [sym__binary_minus] = ACTIONS(2996),
    [sym__identifier_suffix] = ACTIONS(2996),
    [sym__constant_suffix] = ACTIONS(2996),
  },
  [2075] = {
    [sym_heredoc_body] = STATE(2075),
    [sym_identifier] = ACTIONS(2998),
    [anon_sym_BEGIN] = ACTIONS(2998),
    [anon_sym_LBRACE] = ACTIONS(3000),
    [anon_sym_END] = ACTIONS(2998),
    [anon_sym_def] = ACTIONS(2998),
    [anon_sym_LPAREN] = ACTIONS(3000),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_end] = ACTIONS(2998),
    [anon_sym_rescue] = ACTIONS(2998),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_nil] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_module] = ACTIONS(2998),
    [anon_sym_return] = ACTIONS(2998),
    [anon_sym_yield] = ACTIONS(2998),
    [anon_sym_break] = ACTIONS(2998),
    [anon_sym_next] = ACTIONS(2998),
    [anon_sym_redo] = ACTIONS(2998),
    [anon_sym_retry] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(2998),
    [anon_sym_unless] = ACTIONS(2998),
    [anon_sym_while] = ACTIONS(2998),
    [anon_sym_until] = ACTIONS(2998),
    [anon_sym_for] = ACTIONS(2998),
    [anon_sym_case] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_DOT_DOT] = ACTIONS(2998),
    [anon_sym_else] = ACTIONS(2998),
    [anon_sym_begin] = ACTIONS(2998),
    [anon_sym_ensure] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(3000),
    [anon_sym_defined_QMARK] = ACTIONS(3000),
    [anon_sym_not] = ACTIONS(2998),
    [anon_sym_BANG] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_undef] = ACTIONS(2998),
    [anon_sym_alias] = ACTIONS(2998),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2998),
    [sym_float] = ACTIONS(2998),
    [sym_super] = ACTIONS(2998),
    [sym_self] = ACTIONS(2998),
    [sym_true] = ACTIONS(2998),
    [sym_false] = ACTIONS(2998),
    [sym_constant] = ACTIONS(2998),
    [aux_sym_constant_suffix_token1] = ACTIONS(3000),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2998),
    [sym_instance_variable] = ACTIONS(3000),
    [sym_class_variable] = ACTIONS(3000),
    [sym_global_variable] = ACTIONS(3000),
    [sym_character] = ACTIONS(3000),
    [anon_sym_DASH_GT] = ACTIONS(3000),
    [sym__line_break] = ACTIONS(3000),
    [sym_simple_symbol] = ACTIONS(3000),
    [sym__string_start] = ACTIONS(3000),
    [sym__symbol_start] = ACTIONS(3000),
    [sym__subshell_start] = ACTIONS(3000),
    [sym__regex_start] = ACTIONS(3000),
    [sym__string_array_start] = ACTIONS(3000),
    [sym__symbol_array_start] = ACTIONS(3000),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(3000),
    [sym__unary_minus] = ACTIONS(3000),
    [sym__unary_minus_num] = ACTIONS(3000),
    [sym__binary_minus] = ACTIONS(3000),
    [sym__identifier_suffix] = ACTIONS(3000),
    [sym__constant_suffix] = ACTIONS(3000),
  },
  [2076] = {
    [sym_heredoc_body] = STATE(2076),
    [aux_sym__mlhs_repeat1] = STATE(5201),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_RBRACE] = ACTIONS(2986),
    [anon_sym_RPAREN] = ACTIONS(2986),
    [anon_sym_DOT] = ACTIONS(2988),
    [anon_sym_end] = ACTIONS(2986),
    [anon_sym_rescue] = ACTIONS(2986),
    [anon_sym_EQ] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(2986),
    [anon_sym_PIPE] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_LT] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2986),
    [anon_sym_unless] = ACTIONS(2986),
    [anon_sym_while] = ACTIONS(2986),
    [anon_sym_until] = ACTIONS(2986),
    [anon_sym_in] = ACTIONS(2986),
    [anon_sym_do] = ACTIONS(2986),
    [anon_sym_when] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(2986),
    [anon_sym_DOT_DOT] = ACTIONS(2988),
    [anon_sym_CARET] = ACTIONS(2988),
    [anon_sym_elsif] = ACTIONS(2986),
    [anon_sym_else] = ACTIONS(2986),
    [anon_sym_then] = ACTIONS(2986),
    [anon_sym_ensure] = ACTIONS(2986),
    [anon_sym_COLON_COLON2] = ACTIONS(2986),
    [anon_sym_AMP_DOT] = ACTIONS(2986),
    [anon_sym_PLUS_EQ] = ACTIONS(3004),
    [anon_sym_DASH_EQ] = ACTIONS(3004),
    [anon_sym_STAR_EQ] = ACTIONS(3004),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3004),
    [anon_sym_PIPE_EQ] = ACTIONS(3004),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3004),
    [anon_sym_AMP_EQ] = ACTIONS(3004),
    [anon_sym_PERCENT_EQ] = ACTIONS(3004),
    [anon_sym_GT_GT_EQ] = ACTIONS(3004),
    [anon_sym_LT_LT_EQ] = ACTIONS(3004),
    [anon_sym_CARET_EQ] = ACTIONS(3004),
    [anon_sym_QMARK] = ACTIONS(2986),
    [anon_sym_and] = ACTIONS(2986),
    [anon_sym_or] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2988),
    [anon_sym_LT_LT] = ACTIONS(2988),
    [anon_sym_GT_GT] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(2988),
    [anon_sym_GT] = ACTIONS(2988),
    [anon_sym_GT_EQ] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2988),
    [anon_sym_PERCENT] = ACTIONS(2988),
    [anon_sym_EQ_EQ] = ACTIONS(2988),
    [anon_sym_BANG_EQ] = ACTIONS(2986),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2986),
    [anon_sym_LT_EQ_GT] = ACTIONS(2986),
    [anon_sym_EQ_TILDE] = ACTIONS(2986),
    [anon_sym_BANG_TILDE] = ACTIONS(2986),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2986),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2986),
    [sym__binary_star] = ACTIONS(2986),
    [sym__binary_star_star] = ACTIONS(2986),
    [sym__element_reference_bracket] = ACTIONS(2986),
  },
  [2077] = {
    [sym_heredoc_body] = STATE(2077),
    [sym_identifier] = ACTIONS(3006),
    [anon_sym_BEGIN] = ACTIONS(3006),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_END] = ACTIONS(3006),
    [anon_sym_def] = ACTIONS(3006),
    [anon_sym_LPAREN] = ACTIONS(3008),
    [anon_sym_COLON_COLON] = ACTIONS(3008),
    [anon_sym_end] = ACTIONS(3006),
    [anon_sym_rescue] = ACTIONS(3006),
    [anon_sym_SEMI] = ACTIONS(3008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3008),
    [anon_sym_STAR] = ACTIONS(3008),
    [anon_sym_nil] = ACTIONS(3006),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_module] = ACTIONS(3006),
    [anon_sym_return] = ACTIONS(3006),
    [anon_sym_yield] = ACTIONS(3006),
    [anon_sym_break] = ACTIONS(3006),
    [anon_sym_next] = ACTIONS(3006),
    [anon_sym_redo] = ACTIONS(3006),
    [anon_sym_retry] = ACTIONS(3006),
    [anon_sym_if] = ACTIONS(3006),
    [anon_sym_unless] = ACTIONS(3006),
    [anon_sym_while] = ACTIONS(3006),
    [anon_sym_until] = ACTIONS(3006),
    [anon_sym_for] = ACTIONS(3006),
    [anon_sym_case] = ACTIONS(3006),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_DOT_DOT] = ACTIONS(3006),
    [anon_sym_else] = ACTIONS(3006),
    [anon_sym_begin] = ACTIONS(3006),
    [anon_sym_ensure] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_defined_QMARK] = ACTIONS(3008),
    [anon_sym_not] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(3008),
    [anon_sym_TILDE] = ACTIONS(3008),
    [anon_sym_undef] = ACTIONS(3006),
    [anon_sym_alias] = ACTIONS(3006),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(3006),
    [sym_float] = ACTIONS(3006),
    [sym_super] = ACTIONS(3006),
    [sym_self] = ACTIONS(3006),
    [sym_true] = ACTIONS(3006),
    [sym_false] = ACTIONS(3006),
    [sym_constant] = ACTIONS(3006),
    [aux_sym_constant_suffix_token1] = ACTIONS(3008),
    [aux_sym_identifier_suffix_token1] = ACTIONS(3006),
    [sym_instance_variable] = ACTIONS(3008),
    [sym_class_variable] = ACTIONS(3008),
    [sym_global_variable] = ACTIONS(3008),
    [sym_character] = ACTIONS(3008),
    [anon_sym_DASH_GT] = ACTIONS(3008),
    [sym__line_break] = ACTIONS(3008),
    [sym_simple_symbol] = ACTIONS(3008),
    [sym__string_start] = ACTIONS(3008),
    [sym__symbol_start] = ACTIONS(3008),
    [sym__subshell_start] = ACTIONS(3008),
    [sym__regex_start] = ACTIONS(3008),
    [sym__string_array_start] = ACTIONS(3008),
    [sym__symbol_array_start] = ACTIONS(3008),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(3008),
    [sym__unary_minus] = ACTIONS(3008),
    [sym__unary_minus_num] = ACTIONS(3008),
    [sym__binary_minus] = ACTIONS(3008),
    [sym__identifier_suffix] = ACTIONS(3008),
    [sym__constant_suffix] = ACTIONS(3008),
  },
  [2078] = {
    [sym_heredoc_body] = STATE(2078),
    [aux_sym__mlhs_repeat1] = STATE(5201),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_RBRACE] = ACTIONS(2986),
    [anon_sym_RPAREN] = ACTIONS(2986),
    [anon_sym_DOT] = ACTIONS(2988),
    [anon_sym_end] = ACTIONS(2986),
    [anon_sym_rescue] = ACTIONS(2986),
    [anon_sym_EQ] = ACTIONS(3010),
    [anon_sym_COMMA] = ACTIONS(2986),
    [anon_sym_PIPE] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_LT] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2986),
    [anon_sym_unless] = ACTIONS(2986),
    [anon_sym_while] = ACTIONS(2986),
    [anon_sym_until] = ACTIONS(2986),
    [anon_sym_in] = ACTIONS(2986),
    [anon_sym_do] = ACTIONS(2986),
    [anon_sym_when] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(2986),
    [anon_sym_DOT_DOT] = ACTIONS(2988),
    [anon_sym_CARET] = ACTIONS(2988),
    [anon_sym_elsif] = ACTIONS(2986),
    [anon_sym_else] = ACTIONS(2986),
    [anon_sym_then] = ACTIONS(2986),
    [anon_sym_ensure] = ACTIONS(2986),
    [anon_sym_COLON_COLON2] = ACTIONS(2986),
    [anon_sym_AMP_DOT] = ACTIONS(2986),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3012),
    [anon_sym_PIPE_EQ] = ACTIONS(3012),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3012),
    [anon_sym_AMP_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_GT_GT_EQ] = ACTIONS(3012),
    [anon_sym_LT_LT_EQ] = ACTIONS(3012),
    [anon_sym_CARET_EQ] = ACTIONS(3012),
    [anon_sym_QMARK] = ACTIONS(2986),
    [anon_sym_and] = ACTIONS(2986),
    [anon_sym_or] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2988),
    [anon_sym_LT_LT] = ACTIONS(2988),
    [anon_sym_GT_GT] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(2988),
    [anon_sym_GT] = ACTIONS(2988),
    [anon_sym_GT_EQ] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2988),
    [anon_sym_PERCENT] = ACTIONS(2988),
    [anon_sym_EQ_EQ] = ACTIONS(2988),
    [anon_sym_BANG_EQ] = ACTIONS(2986),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2986),
    [anon_sym_LT_EQ_GT] = ACTIONS(2986),
    [anon_sym_EQ_TILDE] = ACTIONS(2986),
    [anon_sym_BANG_TILDE] = ACTIONS(2986),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2986),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2986),
    [sym__binary_star] = ACTIONS(2986),
    [sym__binary_star_star] = ACTIONS(2986),
    [sym__element_reference_bracket] = ACTIONS(2986),
  },
  [2079] = {
    [sym_heredoc_body] = STATE(2079),
    [sym_identifier] = ACTIONS(3014),
    [anon_sym_BEGIN] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(3016),
    [anon_sym_END] = ACTIONS(3014),
    [anon_sym_def] = ACTIONS(3014),
    [anon_sym_LPAREN] = ACTIONS(3016),
    [anon_sym_COLON_COLON] = ACTIONS(3016),
    [anon_sym_end] = ACTIONS(3014),
    [anon_sym_rescue] = ACTIONS(3014),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(3016),
    [anon_sym_nil] = ACTIONS(3014),
    [anon_sym_class] = ACTIONS(3014),
    [anon_sym_module] = ACTIONS(3014),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3014),
    [anon_sym_break] = ACTIONS(3014),
    [anon_sym_next] = ACTIONS(3014),
    [anon_sym_redo] = ACTIONS(3014),
    [anon_sym_retry] = ACTIONS(3014),
    [anon_sym_if] = ACTIONS(3014),
    [anon_sym_unless] = ACTIONS(3014),
    [anon_sym_while] = ACTIONS(3014),
    [anon_sym_until] = ACTIONS(3014),
    [anon_sym_for] = ACTIONS(3014),
    [anon_sym_case] = ACTIONS(3014),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3014),
    [anon_sym_else] = ACTIONS(3014),
    [anon_sym_begin] = ACTIONS(3014),
    [anon_sym_ensure] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3016),
    [anon_sym_defined_QMARK] = ACTIONS(3016),
    [anon_sym_not] = ACTIONS(3014),
    [anon_sym_BANG] = ACTIONS(3016),
    [anon_sym_TILDE] = ACTIONS(3016),
    [anon_sym_undef] = ACTIONS(3014),
    [anon_sym_alias] = ACTIONS(3014),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(3014),
    [sym_float] = ACTIONS(3014),
    [sym_super] = ACTIONS(3014),
    [sym_self] = ACTIONS(3014),
    [sym_true] = ACTIONS(3014),
    [sym_false] = ACTIONS(3014),
    [sym_constant] = ACTIONS(3014),
    [aux_sym_constant_suffix_token1] = ACTIONS(3016),
    [aux_sym_identifier_suffix_token1] = ACTIONS(3014),
    [sym_instance_variable] = ACTIONS(3016),
    [sym_class_variable] = ACTIONS(3016),
    [sym_global_variable] = ACTIONS(3016),
    [sym_character] = ACTIONS(3016),
    [anon_sym_DASH_GT] = ACTIONS(3016),
    [sym__line_break] = ACTIONS(3016),
    [sym_simple_symbol] = ACTIONS(3016),
    [sym__string_start] = ACTIONS(3016),
    [sym__symbol_start] = ACTIONS(3016),
    [sym__subshell_start] = ACTIONS(3016),
    [sym__regex_start] = ACTIONS(3016),
    [sym__string_array_start] = ACTIONS(3016),
    [sym__symbol_array_start] = ACTIONS(3016),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(3016),
    [sym__unary_minus] = ACTIONS(3016),
    [sym__unary_minus_num] = ACTIONS(3016),
    [sym__binary_minus] = ACTIONS(3016),
    [sym__identifier_suffix] = ACTIONS(3016),
    [sym__constant_suffix] = ACTIONS(3016),
  },
  [2080] = {
    [sym_heredoc_body] = STATE(2080),
    [sym_identifier] = ACTIONS(3018),
    [anon_sym_BEGIN] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_END] = ACTIONS(3018),
    [anon_sym_def] = ACTIONS(3018),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_COLON_COLON] = ACTIONS(3020),
    [anon_sym_end] = ACTIONS(3018),
    [anon_sym_rescue] = ACTIONS(3018),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3020),
    [anon_sym_STAR] = ACTIONS(3020),
    [anon_sym_nil] = ACTIONS(3018),
    [anon_sym_class] = ACTIONS(3018),
    [anon_sym_module] = ACTIONS(3018),
    [anon_sym_return] = ACTIONS(3018),
    [anon_sym_yield] = ACTIONS(3018),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3018),
    [anon_sym_redo] = ACTIONS(3018),
    [anon_sym_retry] = ACTIONS(3018),
    [anon_sym_if] = ACTIONS(3018),
    [anon_sym_unless] = ACTIONS(3018),
    [anon_sym_while] = ACTIONS(3018),
    [anon_sym_until] = ACTIONS(3018),
    [anon_sym_for] = ACTIONS(3018),
    [anon_sym_case] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_else] = ACTIONS(3018),
    [anon_sym_begin] = ACTIONS(3018),
    [anon_sym_ensure] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_defined_QMARK] = ACTIONS(3020),
    [anon_sym_not] = ACTIONS(3018),
    [anon_sym_BANG] = ACTIONS(3020),
    [anon_sym_TILDE] = ACTIONS(3020),
    [anon_sym_undef] = ACTIONS(3018),
    [anon_sym_alias] = ACTIONS(3018),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(3018),
    [sym_float] = ACTIONS(3018),
    [sym_super] = ACTIONS(3018),
    [sym_self] = ACTIONS(3018),
    [sym_true] = ACTIONS(3018),
    [sym_false] = ACTIONS(3018),
    [sym_constant] = ACTIONS(3018),
    [aux_sym_constant_suffix_token1] = ACTIONS(3020),
    [aux_sym_identifier_suffix_token1] = ACTIONS(3018),
    [sym_instance_variable] = ACTIONS(3020),
    [sym_class_variable] = ACTIONS(3020),
    [sym_global_variable] = ACTIONS(3020),
    [sym_character] = ACTIONS(3020),
    [anon_sym_DASH_GT] = ACTIONS(3020),
    [sym__line_break] = ACTIONS(3020),
    [sym_simple_symbol] = ACTIONS(3020),
    [sym__string_start] = ACTIONS(3020),
    [sym__symbol_start] = ACTIONS(3020),
    [sym__subshell_start] = ACTIONS(3020),
    [sym__regex_start] = ACTIONS(3020),
    [sym__string_array_start] = ACTIONS(3020),
    [sym__symbol_array_start] = ACTIONS(3020),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(3020),
    [sym__unary_minus] = ACTIONS(3020),
    [sym__unary_minus_num] = ACTIONS(3020),
    [sym__binary_minus] = ACTIONS(3020),
    [sym__identifier_suffix] = ACTIONS(3020),
    [sym__constant_suffix] = ACTIONS(3020),
  },
  [2081] = {
    [sym_heredoc_body] = STATE(2081),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_BEGIN] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_END] = ACTIONS(3022),
    [anon_sym_def] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_COLON_COLON] = ACTIONS(3024),
    [anon_sym_end] = ACTIONS(3022),
    [anon_sym_rescue] = ACTIONS(3022),
    [anon_sym_SEMI] = ACTIONS(3024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3024),
    [anon_sym_STAR] = ACTIONS(3024),
    [anon_sym_nil] = ACTIONS(3022),
    [anon_sym_class] = ACTIONS(3022),
    [anon_sym_module] = ACTIONS(3022),
    [anon_sym_return] = ACTIONS(3022),
    [anon_sym_yield] = ACTIONS(3022),
    [anon_sym_break] = ACTIONS(3022),
    [anon_sym_next] = ACTIONS(3022),
    [anon_sym_redo] = ACTIONS(3022),
    [anon_sym_retry] = ACTIONS(3022),
    [anon_sym_if] = ACTIONS(3022),
    [anon_sym_unless] = ACTIONS(3022),
    [anon_sym_while] = ACTIONS(3022),
    [anon_sym_until] = ACTIONS(3022),
    [anon_sym_for] = ACTIONS(3022),
    [anon_sym_case] = ACTIONS(3022),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_DOT_DOT] = ACTIONS(3022),
    [anon_sym_else] = ACTIONS(3022),
    [anon_sym_begin] = ACTIONS(3022),
    [anon_sym_ensure] = ACTIONS(3022),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_defined_QMARK] = ACTIONS(3024),
    [anon_sym_not] = ACTIONS(3022),
    [anon_sym_BANG] = ACTIONS(3024),
    [anon_sym_TILDE] = ACTIONS(3024),
    [anon_sym_undef] = ACTIONS(3022),
    [anon_sym_alias] = ACTIONS(3022),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(3022),
    [sym_float] = ACTIONS(3022),
    [sym_super] = ACTIONS(3022),
    [sym_self] = ACTIONS(3022),
    [sym_true] = ACTIONS(3022),
    [sym_false] = ACTIONS(3022),
    [sym_constant] = ACTIONS(3022),
    [aux_sym_constant_suffix_token1] = ACTIONS(3024),
    [aux_sym_identifier_suffix_token1] = ACTIONS(3022),
    [sym_instance_variable] = ACTIONS(3024),
    [sym_class_variable] = ACTIONS(3024),
    [sym_global_variable] = ACTIONS(3024),
    [sym_character] = ACTIONS(3024),
    [anon_sym_DASH_GT] = ACTIONS(3024),
    [sym__line_break] = ACTIONS(3024),
    [sym_simple_symbol] = ACTIONS(3024),
    [sym__string_start] = ACTIONS(3024),
    [sym__symbol_start] = ACTIONS(3024),
    [sym__subshell_start] = ACTIONS(3024),
    [sym__regex_start] = ACTIONS(3024),
    [sym__string_array_start] = ACTIONS(3024),
    [sym__symbol_array_start] = ACTIONS(3024),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(3024),
    [sym__unary_minus] = ACTIONS(3024),
    [sym__unary_minus_num] = ACTIONS(3024),
    [sym__binary_minus] = ACTIONS(3024),
    [sym__identifier_suffix] = ACTIONS(3024),
    [sym__constant_suffix] = ACTIONS(3024),
  },
  [2082] = {
    [sym_heredoc_body] = STATE(2082),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_BEGIN] = ACTIONS(1984),
    [anon_sym_LBRACE] = ACTIONS(2908),
    [anon_sym_END] = ACTIONS(1984),
    [anon_sym_def] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(2908),
    [anon_sym_COLON_COLON] = ACTIONS(2908),
    [anon_sym_end] = ACTIONS(1984),
    [anon_sym_rescue] = ACTIONS(1984),
    [anon_sym_PIPE] = ACTIONS(2908),
    [anon_sym_SEMI] = ACTIONS(2908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(2908),
    [anon_sym_nil] = ACTIONS(1984),
    [anon_sym_class] = ACTIONS(1984),
    [anon_sym_module] = ACTIONS(1984),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_yield] = ACTIONS(1984),
    [anon_sym_break] = ACTIONS(1984),
    [anon_sym_next] = ACTIONS(1984),
    [anon_sym_redo] = ACTIONS(1984),
    [anon_sym_retry] = ACTIONS(1984),
    [anon_sym_if] = ACTIONS(1984),
    [anon_sym_unless] = ACTIONS(1984),
    [anon_sym_while] = ACTIONS(1984),
    [anon_sym_until] = ACTIONS(1984),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_case] = ACTIONS(1984),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_DOT_DOT] = ACTIONS(1984),
    [anon_sym_else] = ACTIONS(1984),
    [anon_sym_begin] = ACTIONS(1984),
    [anon_sym_ensure] = ACTIONS(1984),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_defined_QMARK] = ACTIONS(2908),
    [anon_sym_not] = ACTIONS(1984),
    [anon_sym_BANG] = ACTIONS(2908),
    [anon_sym_TILDE] = ACTIONS(2908),
    [anon_sym_undef] = ACTIONS(1984),
    [anon_sym_alias] = ACTIONS(1984),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(1984),
    [sym_float] = ACTIONS(1984),
    [sym_super] = ACTIONS(1984),
    [sym_self] = ACTIONS(1984),
    [sym_true] = ACTIONS(1984),
    [sym_false] = ACTIONS(1984),
    [sym_constant] = ACTIONS(1984),
    [aux_sym_constant_suffix_token1] = ACTIONS(2908),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1984),
    [sym_instance_variable] = ACTIONS(2908),
    [sym_class_variable] = ACTIONS(2908),
    [sym_global_variable] = ACTIONS(2908),
    [sym_character] = ACTIONS(2908),
    [anon_sym_DASH_GT] = ACTIONS(2908),
    [sym_simple_symbol] = ACTIONS(2908),
    [sym__string_start] = ACTIONS(2908),
    [sym__symbol_start] = ACTIONS(2908),
    [sym__subshell_start] = ACTIONS(2908),
    [sym__regex_start] = ACTIONS(2908),
    [sym__string_array_start] = ACTIONS(2908),
    [sym__symbol_array_start] = ACTIONS(2908),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2908),
    [sym__unary_minus] = ACTIONS(2908),
    [sym__unary_minus_num] = ACTIONS(2908),
    [sym__binary_minus] = ACTIONS(2908),
    [sym__identifier_suffix] = ACTIONS(2908),
    [sym__constant_suffix] = ACTIONS(2908),
  },
  [2083] = {
    [sym_heredoc_body] = STATE(2083),
    [aux_sym__mlhs_repeat1] = STATE(5201),
    [anon_sym_RBRACE] = ACTIONS(2986),
    [anon_sym_RPAREN] = ACTIONS(2986),
    [anon_sym_DOT] = ACTIONS(2988),
    [anon_sym_end] = ACTIONS(2986),
    [anon_sym_rescue] = ACTIONS(2986),
    [anon_sym_EQ] = ACTIONS(3026),
    [anon_sym_COMMA] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_LT] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2986),
    [anon_sym_unless] = ACTIONS(2986),
    [anon_sym_while] = ACTIONS(2986),
    [anon_sym_until] = ACTIONS(2986),
    [anon_sym_in] = ACTIONS(2986),
    [anon_sym_when] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(2986),
    [anon_sym_DOT_DOT] = ACTIONS(2988),
    [anon_sym_CARET] = ACTIONS(2988),
    [anon_sym_elsif] = ACTIONS(2986),
    [anon_sym_else] = ACTIONS(2986),
    [anon_sym_then] = ACTIONS(2986),
    [anon_sym_ensure] = ACTIONS(2986),
    [anon_sym_COLON_COLON2] = ACTIONS(2986),
    [anon_sym_AMP_DOT] = ACTIONS(2986),
    [anon_sym_PLUS_EQ] = ACTIONS(3030),
    [anon_sym_DASH_EQ] = ACTIONS(3030),
    [anon_sym_STAR_EQ] = ACTIONS(3030),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3030),
    [anon_sym_SLASH_EQ] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3030),
    [anon_sym_PIPE_EQ] = ACTIONS(3030),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3030),
    [anon_sym_AMP_EQ] = ACTIONS(3030),
    [anon_sym_PERCENT_EQ] = ACTIONS(3030),
    [anon_sym_GT_GT_EQ] = ACTIONS(3030),
    [anon_sym_LT_LT_EQ] = ACTIONS(3030),
    [anon_sym_CARET_EQ] = ACTIONS(3030),
    [anon_sym_QMARK] = ACTIONS(2986),
    [anon_sym_and] = ACTIONS(2986),
    [anon_sym_or] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2988),
    [anon_sym_LT_LT] = ACTIONS(2988),
    [anon_sym_GT_GT] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(2988),
    [anon_sym_GT] = ACTIONS(2988),
    [anon_sym_GT_EQ] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2988),
    [anon_sym_PERCENT] = ACTIONS(2988),
    [anon_sym_EQ_EQ] = ACTIONS(2988),
    [anon_sym_BANG_EQ] = ACTIONS(2986),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2986),
    [anon_sym_LT_EQ_GT] = ACTIONS(2986),
    [anon_sym_EQ_TILDE] = ACTIONS(2986),
    [anon_sym_BANG_TILDE] = ACTIONS(2986),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2986),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2986),
    [sym__binary_star] = ACTIONS(2986),
    [sym__binary_star_star] = ACTIONS(2986),
    [sym__element_reference_bracket] = ACTIONS(2986),
  },
  [2084] = {
    [sym_heredoc_body] = STATE(2084),
    [aux_sym__mlhs_repeat1] = STATE(5201),
    [anon_sym_RBRACE] = ACTIONS(2986),
    [anon_sym_RPAREN] = ACTIONS(2986),
    [anon_sym_DOT] = ACTIONS(2988),
    [anon_sym_end] = ACTIONS(2986),
    [anon_sym_rescue] = ACTIONS(2986),
    [anon_sym_EQ] = ACTIONS(3032),
    [anon_sym_COMMA] = ACTIONS(2986),
    [anon_sym_PIPE] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_LT] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2986),
    [anon_sym_unless] = ACTIONS(2986),
    [anon_sym_while] = ACTIONS(2986),
    [anon_sym_until] = ACTIONS(2986),
    [anon_sym_in] = ACTIONS(2986),
    [anon_sym_when] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(2986),
    [anon_sym_DOT_DOT] = ACTIONS(2988),
    [anon_sym_CARET] = ACTIONS(2988),
    [anon_sym_elsif] = ACTIONS(2986),
    [anon_sym_else] = ACTIONS(2986),
    [anon_sym_then] = ACTIONS(2986),
    [anon_sym_ensure] = ACTIONS(2986),
    [anon_sym_COLON_COLON2] = ACTIONS(2986),
    [anon_sym_AMP_DOT] = ACTIONS(2986),
    [anon_sym_PLUS_EQ] = ACTIONS(3034),
    [anon_sym_DASH_EQ] = ACTIONS(3034),
    [anon_sym_STAR_EQ] = ACTIONS(3034),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3034),
    [anon_sym_SLASH_EQ] = ACTIONS(3034),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3034),
    [anon_sym_PIPE_EQ] = ACTIONS(3034),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3034),
    [anon_sym_AMP_EQ] = ACTIONS(3034),
    [anon_sym_PERCENT_EQ] = ACTIONS(3034),
    [anon_sym_GT_GT_EQ] = ACTIONS(3034),
    [anon_sym_LT_LT_EQ] = ACTIONS(3034),
    [anon_sym_CARET_EQ] = ACTIONS(3034),
    [anon_sym_QMARK] = ACTIONS(2986),
    [anon_sym_and] = ACTIONS(2986),
    [anon_sym_or] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2988),
    [anon_sym_LT_LT] = ACTIONS(2988),
    [anon_sym_GT_GT] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(2988),
    [anon_sym_GT] = ACTIONS(2988),
    [anon_sym_GT_EQ] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2988),
    [anon_sym_PERCENT] = ACTIONS(2988),
    [anon_sym_EQ_EQ] = ACTIONS(2988),
    [anon_sym_BANG_EQ] = ACTIONS(2986),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2986),
    [anon_sym_LT_EQ_GT] = ACTIONS(2986),
    [anon_sym_EQ_TILDE] = ACTIONS(2986),
    [anon_sym_BANG_TILDE] = ACTIONS(2986),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2986),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2986),
    [sym__binary_star] = ACTIONS(2986),
    [sym__binary_star_star] = ACTIONS(2986),
    [sym__element_reference_bracket] = ACTIONS(2986),
  },
  [2085] = {
    [sym_heredoc_body] = STATE(2085),
    [aux_sym__mlhs_repeat1] = STATE(5201),
    [anon_sym_RBRACE] = ACTIONS(2986),
    [anon_sym_RPAREN] = ACTIONS(2986),
    [anon_sym_DOT] = ACTIONS(2988),
    [anon_sym_end] = ACTIONS(2986),
    [anon_sym_rescue] = ACTIONS(2986),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_COMMA] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_LT] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2986),
    [anon_sym_unless] = ACTIONS(2986),
    [anon_sym_while] = ACTIONS(2986),
    [anon_sym_until] = ACTIONS(2986),
    [anon_sym_in] = ACTIONS(2986),
    [anon_sym_when] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(2986),
    [anon_sym_DOT_DOT] = ACTIONS(2988),
    [anon_sym_CARET] = ACTIONS(2988),
    [anon_sym_elsif] = ACTIONS(2986),
    [anon_sym_else] = ACTIONS(2986),
    [anon_sym_then] = ACTIONS(2986),
    [anon_sym_ensure] = ACTIONS(2986),
    [anon_sym_COLON_COLON2] = ACTIONS(2986),
    [anon_sym_AMP_DOT] = ACTIONS(2986),
    [anon_sym_PLUS_EQ] = ACTIONS(3038),
    [anon_sym_DASH_EQ] = ACTIONS(3038),
    [anon_sym_STAR_EQ] = ACTIONS(3038),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3038),
    [anon_sym_SLASH_EQ] = ACTIONS(3038),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3038),
    [anon_sym_PIPE_EQ] = ACTIONS(3038),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3038),
    [anon_sym_AMP_EQ] = ACTIONS(3038),
    [anon_sym_PERCENT_EQ] = ACTIONS(3038),
    [anon_sym_GT_GT_EQ] = ACTIONS(3038),
    [anon_sym_LT_LT_EQ] = ACTIONS(3038),
    [anon_sym_CARET_EQ] = ACTIONS(3038),
    [anon_sym_QMARK] = ACTIONS(2986),
    [anon_sym_and] = ACTIONS(2986),
    [anon_sym_or] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2988),
    [anon_sym_LT_LT] = ACTIONS(2988),
    [anon_sym_GT_GT] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(2988),
    [anon_sym_GT] = ACTIONS(2988),
    [anon_sym_GT_EQ] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2988),
    [anon_sym_PERCENT] = ACTIONS(2988),
    [anon_sym_EQ_EQ] = ACTIONS(2988),
    [anon_sym_BANG_EQ] = ACTIONS(2986),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2986),
    [anon_sym_LT_EQ_GT] = ACTIONS(2986),
    [anon_sym_EQ_TILDE] = ACTIONS(2986),
    [anon_sym_BANG_TILDE] = ACTIONS(2986),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2986),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2986),
    [sym__binary_star] = ACTIONS(2986),
    [sym__binary_star_star] = ACTIONS(2986),
    [sym__element_reference_bracket] = ACTIONS(2986),
  },
  [2086] = {
    [sym_heredoc_body] = STATE(2086),
    [aux_sym__mlhs_repeat1] = STATE(5201),
    [anon_sym_RBRACE] = ACTIONS(2986),
    [anon_sym_RPAREN] = ACTIONS(2986),
    [anon_sym_DOT] = ACTIONS(2988),
    [anon_sym_end] = ACTIONS(2986),
    [anon_sym_rescue] = ACTIONS(2986),
    [anon_sym_EQ] = ACTIONS(3040),
    [anon_sym_COMMA] = ACTIONS(2986),
    [anon_sym_PIPE] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_LT] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2986),
    [anon_sym_unless] = ACTIONS(2986),
    [anon_sym_while] = ACTIONS(2986),
    [anon_sym_until] = ACTIONS(2986),
    [anon_sym_in] = ACTIONS(2986),
    [anon_sym_when] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(2986),
    [anon_sym_DOT_DOT] = ACTIONS(2988),
    [anon_sym_CARET] = ACTIONS(2988),
    [anon_sym_elsif] = ACTIONS(2986),
    [anon_sym_else] = ACTIONS(2986),
    [anon_sym_then] = ACTIONS(2986),
    [anon_sym_ensure] = ACTIONS(2986),
    [anon_sym_COLON_COLON2] = ACTIONS(2986),
    [anon_sym_AMP_DOT] = ACTIONS(2986),
    [anon_sym_PLUS_EQ] = ACTIONS(3042),
    [anon_sym_DASH_EQ] = ACTIONS(3042),
    [anon_sym_STAR_EQ] = ACTIONS(3042),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3042),
    [anon_sym_SLASH_EQ] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3042),
    [anon_sym_PIPE_EQ] = ACTIONS(3042),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3042),
    [anon_sym_AMP_EQ] = ACTIONS(3042),
    [anon_sym_PERCENT_EQ] = ACTIONS(3042),
    [anon_sym_GT_GT_EQ] = ACTIONS(3042),
    [anon_sym_LT_LT_EQ] = ACTIONS(3042),
    [anon_sym_CARET_EQ] = ACTIONS(3042),
    [anon_sym_QMARK] = ACTIONS(2986),
    [anon_sym_and] = ACTIONS(2986),
    [anon_sym_or] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2988),
    [anon_sym_LT_LT] = ACTIONS(2988),
    [anon_sym_GT_GT] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(2988),
    [anon_sym_GT] = ACTIONS(2988),
    [anon_sym_GT_EQ] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2988),
    [anon_sym_PERCENT] = ACTIONS(2988),
    [anon_sym_EQ_EQ] = ACTIONS(2988),
    [anon_sym_BANG_EQ] = ACTIONS(2986),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2986),
    [anon_sym_LT_EQ_GT] = ACTIONS(2986),
    [anon_sym_EQ_TILDE] = ACTIONS(2986),
    [anon_sym_BANG_TILDE] = ACTIONS(2986),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2986),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2986),
    [sym__binary_star] = ACTIONS(2986),
    [sym__binary_star_star] = ACTIONS(2986),
    [sym__element_reference_bracket] = ACTIONS(2986),
  },
  [2087] = {
    [sym_heredoc_body] = STATE(2087),
    [aux_sym__mlhs_repeat1] = STATE(5201),
    [anon_sym_RBRACE] = ACTIONS(2986),
    [anon_sym_RPAREN] = ACTIONS(2986),
    [anon_sym_DOT] = ACTIONS(2988),
    [anon_sym_end] = ACTIONS(2986),
    [anon_sym_rescue] = ACTIONS(2986),
    [anon_sym_EQ] = ACTIONS(3044),
    [anon_sym_COMMA] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_LT] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2986),
    [anon_sym_unless] = ACTIONS(2986),
    [anon_sym_while] = ACTIONS(2986),
    [anon_sym_until] = ACTIONS(2986),
    [anon_sym_in] = ACTIONS(2986),
    [anon_sym_when] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(2986),
    [anon_sym_DOT_DOT] = ACTIONS(2988),
    [anon_sym_CARET] = ACTIONS(2988),
    [anon_sym_elsif] = ACTIONS(2986),
    [anon_sym_else] = ACTIONS(2986),
    [anon_sym_then] = ACTIONS(2986),
    [anon_sym_ensure] = ACTIONS(2986),
    [anon_sym_COLON_COLON2] = ACTIONS(2986),
    [anon_sym_AMP_DOT] = ACTIONS(2986),
    [anon_sym_PLUS_EQ] = ACTIONS(3046),
    [anon_sym_DASH_EQ] = ACTIONS(3046),
    [anon_sym_STAR_EQ] = ACTIONS(3046),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3046),
    [anon_sym_SLASH_EQ] = ACTIONS(3046),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3046),
    [anon_sym_PIPE_EQ] = ACTIONS(3046),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3046),
    [anon_sym_AMP_EQ] = ACTIONS(3046),
    [anon_sym_PERCENT_EQ] = ACTIONS(3046),
    [anon_sym_GT_GT_EQ] = ACTIONS(3046),
    [anon_sym_LT_LT_EQ] = ACTIONS(3046),
    [anon_sym_CARET_EQ] = ACTIONS(3046),
    [anon_sym_QMARK] = ACTIONS(2986),
    [anon_sym_and] = ACTIONS(2986),
    [anon_sym_or] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2988),
    [anon_sym_LT_LT] = ACTIONS(2988),
    [anon_sym_GT_GT] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(2988),
    [anon_sym_GT] = ACTIONS(2988),
    [anon_sym_GT_EQ] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2988),
    [anon_sym_PERCENT] = ACTIONS(2988),
    [anon_sym_EQ_EQ] = ACTIONS(2988),
    [anon_sym_BANG_EQ] = ACTIONS(2986),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2986),
    [anon_sym_LT_EQ_GT] = ACTIONS(2986),
    [anon_sym_EQ_TILDE] = ACTIONS(2986),
    [anon_sym_BANG_TILDE] = ACTIONS(2986),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2986),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2986),
    [sym__binary_star] = ACTIONS(2986),
    [sym__binary_star_star] = ACTIONS(2986),
    [sym__element_reference_bracket] = ACTIONS(2986),
  },
  [2088] = {
    [sym_splat_parameter] = STATE(4442),
    [sym__pattern_expr] = STATE(4398),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym_find_pattern] = STATE(4378),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4524),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4514),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_string] = STATE(4357),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(2088),
    [sym_lambda] = STATE(4311),
    [sym_identifier] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2882),
    [anon_sym_STAR] = ACTIONS(2892),
    [anon_sym_nil] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_DOT_DOT] = ACTIONS(2886),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(2770),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2772),
    [sym_float] = ACTIONS(2772),
    [sym_self] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_constant] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2776),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2890),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2770),
  },
  [2089] = {
    [sym_splat_parameter] = STATE(4442),
    [sym__pattern_expr] = STATE(4398),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym_find_pattern] = STATE(4378),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4668),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4584),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_string] = STATE(4357),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(2089),
    [sym_lambda] = STATE(4311),
    [sym_identifier] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_nil] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_DOT_DOT] = ACTIONS(2860),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_PLUS] = ACTIONS(2862),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2864),
    [sym_float] = ACTIONS(2864),
    [sym_self] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_constant] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2776),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2782),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2862),
  },
  [2090] = {
    [sym_heredoc_body] = STATE(2090),
    [aux_sym__mlhs_repeat1] = STATE(5201),
    [anon_sym_RBRACE] = ACTIONS(2986),
    [anon_sym_RPAREN] = ACTIONS(2986),
    [anon_sym_DOT] = ACTIONS(2988),
    [anon_sym_end] = ACTIONS(2986),
    [anon_sym_rescue] = ACTIONS(2986),
    [anon_sym_EQ] = ACTIONS(3048),
    [anon_sym_COMMA] = ACTIONS(2986),
    [anon_sym_PIPE] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_LT] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2986),
    [anon_sym_unless] = ACTIONS(2986),
    [anon_sym_while] = ACTIONS(2986),
    [anon_sym_until] = ACTIONS(2986),
    [anon_sym_in] = ACTIONS(2986),
    [anon_sym_when] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(2986),
    [anon_sym_DOT_DOT] = ACTIONS(2988),
    [anon_sym_CARET] = ACTIONS(2988),
    [anon_sym_elsif] = ACTIONS(2986),
    [anon_sym_else] = ACTIONS(2986),
    [anon_sym_then] = ACTIONS(2986),
    [anon_sym_ensure] = ACTIONS(2986),
    [anon_sym_COLON_COLON2] = ACTIONS(2986),
    [anon_sym_AMP_DOT] = ACTIONS(2986),
    [anon_sym_PLUS_EQ] = ACTIONS(3050),
    [anon_sym_DASH_EQ] = ACTIONS(3050),
    [anon_sym_STAR_EQ] = ACTIONS(3050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3050),
    [anon_sym_SLASH_EQ] = ACTIONS(3050),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3050),
    [anon_sym_AMP_EQ] = ACTIONS(3050),
    [anon_sym_PERCENT_EQ] = ACTIONS(3050),
    [anon_sym_GT_GT_EQ] = ACTIONS(3050),
    [anon_sym_LT_LT_EQ] = ACTIONS(3050),
    [anon_sym_CARET_EQ] = ACTIONS(3050),
    [anon_sym_QMARK] = ACTIONS(2986),
    [anon_sym_and] = ACTIONS(2986),
    [anon_sym_or] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2988),
    [anon_sym_LT_LT] = ACTIONS(2988),
    [anon_sym_GT_GT] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(2988),
    [anon_sym_GT] = ACTIONS(2988),
    [anon_sym_GT_EQ] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2988),
    [anon_sym_PERCENT] = ACTIONS(2988),
    [anon_sym_EQ_EQ] = ACTIONS(2988),
    [anon_sym_BANG_EQ] = ACTIONS(2986),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2986),
    [anon_sym_LT_EQ_GT] = ACTIONS(2986),
    [anon_sym_EQ_TILDE] = ACTIONS(2986),
    [anon_sym_BANG_TILDE] = ACTIONS(2986),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2986),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2986),
    [sym__binary_star] = ACTIONS(2986),
    [sym__binary_star_star] = ACTIONS(2986),
    [sym__element_reference_bracket] = ACTIONS(2986),
  },
  [2091] = {
    [sym_heredoc_body] = STATE(2091),
    [ts_builtin_sym_end] = ACTIONS(2920),
    [sym_identifier] = ACTIONS(2918),
    [aux_sym_program_token1] = ACTIONS(2920),
    [anon_sym___END__] = ACTIONS(2918),
    [anon_sym_BEGIN] = ACTIONS(2918),
    [anon_sym_LBRACE] = ACTIONS(2920),
    [anon_sym_END] = ACTIONS(2918),
    [anon_sym_def] = ACTIONS(2918),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_COLON_COLON] = ACTIONS(2920),
    [anon_sym_SEMI] = ACTIONS(2920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2920),
    [anon_sym_STAR] = ACTIONS(2920),
    [anon_sym_nil] = ACTIONS(2918),
    [anon_sym_class] = ACTIONS(2918),
    [anon_sym_module] = ACTIONS(2918),
    [anon_sym_return] = ACTIONS(2918),
    [anon_sym_yield] = ACTIONS(2918),
    [anon_sym_break] = ACTIONS(2918),
    [anon_sym_next] = ACTIONS(2918),
    [anon_sym_redo] = ACTIONS(2918),
    [anon_sym_retry] = ACTIONS(2918),
    [anon_sym_if] = ACTIONS(2918),
    [anon_sym_unless] = ACTIONS(2918),
    [anon_sym_while] = ACTIONS(2918),
    [anon_sym_until] = ACTIONS(2918),
    [anon_sym_for] = ACTIONS(2918),
    [anon_sym_case] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_DOT_DOT] = ACTIONS(2918),
    [anon_sym_begin] = ACTIONS(2918),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_defined_QMARK] = ACTIONS(2920),
    [anon_sym_not] = ACTIONS(2918),
    [anon_sym_BANG] = ACTIONS(2920),
    [anon_sym_TILDE] = ACTIONS(2920),
    [anon_sym_undef] = ACTIONS(2918),
    [anon_sym_alias] = ACTIONS(2918),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2918),
    [sym_float] = ACTIONS(2918),
    [sym_super] = ACTIONS(2918),
    [sym_self] = ACTIONS(2918),
    [sym_true] = ACTIONS(2918),
    [sym_false] = ACTIONS(2918),
    [sym_constant] = ACTIONS(2918),
    [aux_sym_constant_suffix_token1] = ACTIONS(2920),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2918),
    [sym_instance_variable] = ACTIONS(2920),
    [sym_class_variable] = ACTIONS(2920),
    [sym_global_variable] = ACTIONS(2920),
    [sym_character] = ACTIONS(2920),
    [anon_sym_DASH_GT] = ACTIONS(2920),
    [sym_simple_symbol] = ACTIONS(2920),
    [sym__string_start] = ACTIONS(2920),
    [sym__symbol_start] = ACTIONS(2920),
    [sym__subshell_start] = ACTIONS(2920),
    [sym__regex_start] = ACTIONS(2920),
    [sym__string_array_start] = ACTIONS(2920),
    [sym__symbol_array_start] = ACTIONS(2920),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2920),
    [sym__unary_minus] = ACTIONS(2920),
    [sym__unary_minus_num] = ACTIONS(2920),
    [sym__binary_minus] = ACTIONS(2920),
    [sym__identifier_suffix] = ACTIONS(2920),
    [sym__constant_suffix] = ACTIONS(2920),
  },
  [2092] = {
    [sym_splat_parameter] = STATE(4943),
    [sym__pattern_expr] = STATE(4839),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_unary_literal] = STATE(4664),
    [sym__literal] = STATE(4610),
    [sym__numeric] = STATE(4616),
    [sym__simple_numeric] = STATE(4664),
    [sym__int_or_float] = STATE(5446),
    [sym_complex] = STATE(4665),
    [sym_rational] = STATE(4665),
    [sym_nil] = STATE(4648),
    [sym_string] = STATE(4610),
    [sym_subshell] = STATE(4610),
    [sym_string_array] = STATE(4610),
    [sym_symbol_array] = STATE(4610),
    [sym_delimited_symbol] = STATE(4616),
    [sym_regex] = STATE(4610),
    [sym_heredoc_body] = STATE(2092),
    [sym_lambda] = STATE(4652),
    [sym_identifier] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2904),
    [anon_sym_nil] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_DOT_DOT] = ACTIONS(2818),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(2820),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2822),
    [sym_float] = ACTIONS(2822),
    [sym_self] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_constant] = ACTIONS(2906),
    [anon_sym_DASH_GT] = ACTIONS(2830),
    [sym_simple_symbol] = ACTIONS(2832),
    [sym__string_start] = ACTIONS(2834),
    [sym__symbol_start] = ACTIONS(2836),
    [sym__subshell_start] = ACTIONS(2838),
    [sym__regex_start] = ACTIONS(2840),
    [sym__string_array_start] = ACTIONS(2842),
    [sym__symbol_array_start] = ACTIONS(2844),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2846),
    [sym__unary_minus_num] = ACTIONS(2820),
  },
  [2093] = {
    [sym_splat_parameter] = STATE(4943),
    [sym__pattern_expr] = STATE(4839),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4746),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4681),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_unary_literal] = STATE(4664),
    [sym__literal] = STATE(4610),
    [sym__numeric] = STATE(4616),
    [sym__simple_numeric] = STATE(4664),
    [sym__int_or_float] = STATE(5446),
    [sym_complex] = STATE(4665),
    [sym_rational] = STATE(4665),
    [sym_nil] = STATE(4648),
    [sym_string] = STATE(4610),
    [sym_subshell] = STATE(4610),
    [sym_string_array] = STATE(4610),
    [sym_symbol_array] = STATE(4610),
    [sym_delimited_symbol] = STATE(4616),
    [sym_regex] = STATE(4610),
    [sym_heredoc_body] = STATE(2093),
    [sym_lambda] = STATE(4652),
    [sym_identifier] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2904),
    [anon_sym_nil] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_DOT_DOT] = ACTIONS(2872),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(2874),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2876),
    [sym_float] = ACTIONS(2876),
    [sym_self] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_constant] = ACTIONS(2906),
    [anon_sym_DASH_GT] = ACTIONS(2830),
    [sym_simple_symbol] = ACTIONS(2832),
    [sym__string_start] = ACTIONS(2834),
    [sym__symbol_start] = ACTIONS(2836),
    [sym__subshell_start] = ACTIONS(2838),
    [sym__regex_start] = ACTIONS(2840),
    [sym__string_array_start] = ACTIONS(2842),
    [sym__symbol_array_start] = ACTIONS(2844),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2846),
    [sym__unary_minus_num] = ACTIONS(2874),
  },
  [2094] = {
    [sym_heredoc_body] = STATE(2094),
    [ts_builtin_sym_end] = ACTIONS(2924),
    [sym_identifier] = ACTIONS(2922),
    [aux_sym_program_token1] = ACTIONS(2924),
    [anon_sym___END__] = ACTIONS(2922),
    [anon_sym_BEGIN] = ACTIONS(2922),
    [anon_sym_LBRACE] = ACTIONS(2924),
    [anon_sym_END] = ACTIONS(2922),
    [anon_sym_def] = ACTIONS(2922),
    [anon_sym_LPAREN] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2924),
    [anon_sym_STAR] = ACTIONS(2924),
    [anon_sym_nil] = ACTIONS(2922),
    [anon_sym_class] = ACTIONS(2922),
    [anon_sym_module] = ACTIONS(2922),
    [anon_sym_return] = ACTIONS(2922),
    [anon_sym_yield] = ACTIONS(2922),
    [anon_sym_break] = ACTIONS(2922),
    [anon_sym_next] = ACTIONS(2922),
    [anon_sym_redo] = ACTIONS(2922),
    [anon_sym_retry] = ACTIONS(2922),
    [anon_sym_if] = ACTIONS(2922),
    [anon_sym_unless] = ACTIONS(2922),
    [anon_sym_while] = ACTIONS(2922),
    [anon_sym_until] = ACTIONS(2922),
    [anon_sym_for] = ACTIONS(2922),
    [anon_sym_case] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_DOT_DOT] = ACTIONS(2922),
    [anon_sym_begin] = ACTIONS(2922),
    [anon_sym_PLUS] = ACTIONS(2924),
    [anon_sym_defined_QMARK] = ACTIONS(2924),
    [anon_sym_not] = ACTIONS(2922),
    [anon_sym_BANG] = ACTIONS(2924),
    [anon_sym_TILDE] = ACTIONS(2924),
    [anon_sym_undef] = ACTIONS(2922),
    [anon_sym_alias] = ACTIONS(2922),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2922),
    [sym_float] = ACTIONS(2922),
    [sym_super] = ACTIONS(2922),
    [sym_self] = ACTIONS(2922),
    [sym_true] = ACTIONS(2922),
    [sym_false] = ACTIONS(2922),
    [sym_constant] = ACTIONS(2922),
    [aux_sym_constant_suffix_token1] = ACTIONS(2924),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2922),
    [sym_instance_variable] = ACTIONS(2924),
    [sym_class_variable] = ACTIONS(2924),
    [sym_global_variable] = ACTIONS(2924),
    [sym_character] = ACTIONS(2924),
    [anon_sym_DASH_GT] = ACTIONS(2924),
    [sym_simple_symbol] = ACTIONS(2924),
    [sym__string_start] = ACTIONS(2924),
    [sym__symbol_start] = ACTIONS(2924),
    [sym__subshell_start] = ACTIONS(2924),
    [sym__regex_start] = ACTIONS(2924),
    [sym__string_array_start] = ACTIONS(2924),
    [sym__symbol_array_start] = ACTIONS(2924),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2924),
    [sym__unary_minus] = ACTIONS(2924),
    [sym__unary_minus_num] = ACTIONS(2924),
    [sym__binary_minus] = ACTIONS(2924),
    [sym__identifier_suffix] = ACTIONS(2924),
    [sym__constant_suffix] = ACTIONS(2924),
  },
  [2095] = {
    [sym_heredoc_body] = STATE(2095),
    [aux_sym__mlhs_repeat1] = STATE(5201),
    [anon_sym_RBRACE] = ACTIONS(2986),
    [anon_sym_RPAREN] = ACTIONS(2986),
    [anon_sym_DOT] = ACTIONS(2988),
    [anon_sym_end] = ACTIONS(2986),
    [anon_sym_rescue] = ACTIONS(2986),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_COMMA] = ACTIONS(2986),
    [anon_sym_PIPE] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_LT] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2986),
    [anon_sym_unless] = ACTIONS(2986),
    [anon_sym_while] = ACTIONS(2986),
    [anon_sym_until] = ACTIONS(2986),
    [anon_sym_in] = ACTIONS(2986),
    [anon_sym_when] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(2986),
    [anon_sym_DOT_DOT] = ACTIONS(2988),
    [anon_sym_CARET] = ACTIONS(2988),
    [anon_sym_elsif] = ACTIONS(2986),
    [anon_sym_else] = ACTIONS(2986),
    [anon_sym_then] = ACTIONS(2986),
    [anon_sym_ensure] = ACTIONS(2986),
    [anon_sym_COLON_COLON2] = ACTIONS(2986),
    [anon_sym_AMP_DOT] = ACTIONS(2986),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3054),
    [anon_sym_AMP_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_GT_GT_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT_EQ] = ACTIONS(3054),
    [anon_sym_CARET_EQ] = ACTIONS(3054),
    [anon_sym_QMARK] = ACTIONS(2986),
    [anon_sym_and] = ACTIONS(2986),
    [anon_sym_or] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2988),
    [anon_sym_LT_LT] = ACTIONS(2988),
    [anon_sym_GT_GT] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(2988),
    [anon_sym_GT] = ACTIONS(2988),
    [anon_sym_GT_EQ] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2988),
    [anon_sym_PERCENT] = ACTIONS(2988),
    [anon_sym_EQ_EQ] = ACTIONS(2988),
    [anon_sym_BANG_EQ] = ACTIONS(2986),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2986),
    [anon_sym_LT_EQ_GT] = ACTIONS(2986),
    [anon_sym_EQ_TILDE] = ACTIONS(2986),
    [anon_sym_BANG_TILDE] = ACTIONS(2986),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2986),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2986),
    [sym__binary_star] = ACTIONS(2986),
    [sym__binary_star_star] = ACTIONS(2986),
    [sym__element_reference_bracket] = ACTIONS(2986),
  },
  [2096] = {
    [sym_heredoc_body] = STATE(2096),
    [ts_builtin_sym_end] = ACTIONS(1070),
    [sym_identifier] = ACTIONS(1084),
    [aux_sym_program_token1] = ACTIONS(1070),
    [anon_sym___END__] = ACTIONS(1084),
    [anon_sym_BEGIN] = ACTIONS(1084),
    [anon_sym_LBRACE] = ACTIONS(1070),
    [anon_sym_END] = ACTIONS(1084),
    [anon_sym_def] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1070),
    [anon_sym_COLON_COLON] = ACTIONS(1070),
    [anon_sym_SEMI] = ACTIONS(1070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1070),
    [anon_sym_STAR] = ACTIONS(1070),
    [anon_sym_nil] = ACTIONS(1084),
    [anon_sym_class] = ACTIONS(1084),
    [anon_sym_module] = ACTIONS(1084),
    [anon_sym_return] = ACTIONS(1084),
    [anon_sym_yield] = ACTIONS(1084),
    [anon_sym_break] = ACTIONS(1084),
    [anon_sym_next] = ACTIONS(1084),
    [anon_sym_redo] = ACTIONS(1084),
    [anon_sym_retry] = ACTIONS(1084),
    [anon_sym_if] = ACTIONS(1084),
    [anon_sym_unless] = ACTIONS(1084),
    [anon_sym_while] = ACTIONS(1084),
    [anon_sym_until] = ACTIONS(1084),
    [anon_sym_for] = ACTIONS(1084),
    [anon_sym_case] = ACTIONS(1084),
    [anon_sym_LBRACK] = ACTIONS(1070),
    [anon_sym_DOT_DOT] = ACTIONS(1084),
    [anon_sym_begin] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1070),
    [anon_sym_defined_QMARK] = ACTIONS(1070),
    [anon_sym_not] = ACTIONS(1084),
    [anon_sym_BANG] = ACTIONS(1070),
    [anon_sym_TILDE] = ACTIONS(1070),
    [anon_sym_undef] = ACTIONS(1084),
    [anon_sym_alias] = ACTIONS(1084),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(1084),
    [sym_float] = ACTIONS(1084),
    [sym_super] = ACTIONS(1084),
    [sym_self] = ACTIONS(1084),
    [sym_true] = ACTIONS(1084),
    [sym_false] = ACTIONS(1084),
    [sym_constant] = ACTIONS(1084),
    [aux_sym_constant_suffix_token1] = ACTIONS(1070),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1084),
    [sym_instance_variable] = ACTIONS(1070),
    [sym_class_variable] = ACTIONS(1070),
    [sym_global_variable] = ACTIONS(1070),
    [sym_character] = ACTIONS(1070),
    [anon_sym_DASH_GT] = ACTIONS(1070),
    [sym_simple_symbol] = ACTIONS(1070),
    [sym__string_start] = ACTIONS(1070),
    [sym__symbol_start] = ACTIONS(1070),
    [sym__subshell_start] = ACTIONS(1070),
    [sym__regex_start] = ACTIONS(1070),
    [sym__string_array_start] = ACTIONS(1070),
    [sym__symbol_array_start] = ACTIONS(1070),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(1070),
    [sym__unary_minus] = ACTIONS(1070),
    [sym__unary_minus_num] = ACTIONS(1070),
    [sym__binary_minus] = ACTIONS(1070),
    [sym__identifier_suffix] = ACTIONS(1070),
    [sym__constant_suffix] = ACTIONS(1070),
  },
  [2097] = {
    [sym_heredoc_body] = STATE(2097),
    [ts_builtin_sym_end] = ACTIONS(2908),
    [sym_identifier] = ACTIONS(1984),
    [aux_sym_program_token1] = ACTIONS(2908),
    [anon_sym___END__] = ACTIONS(1984),
    [anon_sym_BEGIN] = ACTIONS(1984),
    [anon_sym_LBRACE] = ACTIONS(2908),
    [anon_sym_END] = ACTIONS(1984),
    [anon_sym_def] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(2908),
    [anon_sym_COLON_COLON] = ACTIONS(2908),
    [anon_sym_SEMI] = ACTIONS(2908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(2908),
    [anon_sym_nil] = ACTIONS(1984),
    [anon_sym_class] = ACTIONS(1984),
    [anon_sym_module] = ACTIONS(1984),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_yield] = ACTIONS(1984),
    [anon_sym_break] = ACTIONS(1984),
    [anon_sym_next] = ACTIONS(1984),
    [anon_sym_redo] = ACTIONS(1984),
    [anon_sym_retry] = ACTIONS(1984),
    [anon_sym_if] = ACTIONS(1984),
    [anon_sym_unless] = ACTIONS(1984),
    [anon_sym_while] = ACTIONS(1984),
    [anon_sym_until] = ACTIONS(1984),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_case] = ACTIONS(1984),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_DOT_DOT] = ACTIONS(1984),
    [anon_sym_begin] = ACTIONS(1984),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_defined_QMARK] = ACTIONS(2908),
    [anon_sym_not] = ACTIONS(1984),
    [anon_sym_BANG] = ACTIONS(2908),
    [anon_sym_TILDE] = ACTIONS(2908),
    [anon_sym_undef] = ACTIONS(1984),
    [anon_sym_alias] = ACTIONS(1984),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(1984),
    [sym_float] = ACTIONS(1984),
    [sym_super] = ACTIONS(1984),
    [sym_self] = ACTIONS(1984),
    [sym_true] = ACTIONS(1984),
    [sym_false] = ACTIONS(1984),
    [sym_constant] = ACTIONS(1984),
    [aux_sym_constant_suffix_token1] = ACTIONS(2908),
    [aux_sym_identifier_suffix_token1] = ACTIONS(1984),
    [sym_instance_variable] = ACTIONS(2908),
    [sym_class_variable] = ACTIONS(2908),
    [sym_global_variable] = ACTIONS(2908),
    [sym_character] = ACTIONS(2908),
    [anon_sym_DASH_GT] = ACTIONS(2908),
    [sym_simple_symbol] = ACTIONS(2908),
    [sym__string_start] = ACTIONS(2908),
    [sym__symbol_start] = ACTIONS(2908),
    [sym__subshell_start] = ACTIONS(2908),
    [sym__regex_start] = ACTIONS(2908),
    [sym__string_array_start] = ACTIONS(2908),
    [sym__symbol_array_start] = ACTIONS(2908),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2908),
    [sym__unary_minus] = ACTIONS(2908),
    [sym__unary_minus_num] = ACTIONS(2908),
    [sym__binary_minus] = ACTIONS(2908),
    [sym__identifier_suffix] = ACTIONS(2908),
    [sym__constant_suffix] = ACTIONS(2908),
  },
  [2098] = {
    [sym_splat_parameter] = STATE(4442),
    [sym__pattern_expr] = STATE(4398),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym_find_pattern] = STATE(4378),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4425),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4391),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_string] = STATE(4357),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(2098),
    [sym_lambda] = STATE(4311),
    [sym_identifier] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2760),
    [anon_sym_STAR] = ACTIONS(2762),
    [anon_sym_nil] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_DOT_DOT] = ACTIONS(2768),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_PLUS] = ACTIONS(2770),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2772),
    [sym_float] = ACTIONS(2772),
    [sym_self] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_constant] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2776),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2782),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2770),
  },
  [2099] = {
    [sym_heredoc_body] = STATE(2099),
    [ts_builtin_sym_end] = ACTIONS(745),
    [aux_sym_program_token1] = ACTIONS(745),
    [anon_sym___END__] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_rescue] = ACTIONS(745),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_COLON] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(745),
    [anon_sym_unless] = ACTIONS(745),
    [anon_sym_while] = ACTIONS(745),
    [anon_sym_until] = ACTIONS(745),
    [anon_sym_do] = ACTIONS(745),
    [anon_sym_EQ_GT] = ACTIONS(2688),
    [anon_sym_LBRACK2] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(745),
    [anon_sym_and] = ACTIONS(745),
    [anon_sym_or] = ACTIONS(745),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [2100] = {
    [sym_heredoc_body] = STATE(2100),
    [sym_identifier] = ACTIONS(2962),
    [anon_sym_BEGIN] = ACTIONS(2962),
    [anon_sym_LBRACE] = ACTIONS(2964),
    [anon_sym_RBRACE] = ACTIONS(2964),
    [anon_sym_END] = ACTIONS(2962),
    [anon_sym_def] = ACTIONS(2962),
    [anon_sym_LPAREN] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2964),
    [anon_sym_SEMI] = ACTIONS(2964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2964),
    [anon_sym_STAR] = ACTIONS(2964),
    [anon_sym_nil] = ACTIONS(2962),
    [anon_sym_class] = ACTIONS(2962),
    [anon_sym_module] = ACTIONS(2962),
    [anon_sym_return] = ACTIONS(2962),
    [anon_sym_yield] = ACTIONS(2962),
    [anon_sym_break] = ACTIONS(2962),
    [anon_sym_next] = ACTIONS(2962),
    [anon_sym_redo] = ACTIONS(2962),
    [anon_sym_retry] = ACTIONS(2962),
    [anon_sym_if] = ACTIONS(2962),
    [anon_sym_unless] = ACTIONS(2962),
    [anon_sym_while] = ACTIONS(2962),
    [anon_sym_until] = ACTIONS(2962),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_case] = ACTIONS(2962),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [anon_sym_DOT_DOT] = ACTIONS(2962),
    [anon_sym_begin] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2964),
    [anon_sym_defined_QMARK] = ACTIONS(2964),
    [anon_sym_not] = ACTIONS(2962),
    [anon_sym_BANG] = ACTIONS(2964),
    [anon_sym_TILDE] = ACTIONS(2964),
    [anon_sym_undef] = ACTIONS(2962),
    [anon_sym_alias] = ACTIONS(2962),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2962),
    [sym_float] = ACTIONS(2962),
    [sym_super] = ACTIONS(2962),
    [sym_self] = ACTIONS(2962),
    [sym_true] = ACTIONS(2962),
    [sym_false] = ACTIONS(2962),
    [sym_constant] = ACTIONS(2962),
    [aux_sym_constant_suffix_token1] = ACTIONS(2964),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2962),
    [sym_instance_variable] = ACTIONS(2964),
    [sym_class_variable] = ACTIONS(2964),
    [sym_global_variable] = ACTIONS(2964),
    [sym_character] = ACTIONS(2964),
    [anon_sym_DASH_GT] = ACTIONS(2964),
    [sym_simple_symbol] = ACTIONS(2964),
    [sym__string_start] = ACTIONS(2964),
    [sym__symbol_start] = ACTIONS(2964),
    [sym__subshell_start] = ACTIONS(2964),
    [sym__regex_start] = ACTIONS(2964),
    [sym__string_array_start] = ACTIONS(2964),
    [sym__symbol_array_start] = ACTIONS(2964),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2964),
    [sym__unary_minus] = ACTIONS(2964),
    [sym__unary_minus_num] = ACTIONS(2964),
    [sym__binary_minus] = ACTIONS(2964),
    [sym__identifier_suffix] = ACTIONS(2964),
    [sym__constant_suffix] = ACTIONS(2964),
  },
  [2101] = {
    [sym_heredoc_body] = STATE(2101),
    [sym_identifier] = ACTIONS(3014),
    [anon_sym_BEGIN] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(3016),
    [anon_sym_RBRACE] = ACTIONS(3016),
    [anon_sym_END] = ACTIONS(3014),
    [anon_sym_def] = ACTIONS(3014),
    [anon_sym_LPAREN] = ACTIONS(3016),
    [anon_sym_COLON_COLON] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(3016),
    [anon_sym_nil] = ACTIONS(3014),
    [anon_sym_class] = ACTIONS(3014),
    [anon_sym_module] = ACTIONS(3014),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_yield] = ACTIONS(3014),
    [anon_sym_break] = ACTIONS(3014),
    [anon_sym_next] = ACTIONS(3014),
    [anon_sym_redo] = ACTIONS(3014),
    [anon_sym_retry] = ACTIONS(3014),
    [anon_sym_if] = ACTIONS(3014),
    [anon_sym_unless] = ACTIONS(3014),
    [anon_sym_while] = ACTIONS(3014),
    [anon_sym_until] = ACTIONS(3014),
    [anon_sym_for] = ACTIONS(3014),
    [anon_sym_case] = ACTIONS(3014),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3014),
    [anon_sym_begin] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3016),
    [anon_sym_defined_QMARK] = ACTIONS(3016),
    [anon_sym_not] = ACTIONS(3014),
    [anon_sym_BANG] = ACTIONS(3016),
    [anon_sym_TILDE] = ACTIONS(3016),
    [anon_sym_undef] = ACTIONS(3014),
    [anon_sym_alias] = ACTIONS(3014),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(3014),
    [sym_float] = ACTIONS(3014),
    [sym_super] = ACTIONS(3014),
    [sym_self] = ACTIONS(3014),
    [sym_true] = ACTIONS(3014),
    [sym_false] = ACTIONS(3014),
    [sym_constant] = ACTIONS(3014),
    [aux_sym_constant_suffix_token1] = ACTIONS(3016),
    [aux_sym_identifier_suffix_token1] = ACTIONS(3014),
    [sym_instance_variable] = ACTIONS(3016),
    [sym_class_variable] = ACTIONS(3016),
    [sym_global_variable] = ACTIONS(3016),
    [sym_character] = ACTIONS(3016),
    [anon_sym_DASH_GT] = ACTIONS(3016),
    [sym_simple_symbol] = ACTIONS(3016),
    [sym__string_start] = ACTIONS(3016),
    [sym__symbol_start] = ACTIONS(3016),
    [sym__subshell_start] = ACTIONS(3016),
    [sym__regex_start] = ACTIONS(3016),
    [sym__string_array_start] = ACTIONS(3016),
    [sym__symbol_array_start] = ACTIONS(3016),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(3016),
    [sym__unary_minus] = ACTIONS(3016),
    [sym__unary_minus_num] = ACTIONS(3016),
    [sym__binary_minus] = ACTIONS(3016),
    [sym__identifier_suffix] = ACTIONS(3016),
    [sym__constant_suffix] = ACTIONS(3016),
  },
  [2102] = {
    [sym_heredoc_body] = STATE(2102),
    [sym_identifier] = ACTIONS(2970),
    [anon_sym_BEGIN] = ACTIONS(2970),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2972),
    [anon_sym_END] = ACTIONS(2970),
    [anon_sym_def] = ACTIONS(2970),
    [anon_sym_LPAREN] = ACTIONS(2972),
    [anon_sym_COLON_COLON] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2972),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2972),
    [anon_sym_nil] = ACTIONS(2970),
    [anon_sym_class] = ACTIONS(2970),
    [anon_sym_module] = ACTIONS(2970),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_yield] = ACTIONS(2970),
    [anon_sym_break] = ACTIONS(2970),
    [anon_sym_next] = ACTIONS(2970),
    [anon_sym_redo] = ACTIONS(2970),
    [anon_sym_retry] = ACTIONS(2970),
    [anon_sym_if] = ACTIONS(2970),
    [anon_sym_unless] = ACTIONS(2970),
    [anon_sym_while] = ACTIONS(2970),
    [anon_sym_until] = ACTIONS(2970),
    [anon_sym_for] = ACTIONS(2970),
    [anon_sym_case] = ACTIONS(2970),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_DOT_DOT] = ACTIONS(2970),
    [anon_sym_begin] = ACTIONS(2970),
    [anon_sym_PLUS] = ACTIONS(2972),
    [anon_sym_defined_QMARK] = ACTIONS(2972),
    [anon_sym_not] = ACTIONS(2970),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_TILDE] = ACTIONS(2972),
    [anon_sym_undef] = ACTIONS(2970),
    [anon_sym_alias] = ACTIONS(2970),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2970),
    [sym_float] = ACTIONS(2970),
    [sym_super] = ACTIONS(2970),
    [sym_self] = ACTIONS(2970),
    [sym_true] = ACTIONS(2970),
    [sym_false] = ACTIONS(2970),
    [sym_constant] = ACTIONS(2970),
    [aux_sym_constant_suffix_token1] = ACTIONS(2972),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2970),
    [sym_instance_variable] = ACTIONS(2972),
    [sym_class_variable] = ACTIONS(2972),
    [sym_global_variable] = ACTIONS(2972),
    [sym_character] = ACTIONS(2972),
    [anon_sym_DASH_GT] = ACTIONS(2972),
    [sym_simple_symbol] = ACTIONS(2972),
    [sym__string_start] = ACTIONS(2972),
    [sym__symbol_start] = ACTIONS(2972),
    [sym__subshell_start] = ACTIONS(2972),
    [sym__regex_start] = ACTIONS(2972),
    [sym__string_array_start] = ACTIONS(2972),
    [sym__symbol_array_start] = ACTIONS(2972),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2972),
    [sym__unary_minus] = ACTIONS(2972),
    [sym__unary_minus_num] = ACTIONS(2972),
    [sym__binary_minus] = ACTIONS(2972),
    [sym__identifier_suffix] = ACTIONS(2972),
    [sym__constant_suffix] = ACTIONS(2972),
  },
  [2103] = {
    [sym__pattern_expr] = STATE(4398),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym_find_pattern] = STATE(4378),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4425),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4391),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_string] = STATE(4357),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(2103),
    [sym_lambda] = STATE(4311),
    [sym_identifier] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2760),
    [anon_sym_nil] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_DOT_DOT] = ACTIONS(2768),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_PLUS] = ACTIONS(2770),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2772),
    [sym_float] = ACTIONS(2772),
    [sym_self] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_constant] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2776),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2782),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2770),
  },
  [2104] = {
    [sym_heredoc_body] = STATE(2104),
    [sym_identifier] = ACTIONS(2974),
    [anon_sym_BEGIN] = ACTIONS(2974),
    [anon_sym_LBRACE] = ACTIONS(2976),
    [anon_sym_RBRACE] = ACTIONS(2976),
    [anon_sym_END] = ACTIONS(2974),
    [anon_sym_def] = ACTIONS(2974),
    [anon_sym_LPAREN] = ACTIONS(2976),
    [anon_sym_COLON_COLON] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2976),
    [anon_sym_nil] = ACTIONS(2974),
    [anon_sym_class] = ACTIONS(2974),
    [anon_sym_module] = ACTIONS(2974),
    [anon_sym_return] = ACTIONS(2974),
    [anon_sym_yield] = ACTIONS(2974),
    [anon_sym_break] = ACTIONS(2974),
    [anon_sym_next] = ACTIONS(2974),
    [anon_sym_redo] = ACTIONS(2974),
    [anon_sym_retry] = ACTIONS(2974),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_unless] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(2974),
    [anon_sym_until] = ACTIONS(2974),
    [anon_sym_for] = ACTIONS(2974),
    [anon_sym_case] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(2976),
    [anon_sym_DOT_DOT] = ACTIONS(2974),
    [anon_sym_begin] = ACTIONS(2974),
    [anon_sym_PLUS] = ACTIONS(2976),
    [anon_sym_defined_QMARK] = ACTIONS(2976),
    [anon_sym_not] = ACTIONS(2974),
    [anon_sym_BANG] = ACTIONS(2976),
    [anon_sym_TILDE] = ACTIONS(2976),
    [anon_sym_undef] = ACTIONS(2974),
    [anon_sym_alias] = ACTIONS(2974),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2974),
    [sym_float] = ACTIONS(2974),
    [sym_super] = ACTIONS(2974),
    [sym_self] = ACTIONS(2974),
    [sym_true] = ACTIONS(2974),
    [sym_false] = ACTIONS(2974),
    [sym_constant] = ACTIONS(2974),
    [aux_sym_constant_suffix_token1] = ACTIONS(2976),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2974),
    [sym_instance_variable] = ACTIONS(2976),
    [sym_class_variable] = ACTIONS(2976),
    [sym_global_variable] = ACTIONS(2976),
    [sym_character] = ACTIONS(2976),
    [anon_sym_DASH_GT] = ACTIONS(2976),
    [sym_simple_symbol] = ACTIONS(2976),
    [sym__string_start] = ACTIONS(2976),
    [sym__symbol_start] = ACTIONS(2976),
    [sym__subshell_start] = ACTIONS(2976),
    [sym__regex_start] = ACTIONS(2976),
    [sym__string_array_start] = ACTIONS(2976),
    [sym__symbol_array_start] = ACTIONS(2976),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2976),
    [sym__unary_minus] = ACTIONS(2976),
    [sym__unary_minus_num] = ACTIONS(2976),
    [sym__binary_minus] = ACTIONS(2976),
    [sym__identifier_suffix] = ACTIONS(2976),
    [sym__constant_suffix] = ACTIONS(2976),
  },
  [2105] = {
    [sym__pattern_expr] = STATE(4398),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym_find_pattern] = STATE(4378),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4668),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4584),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_string] = STATE(4357),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(2105),
    [sym_lambda] = STATE(4311),
    [sym_identifier] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2858),
    [anon_sym_nil] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_DOT_DOT] = ACTIONS(2860),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1664),
    [anon_sym_PLUS] = ACTIONS(2862),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2864),
    [sym_float] = ACTIONS(2864),
    [sym_self] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_constant] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2776),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2782),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2862),
  },
  [2106] = {
    [sym_heredoc_body] = STATE(2106),
    [sym_identifier] = ACTIONS(2982),
    [anon_sym_BEGIN] = ACTIONS(2982),
    [anon_sym_LBRACE] = ACTIONS(2984),
    [anon_sym_RBRACE] = ACTIONS(2984),
    [anon_sym_END] = ACTIONS(2982),
    [anon_sym_def] = ACTIONS(2982),
    [anon_sym_LPAREN] = ACTIONS(2984),
    [anon_sym_COLON_COLON] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(2984),
    [anon_sym_nil] = ACTIONS(2982),
    [anon_sym_class] = ACTIONS(2982),
    [anon_sym_module] = ACTIONS(2982),
    [anon_sym_return] = ACTIONS(2982),
    [anon_sym_yield] = ACTIONS(2982),
    [anon_sym_break] = ACTIONS(2982),
    [anon_sym_next] = ACTIONS(2982),
    [anon_sym_redo] = ACTIONS(2982),
    [anon_sym_retry] = ACTIONS(2982),
    [anon_sym_if] = ACTIONS(2982),
    [anon_sym_unless] = ACTIONS(2982),
    [anon_sym_while] = ACTIONS(2982),
    [anon_sym_until] = ACTIONS(2982),
    [anon_sym_for] = ACTIONS(2982),
    [anon_sym_case] = ACTIONS(2982),
    [anon_sym_LBRACK] = ACTIONS(2984),
    [anon_sym_DOT_DOT] = ACTIONS(2982),
    [anon_sym_begin] = ACTIONS(2982),
    [anon_sym_PLUS] = ACTIONS(2984),
    [anon_sym_defined_QMARK] = ACTIONS(2984),
    [anon_sym_not] = ACTIONS(2982),
    [anon_sym_BANG] = ACTIONS(2984),
    [anon_sym_TILDE] = ACTIONS(2984),
    [anon_sym_undef] = ACTIONS(2982),
    [anon_sym_alias] = ACTIONS(2982),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2982),
    [sym_float] = ACTIONS(2982),
    [sym_super] = ACTIONS(2982),
    [sym_self] = ACTIONS(2982),
    [sym_true] = ACTIONS(2982),
    [sym_false] = ACTIONS(2982),
    [sym_constant] = ACTIONS(2982),
    [aux_sym_constant_suffix_token1] = ACTIONS(2984),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2982),
    [sym_instance_variable] = ACTIONS(2984),
    [sym_class_variable] = ACTIONS(2984),
    [sym_global_variable] = ACTIONS(2984),
    [sym_character] = ACTIONS(2984),
    [anon_sym_DASH_GT] = ACTIONS(2984),
    [sym_simple_symbol] = ACTIONS(2984),
    [sym__string_start] = ACTIONS(2984),
    [sym__symbol_start] = ACTIONS(2984),
    [sym__subshell_start] = ACTIONS(2984),
    [sym__regex_start] = ACTIONS(2984),
    [sym__string_array_start] = ACTIONS(2984),
    [sym__symbol_array_start] = ACTIONS(2984),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2984),
    [sym__unary_minus] = ACTIONS(2984),
    [sym__unary_minus_num] = ACTIONS(2984),
    [sym__binary_minus] = ACTIONS(2984),
    [sym__identifier_suffix] = ACTIONS(2984),
    [sym__constant_suffix] = ACTIONS(2984),
  },
  [2107] = {
    [sym_heredoc_body] = STATE(2107),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_BEGIN] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_RBRACE] = ACTIONS(3024),
    [anon_sym_END] = ACTIONS(3022),
    [anon_sym_def] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_COLON_COLON] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3024),
    [anon_sym_STAR] = ACTIONS(3024),
    [anon_sym_nil] = ACTIONS(3022),
    [anon_sym_class] = ACTIONS(3022),
    [anon_sym_module] = ACTIONS(3022),
    [anon_sym_return] = ACTIONS(3022),
    [anon_sym_yield] = ACTIONS(3022),
    [anon_sym_break] = ACTIONS(3022),
    [anon_sym_next] = ACTIONS(3022),
    [anon_sym_redo] = ACTIONS(3022),
    [anon_sym_retry] = ACTIONS(3022),
    [anon_sym_if] = ACTIONS(3022),
    [anon_sym_unless] = ACTIONS(3022),
    [anon_sym_while] = ACTIONS(3022),
    [anon_sym_until] = ACTIONS(3022),
    [anon_sym_for] = ACTIONS(3022),
    [anon_sym_case] = ACTIONS(3022),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_DOT_DOT] = ACTIONS(3022),
    [anon_sym_begin] = ACTIONS(3022),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_defined_QMARK] = ACTIONS(3024),
    [anon_sym_not] = ACTIONS(3022),
    [anon_sym_BANG] = ACTIONS(3024),
    [anon_sym_TILDE] = ACTIONS(3024),
    [anon_sym_undef] = ACTIONS(3022),
    [anon_sym_alias] = ACTIONS(3022),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(3022),
    [sym_float] = ACTIONS(3022),
    [sym_super] = ACTIONS(3022),
    [sym_self] = ACTIONS(3022),
    [sym_true] = ACTIONS(3022),
    [sym_false] = ACTIONS(3022),
    [sym_constant] = ACTIONS(3022),
    [aux_sym_constant_suffix_token1] = ACTIONS(3024),
    [aux_sym_identifier_suffix_token1] = ACTIONS(3022),
    [sym_instance_variable] = ACTIONS(3024),
    [sym_class_variable] = ACTIONS(3024),
    [sym_global_variable] = ACTIONS(3024),
    [sym_character] = ACTIONS(3024),
    [anon_sym_DASH_GT] = ACTIONS(3024),
    [sym_simple_symbol] = ACTIONS(3024),
    [sym__string_start] = ACTIONS(3024),
    [sym__symbol_start] = ACTIONS(3024),
    [sym__subshell_start] = ACTIONS(3024),
    [sym__regex_start] = ACTIONS(3024),
    [sym__string_array_start] = ACTIONS(3024),
    [sym__symbol_array_start] = ACTIONS(3024),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(3024),
    [sym__unary_minus] = ACTIONS(3024),
    [sym__unary_minus_num] = ACTIONS(3024),
    [sym__binary_minus] = ACTIONS(3024),
    [sym__identifier_suffix] = ACTIONS(3024),
    [sym__constant_suffix] = ACTIONS(3024),
  },
  [2108] = {
    [sym__pattern_expr] = STATE(4839),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_unary_literal] = STATE(4664),
    [sym__literal] = STATE(4610),
    [sym__numeric] = STATE(4616),
    [sym__simple_numeric] = STATE(4664),
    [sym__int_or_float] = STATE(5446),
    [sym_complex] = STATE(4665),
    [sym_rational] = STATE(4665),
    [sym_nil] = STATE(4648),
    [sym_string] = STATE(4610),
    [sym_subshell] = STATE(4610),
    [sym_string_array] = STATE(4610),
    [sym_symbol_array] = STATE(4610),
    [sym_delimited_symbol] = STATE(4616),
    [sym_regex] = STATE(4610),
    [sym_heredoc_body] = STATE(2108),
    [sym_lambda] = STATE(4652),
    [sym_identifier] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2810),
    [anon_sym_nil] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_DOT_DOT] = ACTIONS(2818),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(2820),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2822),
    [sym_float] = ACTIONS(2822),
    [sym_self] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_constant] = ACTIONS(2906),
    [anon_sym_DASH_GT] = ACTIONS(2830),
    [sym_simple_symbol] = ACTIONS(2832),
    [sym__string_start] = ACTIONS(2834),
    [sym__symbol_start] = ACTIONS(2836),
    [sym__subshell_start] = ACTIONS(2838),
    [sym__regex_start] = ACTIONS(2840),
    [sym__string_array_start] = ACTIONS(2842),
    [sym__symbol_array_start] = ACTIONS(2844),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2846),
    [sym__unary_minus_num] = ACTIONS(2820),
  },
  [2109] = {
    [sym_heredoc_body] = STATE(2109),
    [sym_identifier] = ACTIONS(2994),
    [anon_sym_BEGIN] = ACTIONS(2994),
    [anon_sym_LBRACE] = ACTIONS(2996),
    [anon_sym_RBRACE] = ACTIONS(2996),
    [anon_sym_END] = ACTIONS(2994),
    [anon_sym_def] = ACTIONS(2994),
    [anon_sym_LPAREN] = ACTIONS(2996),
    [anon_sym_COLON_COLON] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2996),
    [anon_sym_nil] = ACTIONS(2994),
    [anon_sym_class] = ACTIONS(2994),
    [anon_sym_module] = ACTIONS(2994),
    [anon_sym_return] = ACTIONS(2994),
    [anon_sym_yield] = ACTIONS(2994),
    [anon_sym_break] = ACTIONS(2994),
    [anon_sym_next] = ACTIONS(2994),
    [anon_sym_redo] = ACTIONS(2994),
    [anon_sym_retry] = ACTIONS(2994),
    [anon_sym_if] = ACTIONS(2994),
    [anon_sym_unless] = ACTIONS(2994),
    [anon_sym_while] = ACTIONS(2994),
    [anon_sym_until] = ACTIONS(2994),
    [anon_sym_for] = ACTIONS(2994),
    [anon_sym_case] = ACTIONS(2994),
    [anon_sym_LBRACK] = ACTIONS(2996),
    [anon_sym_DOT_DOT] = ACTIONS(2994),
    [anon_sym_begin] = ACTIONS(2994),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_defined_QMARK] = ACTIONS(2996),
    [anon_sym_not] = ACTIONS(2994),
    [anon_sym_BANG] = ACTIONS(2996),
    [anon_sym_TILDE] = ACTIONS(2996),
    [anon_sym_undef] = ACTIONS(2994),
    [anon_sym_alias] = ACTIONS(2994),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2994),
    [sym_float] = ACTIONS(2994),
    [sym_super] = ACTIONS(2994),
    [sym_self] = ACTIONS(2994),
    [sym_true] = ACTIONS(2994),
    [sym_false] = ACTIONS(2994),
    [sym_constant] = ACTIONS(2994),
    [aux_sym_constant_suffix_token1] = ACTIONS(2996),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2994),
    [sym_instance_variable] = ACTIONS(2996),
    [sym_class_variable] = ACTIONS(2996),
    [sym_global_variable] = ACTIONS(2996),
    [sym_character] = ACTIONS(2996),
    [anon_sym_DASH_GT] = ACTIONS(2996),
    [sym_simple_symbol] = ACTIONS(2996),
    [sym__string_start] = ACTIONS(2996),
    [sym__symbol_start] = ACTIONS(2996),
    [sym__subshell_start] = ACTIONS(2996),
    [sym__regex_start] = ACTIONS(2996),
    [sym__string_array_start] = ACTIONS(2996),
    [sym__symbol_array_start] = ACTIONS(2996),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2996),
    [sym__unary_minus] = ACTIONS(2996),
    [sym__unary_minus_num] = ACTIONS(2996),
    [sym__binary_minus] = ACTIONS(2996),
    [sym__identifier_suffix] = ACTIONS(2996),
    [sym__constant_suffix] = ACTIONS(2996),
  },
  [2110] = {
    [sym__pattern_expr] = STATE(5506),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_unary_literal] = STATE(4664),
    [sym__literal] = STATE(4610),
    [sym__numeric] = STATE(4616),
    [sym__simple_numeric] = STATE(4664),
    [sym__int_or_float] = STATE(5446),
    [sym_complex] = STATE(4665),
    [sym_rational] = STATE(4665),
    [sym_nil] = STATE(4648),
    [sym_string] = STATE(4610),
    [sym_subshell] = STATE(4610),
    [sym_string_array] = STATE(4610),
    [sym_symbol_array] = STATE(4610),
    [sym_delimited_symbol] = STATE(4616),
    [sym_regex] = STATE(4610),
    [sym_heredoc_body] = STATE(2110),
    [sym_lambda] = STATE(4652),
    [sym_identifier] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2810),
    [anon_sym_nil] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_DOT_DOT] = ACTIONS(2818),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(2820),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2822),
    [sym_float] = ACTIONS(2822),
    [sym_self] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_constant] = ACTIONS(2906),
    [anon_sym_DASH_GT] = ACTIONS(2830),
    [sym_simple_symbol] = ACTIONS(2832),
    [sym__string_start] = ACTIONS(2834),
    [sym__symbol_start] = ACTIONS(2836),
    [sym__subshell_start] = ACTIONS(2838),
    [sym__regex_start] = ACTIONS(2840),
    [sym__string_array_start] = ACTIONS(2842),
    [sym__symbol_array_start] = ACTIONS(2844),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2846),
    [sym__unary_minus_num] = ACTIONS(2820),
  },
  [2111] = {
    [sym_heredoc_body] = STATE(2111),
    [sym_identifier] = ACTIONS(3018),
    [anon_sym_BEGIN] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_RBRACE] = ACTIONS(3020),
    [anon_sym_END] = ACTIONS(3018),
    [anon_sym_def] = ACTIONS(3018),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_COLON_COLON] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3020),
    [anon_sym_STAR] = ACTIONS(3020),
    [anon_sym_nil] = ACTIONS(3018),
    [anon_sym_class] = ACTIONS(3018),
    [anon_sym_module] = ACTIONS(3018),
    [anon_sym_return] = ACTIONS(3018),
    [anon_sym_yield] = ACTIONS(3018),
    [anon_sym_break] = ACTIONS(3018),
    [anon_sym_next] = ACTIONS(3018),
    [anon_sym_redo] = ACTIONS(3018),
    [anon_sym_retry] = ACTIONS(3018),
    [anon_sym_if] = ACTIONS(3018),
    [anon_sym_unless] = ACTIONS(3018),
    [anon_sym_while] = ACTIONS(3018),
    [anon_sym_until] = ACTIONS(3018),
    [anon_sym_for] = ACTIONS(3018),
    [anon_sym_case] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_begin] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_defined_QMARK] = ACTIONS(3020),
    [anon_sym_not] = ACTIONS(3018),
    [anon_sym_BANG] = ACTIONS(3020),
    [anon_sym_TILDE] = ACTIONS(3020),
    [anon_sym_undef] = ACTIONS(3018),
    [anon_sym_alias] = ACTIONS(3018),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(3018),
    [sym_float] = ACTIONS(3018),
    [sym_super] = ACTIONS(3018),
    [sym_self] = ACTIONS(3018),
    [sym_true] = ACTIONS(3018),
    [sym_false] = ACTIONS(3018),
    [sym_constant] = ACTIONS(3018),
    [aux_sym_constant_suffix_token1] = ACTIONS(3020),
    [aux_sym_identifier_suffix_token1] = ACTIONS(3018),
    [sym_instance_variable] = ACTIONS(3020),
    [sym_class_variable] = ACTIONS(3020),
    [sym_global_variable] = ACTIONS(3020),
    [sym_character] = ACTIONS(3020),
    [anon_sym_DASH_GT] = ACTIONS(3020),
    [sym_simple_symbol] = ACTIONS(3020),
    [sym__string_start] = ACTIONS(3020),
    [sym__symbol_start] = ACTIONS(3020),
    [sym__subshell_start] = ACTIONS(3020),
    [sym__regex_start] = ACTIONS(3020),
    [sym__string_array_start] = ACTIONS(3020),
    [sym__symbol_array_start] = ACTIONS(3020),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(3020),
    [sym__unary_minus] = ACTIONS(3020),
    [sym__unary_minus_num] = ACTIONS(3020),
    [sym__binary_minus] = ACTIONS(3020),
    [sym__identifier_suffix] = ACTIONS(3020),
    [sym__constant_suffix] = ACTIONS(3020),
  },
  [2112] = {
    [sym__pattern_expr] = STATE(5504),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4707),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4685),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_unary_literal] = STATE(4664),
    [sym__literal] = STATE(4610),
    [sym__numeric] = STATE(4616),
    [sym__simple_numeric] = STATE(4664),
    [sym__int_or_float] = STATE(5446),
    [sym_complex] = STATE(4665),
    [sym_rational] = STATE(4665),
    [sym_nil] = STATE(4648),
    [sym_string] = STATE(4610),
    [sym_subshell] = STATE(4610),
    [sym_string_array] = STATE(4610),
    [sym_symbol_array] = STATE(4610),
    [sym_delimited_symbol] = STATE(4616),
    [sym_regex] = STATE(4610),
    [sym_heredoc_body] = STATE(2112),
    [sym_lambda] = STATE(4652),
    [sym_identifier] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2810),
    [anon_sym_nil] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_DOT_DOT] = ACTIONS(2818),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(2820),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2822),
    [sym_float] = ACTIONS(2822),
    [sym_self] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_constant] = ACTIONS(2906),
    [anon_sym_DASH_GT] = ACTIONS(2830),
    [sym_simple_symbol] = ACTIONS(2832),
    [sym__string_start] = ACTIONS(2834),
    [sym__symbol_start] = ACTIONS(2836),
    [sym__subshell_start] = ACTIONS(2838),
    [sym__regex_start] = ACTIONS(2840),
    [sym__string_array_start] = ACTIONS(2842),
    [sym__symbol_array_start] = ACTIONS(2844),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2846),
    [sym__unary_minus_num] = ACTIONS(2820),
  },
  [2113] = {
    [sym__pattern_expr] = STATE(4839),
    [sym_as_pattern] = STATE(4766),
    [sym__pattern_expr_alt] = STATE(4766),
    [sym_alternative_pattern] = STATE(4765),
    [sym_array_pattern] = STATE(4753),
    [sym_find_pattern] = STATE(4753),
    [sym_hash_pattern] = STATE(4753),
    [sym__pattern_expr_basic] = STATE(4746),
    [sym_parenthesized_pattern] = STATE(4753),
    [sym__pattern_value] = STATE(4753),
    [sym__pattern_range] = STATE(4760),
    [sym__pattern_primitive] = STATE(4681),
    [sym__pattern_lambda] = STATE(4666),
    [sym__pattern_literal] = STATE(4666),
    [sym__keyword_variable] = STATE(4610),
    [sym_variable_reference_pattern] = STATE(4712),
    [sym_expression_reference_pattern] = STATE(4712),
    [sym__pattern_constant] = STATE(4601),
    [sym__pattern_constant_resolution] = STATE(4598),
    [sym_unary_literal] = STATE(4664),
    [sym__literal] = STATE(4610),
    [sym__numeric] = STATE(4616),
    [sym__simple_numeric] = STATE(4664),
    [sym__int_or_float] = STATE(5446),
    [sym_complex] = STATE(4665),
    [sym_rational] = STATE(4665),
    [sym_nil] = STATE(4648),
    [sym_string] = STATE(4610),
    [sym_subshell] = STATE(4610),
    [sym_string_array] = STATE(4610),
    [sym_symbol_array] = STATE(4610),
    [sym_delimited_symbol] = STATE(4616),
    [sym_regex] = STATE(4610),
    [sym_heredoc_body] = STATE(2113),
    [sym_lambda] = STATE(4652),
    [sym_identifier] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2870),
    [anon_sym_nil] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_DOT_DOT] = ACTIONS(2872),
    [sym_line] = ACTIONS(655),
    [sym_file] = ACTIONS(655),
    [sym_encoding] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(2874),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2876),
    [sym_float] = ACTIONS(2876),
    [sym_self] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_constant] = ACTIONS(2906),
    [anon_sym_DASH_GT] = ACTIONS(2830),
    [sym_simple_symbol] = ACTIONS(2832),
    [sym__string_start] = ACTIONS(2834),
    [sym__symbol_start] = ACTIONS(2836),
    [sym__subshell_start] = ACTIONS(2838),
    [sym__regex_start] = ACTIONS(2840),
    [sym__string_array_start] = ACTIONS(2842),
    [sym__symbol_array_start] = ACTIONS(2844),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2846),
    [sym__unary_minus_num] = ACTIONS(2874),
  },
  [2114] = {
    [sym_heredoc_body] = STATE(2114),
    [sym_identifier] = ACTIONS(3006),
    [anon_sym_BEGIN] = ACTIONS(3006),
    [anon_sym_LBRACE] = ACTIONS(3008),
    [anon_sym_RBRACE] = ACTIONS(3008),
    [anon_sym_END] = ACTIONS(3006),
    [anon_sym_def] = ACTIONS(3006),
    [anon_sym_LPAREN] = ACTIONS(3008),
    [anon_sym_COLON_COLON] = ACTIONS(3008),
    [anon_sym_SEMI] = ACTIONS(3008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3008),
    [anon_sym_STAR] = ACTIONS(3008),
    [anon_sym_nil] = ACTIONS(3006),
    [anon_sym_class] = ACTIONS(3006),
    [anon_sym_module] = ACTIONS(3006),
    [anon_sym_return] = ACTIONS(3006),
    [anon_sym_yield] = ACTIONS(3006),
    [anon_sym_break] = ACTIONS(3006),
    [anon_sym_next] = ACTIONS(3006),
    [anon_sym_redo] = ACTIONS(3006),
    [anon_sym_retry] = ACTIONS(3006),
    [anon_sym_if] = ACTIONS(3006),
    [anon_sym_unless] = ACTIONS(3006),
    [anon_sym_while] = ACTIONS(3006),
    [anon_sym_until] = ACTIONS(3006),
    [anon_sym_for] = ACTIONS(3006),
    [anon_sym_case] = ACTIONS(3006),
    [anon_sym_LBRACK] = ACTIONS(3008),
    [anon_sym_DOT_DOT] = ACTIONS(3006),
    [anon_sym_begin] = ACTIONS(3006),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_defined_QMARK] = ACTIONS(3008),
    [anon_sym_not] = ACTIONS(3006),
    [anon_sym_BANG] = ACTIONS(3008),
    [anon_sym_TILDE] = ACTIONS(3008),
    [anon_sym_undef] = ACTIONS(3006),
    [anon_sym_alias] = ACTIONS(3006),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(3006),
    [sym_float] = ACTIONS(3006),
    [sym_super] = ACTIONS(3006),
    [sym_self] = ACTIONS(3006),
    [sym_true] = ACTIONS(3006),
    [sym_false] = ACTIONS(3006),
    [sym_constant] = ACTIONS(3006),
    [aux_sym_constant_suffix_token1] = ACTIONS(3008),
    [aux_sym_identifier_suffix_token1] = ACTIONS(3006),
    [sym_instance_variable] = ACTIONS(3008),
    [sym_class_variable] = ACTIONS(3008),
    [sym_global_variable] = ACTIONS(3008),
    [sym_character] = ACTIONS(3008),
    [anon_sym_DASH_GT] = ACTIONS(3008),
    [sym_simple_symbol] = ACTIONS(3008),
    [sym__string_start] = ACTIONS(3008),
    [sym__symbol_start] = ACTIONS(3008),
    [sym__subshell_start] = ACTIONS(3008),
    [sym__regex_start] = ACTIONS(3008),
    [sym__string_array_start] = ACTIONS(3008),
    [sym__symbol_array_start] = ACTIONS(3008),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(3008),
    [sym__unary_minus] = ACTIONS(3008),
    [sym__unary_minus_num] = ACTIONS(3008),
    [sym__binary_minus] = ACTIONS(3008),
    [sym__identifier_suffix] = ACTIONS(3008),
    [sym__constant_suffix] = ACTIONS(3008),
  },
  [2115] = {
    [sym_heredoc_body] = STATE(2115),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_BEGIN] = ACTIONS(2966),
    [anon_sym_LBRACE] = ACTIONS(2968),
    [anon_sym_RBRACE] = ACTIONS(2968),
    [anon_sym_END] = ACTIONS(2966),
    [anon_sym_def] = ACTIONS(2966),
    [anon_sym_LPAREN] = ACTIONS(2968),
    [anon_sym_COLON_COLON] = ACTIONS(2968),
    [anon_sym_SEMI] = ACTIONS(2968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(2968),
    [anon_sym_nil] = ACTIONS(2966),
    [anon_sym_class] = ACTIONS(2966),
    [anon_sym_module] = ACTIONS(2966),
    [anon_sym_return] = ACTIONS(2966),
    [anon_sym_yield] = ACTIONS(2966),
    [anon_sym_break] = ACTIONS(2966),
    [anon_sym_next] = ACTIONS(2966),
    [anon_sym_redo] = ACTIONS(2966),
    [anon_sym_retry] = ACTIONS(2966),
    [anon_sym_if] = ACTIONS(2966),
    [anon_sym_unless] = ACTIONS(2966),
    [anon_sym_while] = ACTIONS(2966),
    [anon_sym_until] = ACTIONS(2966),
    [anon_sym_for] = ACTIONS(2966),
    [anon_sym_case] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2968),
    [anon_sym_DOT_DOT] = ACTIONS(2966),
    [anon_sym_begin] = ACTIONS(2966),
    [anon_sym_PLUS] = ACTIONS(2968),
    [anon_sym_defined_QMARK] = ACTIONS(2968),
    [anon_sym_not] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2968),
    [anon_sym_TILDE] = ACTIONS(2968),
    [anon_sym_undef] = ACTIONS(2966),
    [anon_sym_alias] = ACTIONS(2966),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2966),
    [sym_float] = ACTIONS(2966),
    [sym_super] = ACTIONS(2966),
    [sym_self] = ACTIONS(2966),
    [sym_true] = ACTIONS(2966),
    [sym_false] = ACTIONS(2966),
    [sym_constant] = ACTIONS(2966),
    [aux_sym_constant_suffix_token1] = ACTIONS(2968),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2966),
    [sym_instance_variable] = ACTIONS(2968),
    [sym_class_variable] = ACTIONS(2968),
    [sym_global_variable] = ACTIONS(2968),
    [sym_character] = ACTIONS(2968),
    [anon_sym_DASH_GT] = ACTIONS(2968),
    [sym_simple_symbol] = ACTIONS(2968),
    [sym__string_start] = ACTIONS(2968),
    [sym__symbol_start] = ACTIONS(2968),
    [sym__subshell_start] = ACTIONS(2968),
    [sym__regex_start] = ACTIONS(2968),
    [sym__string_array_start] = ACTIONS(2968),
    [sym__symbol_array_start] = ACTIONS(2968),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2968),
    [sym__unary_minus] = ACTIONS(2968),
    [sym__unary_minus_num] = ACTIONS(2968),
    [sym__binary_minus] = ACTIONS(2968),
    [sym__identifier_suffix] = ACTIONS(2968),
    [sym__constant_suffix] = ACTIONS(2968),
  },
  [2116] = {
    [sym_heredoc_body] = STATE(2116),
    [sym_identifier] = ACTIONS(2978),
    [anon_sym_BEGIN] = ACTIONS(2978),
    [anon_sym_LBRACE] = ACTIONS(2980),
    [anon_sym_RBRACE] = ACTIONS(2980),
    [anon_sym_END] = ACTIONS(2978),
    [anon_sym_def] = ACTIONS(2978),
    [anon_sym_LPAREN] = ACTIONS(2980),
    [anon_sym_COLON_COLON] = ACTIONS(2980),
    [anon_sym_SEMI] = ACTIONS(2980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(2980),
    [anon_sym_nil] = ACTIONS(2978),
    [anon_sym_class] = ACTIONS(2978),
    [anon_sym_module] = ACTIONS(2978),
    [anon_sym_return] = ACTIONS(2978),
    [anon_sym_yield] = ACTIONS(2978),
    [anon_sym_break] = ACTIONS(2978),
    [anon_sym_next] = ACTIONS(2978),
    [anon_sym_redo] = ACTIONS(2978),
    [anon_sym_retry] = ACTIONS(2978),
    [anon_sym_if] = ACTIONS(2978),
    [anon_sym_unless] = ACTIONS(2978),
    [anon_sym_while] = ACTIONS(2978),
    [anon_sym_until] = ACTIONS(2978),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_case] = ACTIONS(2978),
    [anon_sym_LBRACK] = ACTIONS(2980),
    [anon_sym_DOT_DOT] = ACTIONS(2978),
    [anon_sym_begin] = ACTIONS(2978),
    [anon_sym_PLUS] = ACTIONS(2980),
    [anon_sym_defined_QMARK] = ACTIONS(2980),
    [anon_sym_not] = ACTIONS(2978),
    [anon_sym_BANG] = ACTIONS(2980),
    [anon_sym_TILDE] = ACTIONS(2980),
    [anon_sym_undef] = ACTIONS(2978),
    [anon_sym_alias] = ACTIONS(2978),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2978),
    [sym_float] = ACTIONS(2978),
    [sym_super] = ACTIONS(2978),
    [sym_self] = ACTIONS(2978),
    [sym_true] = ACTIONS(2978),
    [sym_false] = ACTIONS(2978),
    [sym_constant] = ACTIONS(2978),
    [aux_sym_constant_suffix_token1] = ACTIONS(2980),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2978),
    [sym_instance_variable] = ACTIONS(2980),
    [sym_class_variable] = ACTIONS(2980),
    [sym_global_variable] = ACTIONS(2980),
    [sym_character] = ACTIONS(2980),
    [anon_sym_DASH_GT] = ACTIONS(2980),
    [sym_simple_symbol] = ACTIONS(2980),
    [sym__string_start] = ACTIONS(2980),
    [sym__symbol_start] = ACTIONS(2980),
    [sym__subshell_start] = ACTIONS(2980),
    [sym__regex_start] = ACTIONS(2980),
    [sym__string_array_start] = ACTIONS(2980),
    [sym__symbol_array_start] = ACTIONS(2980),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2980),
    [sym__unary_minus] = ACTIONS(2980),
    [sym__unary_minus_num] = ACTIONS(2980),
    [sym__binary_minus] = ACTIONS(2980),
    [sym__identifier_suffix] = ACTIONS(2980),
    [sym__constant_suffix] = ACTIONS(2980),
  },
  [2117] = {
    [sym_heredoc_body] = STATE(2117),
    [sym_identifier] = ACTIONS(2998),
    [anon_sym_BEGIN] = ACTIONS(2998),
    [anon_sym_LBRACE] = ACTIONS(3000),
    [anon_sym_RBRACE] = ACTIONS(3000),
    [anon_sym_END] = ACTIONS(2998),
    [anon_sym_def] = ACTIONS(2998),
    [anon_sym_LPAREN] = ACTIONS(3000),
    [anon_sym_COLON_COLON] = ACTIONS(3000),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3000),
    [anon_sym_nil] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2998),
    [anon_sym_module] = ACTIONS(2998),
    [anon_sym_return] = ACTIONS(2998),
    [anon_sym_yield] = ACTIONS(2998),
    [anon_sym_break] = ACTIONS(2998),
    [anon_sym_next] = ACTIONS(2998),
    [anon_sym_redo] = ACTIONS(2998),
    [anon_sym_retry] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(2998),
    [anon_sym_unless] = ACTIONS(2998),
    [anon_sym_while] = ACTIONS(2998),
    [anon_sym_until] = ACTIONS(2998),
    [anon_sym_for] = ACTIONS(2998),
    [anon_sym_case] = ACTIONS(2998),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym_DOT_DOT] = ACTIONS(2998),
    [anon_sym_begin] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(3000),
    [anon_sym_defined_QMARK] = ACTIONS(3000),
    [anon_sym_not] = ACTIONS(2998),
    [anon_sym_BANG] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3000),
    [anon_sym_undef] = ACTIONS(2998),
    [anon_sym_alias] = ACTIONS(2998),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2998),
    [sym_float] = ACTIONS(2998),
    [sym_super] = ACTIONS(2998),
    [sym_self] = ACTIONS(2998),
    [sym_true] = ACTIONS(2998),
    [sym_false] = ACTIONS(2998),
    [sym_constant] = ACTIONS(2998),
    [aux_sym_constant_suffix_token1] = ACTIONS(3000),
    [aux_sym_identifier_suffix_token1] = ACTIONS(2998),
    [sym_instance_variable] = ACTIONS(3000),
    [sym_class_variable] = ACTIONS(3000),
    [sym_global_variable] = ACTIONS(3000),
    [sym_character] = ACTIONS(3000),
    [anon_sym_DASH_GT] = ACTIONS(3000),
    [sym_simple_symbol] = ACTIONS(3000),
    [sym__string_start] = ACTIONS(3000),
    [sym__symbol_start] = ACTIONS(3000),
    [sym__subshell_start] = ACTIONS(3000),
    [sym__regex_start] = ACTIONS(3000),
    [sym__string_array_start] = ACTIONS(3000),
    [sym__symbol_array_start] = ACTIONS(3000),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(3000),
    [sym__unary_minus] = ACTIONS(3000),
    [sym__unary_minus_num] = ACTIONS(3000),
    [sym__binary_minus] = ACTIONS(3000),
    [sym__identifier_suffix] = ACTIONS(3000),
    [sym__constant_suffix] = ACTIONS(3000),
  },
  [2118] = {
    [sym__pattern_expr] = STATE(4398),
    [sym_as_pattern] = STATE(4397),
    [sym__pattern_expr_alt] = STATE(4397),
    [sym_alternative_pattern] = STATE(4396),
    [sym_array_pattern] = STATE(4378),
    [sym_find_pattern] = STATE(4378),
    [sym_hash_pattern] = STATE(4378),
    [sym__pattern_expr_basic] = STATE(4524),
    [sym_parenthesized_pattern] = STATE(4378),
    [sym__pattern_value] = STATE(4378),
    [sym__pattern_range] = STATE(4390),
    [sym__pattern_primitive] = STATE(4514),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_variable_reference_pattern] = STATE(4368),
    [sym_expression_reference_pattern] = STATE(4368),
    [sym__pattern_constant] = STATE(4287),
    [sym__pattern_constant_resolution] = STATE(4286),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_string] = STATE(4357),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(2118),
    [sym_lambda] = STATE(4311),
    [sym_identifier] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2882),
    [anon_sym_nil] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_DOT_DOT] = ACTIONS(2886),
    [sym_line] = ACTIONS(1662),
    [sym_file] = ACTIONS(1662),
    [sym_encoding] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(2770),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2772),
    [sym_float] = ACTIONS(2772),
    [sym_self] = ACTIONS(1662),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_constant] = ACTIONS(2774),
    [anon_sym_DASH_GT] = ACTIONS(2776),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2890),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2770),
  },
  [2119] = {
    [sym_heredoc_body] = STATE(2119),
    [ts_builtin_sym_end] = ACTIONS(745),
    [aux_sym_program_token1] = ACTIONS(745),
    [anon_sym___END__] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_rescue] = ACTIONS(745),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_COLON] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(745),
    [anon_sym_unless] = ACTIONS(745),
    [anon_sym_while] = ACTIONS(745),
    [anon_sym_until] = ACTIONS(745),
    [anon_sym_do] = ACTIONS(745),
    [anon_sym_EQ_GT] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(745),
    [anon_sym_and] = ACTIONS(745),
    [anon_sym_or] = ACTIONS(745),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(745),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [2120] = {
    [sym_heredoc_body] = STATE(2120),
    [aux_sym__mlhs_repeat1] = STATE(5201),
    [ts_builtin_sym_end] = ACTIONS(2986),
    [aux_sym_program_token1] = ACTIONS(2986),
    [anon_sym___END__] = ACTIONS(2988),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_DOT] = ACTIONS(2988),
    [anon_sym_rescue] = ACTIONS(2986),
    [anon_sym_EQ] = ACTIONS(3058),
    [anon_sym_COMMA] = ACTIONS(2986),
    [anon_sym_PIPE] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_LT] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2986),
    [anon_sym_unless] = ACTIONS(2986),
    [anon_sym_while] = ACTIONS(2986),
    [anon_sym_until] = ACTIONS(2986),
    [anon_sym_in] = ACTIONS(2986),
    [anon_sym_do] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(2986),
    [anon_sym_DOT_DOT] = ACTIONS(2988),
    [anon_sym_CARET] = ACTIONS(2988),
    [anon_sym_COLON_COLON2] = ACTIONS(2986),
    [anon_sym_AMP_DOT] = ACTIONS(2986),
    [anon_sym_PLUS_EQ] = ACTIONS(3060),
    [anon_sym_DASH_EQ] = ACTIONS(3060),
    [anon_sym_STAR_EQ] = ACTIONS(3060),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3060),
    [anon_sym_SLASH_EQ] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3060),
    [anon_sym_PIPE_EQ] = ACTIONS(3060),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3060),
    [anon_sym_AMP_EQ] = ACTIONS(3060),
    [anon_sym_PERCENT_EQ] = ACTIONS(3060),
    [anon_sym_GT_GT_EQ] = ACTIONS(3060),
    [anon_sym_LT_LT_EQ] = ACTIONS(3060),
    [anon_sym_CARET_EQ] = ACTIONS(3060),
    [anon_sym_QMARK] = ACTIONS(2986),
    [anon_sym_and] = ACTIONS(2986),
    [anon_sym_or] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2988),
    [anon_sym_LT_LT] = ACTIONS(2988),
    [anon_sym_GT_GT] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(2988),
    [anon_sym_GT] = ACTIONS(2988),
    [anon_sym_GT_EQ] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2988),
    [anon_sym_PERCENT] = ACTIONS(2988),
    [anon_sym_EQ_EQ] = ACTIONS(2988),
    [anon_sym_BANG_EQ] = ACTIONS(2986),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2986),
    [anon_sym_LT_EQ_GT] = ACTIONS(2986),
    [anon_sym_EQ_TILDE] = ACTIONS(2986),
    [anon_sym_BANG_TILDE] = ACTIONS(2986),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2986),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2986),
    [sym__binary_star] = ACTIONS(2986),
    [sym__binary_star_star] = ACTIONS(2986),
    [sym__element_reference_bracket] = ACTIONS(2986),
  },
  [2121] = {
    [sym_heredoc_body] = STATE(2121),
    [aux_sym__mlhs_repeat1] = STATE(5201),
    [ts_builtin_sym_end] = ACTIONS(2986),
    [aux_sym_program_token1] = ACTIONS(2986),
    [anon_sym___END__] = ACTIONS(2988),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_DOT] = ACTIONS(2988),
    [anon_sym_rescue] = ACTIONS(2986),
    [anon_sym_EQ] = ACTIONS(3062),
    [anon_sym_COMMA] = ACTIONS(2986),
    [anon_sym_PIPE] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_LT] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2986),
    [anon_sym_unless] = ACTIONS(2986),
    [anon_sym_while] = ACTIONS(2986),
    [anon_sym_until] = ACTIONS(2986),
    [anon_sym_in] = ACTIONS(2986),
    [anon_sym_do] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(2986),
    [anon_sym_DOT_DOT] = ACTIONS(2988),
    [anon_sym_CARET] = ACTIONS(2988),
    [anon_sym_COLON_COLON2] = ACTIONS(2986),
    [anon_sym_AMP_DOT] = ACTIONS(2986),
    [anon_sym_PLUS_EQ] = ACTIONS(3064),
    [anon_sym_DASH_EQ] = ACTIONS(3064),
    [anon_sym_STAR_EQ] = ACTIONS(3064),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3064),
    [anon_sym_SLASH_EQ] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3064),
    [anon_sym_PIPE_EQ] = ACTIONS(3064),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3064),
    [anon_sym_AMP_EQ] = ACTIONS(3064),
    [anon_sym_PERCENT_EQ] = ACTIONS(3064),
    [anon_sym_GT_GT_EQ] = ACTIONS(3064),
    [anon_sym_LT_LT_EQ] = ACTIONS(3064),
    [anon_sym_CARET_EQ] = ACTIONS(3064),
    [anon_sym_QMARK] = ACTIONS(2986),
    [anon_sym_and] = ACTIONS(2986),
    [anon_sym_or] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2988),
    [anon_sym_LT_LT] = ACTIONS(2988),
    [anon_sym_GT_GT] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(2988),
    [anon_sym_GT] = ACTIONS(2988),
    [anon_sym_GT_EQ] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2988),
    [anon_sym_PERCENT] = ACTIONS(2988),
    [anon_sym_EQ_EQ] = ACTIONS(2988),
    [anon_sym_BANG_EQ] = ACTIONS(2986),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2986),
    [anon_sym_LT_EQ_GT] = ACTIONS(2986),
    [anon_sym_EQ_TILDE] = ACTIONS(2986),
    [anon_sym_BANG_TILDE] = ACTIONS(2986),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2986),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2986),
    [sym__binary_star] = ACTIONS(2986),
    [sym__binary_star_star] = ACTIONS(2986),
    [sym__element_reference_bracket] = ACTIONS(2986),
  },
  [2122] = {
    [sym_heredoc_body] = STATE(2122),
    [aux_sym__mlhs_repeat1] = STATE(5201),
    [ts_builtin_sym_end] = ACTIONS(2986),
    [aux_sym_program_token1] = ACTIONS(2986),
    [anon_sym___END__] = ACTIONS(2988),
    [anon_sym_LBRACE] = ACTIONS(2986),
    [anon_sym_DOT] = ACTIONS(2988),
    [anon_sym_rescue] = ACTIONS(2986),
    [anon_sym_EQ] = ACTIONS(3066),
    [anon_sym_COMMA] = ACTIONS(2986),
    [anon_sym_PIPE] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_LT] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2986),
    [anon_sym_unless] = ACTIONS(2986),
    [anon_sym_while] = ACTIONS(2986),
    [anon_sym_until] = ACTIONS(2986),
    [anon_sym_in] = ACTIONS(2986),
    [anon_sym_do] = ACTIONS(2986),
    [anon_sym_EQ_GT] = ACTIONS(2986),
    [anon_sym_DOT_DOT] = ACTIONS(2988),
    [anon_sym_CARET] = ACTIONS(2988),
    [anon_sym_COLON_COLON2] = ACTIONS(2986),
    [anon_sym_AMP_DOT] = ACTIONS(2986),
    [anon_sym_PLUS_EQ] = ACTIONS(3068),
    [anon_sym_DASH_EQ] = ACTIONS(3068),
    [anon_sym_STAR_EQ] = ACTIONS(3068),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3068),
    [anon_sym_SLASH_EQ] = ACTIONS(3068),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3068),
    [anon_sym_PIPE_EQ] = ACTIONS(3068),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3068),
    [anon_sym_AMP_EQ] = ACTIONS(3068),
    [anon_sym_PERCENT_EQ] = ACTIONS(3068),
    [anon_sym_GT_GT_EQ] = ACTIONS(3068),
    [anon_sym_LT_LT_EQ] = ACTIONS(3068),
    [anon_sym_CARET_EQ] = ACTIONS(3068),
    [anon_sym_QMARK] = ACTIONS(2986),
    [anon_sym_and] = ACTIONS(2986),
    [anon_sym_or] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2988),
    [anon_sym_LT_LT] = ACTIONS(2988),
    [anon_sym_GT_GT] = ACTIONS(2988),
    [anon_sym_LT_EQ] = ACTIONS(2988),
    [anon_sym_GT] = ACTIONS(2988),
    [anon_sym_GT_EQ] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2988),
    [anon_sym_SLASH] = ACTIONS(2988),
    [anon_sym_PERCENT] = ACTIONS(2988),
    [anon_sym_EQ_EQ] = ACTIONS(2988),
    [anon_sym_BANG_EQ] = ACTIONS(2986),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2986),
    [anon_sym_LT_EQ_GT] = ACTIONS(2986),
    [anon_sym_EQ_TILDE] = ACTIONS(2986),
    [anon_sym_BANG_TILDE] = ACTIONS(2986),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2986),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(2986),
    [sym__binary_star] = ACTIONS(2986),
    [sym__binary_star_star] = ACTIONS(2986),
    [sym__element_reference_bracket] = ACTIONS(2986),
  },
  [2123] = {
    [sym_heredoc_body] = STATE(2123),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_RBRACE] = ACTIONS(745),
    [anon_sym_DOT] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_rescue] = ACTIONS(2688),
    [anon_sym_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(733),
    [anon_sym_SEMI] = ACTIONS(2688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(733),
    [anon_sym_COLON] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_unless] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_until] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(745),
    [anon_sym_EQ_GT] = ACTIONS(2688),
    [anon_sym_LBRACK2] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(733),
    [anon_sym_CARET] = ACTIONS(733),
    [anon_sym_COLON_COLON2] = ACTIONS(745),
    [anon_sym_AMP_DOT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(745),
    [anon_sym_DASH_EQ] = ACTIONS(745),
    [anon_sym_STAR_EQ] = ACTIONS(745),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(745),
    [anon_sym_SLASH_EQ] = ACTIONS(745),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(745),
    [anon_sym_PIPE_EQ] = ACTIONS(745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(745),
    [anon_sym_AMP_EQ] = ACTIONS(745),
    [anon_sym_PERCENT_EQ] = ACTIONS(745),
    [anon_sym_GT_GT_EQ] = ACTIONS(745),
    [anon_sym_LT_LT_EQ] = ACTIONS(745),
    [anon_sym_CARET_EQ] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(745),
    [anon_sym_and] = ACTIONS(745),
    [anon_sym_or] = ACTIONS(745),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_GT_GT] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(733),
    [anon_sym_GT_EQ] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_SLASH] = ACTIONS(733),
    [anon_sym_PERCENT] = ACTIONS(733),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(745),
    [anon_sym_LT_EQ_GT] = ACTIONS(745),
    [anon_sym_EQ_TILDE] = ACTIONS(745),
    [anon_sym_BANG_TILDE] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__line_break] = ACTIONS(2688),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym__binary_minus] = ACTIONS(745),
    [sym__binary_star] = ACTIONS(745),
    [sym__binary_star_star] = ACTIONS(745),
    [sym__element_reference_bracket] = ACTIONS(745),
  },
  [2124] = {
    [sym__pattern_primitive] = STATE(4382),
    [sym__pattern_lambda] = STATE(4314),
    [sym__pattern_literal] = STATE(4314),
    [sym__keyword_variable] = STATE(4357),
    [sym_unary_literal] = STATE(4361),
    [sym__literal] = STATE(4357),
    [sym__numeric] = STATE(4331),
    [sym__simple_numeric] = STATE(4361),
    [sym__int_or_float] = STATE(5416),
    [sym_complex] = STATE(4346),
    [sym_rational] = STATE(4346),
    [sym_nil] = STATE(4334),
    [sym_string] = STATE(4357),
    [sym_subshell] = STATE(4357),
    [sym_string_array] = STATE(4357),
    [sym_symbol_array] = STATE(4357),
    [sym_delimited_symbol] = STATE(4331),
    [sym_regex] = STATE(4357),
    [sym_heredoc_body] = STATE(2124),
    [sym_lambda] = STATE(4311),
    [anon_sym_LBRACE] = ACTIONS(3070),
    [anon_sym_RBRACE] = ACTIONS(3070),
    [anon_sym_RPAREN] = ACTIONS(3070),
    [anon_sym_end] = ACTIONS(3070),
    [anon_sym_rescue] = ACTIONS(3070),
    [anon_sym_COMMA] = ACTIONS(3070),
    [anon_sym_PIPE] = ACTIONS(3070),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym_nil] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3070),
    [anon_sym_unless] = ACTIONS(3070),
    [anon_sym_while] = ACTIONS(3070),
    [anon_sym_until] = ACTIONS(3070),
    [anon_sym_in] = ACTIONS(3070),
    [anon_sym_do] = ACTIONS(3070),
    [anon_sym_when] = ACTIONS(3070),
    [anon_sym_EQ_GT] = ACTIONS(3070),
    [sym_line] = ACTIONS(3074),
    [sym_file] = ACTIONS(3074),
    [sym_encoding] = ACTIONS(3074),
    [anon_sym_elsif] = ACTIONS(3070),
    [anon_sym_else] = ACTIONS(3070),
    [anon_sym_then] = ACTIONS(3070),
    [anon_sym_ensure] = ACTIONS(3070),
    [anon_sym_and] = ACTIONS(3070),
    [anon_sym_or] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(2770),
    [sym_comment] = ACTIONS(81),
    [sym_integer] = ACTIONS(2772),
    [sym_float] = ACTIONS(2772),
    [sym_self] = ACTIONS(3074),
    [sym_true] = ACTIONS(3074),
    [sym_false] = ACTIONS(3074),
    [anon_sym_DASH_GT] = ACTIONS(3076),
    [sym__line_break] = ACTIONS(3070),
    [sym_simple_symbol] = ACTIONS(2778),
    [sym__string_start] = ACTIONS(2780),
    [sym__symbol_start] = ACTIONS(2782),
    [sym__subshell_start] = ACTIONS(2784),
    [sym__regex_start] = ACTIONS(2786),
    [sym__string_array_start] = ACTIONS(2788),
    [sym__symbol_array_start] = ACTIONS(2790),
    [sym__heredoc_body_start] = ACTIONS(5),
    [sym_heredoc_beginning] = ACTIONS(2792),
    [sym__unary_minus_num] = ACTIONS(2770),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(311), 1,
      anon_sym_LPAREN2,
    ACTIONS(3078), 1,
      anon_sym_LBRACE,
    ACTIONS(3080), 1,
      anon_sym_do,
    STATE(2125), 1,
      sym_heredoc_body,
    STATE(2755), 1,
      sym_argument_list,
    STATE(2880), 1,
      sym_do_block,
    STATE(2881), 1,
      sym_block,
    ACTIONS(129), 18,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(123), 37,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [87] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(311), 1,
      anon_sym_LPAREN2,
    ACTIONS(3078), 1,
      anon_sym_LBRACE,
    ACTIONS(3080), 1,
      anon_sym_do,
    STATE(2126), 1,
      sym_heredoc_body,
    STATE(2766), 1,
      sym_argument_list,
    STATE(2878), 1,
      sym_do_block,
    STATE(2879), 1,
      sym_block,
    ACTIONS(181), 18,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(179), 37,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [174] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(3082), 1,
      anon_sym_EQ,
    STATE(2127), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3084), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 17,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 27,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [256] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3086), 1,
      anon_sym_EQ,
    STATE(2128), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3088), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 17,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 28,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [336] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3090), 1,
      anon_sym_EQ,
    STATE(2129), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3092), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 17,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 28,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [416] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(2928), 1,
      anon_sym_COLON,
    STATE(2130), 1,
      sym_heredoc_body,
    ACTIONS(2948), 8,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_EQ_GT,
    ACTIONS(733), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(745), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [494] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3094), 1,
      anon_sym_EQ,
    STATE(2131), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3096), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 17,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 28,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(2132), 1,
      sym_heredoc_body,
    ACTIONS(733), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(745), 43,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [648] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(3098), 1,
      anon_sym_EQ,
    STATE(2133), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3100), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 17,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 27,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [730] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(2914), 1,
      anon_sym_COLON_COLON,
    STATE(2134), 1,
      sym_heredoc_body,
    ACTIONS(2916), 2,
      anon_sym_LBRACK2,
      anon_sym_LPAREN2,
    ACTIONS(2912), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2910), 40,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [808] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(3102), 1,
      anon_sym_EQ,
    STATE(2135), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3104), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 17,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 27,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [890] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3106), 1,
      anon_sym_EQ,
    STATE(2136), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3108), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 17,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 28,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [970] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    ACTIONS(2898), 1,
      anon_sym_LBRACE,
    STATE(2137), 1,
      sym_heredoc_body,
    STATE(2183), 1,
      sym_argument_list,
    STATE(2219), 1,
      sym_block,
    STATE(2236), 1,
      sym_do_block,
    ACTIONS(413), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(411), 45,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [1053] = 11,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    ACTIONS(2898), 1,
      anon_sym_LBRACE,
    ACTIONS(2900), 1,
      anon_sym_do,
    STATE(2138), 1,
      sym_heredoc_body,
    STATE(2186), 1,
      sym_argument_list,
    STATE(2219), 1,
      sym_block,
    STATE(2236), 1,
      sym_do_block,
    ACTIONS(413), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(411), 44,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [1138] = 40,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(657), 1,
      anon_sym_CARET,
    ACTIONS(2802), 1,
      anon_sym_LBRACE,
    ACTIONS(2804), 1,
      anon_sym_LPAREN,
    ACTIONS(2808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2814), 1,
      anon_sym_nil,
    ACTIONS(2816), 1,
      anon_sym_LBRACK,
    ACTIONS(2830), 1,
      anon_sym_DASH_GT,
    ACTIONS(2832), 1,
      sym_simple_symbol,
    ACTIONS(2834), 1,
      sym__string_start,
    ACTIONS(2836), 1,
      sym__symbol_start,
    ACTIONS(2838), 1,
      sym__subshell_start,
    ACTIONS(2840), 1,
      sym__regex_start,
    ACTIONS(2842), 1,
      sym__string_array_start,
    ACTIONS(2844), 1,
      sym__symbol_array_start,
    ACTIONS(2846), 1,
      sym_heredoc_beginning,
    ACTIONS(2870), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2872), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2902), 1,
      sym_identifier,
    ACTIONS(2906), 1,
      sym_constant,
    STATE(2139), 1,
      sym_heredoc_body,
    STATE(4598), 1,
      sym__pattern_constant_resolution,
    STATE(4601), 1,
      sym__pattern_constant,
    STATE(4648), 1,
      sym_nil,
    STATE(4652), 1,
      sym_lambda,
    STATE(4681), 1,
      sym__pattern_primitive,
    STATE(4719), 1,
      sym__pattern_expr_basic,
    STATE(4760), 1,
      sym__pattern_range,
    STATE(5446), 1,
      sym__int_or_float,
    ACTIONS(2874), 2,
      sym__unary_minus_num,
      anon_sym_PLUS,
    ACTIONS(2876), 2,
      sym_integer,
      sym_float,
    STATE(4616), 2,
      sym__numeric,
      sym_delimited_symbol,
    STATE(4664), 2,
      sym_unary_literal,
      sym__simple_numeric,
    STATE(4665), 2,
      sym_complex,
      sym_rational,
    STATE(4666), 2,
      sym__pattern_lambda,
      sym__pattern_literal,
    STATE(4712), 2,
      sym_variable_reference_pattern,
      sym_expression_reference_pattern,
    STATE(4753), 5,
      sym_array_pattern,
      sym_find_pattern,
      sym_hash_pattern,
      sym_parenthesized_pattern,
      sym__pattern_value,
    ACTIONS(655), 6,
      sym_line,
      sym_file,
      sym_encoding,
      sym_self,
      sym_true,
      sym_false,
    STATE(4610), 7,
      sym__keyword_variable,
      sym__literal,
      sym_string,
      sym_subshell,
      sym_string_array,
      sym_symbol_array,
      sym_regex,
  [1281] = 40,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1664), 1,
      anon_sym_CARET,
    ACTIONS(2748), 1,
      sym_identifier,
    ACTIONS(2750), 1,
      anon_sym_LBRACE,
    ACTIONS(2754), 1,
      anon_sym_LPAREN,
    ACTIONS(2756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2760), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2764), 1,
      anon_sym_nil,
    ACTIONS(2766), 1,
      anon_sym_LBRACK,
    ACTIONS(2768), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2774), 1,
      sym_constant,
    ACTIONS(2776), 1,
      anon_sym_DASH_GT,
    ACTIONS(2778), 1,
      sym_simple_symbol,
    ACTIONS(2780), 1,
      sym__string_start,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(2784), 1,
      sym__subshell_start,
    ACTIONS(2786), 1,
      sym__regex_start,
    ACTIONS(2788), 1,
      sym__string_array_start,
    ACTIONS(2790), 1,
      sym__symbol_array_start,
    ACTIONS(2792), 1,
      sym_heredoc_beginning,
    STATE(2140), 1,
      sym_heredoc_body,
    STATE(4286), 1,
      sym__pattern_constant_resolution,
    STATE(4287), 1,
      sym__pattern_constant,
    STATE(4311), 1,
      sym_lambda,
    STATE(4334), 1,
      sym_nil,
    STATE(4389), 1,
      sym__pattern_expr_basic,
    STATE(4390), 1,
      sym__pattern_range,
    STATE(4391), 1,
      sym__pattern_primitive,
    STATE(5416), 1,
      sym__int_or_float,
    ACTIONS(2770), 2,
      sym__unary_minus_num,
      anon_sym_PLUS,
    ACTIONS(2772), 2,
      sym_integer,
      sym_float,
    STATE(4314), 2,
      sym__pattern_lambda,
      sym__pattern_literal,
    STATE(4331), 2,
      sym__numeric,
      sym_delimited_symbol,
    STATE(4346), 2,
      sym_complex,
      sym_rational,
    STATE(4361), 2,
      sym_unary_literal,
      sym__simple_numeric,
    STATE(4368), 2,
      sym_variable_reference_pattern,
      sym_expression_reference_pattern,
    STATE(4378), 5,
      sym_array_pattern,
      sym_find_pattern,
      sym_hash_pattern,
      sym_parenthesized_pattern,
      sym__pattern_value,
    ACTIONS(1662), 6,
      sym_line,
      sym_file,
      sym_encoding,
      sym_self,
      sym_true,
      sym_false,
    STATE(4357), 7,
      sym__keyword_variable,
      sym__literal,
      sym_string,
      sym_subshell,
      sym_string_array,
      sym_symbol_array,
      sym_regex,
  [1424] = 40,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1664), 1,
      anon_sym_CARET,
    ACTIONS(2748), 1,
      sym_identifier,
    ACTIONS(2750), 1,
      anon_sym_LBRACE,
    ACTIONS(2754), 1,
      anon_sym_LPAREN,
    ACTIONS(2756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2764), 1,
      anon_sym_nil,
    ACTIONS(2766), 1,
      anon_sym_LBRACK,
    ACTIONS(2774), 1,
      sym_constant,
    ACTIONS(2776), 1,
      anon_sym_DASH_GT,
    ACTIONS(2778), 1,
      sym_simple_symbol,
    ACTIONS(2780), 1,
      sym__string_start,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(2784), 1,
      sym__subshell_start,
    ACTIONS(2786), 1,
      sym__regex_start,
    ACTIONS(2788), 1,
      sym__string_array_start,
    ACTIONS(2790), 1,
      sym__symbol_array_start,
    ACTIONS(2792), 1,
      sym_heredoc_beginning,
    ACTIONS(2858), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2860), 1,
      anon_sym_DOT_DOT,
    STATE(2141), 1,
      sym_heredoc_body,
    STATE(4286), 1,
      sym__pattern_constant_resolution,
    STATE(4287), 1,
      sym__pattern_constant,
    STATE(4311), 1,
      sym_lambda,
    STATE(4334), 1,
      sym_nil,
    STATE(4389), 1,
      sym__pattern_expr_basic,
    STATE(4390), 1,
      sym__pattern_range,
    STATE(4584), 1,
      sym__pattern_primitive,
    STATE(5416), 1,
      sym__int_or_float,
    ACTIONS(2862), 2,
      sym__unary_minus_num,
      anon_sym_PLUS,
    ACTIONS(2864), 2,
      sym_integer,
      sym_float,
    STATE(4314), 2,
      sym__pattern_lambda,
      sym__pattern_literal,
    STATE(4331), 2,
      sym__numeric,
      sym_delimited_symbol,
    STATE(4346), 2,
      sym_complex,
      sym_rational,
    STATE(4361), 2,
      sym_unary_literal,
      sym__simple_numeric,
    STATE(4368), 2,
      sym_variable_reference_pattern,
      sym_expression_reference_pattern,
    STATE(4378), 5,
      sym_array_pattern,
      sym_find_pattern,
      sym_hash_pattern,
      sym_parenthesized_pattern,
      sym__pattern_value,
    ACTIONS(1662), 6,
      sym_line,
      sym_file,
      sym_encoding,
      sym_self,
      sym_true,
      sym_false,
    STATE(4357), 7,
      sym__keyword_variable,
      sym__literal,
      sym_string,
      sym_subshell,
      sym_string_array,
      sym_symbol_array,
      sym_regex,
  [1567] = 40,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(657), 1,
      anon_sym_CARET,
    ACTIONS(2802), 1,
      anon_sym_LBRACE,
    ACTIONS(2804), 1,
      anon_sym_LPAREN,
    ACTIONS(2808), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2810), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2814), 1,
      anon_sym_nil,
    ACTIONS(2816), 1,
      anon_sym_LBRACK,
    ACTIONS(2818), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2830), 1,
      anon_sym_DASH_GT,
    ACTIONS(2832), 1,
      sym_simple_symbol,
    ACTIONS(2834), 1,
      sym__string_start,
    ACTIONS(2836), 1,
      sym__symbol_start,
    ACTIONS(2838), 1,
      sym__subshell_start,
    ACTIONS(2840), 1,
      sym__regex_start,
    ACTIONS(2842), 1,
      sym__string_array_start,
    ACTIONS(2844), 1,
      sym__symbol_array_start,
    ACTIONS(2846), 1,
      sym_heredoc_beginning,
    ACTIONS(2902), 1,
      sym_identifier,
    ACTIONS(2906), 1,
      sym_constant,
    STATE(2142), 1,
      sym_heredoc_body,
    STATE(4598), 1,
      sym__pattern_constant_resolution,
    STATE(4601), 1,
      sym__pattern_constant,
    STATE(4648), 1,
      sym_nil,
    STATE(4652), 1,
      sym_lambda,
    STATE(4685), 1,
      sym__pattern_primitive,
    STATE(4719), 1,
      sym__pattern_expr_basic,
    STATE(4760), 1,
      sym__pattern_range,
    STATE(5446), 1,
      sym__int_or_float,
    ACTIONS(2820), 2,
      sym__unary_minus_num,
      anon_sym_PLUS,
    ACTIONS(2822), 2,
      sym_integer,
      sym_float,
    STATE(4616), 2,
      sym__numeric,
      sym_delimited_symbol,
    STATE(4664), 2,
      sym_unary_literal,
      sym__simple_numeric,
    STATE(4665), 2,
      sym_complex,
      sym_rational,
    STATE(4666), 2,
      sym__pattern_lambda,
      sym__pattern_literal,
    STATE(4712), 2,
      sym_variable_reference_pattern,
      sym_expression_reference_pattern,
    STATE(4753), 5,
      sym_array_pattern,
      sym_find_pattern,
      sym_hash_pattern,
      sym_parenthesized_pattern,
      sym__pattern_value,
    ACTIONS(655), 6,
      sym_line,
      sym_file,
      sym_encoding,
      sym_self,
      sym_true,
      sym_false,
    STATE(4610), 7,
      sym__keyword_variable,
      sym__literal,
      sym_string,
      sym_subshell,
      sym_string_array,
      sym_symbol_array,
      sym_regex,
  [1710] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(2914), 1,
      anon_sym_COLON_COLON,
    STATE(2143), 1,
      sym_heredoc_body,
    ACTIONS(2916), 10,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_EQ_GT,
      anon_sym_LBRACK2,
      anon_sym_LPAREN2,
    ACTIONS(2912), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2910), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [1787] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(2144), 1,
      sym_heredoc_body,
    ACTIONS(2580), 2,
      anon_sym_LBRACE,
      anon_sym_LPAREN2,
    ACTIONS(2578), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2576), 40,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [1862] = 40,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1772), 1,
      anon_sym_CARET,
    ACTIONS(2748), 1,
      sym_identifier,
    ACTIONS(2750), 1,
      anon_sym_LBRACE,
    ACTIONS(2754), 1,
      anon_sym_LPAREN,
    ACTIONS(2756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2764), 1,
      anon_sym_nil,
    ACTIONS(2766), 1,
      anon_sym_LBRACK,
    ACTIONS(2774), 1,
      sym_constant,
    ACTIONS(2776), 1,
      anon_sym_DASH_GT,
    ACTIONS(2778), 1,
      sym_simple_symbol,
    ACTIONS(2780), 1,
      sym__string_start,
    ACTIONS(2784), 1,
      sym__subshell_start,
    ACTIONS(2786), 1,
      sym__regex_start,
    ACTIONS(2788), 1,
      sym__string_array_start,
    ACTIONS(2790), 1,
      sym__symbol_array_start,
    ACTIONS(2792), 1,
      sym_heredoc_beginning,
    ACTIONS(2882), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2886), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2890), 1,
      sym__symbol_start,
    STATE(2145), 1,
      sym_heredoc_body,
    STATE(4286), 1,
      sym__pattern_constant_resolution,
    STATE(4287), 1,
      sym__pattern_constant,
    STATE(4311), 1,
      sym_lambda,
    STATE(4334), 1,
      sym_nil,
    STATE(4389), 1,
      sym__pattern_expr_basic,
    STATE(4390), 1,
      sym__pattern_range,
    STATE(4514), 1,
      sym__pattern_primitive,
    STATE(5416), 1,
      sym__int_or_float,
    ACTIONS(2770), 2,
      sym__unary_minus_num,
      anon_sym_PLUS,
    ACTIONS(2772), 2,
      sym_integer,
      sym_float,
    STATE(4314), 2,
      sym__pattern_lambda,
      sym__pattern_literal,
    STATE(4331), 2,
      sym__numeric,
      sym_delimited_symbol,
    STATE(4346), 2,
      sym_complex,
      sym_rational,
    STATE(4361), 2,
      sym_unary_literal,
      sym__simple_numeric,
    STATE(4368), 2,
      sym_variable_reference_pattern,
      sym_expression_reference_pattern,
    STATE(4378), 5,
      sym_array_pattern,
      sym_find_pattern,
      sym_hash_pattern,
      sym_parenthesized_pattern,
      sym__pattern_value,
    ACTIONS(1662), 6,
      sym_line,
      sym_file,
      sym_encoding,
      sym_self,
      sym_true,
      sym_false,
    STATE(4357), 7,
      sym__keyword_variable,
      sym__literal,
      sym_string,
      sym_subshell,
      sym_string_array,
      sym_symbol_array,
      sym_regex,
  [2005] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(2146), 1,
      sym_heredoc_body,
    ACTIONS(2930), 8,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_EQ_GT,
    ACTIONS(733), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(745), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [2080] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(311), 1,
      anon_sym_LPAREN2,
    ACTIONS(3078), 1,
      anon_sym_LBRACE,
    STATE(2147), 1,
      sym_heredoc_body,
    STATE(2878), 1,
      sym_do_block,
    STATE(2879), 1,
      sym_block,
    STATE(3043), 1,
      sym_argument_list,
    ACTIONS(181), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(179), 36,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [2162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(2148), 1,
      sym_heredoc_body,
    ACTIONS(2586), 18,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2588), 40,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [2234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(2149), 1,
      sym_heredoc_body,
    ACTIONS(2582), 18,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2584), 40,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [2306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(2150), 1,
      sym_heredoc_body,
    ACTIONS(2566), 18,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2568), 40,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [2378] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3114), 1,
      sym__string_start,
    STATE(2202), 1,
      sym_string,
    STATE(2151), 2,
      sym_heredoc_body,
      aux_sym_chained_string_repeat1,
    ACTIONS(3112), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3110), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [2454] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3117), 1,
      anon_sym_EQ,
    STATE(2152), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3119), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 27,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [2532] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3121), 1,
      anon_sym_EQ,
    STATE(2153), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3123), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 27,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [2610] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3125), 1,
      anon_sym_EQ,
    STATE(2154), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3127), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 27,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [2688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(2155), 1,
      sym_heredoc_body,
    ACTIONS(2562), 18,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2564), 40,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [2760] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(2156), 1,
      sym_heredoc_body,
    ACTIONS(2580), 3,
      anon_sym_LBRACE,
      anon_sym_do,
      anon_sym_LPAREN2,
    ACTIONS(2578), 18,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2576), 37,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [2834] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(2157), 1,
      sym_heredoc_body,
    ACTIONS(2574), 18,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2580), 40,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [2906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(2158), 1,
      sym_heredoc_body,
    ACTIONS(733), 18,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(745), 40,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [2978] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(3129), 1,
      anon_sym_EQ,
    STATE(2159), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3131), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 26,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [3058] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(99), 1,
      sym__string_start,
    STATE(2160), 1,
      sym_heredoc_body,
    STATE(2164), 1,
      aux_sym_chained_string_repeat1,
    STATE(2202), 1,
      sym_string,
    ACTIONS(2988), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [3136] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_ri,
    STATE(2161), 1,
      sym_heredoc_body,
    ACTIONS(3137), 2,
      anon_sym_i,
      anon_sym_r,
    ACTIONS(3135), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3133), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [3212] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3141), 1,
      anon_sym_EQ,
    STATE(2162), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3143), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 27,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [3290] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(3145), 1,
      anon_sym_EQ,
    STATE(2163), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3147), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 26,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [3370] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(99), 1,
      sym__string_start,
    STATE(2151), 1,
      aux_sym_chained_string_repeat1,
    STATE(2164), 1,
      sym_heredoc_body,
    STATE(2202), 1,
      sym_string,
    ACTIONS(3151), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3149), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [3448] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(99), 1,
      sym__string_start,
    ACTIONS(3153), 1,
      anon_sym_EQ_GT,
    STATE(2164), 1,
      aux_sym_chained_string_repeat1,
    STATE(2165), 1,
      sym_heredoc_body,
    STATE(2202), 1,
      sym_string,
    ACTIONS(2988), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 45,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [3528] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(311), 1,
      anon_sym_LPAREN2,
    ACTIONS(3078), 1,
      anon_sym_LBRACE,
    STATE(2166), 1,
      sym_heredoc_body,
    STATE(2880), 1,
      sym_do_block,
    STATE(2881), 1,
      sym_block,
    STATE(3073), 1,
      sym_argument_list,
    ACTIONS(129), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(123), 36,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [3610] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(3155), 1,
      anon_sym_EQ,
    STATE(2167), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3157), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 26,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [3690] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(2168), 1,
      sym_heredoc_body,
    ACTIONS(2570), 18,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2572), 40,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [3762] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(2169), 1,
      sym_heredoc_body,
    ACTIONS(2590), 18,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2592), 40,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [3834] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2170), 1,
      sym_heredoc_body,
    ACTIONS(3161), 10,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3159), 47,
      sym__line_break,
      sym__string_start,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [3905] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    STATE(2171), 1,
      sym_heredoc_body,
    STATE(2323), 1,
      sym_argument_list,
    ACTIONS(425), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(423), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [3980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(2172), 1,
      sym_heredoc_body,
    ACTIONS(2940), 18,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2938), 39,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [4051] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    STATE(2173), 1,
      sym_heredoc_body,
    STATE(2367), 1,
      sym_argument_list,
    ACTIONS(3165), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3163), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [4126] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(2174), 1,
      sym_heredoc_body,
    ACTIONS(2936), 18,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2934), 39,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [4197] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    STATE(2175), 1,
      sym_heredoc_body,
    STATE(2321), 1,
      sym_argument_list,
    ACTIONS(417), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(415), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [4272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(2176), 1,
      sym_heredoc_body,
    ACTIONS(129), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(123), 40,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [4343] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    STATE(2177), 1,
      sym_heredoc_body,
    STATE(2363), 1,
      sym_argument_list,
    ACTIONS(429), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(427), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [4418] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(2914), 1,
      anon_sym_COLON_COLON,
    STATE(2178), 1,
      sym_heredoc_body,
    ACTIONS(2916), 3,
      anon_sym_EQ_GT,
      anon_sym_LBRACK2,
      anon_sym_LPAREN2,
    ACTIONS(2912), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2910), 36,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [4493] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(2926), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3167), 1,
      anon_sym_COLON,
    STATE(2179), 1,
      sym_heredoc_body,
    ACTIONS(2688), 2,
      anon_sym_EQ_GT,
      anon_sym_LBRACK2,
    ACTIONS(733), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(745), 36,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [4570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(2180), 1,
      sym_heredoc_body,
    ACTIONS(2912), 18,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2910), 39,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [4641] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_LBRACE,
    ACTIONS(2900), 1,
      anon_sym_do,
    STATE(2181), 1,
      sym_heredoc_body,
    STATE(2307), 1,
      sym_do_block,
    STATE(2315), 1,
      sym_block,
    ACTIONS(3171), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3169), 44,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [4720] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    STATE(2182), 1,
      sym_heredoc_body,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(3175), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3173), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [4795] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_LBRACE,
    STATE(2183), 1,
      sym_heredoc_body,
    STATE(2332), 1,
      sym_do_block,
    STATE(2336), 1,
      sym_block,
    ACTIONS(3179), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3177), 45,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [4872] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_LBRACE,
    STATE(2184), 1,
      sym_heredoc_body,
    STATE(2293), 1,
      sym_block,
    STATE(2294), 1,
      sym_do_block,
    ACTIONS(3183), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3181), 45,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [4949] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(2185), 1,
      sym_heredoc_body,
    ACTIONS(2944), 18,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2942), 39,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [5020] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_LBRACE,
    ACTIONS(2900), 1,
      anon_sym_do,
    STATE(2186), 1,
      sym_heredoc_body,
    STATE(2332), 1,
      sym_do_block,
    STATE(2336), 1,
      sym_block,
    ACTIONS(3179), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3177), 44,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [5099] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2187), 1,
      sym_heredoc_body,
    ACTIONS(2566), 10,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2568), 47,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [5170] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2188), 1,
      sym_heredoc_body,
    ACTIONS(2582), 10,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2584), 47,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [5241] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_LBRACE,
    STATE(2189), 1,
      sym_heredoc_body,
    STATE(2307), 1,
      sym_do_block,
    STATE(2315), 1,
      sym_block,
    ACTIONS(3171), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3169), 45,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [5318] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(2926), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3185), 1,
      anon_sym_COLON,
    STATE(2190), 1,
      sym_heredoc_body,
    ACTIONS(2688), 2,
      anon_sym_EQ_GT,
      anon_sym_LBRACK2,
    ACTIONS(733), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(745), 36,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [5395] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    STATE(2191), 1,
      sym_heredoc_body,
    STATE(2325), 1,
      sym_argument_list,
    ACTIONS(421), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(419), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [5470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(2192), 1,
      sym_heredoc_body,
    ACTIONS(129), 18,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(123), 39,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [5541] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2193), 1,
      sym_heredoc_body,
    ACTIONS(3189), 10,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3187), 47,
      sym__line_break,
      sym__string_start,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [5612] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_LBRACE,
    ACTIONS(2900), 1,
      anon_sym_do,
    STATE(2194), 1,
      sym_heredoc_body,
    STATE(2293), 1,
      sym_block,
    STATE(2294), 1,
      sym_do_block,
    ACTIONS(3183), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3181), 44,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [5691] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(99), 1,
      sym__string_start,
    ACTIONS(3153), 1,
      anon_sym_EQ_GT,
    ACTIONS(3191), 1,
      anon_sym_COLON,
    STATE(2164), 1,
      aux_sym_chained_string_repeat1,
    STATE(2195), 1,
      sym_heredoc_body,
    STATE(2202), 1,
      sym_string,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 43,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [5771] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2196), 1,
      sym_heredoc_body,
    ACTIONS(2586), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2588), 47,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [5841] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2197), 1,
      sym_heredoc_body,
    ACTIONS(2590), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2592), 47,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [5911] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(2926), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3193), 1,
      anon_sym_COLON,
    STATE(2198), 1,
      sym_heredoc_body,
    ACTIONS(2688), 2,
      anon_sym_EQ_GT,
      anon_sym_LBRACK2,
    ACTIONS(733), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(745), 35,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [5987] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3195), 1,
      anon_sym_EQ,
    STATE(2199), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3197), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 25,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [6063] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(2200), 1,
      sym_heredoc_body,
    ACTIONS(2930), 8,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_EQ_GT,
    ACTIONS(129), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(123), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [6135] = 27,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2778), 1,
      sym_simple_symbol,
    ACTIONS(2780), 1,
      sym__string_start,
    ACTIONS(2784), 1,
      sym__subshell_start,
    ACTIONS(2786), 1,
      sym__regex_start,
    ACTIONS(2788), 1,
      sym__string_array_start,
    ACTIONS(2790), 1,
      sym__symbol_array_start,
    ACTIONS(2792), 1,
      sym_heredoc_beginning,
    ACTIONS(2890), 1,
      sym__symbol_start,
    ACTIONS(3072), 1,
      anon_sym_nil,
    ACTIONS(3076), 1,
      anon_sym_DASH_GT,
    ACTIONS(3199), 1,
      anon_sym___END__,
    STATE(2201), 1,
      sym_heredoc_body,
    STATE(4311), 1,
      sym_lambda,
    STATE(4334), 1,
      sym_nil,
    STATE(4382), 1,
      sym__pattern_primitive,
    STATE(5416), 1,
      sym__int_or_float,
    ACTIONS(2770), 2,
      sym__unary_minus_num,
      anon_sym_PLUS,
    ACTIONS(2772), 2,
      sym_integer,
      sym_float,
    STATE(4314), 2,
      sym__pattern_lambda,
      sym__pattern_literal,
    STATE(4331), 2,
      sym__numeric,
      sym_delimited_symbol,
    STATE(4346), 2,
      sym_complex,
      sym_rational,
    STATE(4361), 2,
      sym_unary_literal,
      sym__simple_numeric,
    ACTIONS(3074), 6,
      sym_line,
      sym_file,
      sym_encoding,
      sym_self,
      sym_true,
      sym_false,
    STATE(4357), 7,
      sym__keyword_variable,
      sym__literal,
      sym_string,
      sym_subshell,
      sym_string_array,
      sym_symbol_array,
      sym_regex,
    ACTIONS(3070), 16,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [6249] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2202), 1,
      sym_heredoc_body,
    ACTIONS(3203), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3201), 47,
      sym__line_break,
      sym__string_start,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [6319] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(99), 1,
      sym__string_start,
    ACTIONS(3205), 1,
      anon_sym_COLON,
    STATE(2164), 1,
      aux_sym_chained_string_repeat1,
    STATE(2202), 1,
      sym_string,
    STATE(2203), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 44,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [6397] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2204), 1,
      sym_heredoc_body,
    ACTIONS(3209), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3207), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [6466] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3211), 1,
      anon_sym_EQ,
    STATE(2205), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3213), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 24,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [6541] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2206), 1,
      sym_heredoc_body,
    ACTIONS(3217), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3215), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [6610] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2207), 1,
      sym_heredoc_body,
    ACTIONS(3221), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3219), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [6679] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2208), 1,
      sym_heredoc_body,
    ACTIONS(3135), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3133), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [6748] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2209), 1,
      sym_heredoc_body,
    ACTIONS(3225), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3223), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [6817] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2210), 1,
      sym_heredoc_body,
    ACTIONS(3229), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3227), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [6886] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2211), 1,
      sym_heredoc_body,
    ACTIONS(3233), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3231), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [6955] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2212), 1,
      sym_heredoc_body,
    ACTIONS(3237), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3235), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [7024] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2213), 1,
      sym_heredoc_body,
    ACTIONS(3241), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3239), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [7093] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2214), 1,
      sym_heredoc_body,
    ACTIONS(3245), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3243), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [7162] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2215), 1,
      sym_heredoc_body,
    ACTIONS(3249), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3247), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [7231] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2216), 1,
      sym_heredoc_body,
    ACTIONS(3253), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3251), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [7300] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2217), 1,
      sym_heredoc_body,
    ACTIONS(3257), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3255), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [7369] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2218), 1,
      sym_heredoc_body,
    ACTIONS(3261), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3259), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [7438] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2219), 1,
      sym_heredoc_body,
    ACTIONS(3265), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3263), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [7507] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3271), 1,
      anon_sym_EQ_GT,
    STATE(2220), 1,
      sym_heredoc_body,
    ACTIONS(3269), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3267), 45,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [7578] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2221), 1,
      sym_heredoc_body,
    ACTIONS(3275), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3273), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [7647] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2222), 1,
      sym_heredoc_body,
    ACTIONS(3279), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3277), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [7716] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2223), 1,
      sym_heredoc_body,
    ACTIONS(3283), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3281), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [7785] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2224), 1,
      sym_heredoc_body,
    ACTIONS(3287), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3285), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [7854] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(2948), 1,
      anon_sym_EQ_GT,
    ACTIONS(3167), 1,
      anon_sym_COLON,
    STATE(2225), 1,
      sym_heredoc_body,
    ACTIONS(733), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(745), 36,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [7927] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2226), 1,
      sym_heredoc_body,
    ACTIONS(3291), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3289), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [7996] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2227), 1,
      sym_heredoc_body,
    ACTIONS(3295), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3293), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [8065] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2228), 1,
      sym_heredoc_body,
    ACTIONS(3299), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3297), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [8134] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2229), 1,
      sym_heredoc_body,
    ACTIONS(3303), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3301), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [8203] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3305), 1,
      anon_sym_EQ,
    STATE(2230), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3307), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 24,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [8278] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_EQ_GT,
    STATE(2231), 1,
      sym_heredoc_body,
    ACTIONS(3311), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3309), 45,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [8349] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2232), 1,
      sym_heredoc_body,
    ACTIONS(3317), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3315), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [8418] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2233), 1,
      sym_heredoc_body,
    ACTIONS(3321), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3319), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [8487] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2234), 1,
      sym_heredoc_body,
    ACTIONS(3325), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3323), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [8556] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2235), 1,
      sym_heredoc_body,
    ACTIONS(3329), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [8625] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2236), 1,
      sym_heredoc_body,
    ACTIONS(3265), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3263), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [8694] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2237), 1,
      sym_heredoc_body,
    ACTIONS(3333), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3331), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [8763] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2238), 1,
      sym_heredoc_body,
    ACTIONS(2988), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [8832] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2239), 1,
      sym_heredoc_body,
    ACTIONS(3337), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3335), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [8901] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2240), 1,
      sym_heredoc_body,
    ACTIONS(3341), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3339), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [8970] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2241), 1,
      sym_heredoc_body,
    ACTIONS(3345), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3343), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [9039] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3347), 1,
      anon_sym_EQ,
    STATE(2242), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3349), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 24,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [9114] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2243), 1,
      sym_heredoc_body,
    ACTIONS(3353), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3351), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [9183] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2244), 1,
      sym_heredoc_body,
    ACTIONS(3357), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3355), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [9252] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3359), 1,
      anon_sym_EQ,
    STATE(2245), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3361), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 24,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [9327] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2246), 1,
      sym_heredoc_body,
    ACTIONS(3365), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3363), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [9396] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3367), 1,
      anon_sym_EQ,
    STATE(2247), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3369), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 24,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [9471] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2248), 1,
      sym_heredoc_body,
    ACTIONS(3373), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3371), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [9540] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2249), 1,
      sym_heredoc_body,
    ACTIONS(3377), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3375), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [9609] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2250), 1,
      sym_heredoc_body,
    ACTIONS(3381), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [9678] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2251), 1,
      sym_heredoc_body,
    ACTIONS(3385), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3383), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [9747] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2252), 1,
      sym_heredoc_body,
    ACTIONS(3389), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3387), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [9816] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2253), 1,
      sym_heredoc_body,
    ACTIONS(3393), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3391), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [9885] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2254), 1,
      sym_heredoc_body,
    ACTIONS(3397), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3395), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [9954] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2255), 1,
      sym_heredoc_body,
    ACTIONS(3401), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3399), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [10023] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2256), 1,
      sym_heredoc_body,
    ACTIONS(3405), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3403), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [10092] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2257), 1,
      sym_heredoc_body,
    ACTIONS(3409), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3407), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [10161] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3411), 1,
      anon_sym_EQ,
    STATE(2258), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3413), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 24,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [10236] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2259), 1,
      sym_heredoc_body,
    ACTIONS(3225), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3223), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [10305] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2260), 1,
      sym_heredoc_body,
    ACTIONS(3417), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3415), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [10374] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2261), 1,
      sym_heredoc_body,
    ACTIONS(3421), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3419), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [10443] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2262), 1,
      sym_heredoc_body,
    ACTIONS(3425), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3423), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [10512] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2263), 1,
      sym_heredoc_body,
    ACTIONS(3429), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3427), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [10581] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2264), 1,
      sym_heredoc_body,
    ACTIONS(3433), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3431), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [10650] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3435), 1,
      anon_sym_EQ,
    STATE(2265), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3437), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 24,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [10725] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2266), 1,
      sym_heredoc_body,
    ACTIONS(3441), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3439), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [10794] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2267), 1,
      sym_heredoc_body,
    ACTIONS(3445), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3443), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [10863] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2268), 1,
      sym_heredoc_body,
    ACTIONS(3449), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3447), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [10932] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2269), 1,
      sym_heredoc_body,
    ACTIONS(3453), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3451), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [11001] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2270), 1,
      sym_heredoc_body,
    ACTIONS(3457), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3455), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [11070] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2271), 1,
      sym_heredoc_body,
    ACTIONS(3461), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3459), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [11139] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2272), 1,
      sym_heredoc_body,
    ACTIONS(3465), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3463), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [11208] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2273), 1,
      sym_heredoc_body,
    ACTIONS(3469), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3467), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [11277] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2274), 1,
      sym_heredoc_body,
    ACTIONS(3473), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3471), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [11346] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2275), 1,
      sym_heredoc_body,
    ACTIONS(3477), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3475), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [11415] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3153), 1,
      anon_sym_EQ_GT,
    STATE(2276), 1,
      sym_heredoc_body,
    ACTIONS(2988), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 45,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [11486] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2277), 1,
      sym_heredoc_body,
    ACTIONS(3477), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3475), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [11555] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2278), 1,
      sym_heredoc_body,
    ACTIONS(3481), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3479), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [11624] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2279), 1,
      sym_heredoc_body,
    ACTIONS(3485), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3483), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [11693] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2280), 1,
      sym_heredoc_body,
    ACTIONS(3489), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3487), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [11762] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2281), 1,
      sym_heredoc_body,
    ACTIONS(3493), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3491), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [11831] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2282), 1,
      sym_heredoc_body,
    ACTIONS(3497), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3495), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [11900] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2283), 1,
      sym_heredoc_body,
    ACTIONS(3501), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3499), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [11969] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2284), 1,
      sym_heredoc_body,
    ACTIONS(3505), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3503), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [12038] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2285), 1,
      sym_heredoc_body,
    ACTIONS(3509), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3507), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [12107] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2286), 1,
      sym_heredoc_body,
    ACTIONS(3513), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3511), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [12176] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2287), 1,
      sym_heredoc_body,
    ACTIONS(3517), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3515), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [12245] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2288), 1,
      sym_heredoc_body,
    ACTIONS(3521), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3519), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [12314] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2289), 1,
      sym_heredoc_body,
    ACTIONS(3525), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3523), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [12383] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2290), 1,
      sym_heredoc_body,
    ACTIONS(3529), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3527), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [12452] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2291), 1,
      sym_heredoc_body,
    ACTIONS(3533), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3531), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [12521] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2292), 1,
      sym_heredoc_body,
    ACTIONS(3537), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3535), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [12590] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2293), 1,
      sym_heredoc_body,
    ACTIONS(3541), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3539), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [12659] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2294), 1,
      sym_heredoc_body,
    ACTIONS(3541), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3539), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [12728] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2295), 1,
      sym_heredoc_body,
    ACTIONS(3545), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3543), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [12797] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2296), 1,
      sym_heredoc_body,
    ACTIONS(3549), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3547), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [12866] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2297), 1,
      sym_heredoc_body,
    ACTIONS(3553), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3551), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [12935] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2298), 1,
      sym_heredoc_body,
    ACTIONS(3557), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3555), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [13004] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2299), 1,
      sym_heredoc_body,
    ACTIONS(3561), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3559), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [13073] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2300), 1,
      sym_heredoc_body,
    ACTIONS(3565), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3563), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [13142] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2301), 1,
      sym_heredoc_body,
    ACTIONS(3569), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3567), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [13211] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2302), 1,
      sym_heredoc_body,
    ACTIONS(3309), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_do,
    ACTIONS(3225), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3223), 43,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [13282] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2303), 1,
      sym_heredoc_body,
    ACTIONS(3573), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3571), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [13351] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2304), 1,
      sym_heredoc_body,
    ACTIONS(3577), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3575), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [13420] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2305), 1,
      sym_heredoc_body,
    ACTIONS(3311), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3309), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [13489] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2306), 1,
      sym_heredoc_body,
    ACTIONS(3581), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3579), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [13558] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2307), 1,
      sym_heredoc_body,
    ACTIONS(3585), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3583), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [13627] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2308), 1,
      sym_heredoc_body,
    ACTIONS(3589), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3587), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [13696] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3591), 1,
      anon_sym_EQ_GT,
    STATE(2309), 1,
      sym_heredoc_body,
    ACTIONS(2988), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 45,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [13767] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2310), 1,
      sym_heredoc_body,
    ACTIONS(3595), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [13836] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(2948), 1,
      anon_sym_EQ_GT,
    ACTIONS(3185), 1,
      anon_sym_COLON,
    STATE(2311), 1,
      sym_heredoc_body,
    ACTIONS(733), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(745), 36,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [13909] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2312), 1,
      sym_heredoc_body,
    ACTIONS(3599), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3597), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [13978] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2313), 1,
      sym_heredoc_body,
    ACTIONS(3603), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3601), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [14047] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2314), 1,
      sym_heredoc_body,
    ACTIONS(3607), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3605), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [14116] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2315), 1,
      sym_heredoc_body,
    ACTIONS(3585), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3583), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [14185] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2316), 1,
      sym_heredoc_body,
    ACTIONS(3611), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3609), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [14254] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2317), 1,
      sym_heredoc_body,
    ACTIONS(3615), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3613), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [14323] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2318), 1,
      sym_heredoc_body,
    ACTIONS(3619), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3617), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [14392] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2319), 1,
      sym_heredoc_body,
    ACTIONS(3623), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3621), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [14461] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2320), 1,
      sym_heredoc_body,
    ACTIONS(3627), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3625), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [14530] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2321), 1,
      sym_heredoc_body,
    ACTIONS(3631), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3629), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [14599] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2322), 1,
      sym_heredoc_body,
    ACTIONS(3635), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3633), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [14668] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2323), 1,
      sym_heredoc_body,
    ACTIONS(3639), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3637), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [14737] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3641), 1,
      anon_sym_DOT,
    ACTIONS(3643), 1,
      anon_sym_COLON_COLON2,
    ACTIONS(3645), 1,
      anon_sym_AMP_DOT,
    ACTIONS(3647), 1,
      sym__element_reference_bracket,
    STATE(2324), 1,
      sym_heredoc_body,
    ACTIONS(3291), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3289), 43,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [14814] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2325), 1,
      sym_heredoc_body,
    ACTIONS(3651), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3649), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [14883] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2326), 1,
      sym_heredoc_body,
    ACTIONS(3655), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3653), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [14952] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2327), 1,
      sym_heredoc_body,
    ACTIONS(3659), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3657), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [15021] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2328), 1,
      sym_heredoc_body,
    ACTIONS(3663), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3661), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [15090] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2329), 1,
      sym_heredoc_body,
    ACTIONS(3667), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3665), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [15159] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2330), 1,
      sym_heredoc_body,
    ACTIONS(3671), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3669), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [15228] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2331), 1,
      sym_heredoc_body,
    ACTIONS(3269), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3267), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [15297] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2332), 1,
      sym_heredoc_body,
    ACTIONS(3675), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3673), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [15366] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2333), 1,
      sym_heredoc_body,
    ACTIONS(3679), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3677), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [15435] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2334), 1,
      sym_heredoc_body,
    ACTIONS(3683), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3681), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [15504] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2335), 1,
      sym_heredoc_body,
    ACTIONS(3687), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3685), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [15573] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2336), 1,
      sym_heredoc_body,
    ACTIONS(3675), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3673), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [15642] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2337), 1,
      sym_heredoc_body,
    ACTIONS(3691), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3689), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [15711] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2338), 1,
      sym_heredoc_body,
    ACTIONS(3695), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3693), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [15780] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2339), 1,
      sym_heredoc_body,
    ACTIONS(3699), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3697), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [15849] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2340), 1,
      sym_heredoc_body,
    ACTIONS(3703), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3701), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [15918] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2341), 1,
      sym_heredoc_body,
    ACTIONS(3707), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3705), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [15987] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2342), 1,
      sym_heredoc_body,
    ACTIONS(3711), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3709), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [16056] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2343), 1,
      sym_heredoc_body,
    ACTIONS(3309), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3225), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3223), 44,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [16127] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2344), 1,
      sym_heredoc_body,
    ACTIONS(3715), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3713), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [16196] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(2930), 1,
      anon_sym_EQ_GT,
    STATE(2345), 1,
      sym_heredoc_body,
    ACTIONS(733), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(745), 37,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [16267] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(2580), 1,
      anon_sym_LPAREN2,
    STATE(2346), 1,
      sym_heredoc_body,
    ACTIONS(2578), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2576), 37,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [16338] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2347), 1,
      sym_heredoc_body,
    ACTIONS(3719), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3717), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [16407] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2348), 1,
      sym_heredoc_body,
    ACTIONS(3723), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3721), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [16476] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2349), 1,
      sym_heredoc_body,
    ACTIONS(3727), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3725), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [16545] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2350), 1,
      sym_heredoc_body,
    ACTIONS(3731), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3729), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [16614] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2351), 1,
      sym_heredoc_body,
    ACTIONS(3735), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3733), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [16683] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2352), 1,
      sym_heredoc_body,
    ACTIONS(3739), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3737), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [16752] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2353), 1,
      sym_heredoc_body,
    ACTIONS(3743), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3741), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [16821] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2354), 1,
      sym_heredoc_body,
    ACTIONS(3747), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3745), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [16890] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2355), 1,
      sym_heredoc_body,
    ACTIONS(3751), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3749), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [16959] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2356), 1,
      sym_heredoc_body,
    ACTIONS(3755), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3753), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [17028] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2357), 1,
      sym_heredoc_body,
    ACTIONS(3759), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3757), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [17097] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2358), 1,
      sym_heredoc_body,
    ACTIONS(3763), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3761), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [17166] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2359), 1,
      sym_heredoc_body,
    ACTIONS(3767), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3765), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [17235] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2360), 1,
      sym_heredoc_body,
    ACTIONS(3771), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3769), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [17304] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2361), 1,
      sym_heredoc_body,
    ACTIONS(3775), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3773), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [17373] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3777), 1,
      anon_sym_EQ,
    STATE(2362), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3779), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 24,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [17448] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2363), 1,
      sym_heredoc_body,
    ACTIONS(3783), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3781), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [17517] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2364), 1,
      sym_heredoc_body,
    ACTIONS(3787), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3785), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [17586] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2365), 1,
      sym_heredoc_body,
    ACTIONS(3791), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [17655] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2366), 1,
      sym_heredoc_body,
    ACTIONS(3795), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3793), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [17724] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2367), 1,
      sym_heredoc_body,
    ACTIONS(3799), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3797), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [17793] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2368), 1,
      sym_heredoc_body,
    ACTIONS(3803), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3801), 46,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [17862] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(2948), 1,
      anon_sym_EQ_GT,
    ACTIONS(3193), 1,
      anon_sym_COLON,
    STATE(2369), 1,
      sym_heredoc_body,
    ACTIONS(733), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(745), 35,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [17934] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3805), 1,
      anon_sym_EQ,
    STATE(2370), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3807), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 23,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [18008] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3809), 1,
      anon_sym_EQ,
    STATE(2371), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3811), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 23,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [18082] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(2926), 1,
      anon_sym_COLON_COLON,
    STATE(2372), 1,
      sym_heredoc_body,
    ACTIONS(2688), 2,
      anon_sym_EQ_GT,
      anon_sym_LBRACK2,
    ACTIONS(733), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(745), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [18154] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3813), 1,
      anon_sym_EQ,
    STATE(2373), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3815), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 23,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [18228] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3817), 1,
      anon_sym_EQ,
    STATE(2374), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3819), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 23,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [18302] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(99), 1,
      sym__string_start,
    ACTIONS(3821), 1,
      anon_sym_COLON,
    STATE(2164), 1,
      aux_sym_chained_string_repeat1,
    STATE(2202), 1,
      sym_string,
    STATE(2375), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 42,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [18378] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(2930), 1,
      anon_sym_EQ_GT,
    STATE(2376), 1,
      sym_heredoc_body,
    ACTIONS(129), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(123), 36,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [18448] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3823), 1,
      anon_sym_EQ,
    STATE(2377), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3825), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 23,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [18522] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(3827), 1,
      anon_sym_EQ,
    STATE(2378), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3829), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 22,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [18598] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    STATE(2379), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3833), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 23,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [18672] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3835), 1,
      anon_sym_EQ,
    STATE(2380), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3837), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 23,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [18746] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3841), 1,
      anon_sym_LPAREN,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    STATE(2317), 1,
      sym__method_rest,
    STATE(2381), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4482), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5518), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [18845] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3859), 1,
      anon_sym_LPAREN,
    STATE(2382), 1,
      sym_heredoc_body,
    STATE(2834), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4476), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5498), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [18944] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3861), 1,
      anon_sym_LPAREN,
    STATE(2383), 1,
      sym_heredoc_body,
    STATE(2834), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4469), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5513), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [19043] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(3863), 1,
      anon_sym_EQ,
    STATE(2384), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3865), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 21,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [19118] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3867), 1,
      anon_sym_LPAREN,
    STATE(2317), 1,
      sym__method_rest,
    STATE(2385), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4468), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5525), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [19217] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3869), 1,
      anon_sym_LPAREN,
    STATE(2317), 1,
      sym__method_rest,
    STATE(2386), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4490), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5541), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [19316] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3871), 1,
      anon_sym_LPAREN,
    STATE(2317), 1,
      sym__method_rest,
    STATE(2387), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4475), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5536), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [19415] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3873), 1,
      anon_sym_EQ,
    STATE(2388), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3875), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 22,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [19488] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3877), 1,
      anon_sym_LPAREN,
    STATE(2317), 1,
      sym__method_rest,
    STATE(2389), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4465), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5530), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [19587] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3879), 1,
      anon_sym_LPAREN,
    STATE(2317), 1,
      sym__method_rest,
    STATE(2390), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4472), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5528), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [19686] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3881), 1,
      anon_sym_LPAREN,
    STATE(2317), 1,
      sym__method_rest,
    STATE(2391), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4477), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5523), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [19785] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3883), 1,
      anon_sym_LPAREN,
    STATE(2392), 1,
      sym_heredoc_body,
    STATE(2834), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4487), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5533), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [19884] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3885), 1,
      anon_sym_LPAREN,
    STATE(2393), 1,
      sym_heredoc_body,
    STATE(2834), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4467), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5540), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [19983] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym_DOT,
    ACTIONS(3887), 1,
      anon_sym_rescue,
    ACTIONS(3889), 1,
      anon_sym_PIPE,
    ACTIONS(3891), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3893), 1,
      anon_sym_AMP,
    ACTIONS(3897), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3899), 1,
      anon_sym_CARET,
    ACTIONS(3901), 1,
      anon_sym_QMARK,
    ACTIONS(3903), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_GT_EQ,
    ACTIONS(3915), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    STATE(2394), 1,
      sym_heredoc_body,
    STATE(2406), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3907), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3911), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3895), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3917), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 24,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [20086] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3921), 1,
      anon_sym_EQ,
    STATE(2395), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3923), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 22,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [20159] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3925), 1,
      anon_sym_LPAREN,
    STATE(2396), 1,
      sym_heredoc_body,
    STATE(2834), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4484), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5548), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [20258] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3927), 1,
      anon_sym_LPAREN,
    STATE(2397), 1,
      sym_heredoc_body,
    STATE(2834), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4478), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5493), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [20357] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3929), 1,
      anon_sym_EQ,
    STATE(2398), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3931), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 22,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [20430] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3933), 1,
      anon_sym_LPAREN,
    STATE(2399), 1,
      sym_heredoc_body,
    STATE(2834), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4491), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5517), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [20529] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    STATE(2317), 1,
      sym__method_rest,
    STATE(2400), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4492), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5512), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [20628] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    STATE(2401), 1,
      sym_heredoc_body,
    STATE(2834), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4488), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5534), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [20727] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    STATE(2317), 1,
      sym__method_rest,
    STATE(2402), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4471), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5544), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [20826] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3941), 1,
      anon_sym_LPAREN,
    STATE(2317), 1,
      sym__method_rest,
    STATE(2403), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4470), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5510), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [20925] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3943), 1,
      anon_sym_COMMA,
    STATE(2404), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 43,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [20994] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3946), 1,
      anon_sym_LPAREN,
    STATE(2405), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4473), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5245), 1,
      sym__method_rest,
    STATE(5507), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [21093] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3952), 1,
      anon_sym_COMMA,
    STATE(2404), 1,
      aux_sym_exceptions_repeat1,
    STATE(2406), 1,
      sym_heredoc_body,
    ACTIONS(3950), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 43,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [21164] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2406), 1,
      aux_sym_exceptions_repeat1,
    STATE(2407), 1,
      sym_heredoc_body,
    ACTIONS(3595), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 44,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [21233] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(3954), 1,
      anon_sym_EQ,
    STATE(2408), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3956), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 21,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [21308] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(2409), 1,
      sym_heredoc_body,
    ACTIONS(733), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(745), 36,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [21375] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3647), 1,
      sym__element_reference_bracket,
    ACTIONS(3958), 1,
      anon_sym_DOT,
    ACTIONS(3960), 1,
      anon_sym_COLON_COLON2,
    ACTIONS(3962), 1,
      anon_sym_AMP_DOT,
    STATE(2410), 1,
      sym_heredoc_body,
    ACTIONS(3291), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3289), 41,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [21450] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3964), 1,
      anon_sym_LPAREN,
    STATE(2411), 1,
      sym_heredoc_body,
    STATE(2834), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4486), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5550), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [21549] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_COLON,
    STATE(2412), 1,
      sym_heredoc_body,
    ACTIONS(2590), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2592), 44,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [21618] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_COLON,
    STATE(2413), 1,
      sym_heredoc_body,
    ACTIONS(2586), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2588), 44,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [21687] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3966), 1,
      anon_sym_EQ,
    STATE(2414), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3968), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 22,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [21760] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(2914), 1,
      anon_sym_COLON_COLON,
    STATE(2415), 1,
      sym_heredoc_body,
    ACTIONS(2916), 2,
      anon_sym_LBRACK2,
      anon_sym_LPAREN2,
    ACTIONS(2912), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2910), 33,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [21831] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(3970), 1,
      anon_sym_EQ,
    STATE(2416), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3972), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 21,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [21906] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3974), 1,
      anon_sym_LPAREN,
    STATE(2317), 1,
      sym__method_rest,
    STATE(2417), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4481), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5492), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [22005] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3976), 1,
      anon_sym_LPAREN,
    STATE(2418), 1,
      sym_heredoc_body,
    STATE(2834), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4485), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5526), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [22104] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3978), 1,
      anon_sym_LPAREN,
    STATE(2317), 1,
      sym__method_rest,
    STATE(2419), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4483), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5503), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [22203] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3839), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      sym_constant,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(3980), 1,
      anon_sym_LPAREN,
    STATE(2317), 1,
      sym__method_rest,
    STATE(2420), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4466), 1,
      sym__method_name,
    STATE(4717), 1,
      sym__nonlocal_variable,
    STATE(5499), 1,
      sym__variable,
    ACTIONS(3847), 2,
      sym_super,
      sym_self,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 4,
      sym__function_identifier,
      sym_operator,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [22302] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    STATE(2421), 1,
      sym_heredoc_body,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 40,
      sym__line_break,
      sym__binary_minus,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [22372] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    STATE(2422), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 43,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [22440] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(3889), 1,
      anon_sym_PIPE,
    ACTIONS(3891), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3893), 1,
      anon_sym_AMP,
    ACTIONS(3897), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3899), 1,
      anon_sym_CARET,
    ACTIONS(3901), 1,
      anon_sym_QMARK,
    ACTIONS(3903), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_GT_EQ,
    ACTIONS(3915), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    STATE(2423), 1,
      sym_heredoc_body,
    ACTIONS(3907), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3911), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3895), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3917), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 25,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [22538] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym_DOT,
    ACTIONS(3887), 1,
      anon_sym_rescue,
    ACTIONS(3889), 1,
      anon_sym_PIPE,
    ACTIONS(3891), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3893), 1,
      anon_sym_AMP,
    ACTIONS(3897), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3899), 1,
      anon_sym_CARET,
    ACTIONS(3901), 1,
      anon_sym_QMARK,
    ACTIONS(3903), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_GT_EQ,
    ACTIONS(3915), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    STATE(2424), 1,
      sym_heredoc_body,
    ACTIONS(3907), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3911), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3895), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3917), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 24,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [22638] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3647), 1,
      sym__element_reference_bracket,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3988), 1,
      anon_sym_COLON_COLON2,
    ACTIONS(3990), 1,
      anon_sym_AMP_DOT,
    STATE(2425), 1,
      sym_heredoc_body,
    ACTIONS(3291), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3289), 41,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [22712] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(3992), 1,
      anon_sym_EQ,
    STATE(2426), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(3994), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 20,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [22786] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    STATE(2427), 1,
      sym_heredoc_body,
    ACTIONS(3907), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3911), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 36,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [22860] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(3889), 1,
      anon_sym_PIPE,
    ACTIONS(3891), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3893), 1,
      anon_sym_AMP,
    ACTIONS(3897), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3899), 1,
      anon_sym_CARET,
    ACTIONS(3901), 1,
      anon_sym_QMARK,
    ACTIONS(3903), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_GT_EQ,
    ACTIONS(3915), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    STATE(2428), 1,
      sym_heredoc_body,
    ACTIONS(3907), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3911), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3895), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3917), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 25,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [22958] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3889), 1,
      anon_sym_PIPE,
    ACTIONS(3893), 1,
      anon_sym_AMP,
    ACTIONS(3899), 1,
      anon_sym_CARET,
    ACTIONS(3905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_GT_EQ,
    ACTIONS(3915), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    STATE(2429), 1,
      sym_heredoc_body,
    ACTIONS(3907), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3911), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3895), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3917), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 28,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [23048] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3893), 1,
      anon_sym_AMP,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    STATE(2430), 1,
      sym_heredoc_body,
    ACTIONS(3907), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3911), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 36,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [23124] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    STATE(2431), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 43,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [23192] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3889), 1,
      anon_sym_PIPE,
    ACTIONS(3891), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3893), 1,
      anon_sym_AMP,
    ACTIONS(3897), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3899), 1,
      anon_sym_CARET,
    ACTIONS(3901), 1,
      anon_sym_QMARK,
    ACTIONS(3903), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_GT_EQ,
    ACTIONS(3915), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    ACTIONS(3998), 1,
      anon_sym_DOT,
    STATE(2432), 1,
      sym_heredoc_body,
    ACTIONS(3907), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3911), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3895), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3917), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 25,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [23290] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(2686), 1,
      anon_sym_COLON,
    STATE(2433), 1,
      sym_heredoc_body,
    ACTIONS(733), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(745), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [23358] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3791), 1,
      anon_sym_DOT,
    ACTIONS(3889), 1,
      anon_sym_PIPE,
    ACTIONS(3891), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3893), 1,
      anon_sym_AMP,
    ACTIONS(3897), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3899), 1,
      anon_sym_CARET,
    ACTIONS(3901), 1,
      anon_sym_QMARK,
    ACTIONS(3903), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_GT_EQ,
    ACTIONS(3915), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    STATE(2434), 1,
      sym_heredoc_body,
    ACTIONS(3907), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3911), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3895), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3917), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 25,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [23456] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3889), 1,
      anon_sym_PIPE,
    ACTIONS(3893), 1,
      anon_sym_AMP,
    ACTIONS(3899), 1,
      anon_sym_CARET,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    STATE(2435), 1,
      sym_heredoc_body,
    ACTIONS(3907), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3911), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 35,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [23536] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3889), 1,
      anon_sym_PIPE,
    ACTIONS(3891), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3893), 1,
      anon_sym_AMP,
    ACTIONS(3897), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3899), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_GT_EQ,
    ACTIONS(3915), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    ACTIONS(4002), 1,
      anon_sym_DOT,
    STATE(2436), 1,
      sym_heredoc_body,
    ACTIONS(3907), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3911), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3895), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3917), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 26,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [23632] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3889), 1,
      anon_sym_PIPE,
    ACTIONS(3891), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3893), 1,
      anon_sym_AMP,
    ACTIONS(3897), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3899), 1,
      anon_sym_CARET,
    ACTIONS(3901), 1,
      anon_sym_QMARK,
    ACTIONS(3903), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_GT_EQ,
    ACTIONS(3915), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    ACTIONS(4006), 1,
      anon_sym_DOT,
    STATE(2437), 1,
      sym_heredoc_body,
    ACTIONS(3907), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3911), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3895), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3917), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 25,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [23730] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4008), 1,
      sym__binary_star_star,
    STATE(2438), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 43,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [23798] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(2948), 1,
      anon_sym_EQ_GT,
    STATE(2439), 1,
      sym_heredoc_body,
    ACTIONS(733), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(745), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [23866] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(4010), 1,
      anon_sym_EQ,
    STATE(2440), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(4012), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 21,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [23938] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    STATE(2441), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 43,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [24006] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(4014), 1,
      anon_sym_EQ,
    STATE(2442), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(4016), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 20,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [24080] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3889), 1,
      anon_sym_PIPE,
    ACTIONS(3891), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3893), 1,
      anon_sym_AMP,
    ACTIONS(3897), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3899), 1,
      anon_sym_CARET,
    ACTIONS(3901), 1,
      anon_sym_QMARK,
    ACTIONS(3903), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_GT_EQ,
    ACTIONS(3915), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    ACTIONS(3984), 1,
      anon_sym_DOT,
    STATE(2443), 1,
      sym_heredoc_body,
    ACTIONS(3907), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3911), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3895), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3917), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 25,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [24178] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3889), 1,
      anon_sym_PIPE,
    ACTIONS(3891), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3893), 1,
      anon_sym_AMP,
    ACTIONS(3897), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3899), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_GT_EQ,
    ACTIONS(3915), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    ACTIONS(4020), 1,
      anon_sym_DOT,
    STATE(2444), 1,
      sym_heredoc_body,
    ACTIONS(3907), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3911), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3895), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3917), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 26,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [24274] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(4022), 1,
      anon_sym_EQ,
    STATE(2445), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(4024), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 21,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [24346] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3889), 1,
      anon_sym_PIPE,
    ACTIONS(3891), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3893), 1,
      anon_sym_AMP,
    ACTIONS(3897), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3899), 1,
      anon_sym_CARET,
    ACTIONS(3901), 1,
      anon_sym_QMARK,
    ACTIONS(3903), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_GT_EQ,
    ACTIONS(3915), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    ACTIONS(4028), 1,
      anon_sym_DOT,
    STATE(2446), 1,
      sym_heredoc_body,
    ACTIONS(3907), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3911), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3895), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3917), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 25,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [24444] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(4030), 1,
      anon_sym_COLON,
    STATE(2447), 1,
      sym_heredoc_body,
    ACTIONS(733), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(745), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [24512] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    STATE(2448), 1,
      sym_heredoc_body,
    ACTIONS(4034), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 43,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [24580] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3889), 1,
      anon_sym_PIPE,
    ACTIONS(3893), 1,
      anon_sym_AMP,
    ACTIONS(3899), 1,
      anon_sym_CARET,
    ACTIONS(3909), 1,
      anon_sym_GT_EQ,
    ACTIONS(3915), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    STATE(2449), 1,
      sym_heredoc_body,
    ACTIONS(3907), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3911), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3895), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3917), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 29,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [24668] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(4036), 1,
      anon_sym_EQ,
    STATE(2450), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(4038), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 20,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [24742] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4040), 1,
      sym__binary_star_star,
    STATE(2451), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 43,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [24810] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    STATE(2452), 1,
      sym_heredoc_body,
    ACTIONS(3911), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 38,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [24882] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3889), 1,
      anon_sym_PIPE,
    ACTIONS(3893), 1,
      anon_sym_AMP,
    ACTIONS(3899), 1,
      anon_sym_CARET,
    ACTIONS(3909), 1,
      anon_sym_GT_EQ,
    ACTIONS(3915), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    STATE(2453), 1,
      sym_heredoc_body,
    ACTIONS(3907), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3911), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3895), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3917), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 29,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [24970] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_DOT,
    ACTIONS(3887), 1,
      anon_sym_rescue,
    ACTIONS(3889), 1,
      anon_sym_PIPE,
    ACTIONS(3891), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3893), 1,
      anon_sym_AMP,
    ACTIONS(3897), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3899), 1,
      anon_sym_CARET,
    ACTIONS(3901), 1,
      anon_sym_QMARK,
    ACTIONS(3903), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_GT_EQ,
    ACTIONS(3915), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    STATE(2454), 1,
      sym_heredoc_body,
    ACTIONS(3907), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3911), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3895), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3917), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3277), 24,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [25070] = 24,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym_DOT,
    ACTIONS(4042), 1,
      anon_sym_rescue,
    ACTIONS(4044), 1,
      anon_sym_COMMA,
    ACTIONS(4046), 1,
      anon_sym_PIPE,
    ACTIONS(4048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4050), 1,
      anon_sym_AMP,
    ACTIONS(4054), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4056), 1,
      anon_sym_CARET,
    ACTIONS(4058), 1,
      anon_sym_QMARK,
    ACTIONS(4060), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4066), 1,
      anon_sym_GT_EQ,
    ACTIONS(4072), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    STATE(2455), 1,
      sym_heredoc_body,
    STATE(2458), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4052), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4074), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 21,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [25173] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(4078), 1,
      anon_sym_EQ,
    STATE(2456), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(4080), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 19,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [25246] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COMMA,
    STATE(2457), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 41,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [25313] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4044), 1,
      anon_sym_COMMA,
    STATE(2457), 1,
      aux_sym_exceptions_repeat1,
    STATE(2458), 1,
      sym_heredoc_body,
    ACTIONS(3950), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 41,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [25382] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2459), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 43,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [25447] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(4085), 1,
      anon_sym_EQ,
    STATE(2460), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(4087), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 19,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [25520] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4044), 1,
      anon_sym_COMMA,
    STATE(2458), 1,
      aux_sym_exceptions_repeat1,
    STATE(2461), 1,
      sym_heredoc_body,
    ACTIONS(3595), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 41,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [25589] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2462), 1,
      sym_heredoc_body,
    ACTIONS(3353), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3351), 43,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [25654] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2463), 1,
      sym_heredoc_body,
    ACTIONS(3603), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3601), 43,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [25719] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(4089), 1,
      anon_sym_EQ,
    STATE(2464), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(4091), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 19,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [25792] = 26,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2778), 1,
      sym_simple_symbol,
    ACTIONS(2780), 1,
      sym__string_start,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(2784), 1,
      sym__subshell_start,
    ACTIONS(2786), 1,
      sym__regex_start,
    ACTIONS(2788), 1,
      sym__string_array_start,
    ACTIONS(2790), 1,
      sym__symbol_array_start,
    ACTIONS(2792), 1,
      sym_heredoc_beginning,
    ACTIONS(3072), 1,
      anon_sym_nil,
    ACTIONS(3076), 1,
      anon_sym_DASH_GT,
    STATE(2465), 1,
      sym_heredoc_body,
    STATE(4311), 1,
      sym_lambda,
    STATE(4334), 1,
      sym_nil,
    STATE(4382), 1,
      sym__pattern_primitive,
    STATE(5416), 1,
      sym__int_or_float,
    ACTIONS(2862), 2,
      sym__unary_minus_num,
      anon_sym_PLUS,
    ACTIONS(2864), 2,
      sym_integer,
      sym_float,
    STATE(4314), 2,
      sym__pattern_lambda,
      sym__pattern_literal,
    STATE(4331), 2,
      sym__numeric,
      sym_delimited_symbol,
    STATE(4346), 2,
      sym_complex,
      sym_rational,
    STATE(4361), 2,
      sym_unary_literal,
      sym__simple_numeric,
    ACTIONS(3074), 6,
      sym_line,
      sym_file,
      sym_encoding,
      sym_self,
      sym_true,
      sym_false,
    STATE(4357), 7,
      sym__keyword_variable,
      sym__literal,
      sym_string,
      sym_subshell,
      sym_string_array,
      sym_symbol_array,
      sym_regex,
    ACTIONS(3070), 12,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [25899] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2466), 1,
      sym_heredoc_body,
    ACTIONS(3291), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3289), 43,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [25964] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(4093), 1,
      anon_sym_EQ,
    STATE(2467), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(4095), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 19,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [26037] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2458), 1,
      aux_sym_exceptions_repeat1,
    STATE(2468), 1,
      sym_heredoc_body,
    ACTIONS(3595), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 42,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [26104] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2469), 1,
      sym_heredoc_body,
    ACTIONS(3791), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 43,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [26169] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(4097), 1,
      anon_sym_EQ,
    STATE(2470), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(4099), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 19,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [26242] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2471), 1,
      sym_heredoc_body,
    ACTIONS(3595), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 43,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [26307] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(99), 1,
      sym__string_start,
    ACTIONS(4101), 1,
      anon_sym_COLON,
    STATE(2164), 1,
      aux_sym_chained_string_repeat1,
    STATE(2202), 1,
      sym_string,
    STATE(2472), 1,
      sym_heredoc_body,
    ACTIONS(2988), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 38,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [26380] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(4103), 1,
      anon_sym_EQ,
    STATE(2473), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(4105), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 20,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [26451] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2474), 1,
      sym_heredoc_body,
    ACTIONS(3257), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3255), 43,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [26516] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    STATE(2475), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(4109), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 16,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 20,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [26587] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym_DOT,
    ACTIONS(4046), 1,
      anon_sym_PIPE,
    ACTIONS(4048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4050), 1,
      anon_sym_AMP,
    ACTIONS(4054), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4056), 1,
      anon_sym_CARET,
    ACTIONS(4058), 1,
      anon_sym_QMARK,
    ACTIONS(4060), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4066), 1,
      anon_sym_GT_EQ,
    ACTIONS(4072), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    ACTIONS(4111), 1,
      anon_sym_rescue,
    STATE(2458), 1,
      aux_sym_exceptions_repeat1,
    STATE(2476), 1,
      sym_heredoc_body,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4052), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4074), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 22,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [26688] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_DOT,
    ACTIONS(4046), 1,
      anon_sym_PIPE,
    ACTIONS(4048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4050), 1,
      anon_sym_AMP,
    ACTIONS(4054), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4056), 1,
      anon_sym_CARET,
    ACTIONS(4058), 1,
      anon_sym_QMARK,
    ACTIONS(4060), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4066), 1,
      anon_sym_GT_EQ,
    ACTIONS(4072), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    STATE(2477), 1,
      sym_heredoc_body,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4052), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4074), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 23,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [26784] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(4046), 1,
      anon_sym_PIPE,
    ACTIONS(4048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4050), 1,
      anon_sym_AMP,
    ACTIONS(4054), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4056), 1,
      anon_sym_CARET,
    ACTIONS(4058), 1,
      anon_sym_QMARK,
    ACTIONS(4060), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4066), 1,
      anon_sym_GT_EQ,
    ACTIONS(4072), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    STATE(2478), 1,
      sym_heredoc_body,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4052), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4074), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 23,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [26880] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(99), 1,
      sym__string_start,
    ACTIONS(3153), 1,
      anon_sym_EQ_GT,
    ACTIONS(4113), 1,
      anon_sym_COLON,
    STATE(2164), 1,
      aux_sym_chained_string_repeat1,
    STATE(2202), 1,
      sym_string,
    STATE(2479), 1,
      sym_heredoc_body,
    ACTIONS(2988), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 36,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [26954] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym_DOT,
    ACTIONS(4046), 1,
      anon_sym_PIPE,
    ACTIONS(4048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4050), 1,
      anon_sym_AMP,
    ACTIONS(4054), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4056), 1,
      anon_sym_CARET,
    ACTIONS(4058), 1,
      anon_sym_QMARK,
    ACTIONS(4060), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4066), 1,
      anon_sym_GT_EQ,
    ACTIONS(4072), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    STATE(2480), 1,
      sym_heredoc_body,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4052), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4074), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 23,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [27050] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    STATE(2481), 1,
      sym_heredoc_body,
    ACTIONS(4034), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 41,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [27116] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_DOT,
    ACTIONS(4046), 1,
      anon_sym_PIPE,
    ACTIONS(4048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4050), 1,
      anon_sym_AMP,
    ACTIONS(4054), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4056), 1,
      anon_sym_CARET,
    ACTIONS(4058), 1,
      anon_sym_QMARK,
    ACTIONS(4060), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4066), 1,
      anon_sym_GT_EQ,
    ACTIONS(4072), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    ACTIONS(4111), 1,
      anon_sym_rescue,
    STATE(2482), 1,
      sym_heredoc_body,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4052), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4074), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3277), 22,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [27214] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(4115), 1,
      anon_sym_EQ,
    STATE(2483), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(4117), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 17,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 18,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [27284] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4046), 1,
      anon_sym_PIPE,
    ACTIONS(4050), 1,
      anon_sym_AMP,
    ACTIONS(4056), 1,
      anon_sym_CARET,
    ACTIONS(4066), 1,
      anon_sym_GT_EQ,
    ACTIONS(4072), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    STATE(2484), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4052), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4074), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 27,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [27370] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    STATE(2485), 1,
      sym_heredoc_body,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 36,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [27440] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3791), 1,
      anon_sym_DOT,
    ACTIONS(4046), 1,
      anon_sym_PIPE,
    ACTIONS(4048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4050), 1,
      anon_sym_AMP,
    ACTIONS(4054), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4056), 1,
      anon_sym_CARET,
    ACTIONS(4058), 1,
      anon_sym_QMARK,
    ACTIONS(4060), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4066), 1,
      anon_sym_GT_EQ,
    ACTIONS(4072), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    STATE(2486), 1,
      sym_heredoc_body,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4052), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4074), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 23,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [27536] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4046), 1,
      anon_sym_PIPE,
    ACTIONS(4050), 1,
      anon_sym_AMP,
    ACTIONS(4056), 1,
      anon_sym_CARET,
    ACTIONS(4066), 1,
      anon_sym_GT_EQ,
    ACTIONS(4072), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    STATE(2487), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4052), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4074), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 27,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [27622] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4046), 1,
      anon_sym_PIPE,
    ACTIONS(4050), 1,
      anon_sym_AMP,
    ACTIONS(4056), 1,
      anon_sym_CARET,
    ACTIONS(4062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4066), 1,
      anon_sym_GT_EQ,
    ACTIONS(4072), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    STATE(2488), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4052), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4074), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 26,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [27710] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4046), 1,
      anon_sym_PIPE,
    ACTIONS(4050), 1,
      anon_sym_AMP,
    ACTIONS(4056), 1,
      anon_sym_CARET,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    STATE(2489), 1,
      sym_heredoc_body,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 33,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [27788] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym_DOT,
    ACTIONS(4046), 1,
      anon_sym_PIPE,
    ACTIONS(4048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4050), 1,
      anon_sym_AMP,
    ACTIONS(4054), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4056), 1,
      anon_sym_CARET,
    ACTIONS(4058), 1,
      anon_sym_QMARK,
    ACTIONS(4060), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4066), 1,
      anon_sym_GT_EQ,
    ACTIONS(4072), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    ACTIONS(4111), 1,
      anon_sym_rescue,
    STATE(2490), 1,
      sym_heredoc_body,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4052), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4074), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 22,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [27886] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    STATE(2491), 1,
      sym_heredoc_body,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 34,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [27958] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_AMP,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    STATE(2492), 1,
      sym_heredoc_body,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 34,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28032] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    STATE(2493), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 41,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28098] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    STATE(2494), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 41,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28164] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3647), 1,
      sym__element_reference_bracket,
    ACTIONS(4119), 1,
      anon_sym_DOT,
    ACTIONS(4121), 1,
      anon_sym_COLON_COLON2,
    ACTIONS(4123), 1,
      anon_sym_AMP_DOT,
    STATE(2495), 1,
      sym_heredoc_body,
    ACTIONS(3291), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3289), 39,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28236] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4125), 1,
      sym__binary_star_star,
    STATE(2496), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 41,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28302] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    STATE(2497), 1,
      sym_heredoc_body,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 38,
      sym__line_break,
      sym__binary_minus,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28370] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    STATE(2498), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 41,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28436] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(4127), 1,
      anon_sym_EQ,
    STATE(2499), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(4129), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2986), 17,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(2988), 17,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
  [28508] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4131), 1,
      sym__binary_star_star,
    STATE(2500), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 41,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28574] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_DOT,
    ACTIONS(4046), 1,
      anon_sym_PIPE,
    ACTIONS(4048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4050), 1,
      anon_sym_AMP,
    ACTIONS(4054), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4056), 1,
      anon_sym_CARET,
    ACTIONS(4058), 1,
      anon_sym_QMARK,
    ACTIONS(4060), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4066), 1,
      anon_sym_GT_EQ,
    ACTIONS(4072), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    STATE(2501), 1,
      sym_heredoc_body,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4052), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4074), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 23,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [28670] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(4133), 1,
      anon_sym_EQ,
    STATE(2502), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(4135), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2986), 17,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(2988), 17,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
  [28742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(2503), 1,
      sym_heredoc_body,
    ACTIONS(129), 17,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(123), 33,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28806] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(4046), 1,
      anon_sym_PIPE,
    ACTIONS(4048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4050), 1,
      anon_sym_AMP,
    ACTIONS(4054), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4056), 1,
      anon_sym_CARET,
    ACTIONS(4058), 1,
      anon_sym_QMARK,
    ACTIONS(4060), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4066), 1,
      anon_sym_GT_EQ,
    ACTIONS(4072), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    STATE(2504), 1,
      sym_heredoc_body,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4052), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4074), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 23,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [28902] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(4137), 1,
      anon_sym_EQ,
    STATE(2505), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(4139), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2988), 17,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 18,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [28972] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_DOT,
    ACTIONS(4046), 1,
      anon_sym_PIPE,
    ACTIONS(4048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4050), 1,
      anon_sym_AMP,
    ACTIONS(4054), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4056), 1,
      anon_sym_CARET,
    ACTIONS(4060), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4066), 1,
      anon_sym_GT_EQ,
    ACTIONS(4072), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    STATE(2506), 1,
      sym_heredoc_body,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4052), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4074), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 24,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [29066] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT,
    ACTIONS(4046), 1,
      anon_sym_PIPE,
    ACTIONS(4048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4050), 1,
      anon_sym_AMP,
    ACTIONS(4054), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4056), 1,
      anon_sym_CARET,
    ACTIONS(4058), 1,
      anon_sym_QMARK,
    ACTIONS(4060), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4066), 1,
      anon_sym_GT_EQ,
    ACTIONS(4072), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    STATE(2507), 1,
      sym_heredoc_body,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4052), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4074), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 23,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [29162] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_DOT,
    ACTIONS(4046), 1,
      anon_sym_PIPE,
    ACTIONS(4048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4050), 1,
      anon_sym_AMP,
    ACTIONS(4054), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4056), 1,
      anon_sym_CARET,
    ACTIONS(4060), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4066), 1,
      anon_sym_GT_EQ,
    ACTIONS(4072), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    STATE(2508), 1,
      sym_heredoc_body,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4052), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4074), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 24,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [29256] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    STATE(2509), 1,
      sym_heredoc_body,
    ACTIONS(4141), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4143), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4145), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 33,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [29327] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2295), 1,
      sym__method_rest,
    STATE(2510), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4481), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [29414] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(4153), 1,
      anon_sym_EQ,
    STATE(2511), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(4155), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2986), 16,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(2988), 17,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
  [29485] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2221), 1,
      sym__method_rest,
    STATE(2512), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4475), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [29572] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2295), 1,
      sym__method_rest,
    STATE(2513), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4477), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [29659] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2295), 1,
      sym__method_rest,
    STATE(2514), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4466), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [29746] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2295), 1,
      sym__method_rest,
    STATE(2515), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4465), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [29833] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2221), 1,
      sym__method_rest,
    STATE(2516), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4466), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [29920] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2517), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4473), 1,
      sym__method_name,
    STATE(5321), 1,
      sym__method_rest,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [30007] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2221), 1,
      sym__method_rest,
    STATE(2518), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4477), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [30094] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym_DOT,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    ACTIONS(4157), 1,
      anon_sym_PIPE,
    ACTIONS(4159), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4165), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4167), 1,
      anon_sym_CARET,
    ACTIONS(4169), 1,
      anon_sym_QMARK,
    ACTIONS(4171), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4175), 1,
      anon_sym_GT_EQ,
    ACTIONS(4177), 1,
      anon_sym_EQ_EQ,
    STATE(2519), 1,
      sym_heredoc_body,
    ACTIONS(4141), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4143), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4145), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4163), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4179), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 22,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [30189] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    ACTIONS(4157), 1,
      anon_sym_PIPE,
    ACTIONS(4159), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4165), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4167), 1,
      anon_sym_CARET,
    ACTIONS(4169), 1,
      anon_sym_QMARK,
    ACTIONS(4171), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4175), 1,
      anon_sym_GT_EQ,
    ACTIONS(4177), 1,
      anon_sym_EQ_EQ,
    STATE(2520), 1,
      sym_heredoc_body,
    ACTIONS(4141), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4143), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4145), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4163), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4179), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 22,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [30284] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_DOT,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    ACTIONS(4157), 1,
      anon_sym_PIPE,
    ACTIONS(4159), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4165), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4167), 1,
      anon_sym_CARET,
    ACTIONS(4171), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4175), 1,
      anon_sym_GT_EQ,
    ACTIONS(4177), 1,
      anon_sym_EQ_EQ,
    STATE(2521), 1,
      sym_heredoc_body,
    ACTIONS(4141), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4143), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4145), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4163), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4179), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 23,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [30377] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2522), 1,
      sym_heredoc_body,
    STATE(2956), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4487), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [30464] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(4181), 1,
      anon_sym_EQ,
    STATE(2523), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(4183), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2986), 17,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(2988), 17,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
  [30533] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2524), 1,
      sym_heredoc_body,
    STATE(2956), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4484), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [30620] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2525), 1,
      sym_heredoc_body,
    STATE(2984), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4487), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [30707] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    ACTIONS(4157), 1,
      anon_sym_PIPE,
    ACTIONS(4159), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4165), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4167), 1,
      anon_sym_CARET,
    ACTIONS(4169), 1,
      anon_sym_QMARK,
    ACTIONS(4171), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4175), 1,
      anon_sym_GT_EQ,
    ACTIONS(4177), 1,
      anon_sym_EQ_EQ,
    STATE(2526), 1,
      sym_heredoc_body,
    ACTIONS(4141), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4143), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4145), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4163), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4179), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 22,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [30802] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2221), 1,
      sym__method_rest,
    STATE(2527), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4490), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [30889] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2295), 1,
      sym__method_rest,
    STATE(2528), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4490), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [30976] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4185), 1,
      sym__binary_star_star,
    STATE(2529), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 40,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [31041] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2530), 1,
      sym_heredoc_body,
    STATE(2956), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4478), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [31128] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2531), 1,
      sym_heredoc_body,
    STATE(2984), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4491), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [31215] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2532), 1,
      sym_heredoc_body,
    STATE(2956), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4491), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [31302] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2221), 1,
      sym__method_rest,
    STATE(2533), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4468), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [31389] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2221), 1,
      sym__method_rest,
    STATE(2534), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4472), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [31476] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2221), 1,
      sym__method_rest,
    STATE(2535), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4483), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [31563] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2295), 1,
      sym__method_rest,
    STATE(2536), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4483), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [31650] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2295), 1,
      sym__method_rest,
    STATE(2537), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4472), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [31737] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2538), 1,
      sym_heredoc_body,
    STATE(2585), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 41,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [31802] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2539), 1,
      sym_heredoc_body,
    STATE(2956), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4476), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [31889] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2540), 1,
      sym_heredoc_body,
    STATE(2956), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4488), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [31976] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4187), 1,
      anon_sym_COMMA,
    STATE(2541), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 40,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [32041] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    STATE(2542), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 40,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [32106] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    STATE(2543), 1,
      sym_heredoc_body,
    ACTIONS(4034), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 40,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [32171] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2544), 1,
      sym_heredoc_body,
    STATE(2984), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4488), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [32258] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2295), 1,
      sym__method_rest,
    STATE(2545), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4471), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [32345] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym_DOT,
    ACTIONS(4042), 1,
      anon_sym_rescue,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    ACTIONS(4157), 1,
      anon_sym_PIPE,
    ACTIONS(4159), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4165), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4167), 1,
      anon_sym_CARET,
    ACTIONS(4169), 1,
      anon_sym_QMARK,
    ACTIONS(4171), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4175), 1,
      anon_sym_GT_EQ,
    ACTIONS(4177), 1,
      anon_sym_EQ_EQ,
    STATE(2546), 1,
      sym_heredoc_body,
    ACTIONS(4141), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4143), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4145), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4163), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4179), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 21,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [32442] = 24,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4190), 1,
      anon_sym_rescue,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2547), 1,
      sym_heredoc_body,
    STATE(2585), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 19,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [32543] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2295), 1,
      sym__method_rest,
    STATE(2548), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4482), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [32630] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2221), 1,
      sym__method_rest,
    STATE(2549), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4482), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [32717] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    ACTIONS(4157), 1,
      anon_sym_PIPE,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4167), 1,
      anon_sym_CARET,
    ACTIONS(4175), 1,
      anon_sym_GT_EQ,
    ACTIONS(4177), 1,
      anon_sym_EQ_EQ,
    STATE(2550), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4141), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4143), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4145), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4163), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4179), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 26,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [32802] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    STATE(2551), 1,
      sym_heredoc_body,
    ACTIONS(4143), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4145), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 35,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [32871] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    ACTIONS(4157), 1,
      anon_sym_PIPE,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4167), 1,
      anon_sym_CARET,
    ACTIONS(4175), 1,
      anon_sym_GT_EQ,
    ACTIONS(4177), 1,
      anon_sym_EQ_EQ,
    STATE(2552), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4141), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4143), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4145), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4163), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4179), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 26,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [32956] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    ACTIONS(4157), 1,
      anon_sym_PIPE,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4167), 1,
      anon_sym_CARET,
    ACTIONS(4173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4175), 1,
      anon_sym_GT_EQ,
    ACTIONS(4177), 1,
      anon_sym_EQ_EQ,
    STATE(2553), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4141), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4143), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4145), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4163), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4179), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 25,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [33043] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    ACTIONS(4157), 1,
      anon_sym_PIPE,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4167), 1,
      anon_sym_CARET,
    STATE(2554), 1,
      sym_heredoc_body,
    ACTIONS(4141), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4143), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4145), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 32,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [33120] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4228), 1,
      sym__binary_star_star,
    STATE(2555), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 40,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [33185] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_DOT,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    ACTIONS(4157), 1,
      anon_sym_PIPE,
    ACTIONS(4159), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4165), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4167), 1,
      anon_sym_CARET,
    ACTIONS(4171), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4175), 1,
      anon_sym_GT_EQ,
    ACTIONS(4177), 1,
      anon_sym_EQ_EQ,
    STATE(2556), 1,
      sym_heredoc_body,
    ACTIONS(4141), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4143), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4145), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4163), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4179), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 23,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [33278] = 26,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2832), 1,
      sym_simple_symbol,
    ACTIONS(2834), 1,
      sym__string_start,
    ACTIONS(2836), 1,
      sym__symbol_start,
    ACTIONS(2838), 1,
      sym__subshell_start,
    ACTIONS(2840), 1,
      sym__regex_start,
    ACTIONS(2842), 1,
      sym__string_array_start,
    ACTIONS(2844), 1,
      sym__symbol_array_start,
    ACTIONS(2846), 1,
      sym_heredoc_beginning,
    ACTIONS(4230), 1,
      anon_sym_nil,
    ACTIONS(4234), 1,
      anon_sym_DASH_GT,
    STATE(2557), 1,
      sym_heredoc_body,
    STATE(4648), 1,
      sym_nil,
    STATE(4652), 1,
      sym_lambda,
    STATE(4716), 1,
      sym__pattern_primitive,
    STATE(5446), 1,
      sym__int_or_float,
    ACTIONS(2820), 2,
      sym__unary_minus_num,
      anon_sym_PLUS,
    ACTIONS(2822), 2,
      sym_integer,
      sym_float,
    STATE(4616), 2,
      sym__numeric,
      sym_delimited_symbol,
    STATE(4664), 2,
      sym_unary_literal,
      sym__simple_numeric,
    STATE(4665), 2,
      sym_complex,
      sym_rational,
    STATE(4666), 2,
      sym__pattern_lambda,
      sym__pattern_literal,
    ACTIONS(4232), 6,
      sym_line,
      sym_file,
      sym_encoding,
      sym_self,
      sym_true,
      sym_false,
    STATE(4610), 7,
      sym__keyword_variable,
      sym__literal,
      sym_string,
      sym_subshell,
      sym_string_array,
      sym_symbol_array,
      sym_regex,
    ACTIONS(3070), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [33383] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4190), 1,
      anon_sym_rescue,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2558), 1,
      sym_heredoc_body,
    STATE(2585), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 21,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [33480] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(99), 1,
      sym__string_start,
    ACTIONS(4236), 1,
      anon_sym_COLON,
    STATE(2164), 1,
      aux_sym_chained_string_repeat1,
    STATE(2202), 1,
      sym_string,
    STATE(2559), 1,
      sym_heredoc_body,
    ACTIONS(2988), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 36,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [33551] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    STATE(2560), 1,
      sym_heredoc_body,
    ACTIONS(4141), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4143), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4145), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 33,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [33624] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    STATE(2561), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 40,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [33689] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    STATE(2562), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 40,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [33754] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    STATE(2563), 1,
      sym_heredoc_body,
    ACTIONS(4145), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 37,
      sym__line_break,
      sym__binary_minus,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [33821] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2295), 1,
      sym__method_rest,
    STATE(2564), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4475), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [33908] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2565), 1,
      sym_heredoc_body,
    STATE(2984), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4486), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [33995] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2566), 1,
      sym_heredoc_body,
    STATE(2956), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4486), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [34082] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2567), 1,
      sym_heredoc_body,
    STATE(2984), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4478), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [34169] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2221), 1,
      sym__method_rest,
    STATE(2568), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4471), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [34256] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2569), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4473), 1,
      sym__method_name,
    STATE(5372), 1,
      sym__method_rest,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [34343] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2570), 1,
      sym_heredoc_body,
    STATE(2956), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4469), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [34430] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2571), 1,
      sym_heredoc_body,
    STATE(2984), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4469), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [34517] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_DOT,
    ACTIONS(4042), 1,
      anon_sym_rescue,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    ACTIONS(4157), 1,
      anon_sym_PIPE,
    ACTIONS(4159), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4165), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4167), 1,
      anon_sym_CARET,
    ACTIONS(4169), 1,
      anon_sym_QMARK,
    ACTIONS(4171), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4175), 1,
      anon_sym_GT_EQ,
    ACTIONS(4177), 1,
      anon_sym_EQ_EQ,
    STATE(2572), 1,
      sym_heredoc_body,
    ACTIONS(4141), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4143), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4145), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4163), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4179), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3277), 21,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [34614] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2573), 1,
      sym_heredoc_body,
    STATE(2984), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4467), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [34701] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2574), 1,
      sym_heredoc_body,
    STATE(2984), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4484), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [34788] = 26,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2832), 1,
      sym_simple_symbol,
    ACTIONS(2834), 1,
      sym__string_start,
    ACTIONS(2836), 1,
      sym__symbol_start,
    ACTIONS(2838), 1,
      sym__subshell_start,
    ACTIONS(2840), 1,
      sym__regex_start,
    ACTIONS(2842), 1,
      sym__string_array_start,
    ACTIONS(2844), 1,
      sym__symbol_array_start,
    ACTIONS(2846), 1,
      sym_heredoc_beginning,
    ACTIONS(4230), 1,
      anon_sym_nil,
    ACTIONS(4234), 1,
      anon_sym_DASH_GT,
    STATE(2575), 1,
      sym_heredoc_body,
    STATE(4648), 1,
      sym_nil,
    STATE(4652), 1,
      sym_lambda,
    STATE(4716), 1,
      sym__pattern_primitive,
    STATE(5446), 1,
      sym__int_or_float,
    ACTIONS(2874), 2,
      sym__unary_minus_num,
      anon_sym_PLUS,
    ACTIONS(2876), 2,
      sym_integer,
      sym_float,
    STATE(4616), 2,
      sym__numeric,
      sym_delimited_symbol,
    STATE(4664), 2,
      sym_unary_literal,
      sym__simple_numeric,
    STATE(4665), 2,
      sym_complex,
      sym_rational,
    STATE(4666), 2,
      sym__pattern_lambda,
      sym__pattern_literal,
    ACTIONS(4232), 6,
      sym_line,
      sym_file,
      sym_encoding,
      sym_self,
      sym_true,
      sym_false,
    STATE(4610), 7,
      sym__keyword_variable,
      sym__literal,
      sym_string,
      sym_subshell,
      sym_string_array,
      sym_symbol_array,
      sym_regex,
    ACTIONS(3070), 10,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [34893] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    ACTIONS(4157), 1,
      anon_sym_PIPE,
    ACTIONS(4159), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4165), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4167), 1,
      anon_sym_CARET,
    ACTIONS(4169), 1,
      anon_sym_QMARK,
    ACTIONS(4171), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4175), 1,
      anon_sym_GT_EQ,
    ACTIONS(4177), 1,
      anon_sym_EQ_EQ,
    STATE(2576), 1,
      sym_heredoc_body,
    ACTIONS(4141), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4143), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4145), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4163), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4179), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 22,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [34988] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2295), 1,
      sym__method_rest,
    STATE(2577), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4492), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [35075] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2221), 1,
      sym__method_rest,
    STATE(2578), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4465), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [35162] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2579), 1,
      sym_heredoc_body,
    STATE(2956), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4485), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [35249] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2221), 1,
      sym__method_rest,
    STATE(2580), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4492), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [35336] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2295), 1,
      sym__method_rest,
    STATE(2581), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4468), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [35423] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(4238), 1,
      anon_sym_EQ,
    STATE(2582), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(4240), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2986), 16,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(2988), 17,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
  [35494] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2583), 1,
      sym_heredoc_body,
    STATE(2984), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4476), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [35581] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(4242), 1,
      anon_sym_EQ,
    STATE(2584), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(4244), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(2986), 17,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(2988), 17,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
  [35650] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4246), 1,
      anon_sym_COMMA,
    STATE(2541), 1,
      aux_sym_exceptions_repeat1,
    STATE(2585), 1,
      sym_heredoc_body,
    ACTIONS(3950), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 40,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [35717] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2221), 1,
      sym__method_rest,
    STATE(2586), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4481), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [35804] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2587), 1,
      sym_heredoc_body,
    STATE(2956), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4467), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [35891] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2588), 1,
      sym_heredoc_body,
    STATE(2984), 1,
      sym__method_rest,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4485), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [35978] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_DOT,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    ACTIONS(4157), 1,
      anon_sym_PIPE,
    ACTIONS(4159), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4165), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4167), 1,
      anon_sym_CARET,
    ACTIONS(4169), 1,
      anon_sym_QMARK,
    ACTIONS(4171), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4175), 1,
      anon_sym_GT_EQ,
    ACTIONS(4177), 1,
      anon_sym_EQ_EQ,
    STATE(2589), 1,
      sym_heredoc_body,
    ACTIONS(4141), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4143), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4145), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4163), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4179), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 22,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [36073] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2221), 1,
      sym__method_rest,
    STATE(2590), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4470), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [36160] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4149), 1,
      sym_identifier,
    ACTIONS(4151), 1,
      sym_constant,
    STATE(2295), 1,
      sym__method_rest,
    STATE(2591), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4470), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [36247] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4190), 1,
      anon_sym_rescue,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2592), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 19,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [36345] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2593), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 40,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [36409] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4151), 1,
      sym_constant,
    ACTIONS(4248), 1,
      sym_identifier,
    STATE(2594), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4505), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [36493] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2595), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 25,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [36579] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4250), 1,
      anon_sym_COMMA,
    STATE(2596), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 37,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [36643] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2597), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 22,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [36735] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2890), 1,
      sym__symbol_start,
    ACTIONS(4253), 1,
      sym_identifier,
    ACTIONS(4259), 1,
      sym_constant,
    ACTIONS(4267), 1,
      sym_simple_symbol,
    STATE(2598), 1,
      sym_heredoc_body,
    STATE(4677), 1,
      sym__method_name,
    STATE(4698), 1,
      sym_constant_suffix,
    STATE(4705), 1,
      sym_identifier_suffix,
    ACTIONS(4261), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4263), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(4265), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4752), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(4257), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4255), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [36819] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2599), 1,
      sym_heredoc_body,
    STATE(2630), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 38,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [36883] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2600), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 5,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 32,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [36959] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2890), 1,
      sym__symbol_start,
    ACTIONS(4253), 1,
      sym_identifier,
    ACTIONS(4259), 1,
      sym_constant,
    ACTIONS(4267), 1,
      sym_simple_symbol,
    STATE(2601), 1,
      sym_heredoc_body,
    STATE(4505), 1,
      sym__method_name,
    STATE(4698), 1,
      sym_constant_suffix,
    STATE(4705), 1,
      sym_identifier_suffix,
    ACTIONS(4261), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4263), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(4265), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4752), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(4257), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4255), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [37043] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2602), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 20,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [37139] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2603), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 33,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [37209] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    STATE(2604), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 39,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_when,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [37275] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2605), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 33,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [37347] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2606), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 22,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [37439] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4271), 1,
      sym_identifier,
    ACTIONS(4277), 1,
      sym_constant,
    ACTIONS(4285), 1,
      sym_simple_symbol,
    ACTIONS(4287), 1,
      sym__symbol_start,
    STATE(2601), 1,
      sym__method_name,
    STATE(2607), 1,
      sym_heredoc_body,
    STATE(3182), 1,
      sym_identifier_suffix,
    STATE(3183), 1,
      sym_constant_suffix,
    ACTIONS(4279), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4281), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(4283), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(3258), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(4275), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4273), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [37523] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4190), 1,
      anon_sym_rescue,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2608), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 21,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [37617] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2609), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 22,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [37709] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2610), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 26,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [37793] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2611), 1,
      sym_heredoc_body,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 35,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [37861] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2612), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 23,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [37951] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2890), 1,
      sym__symbol_start,
    ACTIONS(4253), 1,
      sym_identifier,
    ACTIONS(4259), 1,
      sym_constant,
    ACTIONS(4267), 1,
      sym_simple_symbol,
    STATE(2613), 1,
      sym_heredoc_body,
    STATE(4489), 1,
      sym__method_name,
    STATE(4698), 1,
      sym_constant_suffix,
    STATE(4705), 1,
      sym_identifier_suffix,
    ACTIONS(4261), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4263), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(4265), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4752), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(4257), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4255), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [38035] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2614), 1,
      sym_heredoc_body,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 37,
      sym__line_break,
      sym__binary_minus,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [38101] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2615), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 26,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [38185] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2616), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 22,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [38277] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2617), 1,
      sym_heredoc_body,
    ACTIONS(4034), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 40,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [38341] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2618), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 22,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [38433] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2619), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 40,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [38497] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2620), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 22,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [38589] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2621), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 20,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [38685] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2622), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 40,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [38749] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4271), 1,
      sym_identifier,
    ACTIONS(4277), 1,
      sym_constant,
    ACTIONS(4285), 1,
      sym_simple_symbol,
    ACTIONS(4287), 1,
      sym__symbol_start,
    STATE(2594), 1,
      sym__method_name,
    STATE(2623), 1,
      sym_heredoc_body,
    STATE(3182), 1,
      sym_identifier_suffix,
    STATE(3183), 1,
      sym_constant_suffix,
    ACTIONS(4279), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4281), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(4283), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(3258), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(4275), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4273), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [38833] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4151), 1,
      sym_constant,
    ACTIONS(4248), 1,
      sym_identifier,
    STATE(2624), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4517), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [38917] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4289), 1,
      anon_sym_rescue,
    ACTIONS(4291), 1,
      anon_sym_PIPE,
    ACTIONS(4293), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4295), 1,
      anon_sym_AMP,
    ACTIONS(4299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4301), 1,
      anon_sym_CARET,
    ACTIONS(4303), 1,
      anon_sym_QMARK,
    ACTIONS(4305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4311), 1,
      anon_sym_GT_EQ,
    ACTIONS(4317), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2625), 1,
      sym_heredoc_body,
    STATE(2630), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4313), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4297), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4315), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4319), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 18,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [39015] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    ACTIONS(4323), 1,
      anon_sym_EQ_GT,
    STATE(2626), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 20,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [39111] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2627), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 22,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [39203] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2628), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 23,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [39293] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2629), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 38,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_when,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [39361] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4325), 1,
      anon_sym_COMMA,
    STATE(2596), 1,
      aux_sym_exceptions_repeat1,
    STATE(2630), 1,
      sym_heredoc_body,
    ACTIONS(3950), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 37,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [39427] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(3857), 1,
      sym_simple_symbol,
    ACTIONS(4151), 1,
      sym_constant,
    ACTIONS(4248), 1,
      sym_identifier,
    STATE(2631), 1,
      sym_heredoc_body,
    STATE(4393), 1,
      sym_constant_suffix,
    STATE(4403), 1,
      sym_identifier_suffix,
    STATE(4489), 1,
      sym__method_name,
    ACTIONS(3851), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(3853), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
    STATE(4400), 5,
      sym__function_identifier,
      sym_operator,
      sym__nonlocal_variable,
      sym_setter,
      sym_delimited_symbol,
    ACTIONS(3845), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3843), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [39511] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2632), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 20,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [39607] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2633), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4327), 21,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [39698] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4329), 1,
      anon_sym_rescue,
    ACTIONS(4331), 1,
      anon_sym_COMMA,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2634), 1,
      sym_heredoc_body,
    STATE(2642), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 18,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [39795] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3056), 1,
      anon_sym_COLON,
    STATE(2635), 1,
      sym_heredoc_body,
    ACTIONS(2586), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2588), 37,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [39858] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4291), 1,
      anon_sym_PIPE,
    ACTIONS(4293), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4295), 1,
      anon_sym_AMP,
    ACTIONS(4299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4301), 1,
      anon_sym_CARET,
    ACTIONS(4303), 1,
      anon_sym_QMARK,
    ACTIONS(4305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4311), 1,
      anon_sym_GT_EQ,
    ACTIONS(4317), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2636), 1,
      sym_heredoc_body,
    ACTIONS(4006), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4313), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4297), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4315), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4319), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 19,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [39951] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4365), 1,
      sym__binary_star_star,
    STATE(2637), 1,
      sym_heredoc_body,
    ACTIONS(3329), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 37,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [40014] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2638), 1,
      sym_heredoc_body,
    ACTIONS(4309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4313), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4315), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 30,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [40083] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4291), 1,
      anon_sym_PIPE,
    ACTIONS(4293), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4295), 1,
      anon_sym_AMP,
    ACTIONS(4299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4301), 1,
      anon_sym_CARET,
    ACTIONS(4305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4311), 1,
      anon_sym_GT_EQ,
    ACTIONS(4317), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2639), 1,
      sym_heredoc_body,
    ACTIONS(4002), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4313), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4297), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4315), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4319), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 20,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [40174] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4295), 1,
      anon_sym_AMP,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2640), 1,
      sym_heredoc_body,
    ACTIONS(4309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4313), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4315), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 30,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [40245] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2641), 1,
      sym_heredoc_body,
    ACTIONS(3984), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 37,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [40308] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4331), 1,
      anon_sym_COMMA,
    STATE(2642), 1,
      sym_heredoc_body,
    STATE(2644), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3950), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 38,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [40373] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2643), 1,
      sym_heredoc_body,
    ACTIONS(3984), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 37,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [40436] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4367), 1,
      anon_sym_COMMA,
    STATE(2644), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 38,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [40499] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2645), 1,
      sym_heredoc_body,
    ACTIONS(4313), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4315), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 32,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [40566] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2646), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4370), 21,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [40657] = 24,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    ACTIONS(4372), 1,
      anon_sym_rescue,
    STATE(2642), 1,
      aux_sym_exceptions_repeat1,
    STATE(2647), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 17,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [40756] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4291), 1,
      anon_sym_PIPE,
    ACTIONS(4295), 1,
      anon_sym_AMP,
    ACTIONS(4301), 1,
      anon_sym_CARET,
    ACTIONS(4311), 1,
      anon_sym_GT_EQ,
    ACTIONS(4317), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2648), 1,
      sym_heredoc_body,
    ACTIONS(4309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4313), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 3,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4297), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4315), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4319), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 23,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [40839] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2649), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4374), 21,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [40930] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4291), 1,
      anon_sym_PIPE,
    ACTIONS(4293), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4295), 1,
      anon_sym_AMP,
    ACTIONS(4299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4301), 1,
      anon_sym_CARET,
    ACTIONS(4303), 1,
      anon_sym_QMARK,
    ACTIONS(4305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4311), 1,
      anon_sym_GT_EQ,
    ACTIONS(4317), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2650), 1,
      sym_heredoc_body,
    ACTIONS(3381), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4313), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4297), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4315), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4319), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 19,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [41023] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2651), 1,
      sym_heredoc_body,
    ACTIONS(4034), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 37,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [41086] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2652), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4376), 21,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [41177] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4291), 1,
      anon_sym_PIPE,
    ACTIONS(4295), 1,
      anon_sym_AMP,
    ACTIONS(4301), 1,
      anon_sym_CARET,
    ACTIONS(4307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4311), 1,
      anon_sym_GT_EQ,
    ACTIONS(4317), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2653), 1,
      sym_heredoc_body,
    ACTIONS(4309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4313), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 3,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4297), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4315), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4319), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 22,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [41262] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4289), 1,
      anon_sym_rescue,
    ACTIONS(4291), 1,
      anon_sym_PIPE,
    ACTIONS(4293), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4295), 1,
      anon_sym_AMP,
    ACTIONS(4299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4301), 1,
      anon_sym_CARET,
    ACTIONS(4303), 1,
      anon_sym_QMARK,
    ACTIONS(4305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4311), 1,
      anon_sym_GT_EQ,
    ACTIONS(4317), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2654), 1,
      sym_heredoc_body,
    ACTIONS(3603), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4313), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4297), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4315), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4319), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 18,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [41357] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3647), 1,
      sym__element_reference_bracket,
    ACTIONS(4378), 1,
      anon_sym_DOT,
    ACTIONS(4380), 1,
      anon_sym_COLON_COLON2,
    ACTIONS(4382), 1,
      anon_sym_AMP_DOT,
    STATE(2655), 1,
      sym_heredoc_body,
    ACTIONS(3291), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3289), 35,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [41426] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4291), 1,
      anon_sym_PIPE,
    ACTIONS(4295), 1,
      anon_sym_AMP,
    ACTIONS(4301), 1,
      anon_sym_CARET,
    ACTIONS(4311), 1,
      anon_sym_GT_EQ,
    ACTIONS(4317), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2656), 1,
      sym_heredoc_body,
    ACTIONS(4309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4313), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 3,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4297), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4315), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4319), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 23,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [41509] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4291), 1,
      anon_sym_PIPE,
    ACTIONS(4293), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4295), 1,
      anon_sym_AMP,
    ACTIONS(4299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4301), 1,
      anon_sym_CARET,
    ACTIONS(4305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4311), 1,
      anon_sym_GT_EQ,
    ACTIONS(4317), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2657), 1,
      sym_heredoc_body,
    ACTIONS(4020), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4313), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4297), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4315), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4319), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 20,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [41600] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4331), 1,
      anon_sym_COMMA,
    STATE(2642), 1,
      aux_sym_exceptions_repeat1,
    STATE(2658), 1,
      sym_heredoc_body,
    ACTIONS(3595), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 38,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [41665] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2659), 1,
      sym_heredoc_body,
    ACTIONS(4315), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 34,
      sym__line_break,
      sym__binary_minus,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [41730] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4291), 1,
      anon_sym_PIPE,
    ACTIONS(4295), 1,
      anon_sym_AMP,
    ACTIONS(4301), 1,
      anon_sym_CARET,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2660), 1,
      sym_heredoc_body,
    ACTIONS(4309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4313), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4315), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 29,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [41805] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4291), 1,
      anon_sym_PIPE,
    ACTIONS(4293), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4295), 1,
      anon_sym_AMP,
    ACTIONS(4299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4301), 1,
      anon_sym_CARET,
    ACTIONS(4303), 1,
      anon_sym_QMARK,
    ACTIONS(4305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4311), 1,
      anon_sym_GT_EQ,
    ACTIONS(4317), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2661), 1,
      sym_heredoc_body,
    ACTIONS(3791), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4313), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4297), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4315), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4319), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 19,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [41898] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2662), 1,
      sym_heredoc_body,
    ACTIONS(3381), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 37,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [41961] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(99), 1,
      sym__string_start,
    ACTIONS(4384), 1,
      anon_sym_COLON,
    STATE(2164), 1,
      aux_sym_chained_string_repeat1,
    STATE(2202), 1,
      sym_string,
    STATE(2663), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 35,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [42030] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4291), 1,
      anon_sym_PIPE,
    ACTIONS(4293), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4295), 1,
      anon_sym_AMP,
    ACTIONS(4299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4301), 1,
      anon_sym_CARET,
    ACTIONS(4303), 1,
      anon_sym_QMARK,
    ACTIONS(4305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4311), 1,
      anon_sym_GT_EQ,
    ACTIONS(4317), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2664), 1,
      sym_heredoc_body,
    ACTIONS(4028), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4313), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4297), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4315), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4319), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 19,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [42123] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4291), 1,
      anon_sym_PIPE,
    ACTIONS(4293), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4295), 1,
      anon_sym_AMP,
    ACTIONS(4299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4301), 1,
      anon_sym_CARET,
    ACTIONS(4303), 1,
      anon_sym_QMARK,
    ACTIONS(4305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4311), 1,
      anon_sym_GT_EQ,
    ACTIONS(4317), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2665), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4313), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4297), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4315), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4319), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 19,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [42216] = 11,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(311), 1,
      anon_sym_LPAREN2,
    ACTIONS(3078), 1,
      anon_sym_LBRACE,
    ACTIONS(3080), 1,
      anon_sym_do,
    STATE(2666), 1,
      sym_heredoc_body,
    STATE(2755), 1,
      sym_argument_list,
    STATE(2880), 1,
      sym_do_block,
    STATE(2881), 1,
      sym_block,
    ACTIONS(413), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(411), 32,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [42289] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4291), 1,
      anon_sym_PIPE,
    ACTIONS(4293), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4295), 1,
      anon_sym_AMP,
    ACTIONS(4299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4301), 1,
      anon_sym_CARET,
    ACTIONS(4303), 1,
      anon_sym_QMARK,
    ACTIONS(4305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4311), 1,
      anon_sym_GT_EQ,
    ACTIONS(4317), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2667), 1,
      sym_heredoc_body,
    ACTIONS(3381), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4313), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4297), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4315), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4319), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 19,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [42382] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    STATE(2668), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4386), 21,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [42473] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4388), 1,
      sym__binary_star_star,
    STATE(2669), 1,
      sym_heredoc_body,
    ACTIONS(3329), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 37,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [42536] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3056), 1,
      anon_sym_COLON,
    STATE(2670), 1,
      sym_heredoc_body,
    ACTIONS(2590), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2592), 37,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [42599] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2642), 1,
      aux_sym_exceptions_repeat1,
    STATE(2671), 1,
      sym_heredoc_body,
    ACTIONS(3595), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 39,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [42662] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4291), 1,
      anon_sym_PIPE,
    ACTIONS(4293), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4295), 1,
      anon_sym_AMP,
    ACTIONS(4299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4301), 1,
      anon_sym_CARET,
    ACTIONS(4303), 1,
      anon_sym_QMARK,
    ACTIONS(4305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4311), 1,
      anon_sym_GT_EQ,
    ACTIONS(4317), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2672), 1,
      sym_heredoc_body,
    ACTIONS(3998), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4313), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4297), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4315), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4319), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 19,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [42755] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4289), 1,
      anon_sym_rescue,
    ACTIONS(4291), 1,
      anon_sym_PIPE,
    ACTIONS(4293), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4295), 1,
      anon_sym_AMP,
    ACTIONS(4299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4301), 1,
      anon_sym_CARET,
    ACTIONS(4303), 1,
      anon_sym_QMARK,
    ACTIONS(4305), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4311), 1,
      anon_sym_GT_EQ,
    ACTIONS(4317), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4321), 1,
      sym__binary_star_star,
    STATE(2673), 1,
      sym_heredoc_body,
    ACTIONS(3279), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4309), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4313), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4297), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4315), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4319), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3277), 18,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [42850] = 25,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4329), 1,
      anon_sym_rescue,
    ACTIONS(4331), 1,
      anon_sym_COMMA,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2642), 1,
      aux_sym_exceptions_repeat1,
    STATE(2674), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 16,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [42951] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    ACTIONS(4372), 1,
      anon_sym_rescue,
    STATE(2642), 1,
      aux_sym_exceptions_repeat1,
    STATE(2675), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 19,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [43046] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4390), 1,
      anon_sym_COMMA,
    STATE(2676), 1,
      sym_heredoc_body,
    STATE(2694), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3950), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 35,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [43110] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2677), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 18,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [43204] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2678), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 31,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [43272] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2679), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 20,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [43362] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2680), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 38,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [43424] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2681), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 20,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [43514] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2682), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 31,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [43584] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2683), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 36,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_when,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [43650] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(341), 1,
      sym__string_start,
    ACTIONS(3191), 1,
      anon_sym_COLON,
    STATE(2684), 1,
      sym_heredoc_body,
    STATE(2739), 1,
      aux_sym_chained_string_repeat1,
    STATE(2806), 1,
      sym_string,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3153), 8,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_EQ_GT,
    ACTIONS(2986), 26,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [43720] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2685), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 38,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [43782] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2686), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 18,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [43876] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2687), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 5,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 30,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [43950] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2688), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 38,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [44012] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2676), 1,
      aux_sym_exceptions_repeat1,
    STATE(2689), 1,
      sym_heredoc_body,
    ACTIONS(3595), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 36,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [44074] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2690), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 23,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [44158] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2691), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 20,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [44248] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2692), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 24,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [44330] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2693), 1,
      sym_heredoc_body,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 33,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [44396] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4392), 1,
      anon_sym_COMMA,
    STATE(2694), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 35,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [44458] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    ACTIONS(4395), 1,
      anon_sym_EQ_GT,
    STATE(2695), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 18,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [44552] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2696), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 21,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [44640] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2697), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 18,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [44734] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    ACTIONS(4372), 1,
      anon_sym_rescue,
    STATE(2698), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 17,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [44830] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4397), 1,
      anon_sym_rescue,
    ACTIONS(4399), 1,
      anon_sym_PIPE,
    ACTIONS(4401), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4403), 1,
      anon_sym_AMP,
    ACTIONS(4407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4409), 1,
      anon_sym_CARET,
    ACTIONS(4411), 1,
      anon_sym_QMARK,
    ACTIONS(4413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_GT_EQ,
    ACTIONS(4425), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2676), 1,
      aux_sym_exceptions_repeat1,
    STATE(2699), 1,
      sym_heredoc_body,
    ACTIONS(3595), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4417), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4421), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4405), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4423), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4427), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 16,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [44926] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2700), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 20,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [45016] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2701), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 20,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [45106] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2702), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 24,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [45188] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2703), 1,
      sym_heredoc_body,
    ACTIONS(4034), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 38,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [45250] = 24,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4390), 1,
      anon_sym_COMMA,
    ACTIONS(4399), 1,
      anon_sym_PIPE,
    ACTIONS(4401), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4403), 1,
      anon_sym_AMP,
    ACTIONS(4407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4409), 1,
      anon_sym_CARET,
    ACTIONS(4411), 1,
      anon_sym_QMARK,
    ACTIONS(4413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_GT_EQ,
    ACTIONS(4425), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    ACTIONS(4431), 1,
      anon_sym_rescue,
    STATE(2676), 1,
      aux_sym_exceptions_repeat1,
    STATE(2704), 1,
      sym_heredoc_body,
    ACTIONS(3595), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4417), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4421), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4405), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4423), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4427), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 15,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [45348] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4390), 1,
      anon_sym_COMMA,
    STATE(2676), 1,
      aux_sym_exceptions_repeat1,
    STATE(2705), 1,
      sym_heredoc_body,
    ACTIONS(3595), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 35,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [45412] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2706), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 21,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [45500] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_ri,
    STATE(2707), 1,
      sym_heredoc_body,
    ACTIONS(3137), 2,
      anon_sym_i,
      anon_sym_r,
    ACTIONS(3135), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3133), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [45564] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2708), 1,
      sym_heredoc_body,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 35,
      sym__line_break,
      sym__binary_minus,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [45628] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2709), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 20,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [45718] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(99), 1,
      sym__string_start,
    ACTIONS(4433), 1,
      anon_sym_COLON,
    STATE(2164), 1,
      aux_sym_chained_string_repeat1,
    STATE(2202), 1,
      sym_string,
    STATE(2710), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [45786] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2711), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 20,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [45876] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    ACTIONS(4372), 1,
      anon_sym_rescue,
    STATE(2712), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 19,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [45968] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_ri,
    STATE(2713), 1,
      sym_heredoc_body,
    ACTIONS(3137), 2,
      anon_sym_i,
      anon_sym_r,
    ACTIONS(3135), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3133), 33,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [46031] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2714), 1,
      sym_heredoc_body,
    ACTIONS(3381), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 35,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [46092] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2715), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4374), 19,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [46181] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    STATE(2716), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 35,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_when,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [46246] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4329), 1,
      anon_sym_rescue,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    ACTIONS(4437), 1,
      anon_sym_PIPE,
    ACTIONS(4439), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4441), 1,
      anon_sym_AMP,
    ACTIONS(4445), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4447), 1,
      anon_sym_CARET,
    ACTIONS(4449), 1,
      anon_sym_QMARK,
    ACTIONS(4451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4457), 1,
      anon_sym_GT_EQ,
    ACTIONS(4463), 1,
      anon_sym_EQ_EQ,
    STATE(2717), 1,
      sym_heredoc_body,
    ACTIONS(4455), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4443), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4465), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 18,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [46337] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    ACTIONS(4437), 1,
      anon_sym_PIPE,
    ACTIONS(4439), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4441), 1,
      anon_sym_AMP,
    ACTIONS(4445), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4447), 1,
      anon_sym_CARET,
    ACTIONS(4451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4457), 1,
      anon_sym_GT_EQ,
    ACTIONS(4463), 1,
      anon_sym_EQ_EQ,
    STATE(2718), 1,
      sym_heredoc_body,
    ACTIONS(4455), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4443), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4465), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 20,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [46424] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    STATE(2719), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 37,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [46485] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(341), 1,
      sym__string_start,
    STATE(2720), 1,
      sym_heredoc_body,
    STATE(2739), 1,
      aux_sym_chained_string_repeat1,
    STATE(2806), 1,
      sym_string,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [46550] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(311), 1,
      anon_sym_LPAREN2,
    STATE(2721), 1,
      sym_heredoc_body,
    STATE(2842), 1,
      sym_argument_list,
    ACTIONS(417), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(415), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [46613] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(311), 1,
      anon_sym_LPAREN2,
    STATE(2722), 1,
      sym_heredoc_body,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(425), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(423), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [46676] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    ACTIONS(4437), 1,
      anon_sym_PIPE,
    ACTIONS(4439), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4441), 1,
      anon_sym_AMP,
    ACTIONS(4445), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4447), 1,
      anon_sym_CARET,
    ACTIONS(4449), 1,
      anon_sym_QMARK,
    ACTIONS(4451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4457), 1,
      anon_sym_GT_EQ,
    ACTIONS(4463), 1,
      anon_sym_EQ_EQ,
    STATE(2723), 1,
      sym_heredoc_body,
    ACTIONS(4455), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4443), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4465), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 19,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [46765] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    ACTIONS(4437), 1,
      anon_sym_PIPE,
    ACTIONS(4439), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4441), 1,
      anon_sym_AMP,
    ACTIONS(4445), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4447), 1,
      anon_sym_CARET,
    ACTIONS(4449), 1,
      anon_sym_QMARK,
    ACTIONS(4451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4457), 1,
      anon_sym_GT_EQ,
    ACTIONS(4463), 1,
      anon_sym_EQ_EQ,
    STATE(2724), 1,
      sym_heredoc_body,
    ACTIONS(4455), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4443), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4465), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 19,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [46854] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2725), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4370), 19,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [46943] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    ACTIONS(4437), 1,
      anon_sym_PIPE,
    ACTIONS(4439), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4441), 1,
      anon_sym_AMP,
    ACTIONS(4445), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4447), 1,
      anon_sym_CARET,
    ACTIONS(4451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4457), 1,
      anon_sym_GT_EQ,
    ACTIONS(4463), 1,
      anon_sym_EQ_EQ,
    STATE(2726), 1,
      sym_heredoc_body,
    ACTIONS(4455), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4443), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4465), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 20,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [47030] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4399), 1,
      anon_sym_PIPE,
    ACTIONS(4401), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4403), 1,
      anon_sym_AMP,
    ACTIONS(4407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4409), 1,
      anon_sym_CARET,
    ACTIONS(4411), 1,
      anon_sym_QMARK,
    ACTIONS(4413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_GT_EQ,
    ACTIONS(4425), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2727), 1,
      sym_heredoc_body,
    ACTIONS(3998), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4417), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4421), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4405), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4423), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4427), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 17,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [47121] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    ACTIONS(4437), 1,
      anon_sym_PIPE,
    ACTIONS(4439), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4441), 1,
      anon_sym_AMP,
    ACTIONS(4445), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4447), 1,
      anon_sym_CARET,
    ACTIONS(4449), 1,
      anon_sym_QMARK,
    ACTIONS(4451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4457), 1,
      anon_sym_GT_EQ,
    ACTIONS(4463), 1,
      anon_sym_EQ_EQ,
    STATE(2728), 1,
      sym_heredoc_body,
    ACTIONS(4455), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4443), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4465), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 17,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [47214] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3078), 1,
      anon_sym_LBRACE,
    ACTIONS(3080), 1,
      anon_sym_do,
    STATE(2729), 1,
      sym_heredoc_body,
    STATE(3029), 1,
      sym_do_block,
    STATE(3030), 1,
      sym_block,
    ACTIONS(3183), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3181), 32,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [47281] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(311), 1,
      anon_sym_LPAREN2,
    STATE(2730), 1,
      sym_heredoc_body,
    STATE(2844), 1,
      sym_argument_list,
    ACTIONS(421), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(419), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [47344] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(311), 1,
      anon_sym_LPAREN2,
    STATE(2731), 1,
      sym_heredoc_body,
    STATE(2846), 1,
      sym_argument_list,
    ACTIONS(429), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(427), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [47407] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    ACTIONS(4437), 1,
      anon_sym_PIPE,
    ACTIONS(4439), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4441), 1,
      anon_sym_AMP,
    ACTIONS(4445), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4447), 1,
      anon_sym_CARET,
    ACTIONS(4449), 1,
      anon_sym_QMARK,
    ACTIONS(4451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4457), 1,
      anon_sym_GT_EQ,
    ACTIONS(4463), 1,
      anon_sym_EQ_EQ,
    STATE(2732), 1,
      sym_heredoc_body,
    ACTIONS(4455), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4443), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4465), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 17,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [47500] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(99), 1,
      sym__string_start,
    STATE(2164), 1,
      aux_sym_chained_string_repeat1,
    STATE(2202), 1,
      sym_string,
    STATE(2733), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [47565] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    STATE(2734), 1,
      sym_heredoc_body,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 34,
      sym__line_break,
      sym__binary_minus,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [47628] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4397), 1,
      anon_sym_rescue,
    ACTIONS(4399), 1,
      anon_sym_PIPE,
    ACTIONS(4401), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4403), 1,
      anon_sym_AMP,
    ACTIONS(4407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4409), 1,
      anon_sym_CARET,
    ACTIONS(4411), 1,
      anon_sym_QMARK,
    ACTIONS(4413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_GT_EQ,
    ACTIONS(4425), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2735), 1,
      sym_heredoc_body,
    ACTIONS(3279), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4417), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4421), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4405), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4423), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4427), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3277), 16,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [47721] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    ACTIONS(4437), 1,
      anon_sym_PIPE,
    ACTIONS(4439), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4441), 1,
      anon_sym_AMP,
    ACTIONS(4445), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4447), 1,
      anon_sym_CARET,
    ACTIONS(4449), 1,
      anon_sym_QMARK,
    ACTIONS(4451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4457), 1,
      anon_sym_GT_EQ,
    ACTIONS(4463), 1,
      anon_sym_EQ_EQ,
    STATE(2736), 1,
      sym_heredoc_body,
    ACTIONS(4455), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4443), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4465), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 19,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [47810] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    STATE(2737), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 37,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [47871] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    STATE(2738), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 37,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [47932] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(341), 1,
      sym__string_start,
    STATE(2739), 1,
      sym_heredoc_body,
    STATE(2746), 1,
      aux_sym_chained_string_repeat1,
    STATE(2806), 1,
      sym_string,
    ACTIONS(3151), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3149), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [47997] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    ACTIONS(4441), 1,
      anon_sym_AMP,
    STATE(2740), 1,
      sym_heredoc_body,
    ACTIONS(4455), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 30,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [48066] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    ACTIONS(4437), 1,
      anon_sym_PIPE,
    ACTIONS(4439), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4441), 1,
      anon_sym_AMP,
    ACTIONS(4445), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4447), 1,
      anon_sym_CARET,
    ACTIONS(4449), 1,
      anon_sym_QMARK,
    ACTIONS(4451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4457), 1,
      anon_sym_GT_EQ,
    ACTIONS(4463), 1,
      anon_sym_EQ_EQ,
    STATE(2741), 1,
      sym_heredoc_body,
    ACTIONS(4455), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4443), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4465), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 19,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [48155] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4467), 1,
      sym__binary_star_star,
    STATE(2742), 1,
      sym_heredoc_body,
    ACTIONS(3329), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 35,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [48216] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3647), 1,
      sym__element_reference_bracket,
    ACTIONS(4469), 1,
      anon_sym_DOT,
    ACTIONS(4471), 1,
      anon_sym_COLON_COLON2,
    ACTIONS(4473), 1,
      anon_sym_AMP_DOT,
    STATE(2743), 1,
      sym_heredoc_body,
    ACTIONS(3291), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3289), 33,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [48283] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4397), 1,
      anon_sym_rescue,
    ACTIONS(4399), 1,
      anon_sym_PIPE,
    ACTIONS(4401), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4403), 1,
      anon_sym_AMP,
    ACTIONS(4407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4409), 1,
      anon_sym_CARET,
    ACTIONS(4411), 1,
      anon_sym_QMARK,
    ACTIONS(4413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_GT_EQ,
    ACTIONS(4425), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2744), 1,
      sym_heredoc_body,
    ACTIONS(3603), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4417), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4421), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4405), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4423), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4427), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 16,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [48376] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4329), 1,
      anon_sym_rescue,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    ACTIONS(4437), 1,
      anon_sym_PIPE,
    ACTIONS(4439), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4441), 1,
      anon_sym_AMP,
    ACTIONS(4445), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4447), 1,
      anon_sym_CARET,
    ACTIONS(4449), 1,
      anon_sym_QMARK,
    ACTIONS(4451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4457), 1,
      anon_sym_GT_EQ,
    ACTIONS(4463), 1,
      anon_sym_EQ_EQ,
    STATE(2745), 1,
      sym_heredoc_body,
    ACTIONS(4455), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4443), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4465), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 16,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [48471] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4475), 1,
      sym__string_start,
    STATE(2806), 1,
      sym_string,
    STATE(2746), 2,
      sym_heredoc_body,
      aux_sym_chained_string_repeat1,
    ACTIONS(3112), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3110), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [48534] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4399), 1,
      anon_sym_PIPE,
    ACTIONS(4401), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4403), 1,
      anon_sym_AMP,
    ACTIONS(4407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4409), 1,
      anon_sym_CARET,
    ACTIONS(4411), 1,
      anon_sym_QMARK,
    ACTIONS(4413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_GT_EQ,
    ACTIONS(4425), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2747), 1,
      sym_heredoc_body,
    ACTIONS(3791), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4417), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4421), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4405), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4423), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4427), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 17,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [48625] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    STATE(2748), 1,
      sym_heredoc_body,
    ACTIONS(4455), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 30,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [48692] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4399), 1,
      anon_sym_PIPE,
    ACTIONS(4401), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4403), 1,
      anon_sym_AMP,
    ACTIONS(4407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4409), 1,
      anon_sym_CARET,
    ACTIONS(4411), 1,
      anon_sym_QMARK,
    ACTIONS(4413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_GT_EQ,
    ACTIONS(4425), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2749), 1,
      sym_heredoc_body,
    ACTIONS(3381), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4417), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4421), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4405), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4423), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4427), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 17,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [48783] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4399), 1,
      anon_sym_PIPE,
    ACTIONS(4401), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4403), 1,
      anon_sym_AMP,
    ACTIONS(4407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4409), 1,
      anon_sym_CARET,
    ACTIONS(4411), 1,
      anon_sym_QMARK,
    ACTIONS(4413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_GT_EQ,
    ACTIONS(4425), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2750), 1,
      sym_heredoc_body,
    ACTIONS(3381), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4417), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4421), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4405), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4423), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4427), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 17,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [48874] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4399), 1,
      anon_sym_PIPE,
    ACTIONS(4401), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4403), 1,
      anon_sym_AMP,
    ACTIONS(4407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4409), 1,
      anon_sym_CARET,
    ACTIONS(4413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_GT_EQ,
    ACTIONS(4425), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2751), 1,
      sym_heredoc_body,
    ACTIONS(4002), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4417), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4421), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4405), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4423), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4427), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 18,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [48963] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4399), 1,
      anon_sym_PIPE,
    ACTIONS(4401), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4403), 1,
      anon_sym_AMP,
    ACTIONS(4407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4409), 1,
      anon_sym_CARET,
    ACTIONS(4411), 1,
      anon_sym_QMARK,
    ACTIONS(4413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_GT_EQ,
    ACTIONS(4425), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2752), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4417), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4421), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4405), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4423), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4427), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 17,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [49054] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4399), 1,
      anon_sym_PIPE,
    ACTIONS(4401), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4403), 1,
      anon_sym_AMP,
    ACTIONS(4407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4409), 1,
      anon_sym_CARET,
    ACTIONS(4411), 1,
      anon_sym_QMARK,
    ACTIONS(4413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_GT_EQ,
    ACTIONS(4425), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2753), 1,
      sym_heredoc_body,
    ACTIONS(4028), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4417), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4421), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4405), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4423), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4427), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 17,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [49145] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(311), 1,
      anon_sym_LPAREN2,
    STATE(2754), 1,
      sym_heredoc_body,
    STATE(2865), 1,
      sym_argument_list,
    ACTIONS(3165), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3163), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [49208] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3078), 1,
      anon_sym_LBRACE,
    ACTIONS(3080), 1,
      anon_sym_do,
    STATE(2755), 1,
      sym_heredoc_body,
    STATE(2929), 1,
      sym_do_block,
    STATE(2930), 1,
      sym_block,
    ACTIONS(3179), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3177), 32,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [49275] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    ACTIONS(4437), 1,
      anon_sym_PIPE,
    ACTIONS(4441), 1,
      anon_sym_AMP,
    ACTIONS(4447), 1,
      anon_sym_CARET,
    STATE(2756), 1,
      sym_heredoc_body,
    ACTIONS(4455), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 5,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 29,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [49348] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2757), 1,
      sym_heredoc_body,
    ACTIONS(4034), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 35,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [49409] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    ACTIONS(4437), 1,
      anon_sym_PIPE,
    ACTIONS(4441), 1,
      anon_sym_AMP,
    ACTIONS(4447), 1,
      anon_sym_CARET,
    ACTIONS(4453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4457), 1,
      anon_sym_GT_EQ,
    ACTIONS(4463), 1,
      anon_sym_EQ_EQ,
    STATE(2758), 1,
      sym_heredoc_body,
    ACTIONS(4455), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4443), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4465), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 22,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [49492] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    ACTIONS(4437), 1,
      anon_sym_PIPE,
    ACTIONS(4439), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4441), 1,
      anon_sym_AMP,
    ACTIONS(4445), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4447), 1,
      anon_sym_CARET,
    ACTIONS(4449), 1,
      anon_sym_QMARK,
    ACTIONS(4451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4457), 1,
      anon_sym_GT_EQ,
    ACTIONS(4463), 1,
      anon_sym_EQ_EQ,
    STATE(2759), 1,
      sym_heredoc_body,
    ACTIONS(4455), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4443), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4465), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 19,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [49581] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    ACTIONS(4437), 1,
      anon_sym_PIPE,
    ACTIONS(4441), 1,
      anon_sym_AMP,
    ACTIONS(4447), 1,
      anon_sym_CARET,
    ACTIONS(4457), 1,
      anon_sym_GT_EQ,
    ACTIONS(4463), 1,
      anon_sym_EQ_EQ,
    STATE(2760), 1,
      sym_heredoc_body,
    ACTIONS(4455), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4443), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4465), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 23,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [49662] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    STATE(2761), 1,
      sym_heredoc_body,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 32,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [49727] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(311), 1,
      anon_sym_LPAREN2,
    STATE(2762), 1,
      sym_heredoc_body,
    STATE(2866), 1,
      sym_argument_list,
    ACTIONS(3175), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3173), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [49790] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    ACTIONS(4437), 1,
      anon_sym_PIPE,
    ACTIONS(4439), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4441), 1,
      anon_sym_AMP,
    ACTIONS(4445), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4447), 1,
      anon_sym_CARET,
    ACTIONS(4449), 1,
      anon_sym_QMARK,
    ACTIONS(4451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4457), 1,
      anon_sym_GT_EQ,
    ACTIONS(4463), 1,
      anon_sym_EQ_EQ,
    STATE(2763), 1,
      sym_heredoc_body,
    ACTIONS(4455), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4443), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4465), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 17,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [49883] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4478), 1,
      sym__binary_star_star,
    STATE(2764), 1,
      sym_heredoc_body,
    ACTIONS(3329), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 35,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [49944] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2765), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4327), 19,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [50033] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3078), 1,
      anon_sym_LBRACE,
    ACTIONS(3080), 1,
      anon_sym_do,
    STATE(2766), 1,
      sym_heredoc_body,
    STATE(2921), 1,
      sym_do_block,
    STATE(2922), 1,
      sym_block,
    ACTIONS(3171), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3169), 32,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [50100] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4399), 1,
      anon_sym_PIPE,
    ACTIONS(4401), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4403), 1,
      anon_sym_AMP,
    ACTIONS(4407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4409), 1,
      anon_sym_CARET,
    ACTIONS(4413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_GT_EQ,
    ACTIONS(4425), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2767), 1,
      sym_heredoc_body,
    ACTIONS(4020), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4417), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4421), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4405), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4423), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4427), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 18,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [50189] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    ACTIONS(4437), 1,
      anon_sym_PIPE,
    ACTIONS(4441), 1,
      anon_sym_AMP,
    ACTIONS(4447), 1,
      anon_sym_CARET,
    ACTIONS(4457), 1,
      anon_sym_GT_EQ,
    ACTIONS(4463), 1,
      anon_sym_EQ_EQ,
    STATE(2768), 1,
      sym_heredoc_body,
    ACTIONS(4455), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4443), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4465), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 23,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [50270] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2769), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4376), 19,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [50359] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4399), 1,
      anon_sym_PIPE,
    ACTIONS(4403), 1,
      anon_sym_AMP,
    ACTIONS(4409), 1,
      anon_sym_CARET,
    ACTIONS(4419), 1,
      anon_sym_GT_EQ,
    ACTIONS(4425), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2770), 1,
      sym_heredoc_body,
    ACTIONS(4417), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4421), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 3,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4405), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4423), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4427), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 21,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [50440] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2771), 1,
      sym_heredoc_body,
    ACTIONS(4421), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4423), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 30,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [50505] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    STATE(2772), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4386), 19,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [50594] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4399), 1,
      anon_sym_PIPE,
    ACTIONS(4403), 1,
      anon_sym_AMP,
    ACTIONS(4409), 1,
      anon_sym_CARET,
    ACTIONS(4419), 1,
      anon_sym_GT_EQ,
    ACTIONS(4425), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2773), 1,
      sym_heredoc_body,
    ACTIONS(4417), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4421), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 3,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4405), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4423), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4427), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 21,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [50675] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4399), 1,
      anon_sym_PIPE,
    ACTIONS(4403), 1,
      anon_sym_AMP,
    ACTIONS(4409), 1,
      anon_sym_CARET,
    ACTIONS(4415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_GT_EQ,
    ACTIONS(4425), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2774), 1,
      sym_heredoc_body,
    ACTIONS(4417), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4421), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 3,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4405), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4423), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4427), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 20,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [50758] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4399), 1,
      anon_sym_PIPE,
    ACTIONS(4403), 1,
      anon_sym_AMP,
    ACTIONS(4409), 1,
      anon_sym_CARET,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2775), 1,
      sym_heredoc_body,
    ACTIONS(4417), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4421), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4423), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 27,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [50831] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2776), 1,
      sym_heredoc_body,
    ACTIONS(4417), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4421), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4423), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 28,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [50898] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4403), 1,
      anon_sym_AMP,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2777), 1,
      sym_heredoc_body,
    ACTIONS(4417), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4421), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4423), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 28,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [50967] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(341), 1,
      sym__string_start,
    STATE(2739), 1,
      aux_sym_chained_string_repeat1,
    STATE(2778), 1,
      sym_heredoc_body,
    STATE(2806), 1,
      sym_string,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3153), 8,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_EQ_GT,
    ACTIONS(2986), 26,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [51034] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4399), 1,
      anon_sym_PIPE,
    ACTIONS(4401), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4403), 1,
      anon_sym_AMP,
    ACTIONS(4407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4409), 1,
      anon_sym_CARET,
    ACTIONS(4411), 1,
      anon_sym_QMARK,
    ACTIONS(4413), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4415), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4419), 1,
      anon_sym_GT_EQ,
    ACTIONS(4425), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2779), 1,
      sym_heredoc_body,
    ACTIONS(4006), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4417), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4421), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4405), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4423), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4427), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 17,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [51125] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2780), 1,
      sym_heredoc_body,
    ACTIONS(3984), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 35,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [51186] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    STATE(2781), 1,
      sym_heredoc_body,
    ACTIONS(4034), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 37,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [51247] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2782), 1,
      sym_heredoc_body,
    ACTIONS(4423), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 32,
      sym__line_break,
      sym__binary_minus,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [51310] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4429), 1,
      sym__binary_star_star,
    STATE(2783), 1,
      sym_heredoc_body,
    ACTIONS(3984), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 35,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [51371] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4480), 1,
      anon_sym_PIPE,
    ACTIONS(4482), 1,
      anon_sym_AMP,
    ACTIONS(4486), 1,
      anon_sym_CARET,
    ACTIONS(4490), 1,
      anon_sym_GT_EQ,
    ACTIONS(4496), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4500), 1,
      sym__binary_star_star,
    STATE(2784), 1,
      sym_heredoc_body,
    ACTIONS(4488), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4492), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 3,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4484), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4494), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4498), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 20,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [51451] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4480), 1,
      anon_sym_PIPE,
    ACTIONS(4482), 1,
      anon_sym_AMP,
    ACTIONS(4486), 1,
      anon_sym_CARET,
    ACTIONS(4490), 1,
      anon_sym_GT_EQ,
    ACTIONS(4496), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4500), 1,
      sym__binary_star_star,
    ACTIONS(4502), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4506), 1,
      anon_sym_QMARK,
    ACTIONS(4508), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4510), 1,
      anon_sym_AMP_AMP,
    STATE(2785), 1,
      sym_heredoc_body,
    ACTIONS(4006), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4488), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4492), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4484), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4494), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4498), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 16,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [51541] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4512), 1,
      anon_sym_COMMA,
    STATE(2786), 1,
      sym_heredoc_body,
    STATE(2811), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3950), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [51603] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym_DOT,
    ACTIONS(4514), 1,
      anon_sym_rescue,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(4518), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4520), 1,
      anon_sym_AMP,
    ACTIONS(4524), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4526), 1,
      anon_sym_CARET,
    ACTIONS(4528), 1,
      anon_sym_QMARK,
    ACTIONS(4530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4532), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4536), 1,
      anon_sym_GT_EQ,
    ACTIONS(4542), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2786), 1,
      aux_sym_exceptions_repeat1,
    STATE(2787), 1,
      sym_heredoc_body,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4522), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4544), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 15,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [51697] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2788), 1,
      sym_heredoc_body,
    STATE(2817), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 35,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [51757] = 25,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym___END__,
    ACTIONS(4548), 1,
      anon_sym_rescue,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(4560), 1,
      anon_sym_EQ_GT,
    ACTIONS(4562), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4566), 1,
      anon_sym_QMARK,
    ACTIONS(4568), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2789), 1,
      sym_heredoc_body,
    STATE(2817), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [51855] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3309), 1,
      anon_sym_LBRACE,
    STATE(2790), 1,
      sym_heredoc_body,
    ACTIONS(3225), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3223), 35,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [51915] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    STATE(2791), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [51975] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4480), 1,
      anon_sym_PIPE,
    ACTIONS(4482), 1,
      anon_sym_AMP,
    ACTIONS(4486), 1,
      anon_sym_CARET,
    ACTIONS(4490), 1,
      anon_sym_GT_EQ,
    ACTIONS(4496), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4500), 1,
      sym__binary_star_star,
    ACTIONS(4502), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4508), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4510), 1,
      anon_sym_AMP_AMP,
    STATE(2792), 1,
      sym_heredoc_body,
    ACTIONS(4020), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4488), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4492), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4484), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4494), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4498), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 17,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [52063] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4500), 1,
      sym__binary_star_star,
    STATE(2793), 1,
      sym_heredoc_body,
    ACTIONS(3984), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [52123] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4500), 1,
      sym__binary_star_star,
    STATE(2794), 1,
      sym_heredoc_body,
    ACTIONS(3984), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [52183] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(311), 1,
      anon_sym_LPAREN2,
    ACTIONS(3078), 1,
      anon_sym_LBRACE,
    STATE(2795), 1,
      sym_heredoc_body,
    STATE(2880), 1,
      sym_do_block,
    STATE(2881), 1,
      sym_block,
    STATE(3073), 1,
      sym_argument_list,
    ACTIONS(413), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(411), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [52251] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4512), 1,
      anon_sym_COMMA,
    STATE(2786), 1,
      aux_sym_exceptions_repeat1,
    STATE(2796), 1,
      sym_heredoc_body,
    ACTIONS(3595), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [52313] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4482), 1,
      anon_sym_AMP,
    ACTIONS(4500), 1,
      sym__binary_star_star,
    STATE(2797), 1,
      sym_heredoc_body,
    ACTIONS(4488), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4492), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4494), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 27,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [52381] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4480), 1,
      anon_sym_PIPE,
    ACTIONS(4482), 1,
      anon_sym_AMP,
    ACTIONS(4486), 1,
      anon_sym_CARET,
    ACTIONS(4490), 1,
      anon_sym_GT_EQ,
    ACTIONS(4496), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4500), 1,
      sym__binary_star_star,
    ACTIONS(4502), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4506), 1,
      anon_sym_QMARK,
    ACTIONS(4508), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4510), 1,
      anon_sym_AMP_AMP,
    STATE(2798), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4488), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4492), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4484), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4494), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4498), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 16,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [52471] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4500), 1,
      sym__binary_star_star,
    STATE(2799), 1,
      sym_heredoc_body,
    ACTIONS(4488), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4492), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4494), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 27,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [52537] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4480), 1,
      anon_sym_PIPE,
    ACTIONS(4482), 1,
      anon_sym_AMP,
    ACTIONS(4486), 1,
      anon_sym_CARET,
    ACTIONS(4500), 1,
      sym__binary_star_star,
    STATE(2800), 1,
      sym_heredoc_body,
    ACTIONS(4488), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4492), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4494), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 26,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [52609] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4431), 1,
      anon_sym_rescue,
    ACTIONS(4480), 1,
      anon_sym_PIPE,
    ACTIONS(4482), 1,
      anon_sym_AMP,
    ACTIONS(4486), 1,
      anon_sym_CARET,
    ACTIONS(4490), 1,
      anon_sym_GT_EQ,
    ACTIONS(4496), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4500), 1,
      sym__binary_star_star,
    ACTIONS(4502), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4506), 1,
      anon_sym_QMARK,
    ACTIONS(4508), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4510), 1,
      anon_sym_AMP_AMP,
    STATE(2801), 1,
      sym_heredoc_body,
    ACTIONS(3603), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4488), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4492), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4484), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4494), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4498), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 15,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [52701] = 24,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym_DOT,
    ACTIONS(4512), 1,
      anon_sym_COMMA,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(4518), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4520), 1,
      anon_sym_AMP,
    ACTIONS(4524), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4526), 1,
      anon_sym_CARET,
    ACTIONS(4528), 1,
      anon_sym_QMARK,
    ACTIONS(4530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4532), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4536), 1,
      anon_sym_GT_EQ,
    ACTIONS(4542), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    ACTIONS(4589), 1,
      anon_sym_rescue,
    STATE(2786), 1,
      aux_sym_exceptions_repeat1,
    STATE(2802), 1,
      sym_heredoc_body,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4522), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4544), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 14,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [52797] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4480), 1,
      anon_sym_PIPE,
    ACTIONS(4482), 1,
      anon_sym_AMP,
    ACTIONS(4486), 1,
      anon_sym_CARET,
    ACTIONS(4490), 1,
      anon_sym_GT_EQ,
    ACTIONS(4496), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4500), 1,
      sym__binary_star_star,
    ACTIONS(4502), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4506), 1,
      anon_sym_QMARK,
    ACTIONS(4508), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4510), 1,
      anon_sym_AMP_AMP,
    STATE(2803), 1,
      sym_heredoc_body,
    ACTIONS(3381), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4488), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4492), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4484), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4494), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4498), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 16,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [52887] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4480), 1,
      anon_sym_PIPE,
    ACTIONS(4482), 1,
      anon_sym_AMP,
    ACTIONS(4486), 1,
      anon_sym_CARET,
    ACTIONS(4490), 1,
      anon_sym_GT_EQ,
    ACTIONS(4496), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4500), 1,
      sym__binary_star_star,
    ACTIONS(4502), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4506), 1,
      anon_sym_QMARK,
    ACTIONS(4508), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4510), 1,
      anon_sym_AMP_AMP,
    STATE(2804), 1,
      sym_heredoc_body,
    ACTIONS(3381), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4488), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4492), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4484), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4494), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4498), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 16,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [52977] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4500), 1,
      sym__binary_star_star,
    STATE(2805), 1,
      sym_heredoc_body,
    ACTIONS(3381), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [53037] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2806), 1,
      sym_heredoc_body,
    ACTIONS(3203), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3201), 35,
      sym__string_start,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [53095] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2807), 1,
      sym_heredoc_body,
    ACTIONS(3189), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3187), 35,
      sym__string_start,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [53153] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4500), 1,
      sym__binary_star_star,
    STATE(2808), 1,
      sym_heredoc_body,
    ACTIONS(4492), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4494), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 29,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [53217] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4431), 1,
      anon_sym_rescue,
    ACTIONS(4480), 1,
      anon_sym_PIPE,
    ACTIONS(4482), 1,
      anon_sym_AMP,
    ACTIONS(4486), 1,
      anon_sym_CARET,
    ACTIONS(4490), 1,
      anon_sym_GT_EQ,
    ACTIONS(4496), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4500), 1,
      sym__binary_star_star,
    ACTIONS(4502), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4506), 1,
      anon_sym_QMARK,
    ACTIONS(4508), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4510), 1,
      anon_sym_AMP_AMP,
    STATE(2809), 1,
      sym_heredoc_body,
    ACTIONS(3279), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4488), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4492), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4484), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4494), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4498), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3277), 15,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [53309] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4480), 1,
      anon_sym_PIPE,
    ACTIONS(4482), 1,
      anon_sym_AMP,
    ACTIONS(4486), 1,
      anon_sym_CARET,
    ACTIONS(4490), 1,
      anon_sym_GT_EQ,
    ACTIONS(4496), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4500), 1,
      sym__binary_star_star,
    STATE(2810), 1,
      sym_heredoc_body,
    ACTIONS(4488), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4492), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 3,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4484), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4494), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4498), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 20,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [53389] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4591), 1,
      anon_sym_COMMA,
    STATE(2811), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [53449] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    ACTIONS(4437), 1,
      anon_sym_PIPE,
    ACTIONS(4439), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4441), 1,
      anon_sym_AMP,
    ACTIONS(4445), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4447), 1,
      anon_sym_CARET,
    ACTIONS(4449), 1,
      anon_sym_QMARK,
    ACTIONS(4451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4457), 1,
      anon_sym_GT_EQ,
    ACTIONS(4463), 1,
      anon_sym_EQ_EQ,
    STATE(2812), 1,
      sym_heredoc_body,
    ACTIONS(4455), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4443), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4465), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4386), 18,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [53537] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4500), 1,
      sym__binary_star_star,
    STATE(2813), 1,
      sym_heredoc_body,
    ACTIONS(4034), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [53597] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4480), 1,
      anon_sym_PIPE,
    ACTIONS(4482), 1,
      anon_sym_AMP,
    ACTIONS(4486), 1,
      anon_sym_CARET,
    ACTIONS(4490), 1,
      anon_sym_GT_EQ,
    ACTIONS(4496), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4500), 1,
      sym__binary_star_star,
    ACTIONS(4502), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4506), 1,
      anon_sym_QMARK,
    ACTIONS(4508), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4510), 1,
      anon_sym_AMP_AMP,
    STATE(2814), 1,
      sym_heredoc_body,
    ACTIONS(4028), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4488), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4492), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4484), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4494), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4498), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 16,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [53687] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2786), 1,
      aux_sym_exceptions_repeat1,
    STATE(2815), 1,
      sym_heredoc_body,
    ACTIONS(3595), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 35,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [53747] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(341), 1,
      sym__string_start,
    ACTIONS(4594), 1,
      anon_sym_COLON,
    STATE(2739), 1,
      aux_sym_chained_string_repeat1,
    STATE(2806), 1,
      sym_string,
    STATE(2816), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 32,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [53813] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4596), 1,
      anon_sym_COMMA,
    STATE(2791), 1,
      aux_sym_exceptions_repeat1,
    STATE(2817), 1,
      sym_heredoc_body,
    ACTIONS(3950), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [53875] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2818), 1,
      sym_heredoc_body,
    ACTIONS(2590), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2592), 35,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [53933] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2819), 1,
      sym_heredoc_body,
    ACTIONS(2586), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2588), 35,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [53991] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4480), 1,
      anon_sym_PIPE,
    ACTIONS(4482), 1,
      anon_sym_AMP,
    ACTIONS(4486), 1,
      anon_sym_CARET,
    ACTIONS(4490), 1,
      anon_sym_GT_EQ,
    ACTIONS(4496), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4500), 1,
      sym__binary_star_star,
    ACTIONS(4510), 1,
      anon_sym_AMP_AMP,
    STATE(2820), 1,
      sym_heredoc_body,
    ACTIONS(4488), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4492), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 3,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4484), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4494), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4498), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 19,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [54073] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4598), 1,
      sym__binary_star_star,
    STATE(2821), 1,
      sym_heredoc_body,
    ACTIONS(3329), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [54133] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4500), 1,
      sym__binary_star_star,
    STATE(2822), 1,
      sym_heredoc_body,
    ACTIONS(4494), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 31,
      sym__line_break,
      sym__binary_minus,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [54195] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4600), 1,
      sym__binary_star_star,
    STATE(2823), 1,
      sym_heredoc_body,
    ACTIONS(3329), 9,
      anon_sym___END__,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [54255] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2824), 1,
      sym_heredoc_body,
    ACTIONS(3309), 2,
      anon_sym_LBRACE,
      anon_sym_COMMA,
    ACTIONS(3225), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3223), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [54315] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(99), 1,
      sym__string_start,
    ACTIONS(4602), 1,
      anon_sym_COLON,
    STATE(2164), 1,
      aux_sym_chained_string_repeat1,
    STATE(2202), 1,
      sym_string,
    STATE(2825), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 32,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [54381] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4480), 1,
      anon_sym_PIPE,
    ACTIONS(4482), 1,
      anon_sym_AMP,
    ACTIONS(4486), 1,
      anon_sym_CARET,
    ACTIONS(4490), 1,
      anon_sym_GT_EQ,
    ACTIONS(4496), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4500), 1,
      sym__binary_star_star,
    ACTIONS(4502), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4508), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4510), 1,
      anon_sym_AMP_AMP,
    STATE(2826), 1,
      sym_heredoc_body,
    ACTIONS(4002), 2,
      anon_sym___END__,
      anon_sym_DOT,
    ACTIONS(4488), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4492), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4484), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4494), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4498), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 17,
      sym__line_break,
      sym__element_reference_bracket,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [54469] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2827), 1,
      sym_heredoc_body,
    ACTIONS(2566), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2568), 35,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [54527] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2828), 1,
      sym_heredoc_body,
    ACTIONS(2582), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2584), 35,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [54585] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2829), 1,
      sym_heredoc_body,
    ACTIONS(3161), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3159), 35,
      sym__string_start,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [54643] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym___END__,
    ACTIONS(4548), 1,
      anon_sym_rescue,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4562), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4566), 1,
      anon_sym_QMARK,
    ACTIONS(4568), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2817), 1,
      aux_sym_exceptions_repeat1,
    STATE(2830), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 15,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [54737] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2831), 1,
      sym_heredoc_body,
    ACTIONS(3731), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3729), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [54794] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(4560), 1,
      anon_sym_EQ_GT,
    ACTIONS(4562), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4566), 1,
      anon_sym_QMARK,
    ACTIONS(4568), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    ACTIONS(4604), 1,
      anon_sym___END__,
    STATE(2832), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 14,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [54887] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2833), 1,
      sym_heredoc_body,
    ACTIONS(3311), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3309), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [54944] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2834), 1,
      sym_heredoc_body,
    ACTIONS(3615), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3613), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [55001] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2835), 1,
      sym_heredoc_body,
    ACTIONS(3627), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3625), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [55058] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3791), 1,
      anon_sym___END__,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4562), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4566), 1,
      anon_sym_QMARK,
    ACTIONS(4568), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2836), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 16,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [55147] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2837), 1,
      sym_heredoc_body,
    ACTIONS(3791), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [55204] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2838), 1,
      sym_heredoc_body,
    ACTIONS(3611), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3609), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [55261] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(341), 1,
      sym__string_start,
    ACTIONS(3153), 1,
      anon_sym_EQ_GT,
    ACTIONS(4606), 1,
      anon_sym_COLON,
    STATE(2739), 1,
      aux_sym_chained_string_repeat1,
    STATE(2806), 1,
      sym_string,
    STATE(2839), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 30,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [55328] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2840), 1,
      sym_heredoc_body,
    ACTIONS(3581), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3579), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [55385] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2841), 1,
      sym_heredoc_body,
    ACTIONS(3561), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3559), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [55442] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2842), 1,
      sym_heredoc_body,
    ACTIONS(3631), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3629), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [55499] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2843), 1,
      sym_heredoc_body,
    ACTIONS(3639), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3637), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [55556] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2844), 1,
      sym_heredoc_body,
    ACTIONS(3651), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3649), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [55613] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4608), 1,
      sym__binary_star_star,
    STATE(2845), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [55672] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2846), 1,
      sym_heredoc_body,
    ACTIONS(3783), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3781), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [55729] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2847), 1,
      sym_heredoc_body,
    ACTIONS(3291), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3289), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [55786] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2848), 1,
      sym_heredoc_body,
    ACTIONS(3257), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3255), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [55843] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2849), 1,
      sym_heredoc_body,
    ACTIONS(4034), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [55902] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(4520), 1,
      anon_sym_AMP,
    ACTIONS(4526), 1,
      anon_sym_CARET,
    ACTIONS(4536), 1,
      anon_sym_GT_EQ,
    ACTIONS(4542), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2850), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4522), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4544), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 20,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [55981] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_ri,
    STATE(2851), 1,
      sym_heredoc_body,
    ACTIONS(3137), 2,
      anon_sym_i,
      anon_sym_r,
    ACTIONS(3135), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3133), 32,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [56042] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2852), 1,
      sym_heredoc_body,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 29,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [56105] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(4520), 1,
      anon_sym_AMP,
    ACTIONS(4526), 1,
      anon_sym_CARET,
    ACTIONS(4536), 1,
      anon_sym_GT_EQ,
    ACTIONS(4542), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2853), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4522), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4544), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 20,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [56184] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(4520), 1,
      anon_sym_AMP,
    ACTIONS(4526), 1,
      anon_sym_CARET,
    ACTIONS(4532), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4536), 1,
      anon_sym_GT_EQ,
    ACTIONS(4542), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2854), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4522), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4544), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 19,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [56265] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2855), 1,
      sym_heredoc_body,
    ACTIONS(3353), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3351), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [56322] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(4520), 1,
      anon_sym_AMP,
    ACTIONS(4526), 1,
      anon_sym_CARET,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2856), 1,
      sym_heredoc_body,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 26,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [56393] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2857), 1,
      sym_heredoc_body,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 27,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [56458] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4520), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2858), 1,
      sym_heredoc_body,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 27,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [56525] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2859), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [56584] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2860), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [56643] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2861), 1,
      sym_heredoc_body,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 31,
      sym__line_break,
      sym__binary_minus,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [56704] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2862), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [56763] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym___END__,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4562), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4566), 1,
      anon_sym_QMARK,
    ACTIONS(4568), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2863), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 16,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [56852] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4610), 1,
      sym__binary_star_star,
    STATE(2864), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [56911] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2865), 1,
      sym_heredoc_body,
    ACTIONS(3799), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3797), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [56968] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2866), 1,
      sym_heredoc_body,
    ACTIONS(3803), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3801), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [57025] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2867), 1,
      sym_heredoc_body,
    ACTIONS(3687), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3685), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [57082] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2868), 1,
      sym_heredoc_body,
    ACTIONS(3699), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3697), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [57139] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2869), 1,
      sym_heredoc_body,
    ACTIONS(3269), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3267), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [57196] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2870), 1,
      sym_heredoc_body,
    ACTIONS(3465), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3463), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [57253] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2871), 1,
      sym_heredoc_body,
    ACTIONS(3329), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [57310] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(341), 1,
      sym__string_start,
    ACTIONS(3153), 1,
      anon_sym_EQ_GT,
    STATE(2739), 1,
      aux_sym_chained_string_repeat1,
    STATE(2806), 1,
      sym_string,
    STATE(2872), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [57375] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2873), 1,
      sym_heredoc_body,
    ACTIONS(3449), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3447), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [57432] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2874), 1,
      sym_heredoc_body,
    ACTIONS(3287), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3285), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [57489] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2875), 1,
      sym_heredoc_body,
    ACTIONS(3381), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [57546] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(4562), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4566), 1,
      anon_sym_QMARK,
    ACTIONS(4568), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    ACTIONS(4604), 1,
      anon_sym___END__,
    ACTIONS(4612), 1,
      anon_sym_EQ_GT,
    STATE(2876), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 14,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [57639] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2877), 1,
      sym_heredoc_body,
    ACTIONS(3135), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3133), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [57696] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2878), 1,
      sym_heredoc_body,
    ACTIONS(3477), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3475), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [57753] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2879), 1,
      sym_heredoc_body,
    ACTIONS(3477), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3475), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [57810] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2880), 1,
      sym_heredoc_body,
    ACTIONS(3265), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3263), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [57867] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2881), 1,
      sym_heredoc_body,
    ACTIONS(3265), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3263), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [57924] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2882), 1,
      sym_heredoc_body,
    ACTIONS(3221), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3219), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [57981] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2883), 1,
      sym_heredoc_body,
    ACTIONS(3261), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3259), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [58038] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2884), 1,
      sym_heredoc_body,
    ACTIONS(3253), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3251), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [58095] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2885), 1,
      sym_heredoc_body,
    ACTIONS(3237), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3235), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [58152] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2886), 1,
      sym_heredoc_body,
    ACTIONS(3217), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3215), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [58209] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2887), 1,
      sym_heredoc_body,
    ACTIONS(3619), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3617), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [58266] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2888), 1,
      sym_heredoc_body,
    ACTIONS(3433), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3431), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [58323] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2889), 1,
      sym_heredoc_body,
    ACTIONS(3679), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3677), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [58380] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2890), 1,
      sym_heredoc_body,
    ACTIONS(3683), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3681), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [58437] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2891), 1,
      sym_heredoc_body,
    ACTIONS(3703), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3701), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [58494] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2892), 1,
      sym_heredoc_body,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 31,
      sym__line_break,
      sym__binary_minus,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [58555] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2893), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [58614] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2894), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [58673] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2895), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 27,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [58740] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2896), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 27,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [58805] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2897), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym___END__,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [58876] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2898), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 19,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [58957] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2899), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 20,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [59036] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2900), 1,
      sym_heredoc_body,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 29,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [59099] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2901), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 20,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [59178] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2902), 1,
      sym_heredoc_body,
    ACTIONS(4034), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [59237] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2903), 1,
      sym_heredoc_body,
    ACTIONS(3751), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3749), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [59294] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2904), 1,
      sym_heredoc_body,
    ACTIONS(3763), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3761), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [59351] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym_DOT,
    ACTIONS(4514), 1,
      anon_sym_rescue,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(4518), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4520), 1,
      anon_sym_AMP,
    ACTIONS(4524), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4526), 1,
      anon_sym_CARET,
    ACTIONS(4528), 1,
      anon_sym_QMARK,
    ACTIONS(4530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4532), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4536), 1,
      anon_sym_GT_EQ,
    ACTIONS(4542), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2905), 1,
      sym_heredoc_body,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4522), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4544), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 15,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [59442] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_DOT,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(4518), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4520), 1,
      anon_sym_AMP,
    ACTIONS(4524), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4526), 1,
      anon_sym_CARET,
    ACTIONS(4528), 1,
      anon_sym_QMARK,
    ACTIONS(4530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4532), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4536), 1,
      anon_sym_GT_EQ,
    ACTIONS(4542), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2906), 1,
      sym_heredoc_body,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4522), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4544), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 16,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [59531] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_DOT,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(4518), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4520), 1,
      anon_sym_AMP,
    ACTIONS(4524), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4526), 1,
      anon_sym_CARET,
    ACTIONS(4530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4532), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4536), 1,
      anon_sym_GT_EQ,
    ACTIONS(4542), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2907), 1,
      sym_heredoc_body,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4522), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4544), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 17,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [59618] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_DOT,
    ACTIONS(4514), 1,
      anon_sym_rescue,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(4518), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4520), 1,
      anon_sym_AMP,
    ACTIONS(4524), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4526), 1,
      anon_sym_CARET,
    ACTIONS(4528), 1,
      anon_sym_QMARK,
    ACTIONS(4530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4532), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4536), 1,
      anon_sym_GT_EQ,
    ACTIONS(4542), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2908), 1,
      sym_heredoc_body,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4522), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4544), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3277), 15,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [59709] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym_DOT,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(4518), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4520), 1,
      anon_sym_AMP,
    ACTIONS(4524), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4526), 1,
      anon_sym_CARET,
    ACTIONS(4528), 1,
      anon_sym_QMARK,
    ACTIONS(4530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4532), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4536), 1,
      anon_sym_GT_EQ,
    ACTIONS(4542), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2909), 1,
      sym_heredoc_body,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4522), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4544), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 16,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [59798] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(4518), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4520), 1,
      anon_sym_AMP,
    ACTIONS(4524), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4526), 1,
      anon_sym_CARET,
    ACTIONS(4528), 1,
      anon_sym_QMARK,
    ACTIONS(4530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4532), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4536), 1,
      anon_sym_GT_EQ,
    ACTIONS(4542), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2910), 1,
      sym_heredoc_body,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4522), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4544), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 16,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [59887] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_DOT,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(4518), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4520), 1,
      anon_sym_AMP,
    ACTIONS(4524), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4526), 1,
      anon_sym_CARET,
    ACTIONS(4530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4532), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4536), 1,
      anon_sym_GT_EQ,
    ACTIONS(4542), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2911), 1,
      sym_heredoc_body,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4522), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4544), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 17,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [59974] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(4518), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4520), 1,
      anon_sym_AMP,
    ACTIONS(4524), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4526), 1,
      anon_sym_CARET,
    ACTIONS(4528), 1,
      anon_sym_QMARK,
    ACTIONS(4530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4532), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4536), 1,
      anon_sym_GT_EQ,
    ACTIONS(4542), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2912), 1,
      sym_heredoc_body,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4522), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4544), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 16,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [60063] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(4518), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4520), 1,
      anon_sym_AMP,
    ACTIONS(4524), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4526), 1,
      anon_sym_CARET,
    ACTIONS(4528), 1,
      anon_sym_QMARK,
    ACTIONS(4530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4532), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4536), 1,
      anon_sym_GT_EQ,
    ACTIONS(4542), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2913), 1,
      sym_heredoc_body,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4522), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4544), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 16,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [60152] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2914), 1,
      sym_heredoc_body,
    ACTIONS(3595), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [60209] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2915), 1,
      sym_heredoc_body,
    ACTIONS(3603), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3601), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [60266] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2916), 1,
      sym_heredoc_body,
    ACTIONS(3795), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3793), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [60323] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2917), 1,
      sym_heredoc_body,
    ACTIONS(3589), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3587), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [60380] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2918), 1,
      sym_heredoc_body,
    ACTIONS(3295), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3293), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [60437] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2919), 1,
      sym_heredoc_body,
    ACTIONS(3453), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3451), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [60494] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2920), 1,
      sym_heredoc_body,
    ACTIONS(3663), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3661), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [60551] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2921), 1,
      sym_heredoc_body,
    ACTIONS(3585), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3583), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [60608] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2922), 1,
      sym_heredoc_body,
    ACTIONS(3585), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3583), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [60665] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2923), 1,
      sym_heredoc_body,
    ACTIONS(3481), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3479), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [60722] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2924), 1,
      sym_heredoc_body,
    ACTIONS(3497), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3495), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [60779] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2925), 1,
      sym_heredoc_body,
    ACTIONS(3577), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3575), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [60836] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2926), 1,
      sym_heredoc_body,
    ACTIONS(3667), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3665), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [60893] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym___END__,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4562), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4566), 1,
      anon_sym_QMARK,
    ACTIONS(4568), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2927), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 16,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [60982] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym___END__,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4562), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4566), 1,
      anon_sym_QMARK,
    ACTIONS(4568), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2928), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 16,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [61071] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2929), 1,
      sym_heredoc_body,
    ACTIONS(3675), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3673), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [61128] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2930), 1,
      sym_heredoc_body,
    ACTIONS(3675), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3673), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [61185] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2931), 1,
      sym_heredoc_body,
    ACTIONS(3707), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3705), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [61242] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2932), 1,
      sym_heredoc_body,
    ACTIONS(3655), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3653), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [61299] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2933), 1,
      sym_heredoc_body,
    ACTIONS(3573), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3571), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [61356] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2934), 1,
      sym_heredoc_body,
    ACTIONS(3485), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3483), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [61413] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2935), 1,
      sym_heredoc_body,
    ACTIONS(3225), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3223), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [61470] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2936), 1,
      sym_heredoc_body,
    ACTIONS(3659), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3657), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [61527] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(99), 1,
      sym__string_start,
    ACTIONS(3153), 1,
      anon_sym_EQ_GT,
    ACTIONS(4614), 1,
      anon_sym_COLON,
    STATE(2164), 1,
      aux_sym_chained_string_repeat1,
    STATE(2202), 1,
      sym_string,
    STATE(2937), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 30,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [61594] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym___END__,
    ACTIONS(4548), 1,
      anon_sym_rescue,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4562), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4566), 1,
      anon_sym_QMARK,
    ACTIONS(4568), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2938), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 15,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [61685] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2939), 1,
      sym_heredoc_body,
    ACTIONS(3599), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3597), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [61742] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3641), 1,
      anon_sym_DOT,
    ACTIONS(3645), 1,
      anon_sym_AMP_DOT,
    ACTIONS(3647), 1,
      sym__element_reference_bracket,
    ACTIONS(4616), 1,
      anon_sym_COLON_COLON2,
    STATE(2940), 1,
      sym_heredoc_body,
    ACTIONS(3291), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3289), 32,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [61807] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2941), 1,
      sym_heredoc_body,
    ACTIONS(3719), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3717), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [61864] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2942), 1,
      sym_heredoc_body,
    ACTIONS(3735), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3733), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [61921] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2943), 1,
      sym_heredoc_body,
    ACTIONS(3743), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3741), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [61978] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2944), 1,
      sym_heredoc_body,
    ACTIONS(3775), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3773), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [62035] = 24,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym___END__,
    ACTIONS(4548), 1,
      anon_sym_rescue,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(4560), 1,
      anon_sym_EQ_GT,
    ACTIONS(4562), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4566), 1,
      anon_sym_QMARK,
    ACTIONS(4568), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2945), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [62130] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2946), 1,
      sym_heredoc_body,
    ACTIONS(3787), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3785), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [62187] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2947), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [62246] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2948), 1,
      sym_heredoc_body,
    ACTIONS(3759), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3757), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [62303] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(4560), 1,
      anon_sym_EQ_GT,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2949), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 32,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [62366] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym___END__,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4562), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4566), 1,
      anon_sym_QMARK,
    ACTIONS(4568), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2950), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 16,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [62455] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2951), 1,
      sym_heredoc_body,
    ACTIONS(3377), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3375), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [62512] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3791), 1,
      anon_sym_DOT,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(4518), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4520), 1,
      anon_sym_AMP,
    ACTIONS(4524), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4526), 1,
      anon_sym_CARET,
    ACTIONS(4528), 1,
      anon_sym_QMARK,
    ACTIONS(4530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4532), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4536), 1,
      anon_sym_GT_EQ,
    ACTIONS(4542), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2952), 1,
      sym_heredoc_body,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4522), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4544), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 16,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [62601] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym___END__,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4562), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4568), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2953), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 17,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [62688] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_DOT,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(4518), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4520), 1,
      anon_sym_AMP,
    ACTIONS(4524), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4526), 1,
      anon_sym_CARET,
    ACTIONS(4528), 1,
      anon_sym_QMARK,
    ACTIONS(4530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4532), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4536), 1,
      anon_sym_GT_EQ,
    ACTIONS(4542), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    STATE(2954), 1,
      sym_heredoc_body,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4522), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4544), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 16,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [62777] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2955), 1,
      sym_heredoc_body,
    ACTIONS(3333), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3331), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [62834] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2956), 1,
      sym_heredoc_body,
    ACTIONS(3275), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3273), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [62891] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2957), 1,
      sym_heredoc_body,
    ACTIONS(2988), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [62948] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2958), 1,
      sym_heredoc_body,
    ACTIONS(3565), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3563), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [63005] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3647), 1,
      sym__element_reference_bracket,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_AMP_DOT,
    ACTIONS(4618), 1,
      anon_sym_COLON_COLON2,
    STATE(2959), 1,
      sym_heredoc_body,
    ACTIONS(3291), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3289), 32,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [63070] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2960), 1,
      sym_heredoc_body,
    ACTIONS(3505), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3503), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [63127] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2961), 1,
      sym_heredoc_body,
    ACTIONS(3529), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3527), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [63184] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2962), 1,
      sym_heredoc_body,
    ACTIONS(3279), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3277), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [63241] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2963), 1,
      sym_heredoc_body,
    ACTIONS(3299), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3297), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [63298] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym___END__,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4562), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4566), 1,
      anon_sym_QMARK,
    ACTIONS(4568), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2964), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 16,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [63387] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym___END__,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4562), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4566), 1,
      anon_sym_QMARK,
    ACTIONS(4568), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(2965), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 16,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [63476] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2966), 1,
      sym_heredoc_body,
    ACTIONS(3303), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3301), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [63533] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2967), 1,
      sym_heredoc_body,
    ACTIONS(3317), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3315), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [63590] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2968), 1,
      sym_heredoc_body,
    ACTIONS(3321), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3319), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [63647] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2969), 1,
      sym_heredoc_body,
    ACTIONS(3325), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3323), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [63704] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2970), 1,
      sym_heredoc_body,
    ACTIONS(3715), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3713), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [63761] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2971), 1,
      sym_heredoc_body,
    ACTIONS(3345), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3343), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [63818] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2972), 1,
      sym_heredoc_body,
    ACTIONS(3771), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3769), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [63875] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2973), 1,
      sym_heredoc_body,
    ACTIONS(3767), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3765), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [63932] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2974), 1,
      sym_heredoc_body,
    ACTIONS(3747), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3745), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [63989] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2975), 1,
      sym_heredoc_body,
    ACTIONS(3441), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3439), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [64046] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2976), 1,
      sym_heredoc_body,
    ACTIONS(3473), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3471), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [64103] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2977), 1,
      sym_heredoc_body,
    ACTIONS(3623), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3621), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [64160] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2978), 1,
      sym_heredoc_body,
    ACTIONS(3533), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3531), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [64217] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2979), 1,
      sym_heredoc_body,
    ACTIONS(3401), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3399), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [64274] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2980), 1,
      sym_heredoc_body,
    ACTIONS(3365), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3363), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [64331] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2981), 1,
      sym_heredoc_body,
    ACTIONS(3233), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3231), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [64388] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2982), 1,
      sym_heredoc_body,
    ACTIONS(3249), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3247), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [64445] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2983), 1,
      sym_heredoc_body,
    ACTIONS(3283), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3281), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [64502] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2984), 1,
      sym_heredoc_body,
    ACTIONS(3545), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3543), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [64559] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2985), 1,
      sym_heredoc_body,
    ACTIONS(3549), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3547), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [64616] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2986), 1,
      sym_heredoc_body,
    ACTIONS(3553), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3551), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [64673] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(4560), 1,
      anon_sym_EQ_GT,
    STATE(2987), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 33,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [64734] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2988), 1,
      sym_heredoc_body,
    ACTIONS(3425), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3423), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [64791] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2989), 1,
      sym_heredoc_body,
    ACTIONS(3405), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3403), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [64848] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2990), 1,
      sym_heredoc_body,
    ACTIONS(3357), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3355), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [64905] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2991), 1,
      sym_heredoc_body,
    ACTIONS(3341), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3339), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [64962] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2992), 1,
      sym_heredoc_body,
    ACTIONS(3337), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3335), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [65019] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2993), 1,
      sym_heredoc_body,
    ACTIONS(3727), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3725), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [65076] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2994), 1,
      sym_heredoc_body,
    ACTIONS(3723), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3721), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [65133] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2995), 1,
      sym_heredoc_body,
    ACTIONS(3209), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3207), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [65190] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2996), 1,
      sym_heredoc_body,
    ACTIONS(3557), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3555), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [65247] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2997), 1,
      sym_heredoc_body,
    ACTIONS(3525), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3523), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [65304] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2998), 1,
      sym_heredoc_body,
    ACTIONS(3521), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3519), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [65361] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2999), 1,
      sym_heredoc_body,
    ACTIONS(3513), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3511), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [65418] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3000), 1,
      sym_heredoc_body,
    ACTIONS(3493), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3491), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [65475] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3001), 1,
      sym_heredoc_body,
    ACTIONS(3489), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3487), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [65532] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3002), 1,
      sym_heredoc_body,
    ACTIONS(3461), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3459), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [65589] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3003), 1,
      sym_heredoc_body,
    ACTIONS(3385), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3383), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [65646] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3004), 1,
      sym_heredoc_body,
    ACTIONS(3389), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3387), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [65703] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3005), 1,
      sym_heredoc_body,
    ACTIONS(3397), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3395), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [65760] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3006), 1,
      sym_heredoc_body,
    ACTIONS(3607), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3605), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [65817] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3007), 1,
      sym_heredoc_body,
    ACTIONS(3635), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3633), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [65874] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3008), 1,
      sym_heredoc_body,
    ACTIONS(3509), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3507), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [65931] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3009), 1,
      sym_heredoc_body,
    ACTIONS(3671), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3669), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [65988] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3010), 1,
      sym_heredoc_body,
    ACTIONS(3421), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3419), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [66045] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(341), 1,
      sym__string_start,
    ACTIONS(4620), 1,
      anon_sym_COLON,
    STATE(2739), 1,
      aux_sym_chained_string_repeat1,
    STATE(2806), 1,
      sym_string,
    STATE(3011), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [66110] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3012), 1,
      sym_heredoc_body,
    ACTIONS(3245), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3243), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [66167] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym___END__,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4562), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4568), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(3013), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 17,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [66254] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym___END__,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(4560), 1,
      anon_sym_EQ_GT,
    ACTIONS(4562), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4566), 1,
      anon_sym_QMARK,
    ACTIONS(4568), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(3014), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 14,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [66347] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3015), 1,
      sym_heredoc_body,
    ACTIONS(3417), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3415), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [66404] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3016), 1,
      sym_heredoc_body,
    ACTIONS(3409), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3407), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [66461] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3017), 1,
      sym_heredoc_body,
    ACTIONS(3501), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3499), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [66518] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3018), 1,
      sym_heredoc_body,
    ACTIONS(3691), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3689), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [66575] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3019), 1,
      sym_heredoc_body,
    ACTIONS(3711), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3709), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [66632] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3020), 1,
      sym_heredoc_body,
    ACTIONS(3445), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3443), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [66689] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3021), 1,
      sym_heredoc_body,
    ACTIONS(3739), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3737), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [66746] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3022), 1,
      sym_heredoc_body,
    ACTIONS(3755), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3753), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [66803] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3023), 1,
      sym_heredoc_body,
    ACTIONS(3537), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3535), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [66860] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3024), 1,
      sym_heredoc_body,
    ACTIONS(3469), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3467), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [66917] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3025), 1,
      sym_heredoc_body,
    ACTIONS(3569), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3567), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [66974] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3026), 1,
      sym_heredoc_body,
    ACTIONS(3457), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3455), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [67031] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym___END__,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(4560), 1,
      anon_sym_EQ_GT,
    ACTIONS(4562), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4566), 1,
      anon_sym_QMARK,
    ACTIONS(4568), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    STATE(3027), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 14,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [67124] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3028), 1,
      sym_heredoc_body,
    ACTIONS(3695), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3693), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [67181] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3029), 1,
      sym_heredoc_body,
    ACTIONS(3541), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3539), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [67238] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3030), 1,
      sym_heredoc_body,
    ACTIONS(3541), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3539), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [67295] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3031), 1,
      sym_heredoc_body,
    ACTIONS(3393), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3391), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [67352] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3032), 1,
      sym_heredoc_body,
    ACTIONS(3373), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3371), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [67409] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3033), 1,
      sym_heredoc_body,
    ACTIONS(3429), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3427), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [67466] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3034), 1,
      sym_heredoc_body,
    ACTIONS(3517), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3515), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [67523] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3035), 1,
      sym_heredoc_body,
    ACTIONS(3229), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3227), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [67580] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3036), 1,
      sym_heredoc_body,
    ACTIONS(3241), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3239), 34,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [67637] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    STATE(3037), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 33,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [67695] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym_DOT,
    ACTIONS(3889), 1,
      anon_sym_PIPE,
    ACTIONS(3891), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3893), 1,
      anon_sym_AMP,
    ACTIONS(3897), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3899), 1,
      anon_sym_CARET,
    ACTIONS(3901), 1,
      anon_sym_QMARK,
    ACTIONS(3903), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_GT_EQ,
    ACTIONS(3915), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    ACTIONS(4624), 1,
      anon_sym_rescue,
    STATE(3038), 1,
      sym_heredoc_body,
    STATE(3135), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3907), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3911), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3895), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3917), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 13,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [67787] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    ACTIONS(4626), 1,
      anon_sym_PIPE,
    ACTIONS(4628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_AMP,
    ACTIONS(4634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4636), 1,
      anon_sym_CARET,
    ACTIONS(4638), 1,
      anon_sym_QMARK,
    ACTIONS(4640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4646), 1,
      anon_sym_GT_EQ,
    ACTIONS(4652), 1,
      anon_sym_EQ_EQ,
    STATE(3039), 1,
      sym_heredoc_body,
    ACTIONS(4644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 15,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [67875] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    ACTIONS(4626), 1,
      anon_sym_PIPE,
    ACTIONS(4628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_AMP,
    ACTIONS(4634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4636), 1,
      anon_sym_CARET,
    ACTIONS(4638), 1,
      anon_sym_QMARK,
    ACTIONS(4640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4646), 1,
      anon_sym_GT_EQ,
    ACTIONS(4652), 1,
      anon_sym_EQ_EQ,
    STATE(3040), 1,
      sym_heredoc_body,
    ACTIONS(4644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 15,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [67963] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_DOT,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    ACTIONS(4626), 1,
      anon_sym_PIPE,
    ACTIONS(4628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_AMP,
    ACTIONS(4634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4636), 1,
      anon_sym_CARET,
    ACTIONS(4640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4646), 1,
      anon_sym_GT_EQ,
    ACTIONS(4652), 1,
      anon_sym_EQ_EQ,
    STATE(3041), 1,
      sym_heredoc_body,
    ACTIONS(4644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 16,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [68049] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    ACTIONS(4626), 1,
      anon_sym_PIPE,
    ACTIONS(4628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_AMP,
    ACTIONS(4634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4636), 1,
      anon_sym_CARET,
    ACTIONS(4638), 1,
      anon_sym_QMARK,
    ACTIONS(4640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4646), 1,
      anon_sym_GT_EQ,
    ACTIONS(4652), 1,
      anon_sym_EQ_EQ,
    STATE(3042), 1,
      sym_heredoc_body,
    ACTIONS(4644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 15,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [68137] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3078), 1,
      anon_sym_LBRACE,
    STATE(2921), 1,
      sym_do_block,
    STATE(2922), 1,
      sym_block,
    STATE(3043), 1,
      sym_heredoc_body,
    ACTIONS(3171), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3169), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [68199] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4656), 1,
      sym__binary_star_star,
    STATE(3044), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 33,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [68257] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(341), 1,
      sym__string_start,
    ACTIONS(4658), 1,
      anon_sym_COLON,
    STATE(2739), 1,
      aux_sym_chained_string_repeat1,
    STATE(2806), 1,
      sym_string,
    STATE(3045), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 30,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [68321] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym_DOT,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    ACTIONS(4626), 1,
      anon_sym_PIPE,
    ACTIONS(4628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_AMP,
    ACTIONS(4634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4636), 1,
      anon_sym_CARET,
    ACTIONS(4638), 1,
      anon_sym_QMARK,
    ACTIONS(4640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4646), 1,
      anon_sym_GT_EQ,
    ACTIONS(4652), 1,
      anon_sym_EQ_EQ,
    STATE(3046), 1,
      sym_heredoc_body,
    ACTIONS(4644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 15,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [68409] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4660), 1,
      anon_sym_COMMA,
    STATE(3047), 1,
      sym_heredoc_body,
    STATE(3076), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 32,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [68469] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4662), 1,
      sym__binary_star_star,
    STATE(3048), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 33,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [68527] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3049), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3153), 8,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_EQ_GT,
    ACTIONS(2986), 26,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [68585] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    STATE(3050), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 33,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [68643] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    STATE(3051), 1,
      sym_heredoc_body,
    ACTIONS(4650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 30,
      sym__line_break,
      sym__binary_minus,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [68703] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3052), 1,
      sym_heredoc_body,
    ACTIONS(3311), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3309), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [68759] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_DOT,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    ACTIONS(4626), 1,
      anon_sym_PIPE,
    ACTIONS(4628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_AMP,
    ACTIONS(4634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4636), 1,
      anon_sym_CARET,
    ACTIONS(4638), 1,
      anon_sym_QMARK,
    ACTIONS(4640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4646), 1,
      anon_sym_GT_EQ,
    ACTIONS(4652), 1,
      anon_sym_EQ_EQ,
    STATE(3053), 1,
      sym_heredoc_body,
    ACTIONS(4644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 15,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [68847] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    STATE(3054), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 33,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [68905] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3055), 1,
      sym_heredoc_body,
    ACTIONS(3269), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3267), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [68961] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3056), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3591), 8,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_EQ_GT,
    ACTIONS(2986), 26,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [69019] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    ACTIONS(4630), 1,
      anon_sym_AMP,
    STATE(3057), 1,
      sym_heredoc_body,
    ACTIONS(4644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 26,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [69085] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3058), 1,
      sym_heredoc_body,
    ACTIONS(3311), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3313), 8,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_EQ_GT,
    ACTIONS(3309), 26,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [69143] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3059), 1,
      sym_heredoc_body,
    ACTIONS(3269), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3271), 8,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_EQ_GT,
    ACTIONS(3267), 26,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [69201] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    STATE(3060), 1,
      sym_heredoc_body,
    ACTIONS(4644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 26,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [69265] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    ACTIONS(4626), 1,
      anon_sym_PIPE,
    ACTIONS(4630), 1,
      anon_sym_AMP,
    ACTIONS(4636), 1,
      anon_sym_CARET,
    STATE(3061), 1,
      sym_heredoc_body,
    ACTIONS(4644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 25,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [69335] = 25,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym___END__,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(4560), 1,
      anon_sym_EQ_GT,
    ACTIONS(4664), 1,
      anon_sym_rescue,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4678), 1,
      anon_sym_QMARK,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3062), 1,
      sym_heredoc_body,
    STATE(3076), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 11,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [69431] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3063), 1,
      sym_heredoc_body,
    STATE(3076), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 33,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [69489] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    ACTIONS(4626), 1,
      anon_sym_PIPE,
    ACTIONS(4630), 1,
      anon_sym_AMP,
    ACTIONS(4636), 1,
      anon_sym_CARET,
    ACTIONS(4642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4646), 1,
      anon_sym_GT_EQ,
    ACTIONS(4652), 1,
      anon_sym_EQ_EQ,
    STATE(3064), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 18,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [69569] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(99), 1,
      sym__string_start,
    ACTIONS(4698), 1,
      anon_sym_COLON,
    STATE(2164), 1,
      aux_sym_chained_string_repeat1,
    STATE(2202), 1,
      sym_string,
    STATE(3065), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 30,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [69633] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym___END__,
    ACTIONS(4664), 1,
      anon_sym_rescue,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4678), 1,
      anon_sym_QMARK,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3066), 1,
      sym_heredoc_body,
    STATE(3076), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [69725] = 26,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym___END__,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(4560), 1,
      anon_sym_EQ_GT,
    ACTIONS(4660), 1,
      anon_sym_COMMA,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4678), 1,
      anon_sym_QMARK,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    ACTIONS(4700), 1,
      anon_sym_rescue,
    STATE(3067), 1,
      sym_heredoc_body,
    STATE(3076), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 10,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [69823] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3068), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [69879] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4702), 1,
      sym__binary_star_star,
    STATE(3069), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 33,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [69937] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    ACTIONS(4626), 1,
      anon_sym_PIPE,
    ACTIONS(4630), 1,
      anon_sym_AMP,
    ACTIONS(4636), 1,
      anon_sym_CARET,
    ACTIONS(4646), 1,
      anon_sym_GT_EQ,
    ACTIONS(4652), 1,
      anon_sym_EQ_EQ,
    STATE(3070), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 19,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [70015] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    STATE(3071), 1,
      sym_heredoc_body,
    ACTIONS(4648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 28,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [70077] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    ACTIONS(4626), 1,
      anon_sym_PIPE,
    ACTIONS(4630), 1,
      anon_sym_AMP,
    ACTIONS(4636), 1,
      anon_sym_CARET,
    ACTIONS(4646), 1,
      anon_sym_GT_EQ,
    ACTIONS(4652), 1,
      anon_sym_EQ_EQ,
    STATE(3072), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 19,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [70155] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3078), 1,
      anon_sym_LBRACE,
    STATE(2929), 1,
      sym_do_block,
    STATE(2930), 1,
      sym_block,
    STATE(3073), 1,
      sym_heredoc_body,
    ACTIONS(3179), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3177), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [70217] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    STATE(3074), 1,
      sym_heredoc_body,
    ACTIONS(4034), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 33,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [70275] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4704), 1,
      anon_sym_COMMA,
    STATE(3075), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 32,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [70333] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4660), 1,
      anon_sym_COMMA,
    STATE(3075), 1,
      aux_sym_exceptions_repeat1,
    STATE(3076), 1,
      sym_heredoc_body,
    ACTIONS(3950), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 32,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [70393] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3077), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 34,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [70449] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3078), 1,
      anon_sym_LBRACE,
    STATE(3029), 1,
      sym_do_block,
    STATE(3030), 1,
      sym_block,
    STATE(3078), 1,
      sym_heredoc_body,
    ACTIONS(3183), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3181), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [70511] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(341), 1,
      sym__string_start,
    ACTIONS(3153), 1,
      anon_sym_EQ_GT,
    ACTIONS(4707), 1,
      anon_sym_COLON,
    STATE(2739), 1,
      aux_sym_chained_string_repeat1,
    STATE(2806), 1,
      sym_string,
    STATE(3079), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 29,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [70577] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_DOT,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    ACTIONS(4626), 1,
      anon_sym_PIPE,
    ACTIONS(4628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_AMP,
    ACTIONS(4634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4636), 1,
      anon_sym_CARET,
    ACTIONS(4640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4646), 1,
      anon_sym_GT_EQ,
    ACTIONS(4652), 1,
      anon_sym_EQ_EQ,
    STATE(3080), 1,
      sym_heredoc_body,
    ACTIONS(4644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 16,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [70663] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym_DOT,
    ACTIONS(4589), 1,
      anon_sym_rescue,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    ACTIONS(4626), 1,
      anon_sym_PIPE,
    ACTIONS(4628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_AMP,
    ACTIONS(4634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4636), 1,
      anon_sym_CARET,
    ACTIONS(4638), 1,
      anon_sym_QMARK,
    ACTIONS(4640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4646), 1,
      anon_sym_GT_EQ,
    ACTIONS(4652), 1,
      anon_sym_EQ_EQ,
    STATE(3081), 1,
      sym_heredoc_body,
    ACTIONS(4644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 14,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [70753] = 24,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym___END__,
    ACTIONS(4660), 1,
      anon_sym_COMMA,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4678), 1,
      anon_sym_QMARK,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    ACTIONS(4700), 1,
      anon_sym_rescue,
    STATE(3076), 1,
      aux_sym_exceptions_repeat1,
    STATE(3082), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 12,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [70847] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_DOT,
    ACTIONS(4589), 1,
      anon_sym_rescue,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    ACTIONS(4626), 1,
      anon_sym_PIPE,
    ACTIONS(4628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_AMP,
    ACTIONS(4634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4636), 1,
      anon_sym_CARET,
    ACTIONS(4638), 1,
      anon_sym_QMARK,
    ACTIONS(4640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4646), 1,
      anon_sym_GT_EQ,
    ACTIONS(4652), 1,
      anon_sym_EQ_EQ,
    STATE(3083), 1,
      sym_heredoc_body,
    ACTIONS(4644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3277), 14,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [70937] = 14,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(311), 1,
      anon_sym_LPAREN2,
    ACTIONS(4709), 1,
      sym_identifier,
    ACTIONS(4715), 1,
      sym_constant,
    STATE(2148), 1,
      sym_identifier_suffix,
    STATE(2169), 1,
      sym_constant_suffix,
    STATE(3078), 1,
      sym_argument_list,
    STATE(3084), 1,
      sym_heredoc_body,
    ACTIONS(4717), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4719), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(2157), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4713), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4711), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [71010] = 14,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(311), 1,
      anon_sym_LPAREN2,
    ACTIONS(4721), 1,
      sym_identifier,
    ACTIONS(4727), 1,
      sym_constant,
    STATE(1916), 1,
      sym_constant_suffix,
    STATE(1917), 1,
      sym_identifier_suffix,
    STATE(3078), 1,
      sym_argument_list,
    STATE(3085), 1,
      sym_heredoc_body,
    ACTIONS(4729), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4731), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(1925), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4725), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4723), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [71083] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4562), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4566), 1,
      anon_sym_QMARK,
    ACTIONS(4568), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    ACTIONS(4733), 1,
      anon_sym___END__,
    STATE(3086), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4370), 14,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [71170] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(4604), 1,
      anon_sym___END__,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4678), 1,
      anon_sym_QMARK,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    ACTIONS(4735), 1,
      anon_sym_EQ_GT,
    STATE(3087), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 12,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [71261] = 14,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    ACTIONS(4737), 1,
      sym_identifier,
    ACTIONS(4743), 1,
      sym_constant,
    STATE(1885), 1,
      sym_identifier_suffix,
    STATE(1886), 1,
      sym_constant_suffix,
    STATE(2184), 1,
      sym_argument_list,
    STATE(3088), 1,
      sym_heredoc_body,
    ACTIONS(4745), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4747), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(1887), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4741), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4739), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [71334] = 13,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    STATE(1897), 1,
      sym_constant_suffix,
    STATE(1898), 1,
      sym_identifier_suffix,
    STATE(2194), 1,
      sym_argument_list,
    STATE(3089), 1,
      sym_heredoc_body,
    ACTIONS(4749), 2,
      sym_constant,
      sym_identifier,
    ACTIONS(4755), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4757), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(1901), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4753), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4751), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [71405] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(341), 1,
      sym__string_start,
    ACTIONS(4433), 1,
      anon_sym_COLON,
    STATE(2739), 1,
      aux_sym_chained_string_repeat1,
    STATE(2806), 1,
      sym_string,
    STATE(3090), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 29,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [71468] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym_DOT,
    ACTIONS(4759), 1,
      anon_sym_rescue,
    ACTIONS(4761), 1,
      anon_sym_PIPE,
    ACTIONS(4763), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4765), 1,
      anon_sym_AMP,
    ACTIONS(4769), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4771), 1,
      anon_sym_CARET,
    ACTIONS(4773), 1,
      anon_sym_QMARK,
    ACTIONS(4775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4781), 1,
      anon_sym_GT_EQ,
    ACTIONS(4787), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3091), 1,
      sym_heredoc_body,
    STATE(3143), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4767), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4789), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 12,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [71559] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4562), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4566), 1,
      anon_sym_QMARK,
    ACTIONS(4568), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    ACTIONS(4793), 1,
      anon_sym___END__,
    STATE(3092), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4374), 14,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [71646] = 13,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(311), 1,
      anon_sym_LPAREN2,
    STATE(1916), 1,
      sym_constant_suffix,
    STATE(1917), 1,
      sym_identifier_suffix,
    STATE(2729), 1,
      sym_argument_list,
    STATE(3093), 1,
      sym_heredoc_body,
    ACTIONS(4721), 2,
      sym_constant,
      sym_identifier,
    ACTIONS(4729), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4731), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(1925), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4725), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4723), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [71717] = 14,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    ACTIONS(4737), 1,
      sym_identifier,
    ACTIONS(4795), 1,
      sym_constant,
    STATE(1885), 1,
      sym_identifier_suffix,
    STATE(1886), 1,
      sym_constant_suffix,
    STATE(2184), 1,
      sym_argument_list,
    STATE(3094), 1,
      sym_heredoc_body,
    ACTIONS(4745), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4747), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(1887), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4741), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4739), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [71790] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3095), 1,
      sym_heredoc_body,
    ACTIONS(4034), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 32,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [71847] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym_DOT,
    ACTIONS(4761), 1,
      anon_sym_PIPE,
    ACTIONS(4763), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4765), 1,
      anon_sym_AMP,
    ACTIONS(4769), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4771), 1,
      anon_sym_CARET,
    ACTIONS(4773), 1,
      anon_sym_QMARK,
    ACTIONS(4775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4781), 1,
      anon_sym_GT_EQ,
    ACTIONS(4787), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    ACTIONS(4797), 1,
      anon_sym_rescue,
    STATE(3096), 1,
      sym_heredoc_body,
    STATE(3214), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4767), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4789), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 12,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [71938] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(4560), 1,
      anon_sym_EQ_GT,
    ACTIONS(4604), 1,
      anon_sym___END__,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4678), 1,
      anon_sym_QMARK,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3097), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 12,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [72029] = 14,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4799), 1,
      sym_identifier,
    ACTIONS(4805), 1,
      anon_sym_LPAREN2,
    ACTIONS(4807), 1,
      sym_constant,
    STATE(3098), 1,
      sym_heredoc_body,
    STATE(4740), 1,
      sym_identifier_suffix,
    STATE(4744), 1,
      sym_constant_suffix,
    STATE(4927), 1,
      sym_argument_list,
    ACTIONS(2656), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(2680), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(4758), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4803), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4801), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [72102] = 13,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    STATE(1885), 1,
      sym_identifier_suffix,
    STATE(1886), 1,
      sym_constant_suffix,
    STATE(2194), 1,
      sym_argument_list,
    STATE(3099), 1,
      sym_heredoc_body,
    ACTIONS(4737), 2,
      sym_constant,
      sym_identifier,
    ACTIONS(4745), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4747), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(1887), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4741), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4739), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [72173] = 13,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4805), 1,
      anon_sym_LPAREN2,
    STATE(3100), 1,
      sym_heredoc_body,
    STATE(4740), 1,
      sym_identifier_suffix,
    STATE(4744), 1,
      sym_constant_suffix,
    STATE(4927), 1,
      sym_argument_list,
    ACTIONS(2656), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(2680), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(4799), 2,
      sym_constant,
      sym_identifier,
    STATE(4758), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4803), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4801), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [72244] = 13,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(311), 1,
      anon_sym_LPAREN2,
    STATE(2148), 1,
      sym_identifier_suffix,
    STATE(2169), 1,
      sym_constant_suffix,
    STATE(3078), 1,
      sym_argument_list,
    STATE(3101), 1,
      sym_heredoc_body,
    ACTIONS(4709), 2,
      sym_constant,
      sym_identifier,
    ACTIONS(4717), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4719), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(2157), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4713), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4711), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [72315] = 14,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    ACTIONS(4737), 1,
      sym_identifier,
    ACTIONS(4809), 1,
      sym_constant,
    STATE(1885), 1,
      sym_identifier_suffix,
    STATE(1886), 1,
      sym_constant_suffix,
    STATE(2194), 1,
      sym_argument_list,
    STATE(3102), 1,
      sym_heredoc_body,
    ACTIONS(4745), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4747), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(1887), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4741), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4739), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [72388] = 14,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    ACTIONS(4811), 1,
      sym_identifier,
    ACTIONS(4817), 1,
      sym_constant,
    STATE(2034), 1,
      sym_constant_suffix,
    STATE(2044), 1,
      sym_identifier_suffix,
    STATE(2184), 1,
      sym_argument_list,
    STATE(3103), 1,
      sym_heredoc_body,
    ACTIONS(4819), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4821), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(2042), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4815), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4813), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [72461] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3104), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 18,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [72538] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3105), 1,
      sym_heredoc_body,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 27,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [72599] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3106), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 18,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [72676] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3107), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 17,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [72755] = 13,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    STATE(1885), 1,
      sym_identifier_suffix,
    STATE(1886), 1,
      sym_constant_suffix,
    STATE(2184), 1,
      sym_argument_list,
    STATE(3108), 1,
      sym_heredoc_body,
    ACTIONS(4737), 2,
      sym_constant,
      sym_identifier,
    ACTIONS(4745), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4747), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(1887), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4741), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4739), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [72826] = 24,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym___END__,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(4560), 1,
      anon_sym_EQ_GT,
    ACTIONS(4664), 1,
      anon_sym_rescue,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4678), 1,
      anon_sym_QMARK,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3109), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 11,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [72919] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym_DOT,
    ACTIONS(4823), 1,
      anon_sym_rescue,
    ACTIONS(4825), 1,
      anon_sym_PIPE,
    ACTIONS(4827), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4829), 1,
      anon_sym_AMP,
    ACTIONS(4833), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4835), 1,
      anon_sym_CARET,
    ACTIONS(4837), 1,
      anon_sym_QMARK,
    ACTIONS(4839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_GT_EQ,
    ACTIONS(4851), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3110), 1,
      sym_heredoc_body,
    STATE(3282), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(4843), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4847), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4831), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4853), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 12,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [73010] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_DOT,
    ACTIONS(3889), 1,
      anon_sym_PIPE,
    ACTIONS(3891), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3893), 1,
      anon_sym_AMP,
    ACTIONS(3897), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3899), 1,
      anon_sym_CARET,
    ACTIONS(3901), 1,
      anon_sym_QMARK,
    ACTIONS(3903), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_GT_EQ,
    ACTIONS(3915), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    ACTIONS(4624), 1,
      anon_sym_rescue,
    STATE(3111), 1,
      sym_heredoc_body,
    ACTIONS(3907), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3911), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3895), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3917), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3277), 13,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [73099] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym___END__,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3112), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 15,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [73184] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3113), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym___END__,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [73253] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3114), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 25,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [73316] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym___END__,
    ACTIONS(4664), 1,
      anon_sym_rescue,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4678), 1,
      anon_sym_QMARK,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3115), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [73405] = 14,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    ACTIONS(4749), 1,
      sym_identifier,
    ACTIONS(4857), 1,
      sym_constant,
    STATE(1897), 1,
      sym_constant_suffix,
    STATE(1898), 1,
      sym_identifier_suffix,
    STATE(2184), 1,
      sym_argument_list,
    STATE(3116), 1,
      sym_heredoc_body,
    ACTIONS(4755), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4757), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(1901), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4753), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4751), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [73478] = 13,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    STATE(2034), 1,
      sym_constant_suffix,
    STATE(2044), 1,
      sym_identifier_suffix,
    STATE(2184), 1,
      sym_argument_list,
    STATE(3117), 1,
      sym_heredoc_body,
    ACTIONS(4811), 2,
      sym_constant,
      sym_identifier,
    ACTIONS(4819), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4821), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(2042), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4815), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4813), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [73549] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3118), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 25,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [73614] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3119), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 32,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [73671] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3791), 1,
      anon_sym___END__,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4678), 1,
      anon_sym_QMARK,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3120), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 14,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [73758] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3121), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 32,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [73815] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3122), 1,
      sym_heredoc_body,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 29,
      sym__line_break,
      sym__binary_minus,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [73874] = 14,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4805), 1,
      anon_sym_LPAREN2,
    ACTIONS(4859), 1,
      sym_identifier,
    ACTIONS(4865), 1,
      sym_constant,
    STATE(3123), 1,
      sym_heredoc_body,
    STATE(4792), 1,
      sym_constant_suffix,
    STATE(4794), 1,
      sym_identifier_suffix,
    STATE(4927), 1,
      sym_argument_list,
    ACTIONS(4867), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4869), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(4802), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4863), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4861), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [73947] = 13,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(311), 1,
      anon_sym_LPAREN2,
    STATE(1916), 1,
      sym_constant_suffix,
    STATE(1917), 1,
      sym_identifier_suffix,
    STATE(3078), 1,
      sym_argument_list,
    STATE(3124), 1,
      sym_heredoc_body,
    ACTIONS(4721), 2,
      sym_constant,
      sym_identifier,
    ACTIONS(4729), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4731), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(1925), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4725), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4723), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [74018] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym___END__,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4678), 1,
      anon_sym_QMARK,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3125), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 14,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [74105] = 14,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    ACTIONS(4737), 1,
      sym_identifier,
    ACTIONS(4871), 1,
      sym_constant,
    STATE(1885), 1,
      sym_identifier_suffix,
    STATE(1886), 1,
      sym_constant_suffix,
    STATE(2184), 1,
      sym_argument_list,
    STATE(3126), 1,
      sym_heredoc_body,
    ACTIONS(4745), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4747), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(1887), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4741), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4739), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [74178] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym_DOT,
    ACTIONS(4825), 1,
      anon_sym_PIPE,
    ACTIONS(4827), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4829), 1,
      anon_sym_AMP,
    ACTIONS(4833), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4835), 1,
      anon_sym_CARET,
    ACTIONS(4837), 1,
      anon_sym_QMARK,
    ACTIONS(4839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_GT_EQ,
    ACTIONS(4851), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    ACTIONS(4873), 1,
      anon_sym_rescue,
    STATE(3127), 1,
      sym_heredoc_body,
    STATE(3142), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(4843), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4847), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4831), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4853), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 12,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [74269] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4562), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4566), 1,
      anon_sym_QMARK,
    ACTIONS(4568), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    ACTIONS(4875), 1,
      anon_sym___END__,
    STATE(3128), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4376), 14,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [74356] = 13,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    STATE(2034), 1,
      sym_constant_suffix,
    STATE(2044), 1,
      sym_identifier_suffix,
    STATE(2194), 1,
      sym_argument_list,
    STATE(3129), 1,
      sym_heredoc_body,
    ACTIONS(4811), 2,
      sym_constant,
      sym_identifier,
    ACTIONS(4819), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4821), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(2042), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4815), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4813), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [74427] = 14,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    ACTIONS(4811), 1,
      sym_identifier,
    ACTIONS(4877), 1,
      sym_constant,
    STATE(2034), 1,
      sym_constant_suffix,
    STATE(2044), 1,
      sym_identifier_suffix,
    STATE(2194), 1,
      sym_argument_list,
    STATE(3130), 1,
      sym_heredoc_body,
    ACTIONS(4819), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4821), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(2042), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4815), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4813), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [74500] = 13,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4805), 1,
      anon_sym_LPAREN2,
    STATE(3131), 1,
      sym_heredoc_body,
    STATE(4792), 1,
      sym_constant_suffix,
    STATE(4794), 1,
      sym_identifier_suffix,
    STATE(4927), 1,
      sym_argument_list,
    ACTIONS(4859), 2,
      sym_constant,
      sym_identifier,
    ACTIONS(4867), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4869), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(4802), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4863), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4861), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [74571] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym___END__,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4678), 1,
      anon_sym_QMARK,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3132), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 14,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [74658] = 14,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    ACTIONS(4749), 1,
      sym_identifier,
    ACTIONS(4879), 1,
      sym_constant,
    STATE(1897), 1,
      sym_constant_suffix,
    STATE(1898), 1,
      sym_identifier_suffix,
    STATE(2194), 1,
      sym_argument_list,
    STATE(3133), 1,
      sym_heredoc_body,
    ACTIONS(4755), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4757), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(1901), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4753), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4751), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [74731] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3647), 1,
      sym__element_reference_bracket,
    ACTIONS(3986), 1,
      anon_sym_DOT,
    ACTIONS(3990), 1,
      anon_sym_AMP_DOT,
    ACTIONS(4881), 1,
      anon_sym_COLON_COLON2,
    STATE(3134), 1,
      sym_heredoc_body,
    ACTIONS(3291), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3289), 30,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [74794] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4883), 1,
      anon_sym_COMMA,
    STATE(3135), 1,
      sym_heredoc_body,
    STATE(3138), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3950), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 31,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [74853] = 14,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    ACTIONS(4811), 1,
      sym_identifier,
    ACTIONS(4885), 1,
      sym_constant,
    STATE(2034), 1,
      sym_constant_suffix,
    STATE(2044), 1,
      sym_identifier_suffix,
    STATE(2184), 1,
      sym_argument_list,
    STATE(3136), 1,
      sym_heredoc_body,
    ACTIONS(4819), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4821), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(2042), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4815), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4813), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [74926] = 14,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    ACTIONS(4737), 1,
      sym_identifier,
    ACTIONS(4887), 1,
      sym_constant,
    STATE(1885), 1,
      sym_identifier_suffix,
    STATE(1886), 1,
      sym_constant_suffix,
    STATE(2194), 1,
      sym_argument_list,
    STATE(3137), 1,
      sym_heredoc_body,
    ACTIONS(4745), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4747), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(1887), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4741), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4739), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [74999] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4889), 1,
      anon_sym_COMMA,
    STATE(3138), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 31,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [75056] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3139), 1,
      sym_heredoc_body,
    STATE(3143), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 32,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [75113] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_COMMA,
    STATE(3140), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [75170] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym_DOT,
    ACTIONS(4897), 1,
      anon_sym_COLON_COLON2,
    ACTIONS(4899), 1,
      anon_sym_AMP_DOT,
    ACTIONS(4901), 1,
      sym__element_reference_bracket,
    STATE(3141), 1,
      sym_heredoc_body,
    ACTIONS(3291), 8,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3289), 29,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [75233] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4903), 1,
      anon_sym_COMMA,
    STATE(3142), 1,
      sym_heredoc_body,
    STATE(3158), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3950), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [75292] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_COMMA,
    STATE(3140), 1,
      aux_sym_exceptions_repeat1,
    STATE(3143), 1,
      sym_heredoc_body,
    ACTIONS(3950), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [75351] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym___END__,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(4560), 1,
      anon_sym_EQ_GT,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4678), 1,
      anon_sym_QMARK,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3144), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 12,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [75442] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3145), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 32,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [75499] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(4560), 1,
      anon_sym_EQ_GT,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3146), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 30,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [75560] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(4911), 1,
      anon_sym_EQ2,
    STATE(3147), 1,
      sym_heredoc_body,
    ACTIONS(4907), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
      sym_constant,
      sym_identifier,
    ACTIONS(4909), 28,
      sym_simple_symbol,
      sym__symbol_start,
      sym__identifier_suffix,
      sym__constant_suffix,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
      aux_sym_constant_suffix_token1,
      aux_sym_identifier_suffix_token1,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
  [75617] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3142), 1,
      aux_sym_exceptions_repeat1,
    STATE(3148), 1,
      sym_heredoc_body,
    ACTIONS(3595), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 32,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [75674] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym___END__,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(4560), 1,
      anon_sym_EQ_GT,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4678), 1,
      anon_sym_QMARK,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3149), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 12,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [75765] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym___END__,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3150), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 15,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [75850] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4562), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4566), 1,
      anon_sym_QMARK,
    ACTIONS(4568), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    ACTIONS(4913), 1,
      anon_sym___END__,
    STATE(3151), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4327), 14,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [75937] = 13,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(311), 1,
      anon_sym_LPAREN2,
    STATE(2148), 1,
      sym_identifier_suffix,
    STATE(2169), 1,
      sym_constant_suffix,
    STATE(2729), 1,
      sym_argument_list,
    STATE(3152), 1,
      sym_heredoc_body,
    ACTIONS(4709), 2,
      sym_constant,
      sym_identifier,
    ACTIONS(4717), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4719), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(2157), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4713), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4711), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [76008] = 14,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(311), 1,
      anon_sym_LPAREN2,
    ACTIONS(4709), 1,
      sym_identifier,
    ACTIONS(4915), 1,
      sym_constant,
    STATE(2148), 1,
      sym_identifier_suffix,
    STATE(2169), 1,
      sym_constant_suffix,
    STATE(2729), 1,
      sym_argument_list,
    STATE(3153), 1,
      sym_heredoc_body,
    ACTIONS(4717), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4719), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(2157), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4713), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4711), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [76081] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym_DOT,
    ACTIONS(3889), 1,
      anon_sym_PIPE,
    ACTIONS(3891), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3893), 1,
      anon_sym_AMP,
    ACTIONS(3897), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3899), 1,
      anon_sym_CARET,
    ACTIONS(3901), 1,
      anon_sym_QMARK,
    ACTIONS(3903), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3905), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_GT_EQ,
    ACTIONS(3915), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3919), 1,
      sym__binary_star_star,
    ACTIONS(4624), 1,
      anon_sym_rescue,
    STATE(3154), 1,
      sym_heredoc_body,
    ACTIONS(3907), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3911), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3895), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3913), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3917), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 13,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [76170] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym___END__,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4678), 1,
      anon_sym_QMARK,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3155), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 14,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [76257] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym___END__,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4678), 1,
      anon_sym_QMARK,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3156), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 14,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [76344] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(341), 1,
      sym__string_start,
    ACTIONS(4917), 1,
      anon_sym_COLON,
    STATE(2739), 1,
      aux_sym_chained_string_repeat1,
    STATE(2806), 1,
      sym_string,
    STATE(3157), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 29,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [76407] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_COMMA,
    STATE(3158), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [76464] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3135), 1,
      aux_sym_exceptions_repeat1,
    STATE(3159), 1,
      sym_heredoc_body,
    ACTIONS(3595), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 32,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [76521] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4550), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_AMP,
    ACTIONS(4562), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4564), 1,
      anon_sym_CARET,
    ACTIONS(4566), 1,
      anon_sym_QMARK,
    ACTIONS(4568), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4570), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4574), 1,
      anon_sym_GT_EQ,
    ACTIONS(4580), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4584), 1,
      sym__binary_star_star,
    ACTIONS(4922), 1,
      anon_sym___END__,
    STATE(3160), 1,
      sym_heredoc_body,
    ACTIONS(4572), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4576), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4556), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4578), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4582), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4386), 14,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [76608] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym___END__,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4678), 1,
      anon_sym_QMARK,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3161), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 14,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [76695] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym___END__,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4678), 1,
      anon_sym_QMARK,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    STATE(3162), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 14,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [76782] = 13,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    STATE(1897), 1,
      sym_constant_suffix,
    STATE(1898), 1,
      sym_identifier_suffix,
    STATE(2184), 1,
      sym_argument_list,
    STATE(3163), 1,
      sym_heredoc_body,
    ACTIONS(4749), 2,
      sym_constant,
      sym_identifier,
    ACTIONS(4755), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4757), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(1901), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4753), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4751), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [76853] = 14,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4799), 1,
      sym_identifier,
    ACTIONS(4805), 1,
      anon_sym_LPAREN2,
    ACTIONS(4924), 1,
      sym_constant,
    STATE(3164), 1,
      sym_heredoc_body,
    STATE(4740), 1,
      sym_identifier_suffix,
    STATE(4744), 1,
      sym_constant_suffix,
    STATE(4927), 1,
      sym_argument_list,
    ACTIONS(2656), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(2680), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(4758), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4803), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4801), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [76926] = 14,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(311), 1,
      anon_sym_LPAREN2,
    ACTIONS(4721), 1,
      sym_identifier,
    ACTIONS(4926), 1,
      sym_constant,
    STATE(1916), 1,
      sym_constant_suffix,
    STATE(1917), 1,
      sym_identifier_suffix,
    STATE(2729), 1,
      sym_argument_list,
    STATE(3165), 1,
      sym_heredoc_body,
    ACTIONS(4729), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(4731), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(1925), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(4725), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4723), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [76999] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(4928), 1,
      anon_sym_PIPE,
    ACTIONS(4930), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4932), 1,
      anon_sym_AMP,
    ACTIONS(4936), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_QMARK,
    ACTIONS(4942), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4944), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4948), 1,
      anon_sym_GT_EQ,
    ACTIONS(4954), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4958), 1,
      sym__binary_star_star,
    STATE(3166), 1,
      sym_heredoc_body,
    ACTIONS(4946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4950), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4934), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4952), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4956), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 13,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [77085] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4960), 1,
      anon_sym_COMMA,
    STATE(3167), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 30,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [77141] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym___END__,
    ACTIONS(4963), 1,
      anon_sym_PIPE,
    ACTIONS(4965), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    ACTIONS(4971), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4973), 1,
      anon_sym_CARET,
    ACTIONS(4975), 1,
      anon_sym_QMARK,
    ACTIONS(4977), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4983), 1,
      anon_sym_GT_EQ,
    ACTIONS(4989), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3168), 1,
      sym_heredoc_body,
    ACTIONS(4981), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4985), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4969), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4987), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4991), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [77227] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(4560), 1,
      anon_sym_EQ_GT,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3169), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 29,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [77287] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3170), 1,
      sym_heredoc_body,
    ACTIONS(3225), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3223), 32,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [77341] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3171), 1,
      sym_heredoc_body,
    ACTIONS(2562), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
      sym_constant,
      sym_identifier,
    ACTIONS(2564), 28,
      sym_simple_symbol,
      sym__symbol_start,
      sym__identifier_suffix,
      sym__constant_suffix,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
      aux_sym_constant_suffix_token1,
      aux_sym_identifier_suffix_token1,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
  [77395] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(4928), 1,
      anon_sym_PIPE,
    ACTIONS(4930), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4932), 1,
      anon_sym_AMP,
    ACTIONS(4936), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_QMARK,
    ACTIONS(4942), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4944), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4948), 1,
      anon_sym_GT_EQ,
    ACTIONS(4954), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4958), 1,
      sym__binary_star_star,
    STATE(3172), 1,
      sym_heredoc_body,
    ACTIONS(4946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4950), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4934), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4952), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4956), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 13,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [77481] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3173), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [77537] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_DOT,
    ACTIONS(4928), 1,
      anon_sym_PIPE,
    ACTIONS(4930), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4932), 1,
      anon_sym_AMP,
    ACTIONS(4936), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4942), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4944), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4948), 1,
      anon_sym_GT_EQ,
    ACTIONS(4954), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4958), 1,
      sym__binary_star_star,
    STATE(3174), 1,
      sym_heredoc_body,
    ACTIONS(4946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4950), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4934), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4952), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4956), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 14,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [77621] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT,
    ACTIONS(4928), 1,
      anon_sym_PIPE,
    ACTIONS(4930), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4932), 1,
      anon_sym_AMP,
    ACTIONS(4936), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_QMARK,
    ACTIONS(4942), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4944), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4948), 1,
      anon_sym_GT_EQ,
    ACTIONS(4954), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4958), 1,
      sym__binary_star_star,
    STATE(3175), 1,
      sym_heredoc_body,
    ACTIONS(4946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4950), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4934), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4952), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4956), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 13,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [77707] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4765), 1,
      anon_sym_AMP,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3176), 1,
      sym_heredoc_body,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [77771] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4901), 1,
      sym__element_reference_bracket,
    ACTIONS(4995), 1,
      anon_sym_DOT,
    ACTIONS(4997), 1,
      anon_sym_COLON_COLON2,
    ACTIONS(4999), 1,
      anon_sym_AMP_DOT,
    STATE(3177), 1,
      sym_heredoc_body,
    ACTIONS(3291), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3289), 29,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [77833] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym_DOT,
    ACTIONS(4928), 1,
      anon_sym_PIPE,
    ACTIONS(4930), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4932), 1,
      anon_sym_AMP,
    ACTIONS(4936), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_QMARK,
    ACTIONS(4942), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4944), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4948), 1,
      anon_sym_GT_EQ,
    ACTIONS(4954), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4958), 1,
      sym__binary_star_star,
    STATE(3178), 1,
      sym_heredoc_body,
    ACTIONS(4946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4950), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4934), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4952), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4956), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 13,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [77919] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3179), 1,
      sym_heredoc_body,
    STATE(3214), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [77975] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3180), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [78031] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3153), 1,
      anon_sym_EQ_GT,
    STATE(3181), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [78087] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3182), 1,
      sym_heredoc_body,
    ACTIONS(2586), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
      sym_constant,
      sym_identifier,
    ACTIONS(2588), 28,
      sym_simple_symbol,
      sym__symbol_start,
      sym__identifier_suffix,
      sym__constant_suffix,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
      aux_sym_constant_suffix_token1,
      aux_sym_identifier_suffix_token1,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
  [78141] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3183), 1,
      sym_heredoc_body,
    ACTIONS(2590), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
      sym_constant,
      sym_identifier,
    ACTIONS(2592), 28,
      sym_simple_symbol,
      sym__symbol_start,
      sym__identifier_suffix,
      sym__constant_suffix,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
      aux_sym_constant_suffix_token1,
      aux_sym_identifier_suffix_token1,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
  [78195] = 24,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym___END__,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(4560), 1,
      anon_sym_EQ_GT,
    ACTIONS(4700), 1,
      anon_sym_rescue,
    ACTIONS(4963), 1,
      anon_sym_PIPE,
    ACTIONS(4965), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    ACTIONS(4971), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4973), 1,
      anon_sym_CARET,
    ACTIONS(4975), 1,
      anon_sym_QMARK,
    ACTIONS(4977), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4983), 1,
      anon_sym_GT_EQ,
    ACTIONS(4989), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3184), 1,
      sym_heredoc_body,
    ACTIONS(4981), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4985), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4969), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4987), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4991), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 10,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [78287] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3185), 1,
      sym_heredoc_body,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 28,
      sym__binary_minus,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [78345] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(4761), 1,
      anon_sym_PIPE,
    ACTIONS(4763), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4765), 1,
      anon_sym_AMP,
    ACTIONS(4769), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4771), 1,
      anon_sym_CARET,
    ACTIONS(4773), 1,
      anon_sym_QMARK,
    ACTIONS(4775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4781), 1,
      anon_sym_GT_EQ,
    ACTIONS(4787), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3186), 1,
      sym_heredoc_body,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4767), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4789), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 13,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [78431] = 24,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(5001), 1,
      anon_sym_rescue,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3187), 1,
      sym_heredoc_body,
    STATE(3292), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 10,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [78523] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5001), 1,
      anon_sym_rescue,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3188), 1,
      sym_heredoc_body,
    STATE(3292), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 12,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [78611] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3791), 1,
      anon_sym_DOT,
    ACTIONS(4928), 1,
      anon_sym_PIPE,
    ACTIONS(4930), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4932), 1,
      anon_sym_AMP,
    ACTIONS(4936), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_QMARK,
    ACTIONS(4942), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4944), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4948), 1,
      anon_sym_GT_EQ,
    ACTIONS(4954), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4958), 1,
      sym__binary_star_star,
    STATE(3189), 1,
      sym_heredoc_body,
    ACTIONS(4946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4950), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4934), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4952), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4956), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 13,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [78697] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym___END__,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(4560), 1,
      anon_sym_EQ_GT,
    ACTIONS(4963), 1,
      anon_sym_PIPE,
    ACTIONS(4965), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    ACTIONS(4971), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4973), 1,
      anon_sym_CARET,
    ACTIONS(4975), 1,
      anon_sym_QMARK,
    ACTIONS(4977), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4983), 1,
      anon_sym_GT_EQ,
    ACTIONS(4989), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3190), 1,
      sym_heredoc_body,
    ACTIONS(4981), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4985), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4969), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4987), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4991), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 11,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [78787] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym_DOT,
    ACTIONS(4825), 1,
      anon_sym_PIPE,
    ACTIONS(4827), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4829), 1,
      anon_sym_AMP,
    ACTIONS(4833), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4835), 1,
      anon_sym_CARET,
    ACTIONS(4837), 1,
      anon_sym_QMARK,
    ACTIONS(4839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_GT_EQ,
    ACTIONS(4851), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    ACTIONS(4873), 1,
      anon_sym_rescue,
    STATE(3191), 1,
      sym_heredoc_body,
    ACTIONS(4843), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4847), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4831), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4853), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 12,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [78875] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_DOT,
    ACTIONS(4928), 1,
      anon_sym_PIPE,
    ACTIONS(4930), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4932), 1,
      anon_sym_AMP,
    ACTIONS(4936), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_QMARK,
    ACTIONS(4942), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4944), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4948), 1,
      anon_sym_GT_EQ,
    ACTIONS(4954), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4958), 1,
      sym__binary_star_star,
    STATE(3192), 1,
      sym_heredoc_body,
    ACTIONS(4946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4950), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4934), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4952), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4956), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 13,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [78961] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5035), 1,
      sym__binary_star_star,
    STATE(3193), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 31,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [79017] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3194), 1,
      sym_heredoc_body,
    ACTIONS(4034), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [79073] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3195), 1,
      sym_heredoc_body,
    ACTIONS(3619), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
      sym_constant,
      sym_identifier,
    ACTIONS(3617), 28,
      sym_simple_symbol,
      sym__symbol_start,
      sym__identifier_suffix,
      sym__constant_suffix,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
      aux_sym_constant_suffix_token1,
      aux_sym_identifier_suffix_token1,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
  [79127] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_DOT,
    ACTIONS(4761), 1,
      anon_sym_PIPE,
    ACTIONS(4763), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4765), 1,
      anon_sym_AMP,
    ACTIONS(4769), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4771), 1,
      anon_sym_CARET,
    ACTIONS(4775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4781), 1,
      anon_sym_GT_EQ,
    ACTIONS(4787), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3196), 1,
      sym_heredoc_body,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4767), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4789), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 14,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [79211] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4825), 1,
      anon_sym_PIPE,
    ACTIONS(4829), 1,
      anon_sym_AMP,
    ACTIONS(4835), 1,
      anon_sym_CARET,
    ACTIONS(4845), 1,
      anon_sym_GT_EQ,
    ACTIONS(4851), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3197), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4843), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4847), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4831), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4853), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 17,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [79287] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT,
    ACTIONS(4761), 1,
      anon_sym_PIPE,
    ACTIONS(4763), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4765), 1,
      anon_sym_AMP,
    ACTIONS(4769), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4771), 1,
      anon_sym_CARET,
    ACTIONS(4773), 1,
      anon_sym_QMARK,
    ACTIONS(4775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4781), 1,
      anon_sym_GT_EQ,
    ACTIONS(4787), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3198), 1,
      sym_heredoc_body,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4767), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4789), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 13,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [79373] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4958), 1,
      sym__binary_star_star,
    STATE(3199), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 31,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [79429] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_DOT,
    ACTIONS(4928), 1,
      anon_sym_PIPE,
    ACTIONS(4930), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4932), 1,
      anon_sym_AMP,
    ACTIONS(4936), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4942), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4944), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4948), 1,
      anon_sym_GT_EQ,
    ACTIONS(4954), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4958), 1,
      sym__binary_star_star,
    STATE(3200), 1,
      sym_heredoc_body,
    ACTIONS(4946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4950), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4934), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4952), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4956), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 14,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [79513] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_DOT,
    ACTIONS(4928), 1,
      anon_sym_PIPE,
    ACTIONS(4930), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4932), 1,
      anon_sym_AMP,
    ACTIONS(4936), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4940), 1,
      anon_sym_QMARK,
    ACTIONS(4942), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4944), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4948), 1,
      anon_sym_GT_EQ,
    ACTIONS(4954), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4958), 1,
      sym__binary_star_star,
    STATE(3201), 1,
      sym_heredoc_body,
    ACTIONS(4946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4950), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4934), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4952), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4956), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 13,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [79599] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4958), 1,
      sym__binary_star_star,
    STATE(3202), 1,
      sym_heredoc_body,
    ACTIONS(4952), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 28,
      sym__line_break,
      sym__binary_minus,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [79657] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4958), 1,
      sym__binary_star_star,
    STATE(3203), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 31,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [79713] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4958), 1,
      sym__binary_star_star,
    STATE(3204), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 31,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [79769] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4932), 1,
      anon_sym_AMP,
    ACTIONS(4958), 1,
      sym__binary_star_star,
    STATE(3205), 1,
      sym_heredoc_body,
    ACTIONS(4946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4950), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4952), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [79833] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4958), 1,
      sym__binary_star_star,
    STATE(3206), 1,
      sym_heredoc_body,
    ACTIONS(4946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4950), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4952), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [79895] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3207), 1,
      sym_heredoc_body,
    ACTIONS(4847), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 26,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [79955] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4825), 1,
      anon_sym_PIPE,
    ACTIONS(4829), 1,
      anon_sym_AMP,
    ACTIONS(4835), 1,
      anon_sym_CARET,
    ACTIONS(4845), 1,
      anon_sym_GT_EQ,
    ACTIONS(4851), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3208), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4843), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4847), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4831), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4853), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 17,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [80031] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    ACTIONS(5037), 1,
      anon_sym_rescue,
    ACTIONS(5039), 1,
      anon_sym_COMMA,
    STATE(3209), 1,
      sym_heredoc_body,
    STATE(3292), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 11,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [80121] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_DOT,
    ACTIONS(4761), 1,
      anon_sym_PIPE,
    ACTIONS(4763), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4765), 1,
      anon_sym_AMP,
    ACTIONS(4769), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4771), 1,
      anon_sym_CARET,
    ACTIONS(4775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4781), 1,
      anon_sym_GT_EQ,
    ACTIONS(4787), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3210), 1,
      sym_heredoc_body,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4767), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4789), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 14,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [80205] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3211), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [80261] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3212), 1,
      sym_heredoc_body,
    ACTIONS(3561), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
      sym_constant,
      sym_identifier,
    ACTIONS(3559), 28,
      sym_simple_symbol,
      sym__symbol_start,
      sym__identifier_suffix,
      sym__constant_suffix,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
      aux_sym_constant_suffix_token1,
      aux_sym_identifier_suffix_token1,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
  [80315] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4761), 1,
      anon_sym_PIPE,
    ACTIONS(4765), 1,
      anon_sym_AMP,
    ACTIONS(4771), 1,
      anon_sym_CARET,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3213), 1,
      sym_heredoc_body,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [80383] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5041), 1,
      anon_sym_COMMA,
    STATE(3214), 1,
      sym_heredoc_body,
    STATE(3271), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3950), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 30,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [80441] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4928), 1,
      anon_sym_PIPE,
    ACTIONS(4932), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4958), 1,
      sym__binary_star_star,
    STATE(3215), 1,
      sym_heredoc_body,
    ACTIONS(4946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4950), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4952), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [80509] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4928), 1,
      anon_sym_PIPE,
    ACTIONS(4932), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4944), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4948), 1,
      anon_sym_GT_EQ,
    ACTIONS(4954), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4958), 1,
      sym__binary_star_star,
    STATE(3216), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4950), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4934), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4952), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4956), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 16,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [80587] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4928), 1,
      anon_sym_PIPE,
    ACTIONS(4932), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4948), 1,
      anon_sym_GT_EQ,
    ACTIONS(4954), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4958), 1,
      sym__binary_star_star,
    STATE(3217), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4950), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4934), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4952), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4956), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 17,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [80663] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4958), 1,
      sym__binary_star_star,
    STATE(3218), 1,
      sym_heredoc_body,
    ACTIONS(4950), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4952), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 26,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [80723] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4928), 1,
      anon_sym_PIPE,
    ACTIONS(4932), 1,
      anon_sym_AMP,
    ACTIONS(4938), 1,
      anon_sym_CARET,
    ACTIONS(4948), 1,
      anon_sym_GT_EQ,
    ACTIONS(4954), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4958), 1,
      sym__binary_star_star,
    STATE(3219), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4946), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4950), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4934), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4952), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4956), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 17,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [80799] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4958), 1,
      sym__binary_star_star,
    STATE(3220), 1,
      sym_heredoc_body,
    ACTIONS(4034), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 31,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [80855] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym___END__,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(4560), 1,
      anon_sym_EQ_GT,
    ACTIONS(4963), 1,
      anon_sym_PIPE,
    ACTIONS(4965), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    ACTIONS(4971), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4973), 1,
      anon_sym_CARET,
    ACTIONS(4975), 1,
      anon_sym_QMARK,
    ACTIONS(4977), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4983), 1,
      anon_sym_GT_EQ,
    ACTIONS(4989), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3221), 1,
      sym_heredoc_body,
    ACTIONS(4981), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4985), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4969), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4987), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4991), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 11,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [80945] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4825), 1,
      anon_sym_PIPE,
    ACTIONS(4829), 1,
      anon_sym_AMP,
    ACTIONS(4835), 1,
      anon_sym_CARET,
    ACTIONS(4841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_GT_EQ,
    ACTIONS(4851), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3222), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4843), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4847), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4831), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4853), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 16,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [81023] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3223), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 31,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [81079] = 25,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    ACTIONS(5037), 1,
      anon_sym_rescue,
    ACTIONS(5039), 1,
      anon_sym_COMMA,
    STATE(3224), 1,
      sym_heredoc_body,
    STATE(3292), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 9,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [81173] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5043), 1,
      sym__binary_star_star,
    STATE(3225), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [81229] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym___END__,
    ACTIONS(4963), 1,
      anon_sym_PIPE,
    ACTIONS(4965), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    ACTIONS(4971), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4973), 1,
      anon_sym_CARET,
    ACTIONS(4975), 1,
      anon_sym_QMARK,
    ACTIONS(4977), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4983), 1,
      anon_sym_GT_EQ,
    ACTIONS(4989), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3226), 1,
      sym_heredoc_body,
    ACTIONS(4981), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4985), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4969), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4987), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4991), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [81315] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym___END__,
    ACTIONS(4700), 1,
      anon_sym_rescue,
    ACTIONS(4963), 1,
      anon_sym_PIPE,
    ACTIONS(4965), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    ACTIONS(4971), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4973), 1,
      anon_sym_CARET,
    ACTIONS(4975), 1,
      anon_sym_QMARK,
    ACTIONS(4977), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4983), 1,
      anon_sym_GT_EQ,
    ACTIONS(4989), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3227), 1,
      sym_heredoc_body,
    ACTIONS(4981), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4985), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4969), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4987), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4991), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 12,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [81403] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4825), 1,
      anon_sym_PIPE,
    ACTIONS(4829), 1,
      anon_sym_AMP,
    ACTIONS(4835), 1,
      anon_sym_CARET,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3228), 1,
      sym_heredoc_body,
    ACTIONS(4843), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4847), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [81471] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym_DOT,
    ACTIONS(4761), 1,
      anon_sym_PIPE,
    ACTIONS(4763), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4765), 1,
      anon_sym_AMP,
    ACTIONS(4769), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4771), 1,
      anon_sym_CARET,
    ACTIONS(4773), 1,
      anon_sym_QMARK,
    ACTIONS(4775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4781), 1,
      anon_sym_GT_EQ,
    ACTIONS(4787), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3229), 1,
      sym_heredoc_body,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4767), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4789), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 13,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [81557] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3271), 1,
      anon_sym_EQ_GT,
    STATE(3230), 1,
      sym_heredoc_body,
    ACTIONS(3269), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3267), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [81613] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3231), 1,
      sym_heredoc_body,
    ACTIONS(4034), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 31,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [81669] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3232), 1,
      sym_heredoc_body,
    ACTIONS(4843), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4847), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [81731] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym_DOT,
    ACTIONS(4046), 1,
      anon_sym_PIPE,
    ACTIONS(4048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4050), 1,
      anon_sym_AMP,
    ACTIONS(4054), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4056), 1,
      anon_sym_CARET,
    ACTIONS(4058), 1,
      anon_sym_QMARK,
    ACTIONS(4060), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4066), 1,
      anon_sym_GT_EQ,
    ACTIONS(4072), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    ACTIONS(5045), 1,
      anon_sym_rescue,
    STATE(3233), 1,
      sym_heredoc_body,
    STATE(3332), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4052), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4074), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 11,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [81821] = 24,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym_DOT,
    ACTIONS(4046), 1,
      anon_sym_PIPE,
    ACTIONS(4048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4050), 1,
      anon_sym_AMP,
    ACTIONS(4054), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4056), 1,
      anon_sym_CARET,
    ACTIONS(4058), 1,
      anon_sym_QMARK,
    ACTIONS(4060), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4066), 1,
      anon_sym_GT_EQ,
    ACTIONS(4072), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    ACTIONS(5047), 1,
      anon_sym_rescue,
    ACTIONS(5049), 1,
      anon_sym_COMMA,
    STATE(3234), 1,
      sym_heredoc_body,
    STATE(3332), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4052), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4074), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 10,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [81913] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4829), 1,
      anon_sym_AMP,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3235), 1,
      sym_heredoc_body,
    ACTIONS(4843), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4847), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [81977] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3236), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [82033] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3237), 1,
      sym_heredoc_body,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [82095] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4963), 1,
      anon_sym_PIPE,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    ACTIONS(4973), 1,
      anon_sym_CARET,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3238), 1,
      sym_heredoc_body,
    ACTIONS(4981), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4985), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4987), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym___END__,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [82163] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_EQ_GT,
    STATE(3239), 1,
      sym_heredoc_body,
    ACTIONS(3311), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3309), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [82219] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym___END__,
    ACTIONS(4963), 1,
      anon_sym_PIPE,
    ACTIONS(4965), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    ACTIONS(4971), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4973), 1,
      anon_sym_CARET,
    ACTIONS(4975), 1,
      anon_sym_QMARK,
    ACTIONS(4977), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4983), 1,
      anon_sym_GT_EQ,
    ACTIONS(4989), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3240), 1,
      sym_heredoc_body,
    ACTIONS(4981), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4985), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4969), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4987), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4991), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [82305] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3241), 1,
      sym_heredoc_body,
    ACTIONS(4981), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4985), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4987), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [82367] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3591), 1,
      anon_sym_EQ_GT,
    STATE(3242), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [82423] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym___END__,
    ACTIONS(4963), 1,
      anon_sym_PIPE,
    ACTIONS(4965), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    ACTIONS(4971), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4973), 1,
      anon_sym_CARET,
    ACTIONS(4977), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4983), 1,
      anon_sym_GT_EQ,
    ACTIONS(4989), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3243), 1,
      sym_heredoc_body,
    ACTIONS(4981), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4985), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4969), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4987), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4991), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 14,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [82507] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3244), 1,
      sym_heredoc_body,
    ACTIONS(4981), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4985), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4987), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [82571] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(4761), 1,
      anon_sym_PIPE,
    ACTIONS(4763), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4765), 1,
      anon_sym_AMP,
    ACTIONS(4769), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4771), 1,
      anon_sym_CARET,
    ACTIONS(4773), 1,
      anon_sym_QMARK,
    ACTIONS(4775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4781), 1,
      anon_sym_GT_EQ,
    ACTIONS(4787), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3245), 1,
      sym_heredoc_body,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4767), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4789), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 13,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [82657] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3246), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [82713] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3247), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 31,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [82769] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    STATE(3248), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 31,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [82825] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3249), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 31,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [82881] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3250), 1,
      sym_heredoc_body,
    ACTIONS(4987), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 28,
      sym__line_break,
      sym__binary_minus,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [82939] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym___END__,
    ACTIONS(4963), 1,
      anon_sym_PIPE,
    ACTIONS(4965), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    ACTIONS(4971), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4973), 1,
      anon_sym_CARET,
    ACTIONS(4975), 1,
      anon_sym_QMARK,
    ACTIONS(4977), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4983), 1,
      anon_sym_GT_EQ,
    ACTIONS(4989), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3251), 1,
      sym_heredoc_body,
    ACTIONS(4981), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4985), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4969), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4987), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4991), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [83025] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4761), 1,
      anon_sym_PIPE,
    ACTIONS(4765), 1,
      anon_sym_AMP,
    ACTIONS(4771), 1,
      anon_sym_CARET,
    ACTIONS(4777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4781), 1,
      anon_sym_GT_EQ,
    ACTIONS(4787), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3252), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4767), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4789), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 16,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [83103] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3185), 1,
      anon_sym_COLON,
    STATE(3253), 1,
      sym_heredoc_body,
    ACTIONS(2590), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2592), 31,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [83159] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3185), 1,
      anon_sym_COLON,
    STATE(3254), 1,
      sym_heredoc_body,
    ACTIONS(2586), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2588), 31,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [83215] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4761), 1,
      anon_sym_PIPE,
    ACTIONS(4765), 1,
      anon_sym_AMP,
    ACTIONS(4771), 1,
      anon_sym_CARET,
    ACTIONS(4781), 1,
      anon_sym_GT_EQ,
    ACTIONS(4787), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3255), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4767), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4789), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 17,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [83291] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_DOT,
    ACTIONS(4759), 1,
      anon_sym_rescue,
    ACTIONS(4761), 1,
      anon_sym_PIPE,
    ACTIONS(4763), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4765), 1,
      anon_sym_AMP,
    ACTIONS(4769), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4771), 1,
      anon_sym_CARET,
    ACTIONS(4773), 1,
      anon_sym_QMARK,
    ACTIONS(4775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4781), 1,
      anon_sym_GT_EQ,
    ACTIONS(4787), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3256), 1,
      sym_heredoc_body,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4767), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4789), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3277), 12,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [83379] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5054), 1,
      sym__binary_star_star,
    STATE(3257), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 31,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [83435] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3258), 1,
      sym_heredoc_body,
    ACTIONS(4907), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
      sym_constant,
      sym_identifier,
    ACTIONS(4909), 28,
      sym_simple_symbol,
      sym__symbol_start,
      sym__identifier_suffix,
      sym__constant_suffix,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
      aux_sym_constant_suffix_token1,
      aux_sym_identifier_suffix_token1,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
  [83489] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3259), 1,
      sym_heredoc_body,
    ACTIONS(2570), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
      sym_constant,
      sym_identifier,
    ACTIONS(2572), 28,
      sym_simple_symbol,
      sym__symbol_start,
      sym__identifier_suffix,
      sym__constant_suffix,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
      aux_sym_constant_suffix_token1,
      aux_sym_identifier_suffix_token1,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
  [83543] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3260), 1,
      sym_heredoc_body,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 26,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [83603] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4761), 1,
      anon_sym_PIPE,
    ACTIONS(4765), 1,
      anon_sym_AMP,
    ACTIONS(4771), 1,
      anon_sym_CARET,
    ACTIONS(4781), 1,
      anon_sym_GT_EQ,
    ACTIONS(4787), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3261), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4767), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4789), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 17,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [83679] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym___END__,
    ACTIONS(4963), 1,
      anon_sym_PIPE,
    ACTIONS(4965), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    ACTIONS(4971), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4973), 1,
      anon_sym_CARET,
    ACTIONS(4977), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4983), 1,
      anon_sym_GT_EQ,
    ACTIONS(4989), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3262), 1,
      sym_heredoc_body,
    ACTIONS(4981), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4985), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4969), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4987), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4991), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 14,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [83763] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym___END__,
    ACTIONS(4963), 1,
      anon_sym_PIPE,
    ACTIONS(4965), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    ACTIONS(4971), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4973), 1,
      anon_sym_CARET,
    ACTIONS(4975), 1,
      anon_sym_QMARK,
    ACTIONS(4977), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4983), 1,
      anon_sym_GT_EQ,
    ACTIONS(4989), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3263), 1,
      sym_heredoc_body,
    ACTIONS(4981), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4985), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4969), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4987), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4991), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [83849] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3264), 1,
      sym_heredoc_body,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 28,
      sym__binary_minus,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [83907] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4963), 1,
      anon_sym_PIPE,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    ACTIONS(4973), 1,
      anon_sym_CARET,
    ACTIONS(4979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4983), 1,
      anon_sym_GT_EQ,
    ACTIONS(4989), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3265), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(4981), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4985), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4969), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4987), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4991), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 16,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [83985] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4963), 1,
      anon_sym_PIPE,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    ACTIONS(4973), 1,
      anon_sym_CARET,
    ACTIONS(4983), 1,
      anon_sym_GT_EQ,
    ACTIONS(4989), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3266), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(4981), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4985), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4969), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4987), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4991), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 17,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [84061] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3267), 1,
      sym_heredoc_body,
    ACTIONS(4985), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4987), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym___END__,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [84121] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4963), 1,
      anon_sym_PIPE,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    ACTIONS(4973), 1,
      anon_sym_CARET,
    ACTIONS(4983), 1,
      anon_sym_GT_EQ,
    ACTIONS(4989), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3268), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(4981), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4985), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4969), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4987), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4991), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 17,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [84197] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5056), 1,
      sym__binary_star_star,
    STATE(3269), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [84253] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_DOT,
    ACTIONS(4761), 1,
      anon_sym_PIPE,
    ACTIONS(4763), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4765), 1,
      anon_sym_AMP,
    ACTIONS(4769), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4771), 1,
      anon_sym_CARET,
    ACTIONS(4773), 1,
      anon_sym_QMARK,
    ACTIONS(4775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4781), 1,
      anon_sym_GT_EQ,
    ACTIONS(4787), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    ACTIONS(4797), 1,
      anon_sym_rescue,
    STATE(3270), 1,
      sym_heredoc_body,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4767), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4789), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3277), 12,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [84341] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5058), 1,
      anon_sym_COMMA,
    STATE(3271), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 30,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [84397] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3272), 1,
      sym_heredoc_body,
    ACTIONS(4034), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [84453] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3273), 1,
      sym_heredoc_body,
    STATE(3292), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 32,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [84509] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_DOT,
    ACTIONS(4825), 1,
      anon_sym_PIPE,
    ACTIONS(4827), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4829), 1,
      anon_sym_AMP,
    ACTIONS(4833), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4835), 1,
      anon_sym_CARET,
    ACTIONS(4839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_GT_EQ,
    ACTIONS(4851), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3274), 1,
      sym_heredoc_body,
    ACTIONS(4843), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4847), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4831), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4853), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 14,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [84593] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3275), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [84649] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym_DOT,
    ACTIONS(4759), 1,
      anon_sym_rescue,
    ACTIONS(4761), 1,
      anon_sym_PIPE,
    ACTIONS(4763), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4765), 1,
      anon_sym_AMP,
    ACTIONS(4769), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4771), 1,
      anon_sym_CARET,
    ACTIONS(4773), 1,
      anon_sym_QMARK,
    ACTIONS(4775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4781), 1,
      anon_sym_GT_EQ,
    ACTIONS(4787), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3276), 1,
      sym_heredoc_body,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4767), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4789), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 12,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [84737] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_DOT,
    ACTIONS(4823), 1,
      anon_sym_rescue,
    ACTIONS(4825), 1,
      anon_sym_PIPE,
    ACTIONS(4827), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4829), 1,
      anon_sym_AMP,
    ACTIONS(4833), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4835), 1,
      anon_sym_CARET,
    ACTIONS(4837), 1,
      anon_sym_QMARK,
    ACTIONS(4839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_GT_EQ,
    ACTIONS(4851), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3277), 1,
      sym_heredoc_body,
    ACTIONS(4843), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4847), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4831), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4853), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3277), 12,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [84825] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3167), 1,
      anon_sym_COLON,
    STATE(3278), 1,
      sym_heredoc_body,
    ACTIONS(2590), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2592), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [84881] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4901), 1,
      sym__element_reference_bracket,
    ACTIONS(5061), 1,
      anon_sym_DOT,
    ACTIONS(5063), 1,
      anon_sym_COLON_COLON2,
    ACTIONS(5065), 1,
      anon_sym_AMP_DOT,
    STATE(3279), 1,
      sym_heredoc_body,
    ACTIONS(3291), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3289), 29,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [84943] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_DOT,
    ACTIONS(4825), 1,
      anon_sym_PIPE,
    ACTIONS(4827), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4829), 1,
      anon_sym_AMP,
    ACTIONS(4833), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4835), 1,
      anon_sym_CARET,
    ACTIONS(4837), 1,
      anon_sym_QMARK,
    ACTIONS(4839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_GT_EQ,
    ACTIONS(4851), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    ACTIONS(4873), 1,
      anon_sym_rescue,
    STATE(3280), 1,
      sym_heredoc_body,
    ACTIONS(4843), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4847), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4831), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4853), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3277), 12,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [85031] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3281), 1,
      sym_heredoc_body,
    ACTIONS(5067), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
      sym_constant,
      sym_identifier,
    ACTIONS(5069), 28,
      sym_simple_symbol,
      sym__symbol_start,
      sym__identifier_suffix,
      sym__constant_suffix,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
      aux_sym_constant_suffix_token1,
      aux_sym_identifier_suffix_token1,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
  [85085] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5071), 1,
      anon_sym_COMMA,
    STATE(3167), 1,
      aux_sym_exceptions_repeat1,
    STATE(3282), 1,
      sym_heredoc_body,
    ACTIONS(3950), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 30,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [85143] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3167), 1,
      anon_sym_COLON,
    STATE(3283), 1,
      sym_heredoc_body,
    ACTIONS(2586), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2588), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [85199] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(4825), 1,
      anon_sym_PIPE,
    ACTIONS(4827), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4829), 1,
      anon_sym_AMP,
    ACTIONS(4833), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4835), 1,
      anon_sym_CARET,
    ACTIONS(4837), 1,
      anon_sym_QMARK,
    ACTIONS(4839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_GT_EQ,
    ACTIONS(4851), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3284), 1,
      sym_heredoc_body,
    ACTIONS(4843), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4847), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4831), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4853), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 13,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [85285] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5073), 1,
      sym__binary_star_star,
    STATE(3285), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [85341] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(4825), 1,
      anon_sym_PIPE,
    ACTIONS(4827), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4829), 1,
      anon_sym_AMP,
    ACTIONS(4833), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4835), 1,
      anon_sym_CARET,
    ACTIONS(4837), 1,
      anon_sym_QMARK,
    ACTIONS(4839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_GT_EQ,
    ACTIONS(4851), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3286), 1,
      sym_heredoc_body,
    ACTIONS(4843), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4847), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4831), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4853), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 13,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [85427] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3287), 1,
      sym_heredoc_body,
    ACTIONS(3309), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3225), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3223), 30,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [85483] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5075), 1,
      sym__binary_star_star,
    STATE(3288), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [85539] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3791), 1,
      anon_sym_DOT,
    ACTIONS(4761), 1,
      anon_sym_PIPE,
    ACTIONS(4763), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4765), 1,
      anon_sym_AMP,
    ACTIONS(4769), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4771), 1,
      anon_sym_CARET,
    ACTIONS(4773), 1,
      anon_sym_QMARK,
    ACTIONS(4775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4781), 1,
      anon_sym_GT_EQ,
    ACTIONS(4787), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3289), 1,
      sym_heredoc_body,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4767), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4789), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 13,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [85625] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_DOT,
    ACTIONS(4825), 1,
      anon_sym_PIPE,
    ACTIONS(4827), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4829), 1,
      anon_sym_AMP,
    ACTIONS(4833), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4835), 1,
      anon_sym_CARET,
    ACTIONS(4839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_GT_EQ,
    ACTIONS(4851), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3290), 1,
      sym_heredoc_body,
    ACTIONS(4843), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4847), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4831), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4853), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 14,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [85709] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT,
    ACTIONS(4825), 1,
      anon_sym_PIPE,
    ACTIONS(4827), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4829), 1,
      anon_sym_AMP,
    ACTIONS(4833), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4835), 1,
      anon_sym_CARET,
    ACTIONS(4837), 1,
      anon_sym_QMARK,
    ACTIONS(4839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_GT_EQ,
    ACTIONS(4851), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3291), 1,
      sym_heredoc_body,
    ACTIONS(4843), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4847), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4831), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4853), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 13,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [85795] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5039), 1,
      anon_sym_COMMA,
    STATE(3248), 1,
      aux_sym_exceptions_repeat1,
    STATE(3292), 1,
      sym_heredoc_body,
    ACTIONS(3950), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 31,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [85853] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3293), 1,
      sym_heredoc_body,
    ACTIONS(2566), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
      sym_constant,
      sym_identifier,
    ACTIONS(2568), 28,
      sym_simple_symbol,
      sym__symbol_start,
      sym__identifier_suffix,
      sym__constant_suffix,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
      aux_sym_constant_suffix_token1,
      aux_sym_identifier_suffix_token1,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
  [85907] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3294), 1,
      sym_heredoc_body,
    ACTIONS(2582), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
      sym_constant,
      sym_identifier,
    ACTIONS(2584), 28,
      sym_simple_symbol,
      sym__symbol_start,
      sym__identifier_suffix,
      sym__constant_suffix,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
      aux_sym_constant_suffix_token1,
      aux_sym_identifier_suffix_token1,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
  [85961] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5039), 1,
      anon_sym_COMMA,
    STATE(3292), 1,
      aux_sym_exceptions_repeat1,
    STATE(3295), 1,
      sym_heredoc_body,
    ACTIONS(3595), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 31,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [86019] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym_DOT,
    ACTIONS(4825), 1,
      anon_sym_PIPE,
    ACTIONS(4827), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4829), 1,
      anon_sym_AMP,
    ACTIONS(4833), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4835), 1,
      anon_sym_CARET,
    ACTIONS(4837), 1,
      anon_sym_QMARK,
    ACTIONS(4839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_GT_EQ,
    ACTIONS(4851), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3296), 1,
      sym_heredoc_body,
    ACTIONS(4843), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4847), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4831), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4853), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 13,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [86105] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3791), 1,
      anon_sym_DOT,
    ACTIONS(4825), 1,
      anon_sym_PIPE,
    ACTIONS(4827), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4829), 1,
      anon_sym_AMP,
    ACTIONS(4833), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4835), 1,
      anon_sym_CARET,
    ACTIONS(4837), 1,
      anon_sym_QMARK,
    ACTIONS(4839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_GT_EQ,
    ACTIONS(4851), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3297), 1,
      sym_heredoc_body,
    ACTIONS(4843), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4847), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4831), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4853), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 13,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [86191] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_DOT,
    ACTIONS(4761), 1,
      anon_sym_PIPE,
    ACTIONS(4763), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4765), 1,
      anon_sym_AMP,
    ACTIONS(4769), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4771), 1,
      anon_sym_CARET,
    ACTIONS(4773), 1,
      anon_sym_QMARK,
    ACTIONS(4775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4781), 1,
      anon_sym_GT_EQ,
    ACTIONS(4787), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3298), 1,
      sym_heredoc_body,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4767), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4789), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 13,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [86277] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3282), 1,
      aux_sym_exceptions_repeat1,
    STATE(3299), 1,
      sym_heredoc_body,
    ACTIONS(3595), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 31,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [86333] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym_DOT,
    ACTIONS(4823), 1,
      anon_sym_rescue,
    ACTIONS(4825), 1,
      anon_sym_PIPE,
    ACTIONS(4827), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4829), 1,
      anon_sym_AMP,
    ACTIONS(4833), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4835), 1,
      anon_sym_CARET,
    ACTIONS(4837), 1,
      anon_sym_QMARK,
    ACTIONS(4839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_GT_EQ,
    ACTIONS(4851), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3300), 1,
      sym_heredoc_body,
    ACTIONS(4843), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4847), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4831), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4853), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 12,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [86421] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_DOT,
    ACTIONS(4825), 1,
      anon_sym_PIPE,
    ACTIONS(4827), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4829), 1,
      anon_sym_AMP,
    ACTIONS(4833), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4835), 1,
      anon_sym_CARET,
    ACTIONS(4837), 1,
      anon_sym_QMARK,
    ACTIONS(4839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_GT_EQ,
    ACTIONS(4851), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3301), 1,
      sym_heredoc_body,
    ACTIONS(4843), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4847), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4831), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4853), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 13,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [86507] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(341), 1,
      sym__string_start,
    ACTIONS(4433), 1,
      anon_sym_COLON,
    STATE(2739), 1,
      aux_sym_chained_string_repeat1,
    STATE(2806), 1,
      sym_string,
    STATE(3302), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 28,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [86569] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_DOT,
    ACTIONS(4761), 1,
      anon_sym_PIPE,
    ACTIONS(4763), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4765), 1,
      anon_sym_AMP,
    ACTIONS(4769), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4771), 1,
      anon_sym_CARET,
    ACTIONS(4773), 1,
      anon_sym_QMARK,
    ACTIONS(4775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4781), 1,
      anon_sym_GT_EQ,
    ACTIONS(4787), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    STATE(3303), 1,
      sym_heredoc_body,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4767), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4789), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 13,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [86655] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(4560), 1,
      anon_sym_EQ_GT,
    ACTIONS(4604), 1,
      anon_sym___END__,
    ACTIONS(4963), 1,
      anon_sym_PIPE,
    ACTIONS(4965), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    ACTIONS(4971), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4973), 1,
      anon_sym_CARET,
    ACTIONS(4975), 1,
      anon_sym_QMARK,
    ACTIONS(4977), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4983), 1,
      anon_sym_GT_EQ,
    ACTIONS(4989), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3304), 1,
      sym_heredoc_body,
    ACTIONS(4981), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4985), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4969), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4987), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4991), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 11,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [86745] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym_DOT,
    ACTIONS(4761), 1,
      anon_sym_PIPE,
    ACTIONS(4763), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4765), 1,
      anon_sym_AMP,
    ACTIONS(4769), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4771), 1,
      anon_sym_CARET,
    ACTIONS(4773), 1,
      anon_sym_QMARK,
    ACTIONS(4775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4781), 1,
      anon_sym_GT_EQ,
    ACTIONS(4787), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    ACTIONS(4797), 1,
      anon_sym_rescue,
    STATE(3305), 1,
      sym_heredoc_body,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4767), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4789), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 12,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [86833] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_DOT,
    ACTIONS(4825), 1,
      anon_sym_PIPE,
    ACTIONS(4827), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4829), 1,
      anon_sym_AMP,
    ACTIONS(4833), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4835), 1,
      anon_sym_CARET,
    ACTIONS(4837), 1,
      anon_sym_QMARK,
    ACTIONS(4839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4845), 1,
      anon_sym_GT_EQ,
    ACTIONS(4851), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4855), 1,
      sym__binary_star_star,
    STATE(3306), 1,
      sym_heredoc_body,
    ACTIONS(4843), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4847), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4831), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4849), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4853), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 13,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [86919] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3307), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 17,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [86994] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3308), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 31,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [87049] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3309), 1,
      sym_heredoc_body,
    ACTIONS(3595), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 32,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [87102] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(5077), 1,
      anon_sym_PIPE,
    ACTIONS(5079), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5081), 1,
      anon_sym_AMP,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5087), 1,
      anon_sym_CARET,
    ACTIONS(5089), 1,
      anon_sym_QMARK,
    ACTIONS(5091), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5093), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_GT_EQ,
    ACTIONS(5103), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5107), 1,
      sym__binary_star_star,
    STATE(3310), 1,
      sym_heredoc_body,
    ACTIONS(5095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5099), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5083), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5101), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5105), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 12,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [87187] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym_DOT,
    ACTIONS(5077), 1,
      anon_sym_PIPE,
    ACTIONS(5079), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5081), 1,
      anon_sym_AMP,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5087), 1,
      anon_sym_CARET,
    ACTIONS(5089), 1,
      anon_sym_QMARK,
    ACTIONS(5091), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5093), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_GT_EQ,
    ACTIONS(5103), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5107), 1,
      sym__binary_star_star,
    STATE(3311), 1,
      sym_heredoc_body,
    ACTIONS(5095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5099), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5083), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5101), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5105), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 12,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [87272] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5109), 1,
      sym__binary_star_star,
    STATE(3312), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 30,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [87327] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5109), 1,
      sym__binary_star_star,
    ACTIONS(5111), 1,
      anon_sym_AMP,
    STATE(3313), 1,
      sym_heredoc_body,
    ACTIONS(5113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5115), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5117), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [87390] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5109), 1,
      sym__binary_star_star,
    STATE(3314), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 30,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [87445] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5109), 1,
      sym__binary_star_star,
    STATE(3315), 1,
      sym_heredoc_body,
    ACTIONS(5117), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 27,
      sym__binary_minus,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [87502] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym_DOT,
    ACTIONS(4046), 1,
      anon_sym_PIPE,
    ACTIONS(4048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4050), 1,
      anon_sym_AMP,
    ACTIONS(4054), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4056), 1,
      anon_sym_CARET,
    ACTIONS(4058), 1,
      anon_sym_QMARK,
    ACTIONS(4060), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4066), 1,
      anon_sym_GT_EQ,
    ACTIONS(4072), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    ACTIONS(5045), 1,
      anon_sym_rescue,
    STATE(3316), 1,
      sym_heredoc_body,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4052), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4074), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 11,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [87589] = 25,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2778), 1,
      sym_simple_symbol,
    ACTIONS(2780), 1,
      sym__string_start,
    ACTIONS(2784), 1,
      sym__subshell_start,
    ACTIONS(2786), 1,
      sym__regex_start,
    ACTIONS(2788), 1,
      sym__string_array_start,
    ACTIONS(2790), 1,
      sym__symbol_array_start,
    ACTIONS(2792), 1,
      sym_heredoc_beginning,
    ACTIONS(2890), 1,
      sym__symbol_start,
    ACTIONS(3072), 1,
      anon_sym_nil,
    ACTIONS(3076), 1,
      anon_sym_DASH_GT,
    STATE(3317), 1,
      sym_heredoc_body,
    STATE(4311), 1,
      sym_lambda,
    STATE(4334), 1,
      sym_nil,
    STATE(4384), 1,
      sym__pattern_primitive,
    STATE(5416), 1,
      sym__int_or_float,
    ACTIONS(2770), 2,
      sym__unary_minus_num,
      anon_sym_PLUS,
    ACTIONS(2772), 2,
      sym_integer,
      sym_float,
    STATE(4314), 2,
      sym__pattern_lambda,
      sym__pattern_literal,
    STATE(4331), 2,
      sym__numeric,
      sym_delimited_symbol,
    STATE(4346), 2,
      sym_complex,
      sym_rational,
    STATE(4361), 2,
      sym_unary_literal,
      sym__simple_numeric,
    ACTIONS(3074), 6,
      sym_line,
      sym_file,
      sym_encoding,
      sym_self,
      sym_true,
      sym_false,
    STATE(4357), 7,
      sym__keyword_variable,
      sym__literal,
      sym_string,
      sym_subshell,
      sym_string_array,
      sym_symbol_array,
      sym_regex,
  [87682] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT,
    ACTIONS(5077), 1,
      anon_sym_PIPE,
    ACTIONS(5079), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5081), 1,
      anon_sym_AMP,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5087), 1,
      anon_sym_CARET,
    ACTIONS(5089), 1,
      anon_sym_QMARK,
    ACTIONS(5091), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5093), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_GT_EQ,
    ACTIONS(5103), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5107), 1,
      sym__binary_star_star,
    STATE(3318), 1,
      sym_heredoc_body,
    ACTIONS(5095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5099), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5083), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5101), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5105), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 12,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [87767] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5109), 1,
      sym__binary_star_star,
    STATE(3319), 1,
      sym_heredoc_body,
    ACTIONS(5113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5115), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5117), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [87828] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_DOT,
    ACTIONS(5077), 1,
      anon_sym_PIPE,
    ACTIONS(5079), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5081), 1,
      anon_sym_AMP,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5087), 1,
      anon_sym_CARET,
    ACTIONS(5091), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5093), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_GT_EQ,
    ACTIONS(5103), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5107), 1,
      sym__binary_star_star,
    STATE(3320), 1,
      sym_heredoc_body,
    ACTIONS(5095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5099), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5083), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5101), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5105), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 13,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [87911] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3321), 1,
      sym_heredoc_body,
    ACTIONS(3603), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3601), 32,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [87964] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3322), 1,
      sym_heredoc_body,
    ACTIONS(3257), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3255), 32,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [88017] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3323), 1,
      sym_heredoc_body,
    ACTIONS(3353), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3351), 32,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [88070] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5109), 1,
      sym__binary_star_star,
    ACTIONS(5111), 1,
      anon_sym_AMP,
    ACTIONS(5119), 1,
      anon_sym_PIPE,
    ACTIONS(5121), 1,
      anon_sym_CARET,
    STATE(3324), 1,
      sym_heredoc_body,
    ACTIONS(5113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5115), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5117), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 22,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [88137] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5107), 1,
      sym__binary_star_star,
    STATE(3325), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 30,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [88192] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(5109), 1,
      sym__binary_star_star,
    ACTIONS(5111), 1,
      anon_sym_AMP,
    ACTIONS(5119), 1,
      anon_sym_PIPE,
    ACTIONS(5121), 1,
      anon_sym_CARET,
    ACTIONS(5123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5127), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5129), 1,
      anon_sym_QMARK,
    ACTIONS(5131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5133), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5135), 1,
      anon_sym_GT_EQ,
    ACTIONS(5137), 1,
      anon_sym_EQ_EQ,
    STATE(3326), 1,
      sym_heredoc_body,
    ACTIONS(5113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5115), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5117), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5125), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5139), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 12,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [88277] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4678), 1,
      anon_sym_QMARK,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    ACTIONS(4913), 1,
      anon_sym___END__,
    STATE(3327), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4327), 12,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [88362] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(5109), 1,
      sym__binary_star_star,
    ACTIONS(5111), 1,
      anon_sym_AMP,
    ACTIONS(5119), 1,
      anon_sym_PIPE,
    ACTIONS(5121), 1,
      anon_sym_CARET,
    ACTIONS(5123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5127), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5129), 1,
      anon_sym_QMARK,
    ACTIONS(5131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5133), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5135), 1,
      anon_sym_GT_EQ,
    ACTIONS(5137), 1,
      anon_sym_EQ_EQ,
    STATE(3328), 1,
      sym_heredoc_body,
    ACTIONS(5113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5115), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5117), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5125), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5139), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 12,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [88447] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_DOT,
    ACTIONS(5109), 1,
      sym__binary_star_star,
    ACTIONS(5111), 1,
      anon_sym_AMP,
    ACTIONS(5119), 1,
      anon_sym_PIPE,
    ACTIONS(5121), 1,
      anon_sym_CARET,
    ACTIONS(5123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5127), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5133), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5135), 1,
      anon_sym_GT_EQ,
    ACTIONS(5137), 1,
      anon_sym_EQ_EQ,
    STATE(3329), 1,
      sym_heredoc_body,
    ACTIONS(5113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5115), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5117), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5125), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5139), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 13,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [88530] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT,
    ACTIONS(5109), 1,
      sym__binary_star_star,
    ACTIONS(5111), 1,
      anon_sym_AMP,
    ACTIONS(5119), 1,
      anon_sym_PIPE,
    ACTIONS(5121), 1,
      anon_sym_CARET,
    ACTIONS(5123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5127), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5129), 1,
      anon_sym_QMARK,
    ACTIONS(5131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5133), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5135), 1,
      anon_sym_GT_EQ,
    ACTIONS(5137), 1,
      anon_sym_EQ_EQ,
    STATE(3330), 1,
      sym_heredoc_body,
    ACTIONS(5113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5115), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5117), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5125), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5139), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 12,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [88615] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym_DOT,
    ACTIONS(5109), 1,
      sym__binary_star_star,
    ACTIONS(5111), 1,
      anon_sym_AMP,
    ACTIONS(5119), 1,
      anon_sym_PIPE,
    ACTIONS(5121), 1,
      anon_sym_CARET,
    ACTIONS(5123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5127), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5129), 1,
      anon_sym_QMARK,
    ACTIONS(5131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5133), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5135), 1,
      anon_sym_GT_EQ,
    ACTIONS(5137), 1,
      anon_sym_EQ_EQ,
    STATE(3331), 1,
      sym_heredoc_body,
    ACTIONS(5113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5115), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5117), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5125), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5139), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 12,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [88700] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5049), 1,
      anon_sym_COMMA,
    STATE(3332), 1,
      sym_heredoc_body,
    STATE(3374), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3950), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 29,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [88757] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3333), 1,
      sym_heredoc_body,
    ACTIONS(3291), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3289), 32,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [88810] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5141), 1,
      sym__binary_star_star,
    STATE(3334), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 30,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [88865] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5107), 1,
      sym__binary_star_star,
    STATE(3335), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 30,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [88920] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3336), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 32,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [88973] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4662), 1,
      sym__binary_star_star,
    STATE(3337), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 30,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [89028] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_DOT,
    ACTIONS(5077), 1,
      anon_sym_PIPE,
    ACTIONS(5079), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5081), 1,
      anon_sym_AMP,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5087), 1,
      anon_sym_CARET,
    ACTIONS(5091), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5093), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_GT_EQ,
    ACTIONS(5103), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5107), 1,
      sym__binary_star_star,
    STATE(3338), 1,
      sym_heredoc_body,
    ACTIONS(5095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5099), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5083), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5101), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5105), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 13,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [89111] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(341), 1,
      sym__string_start,
    STATE(2739), 1,
      aux_sym_chained_string_repeat1,
    STATE(2806), 1,
      sym_string,
    STATE(3339), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 28,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [89170] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_DOT,
    ACTIONS(5077), 1,
      anon_sym_PIPE,
    ACTIONS(5079), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5081), 1,
      anon_sym_AMP,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5087), 1,
      anon_sym_CARET,
    ACTIONS(5089), 1,
      anon_sym_QMARK,
    ACTIONS(5091), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5093), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_GT_EQ,
    ACTIONS(5103), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5107), 1,
      sym__binary_star_star,
    STATE(3340), 1,
      sym_heredoc_body,
    ACTIONS(5095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5099), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5083), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5101), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5105), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 12,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [89255] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3341), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 13,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [89338] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3342), 1,
      sym_heredoc_body,
    ACTIONS(3309), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_do,
    ACTIONS(3225), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3223), 28,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [89393] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3343), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 13,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [89476] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3344), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 14,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [89557] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3345), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 13,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [89640] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3346), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 5,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [89707] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3347), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 13,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [89790] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3348), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 13,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [89873] = 25,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2778), 1,
      sym_simple_symbol,
    ACTIONS(2780), 1,
      sym__string_start,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(2784), 1,
      sym__subshell_start,
    ACTIONS(2786), 1,
      sym__regex_start,
    ACTIONS(2788), 1,
      sym__string_array_start,
    ACTIONS(2790), 1,
      sym__symbol_array_start,
    ACTIONS(2792), 1,
      sym_heredoc_beginning,
    ACTIONS(3072), 1,
      anon_sym_nil,
    ACTIONS(3076), 1,
      anon_sym_DASH_GT,
    STATE(3349), 1,
      sym_heredoc_body,
    STATE(4311), 1,
      sym_lambda,
    STATE(4334), 1,
      sym_nil,
    STATE(4384), 1,
      sym__pattern_primitive,
    STATE(5416), 1,
      sym__int_or_float,
    ACTIONS(2862), 2,
      sym__unary_minus_num,
      anon_sym_PLUS,
    ACTIONS(2864), 2,
      sym_integer,
      sym_float,
    STATE(4314), 2,
      sym__pattern_lambda,
      sym__pattern_literal,
    STATE(4331), 2,
      sym__numeric,
      sym_delimited_symbol,
    STATE(4346), 2,
      sym_complex,
      sym_rational,
    STATE(4361), 2,
      sym_unary_literal,
      sym__simple_numeric,
    ACTIONS(3074), 6,
      sym_line,
      sym_file,
      sym_encoding,
      sym_self,
      sym_true,
      sym_false,
    STATE(4357), 7,
      sym__keyword_variable,
      sym__literal,
      sym_string,
      sym_subshell,
      sym_string_array,
      sym_symbol_array,
      sym_regex,
  [89966] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3332), 1,
      aux_sym_exceptions_repeat1,
    STATE(3350), 1,
      sym_heredoc_body,
    ACTIONS(3595), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 30,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [90021] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_COLON,
    STATE(3351), 1,
      sym_heredoc_body,
    ACTIONS(2586), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2588), 30,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [90076] = 25,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2778), 1,
      sym_simple_symbol,
    ACTIONS(2780), 1,
      sym__string_start,
    ACTIONS(2782), 1,
      sym__symbol_start,
    ACTIONS(2784), 1,
      sym__subshell_start,
    ACTIONS(2786), 1,
      sym__regex_start,
    ACTIONS(2788), 1,
      sym__string_array_start,
    ACTIONS(2790), 1,
      sym__symbol_array_start,
    ACTIONS(2792), 1,
      sym_heredoc_beginning,
    ACTIONS(3072), 1,
      anon_sym_nil,
    ACTIONS(3076), 1,
      anon_sym_DASH_GT,
    STATE(3352), 1,
      sym_heredoc_body,
    STATE(4311), 1,
      sym_lambda,
    STATE(4334), 1,
      sym_nil,
    STATE(4384), 1,
      sym__pattern_primitive,
    STATE(5416), 1,
      sym__int_or_float,
    ACTIONS(2770), 2,
      sym__unary_minus_num,
      anon_sym_PLUS,
    ACTIONS(2772), 2,
      sym_integer,
      sym_float,
    STATE(4314), 2,
      sym__pattern_lambda,
      sym__pattern_literal,
    STATE(4331), 2,
      sym__numeric,
      sym_delimited_symbol,
    STATE(4346), 2,
      sym_complex,
      sym_rational,
    STATE(4361), 2,
      sym_unary_literal,
      sym__simple_numeric,
    ACTIONS(3074), 6,
      sym_line,
      sym_file,
      sym_encoding,
      sym_self,
      sym_true,
      sym_false,
    STATE(4357), 7,
      sym__keyword_variable,
      sym__literal,
      sym_string,
      sym_subshell,
      sym_string_array,
      sym_symbol_array,
      sym_regex,
  [90169] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_COLON,
    STATE(3353), 1,
      sym_heredoc_body,
    ACTIONS(2590), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2592), 30,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [90224] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(5077), 1,
      anon_sym_PIPE,
    ACTIONS(5079), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5081), 1,
      anon_sym_AMP,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5087), 1,
      anon_sym_CARET,
    ACTIONS(5089), 1,
      anon_sym_QMARK,
    ACTIONS(5091), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5093), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_GT_EQ,
    ACTIONS(5103), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5107), 1,
      sym__binary_star_star,
    STATE(3354), 1,
      sym_heredoc_body,
    ACTIONS(5095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5099), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5083), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5101), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5105), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 12,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [90309] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_DOT,
    ACTIONS(5077), 1,
      anon_sym_PIPE,
    ACTIONS(5079), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5081), 1,
      anon_sym_AMP,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5087), 1,
      anon_sym_CARET,
    ACTIONS(5089), 1,
      anon_sym_QMARK,
    ACTIONS(5091), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5093), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_GT_EQ,
    ACTIONS(5103), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5107), 1,
      sym__binary_star_star,
    STATE(3355), 1,
      sym_heredoc_body,
    ACTIONS(5095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5099), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5083), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5101), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5105), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 12,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [90394] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3356), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 14,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [90475] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3357), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 11,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [90562] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3358), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 11,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [90649] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3359), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 13,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [90732] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5001), 1,
      anon_sym_rescue,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3360), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 12,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [90817] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5049), 1,
      anon_sym_COMMA,
    STATE(3332), 1,
      aux_sym_exceptions_repeat1,
    STATE(3361), 1,
      sym_heredoc_body,
    ACTIONS(3595), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 29,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [90874] = 11,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2024), 1,
      sym_identifier_suffix,
    STATE(2028), 1,
      sym_constant_suffix,
    STATE(3362), 1,
      sym_heredoc_body,
    ACTIONS(5143), 2,
      sym_constant,
      sym_identifier,
    ACTIONS(5149), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(5151), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(2029), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(5147), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5145), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [90939] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3647), 1,
      sym__element_reference_bracket,
    ACTIONS(4119), 1,
      anon_sym_DOT,
    ACTIONS(4123), 1,
      anon_sym_AMP_DOT,
    ACTIONS(5153), 1,
      anon_sym_COLON_COLON2,
    STATE(3363), 1,
      sym_heredoc_body,
    ACTIONS(3291), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3289), 28,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [91000] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3364), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 29,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [91059] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(5001), 1,
      anon_sym_rescue,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3365), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 10,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [91148] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3366), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 11,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [91235] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5109), 1,
      sym__binary_star_star,
    STATE(3367), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 30,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [91290] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_DOT,
    ACTIONS(5109), 1,
      sym__binary_star_star,
    ACTIONS(5111), 1,
      anon_sym_AMP,
    ACTIONS(5119), 1,
      anon_sym_PIPE,
    ACTIONS(5121), 1,
      anon_sym_CARET,
    ACTIONS(5123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5127), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5133), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5135), 1,
      anon_sym_GT_EQ,
    ACTIONS(5137), 1,
      anon_sym_EQ_EQ,
    STATE(3368), 1,
      sym_heredoc_body,
    ACTIONS(5113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5115), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5117), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5125), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5139), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 13,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [91373] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    ACTIONS(5155), 1,
      anon_sym_EQ_GT,
    STATE(3369), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 11,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [91460] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4678), 1,
      anon_sym_QMARK,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    ACTIONS(4875), 1,
      anon_sym___END__,
    STATE(3370), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4376), 12,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [91545] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3791), 1,
      anon_sym_DOT,
    ACTIONS(5077), 1,
      anon_sym_PIPE,
    ACTIONS(5079), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5081), 1,
      anon_sym_AMP,
    ACTIONS(5085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5087), 1,
      anon_sym_CARET,
    ACTIONS(5089), 1,
      anon_sym_QMARK,
    ACTIONS(5091), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5093), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_GT_EQ,
    ACTIONS(5103), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5107), 1,
      sym__binary_star_star,
    STATE(3371), 1,
      sym_heredoc_body,
    ACTIONS(5095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5099), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5083), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5101), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5105), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 12,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [91630] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5107), 1,
      sym__binary_star_star,
    STATE(3372), 1,
      sym_heredoc_body,
    ACTIONS(5101), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 27,
      sym__binary_minus,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [91687] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3791), 1,
      anon_sym_DOT,
    ACTIONS(5109), 1,
      sym__binary_star_star,
    ACTIONS(5111), 1,
      anon_sym_AMP,
    ACTIONS(5119), 1,
      anon_sym_PIPE,
    ACTIONS(5121), 1,
      anon_sym_CARET,
    ACTIONS(5123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5127), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5129), 1,
      anon_sym_QMARK,
    ACTIONS(5131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5133), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5135), 1,
      anon_sym_GT_EQ,
    ACTIONS(5137), 1,
      anon_sym_EQ_EQ,
    STATE(3373), 1,
      sym_heredoc_body,
    ACTIONS(5113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5115), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5117), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5125), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5139), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 12,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [91772] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5157), 1,
      anon_sym_COMMA,
    STATE(3374), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 29,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [91827] = 25,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2832), 1,
      sym_simple_symbol,
    ACTIONS(2834), 1,
      sym__string_start,
    ACTIONS(2836), 1,
      sym__symbol_start,
    ACTIONS(2838), 1,
      sym__subshell_start,
    ACTIONS(2840), 1,
      sym__regex_start,
    ACTIONS(2842), 1,
      sym__string_array_start,
    ACTIONS(2844), 1,
      sym__symbol_array_start,
    ACTIONS(2846), 1,
      sym_heredoc_beginning,
    ACTIONS(4230), 1,
      anon_sym_nil,
    ACTIONS(4234), 1,
      anon_sym_DASH_GT,
    STATE(3375), 1,
      sym_heredoc_body,
    STATE(4648), 1,
      sym_nil,
    STATE(4652), 1,
      sym_lambda,
    STATE(4761), 1,
      sym__pattern_primitive,
    STATE(5446), 1,
      sym__int_or_float,
    ACTIONS(2874), 2,
      sym__unary_minus_num,
      anon_sym_PLUS,
    ACTIONS(2876), 2,
      sym_integer,
      sym_float,
    STATE(4616), 2,
      sym__numeric,
      sym_delimited_symbol,
    STATE(4664), 2,
      sym_unary_literal,
      sym__simple_numeric,
    STATE(4665), 2,
      sym_complex,
      sym_rational,
    STATE(4666), 2,
      sym__pattern_lambda,
      sym__pattern_literal,
    ACTIONS(4232), 6,
      sym_line,
      sym_file,
      sym_encoding,
      sym_self,
      sym_true,
      sym_false,
    STATE(4610), 7,
      sym__keyword_variable,
      sym__literal,
      sym_string,
      sym_subshell,
      sym_string_array,
      sym_symbol_array,
      sym_regex,
  [91920] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3376), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 13,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [92003] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5160), 1,
      sym__binary_star_star,
    STATE(3377), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 30,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [92058] = 25,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2832), 1,
      sym_simple_symbol,
    ACTIONS(2834), 1,
      sym__string_start,
    ACTIONS(2836), 1,
      sym__symbol_start,
    ACTIONS(2838), 1,
      sym__subshell_start,
    ACTIONS(2840), 1,
      sym__regex_start,
    ACTIONS(2842), 1,
      sym__string_array_start,
    ACTIONS(2844), 1,
      sym__symbol_array_start,
    ACTIONS(2846), 1,
      sym_heredoc_beginning,
    ACTIONS(4230), 1,
      anon_sym_nil,
    ACTIONS(4234), 1,
      anon_sym_DASH_GT,
    STATE(3378), 1,
      sym_heredoc_body,
    STATE(4648), 1,
      sym_nil,
    STATE(4652), 1,
      sym_lambda,
    STATE(4761), 1,
      sym__pattern_primitive,
    STATE(5446), 1,
      sym__int_or_float,
    ACTIONS(2820), 2,
      sym__unary_minus_num,
      anon_sym_PLUS,
    ACTIONS(2822), 2,
      sym_integer,
      sym_float,
    STATE(4616), 2,
      sym__numeric,
      sym_delimited_symbol,
    STATE(4664), 2,
      sym_unary_literal,
      sym__simple_numeric,
    STATE(4665), 2,
      sym_complex,
      sym_rational,
    STATE(4666), 2,
      sym__pattern_lambda,
      sym__pattern_literal,
    ACTIONS(4232), 6,
      sym_line,
      sym_file,
      sym_encoding,
      sym_self,
      sym_true,
      sym_false,
    STATE(4610), 7,
      sym__keyword_variable,
      sym__literal,
      sym_string,
      sym_subshell,
      sym_string_array,
      sym_symbol_array,
      sym_regex,
  [92151] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5109), 1,
      sym__binary_star_star,
    ACTIONS(5111), 1,
      anon_sym_AMP,
    ACTIONS(5119), 1,
      anon_sym_PIPE,
    ACTIONS(5121), 1,
      anon_sym_CARET,
    ACTIONS(5133), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5135), 1,
      anon_sym_GT_EQ,
    ACTIONS(5137), 1,
      anon_sym_EQ_EQ,
    STATE(3379), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5115), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5117), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5125), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5139), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 15,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [92228] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_DOT,
    ACTIONS(5109), 1,
      sym__binary_star_star,
    ACTIONS(5111), 1,
      anon_sym_AMP,
    ACTIONS(5119), 1,
      anon_sym_PIPE,
    ACTIONS(5121), 1,
      anon_sym_CARET,
    ACTIONS(5123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5127), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5129), 1,
      anon_sym_QMARK,
    ACTIONS(5131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5133), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5135), 1,
      anon_sym_GT_EQ,
    ACTIONS(5137), 1,
      anon_sym_EQ_EQ,
    STATE(3380), 1,
      sym_heredoc_body,
    ACTIONS(5113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5115), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5117), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5125), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5139), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 12,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [92313] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_DOT,
    ACTIONS(5109), 1,
      sym__binary_star_star,
    ACTIONS(5111), 1,
      anon_sym_AMP,
    ACTIONS(5119), 1,
      anon_sym_PIPE,
    ACTIONS(5121), 1,
      anon_sym_CARET,
    ACTIONS(5123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5127), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5129), 1,
      anon_sym_QMARK,
    ACTIONS(5131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5133), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5135), 1,
      anon_sym_GT_EQ,
    ACTIONS(5137), 1,
      anon_sym_EQ_EQ,
    STATE(3381), 1,
      sym_heredoc_body,
    ACTIONS(5113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5115), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5117), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5125), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5139), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 12,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [92398] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3382), 1,
      sym_heredoc_body,
    ACTIONS(3791), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 32,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [92451] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5077), 1,
      anon_sym_PIPE,
    ACTIONS(5081), 1,
      anon_sym_AMP,
    ACTIONS(5087), 1,
      anon_sym_CARET,
    ACTIONS(5107), 1,
      sym__binary_star_star,
    STATE(3383), 1,
      sym_heredoc_body,
    ACTIONS(5095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5099), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5101), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 22,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [92518] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5107), 1,
      sym__binary_star_star,
    STATE(3384), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 30,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [92573] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5109), 1,
      sym__binary_star_star,
    ACTIONS(5111), 1,
      anon_sym_AMP,
    ACTIONS(5119), 1,
      anon_sym_PIPE,
    ACTIONS(5121), 1,
      anon_sym_CARET,
    ACTIONS(5135), 1,
      anon_sym_GT_EQ,
    ACTIONS(5137), 1,
      anon_sym_EQ_EQ,
    STATE(3385), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5115), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5117), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5125), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5139), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 16,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [92648] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5162), 1,
      sym__binary_star_star,
    STATE(3386), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 30,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [92703] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5109), 1,
      sym__binary_star_star,
    STATE(3387), 1,
      sym_heredoc_body,
    ACTIONS(5115), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5117), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 25,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [92762] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5109), 1,
      sym__binary_star_star,
    ACTIONS(5111), 1,
      anon_sym_AMP,
    ACTIONS(5119), 1,
      anon_sym_PIPE,
    ACTIONS(5121), 1,
      anon_sym_CARET,
    ACTIONS(5135), 1,
      anon_sym_GT_EQ,
    ACTIONS(5137), 1,
      anon_sym_EQ_EQ,
    STATE(3388), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5113), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5115), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5117), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5125), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5139), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 16,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [92837] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5109), 1,
      sym__binary_star_star,
    STATE(3389), 1,
      sym_heredoc_body,
    ACTIONS(4034), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 30,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [92892] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5081), 1,
      anon_sym_AMP,
    ACTIONS(5107), 1,
      sym__binary_star_star,
    STATE(3390), 1,
      sym_heredoc_body,
    ACTIONS(5095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5099), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5101), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [92955] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4678), 1,
      anon_sym_QMARK,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    ACTIONS(4793), 1,
      anon_sym___END__,
    STATE(3391), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4374), 12,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [93040] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4678), 1,
      anon_sym_QMARK,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    ACTIONS(4733), 1,
      anon_sym___END__,
    STATE(3392), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4370), 12,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [93125] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3393), 1,
      sym_heredoc_body,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 28,
      sym__line_break,
      sym__binary_minus,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [93182] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5107), 1,
      sym__binary_star_star,
    STATE(3394), 1,
      sym_heredoc_body,
    ACTIONS(5095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5099), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5101), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [93243] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3395), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 31,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [93298] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_DOT,
    ACTIONS(4046), 1,
      anon_sym_PIPE,
    ACTIONS(4048), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4050), 1,
      anon_sym_AMP,
    ACTIONS(4054), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4056), 1,
      anon_sym_CARET,
    ACTIONS(4058), 1,
      anon_sym_QMARK,
    ACTIONS(4060), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4062), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4066), 1,
      anon_sym_GT_EQ,
    ACTIONS(4072), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4076), 1,
      sym__binary_star_star,
    ACTIONS(5045), 1,
      anon_sym_rescue,
    STATE(3396), 1,
      sym_heredoc_body,
    ACTIONS(4064), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4068), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4052), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4070), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4074), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3277), 11,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [93385] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3397), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 31,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [93440] = 11,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2061), 1,
      sym_identifier_suffix,
    STATE(2062), 1,
      sym_constant_suffix,
    STATE(3398), 1,
      sym_heredoc_body,
    ACTIONS(5164), 2,
      sym_constant,
      sym_identifier,
    ACTIONS(5170), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(5172), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(2066), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(5168), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5166), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [93505] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3399), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [93568] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3400), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [93629] = 11,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2004), 1,
      sym_identifier_suffix,
    STATE(2006), 1,
      sym_constant_suffix,
    STATE(3401), 1,
      sym_heredoc_body,
    ACTIONS(5174), 2,
      sym_constant,
      sym_identifier,
    ACTIONS(5180), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(5182), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    STATE(2010), 2,
      sym__function_identifier,
      sym_operator,
    ACTIONS(5178), 10,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5176), 19,
      anon_sym_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_DOT_DOT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_PLUS_AT,
      anon_sym_DASH_AT,
      anon_sym_TILDE_AT,
      anon_sym_LBRACK_RBRACK_EQ,
      anon_sym_BQUOTE,
  [93694] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3402), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 16,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [93771] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3403), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 17,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [93846] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5077), 1,
      anon_sym_PIPE,
    ACTIONS(5081), 1,
      anon_sym_AMP,
    ACTIONS(5087), 1,
      anon_sym_CARET,
    ACTIONS(5093), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5097), 1,
      anon_sym_GT_EQ,
    ACTIONS(5103), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5107), 1,
      sym__binary_star_star,
    STATE(3404), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5099), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5083), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5101), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5105), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 15,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [93923] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5077), 1,
      anon_sym_PIPE,
    ACTIONS(5081), 1,
      anon_sym_AMP,
    ACTIONS(5087), 1,
      anon_sym_CARET,
    ACTIONS(5097), 1,
      anon_sym_GT_EQ,
    ACTIONS(5103), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5107), 1,
      sym__binary_star_star,
    STATE(3405), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5099), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5083), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5101), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5105), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 16,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [93998] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5107), 1,
      sym__binary_star_star,
    STATE(3406), 1,
      sym_heredoc_body,
    ACTIONS(5099), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5101), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 25,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [94057] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4666), 1,
      anon_sym_PIPE,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4670), 1,
      anon_sym_AMP,
    ACTIONS(4674), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4676), 1,
      anon_sym_CARET,
    ACTIONS(4678), 1,
      anon_sym_QMARK,
    ACTIONS(4680), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4686), 1,
      anon_sym_GT_EQ,
    ACTIONS(4692), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4696), 1,
      sym__binary_star_star,
    ACTIONS(4922), 1,
      anon_sym___END__,
    STATE(3407), 1,
      sym_heredoc_body,
    ACTIONS(4684), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4688), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4672), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4690), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4694), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4386), 12,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [94142] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3408), 1,
      sym_heredoc_body,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 26,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [94201] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5077), 1,
      anon_sym_PIPE,
    ACTIONS(5081), 1,
      anon_sym_AMP,
    ACTIONS(5087), 1,
      anon_sym_CARET,
    ACTIONS(5097), 1,
      anon_sym_GT_EQ,
    ACTIONS(5103), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5107), 1,
      sym__binary_star_star,
    STATE(3409), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5099), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5083), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5101), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5105), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 16,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [94276] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5107), 1,
      sym__binary_star_star,
    STATE(3410), 1,
      sym_heredoc_body,
    ACTIONS(4034), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 30,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [94331] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3411), 1,
      sym_heredoc_body,
    ACTIONS(4034), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 31,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [94386] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1976), 1,
      sym__string_start,
    STATE(2806), 1,
      sym_string,
    STATE(3412), 1,
      sym_heredoc_body,
    STATE(3422), 1,
      aux_sym_chained_string_repeat1,
    ACTIONS(2988), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 26,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [94444] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4901), 1,
      sym__element_reference_bracket,
    ACTIONS(5184), 1,
      anon_sym_DOT,
    ACTIONS(5186), 1,
      anon_sym_COLON_COLON2,
    ACTIONS(5188), 1,
      anon_sym_AMP_DOT,
    STATE(3413), 1,
      sym_heredoc_body,
    ACTIONS(3291), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3289), 27,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [94504] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4922), 1,
      anon_sym___END__,
    ACTIONS(4963), 1,
      anon_sym_PIPE,
    ACTIONS(4965), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4967), 1,
      anon_sym_AMP,
    ACTIONS(4971), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4973), 1,
      anon_sym_CARET,
    ACTIONS(4975), 1,
      anon_sym_QMARK,
    ACTIONS(4977), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4979), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4983), 1,
      anon_sym_GT_EQ,
    ACTIONS(4989), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4993), 1,
      sym__binary_star_star,
    STATE(3414), 1,
      sym_heredoc_body,
    ACTIONS(4981), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4985), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4969), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4987), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4991), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4386), 11,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [94588] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym_DOT,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    ACTIONS(4157), 1,
      anon_sym_PIPE,
    ACTIONS(4159), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4165), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4167), 1,
      anon_sym_CARET,
    ACTIONS(4169), 1,
      anon_sym_QMARK,
    ACTIONS(4171), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4175), 1,
      anon_sym_GT_EQ,
    ACTIONS(4177), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5047), 1,
      anon_sym_rescue,
    STATE(3415), 1,
      sym_heredoc_body,
    ACTIONS(4141), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4143), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4145), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4163), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4179), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 10,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [94674] = 24,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    ACTIONS(5190), 1,
      anon_sym_rescue,
    STATE(3416), 1,
      sym_heredoc_body,
    STATE(3513), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 8,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [94764] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5196), 1,
      anon_sym_AMP,
    ACTIONS(5200), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5202), 1,
      anon_sym_CARET,
    ACTIONS(5204), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5210), 1,
      anon_sym_GT_EQ,
    ACTIONS(5216), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    STATE(3417), 1,
      sym_heredoc_body,
    ACTIONS(5208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5212), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5214), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5218), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 13,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [94844] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5222), 1,
      sym__binary_star_star,
    STATE(3418), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 29,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [94898] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    STATE(3419), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 30,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [94952] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5222), 1,
      sym__binary_star_star,
    ACTIONS(5224), 1,
      anon_sym_PIPE,
    ACTIONS(5226), 1,
      anon_sym_AMP,
    ACTIONS(5228), 1,
      anon_sym_CARET,
    STATE(3420), 1,
      sym_heredoc_body,
    ACTIONS(5230), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5232), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5234), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 21,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [95018] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5236), 1,
      sym__binary_star_star,
    STATE(3421), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 29,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [95072] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1976), 1,
      sym__string_start,
    STATE(2806), 1,
      sym_string,
    STATE(3422), 1,
      sym_heredoc_body,
    STATE(3457), 1,
      aux_sym_chained_string_repeat1,
    ACTIONS(3151), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3149), 26,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [95130] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    STATE(3423), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 28,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [95188] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5222), 1,
      sym__binary_star_star,
    STATE(3424), 1,
      sym_heredoc_body,
    ACTIONS(5234), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 26,
      sym__line_break,
      sym__binary_minus,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [95244] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5222), 1,
      sym__binary_star_star,
    ACTIONS(5224), 1,
      anon_sym_PIPE,
    ACTIONS(5226), 1,
      anon_sym_AMP,
    ACTIONS(5228), 1,
      anon_sym_CARET,
    ACTIONS(5240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5242), 1,
      anon_sym_GT_EQ,
    ACTIONS(5244), 1,
      anon_sym_EQ_EQ,
    STATE(3425), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5230), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5232), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5234), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5238), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5246), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 14,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [95320] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_DOT,
    ACTIONS(4147), 1,
      sym__binary_star_star,
    ACTIONS(4157), 1,
      anon_sym_PIPE,
    ACTIONS(4159), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4165), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4167), 1,
      anon_sym_CARET,
    ACTIONS(4169), 1,
      anon_sym_QMARK,
    ACTIONS(4171), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4173), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4175), 1,
      anon_sym_GT_EQ,
    ACTIONS(4177), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5047), 1,
      anon_sym_rescue,
    STATE(3426), 1,
      sym_heredoc_body,
    ACTIONS(4141), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4143), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4145), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4163), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4179), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3277), 10,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [95406] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_DOT,
    ACTIONS(5222), 1,
      sym__binary_star_star,
    ACTIONS(5224), 1,
      anon_sym_PIPE,
    ACTIONS(5226), 1,
      anon_sym_AMP,
    ACTIONS(5228), 1,
      anon_sym_CARET,
    ACTIONS(5240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5242), 1,
      anon_sym_GT_EQ,
    ACTIONS(5244), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5248), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5250), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5252), 1,
      anon_sym_QMARK,
    ACTIONS(5254), 1,
      anon_sym_PIPE_PIPE,
    STATE(3427), 1,
      sym_heredoc_body,
    ACTIONS(5230), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5232), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5234), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5238), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5246), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 11,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [95490] = 24,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym_DOT,
    ACTIONS(4761), 1,
      anon_sym_PIPE,
    ACTIONS(4763), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4765), 1,
      anon_sym_AMP,
    ACTIONS(4769), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4771), 1,
      anon_sym_CARET,
    ACTIONS(4773), 1,
      anon_sym_QMARK,
    ACTIONS(4775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4781), 1,
      anon_sym_GT_EQ,
    ACTIONS(4787), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    ACTIONS(4905), 1,
      anon_sym_COMMA,
    ACTIONS(5256), 1,
      anon_sym_rescue,
    STATE(3143), 1,
      aux_sym_exceptions_repeat1,
    STATE(3428), 1,
      sym_heredoc_body,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4767), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4789), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 8,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [95580] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5196), 1,
      anon_sym_AMP,
    ACTIONS(5200), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5202), 1,
      anon_sym_CARET,
    ACTIONS(5204), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5210), 1,
      anon_sym_GT_EQ,
    ACTIONS(5216), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    ACTIONS(5258), 1,
      anon_sym_QMARK,
    STATE(3429), 1,
      sym_heredoc_body,
    ACTIONS(5208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5212), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5214), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5218), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 12,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [95662] = 24,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym_DOT,
    ACTIONS(4761), 1,
      anon_sym_PIPE,
    ACTIONS(4763), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4765), 1,
      anon_sym_AMP,
    ACTIONS(4769), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4771), 1,
      anon_sym_CARET,
    ACTIONS(4773), 1,
      anon_sym_QMARK,
    ACTIONS(4775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4781), 1,
      anon_sym_GT_EQ,
    ACTIONS(4787), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4791), 1,
      sym__binary_star_star,
    ACTIONS(5041), 1,
      anon_sym_COMMA,
    ACTIONS(5260), 1,
      anon_sym_rescue,
    STATE(3214), 1,
      aux_sym_exceptions_repeat1,
    STATE(3430), 1,
      sym_heredoc_body,
    ACTIONS(4779), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4783), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4767), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4785), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4789), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 8,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [95752] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_DOT,
    ACTIONS(5222), 1,
      sym__binary_star_star,
    ACTIONS(5224), 1,
      anon_sym_PIPE,
    ACTIONS(5226), 1,
      anon_sym_AMP,
    ACTIONS(5228), 1,
      anon_sym_CARET,
    ACTIONS(5240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5242), 1,
      anon_sym_GT_EQ,
    ACTIONS(5244), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5248), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5250), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5252), 1,
      anon_sym_QMARK,
    ACTIONS(5254), 1,
      anon_sym_PIPE_PIPE,
    STATE(3431), 1,
      sym_heredoc_body,
    ACTIONS(5230), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5232), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5234), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5238), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5246), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 11,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [95836] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(5222), 1,
      sym__binary_star_star,
    ACTIONS(5224), 1,
      anon_sym_PIPE,
    ACTIONS(5226), 1,
      anon_sym_AMP,
    ACTIONS(5228), 1,
      anon_sym_CARET,
    ACTIONS(5240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5242), 1,
      anon_sym_GT_EQ,
    ACTIONS(5244), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5248), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5250), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5252), 1,
      anon_sym_QMARK,
    ACTIONS(5254), 1,
      anon_sym_PIPE_PIPE,
    STATE(3432), 1,
      sym_heredoc_body,
    ACTIONS(5230), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5232), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5234), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5238), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5246), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 11,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [95920] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_DOT,
    ACTIONS(5222), 1,
      sym__binary_star_star,
    ACTIONS(5224), 1,
      anon_sym_PIPE,
    ACTIONS(5226), 1,
      anon_sym_AMP,
    ACTIONS(5228), 1,
      anon_sym_CARET,
    ACTIONS(5240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5242), 1,
      anon_sym_GT_EQ,
    ACTIONS(5244), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5248), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5250), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5254), 1,
      anon_sym_PIPE_PIPE,
    STATE(3433), 1,
      sym_heredoc_body,
    ACTIONS(5230), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5232), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5234), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5238), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5246), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 12,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [96002] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5222), 1,
      sym__binary_star_star,
    STATE(3434), 1,
      sym_heredoc_body,
    ACTIONS(5232), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5234), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [96060] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3791), 1,
      anon_sym_DOT,
    ACTIONS(5222), 1,
      sym__binary_star_star,
    ACTIONS(5224), 1,
      anon_sym_PIPE,
    ACTIONS(5226), 1,
      anon_sym_AMP,
    ACTIONS(5228), 1,
      anon_sym_CARET,
    ACTIONS(5240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5242), 1,
      anon_sym_GT_EQ,
    ACTIONS(5244), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5248), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5250), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5252), 1,
      anon_sym_QMARK,
    ACTIONS(5254), 1,
      anon_sym_PIPE_PIPE,
    STATE(3435), 1,
      sym_heredoc_body,
    ACTIONS(5230), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5232), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5234), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5238), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5246), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 11,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [96144] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5222), 1,
      sym__binary_star_star,
    STATE(3436), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 29,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [96198] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(5222), 1,
      sym__binary_star_star,
    ACTIONS(5224), 1,
      anon_sym_PIPE,
    ACTIONS(5226), 1,
      anon_sym_AMP,
    ACTIONS(5228), 1,
      anon_sym_CARET,
    ACTIONS(5240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5242), 1,
      anon_sym_GT_EQ,
    ACTIONS(5244), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5248), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5250), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5252), 1,
      anon_sym_QMARK,
    ACTIONS(5254), 1,
      anon_sym_PIPE_PIPE,
    STATE(3437), 1,
      sym_heredoc_body,
    ACTIONS(5230), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5232), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5234), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5238), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5246), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 11,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [96282] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5222), 1,
      sym__binary_star_star,
    ACTIONS(5224), 1,
      anon_sym_PIPE,
    ACTIONS(5226), 1,
      anon_sym_AMP,
    ACTIONS(5228), 1,
      anon_sym_CARET,
    ACTIONS(5242), 1,
      anon_sym_GT_EQ,
    ACTIONS(5244), 1,
      anon_sym_EQ_EQ,
    STATE(3438), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5230), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5232), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5234), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5238), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5246), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 15,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [96356] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_DOT,
    ACTIONS(5222), 1,
      sym__binary_star_star,
    ACTIONS(5224), 1,
      anon_sym_PIPE,
    ACTIONS(5226), 1,
      anon_sym_AMP,
    ACTIONS(5228), 1,
      anon_sym_CARET,
    ACTIONS(5240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5242), 1,
      anon_sym_GT_EQ,
    ACTIONS(5244), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5248), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5250), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5254), 1,
      anon_sym_PIPE_PIPE,
    STATE(3439), 1,
      sym_heredoc_body,
    ACTIONS(5230), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5232), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5234), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5238), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5246), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 12,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [96438] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT,
    ACTIONS(5222), 1,
      sym__binary_star_star,
    ACTIONS(5224), 1,
      anon_sym_PIPE,
    ACTIONS(5226), 1,
      anon_sym_AMP,
    ACTIONS(5228), 1,
      anon_sym_CARET,
    ACTIONS(5240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5242), 1,
      anon_sym_GT_EQ,
    ACTIONS(5244), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5248), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5250), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5252), 1,
      anon_sym_QMARK,
    ACTIONS(5254), 1,
      anon_sym_PIPE_PIPE,
    STATE(3440), 1,
      sym_heredoc_body,
    ACTIONS(5230), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5232), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5234), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5238), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5246), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 11,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [96522] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym_DOT,
    ACTIONS(5222), 1,
      sym__binary_star_star,
    ACTIONS(5224), 1,
      anon_sym_PIPE,
    ACTIONS(5226), 1,
      anon_sym_AMP,
    ACTIONS(5228), 1,
      anon_sym_CARET,
    ACTIONS(5240), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5242), 1,
      anon_sym_GT_EQ,
    ACTIONS(5244), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5248), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5250), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5252), 1,
      anon_sym_QMARK,
    ACTIONS(5254), 1,
      anon_sym_PIPE_PIPE,
    STATE(3441), 1,
      sym_heredoc_body,
    ACTIONS(5230), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5232), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5234), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5238), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5246), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 11,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [96606] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5222), 1,
      sym__binary_star_star,
    STATE(3442), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 29,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [96660] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5196), 1,
      anon_sym_AMP,
    ACTIONS(5200), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5202), 1,
      anon_sym_CARET,
    ACTIONS(5204), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5210), 1,
      anon_sym_GT_EQ,
    ACTIONS(5216), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    ACTIONS(5258), 1,
      anon_sym_QMARK,
    STATE(3443), 1,
      sym_heredoc_body,
    ACTIONS(5208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5212), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5214), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5218), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 12,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [96742] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5222), 1,
      sym__binary_star_star,
    STATE(3444), 1,
      sym_heredoc_body,
    ACTIONS(5230), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5232), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5234), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 22,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [96802] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3445), 1,
      sym_heredoc_body,
    ACTIONS(2566), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2568), 29,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [96854] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5222), 1,
      sym__binary_star_star,
    ACTIONS(5224), 1,
      anon_sym_PIPE,
    ACTIONS(5226), 1,
      anon_sym_AMP,
    ACTIONS(5228), 1,
      anon_sym_CARET,
    ACTIONS(5242), 1,
      anon_sym_GT_EQ,
    ACTIONS(5244), 1,
      anon_sym_EQ_EQ,
    STATE(3446), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5230), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5232), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5234), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5238), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5246), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 15,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [96928] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5222), 1,
      sym__binary_star_star,
    ACTIONS(5226), 1,
      anon_sym_AMP,
    STATE(3447), 1,
      sym_heredoc_body,
    ACTIONS(5230), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5232), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5234), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 22,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [96990] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5196), 1,
      anon_sym_AMP,
    ACTIONS(5200), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5202), 1,
      anon_sym_CARET,
    ACTIONS(5204), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5210), 1,
      anon_sym_GT_EQ,
    ACTIONS(5216), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    ACTIONS(5258), 1,
      anon_sym_QMARK,
    STATE(3448), 1,
      sym_heredoc_body,
    ACTIONS(5208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5212), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5214), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5218), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 12,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [97072] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5222), 1,
      sym__binary_star_star,
    STATE(3449), 1,
      sym_heredoc_body,
    ACTIONS(4034), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 29,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [97126] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5037), 1,
      anon_sym_rescue,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5196), 1,
      anon_sym_AMP,
    ACTIONS(5200), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5202), 1,
      anon_sym_CARET,
    ACTIONS(5204), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5210), 1,
      anon_sym_GT_EQ,
    ACTIONS(5216), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    ACTIONS(5258), 1,
      anon_sym_QMARK,
    STATE(3450), 1,
      sym_heredoc_body,
    ACTIONS(5208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5212), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5214), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5218), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 11,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [97210] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5196), 1,
      anon_sym_AMP,
    ACTIONS(5200), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5202), 1,
      anon_sym_CARET,
    ACTIONS(5204), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5210), 1,
      anon_sym_GT_EQ,
    ACTIONS(5216), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    ACTIONS(5258), 1,
      anon_sym_QMARK,
    STATE(3451), 1,
      sym_heredoc_body,
    ACTIONS(5208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5212), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5214), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5218), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 12,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [97292] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5196), 1,
      anon_sym_AMP,
    ACTIONS(5200), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5202), 1,
      anon_sym_CARET,
    ACTIONS(5204), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5210), 1,
      anon_sym_GT_EQ,
    ACTIONS(5216), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    ACTIONS(5258), 1,
      anon_sym_QMARK,
    STATE(3452), 1,
      sym_heredoc_body,
    ACTIONS(5208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5212), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5214), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5218), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 10,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [97378] = 24,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym_DOT,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(4518), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4520), 1,
      anon_sym_AMP,
    ACTIONS(4524), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4526), 1,
      anon_sym_CARET,
    ACTIONS(4528), 1,
      anon_sym_QMARK,
    ACTIONS(4530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4532), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4536), 1,
      anon_sym_GT_EQ,
    ACTIONS(4542), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    ACTIONS(5262), 1,
      anon_sym_rescue,
    ACTIONS(5264), 1,
      anon_sym_COMMA,
    STATE(3453), 1,
      sym_heredoc_body,
    STATE(3529), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4522), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4544), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 8,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [97468] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_COMMA,
    STATE(3143), 1,
      aux_sym_exceptions_repeat1,
    STATE(3454), 1,
      sym_heredoc_body,
    ACTIONS(3595), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 28,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [97524] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5266), 1,
      sym__binary_star_star,
    STATE(3455), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 29,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [97578] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym_DOT,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(4518), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4520), 1,
      anon_sym_AMP,
    ACTIONS(4524), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4526), 1,
      anon_sym_CARET,
    ACTIONS(4528), 1,
      anon_sym_QMARK,
    ACTIONS(4530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4532), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4536), 1,
      anon_sym_GT_EQ,
    ACTIONS(4542), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    ACTIONS(5268), 1,
      anon_sym_rescue,
    STATE(3456), 1,
      sym_heredoc_body,
    STATE(3529), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4522), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4544), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 9,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [97666] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5270), 1,
      sym__string_start,
    STATE(2806), 1,
      sym_string,
    STATE(3457), 2,
      sym_heredoc_body,
      aux_sym_chained_string_repeat1,
    ACTIONS(3112), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3110), 26,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [97722] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5196), 1,
      anon_sym_AMP,
    ACTIONS(5200), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5202), 1,
      anon_sym_CARET,
    ACTIONS(5204), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5210), 1,
      anon_sym_GT_EQ,
    ACTIONS(5216), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    ACTIONS(5258), 1,
      anon_sym_QMARK,
    STATE(3458), 1,
      sym_heredoc_body,
    ACTIONS(5208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5212), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5214), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5218), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 10,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [97808] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(5037), 1,
      anon_sym_rescue,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5196), 1,
      anon_sym_AMP,
    ACTIONS(5200), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5202), 1,
      anon_sym_CARET,
    ACTIONS(5204), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5210), 1,
      anon_sym_GT_EQ,
    ACTIONS(5216), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    ACTIONS(5258), 1,
      anon_sym_QMARK,
    STATE(3459), 1,
      sym_heredoc_body,
    ACTIONS(5208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5212), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5214), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5218), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 9,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [97896] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5196), 1,
      anon_sym_AMP,
    ACTIONS(5200), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5202), 1,
      anon_sym_CARET,
    ACTIONS(5204), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5210), 1,
      anon_sym_GT_EQ,
    ACTIONS(5216), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    STATE(3460), 1,
      sym_heredoc_body,
    ACTIONS(5208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5212), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5214), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5218), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 13,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [97976] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5196), 1,
      anon_sym_AMP,
    ACTIONS(5200), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5202), 1,
      anon_sym_CARET,
    ACTIONS(5204), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5210), 1,
      anon_sym_GT_EQ,
    ACTIONS(5216), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    ACTIONS(5258), 1,
      anon_sym_QMARK,
    STATE(3461), 1,
      sym_heredoc_body,
    ACTIONS(5208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5212), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5214), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5218), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 12,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [98058] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    STATE(3462), 1,
      sym_heredoc_body,
    ACTIONS(5214), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 27,
      sym__line_break,
      sym__binary_minus,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [98114] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    ACTIONS(5190), 1,
      anon_sym_rescue,
    STATE(3463), 1,
      sym_heredoc_body,
    STATE(3513), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 10,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [98200] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    STATE(3464), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 30,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [98254] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_COLON,
    STATE(3465), 1,
      sym_heredoc_body,
    ACTIONS(2586), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2588), 29,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [98308] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_COLON,
    STATE(3466), 1,
      sym_heredoc_body,
    ACTIONS(2590), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2592), 29,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [98362] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    ACTIONS(4437), 1,
      anon_sym_PIPE,
    ACTIONS(4439), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4441), 1,
      anon_sym_AMP,
    ACTIONS(4445), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4447), 1,
      anon_sym_CARET,
    ACTIONS(4449), 1,
      anon_sym_QMARK,
    ACTIONS(4451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4457), 1,
      anon_sym_GT_EQ,
    ACTIONS(4463), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5273), 1,
      anon_sym_EQ_GT,
    STATE(3467), 1,
      sym_heredoc_body,
    ACTIONS(4455), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4443), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4465), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 10,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [98448] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    STATE(3468), 1,
      sym_heredoc_body,
    ACTIONS(4034), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 30,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [98502] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5196), 1,
      anon_sym_AMP,
    ACTIONS(5202), 1,
      anon_sym_CARET,
    ACTIONS(5210), 1,
      anon_sym_GT_EQ,
    ACTIONS(5216), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    STATE(3469), 1,
      sym_heredoc_body,
    ACTIONS(5208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5212), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5214), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5218), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 16,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [98576] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    STATE(3470), 1,
      sym_heredoc_body,
    ACTIONS(5212), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5214), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 25,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [98634] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5196), 1,
      anon_sym_AMP,
    ACTIONS(5202), 1,
      anon_sym_CARET,
    ACTIONS(5210), 1,
      anon_sym_GT_EQ,
    ACTIONS(5216), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    STATE(3471), 1,
      sym_heredoc_body,
    ACTIONS(5208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5212), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5214), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5218), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 16,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [98708] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5196), 1,
      anon_sym_AMP,
    ACTIONS(5202), 1,
      anon_sym_CARET,
    ACTIONS(5206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5210), 1,
      anon_sym_GT_EQ,
    ACTIONS(5216), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    STATE(3472), 1,
      sym_heredoc_body,
    ACTIONS(5208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5212), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5214), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5218), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 15,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [98784] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5196), 1,
      anon_sym_AMP,
    ACTIONS(5202), 1,
      anon_sym_CARET,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    STATE(3473), 1,
      sym_heredoc_body,
    ACTIONS(5208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5212), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5214), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 5,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 22,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [98850] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    STATE(3474), 1,
      sym_heredoc_body,
    ACTIONS(5208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5212), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5214), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [98910] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3475), 1,
      sym_heredoc_body,
    ACTIONS(2582), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2584), 29,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [98962] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5196), 1,
      anon_sym_AMP,
    ACTIONS(5200), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5202), 1,
      anon_sym_CARET,
    ACTIONS(5204), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5210), 1,
      anon_sym_GT_EQ,
    ACTIONS(5216), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    ACTIONS(5258), 1,
      anon_sym_QMARK,
    STATE(3476), 1,
      sym_heredoc_body,
    ACTIONS(5208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5212), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5214), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5218), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 10,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [99048] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5196), 1,
      anon_sym_AMP,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    STATE(3477), 1,
      sym_heredoc_body,
    ACTIONS(5208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5212), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5214), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [99110] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    STATE(3478), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 30,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [99164] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3479), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4374), 11,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [99245] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5275), 1,
      anon_sym_COMMA,
    STATE(3480), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 27,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [99298] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(341), 1,
      sym__string_start,
    ACTIONS(5278), 1,
      anon_sym_COLON,
    STATE(2739), 1,
      aux_sym_chained_string_repeat1,
    STATE(2806), 1,
      sym_string,
    STATE(3481), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 25,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [99357] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5280), 1,
      anon_sym_COMMA,
    STATE(3482), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 28,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [99410] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    ACTIONS(5190), 1,
      anon_sym_rescue,
    STATE(3483), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 8,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [99497] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      anon_sym_PIPE,
    ACTIONS(5285), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5287), 1,
      anon_sym_AMP,
    ACTIONS(5291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5293), 1,
      anon_sym_CARET,
    ACTIONS(5295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5301), 1,
      anon_sym_GT_EQ,
    ACTIONS(5307), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5311), 1,
      sym__binary_star_star,
    STATE(3484), 1,
      sym_heredoc_body,
    ACTIONS(5299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5303), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5289), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5305), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5309), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 11,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [99578] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      anon_sym_PIPE,
    ACTIONS(5285), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5287), 1,
      anon_sym_AMP,
    ACTIONS(5291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5293), 1,
      anon_sym_CARET,
    ACTIONS(5295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5301), 1,
      anon_sym_GT_EQ,
    ACTIONS(5307), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5311), 1,
      sym__binary_star_star,
    ACTIONS(5313), 1,
      anon_sym_QMARK,
    STATE(3485), 1,
      sym_heredoc_body,
    ACTIONS(5299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5303), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5289), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5305), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5309), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 10,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [99661] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3486), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4386), 11,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [99742] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5311), 1,
      sym__binary_star_star,
    STATE(3487), 1,
      sym_heredoc_body,
    ACTIONS(4034), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 28,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [99795] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5311), 1,
      sym__binary_star_star,
    STATE(3488), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 28,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [99848] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3489), 1,
      sym_heredoc_body,
    STATE(3519), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 29,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [99901] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5041), 1,
      anon_sym_COMMA,
    STATE(3214), 1,
      aux_sym_exceptions_repeat1,
    STATE(3490), 1,
      sym_heredoc_body,
    ACTIONS(3595), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 27,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [99956] = 24,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5315), 1,
      anon_sym_rescue,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3491), 1,
      sym_heredoc_body,
    STATE(3619), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [100045] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      anon_sym_PIPE,
    ACTIONS(5285), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5287), 1,
      anon_sym_AMP,
    ACTIONS(5291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5293), 1,
      anon_sym_CARET,
    ACTIONS(5295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5301), 1,
      anon_sym_GT_EQ,
    ACTIONS(5307), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5311), 1,
      sym__binary_star_star,
    ACTIONS(5313), 1,
      anon_sym_QMARK,
    STATE(3492), 1,
      sym_heredoc_body,
    ACTIONS(5299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5303), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5289), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5305), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5309), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 10,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [100128] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5283), 1,
      anon_sym_PIPE,
    ACTIONS(5287), 1,
      anon_sym_AMP,
    ACTIONS(5293), 1,
      anon_sym_CARET,
    ACTIONS(5301), 1,
      anon_sym_GT_EQ,
    ACTIONS(5307), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5311), 1,
      sym__binary_star_star,
    STATE(3493), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5303), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5289), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5305), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5309), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 14,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [100201] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym_DOT,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(4518), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4520), 1,
      anon_sym_AMP,
    ACTIONS(4524), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4526), 1,
      anon_sym_CARET,
    ACTIONS(4528), 1,
      anon_sym_QMARK,
    ACTIONS(4530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4532), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4536), 1,
      anon_sym_GT_EQ,
    ACTIONS(4542), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    ACTIONS(5268), 1,
      anon_sym_rescue,
    STATE(3494), 1,
      sym_heredoc_body,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4522), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4544), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 9,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [100286] = 24,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    ACTIONS(5353), 1,
      anon_sym_rescue,
    STATE(3495), 1,
      sym_heredoc_body,
    STATE(3500), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [100375] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3496), 1,
      sym_heredoc_body,
    STATE(3529), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 28,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [100428] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      anon_sym_PIPE,
    ACTIONS(5285), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5287), 1,
      anon_sym_AMP,
    ACTIONS(5291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5293), 1,
      anon_sym_CARET,
    ACTIONS(5295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5301), 1,
      anon_sym_GT_EQ,
    ACTIONS(5307), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5311), 1,
      sym__binary_star_star,
    STATE(3497), 1,
      sym_heredoc_body,
    ACTIONS(5299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5303), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5289), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5305), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5309), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 11,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [100509] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5311), 1,
      sym__binary_star_star,
    STATE(3498), 1,
      sym_heredoc_body,
    ACTIONS(5303), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5305), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [100566] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      anon_sym_PIPE,
    ACTIONS(5285), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5287), 1,
      anon_sym_AMP,
    ACTIONS(5291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5293), 1,
      anon_sym_CARET,
    ACTIONS(5295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5301), 1,
      anon_sym_GT_EQ,
    ACTIONS(5307), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5311), 1,
      sym__binary_star_star,
    ACTIONS(5313), 1,
      anon_sym_QMARK,
    STATE(3499), 1,
      sym_heredoc_body,
    ACTIONS(5299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5303), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5289), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5305), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5309), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 10,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [100649] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5355), 1,
      anon_sym_COMMA,
    STATE(3482), 1,
      aux_sym_exceptions_repeat1,
    STATE(3500), 1,
      sym_heredoc_body,
    ACTIONS(3950), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 28,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [100704] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5283), 1,
      anon_sym_PIPE,
    ACTIONS(5287), 1,
      anon_sym_AMP,
    ACTIONS(5293), 1,
      anon_sym_CARET,
    ACTIONS(5301), 1,
      anon_sym_GT_EQ,
    ACTIONS(5307), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5311), 1,
      sym__binary_star_star,
    STATE(3501), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5303), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5289), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5305), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5309), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 14,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [100777] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2686), 1,
      anon_sym_COLON,
    STATE(3502), 1,
      sym_heredoc_body,
    ACTIONS(2590), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2592), 28,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [100830] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5283), 1,
      anon_sym_PIPE,
    ACTIONS(5287), 1,
      anon_sym_AMP,
    ACTIONS(5293), 1,
      anon_sym_CARET,
    ACTIONS(5297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5301), 1,
      anon_sym_GT_EQ,
    ACTIONS(5307), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5311), 1,
      sym__binary_star_star,
    STATE(3503), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5303), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5289), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5305), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5309), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 13,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [100905] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5357), 1,
      sym__binary_star_star,
    STATE(3504), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 28,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [100958] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3500), 1,
      aux_sym_exceptions_repeat1,
    STATE(3505), 1,
      sym_heredoc_body,
    ACTIONS(3595), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 29,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [101011] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5264), 1,
      anon_sym_COMMA,
    STATE(3506), 1,
      sym_heredoc_body,
    STATE(3529), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 27,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [101066] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5359), 1,
      anon_sym_rescue,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3507), 1,
      sym_heredoc_body,
    STATE(3613), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 9,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [101151] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5315), 1,
      anon_sym_rescue,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3508), 1,
      sym_heredoc_body,
    STATE(3619), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 9,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [101236] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      anon_sym_PIPE,
    ACTIONS(5285), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5287), 1,
      anon_sym_AMP,
    ACTIONS(5291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5293), 1,
      anon_sym_CARET,
    ACTIONS(5295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5301), 1,
      anon_sym_GT_EQ,
    ACTIONS(5307), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5311), 1,
      sym__binary_star_star,
    ACTIONS(5313), 1,
      anon_sym_QMARK,
    STATE(3509), 1,
      sym_heredoc_body,
    ACTIONS(5299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5303), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5289), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5305), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5309), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 10,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [101319] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5283), 1,
      anon_sym_PIPE,
    ACTIONS(5287), 1,
      anon_sym_AMP,
    ACTIONS(5293), 1,
      anon_sym_CARET,
    ACTIONS(5311), 1,
      sym__binary_star_star,
    STATE(3510), 1,
      sym_heredoc_body,
    ACTIONS(5299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5303), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5305), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 20,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [101384] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    ACTIONS(5393), 1,
      anon_sym_rescue,
    STATE(3511), 1,
      sym_heredoc_body,
    STATE(3519), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 9,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [101469] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5395), 1,
      anon_sym_COMMA,
    STATE(3512), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 28,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [101522] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5398), 1,
      anon_sym_COMMA,
    STATE(3512), 1,
      aux_sym_exceptions_repeat1,
    STATE(3513), 1,
      sym_heredoc_body,
    ACTIONS(3950), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 28,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [101577] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3514), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4370), 11,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [101658] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5400), 1,
      anon_sym_COMMA,
    STATE(3515), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 28,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [101711] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2686), 1,
      anon_sym_COLON,
    STATE(3516), 1,
      sym_heredoc_body,
    ACTIONS(2586), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2588), 28,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [101764] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3517), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4376), 11,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [101845] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    STATE(3518), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4327), 11,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [101926] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_COMMA,
    STATE(3515), 1,
      aux_sym_exceptions_repeat1,
    STATE(3519), 1,
      sym_heredoc_body,
    ACTIONS(3950), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 28,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [101981] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5311), 1,
      sym__binary_star_star,
    STATE(3520), 1,
      sym_heredoc_body,
    ACTIONS(5299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5303), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5305), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 21,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [102040] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_PIPE,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4196), 1,
      anon_sym_AMP,
    ACTIONS(4204), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4206), 1,
      anon_sym_CARET,
    ACTIONS(4208), 1,
      anon_sym_QMARK,
    ACTIONS(4210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4216), 1,
      anon_sym_GT_EQ,
    ACTIONS(4222), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4226), 1,
      sym__binary_star_star,
    ACTIONS(5190), 1,
      anon_sym_rescue,
    STATE(3521), 1,
      sym_heredoc_body,
    ACTIONS(4214), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4218), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4220), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4224), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 10,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [102123] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5405), 1,
      sym__binary_star_star,
    STATE(3522), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 28,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [102176] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_AMP,
    ACTIONS(5311), 1,
      sym__binary_star_star,
    STATE(3523), 1,
      sym_heredoc_body,
    ACTIONS(5299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5303), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5305), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 21,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [102237] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5311), 1,
      sym__binary_star_star,
    STATE(3524), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 28,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [102290] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_DOT,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(4518), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4520), 1,
      anon_sym_AMP,
    ACTIONS(4524), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4526), 1,
      anon_sym_CARET,
    ACTIONS(4528), 1,
      anon_sym_QMARK,
    ACTIONS(4530), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4532), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4536), 1,
      anon_sym_GT_EQ,
    ACTIONS(4542), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4546), 1,
      sym__binary_star_star,
    ACTIONS(5268), 1,
      anon_sym_rescue,
    STATE(3525), 1,
      sym_heredoc_body,
    ACTIONS(4534), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4538), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4522), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4540), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4544), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3277), 9,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [102375] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5311), 1,
      sym__binary_star_star,
    STATE(3526), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 28,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [102428] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5311), 1,
      sym__binary_star_star,
    STATE(3527), 1,
      sym_heredoc_body,
    ACTIONS(5305), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 25,
      sym__line_break,
      sym__binary_minus,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [102483] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3513), 1,
      aux_sym_exceptions_repeat1,
    STATE(3528), 1,
      sym_heredoc_body,
    ACTIONS(3595), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 29,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [102536] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5264), 1,
      anon_sym_COMMA,
    STATE(3480), 1,
      aux_sym_exceptions_repeat1,
    STATE(3529), 1,
      sym_heredoc_body,
    ACTIONS(3950), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 27,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [102591] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4030), 1,
      anon_sym_COLON,
    STATE(3530), 1,
      sym_heredoc_body,
    ACTIONS(2590), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2592), 28,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [102644] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4030), 1,
      anon_sym_COLON,
    STATE(3531), 1,
      sym_heredoc_body,
    ACTIONS(2586), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2588), 28,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [102697] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    ACTIONS(5353), 1,
      anon_sym_rescue,
    STATE(3500), 1,
      aux_sym_exceptions_repeat1,
    STATE(3532), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 9,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [102782] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      anon_sym_PIPE,
    ACTIONS(5285), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5287), 1,
      anon_sym_AMP,
    ACTIONS(5291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5293), 1,
      anon_sym_CARET,
    ACTIONS(5295), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5301), 1,
      anon_sym_GT_EQ,
    ACTIONS(5307), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5311), 1,
      sym__binary_star_star,
    ACTIONS(5313), 1,
      anon_sym_QMARK,
    STATE(3533), 1,
      sym_heredoc_body,
    ACTIONS(5299), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5303), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5289), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5305), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5309), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 10,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [102865] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5409), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5415), 1,
      anon_sym_in,
    ACTIONS(5417), 1,
      anon_sym_EQ_GT,
    ACTIONS(5419), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_QMARK,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_GT_EQ,
    ACTIONS(5437), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3534), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5413), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5439), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 8,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [102949] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3791), 1,
      anon_sym_DOT,
    ACTIONS(5443), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5447), 1,
      anon_sym_AMP,
    ACTIONS(5451), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5453), 1,
      anon_sym_CARET,
    ACTIONS(5455), 1,
      anon_sym_QMARK,
    ACTIONS(5457), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5459), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5463), 1,
      anon_sym_GT_EQ,
    ACTIONS(5469), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5473), 1,
      sym__binary_star_star,
    STATE(3535), 1,
      sym_heredoc_body,
    ACTIONS(5461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5465), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5449), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5467), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5471), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 9,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [103031] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym_DOT,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    ACTIONS(4626), 1,
      anon_sym_PIPE,
    ACTIONS(4628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_AMP,
    ACTIONS(4634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4636), 1,
      anon_sym_CARET,
    ACTIONS(4638), 1,
      anon_sym_QMARK,
    ACTIONS(4640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4646), 1,
      anon_sym_GT_EQ,
    ACTIONS(4652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5262), 1,
      anon_sym_rescue,
    STATE(3536), 1,
      sym_heredoc_body,
    ACTIONS(4644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 8,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [103115] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3537), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 5,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 20,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [103179] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3538), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [103237] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(5443), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5447), 1,
      anon_sym_AMP,
    ACTIONS(5451), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5453), 1,
      anon_sym_CARET,
    ACTIONS(5455), 1,
      anon_sym_QMARK,
    ACTIONS(5457), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5459), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5463), 1,
      anon_sym_GT_EQ,
    ACTIONS(5469), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5473), 1,
      sym__binary_star_star,
    STATE(3539), 1,
      sym_heredoc_body,
    ACTIONS(5461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5465), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5449), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5467), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5471), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 9,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [103319] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(5443), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5447), 1,
      anon_sym_AMP,
    ACTIONS(5451), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5453), 1,
      anon_sym_CARET,
    ACTIONS(5455), 1,
      anon_sym_QMARK,
    ACTIONS(5457), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5459), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5463), 1,
      anon_sym_GT_EQ,
    ACTIONS(5469), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5473), 1,
      sym__binary_star_star,
    STATE(3540), 1,
      sym_heredoc_body,
    ACTIONS(5461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5465), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5449), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5467), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5471), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 9,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [103401] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_DOT,
    ACTIONS(5443), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5447), 1,
      anon_sym_AMP,
    ACTIONS(5451), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5453), 1,
      anon_sym_CARET,
    ACTIONS(5457), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5459), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5463), 1,
      anon_sym_GT_EQ,
    ACTIONS(5469), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5473), 1,
      sym__binary_star_star,
    STATE(3541), 1,
      sym_heredoc_body,
    ACTIONS(5461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5465), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5449), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5467), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5471), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 10,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [103481] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    ACTIONS(5393), 1,
      anon_sym_rescue,
    STATE(3542), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 9,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [103563] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3543), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [103623] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT,
    ACTIONS(5443), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5447), 1,
      anon_sym_AMP,
    ACTIONS(5451), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5453), 1,
      anon_sym_CARET,
    ACTIONS(5455), 1,
      anon_sym_QMARK,
    ACTIONS(5457), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5459), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5463), 1,
      anon_sym_GT_EQ,
    ACTIONS(5469), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5473), 1,
      sym__binary_star_star,
    STATE(3544), 1,
      sym_heredoc_body,
    ACTIONS(5461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5465), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5449), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5467), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5471), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 9,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [103705] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3545), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 10,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [103785] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym_DOT,
    ACTIONS(5443), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5447), 1,
      anon_sym_AMP,
    ACTIONS(5451), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5453), 1,
      anon_sym_CARET,
    ACTIONS(5455), 1,
      anon_sym_QMARK,
    ACTIONS(5457), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5459), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5463), 1,
      anon_sym_GT_EQ,
    ACTIONS(5469), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5473), 1,
      sym__binary_star_star,
    STATE(3546), 1,
      sym_heredoc_body,
    ACTIONS(5461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5465), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5449), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5467), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5471), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 9,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [103867] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5475), 1,
      sym__binary_star_star,
    STATE(3547), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 27,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [103919] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3548), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 28,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [103971] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym_DOT,
    ACTIONS(5477), 1,
      anon_sym_PIPE,
    ACTIONS(5479), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5487), 1,
      anon_sym_CARET,
    ACTIONS(5489), 1,
      anon_sym_QMARK,
    ACTIONS(5491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5497), 1,
      anon_sym_GT_EQ,
    ACTIONS(5503), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3549), 1,
      sym_heredoc_body,
    ACTIONS(5495), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5499), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5483), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5501), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5505), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 9,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [104053] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3550), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 28,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [104105] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3551), 1,
      sym_heredoc_body,
    ACTIONS(3269), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3267), 28,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [104155] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3552), 1,
      sym_heredoc_body,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 25,
      sym__binary_minus,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [104209] = 24,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    ACTIONS(5509), 1,
      anon_sym_rescue,
    STATE(3553), 1,
      sym_heredoc_body,
    STATE(3819), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 6,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [104297] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym_DOT,
    ACTIONS(5260), 1,
      anon_sym_rescue,
    ACTIONS(5477), 1,
      anon_sym_PIPE,
    ACTIONS(5479), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5487), 1,
      anon_sym_CARET,
    ACTIONS(5489), 1,
      anon_sym_QMARK,
    ACTIONS(5491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5497), 1,
      anon_sym_GT_EQ,
    ACTIONS(5503), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3554), 1,
      sym_heredoc_body,
    ACTIONS(5495), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5499), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5483), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5501), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5505), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 8,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [104381] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3555), 1,
      sym_heredoc_body,
    ACTIONS(3311), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3309), 28,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [104431] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3556), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [104511] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    ACTIONS(5509), 1,
      anon_sym_rescue,
    STATE(3557), 1,
      sym_heredoc_body,
    STATE(3819), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 8,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [104595] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3558), 1,
      sym_heredoc_body,
    STATE(3604), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 26,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [104647] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3559), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 13,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [104721] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    ACTIONS(5511), 1,
      anon_sym_rescue,
    ACTIONS(5513), 1,
      anon_sym_COMMA,
    STATE(3560), 1,
      sym_heredoc_body,
    STATE(3819), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 7,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [104807] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3561), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 28,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [104859] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3562), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [104931] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_DOT,
    ACTIONS(5260), 1,
      anon_sym_rescue,
    ACTIONS(5477), 1,
      anon_sym_PIPE,
    ACTIONS(5479), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5487), 1,
      anon_sym_CARET,
    ACTIONS(5489), 1,
      anon_sym_QMARK,
    ACTIONS(5491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5497), 1,
      anon_sym_GT_EQ,
    ACTIONS(5503), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3563), 1,
      sym_heredoc_body,
    ACTIONS(5495), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5499), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5483), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5501), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5505), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3277), 8,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [105015] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3564), 1,
      sym_heredoc_body,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [105071] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3565), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [105143] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT,
    ACTIONS(5477), 1,
      anon_sym_PIPE,
    ACTIONS(5479), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5487), 1,
      anon_sym_CARET,
    ACTIONS(5489), 1,
      anon_sym_QMARK,
    ACTIONS(5491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5497), 1,
      anon_sym_GT_EQ,
    ACTIONS(5503), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3566), 1,
      sym_heredoc_body,
    ACTIONS(5495), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5499), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5483), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5501), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5505), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 9,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [105225] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_DOT,
    ACTIONS(5477), 1,
      anon_sym_PIPE,
    ACTIONS(5479), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5487), 1,
      anon_sym_CARET,
    ACTIONS(5491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5497), 1,
      anon_sym_GT_EQ,
    ACTIONS(5503), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3567), 1,
      sym_heredoc_body,
    ACTIONS(5495), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5499), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5483), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5501), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5505), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 10,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [105305] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5415), 1,
      anon_sym_in,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    ACTIONS(5515), 1,
      anon_sym_EQ_GT,
    STATE(3568), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 26,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [105361] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COMMA,
    STATE(3569), 1,
      sym_heredoc_body,
    STATE(3604), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 25,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [105415] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3570), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 10,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [105495] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3571), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 5,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 20,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [105559] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3572), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 10,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [105639] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3573), 1,
      sym_heredoc_body,
    STATE(3613), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 28,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [105691] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3574), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [105775] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5519), 1,
      anon_sym_COMMA,
    STATE(3575), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 27,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [105827] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3576), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [105911] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    ACTIONS(5522), 1,
      anon_sym_EQ_GT,
    STATE(3577), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [105995] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3578), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [106075] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(5477), 1,
      anon_sym_PIPE,
    ACTIONS(5479), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5487), 1,
      anon_sym_CARET,
    ACTIONS(5489), 1,
      anon_sym_QMARK,
    ACTIONS(5491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5497), 1,
      anon_sym_GT_EQ,
    ACTIONS(5503), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3579), 1,
      sym_heredoc_body,
    ACTIONS(5495), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5499), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5483), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5501), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5505), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 9,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [106157] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(5477), 1,
      anon_sym_PIPE,
    ACTIONS(5479), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5487), 1,
      anon_sym_CARET,
    ACTIONS(5489), 1,
      anon_sym_QMARK,
    ACTIONS(5491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5497), 1,
      anon_sym_GT_EQ,
    ACTIONS(5503), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3580), 1,
      sym_heredoc_body,
    ACTIONS(5495), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5499), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5483), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5501), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5505), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 9,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [106239] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5524), 1,
      sym__binary_star_star,
    STATE(3581), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 27,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [106291] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5526), 1,
      sym__binary_star_star,
    STATE(3582), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 27,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [106343] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3583), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 26,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [106399] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3584), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [106483] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5528), 1,
      anon_sym_COMMA,
    STATE(3585), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 25,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [106535] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    ACTIONS(5353), 1,
      anon_sym_rescue,
    STATE(3586), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [106621] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_DOT,
    ACTIONS(5477), 1,
      anon_sym_PIPE,
    ACTIONS(5479), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5487), 1,
      anon_sym_CARET,
    ACTIONS(5489), 1,
      anon_sym_QMARK,
    ACTIONS(5491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5497), 1,
      anon_sym_GT_EQ,
    ACTIONS(5503), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3587), 1,
      sym_heredoc_body,
    ACTIONS(5495), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5499), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5483), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5501), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5505), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 9,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [106703] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5409), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5419), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_QMARK,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_GT_EQ,
    ACTIONS(5437), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3588), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5413), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5439), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 10,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [106783] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3589), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [106863] = 24,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COMMA,
    ACTIONS(5531), 1,
      anon_sym_rescue,
    ACTIONS(5533), 1,
      anon_sym_PIPE,
    ACTIONS(5535), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5537), 1,
      anon_sym_AMP,
    ACTIONS(5541), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5543), 1,
      anon_sym_CARET,
    ACTIONS(5545), 1,
      anon_sym_QMARK,
    ACTIONS(5547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5549), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5553), 1,
      anon_sym_GT_EQ,
    ACTIONS(5559), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    STATE(3590), 1,
      sym_heredoc_body,
    STATE(3604), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5539), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3593), 5,
      sym__element_reference_bracket,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5561), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [106951] = 24,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_PIPE,
    ACTIONS(5535), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5537), 1,
      anon_sym_AMP,
    ACTIONS(5541), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5543), 1,
      anon_sym_CARET,
    ACTIONS(5545), 1,
      anon_sym_QMARK,
    ACTIONS(5547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5549), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5553), 1,
      anon_sym_GT_EQ,
    ACTIONS(5559), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    ACTIONS(5565), 1,
      anon_sym_rescue,
    ACTIONS(5567), 1,
      anon_sym_COMMA,
    STATE(3591), 1,
      sym_heredoc_body,
    STATE(3791), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5539), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3593), 5,
      sym__element_reference_bracket,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5561), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [107039] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_PIPE,
    ACTIONS(5535), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5537), 1,
      anon_sym_AMP,
    ACTIONS(5541), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5543), 1,
      anon_sym_CARET,
    ACTIONS(5545), 1,
      anon_sym_QMARK,
    ACTIONS(5547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5549), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5553), 1,
      anon_sym_GT_EQ,
    ACTIONS(5559), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    ACTIONS(5569), 1,
      anon_sym_rescue,
    STATE(3592), 1,
      sym_heredoc_body,
    STATE(3604), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5539), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5561), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 6,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [107125] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_PIPE,
    ACTIONS(5535), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5537), 1,
      anon_sym_AMP,
    ACTIONS(5541), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5543), 1,
      anon_sym_CARET,
    ACTIONS(5545), 1,
      anon_sym_QMARK,
    ACTIONS(5547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5549), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5553), 1,
      anon_sym_GT_EQ,
    ACTIONS(5559), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    ACTIONS(5571), 1,
      anon_sym_rescue,
    STATE(3593), 1,
      sym_heredoc_body,
    STATE(3791), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5539), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5561), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 6,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [107211] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3594), 1,
      sym_heredoc_body,
    ACTIONS(4034), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 28,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [107263] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3595), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 10,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [107343] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5409), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5419), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_QMARK,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_GT_EQ,
    ACTIONS(5437), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3596), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5413), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5439), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 10,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [107423] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3597), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 11,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [107501] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5409), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5419), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_QMARK,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_GT_EQ,
    ACTIONS(5437), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3598), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5413), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5439), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 10,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [107581] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    STATE(3599), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 27,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [107635] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5409), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5419), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_GT_EQ,
    ACTIONS(5437), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3600), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5413), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5439), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 11,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [107713] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5409), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5419), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_QMARK,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_GT_EQ,
    ACTIONS(5437), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3601), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5413), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5439), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 10,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [107793] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5409), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5419), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_QMARK,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_GT_EQ,
    ACTIONS(5437), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3602), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5413), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5439), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 10,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [107873] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3603), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [107953] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COMMA,
    STATE(3585), 1,
      aux_sym_exceptions_repeat1,
    STATE(3604), 1,
      sym_heredoc_body,
    ACTIONS(3950), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 25,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [108007] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5409), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5419), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_QMARK,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_GT_EQ,
    ACTIONS(5437), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3605), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5413), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5439), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 10,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [108087] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_COMMA,
    STATE(3606), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 27,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [108139] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2834), 1,
      sym__string_start,
    STATE(3607), 1,
      sym_heredoc_body,
    STATE(4424), 1,
      sym_keyword_pattern,
    STATE(4427), 1,
      sym__hash_pattern_any_rest,
    STATE(5728), 1,
      sym_string,
    ACTIONS(2826), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(2828), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(5576), 2,
      sym_constant,
      sym_identifier,
    STATE(4409), 2,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
    STATE(5608), 2,
      sym_constant_suffix,
      sym_identifier_suffix,
    ACTIONS(5578), 6,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(5580), 15,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [108209] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3608), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [108289] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3609), 1,
      sym_heredoc_body,
    ACTIONS(4034), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 28,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [108341] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5431), 1,
      anon_sym_GT_EQ,
    ACTIONS(5437), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3610), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5413), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5439), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 14,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [108413] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3611), 1,
      sym_heredoc_body,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [108469] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5431), 1,
      anon_sym_GT_EQ,
    ACTIONS(5437), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3612), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5413), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5439), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 14,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [108541] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5582), 1,
      anon_sym_COMMA,
    STATE(3606), 1,
      aux_sym_exceptions_repeat1,
    STATE(3613), 1,
      sym_heredoc_body,
    ACTIONS(3950), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 27,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [108595] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3614), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [108675] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5359), 1,
      anon_sym_rescue,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3615), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 9,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [108757] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3616), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 10,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [108837] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_GT_EQ,
    ACTIONS(5437), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3617), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5413), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5439), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 13,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [108911] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3618), 1,
      sym_heredoc_body,
    ACTIONS(3161), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3159), 27,
      sym__string_start,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [108961] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5584), 1,
      anon_sym_COMMA,
    STATE(3575), 1,
      aux_sym_exceptions_repeat1,
    STATE(3619), 1,
      sym_heredoc_body,
    ACTIONS(3950), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 27,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [109015] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5196), 1,
      anon_sym_AMP,
    ACTIONS(5200), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5202), 1,
      anon_sym_CARET,
    ACTIONS(5204), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5210), 1,
      anon_sym_GT_EQ,
    ACTIONS(5216), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    ACTIONS(5258), 1,
      anon_sym_QMARK,
    STATE(3620), 1,
      sym_heredoc_body,
    ACTIONS(5208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5212), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5214), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5218), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4386), 10,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [109095] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3621), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 5,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 20,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [109159] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3622), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 11,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [109237] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3623), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 21,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [109295] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3624), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 10,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [109375] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3625), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 10,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [109455] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3626), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 27,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [109507] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5315), 1,
      anon_sym_rescue,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3627), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [109593] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3628), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 21,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [109653] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_DOT,
    ACTIONS(5477), 1,
      anon_sym_PIPE,
    ACTIONS(5479), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5487), 1,
      anon_sym_CARET,
    ACTIONS(5491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5497), 1,
      anon_sym_GT_EQ,
    ACTIONS(5503), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3629), 1,
      sym_heredoc_body,
    ACTIONS(5495), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5499), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5483), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5501), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5505), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 10,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [109733] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3630), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 28,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [109785] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3631), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 28,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [109837] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3632), 1,
      sym_heredoc_body,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 25,
      sym__line_break,
      sym__binary_minus,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [109891] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3633), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [109971] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3603), 1,
      anon_sym_DOT,
    ACTIONS(5256), 1,
      anon_sym_rescue,
    ACTIONS(5477), 1,
      anon_sym_PIPE,
    ACTIONS(5479), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5487), 1,
      anon_sym_CARET,
    ACTIONS(5489), 1,
      anon_sym_QMARK,
    ACTIONS(5491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5497), 1,
      anon_sym_GT_EQ,
    ACTIONS(5503), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3634), 1,
      sym_heredoc_body,
    ACTIONS(5495), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5499), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5483), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5501), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5505), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 8,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [110055] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3635), 1,
      sym_heredoc_body,
    ACTIONS(4034), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 27,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [110107] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3619), 1,
      aux_sym_exceptions_repeat1,
    STATE(3636), 1,
      sym_heredoc_body,
    ACTIONS(3595), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 28,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [110159] = 25,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    ACTIONS(5511), 1,
      anon_sym_rescue,
    ACTIONS(5513), 1,
      anon_sym_COMMA,
    STATE(3637), 1,
      sym_heredoc_body,
    STATE(3819), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3593), 5,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [110249] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5409), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5419), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_GT_EQ,
    ACTIONS(5437), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3638), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5413), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5439), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 11,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [110327] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5477), 1,
      anon_sym_PIPE,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5487), 1,
      anon_sym_CARET,
    ACTIONS(5497), 1,
      anon_sym_GT_EQ,
    ACTIONS(5503), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3639), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5495), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5499), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5483), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5501), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5505), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 13,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [110399] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3640), 1,
      sym_heredoc_body,
    ACTIONS(5499), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5501), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 22,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [110455] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5477), 1,
      anon_sym_PIPE,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5487), 1,
      anon_sym_CARET,
    ACTIONS(5497), 1,
      anon_sym_GT_EQ,
    ACTIONS(5503), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3641), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5495), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5499), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5483), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5501), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5505), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 13,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [110527] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5477), 1,
      anon_sym_PIPE,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5487), 1,
      anon_sym_CARET,
    ACTIONS(5493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5497), 1,
      anon_sym_GT_EQ,
    ACTIONS(5503), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3642), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5495), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5499), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5483), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5501), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5505), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 12,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [110601] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5477), 1,
      anon_sym_PIPE,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5487), 1,
      anon_sym_CARET,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3643), 1,
      sym_heredoc_body,
    ACTIONS(5495), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5499), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5501), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 19,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [110665] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3644), 1,
      sym_heredoc_body,
    ACTIONS(5495), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5499), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5501), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 20,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [110723] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3645), 1,
      sym_heredoc_body,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 25,
      sym__binary_minus,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [110777] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3646), 1,
      sym_heredoc_body,
    ACTIONS(5495), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5499), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5501), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 20,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [110837] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3647), 1,
      sym_heredoc_body,
    ACTIONS(4034), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 28,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [110889] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3648), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 27,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [110941] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3649), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 27,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [110993] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3650), 1,
      sym_heredoc_body,
    ACTIONS(5501), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__binary_minus,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [111047] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3651), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 28,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [111099] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3652), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 28,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [111151] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5473), 1,
      sym__binary_star_star,
    STATE(3653), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 27,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [111203] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_DOT,
    ACTIONS(5443), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5447), 1,
      anon_sym_AMP,
    ACTIONS(5451), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5453), 1,
      anon_sym_CARET,
    ACTIONS(5457), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5459), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5463), 1,
      anon_sym_GT_EQ,
    ACTIONS(5469), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5473), 1,
      sym__binary_star_star,
    STATE(3654), 1,
      sym_heredoc_body,
    ACTIONS(5461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5465), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5449), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5467), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5471), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 10,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [111283] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_DOT,
    ACTIONS(5443), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5447), 1,
      anon_sym_AMP,
    ACTIONS(5451), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5453), 1,
      anon_sym_CARET,
    ACTIONS(5455), 1,
      anon_sym_QMARK,
    ACTIONS(5457), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5459), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5463), 1,
      anon_sym_GT_EQ,
    ACTIONS(5469), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5473), 1,
      sym__binary_star_star,
    STATE(3655), 1,
      sym_heredoc_body,
    ACTIONS(5461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5465), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5449), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5467), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5471), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 9,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [111365] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2834), 1,
      sym__string_start,
    STATE(3656), 1,
      sym_heredoc_body,
    STATE(4424), 1,
      sym_keyword_pattern,
    STATE(4429), 1,
      sym__hash_pattern_any_rest,
    STATE(5728), 1,
      sym_string,
    ACTIONS(2826), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(2828), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(5576), 2,
      sym_constant,
      sym_identifier,
    STATE(4409), 2,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
    STATE(5608), 2,
      sym_constant_suffix,
      sym_identifier_suffix,
    ACTIONS(5586), 6,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(5588), 15,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [111435] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_DOT,
    ACTIONS(5256), 1,
      anon_sym_rescue,
    ACTIONS(5477), 1,
      anon_sym_PIPE,
    ACTIONS(5479), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5487), 1,
      anon_sym_CARET,
    ACTIONS(5489), 1,
      anon_sym_QMARK,
    ACTIONS(5491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5497), 1,
      anon_sym_GT_EQ,
    ACTIONS(5503), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    STATE(3657), 1,
      sym_heredoc_body,
    ACTIONS(5495), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5499), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5483), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5501), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5505), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3277), 8,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [111519] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5473), 1,
      sym__binary_star_star,
    STATE(3658), 1,
      sym_heredoc_body,
    ACTIONS(5467), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__line_break,
      sym__binary_minus,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [111573] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5315), 1,
      anon_sym_rescue,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3659), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 9,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [111655] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5409), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5419), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_QMARK,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_GT_EQ,
    ACTIONS(5437), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3660), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5413), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5439), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 10,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [111735] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5473), 1,
      sym__binary_star_star,
    STATE(3661), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 27,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [111787] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5415), 1,
      anon_sym_in,
    ACTIONS(5515), 1,
      anon_sym_EQ_GT,
    STATE(3662), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 27,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [111841] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    ACTIONS(5353), 1,
      anon_sym_rescue,
    STATE(3663), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 9,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [111923] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_DOT,
    ACTIONS(5443), 1,
      anon_sym_PIPE,
    ACTIONS(5445), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5447), 1,
      anon_sym_AMP,
    ACTIONS(5451), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5453), 1,
      anon_sym_CARET,
    ACTIONS(5455), 1,
      anon_sym_QMARK,
    ACTIONS(5457), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5459), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5463), 1,
      anon_sym_GT_EQ,
    ACTIONS(5469), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5473), 1,
      sym__binary_star_star,
    STATE(3664), 1,
      sym_heredoc_body,
    ACTIONS(5461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5465), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5449), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5467), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5471), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 9,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [112005] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3665), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 28,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [112055] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3666), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 14,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [112127] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3667), 1,
      sym_heredoc_body,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [112183] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3668), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 14,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [112255] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3669), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 11,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [112333] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3670), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 28,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [112385] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_DOT,
    ACTIONS(4622), 1,
      sym__binary_star_star,
    ACTIONS(4626), 1,
      anon_sym_PIPE,
    ACTIONS(4628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_AMP,
    ACTIONS(4634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4636), 1,
      anon_sym_CARET,
    ACTIONS(4638), 1,
      anon_sym_QMARK,
    ACTIONS(4640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4646), 1,
      anon_sym_GT_EQ,
    ACTIONS(4652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5262), 1,
      anon_sym_rescue,
    STATE(3671), 1,
      sym_heredoc_body,
    ACTIONS(4644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3277), 8,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [112469] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3672), 1,
      sym_heredoc_body,
    ACTIONS(2988), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(2986), 28,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [112519] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3673), 1,
      sym_heredoc_body,
    ACTIONS(3189), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3187), 27,
      sym__string_start,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [112569] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5590), 1,
      sym__binary_star_star,
    STATE(3674), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 27,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [112621] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3675), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 13,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [112695] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3676), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 28,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [112747] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3677), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 11,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [112825] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5409), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5415), 1,
      anon_sym_in,
    ACTIONS(5419), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_QMARK,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_GT_EQ,
    ACTIONS(5437), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    ACTIONS(5515), 1,
      anon_sym_EQ_GT,
    STATE(3678), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5413), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5439), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 8,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [112909] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5409), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5415), 1,
      anon_sym_in,
    ACTIONS(5419), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_QMARK,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_GT_EQ,
    ACTIONS(5437), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    ACTIONS(5515), 1,
      anon_sym_EQ_GT,
    STATE(3679), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5413), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5439), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 8,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [112993] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5473), 1,
      sym__binary_star_star,
    STATE(3680), 1,
      sym_heredoc_body,
    ACTIONS(4034), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 27,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [113045] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5443), 1,
      anon_sym_PIPE,
    ACTIONS(5447), 1,
      anon_sym_AMP,
    ACTIONS(5453), 1,
      anon_sym_CARET,
    ACTIONS(5463), 1,
      anon_sym_GT_EQ,
    ACTIONS(5469), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5473), 1,
      sym__binary_star_star,
    STATE(3681), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5465), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5449), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5467), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5471), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 13,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [113117] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5473), 1,
      sym__binary_star_star,
    STATE(3682), 1,
      sym_heredoc_body,
    ACTIONS(5465), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5467), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 22,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [113173] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5443), 1,
      anon_sym_PIPE,
    ACTIONS(5447), 1,
      anon_sym_AMP,
    ACTIONS(5453), 1,
      anon_sym_CARET,
    ACTIONS(5463), 1,
      anon_sym_GT_EQ,
    ACTIONS(5469), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5473), 1,
      sym__binary_star_star,
    STATE(3683), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5465), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5449), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5467), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5471), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 13,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [113245] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5443), 1,
      anon_sym_PIPE,
    ACTIONS(5447), 1,
      anon_sym_AMP,
    ACTIONS(5453), 1,
      anon_sym_CARET,
    ACTIONS(5459), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5463), 1,
      anon_sym_GT_EQ,
    ACTIONS(5469), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5473), 1,
      sym__binary_star_star,
    STATE(3684), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5465), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5449), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5467), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5471), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 12,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [113319] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3685), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 21,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [113377] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5443), 1,
      anon_sym_PIPE,
    ACTIONS(5447), 1,
      anon_sym_AMP,
    ACTIONS(5453), 1,
      anon_sym_CARET,
    ACTIONS(5473), 1,
      sym__binary_star_star,
    STATE(3686), 1,
      sym_heredoc_body,
    ACTIONS(5461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5465), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5467), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 19,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [113441] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5409), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5415), 1,
      anon_sym_in,
    ACTIONS(5419), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_QMARK,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_GT_EQ,
    ACTIONS(5437), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    ACTIONS(5515), 1,
      anon_sym_EQ_GT,
    STATE(3687), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5413), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5439), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 8,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [113525] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5473), 1,
      sym__binary_star_star,
    STATE(3688), 1,
      sym_heredoc_body,
    ACTIONS(5461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5465), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5467), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 20,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [113583] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym_AMP,
    ACTIONS(5473), 1,
      sym__binary_star_star,
    STATE(3689), 1,
      sym_heredoc_body,
    ACTIONS(5461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5465), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5467), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 20,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [113643] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3690), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 21,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [113703] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5473), 1,
      sym__binary_star_star,
    STATE(3691), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 27,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [113755] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5592), 1,
      sym__binary_star_star,
    STATE(3692), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 26,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [113806] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5594), 1,
      sym__binary_star_star,
    STATE(3693), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 26,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [113857] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    STATE(3694), 1,
      sym_heredoc_body,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 20,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [113912] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_PIPE,
    ACTIONS(5537), 1,
      anon_sym_AMP,
    ACTIONS(5543), 1,
      anon_sym_CARET,
    ACTIONS(5553), 1,
      anon_sym_GT_EQ,
    ACTIONS(5559), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    STATE(3695), 1,
      sym_heredoc_body,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 3,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
    ACTIONS(5539), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5561), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 11,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [113983] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    STATE(3696), 1,
      sym_heredoc_body,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 22,
      sym__binary_minus,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [114036] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(5592), 1,
      sym__binary_star_star,
    ACTIONS(5596), 1,
      anon_sym_PIPE,
    ACTIONS(5598), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5600), 1,
      anon_sym_AMP,
    ACTIONS(5604), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5606), 1,
      anon_sym_CARET,
    ACTIONS(5608), 1,
      anon_sym_QMARK,
    ACTIONS(5610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5616), 1,
      anon_sym_GT_EQ,
    ACTIONS(5622), 1,
      anon_sym_EQ_EQ,
    STATE(3697), 1,
      sym_heredoc_body,
    ACTIONS(5614), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5618), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5602), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5620), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5624), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 8,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [114117] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    STATE(3698), 1,
      sym_heredoc_body,
    ACTIONS(3984), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 25,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [114168] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    STATE(3699), 1,
      sym_heredoc_body,
    ACTIONS(3984), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 25,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [114219] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_PIPE,
    ACTIONS(5535), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5537), 1,
      anon_sym_AMP,
    ACTIONS(5541), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5543), 1,
      anon_sym_CARET,
    ACTIONS(5545), 1,
      anon_sym_QMARK,
    ACTIONS(5547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5549), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5553), 1,
      anon_sym_GT_EQ,
    ACTIONS(5559), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    ACTIONS(5569), 1,
      anon_sym_rescue,
    STATE(3700), 1,
      sym_heredoc_body,
    ACTIONS(3603), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5539), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5561), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 6,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [114302] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(5592), 1,
      sym__binary_star_star,
    ACTIONS(5596), 1,
      anon_sym_PIPE,
    ACTIONS(5598), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5600), 1,
      anon_sym_AMP,
    ACTIONS(5604), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5606), 1,
      anon_sym_CARET,
    ACTIONS(5608), 1,
      anon_sym_QMARK,
    ACTIONS(5610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5616), 1,
      anon_sym_GT_EQ,
    ACTIONS(5622), 1,
      anon_sym_EQ_EQ,
    STATE(3701), 1,
      sym_heredoc_body,
    ACTIONS(5614), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5618), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5602), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5620), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5624), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 8,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [114383] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_DOT,
    ACTIONS(5592), 1,
      sym__binary_star_star,
    ACTIONS(5596), 1,
      anon_sym_PIPE,
    ACTIONS(5598), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5600), 1,
      anon_sym_AMP,
    ACTIONS(5604), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5606), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5616), 1,
      anon_sym_GT_EQ,
    ACTIONS(5622), 1,
      anon_sym_EQ_EQ,
    STATE(3702), 1,
      sym_heredoc_body,
    ACTIONS(5614), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5618), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5602), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5620), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5624), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 9,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [114462] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5537), 1,
      anon_sym_AMP,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    STATE(3703), 1,
      sym_heredoc_body,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 18,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [114521] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_QMARK,
    ACTIONS(5640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3704), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 9,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [114600] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_QMARK,
    ACTIONS(5640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3705), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 9,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [114679] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    STATE(3706), 1,
      sym_heredoc_body,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 18,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [114736] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_PIPE,
    ACTIONS(5537), 1,
      anon_sym_AMP,
    ACTIONS(5543), 1,
      anon_sym_CARET,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    STATE(3707), 1,
      sym_heredoc_body,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 17,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [114799] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_QMARK,
    ACTIONS(5640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3708), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 9,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [114878] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_QMARK,
    ACTIONS(5640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3709), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 9,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [114957] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_PIPE,
    ACTIONS(5537), 1,
      anon_sym_AMP,
    ACTIONS(5543), 1,
      anon_sym_CARET,
    ACTIONS(5549), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5553), 1,
      anon_sym_GT_EQ,
    ACTIONS(5559), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    STATE(3710), 1,
      sym_heredoc_body,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 3,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
    ACTIONS(5539), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5561), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 10,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [115030] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    STATE(3711), 1,
      sym_heredoc_body,
    ACTIONS(4034), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 25,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [115081] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT,
    ACTIONS(5592), 1,
      sym__binary_star_star,
    ACTIONS(5596), 1,
      anon_sym_PIPE,
    ACTIONS(5598), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5600), 1,
      anon_sym_AMP,
    ACTIONS(5604), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5606), 1,
      anon_sym_CARET,
    ACTIONS(5608), 1,
      anon_sym_QMARK,
    ACTIONS(5610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5616), 1,
      anon_sym_GT_EQ,
    ACTIONS(5622), 1,
      anon_sym_EQ_EQ,
    STATE(3712), 1,
      sym_heredoc_body,
    ACTIONS(5614), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5618), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5602), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5620), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5624), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 8,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [115162] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym_DOT,
    ACTIONS(5592), 1,
      sym__binary_star_star,
    ACTIONS(5596), 1,
      anon_sym_PIPE,
    ACTIONS(5598), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5600), 1,
      anon_sym_AMP,
    ACTIONS(5604), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5606), 1,
      anon_sym_CARET,
    ACTIONS(5608), 1,
      anon_sym_QMARK,
    ACTIONS(5610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5616), 1,
      anon_sym_GT_EQ,
    ACTIONS(5622), 1,
      anon_sym_EQ_EQ,
    STATE(3713), 1,
      sym_heredoc_body,
    ACTIONS(5614), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5618), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5602), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5620), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5624), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 8,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [115243] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    ACTIONS(5509), 1,
      anon_sym_rescue,
    STATE(3714), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 8,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [115324] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    STATE(3715), 1,
      sym_heredoc_body,
    ACTIONS(3381), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 25,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [115375] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5658), 1,
      sym__binary_star_star,
    STATE(3716), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 26,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [115426] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_DOT,
    ACTIONS(5660), 1,
      anon_sym_PIPE,
    ACTIONS(5662), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5664), 1,
      anon_sym_AMP,
    ACTIONS(5668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5670), 1,
      anon_sym_CARET,
    ACTIONS(5672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5674), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5678), 1,
      anon_sym_GT_EQ,
    ACTIONS(5684), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5688), 1,
      sym__binary_star_star,
    STATE(3717), 1,
      sym_heredoc_body,
    ACTIONS(5676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5680), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5666), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5682), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5686), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 9,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [115505] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(3718), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 9,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [115584] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5722), 1,
      sym__binary_star_star,
    STATE(3719), 1,
      sym_heredoc_body,
    ACTIONS(3329), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 25,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [115635] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3720), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 27,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [115686] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3721), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 10,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [115763] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_QMARK,
    ACTIONS(5640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    ACTIONS(5724), 1,
      anon_sym_in,
    ACTIONS(5726), 1,
      anon_sym_EQ_GT,
    STATE(3722), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [115846] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_PIPE,
    ACTIONS(5535), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5537), 1,
      anon_sym_AMP,
    ACTIONS(5541), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5543), 1,
      anon_sym_CARET,
    ACTIONS(5545), 1,
      anon_sym_QMARK,
    ACTIONS(5547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5549), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5553), 1,
      anon_sym_GT_EQ,
    ACTIONS(5559), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    ACTIONS(5571), 1,
      anon_sym_rescue,
    STATE(3723), 1,
      sym_heredoc_body,
    ACTIONS(3279), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5539), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5561), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3277), 6,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [115929] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(3724), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 9,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [116008] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3725), 1,
      sym_heredoc_body,
    ACTIONS(4034), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 27,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [116059] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5513), 1,
      anon_sym_COMMA,
    STATE(3726), 1,
      sym_heredoc_body,
    STATE(3819), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 26,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [116112] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3727), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 13,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [116183] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_DOT,
    ACTIONS(5592), 1,
      sym__binary_star_star,
    ACTIONS(5596), 1,
      anon_sym_PIPE,
    ACTIONS(5598), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5600), 1,
      anon_sym_AMP,
    ACTIONS(5604), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5606), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5616), 1,
      anon_sym_GT_EQ,
    ACTIONS(5622), 1,
      anon_sym_EQ_EQ,
    STATE(3728), 1,
      sym_heredoc_body,
    ACTIONS(5614), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5618), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5602), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5620), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5624), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 9,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [116262] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3729), 1,
      sym_heredoc_body,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 22,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [116317] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(3730), 1,
      sym_heredoc_body,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__binary_minus,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [116370] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(3731), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 27,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [116421] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(3732), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 27,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [116472] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_DOT,
    ACTIONS(5592), 1,
      sym__binary_star_star,
    ACTIONS(5596), 1,
      anon_sym_PIPE,
    ACTIONS(5598), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5600), 1,
      anon_sym_AMP,
    ACTIONS(5604), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5606), 1,
      anon_sym_CARET,
    ACTIONS(5608), 1,
      anon_sym_QMARK,
    ACTIONS(5610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5616), 1,
      anon_sym_GT_EQ,
    ACTIONS(5622), 1,
      anon_sym_EQ_EQ,
    STATE(3733), 1,
      sym_heredoc_body,
    ACTIONS(5614), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5618), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5602), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5620), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5624), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 8,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [116553] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(3734), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 20,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [116612] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(3735), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [116689] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5592), 1,
      sym__binary_star_star,
    STATE(3736), 1,
      sym_heredoc_body,
    ACTIONS(5620), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__line_break,
      sym__binary_minus,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [116742] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5592), 1,
      sym__binary_star_star,
    STATE(3737), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 26,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [116793] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(3738), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 20,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [116850] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(3739), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 5,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 19,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [116913] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(3740), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 9,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [116992] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(3741), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 12,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [117065] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(3742), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 13,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [117136] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(3743), 1,
      sym_heredoc_body,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [117191] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(3744), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 13,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [117262] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5592), 1,
      sym__binary_star_star,
    STATE(3745), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 26,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [117313] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5728), 1,
      sym__binary_star_star,
    STATE(3746), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 26,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [117364] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5592), 1,
      sym__binary_star_star,
    ACTIONS(5600), 1,
      anon_sym_AMP,
    STATE(3747), 1,
      sym_heredoc_body,
    ACTIONS(5614), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5618), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5620), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 19,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [117423] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5592), 1,
      sym__binary_star_star,
    STATE(3748), 1,
      sym_heredoc_body,
    ACTIONS(5614), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5618), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5620), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 19,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [117480] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_QMARK,
    ACTIONS(5640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3749), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 9,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [117559] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5730), 1,
      anon_sym_COMMA,
    STATE(3750), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 26,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [117610] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5592), 1,
      sym__binary_star_star,
    ACTIONS(5596), 1,
      anon_sym_PIPE,
    ACTIONS(5600), 1,
      anon_sym_AMP,
    ACTIONS(5606), 1,
      anon_sym_CARET,
    STATE(3751), 1,
      sym_heredoc_body,
    ACTIONS(5614), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5618), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5620), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 18,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [117673] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5592), 1,
      sym__binary_star_star,
    ACTIONS(5596), 1,
      anon_sym_PIPE,
    ACTIONS(5600), 1,
      anon_sym_AMP,
    ACTIONS(5606), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5616), 1,
      anon_sym_GT_EQ,
    ACTIONS(5622), 1,
      anon_sym_EQ_EQ,
    STATE(3752), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5614), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5618), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5602), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5620), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5624), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 11,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [117746] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(4335), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP,
    ACTIONS(4341), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_CARET,
    ACTIONS(4345), 1,
      anon_sym_QMARK,
    ACTIONS(4347), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4353), 1,
      anon_sym_GT_EQ,
    ACTIONS(4359), 1,
      anon_sym_EQ_EQ,
    ACTIONS(4363), 1,
      sym__binary_star_star,
    ACTIONS(5509), 1,
      anon_sym_rescue,
    STATE(3753), 1,
      sym_heredoc_body,
    ACTIONS(4351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4355), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4339), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4357), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4361), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 6,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [117831] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(3754), 1,
      sym_heredoc_body,
    ACTIONS(4034), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 27,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [117882] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3755), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 13,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [117953] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_QMARK,
    ACTIONS(5640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3756), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 9,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [118032] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5592), 1,
      sym__binary_star_star,
    ACTIONS(5596), 1,
      anon_sym_PIPE,
    ACTIONS(5600), 1,
      anon_sym_AMP,
    ACTIONS(5606), 1,
      anon_sym_CARET,
    ACTIONS(5616), 1,
      anon_sym_GT_EQ,
    ACTIONS(5622), 1,
      anon_sym_EQ_EQ,
    STATE(3757), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5614), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5618), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5602), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5620), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5624), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 12,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [118103] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5592), 1,
      sym__binary_star_star,
    STATE(3758), 1,
      sym_heredoc_body,
    ACTIONS(5618), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5620), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 21,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [118158] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5592), 1,
      sym__binary_star_star,
    ACTIONS(5596), 1,
      anon_sym_PIPE,
    ACTIONS(5600), 1,
      anon_sym_AMP,
    ACTIONS(5606), 1,
      anon_sym_CARET,
    ACTIONS(5616), 1,
      anon_sym_GT_EQ,
    ACTIONS(5622), 1,
      anon_sym_EQ_EQ,
    STATE(3759), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5614), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5618), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5602), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5620), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5624), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 12,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [118229] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5592), 1,
      sym__binary_star_star,
    STATE(3760), 1,
      sym_heredoc_body,
    ACTIONS(4034), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 26,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [118280] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_QMARK,
    ACTIONS(5640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3761), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 9,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [118359] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3762), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 5,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 19,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [118422] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(3763), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 9,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [118501] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(3764), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 9,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [118580] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3765), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 20,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [118637] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3766), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 10,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [118714] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3767), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 20,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [118773] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5688), 1,
      sym__binary_star_star,
    STATE(3768), 1,
      sym_heredoc_body,
    ACTIONS(3381), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 26,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [118824] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3769), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 27,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [118875] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_DOT,
    ACTIONS(5660), 1,
      anon_sym_PIPE,
    ACTIONS(5662), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5664), 1,
      anon_sym_AMP,
    ACTIONS(5668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5670), 1,
      anon_sym_CARET,
    ACTIONS(5672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5674), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5678), 1,
      anon_sym_GT_EQ,
    ACTIONS(5684), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5688), 1,
      sym__binary_star_star,
    ACTIONS(5733), 1,
      anon_sym_QMARK,
    STATE(3770), 1,
      sym_heredoc_body,
    ACTIONS(5676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5680), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5666), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5682), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5686), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 8,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [118956] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_PIPE,
    ACTIONS(5535), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5537), 1,
      anon_sym_AMP,
    ACTIONS(5541), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5543), 1,
      anon_sym_CARET,
    ACTIONS(5545), 1,
      anon_sym_QMARK,
    ACTIONS(5547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5549), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5553), 1,
      anon_sym_GT_EQ,
    ACTIONS(5559), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    ACTIONS(5571), 1,
      anon_sym_rescue,
    STATE(3771), 1,
      sym_heredoc_body,
    ACTIONS(3603), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5539), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5561), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 6,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [119039] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3772), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 27,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [119090] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3773), 1,
      sym_heredoc_body,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__binary_minus,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [119143] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5688), 1,
      sym__binary_star_star,
    STATE(3774), 1,
      sym_heredoc_body,
    ACTIONS(5682), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__binary_minus,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [119196] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5688), 1,
      sym__binary_star_star,
    STATE(3775), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 26,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [119247] = 24,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    ACTIONS(5393), 1,
      anon_sym_rescue,
    STATE(3519), 1,
      aux_sym_exceptions_repeat1,
    STATE(3776), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3593), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [119334] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(3777), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 9,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [119413] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5688), 1,
      sym__binary_star_star,
    STATE(3778), 1,
      sym_heredoc_body,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 26,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [119464] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5664), 1,
      anon_sym_AMP,
    ACTIONS(5688), 1,
      sym__binary_star_star,
    STATE(3779), 1,
      sym_heredoc_body,
    ACTIONS(5676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5680), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5682), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 19,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [119523] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5688), 1,
      sym__binary_star_star,
    STATE(3780), 1,
      sym_heredoc_body,
    ACTIONS(5676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5680), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5682), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 19,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [119580] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5660), 1,
      anon_sym_PIPE,
    ACTIONS(5664), 1,
      anon_sym_AMP,
    ACTIONS(5670), 1,
      anon_sym_CARET,
    ACTIONS(5688), 1,
      sym__binary_star_star,
    STATE(3781), 1,
      sym_heredoc_body,
    ACTIONS(5676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5680), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5682), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 18,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [119643] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5660), 1,
      anon_sym_PIPE,
    ACTIONS(5664), 1,
      anon_sym_AMP,
    ACTIONS(5670), 1,
      anon_sym_CARET,
    ACTIONS(5674), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5678), 1,
      anon_sym_GT_EQ,
    ACTIONS(5684), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5688), 1,
      sym__binary_star_star,
    STATE(3782), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5680), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5666), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5682), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5686), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 11,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [119716] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(3783), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 9,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [119795] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5660), 1,
      anon_sym_PIPE,
    ACTIONS(5664), 1,
      anon_sym_AMP,
    ACTIONS(5670), 1,
      anon_sym_CARET,
    ACTIONS(5678), 1,
      anon_sym_GT_EQ,
    ACTIONS(5684), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5688), 1,
      sym__binary_star_star,
    STATE(3784), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5680), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5666), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5682), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5686), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 12,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [119866] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5735), 1,
      sym__binary_star_star,
    STATE(3785), 1,
      sym_heredoc_body,
    ACTIONS(3329), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 26,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [119917] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5688), 1,
      sym__binary_star_star,
    STATE(3786), 1,
      sym_heredoc_body,
    ACTIONS(5680), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5682), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 21,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [119972] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5660), 1,
      anon_sym_PIPE,
    ACTIONS(5664), 1,
      anon_sym_AMP,
    ACTIONS(5670), 1,
      anon_sym_CARET,
    ACTIONS(5678), 1,
      anon_sym_GT_EQ,
    ACTIONS(5684), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5688), 1,
      sym__binary_star_star,
    STATE(3787), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(5676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5680), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5666), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5682), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5686), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 12,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [120043] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5737), 1,
      sym__binary_star_star,
    STATE(3788), 1,
      sym_heredoc_body,
    ACTIONS(3329), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 25,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [120094] = 24,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5359), 1,
      anon_sym_rescue,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3613), 1,
      aux_sym_exceptions_repeat1,
    STATE(3789), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3593), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [120181] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5688), 1,
      sym__binary_star_star,
    STATE(3790), 1,
      sym_heredoc_body,
    ACTIONS(4034), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 26,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [120232] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5567), 1,
      anon_sym_COMMA,
    STATE(3791), 1,
      sym_heredoc_body,
    STATE(3815), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3950), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 24,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [120285] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_QMARK,
    ACTIONS(5640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    ACTIONS(5724), 1,
      anon_sym_in,
    ACTIONS(5739), 1,
      anon_sym_EQ_GT,
    STATE(3792), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [120368] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_PIPE,
    ACTIONS(5535), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5537), 1,
      anon_sym_AMP,
    ACTIONS(5541), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5543), 1,
      anon_sym_CARET,
    ACTIONS(5545), 1,
      anon_sym_QMARK,
    ACTIONS(5547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5549), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5553), 1,
      anon_sym_GT_EQ,
    ACTIONS(5559), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    STATE(3793), 1,
      sym_heredoc_body,
    ACTIONS(3381), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5539), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5561), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 7,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [120449] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_PIPE,
    ACTIONS(5535), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5537), 1,
      anon_sym_AMP,
    ACTIONS(5541), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5543), 1,
      anon_sym_CARET,
    ACTIONS(5545), 1,
      anon_sym_QMARK,
    ACTIONS(5547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5549), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5553), 1,
      anon_sym_GT_EQ,
    ACTIONS(5559), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    STATE(3794), 1,
      sym_heredoc_body,
    ACTIONS(3381), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5539), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5561), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 7,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [120530] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    ACTIONS(5724), 1,
      anon_sym_in,
    ACTIONS(5739), 1,
      anon_sym_EQ_GT,
    STATE(3795), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 25,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [120585] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_PIPE,
    ACTIONS(5535), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5537), 1,
      anon_sym_AMP,
    ACTIONS(5541), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5543), 1,
      anon_sym_CARET,
    ACTIONS(5547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5549), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5553), 1,
      anon_sym_GT_EQ,
    ACTIONS(5559), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    STATE(3796), 1,
      sym_heredoc_body,
    ACTIONS(4020), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5539), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5561), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 8,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [120664] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_PIPE,
    ACTIONS(5535), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5537), 1,
      anon_sym_AMP,
    ACTIONS(5541), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5543), 1,
      anon_sym_CARET,
    ACTIONS(5547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5549), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5553), 1,
      anon_sym_GT_EQ,
    ACTIONS(5559), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    STATE(3797), 1,
      sym_heredoc_body,
    ACTIONS(4002), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5539), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5561), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 8,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [120743] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_PIPE,
    ACTIONS(5535), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5537), 1,
      anon_sym_AMP,
    ACTIONS(5541), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5543), 1,
      anon_sym_CARET,
    ACTIONS(5545), 1,
      anon_sym_QMARK,
    ACTIONS(5547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5549), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5553), 1,
      anon_sym_GT_EQ,
    ACTIONS(5559), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    STATE(3798), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5539), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5561), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 7,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [120824] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(3799), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 27,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [120875] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3800), 1,
      sym_heredoc_body,
    STATE(3819), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 27,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [120926] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3791), 1,
      aux_sym_exceptions_repeat1,
    STATE(3801), 1,
      sym_heredoc_body,
    ACTIONS(3595), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 25,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [120977] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_PIPE,
    ACTIONS(5535), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5537), 1,
      anon_sym_AMP,
    ACTIONS(5541), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5543), 1,
      anon_sym_CARET,
    ACTIONS(5545), 1,
      anon_sym_QMARK,
    ACTIONS(5547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5549), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5553), 1,
      anon_sym_GT_EQ,
    ACTIONS(5559), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    ACTIONS(5569), 1,
      anon_sym_rescue,
    STATE(3802), 1,
      sym_heredoc_body,
    ACTIONS(3279), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5539), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5561), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3277), 6,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [121060] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_PIPE,
    ACTIONS(5535), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5537), 1,
      anon_sym_AMP,
    ACTIONS(5541), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5543), 1,
      anon_sym_CARET,
    ACTIONS(5545), 1,
      anon_sym_QMARK,
    ACTIONS(5547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5549), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5553), 1,
      anon_sym_GT_EQ,
    ACTIONS(5559), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    STATE(3803), 1,
      sym_heredoc_body,
    ACTIONS(4028), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5539), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5561), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 7,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [121141] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_QMARK,
    ACTIONS(5640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    ACTIONS(5724), 1,
      anon_sym_in,
    ACTIONS(5739), 1,
      anon_sym_EQ_GT,
    STATE(3804), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [121224] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_PIPE,
    ACTIONS(5535), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5537), 1,
      anon_sym_AMP,
    ACTIONS(5541), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5543), 1,
      anon_sym_CARET,
    ACTIONS(5545), 1,
      anon_sym_QMARK,
    ACTIONS(5547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5549), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5553), 1,
      anon_sym_GT_EQ,
    ACTIONS(5559), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    STATE(3805), 1,
      sym_heredoc_body,
    ACTIONS(4006), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5539), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5561), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 7,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [121305] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3806), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 12,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [121378] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_QMARK,
    ACTIONS(5640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    ACTIONS(5724), 1,
      anon_sym_in,
    ACTIONS(5739), 1,
      anon_sym_EQ_GT,
    STATE(3807), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [121461] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_PIPE,
    ACTIONS(5537), 1,
      anon_sym_AMP,
    ACTIONS(5543), 1,
      anon_sym_CARET,
    ACTIONS(5553), 1,
      anon_sym_GT_EQ,
    ACTIONS(5559), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    STATE(3808), 1,
      sym_heredoc_body,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 3,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
    ACTIONS(5539), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5561), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 11,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [121532] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(5660), 1,
      anon_sym_PIPE,
    ACTIONS(5662), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5664), 1,
      anon_sym_AMP,
    ACTIONS(5668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5670), 1,
      anon_sym_CARET,
    ACTIONS(5672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5674), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5678), 1,
      anon_sym_GT_EQ,
    ACTIONS(5684), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5688), 1,
      sym__binary_star_star,
    ACTIONS(5733), 1,
      anon_sym_QMARK,
    STATE(3809), 1,
      sym_heredoc_body,
    ACTIONS(5676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5680), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5666), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5682), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5686), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 8,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [121613] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(3810), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [121690] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_DOT,
    ACTIONS(5660), 1,
      anon_sym_PIPE,
    ACTIONS(5662), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5664), 1,
      anon_sym_AMP,
    ACTIONS(5668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5670), 1,
      anon_sym_CARET,
    ACTIONS(5672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5674), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5678), 1,
      anon_sym_GT_EQ,
    ACTIONS(5684), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5688), 1,
      sym__binary_star_star,
    ACTIONS(5733), 1,
      anon_sym_QMARK,
    STATE(3811), 1,
      sym_heredoc_body,
    ACTIONS(5676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5680), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5666), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5682), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5686), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 8,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [121771] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_DOT,
    ACTIONS(5660), 1,
      anon_sym_PIPE,
    ACTIONS(5662), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5664), 1,
      anon_sym_AMP,
    ACTIONS(5668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5670), 1,
      anon_sym_CARET,
    ACTIONS(5672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5674), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5678), 1,
      anon_sym_GT_EQ,
    ACTIONS(5684), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5688), 1,
      sym__binary_star_star,
    STATE(3812), 1,
      sym_heredoc_body,
    ACTIONS(5676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5680), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5666), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5682), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5686), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 9,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [121850] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT,
    ACTIONS(5660), 1,
      anon_sym_PIPE,
    ACTIONS(5662), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5664), 1,
      anon_sym_AMP,
    ACTIONS(5668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5670), 1,
      anon_sym_CARET,
    ACTIONS(5672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5674), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5678), 1,
      anon_sym_GT_EQ,
    ACTIONS(5684), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5688), 1,
      sym__binary_star_star,
    ACTIONS(5733), 1,
      anon_sym_QMARK,
    STATE(3813), 1,
      sym_heredoc_body,
    ACTIONS(5676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5680), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5666), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5682), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5686), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 8,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [121931] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_PIPE,
    ACTIONS(5535), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5537), 1,
      anon_sym_AMP,
    ACTIONS(5541), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5543), 1,
      anon_sym_CARET,
    ACTIONS(5545), 1,
      anon_sym_QMARK,
    ACTIONS(5547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5549), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5553), 1,
      anon_sym_GT_EQ,
    ACTIONS(5559), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    STATE(3814), 1,
      sym_heredoc_body,
    ACTIONS(3791), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5539), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5561), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 7,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [122012] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5741), 1,
      anon_sym_COMMA,
    STATE(3815), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 24,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [122063] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym_DOT,
    ACTIONS(5660), 1,
      anon_sym_PIPE,
    ACTIONS(5662), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5664), 1,
      anon_sym_AMP,
    ACTIONS(5668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5670), 1,
      anon_sym_CARET,
    ACTIONS(5672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5674), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5678), 1,
      anon_sym_GT_EQ,
    ACTIONS(5684), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5688), 1,
      sym__binary_star_star,
    ACTIONS(5733), 1,
      anon_sym_QMARK,
    STATE(3816), 1,
      sym_heredoc_body,
    ACTIONS(5676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5680), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5666), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5682), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5686), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 8,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [122144] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5567), 1,
      anon_sym_COMMA,
    STATE(3791), 1,
      aux_sym_exceptions_repeat1,
    STATE(3817), 1,
      sym_heredoc_body,
    ACTIONS(3595), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 24,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      sym__element_reference_bracket,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [122197] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_PIPE,
    ACTIONS(5535), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5537), 1,
      anon_sym_AMP,
    ACTIONS(5541), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5543), 1,
      anon_sym_CARET,
    ACTIONS(5545), 1,
      anon_sym_QMARK,
    ACTIONS(5547), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5549), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5553), 1,
      anon_sym_GT_EQ,
    ACTIONS(5559), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5563), 1,
      sym__binary_star_star,
    STATE(3818), 1,
      sym_heredoc_body,
    ACTIONS(3998), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5551), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5555), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5539), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5557), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5561), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 7,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [122278] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5513), 1,
      anon_sym_COMMA,
    STATE(3750), 1,
      aux_sym_exceptions_repeat1,
    STATE(3819), 1,
      sym_heredoc_body,
    ACTIONS(3950), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 26,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [122331] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5724), 1,
      anon_sym_in,
    ACTIONS(5739), 1,
      anon_sym_EQ_GT,
    STATE(3820), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 26,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [122384] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3821), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4376), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [122462] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5756), 1,
      anon_sym_QMARK,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3822), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 8,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [122540] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5776), 1,
      anon_sym_PIPE,
    ACTIONS(5778), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5780), 1,
      anon_sym_AMP,
    ACTIONS(5784), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_QMARK,
    ACTIONS(5790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5792), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5796), 1,
      anon_sym_GT_EQ,
    ACTIONS(5802), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5806), 1,
      sym__binary_star_star,
    STATE(3823), 1,
      sym_heredoc_body,
    ACTIONS(3791), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5794), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5798), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5782), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5800), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5804), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 6,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [122620] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5776), 1,
      anon_sym_PIPE,
    ACTIONS(5778), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5780), 1,
      anon_sym_AMP,
    ACTIONS(5784), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_QMARK,
    ACTIONS(5790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5792), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5796), 1,
      anon_sym_GT_EQ,
    ACTIONS(5802), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5806), 1,
      sym__binary_star_star,
    STATE(3824), 1,
      sym_heredoc_body,
    ACTIONS(3998), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5794), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5798), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5782), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5800), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5804), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 6,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [122700] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3825), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 12,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [122770] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3826), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 11,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [122842] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5808), 1,
      sym__binary_star_star,
    STATE(3827), 1,
      sym_heredoc_body,
    ACTIONS(3329), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 24,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [122892] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5776), 1,
      anon_sym_PIPE,
    ACTIONS(5778), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5780), 1,
      anon_sym_AMP,
    ACTIONS(5784), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_QMARK,
    ACTIONS(5790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5792), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5796), 1,
      anon_sym_GT_EQ,
    ACTIONS(5802), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5806), 1,
      sym__binary_star_star,
    STATE(3828), 1,
      sym_heredoc_body,
    ACTIONS(4006), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5794), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5798), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5782), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5800), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5804), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 6,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [122972] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5810), 1,
      sym__binary_star_star,
    STATE(3829), 1,
      sym_heredoc_body,
    ACTIONS(3329), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 24,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [123022] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3830), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 12,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [123092] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5812), 1,
      anon_sym_PIPE,
    ACTIONS(5814), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5816), 1,
      anon_sym_AMP,
    ACTIONS(5820), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5822), 1,
      anon_sym_CARET,
    ACTIONS(5824), 1,
      anon_sym_QMARK,
    ACTIONS(5826), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5828), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5832), 1,
      anon_sym_GT_EQ,
    ACTIONS(5838), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3831), 1,
      sym_heredoc_body,
    ACTIONS(4028), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5830), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5834), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5818), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5836), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5840), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 6,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [123172] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    ACTIONS(4437), 1,
      anon_sym_PIPE,
    ACTIONS(4439), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4441), 1,
      anon_sym_AMP,
    ACTIONS(4445), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4447), 1,
      anon_sym_CARET,
    ACTIONS(4449), 1,
      anon_sym_QMARK,
    ACTIONS(4451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4457), 1,
      anon_sym_GT_EQ,
    ACTIONS(4463), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5511), 1,
      anon_sym_rescue,
    STATE(3832), 1,
      sym_heredoc_body,
    ACTIONS(4455), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4443), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4465), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 7,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [123252] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5806), 1,
      sym__binary_star_star,
    STATE(3833), 1,
      sym_heredoc_body,
    ACTIONS(4034), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 24,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [123302] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5776), 1,
      anon_sym_PIPE,
    ACTIONS(5778), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5780), 1,
      anon_sym_AMP,
    ACTIONS(5784), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_QMARK,
    ACTIONS(5790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5792), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5796), 1,
      anon_sym_GT_EQ,
    ACTIONS(5802), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5806), 1,
      sym__binary_star_star,
    STATE(3834), 1,
      sym_heredoc_body,
    ACTIONS(3381), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5794), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5798), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5782), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5800), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5804), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 6,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [123382] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_rescue,
    ACTIONS(5812), 1,
      anon_sym_PIPE,
    ACTIONS(5814), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5816), 1,
      anon_sym_AMP,
    ACTIONS(5820), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5822), 1,
      anon_sym_CARET,
    ACTIONS(5824), 1,
      anon_sym_QMARK,
    ACTIONS(5826), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5828), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5832), 1,
      anon_sym_GT_EQ,
    ACTIONS(5838), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3835), 1,
      sym_heredoc_body,
    ACTIONS(3603), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5830), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5834), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5818), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5836), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3601), 5,
      sym__element_reference_bracket,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5840), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [123464] = 25,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    ACTIONS(5403), 1,
      anon_sym_COMMA,
    ACTIONS(5844), 1,
      anon_sym_rescue,
    STATE(3519), 1,
      aux_sym_exceptions_repeat1,
    STATE(3836), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3593), 3,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [123552] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5776), 1,
      anon_sym_PIPE,
    ACTIONS(5778), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5780), 1,
      anon_sym_AMP,
    ACTIONS(5784), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_QMARK,
    ACTIONS(5790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5792), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5796), 1,
      anon_sym_GT_EQ,
    ACTIONS(5802), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5806), 1,
      sym__binary_star_star,
    STATE(3837), 1,
      sym_heredoc_body,
    ACTIONS(3381), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5794), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5798), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5782), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5800), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5804), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 6,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [123632] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5812), 1,
      anon_sym_PIPE,
    ACTIONS(5814), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5816), 1,
      anon_sym_AMP,
    ACTIONS(5820), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5822), 1,
      anon_sym_CARET,
    ACTIONS(5824), 1,
      anon_sym_QMARK,
    ACTIONS(5826), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5828), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5832), 1,
      anon_sym_GT_EQ,
    ACTIONS(5838), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3838), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5830), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5834), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5818), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5836), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5840), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 6,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [123712] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5812), 1,
      anon_sym_PIPE,
    ACTIONS(5814), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5816), 1,
      anon_sym_AMP,
    ACTIONS(5820), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5822), 1,
      anon_sym_CARET,
    ACTIONS(5826), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5828), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5832), 1,
      anon_sym_GT_EQ,
    ACTIONS(5838), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3839), 1,
      sym_heredoc_body,
    ACTIONS(4002), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5830), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5834), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5818), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5836), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5840), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 7,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [123790] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5776), 1,
      anon_sym_PIPE,
    ACTIONS(5778), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5780), 1,
      anon_sym_AMP,
    ACTIONS(5784), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5792), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5796), 1,
      anon_sym_GT_EQ,
    ACTIONS(5802), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5806), 1,
      sym__binary_star_star,
    STATE(3840), 1,
      sym_heredoc_body,
    ACTIONS(4002), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5794), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5798), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5782), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5800), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5804), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 7,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [123868] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5756), 1,
      anon_sym_QMARK,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    ACTIONS(5846), 1,
      anon_sym_COMMA,
    STATE(3841), 1,
      sym_heredoc_body,
    STATE(5173), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5850), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5848), 4,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_then,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [123952] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5776), 1,
      anon_sym_PIPE,
    ACTIONS(5780), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5796), 1,
      anon_sym_GT_EQ,
    ACTIONS(5802), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5806), 1,
      sym__binary_star_star,
    STATE(3842), 1,
      sym_heredoc_body,
    ACTIONS(5794), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5798), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 3,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
    ACTIONS(5782), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5800), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5804), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 10,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [124022] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5812), 1,
      anon_sym_PIPE,
    ACTIONS(5814), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5816), 1,
      anon_sym_AMP,
    ACTIONS(5820), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5822), 1,
      anon_sym_CARET,
    ACTIONS(5824), 1,
      anon_sym_QMARK,
    ACTIONS(5826), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5828), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5832), 1,
      anon_sym_GT_EQ,
    ACTIONS(5838), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3843), 1,
      sym_heredoc_body,
    ACTIONS(3381), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5830), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5834), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5818), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5836), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5840), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 6,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [124102] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5415), 1,
      anon_sym_in,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5756), 1,
      anon_sym_QMARK,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    ACTIONS(5852), 1,
      anon_sym_EQ_GT,
    STATE(3844), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 6,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [124184] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5812), 1,
      anon_sym_PIPE,
    ACTIONS(5814), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5816), 1,
      anon_sym_AMP,
    ACTIONS(5820), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5822), 1,
      anon_sym_CARET,
    ACTIONS(5824), 1,
      anon_sym_QMARK,
    ACTIONS(5826), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5828), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5832), 1,
      anon_sym_GT_EQ,
    ACTIONS(5838), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3845), 1,
      sym_heredoc_body,
    ACTIONS(3381), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5830), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5834), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5818), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5836), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5840), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 6,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [124264] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5806), 1,
      sym__binary_star_star,
    STATE(3846), 1,
      sym_heredoc_body,
    ACTIONS(5798), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5800), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 19,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [124318] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3847), 1,
      sym_heredoc_body,
    ACTIONS(4034), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 26,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [124368] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_in,
    ACTIONS(4202), 1,
      anon_sym_EQ_GT,
    ACTIONS(4435), 1,
      sym__binary_star_star,
    ACTIONS(4437), 1,
      anon_sym_PIPE,
    ACTIONS(4439), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4441), 1,
      anon_sym_AMP,
    ACTIONS(4445), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4447), 1,
      anon_sym_CARET,
    ACTIONS(4449), 1,
      anon_sym_QMARK,
    ACTIONS(4451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4457), 1,
      anon_sym_GT_EQ,
    ACTIONS(4463), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5511), 1,
      anon_sym_rescue,
    STATE(3848), 1,
      sym_heredoc_body,
    ACTIONS(4455), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4459), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4443), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4461), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3601), 5,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(4465), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [124452] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5776), 1,
      anon_sym_PIPE,
    ACTIONS(5780), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5796), 1,
      anon_sym_GT_EQ,
    ACTIONS(5802), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5806), 1,
      sym__binary_star_star,
    STATE(3849), 1,
      sym_heredoc_body,
    ACTIONS(5794), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5798), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 3,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
    ACTIONS(5782), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5800), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5804), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 10,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [124522] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5776), 1,
      anon_sym_PIPE,
    ACTIONS(5780), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5792), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5796), 1,
      anon_sym_GT_EQ,
    ACTIONS(5802), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5806), 1,
      sym__binary_star_star,
    STATE(3850), 1,
      sym_heredoc_body,
    ACTIONS(5794), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5798), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 3,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
    ACTIONS(5782), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5800), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5804), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 9,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [124594] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5776), 1,
      anon_sym_PIPE,
    ACTIONS(5780), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5806), 1,
      sym__binary_star_star,
    STATE(3851), 1,
      sym_heredoc_body,
    ACTIONS(5794), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5798), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5800), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 16,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [124656] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5756), 1,
      anon_sym_QMARK,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3852), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 8,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [124734] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5359), 1,
      anon_sym_rescue,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3853), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3601), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [124818] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5806), 1,
      sym__binary_star_star,
    STATE(3854), 1,
      sym_heredoc_body,
    ACTIONS(5794), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5798), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5800), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 17,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [124874] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5776), 1,
      anon_sym_PIPE,
    ACTIONS(5778), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5780), 1,
      anon_sym_AMP,
    ACTIONS(5784), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_QMARK,
    ACTIONS(5790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5792), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5796), 1,
      anon_sym_GT_EQ,
    ACTIONS(5802), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5806), 1,
      sym__binary_star_star,
    STATE(3855), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5794), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5798), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5782), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5800), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5804), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 6,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [124954] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5776), 1,
      anon_sym_PIPE,
    ACTIONS(5778), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5780), 1,
      anon_sym_AMP,
    ACTIONS(5784), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_QMARK,
    ACTIONS(5790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5792), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5796), 1,
      anon_sym_GT_EQ,
    ACTIONS(5802), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5806), 1,
      sym__binary_star_star,
    STATE(3856), 1,
      sym_heredoc_body,
    ACTIONS(4028), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5794), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5798), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5782), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5800), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5804), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 6,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [125034] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5780), 1,
      anon_sym_AMP,
    ACTIONS(5806), 1,
      sym__binary_star_star,
    STATE(3857), 1,
      sym_heredoc_body,
    ACTIONS(5794), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5798), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5800), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 17,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [125092] = 25,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    ACTIONS(5582), 1,
      anon_sym_COMMA,
    ACTIONS(5854), 1,
      anon_sym_rescue,
    STATE(3613), 1,
      aux_sym_exceptions_repeat1,
    STATE(3858), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3593), 3,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [125180] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5806), 1,
      sym__binary_star_star,
    STATE(3859), 1,
      sym_heredoc_body,
    ACTIONS(3984), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [125230] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5806), 1,
      sym__binary_star_star,
    STATE(3860), 1,
      sym_heredoc_body,
    ACTIONS(3984), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [125280] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3861), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 5,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 18,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [125342] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5806), 1,
      sym__binary_star_star,
    STATE(3862), 1,
      sym_heredoc_body,
    ACTIONS(5800), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 21,
      sym__binary_minus,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [125394] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5806), 1,
      sym__binary_star_star,
    STATE(3863), 1,
      sym_heredoc_body,
    ACTIONS(3381), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 24,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [125444] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5856), 1,
      sym__binary_star_star,
    STATE(3864), 1,
      sym_heredoc_body,
    ACTIONS(3329), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 24,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [125494] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3865), 1,
      sym_heredoc_body,
    ACTIONS(3381), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 24,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [125544] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5812), 1,
      anon_sym_PIPE,
    ACTIONS(5814), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5816), 1,
      anon_sym_AMP,
    ACTIONS(5820), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5822), 1,
      anon_sym_CARET,
    ACTIONS(5826), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5828), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5832), 1,
      anon_sym_GT_EQ,
    ACTIONS(5838), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3866), 1,
      sym_heredoc_body,
    ACTIONS(4020), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5830), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5834), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5818), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5836), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5840), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 7,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [125622] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3867), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4370), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [125700] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5415), 1,
      anon_sym_in,
    ACTIONS(5515), 1,
      anon_sym_EQ_GT,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5756), 1,
      anon_sym_QMARK,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3868), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 6,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [125782] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3869), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4374), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [125860] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    ACTIONS(5858), 1,
      anon_sym_rescue,
    STATE(3870), 1,
      sym_heredoc_body,
    STATE(3951), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3593), 6,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [125942] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5812), 1,
      anon_sym_PIPE,
    ACTIONS(5814), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5816), 1,
      anon_sym_AMP,
    ACTIONS(5820), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5822), 1,
      anon_sym_CARET,
    ACTIONS(5824), 1,
      anon_sym_QMARK,
    ACTIONS(5826), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5828), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5832), 1,
      anon_sym_GT_EQ,
    ACTIONS(5838), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3871), 1,
      sym_heredoc_body,
    ACTIONS(4006), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5830), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5834), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5818), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5836), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5840), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 6,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [126022] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3872), 1,
      sym_heredoc_body,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 21,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [126076] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5415), 1,
      anon_sym_in,
    ACTIONS(5515), 1,
      anon_sym_EQ_GT,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3873), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 24,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [126130] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3874), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 19,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [126188] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3875), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4327), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [126266] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3876), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 26,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [126316] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5812), 1,
      anon_sym_PIPE,
    ACTIONS(5816), 1,
      anon_sym_AMP,
    ACTIONS(5822), 1,
      anon_sym_CARET,
    ACTIONS(5828), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5832), 1,
      anon_sym_GT_EQ,
    ACTIONS(5838), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3877), 1,
      sym_heredoc_body,
    ACTIONS(5830), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5834), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 3,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
    ACTIONS(5818), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5836), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5840), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 9,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [126388] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_PIPE,
    ACTIONS(5319), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5321), 1,
      anon_sym_AMP,
    ACTIONS(5329), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5331), 1,
      anon_sym_CARET,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 1,
      anon_sym_GT_EQ,
    ACTIONS(5347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5351), 1,
      sym__binary_star_star,
    STATE(3878), 1,
      sym_heredoc_body,
    ACTIONS(5339), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5343), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5323), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5345), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5349), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4386), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [126466] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5531), 1,
      anon_sym_rescue,
    ACTIONS(5812), 1,
      anon_sym_PIPE,
    ACTIONS(5814), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5816), 1,
      anon_sym_AMP,
    ACTIONS(5820), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5822), 1,
      anon_sym_CARET,
    ACTIONS(5824), 1,
      anon_sym_QMARK,
    ACTIONS(5826), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5828), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5832), 1,
      anon_sym_GT_EQ,
    ACTIONS(5838), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3879), 1,
      sym_heredoc_body,
    ACTIONS(3603), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5830), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5834), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5818), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5836), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3601), 5,
      sym__element_reference_bracket,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5840), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [126548] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    ACTIONS(5582), 1,
      anon_sym_COMMA,
    ACTIONS(5854), 1,
      anon_sym_rescue,
    STATE(3613), 1,
      aux_sym_exceptions_repeat1,
    STATE(3880), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3593), 5,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [126632] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5756), 1,
      anon_sym_QMARK,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3881), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 8,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [126710] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3882), 1,
      sym_heredoc_body,
    ACTIONS(4034), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 24,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [126760] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5756), 1,
      anon_sym_QMARK,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3883), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 8,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [126838] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3884), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 26,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [126888] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3885), 1,
      sym_heredoc_body,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__line_break,
      sym__binary_minus,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [126940] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5415), 1,
      anon_sym_in,
    ACTIONS(5515), 1,
      anon_sym_EQ_GT,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5756), 1,
      anon_sym_QMARK,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3886), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 6,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [127022] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5776), 1,
      anon_sym_PIPE,
    ACTIONS(5778), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5780), 1,
      anon_sym_AMP,
    ACTIONS(5784), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5792), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5796), 1,
      anon_sym_GT_EQ,
    ACTIONS(5802), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5806), 1,
      sym__binary_star_star,
    STATE(3887), 1,
      sym_heredoc_body,
    ACTIONS(4020), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5794), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5798), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5782), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5800), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5804), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 7,
      sym__element_reference_bracket,
      anon_sym_COMMA,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [127100] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5415), 1,
      anon_sym_in,
    ACTIONS(5515), 1,
      anon_sym_EQ_GT,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5756), 1,
      anon_sym_QMARK,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3888), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 6,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [127182] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5409), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5419), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_QMARK,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_GT_EQ,
    ACTIONS(5437), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3889), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5413), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5439), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4386), 8,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [127260] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3890), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 9,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [127336] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3891), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 26,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [127386] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5812), 1,
      anon_sym_PIPE,
    ACTIONS(5816), 1,
      anon_sym_AMP,
    ACTIONS(5822), 1,
      anon_sym_CARET,
    ACTIONS(5832), 1,
      anon_sym_GT_EQ,
    ACTIONS(5838), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3892), 1,
      sym_heredoc_body,
    ACTIONS(5830), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5834), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 3,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
    ACTIONS(5818), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5836), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5840), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 10,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [127456] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_rescue,
    ACTIONS(5812), 1,
      anon_sym_PIPE,
    ACTIONS(5814), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5816), 1,
      anon_sym_AMP,
    ACTIONS(5820), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5822), 1,
      anon_sym_CARET,
    ACTIONS(5824), 1,
      anon_sym_QMARK,
    ACTIONS(5826), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5828), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5832), 1,
      anon_sym_GT_EQ,
    ACTIONS(5838), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3893), 1,
      sym_heredoc_body,
    ACTIONS(3279), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5830), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5834), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5818), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5836), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3277), 5,
      sym__element_reference_bracket,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5840), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [127538] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3894), 1,
      sym_heredoc_body,
    ACTIONS(5834), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5836), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 19,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [127592] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    ACTIONS(5860), 1,
      anon_sym_rescue,
    ACTIONS(5862), 1,
      anon_sym_COMMA,
    STATE(3895), 1,
      sym_heredoc_body,
    STATE(3951), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3593), 5,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [127676] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5409), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5419), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_QMARK,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_GT_EQ,
    ACTIONS(5437), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3896), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5413), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5439), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4327), 8,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [127754] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5409), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5419), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_QMARK,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_GT_EQ,
    ACTIONS(5437), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3897), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5413), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5439), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4376), 8,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [127832] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5812), 1,
      anon_sym_PIPE,
    ACTIONS(5816), 1,
      anon_sym_AMP,
    ACTIONS(5822), 1,
      anon_sym_CARET,
    ACTIONS(5832), 1,
      anon_sym_GT_EQ,
    ACTIONS(5838), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3898), 1,
      sym_heredoc_body,
    ACTIONS(5830), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5834), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 3,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
    ACTIONS(5818), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5836), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5840), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 10,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [127902] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5409), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5419), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_QMARK,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_GT_EQ,
    ACTIONS(5437), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3899), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5413), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5439), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4374), 8,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [127980] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3900), 1,
      sym_heredoc_body,
    ACTIONS(5836), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 21,
      sym__binary_minus,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [128032] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5812), 1,
      anon_sym_PIPE,
    ACTIONS(5816), 1,
      anon_sym_AMP,
    ACTIONS(5822), 1,
      anon_sym_CARET,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3901), 1,
      sym_heredoc_body,
    ACTIONS(5830), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5834), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5836), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 16,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [128094] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3902), 1,
      sym_heredoc_body,
    ACTIONS(5830), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5834), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5836), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 17,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [128150] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_COMMA,
    STATE(3519), 1,
      aux_sym_exceptions_repeat1,
    STATE(3903), 1,
      sym_heredoc_body,
    ACTIONS(3595), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 25,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [128202] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5816), 1,
      anon_sym_AMP,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3904), 1,
      sym_heredoc_body,
    ACTIONS(5830), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5834), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5836), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 17,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [128260] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5407), 1,
      anon_sym_PIPE,
    ACTIONS(5409), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5411), 1,
      anon_sym_AMP,
    ACTIONS(5419), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5421), 1,
      anon_sym_CARET,
    ACTIONS(5423), 1,
      anon_sym_QMARK,
    ACTIONS(5425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5431), 1,
      anon_sym_GT_EQ,
    ACTIONS(5437), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5441), 1,
      sym__binary_star_star,
    STATE(3905), 1,
      sym_heredoc_body,
    ACTIONS(5429), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5433), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5413), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5435), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5439), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4370), 8,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [128338] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    ACTIONS(5403), 1,
      anon_sym_COMMA,
    ACTIONS(5844), 1,
      anon_sym_rescue,
    STATE(3519), 1,
      aux_sym_exceptions_repeat1,
    STATE(3906), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3593), 5,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [128422] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3907), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 9,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [128498] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3908), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 19,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [128554] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3909), 1,
      sym_heredoc_body,
    ACTIONS(3984), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [128604] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5531), 1,
      anon_sym_rescue,
    ACTIONS(5812), 1,
      anon_sym_PIPE,
    ACTIONS(5814), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5816), 1,
      anon_sym_AMP,
    ACTIONS(5820), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5822), 1,
      anon_sym_CARET,
    ACTIONS(5824), 1,
      anon_sym_QMARK,
    ACTIONS(5826), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5828), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5832), 1,
      anon_sym_GT_EQ,
    ACTIONS(5838), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3910), 1,
      sym_heredoc_body,
    ACTIONS(3279), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5830), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5834), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5818), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5836), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3277), 5,
      sym__element_reference_bracket,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5840), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [128686] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5756), 1,
      anon_sym_QMARK,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3911), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 8,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [128764] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    ACTIONS(5393), 1,
      anon_sym_rescue,
    STATE(3912), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3601), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [128848] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5756), 1,
      anon_sym_QMARK,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3913), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 8,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [128926] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5842), 1,
      sym__binary_star_star,
    STATE(3914), 1,
      sym_heredoc_body,
    ACTIONS(3984), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [128976] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3915), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 6,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [129058] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    ACTIONS(5864), 1,
      anon_sym_EQ_GT,
    STATE(3916), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4269), 6,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [129140] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5866), 1,
      sym__binary_star_star,
    STATE(3917), 1,
      sym_heredoc_body,
    ACTIONS(3329), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 24,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [129190] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3918), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 6,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [129272] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3919), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 24,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [129326] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3920), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 6,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [129408] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5756), 1,
      anon_sym_QMARK,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3921), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 8,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [129486] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    ACTIONS(5724), 1,
      anon_sym_in,
    ACTIONS(5739), 1,
      anon_sym_EQ_GT,
    STATE(3922), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3379), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [129567] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    ACTIONS(5724), 1,
      anon_sym_in,
    ACTIONS(5868), 1,
      anon_sym_EQ_GT,
    STATE(3923), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4269), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [129648] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5415), 1,
      anon_sym_in,
    ACTIONS(5515), 1,
      anon_sym_EQ_GT,
    ACTIONS(5870), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5874), 1,
      anon_sym_AMP,
    ACTIONS(5878), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_QMARK,
    ACTIONS(5884), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5886), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5890), 1,
      anon_sym_GT_EQ,
    ACTIONS(5896), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3924), 1,
      sym_heredoc_body,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5892), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5876), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5894), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3379), 5,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5898), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [129729] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5874), 1,
      anon_sym_AMP,
    ACTIONS(5878), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5884), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5886), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5890), 1,
      anon_sym_GT_EQ,
    ACTIONS(5896), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3925), 1,
      sym_heredoc_body,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5892), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5876), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5894), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5898), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 8,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [129804] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5874), 1,
      anon_sym_AMP,
    ACTIONS(5878), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5884), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5886), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5890), 1,
      anon_sym_GT_EQ,
    ACTIONS(5896), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3926), 1,
      sym_heredoc_body,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5892), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5876), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5894), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5898), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 8,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [129879] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5874), 1,
      anon_sym_AMP,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3927), 1,
      sym_heredoc_body,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5892), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5894), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 18,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [129936] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3928), 1,
      sym_heredoc_body,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5892), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5894), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 18,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [129991] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_PIPE,
    ACTIONS(5874), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3929), 1,
      sym_heredoc_body,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5892), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5894), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 5,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 17,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [130052] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    ACTIONS(5724), 1,
      anon_sym_in,
    ACTIONS(5739), 1,
      anon_sym_EQ_GT,
    STATE(3930), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 23,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [130105] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5870), 1,
      anon_sym_PIPE,
    ACTIONS(5874), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5886), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5890), 1,
      anon_sym_GT_EQ,
    ACTIONS(5896), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3931), 1,
      sym_heredoc_body,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5892), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5876), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5894), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5898), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 10,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [130176] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5756), 1,
      anon_sym_QMARK,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3932), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5850), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3789), 5,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_then,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [130255] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5870), 1,
      anon_sym_PIPE,
    ACTIONS(5874), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5890), 1,
      anon_sym_GT_EQ,
    ACTIONS(5896), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3933), 1,
      sym_heredoc_body,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5892), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5876), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5894), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5898), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 11,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [130324] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3934), 1,
      sym_heredoc_body,
    ACTIONS(5892), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5894), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 20,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [130377] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5870), 1,
      anon_sym_PIPE,
    ACTIONS(5874), 1,
      anon_sym_AMP,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5890), 1,
      anon_sym_GT_EQ,
    ACTIONS(5896), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3935), 1,
      sym_heredoc_body,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5892), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5876), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5894), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5898), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 11,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [130446] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3936), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 25,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [130495] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5011), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5013), 1,
      anon_sym_CARET,
    ACTIONS(5015), 1,
      anon_sym_QMARK,
    ACTIONS(5017), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5019), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5023), 1,
      anon_sym_GT_EQ,
    ACTIONS(5029), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5033), 1,
      sym__binary_star_star,
    ACTIONS(5858), 1,
      anon_sym_rescue,
    STATE(3937), 1,
      sym_heredoc_body,
    ACTIONS(5021), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5025), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5009), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5027), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5031), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3601), 6,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [130574] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3938), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 25,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [130623] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5874), 1,
      anon_sym_AMP,
    ACTIONS(5878), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_QMARK,
    ACTIONS(5884), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5886), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5890), 1,
      anon_sym_GT_EQ,
    ACTIONS(5896), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3939), 1,
      sym_heredoc_body,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5892), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5876), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5894), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5898), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 7,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [130700] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3940), 1,
      sym_heredoc_body,
    ACTIONS(5894), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 22,
      sym__line_break,
      sym__binary_minus,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [130751] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    ACTIONS(5724), 1,
      anon_sym_in,
    ACTIONS(5902), 1,
      anon_sym_EQ_GT,
    STATE(3941), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4269), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [130832] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3942), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 25,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [130881] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5415), 1,
      anon_sym_in,
    ACTIONS(5515), 1,
      anon_sym_EQ_GT,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3943), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 23,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [130934] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3944), 1,
      sym_heredoc_body,
    STATE(3951), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 25,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [130983] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5862), 1,
      anon_sym_COMMA,
    STATE(3945), 1,
      sym_heredoc_body,
    STATE(3951), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 24,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [131034] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5756), 1,
      anon_sym_QMARK,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3946), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5850), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3996), 5,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_then,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [131113] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5874), 1,
      anon_sym_AMP,
    ACTIONS(5878), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_QMARK,
    ACTIONS(5884), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5886), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5890), 1,
      anon_sym_GT_EQ,
    ACTIONS(5896), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3947), 1,
      sym_heredoc_body,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5892), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5876), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5894), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5898), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 7,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [131190] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5415), 1,
      anon_sym_in,
    ACTIONS(5515), 1,
      anon_sym_EQ_GT,
    ACTIONS(5870), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5874), 1,
      anon_sym_AMP,
    ACTIONS(5878), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_QMARK,
    ACTIONS(5884), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5886), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5890), 1,
      anon_sym_GT_EQ,
    ACTIONS(5896), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3948), 1,
      sym_heredoc_body,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5892), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5876), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5894), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3379), 5,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5898), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [131271] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5904), 1,
      sym__binary_star_star,
    STATE(3949), 1,
      sym_heredoc_body,
    ACTIONS(3329), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 23,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [131320] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5874), 1,
      anon_sym_AMP,
    ACTIONS(5878), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_QMARK,
    ACTIONS(5884), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5886), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5890), 1,
      anon_sym_GT_EQ,
    ACTIONS(5896), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3950), 1,
      sym_heredoc_body,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5892), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5876), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5894), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5898), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 7,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [131397] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5862), 1,
      anon_sym_COMMA,
    STATE(3951), 1,
      sym_heredoc_body,
    STATE(3984), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3950), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 24,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [131448] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5874), 1,
      anon_sym_AMP,
    ACTIONS(5878), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_QMARK,
    ACTIONS(5884), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5886), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5890), 1,
      anon_sym_GT_EQ,
    ACTIONS(5896), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3952), 1,
      sym_heredoc_body,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5892), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5876), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5894), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5898), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 7,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [131525] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    ACTIONS(5724), 1,
      anon_sym_in,
    ACTIONS(5739), 1,
      anon_sym_EQ_GT,
    STATE(3953), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3379), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [131606] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3954), 1,
      sym_heredoc_body,
    ACTIONS(4034), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 25,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_then,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [131655] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_QMARK,
    ACTIONS(5640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3955), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4386), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [131732] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_PIPE,
    ACTIONS(5908), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5910), 1,
      anon_sym_AMP,
    ACTIONS(5914), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5916), 1,
      anon_sym_CARET,
    ACTIONS(5918), 1,
      anon_sym_QMARK,
    ACTIONS(5920), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5922), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5926), 1,
      anon_sym_GT_EQ,
    ACTIONS(5932), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5936), 1,
      sym__binary_star_star,
    STATE(3956), 1,
      sym_heredoc_body,
    ACTIONS(3381), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5928), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5912), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5930), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3379), 5,
      sym__element_reference_bracket,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5934), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [131811] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5936), 1,
      sym__binary_star_star,
    STATE(3957), 1,
      sym_heredoc_body,
    ACTIONS(4034), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 23,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [131860] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_QMARK,
    ACTIONS(5640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3958), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4327), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [131937] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_PIPE,
    ACTIONS(5908), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5910), 1,
      anon_sym_AMP,
    ACTIONS(5914), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5916), 1,
      anon_sym_CARET,
    ACTIONS(5920), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5922), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5926), 1,
      anon_sym_GT_EQ,
    ACTIONS(5932), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5936), 1,
      sym__binary_star_star,
    STATE(3959), 1,
      sym_heredoc_body,
    ACTIONS(4002), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5928), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5912), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5930), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5934), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 6,
      sym__element_reference_bracket,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [132014] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_PIPE,
    ACTIONS(5908), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5910), 1,
      anon_sym_AMP,
    ACTIONS(5914), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5916), 1,
      anon_sym_CARET,
    ACTIONS(5918), 1,
      anon_sym_QMARK,
    ACTIONS(5920), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5922), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5926), 1,
      anon_sym_GT_EQ,
    ACTIONS(5932), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5936), 1,
      sym__binary_star_star,
    STATE(3960), 1,
      sym_heredoc_body,
    ACTIONS(3984), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5928), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5912), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5930), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3982), 5,
      sym__element_reference_bracket,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5934), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [132093] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_QMARK,
    ACTIONS(5640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3961), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4376), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [132170] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5874), 1,
      anon_sym_AMP,
    ACTIONS(5878), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_QMARK,
    ACTIONS(5884), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5886), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5890), 1,
      anon_sym_GT_EQ,
    ACTIONS(5896), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3962), 1,
      sym_heredoc_body,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5892), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5876), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5894), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5898), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 7,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [132247] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_PIPE,
    ACTIONS(5908), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5910), 1,
      anon_sym_AMP,
    ACTIONS(5914), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5916), 1,
      anon_sym_CARET,
    ACTIONS(5920), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5922), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5926), 1,
      anon_sym_GT_EQ,
    ACTIONS(5932), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5936), 1,
      sym__binary_star_star,
    STATE(3963), 1,
      sym_heredoc_body,
    ACTIONS(4020), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5928), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5912), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5930), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5934), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 6,
      sym__element_reference_bracket,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [132324] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5582), 1,
      anon_sym_COMMA,
    STATE(3613), 1,
      aux_sym_exceptions_repeat1,
    STATE(3964), 1,
      sym_heredoc_body,
    ACTIONS(3595), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 24,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [132375] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_PIPE,
    ACTIONS(5908), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5910), 1,
      anon_sym_AMP,
    ACTIONS(5914), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5916), 1,
      anon_sym_CARET,
    ACTIONS(5918), 1,
      anon_sym_QMARK,
    ACTIONS(5920), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5922), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5926), 1,
      anon_sym_GT_EQ,
    ACTIONS(5932), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5936), 1,
      sym__binary_star_star,
    STATE(3965), 1,
      sym_heredoc_body,
    ACTIONS(4028), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5928), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5912), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5930), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4026), 5,
      sym__element_reference_bracket,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5934), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [132454] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_PIPE,
    ACTIONS(5910), 1,
      anon_sym_AMP,
    ACTIONS(5916), 1,
      anon_sym_CARET,
    ACTIONS(5926), 1,
      anon_sym_GT_EQ,
    ACTIONS(5932), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5936), 1,
      sym__binary_star_star,
    STATE(3966), 1,
      sym_heredoc_body,
    ACTIONS(5924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5928), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 3,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
    ACTIONS(5912), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5930), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5934), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 9,
      sym__element_reference_bracket,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [132523] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5936), 1,
      sym__binary_star_star,
    STATE(3967), 1,
      sym_heredoc_body,
    ACTIONS(5928), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5930), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 18,
      sym__element_reference_bracket,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [132576] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_DOT,
    ACTIONS(5477), 1,
      anon_sym_PIPE,
    ACTIONS(5479), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5487), 1,
      anon_sym_CARET,
    ACTIONS(5489), 1,
      anon_sym_QMARK,
    ACTIONS(5491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5497), 1,
      anon_sym_GT_EQ,
    ACTIONS(5503), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5507), 1,
      sym__binary_star_star,
    ACTIONS(5938), 1,
      anon_sym_rescue,
    STATE(3968), 1,
      sym_heredoc_body,
    ACTIONS(5495), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5499), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5940), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(3277), 3,
      sym__element_reference_bracket,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
    ACTIONS(5483), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5501), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5505), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [132659] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_QMARK,
    ACTIONS(5640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3969), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4374), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [132736] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_PIPE,
    ACTIONS(5908), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5910), 1,
      anon_sym_AMP,
    ACTIONS(5914), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5916), 1,
      anon_sym_CARET,
    ACTIONS(5918), 1,
      anon_sym_QMARK,
    ACTIONS(5920), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5922), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5926), 1,
      anon_sym_GT_EQ,
    ACTIONS(5932), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5936), 1,
      sym__binary_star_star,
    STATE(3970), 1,
      sym_heredoc_body,
    ACTIONS(4006), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5928), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5912), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5930), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4004), 5,
      sym__element_reference_bracket,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5934), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [132815] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_QMARK,
    ACTIONS(5640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(3971), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4370), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [132892] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_PIPE,
    ACTIONS(5910), 1,
      anon_sym_AMP,
    ACTIONS(5916), 1,
      anon_sym_CARET,
    ACTIONS(5926), 1,
      anon_sym_GT_EQ,
    ACTIONS(5932), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5936), 1,
      sym__binary_star_star,
    STATE(3972), 1,
      sym_heredoc_body,
    ACTIONS(5924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5928), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 3,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
    ACTIONS(5912), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5930), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5934), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 9,
      sym__element_reference_bracket,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [132961] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_PIPE,
    ACTIONS(5910), 1,
      anon_sym_AMP,
    ACTIONS(5916), 1,
      anon_sym_CARET,
    ACTIONS(5922), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5926), 1,
      anon_sym_GT_EQ,
    ACTIONS(5932), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5936), 1,
      sym__binary_star_star,
    STATE(3973), 1,
      sym_heredoc_body,
    ACTIONS(5924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5928), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3984), 3,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
    ACTIONS(5912), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5930), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5934), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 8,
      sym__element_reference_bracket,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [133032] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_PIPE,
    ACTIONS(5908), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5910), 1,
      anon_sym_AMP,
    ACTIONS(5914), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5916), 1,
      anon_sym_CARET,
    ACTIONS(5918), 1,
      anon_sym_QMARK,
    ACTIONS(5920), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5922), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5926), 1,
      anon_sym_GT_EQ,
    ACTIONS(5932), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5936), 1,
      sym__binary_star_star,
    STATE(3974), 1,
      sym_heredoc_body,
    ACTIONS(3381), 2,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(5924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5928), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5912), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5930), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3379), 5,
      sym__element_reference_bracket,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5934), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [133111] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_PIPE,
    ACTIONS(5910), 1,
      anon_sym_AMP,
    ACTIONS(5916), 1,
      anon_sym_CARET,
    ACTIONS(5936), 1,
      sym__binary_star_star,
    STATE(3975), 1,
      sym_heredoc_body,
    ACTIONS(5924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5928), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5930), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 15,
      sym__element_reference_bracket,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [133172] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5936), 1,
      sym__binary_star_star,
    STATE(3976), 1,
      sym_heredoc_body,
    ACTIONS(5924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5928), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5930), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 16,
      sym__element_reference_bracket,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [133227] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5415), 1,
      anon_sym_in,
    ACTIONS(5515), 1,
      anon_sym_EQ_GT,
    ACTIONS(5870), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5874), 1,
      anon_sym_AMP,
    ACTIONS(5878), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_QMARK,
    ACTIONS(5884), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5886), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5890), 1,
      anon_sym_GT_EQ,
    ACTIONS(5896), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(3977), 1,
      sym_heredoc_body,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5892), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5876), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5894), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4269), 5,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5898), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [133308] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    ACTIONS(5724), 1,
      anon_sym_in,
    ACTIONS(5739), 1,
      anon_sym_EQ_GT,
    STATE(3978), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4269), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [133389] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5910), 1,
      anon_sym_AMP,
    ACTIONS(5936), 1,
      sym__binary_star_star,
    STATE(3979), 1,
      sym_heredoc_body,
    ACTIONS(5924), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5928), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5930), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 16,
      sym__element_reference_bracket,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [133446] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5936), 1,
      sym__binary_star_star,
    STATE(3980), 1,
      sym_heredoc_body,
    ACTIONS(3984), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [133495] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5936), 1,
      sym__binary_star_star,
    STATE(3981), 1,
      sym_heredoc_body,
    ACTIONS(3984), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [133544] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5936), 1,
      sym__binary_star_star,
    STATE(3982), 1,
      sym_heredoc_body,
    ACTIONS(5930), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 20,
      sym__binary_minus,
      sym__element_reference_bracket,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [133595] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5936), 1,
      sym__binary_star_star,
    STATE(3983), 1,
      sym_heredoc_body,
    ACTIONS(3381), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 23,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [133644] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5942), 1,
      anon_sym_COMMA,
    STATE(3984), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 24,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [133693] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5945), 1,
      sym__binary_star_star,
    STATE(3985), 1,
      sym_heredoc_body,
    ACTIONS(3329), 9,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON2,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3327), 23,
      sym__binary_minus,
      sym__binary_star,
      sym__element_reference_bracket,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [133742] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5947), 1,
      anon_sym_PIPE,
    ACTIONS(5949), 1,
      anon_sym_AMP,
    ACTIONS(5953), 1,
      anon_sym_CARET,
    ACTIONS(5957), 1,
      anon_sym_GT_EQ,
    ACTIONS(5963), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5967), 1,
      sym__binary_star_star,
    STATE(3986), 1,
      sym_heredoc_body,
    ACTIONS(5955), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5959), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5951), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5961), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5965), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 10,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [133810] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(3987), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4386), 6,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [133886] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5756), 1,
      anon_sym_QMARK,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3988), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4327), 6,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [133962] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5756), 1,
      anon_sym_QMARK,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3989), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4376), 6,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [134038] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5969), 1,
      anon_sym_PIPE,
    ACTIONS(5971), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5973), 1,
      anon_sym_AMP,
    ACTIONS(5977), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5979), 1,
      anon_sym_CARET,
    ACTIONS(5981), 1,
      anon_sym_QMARK,
    ACTIONS(5983), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5989), 1,
      anon_sym_GT_EQ,
    ACTIONS(5995), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(3990), 1,
      sym_heredoc_body,
    ACTIONS(5987), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5991), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5975), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5997), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 6,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [134114] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3991), 1,
      sym_heredoc_body,
    STATE(4004), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3595), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 24,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [134162] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5194), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5196), 1,
      anon_sym_AMP,
    ACTIONS(5200), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5202), 1,
      anon_sym_CARET,
    ACTIONS(5204), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5210), 1,
      anon_sym_GT_EQ,
    ACTIONS(5216), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5220), 1,
      sym__binary_star_star,
    ACTIONS(5258), 1,
      anon_sym_QMARK,
    ACTIONS(5860), 1,
      anon_sym_rescue,
    STATE(3992), 1,
      sym_heredoc_body,
    ACTIONS(5208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5212), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5198), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5214), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3601), 5,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5218), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [134240] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5854), 1,
      anon_sym_rescue,
    ACTIONS(5969), 1,
      anon_sym_PIPE,
    ACTIONS(5971), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5973), 1,
      anon_sym_AMP,
    ACTIONS(5977), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5979), 1,
      anon_sym_CARET,
    ACTIONS(5981), 1,
      anon_sym_QMARK,
    ACTIONS(5983), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5989), 1,
      anon_sym_GT_EQ,
    ACTIONS(5995), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(3993), 1,
      sym_heredoc_body,
    ACTIONS(5987), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5991), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5975), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3601), 5,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5997), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [134318] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5756), 1,
      anon_sym_QMARK,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(3994), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5850), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6001), 4,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [134396] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5967), 1,
      sym__binary_star_star,
    STATE(3995), 1,
      sym_heredoc_body,
    ACTIONS(5959), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5961), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 19,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [134448] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5969), 1,
      anon_sym_PIPE,
    ACTIONS(5971), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5973), 1,
      anon_sym_AMP,
    ACTIONS(5977), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5979), 1,
      anon_sym_CARET,
    ACTIONS(5981), 1,
      anon_sym_QMARK,
    ACTIONS(5983), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5989), 1,
      anon_sym_GT_EQ,
    ACTIONS(5995), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(3996), 1,
      sym_heredoc_body,
    ACTIONS(5987), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5991), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5975), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5997), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 6,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [134524] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5969), 1,
      anon_sym_PIPE,
    ACTIONS(5971), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5973), 1,
      anon_sym_AMP,
    ACTIONS(5977), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5979), 1,
      anon_sym_CARET,
    ACTIONS(5983), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5989), 1,
      anon_sym_GT_EQ,
    ACTIONS(5995), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(3997), 1,
      sym_heredoc_body,
    ACTIONS(5987), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5991), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5975), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5997), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 7,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [134598] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(3998), 1,
      sym_heredoc_body,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 21,
      sym__binary_minus,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [134648] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5969), 1,
      anon_sym_PIPE,
    ACTIONS(5971), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5973), 1,
      anon_sym_AMP,
    ACTIONS(5977), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5979), 1,
      anon_sym_CARET,
    ACTIONS(5981), 1,
      anon_sym_QMARK,
    ACTIONS(5983), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5989), 1,
      anon_sym_GT_EQ,
    ACTIONS(5995), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(3999), 1,
      sym_heredoc_body,
    ACTIONS(5987), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5991), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5975), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5997), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 6,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [134724] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5756), 1,
      anon_sym_QMARK,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(4000), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4374), 6,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [134800] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5969), 1,
      anon_sym_PIPE,
    ACTIONS(5971), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5973), 1,
      anon_sym_AMP,
    ACTIONS(5977), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5979), 1,
      anon_sym_CARET,
    ACTIONS(5981), 1,
      anon_sym_QMARK,
    ACTIONS(5983), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5989), 1,
      anon_sym_GT_EQ,
    ACTIONS(5995), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(4001), 1,
      sym_heredoc_body,
    ACTIONS(5987), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5991), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5975), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5997), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 6,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [134876] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5969), 1,
      anon_sym_PIPE,
    ACTIONS(5971), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5973), 1,
      anon_sym_AMP,
    ACTIONS(5977), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5979), 1,
      anon_sym_CARET,
    ACTIONS(5981), 1,
      anon_sym_QMARK,
    ACTIONS(5983), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5989), 1,
      anon_sym_GT_EQ,
    ACTIONS(5995), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(4002), 1,
      sym_heredoc_body,
    ACTIONS(5987), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5991), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5975), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4269), 4,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5997), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [134956] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(4003), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 22,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [135008] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6003), 1,
      anon_sym_COMMA,
    STATE(4004), 1,
      sym_heredoc_body,
    STATE(4033), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(3950), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 23,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [135058] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(4005), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [135106] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(4006), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [135154] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(4007), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6005), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4374), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [135232] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(4008), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6005), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4370), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [135310] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5973), 1,
      anon_sym_AMP,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(4009), 1,
      sym_heredoc_body,
    ACTIONS(5987), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5991), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 17,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [135366] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(4010), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4327), 6,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [135442] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5756), 1,
      anon_sym_QMARK,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(4011), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4370), 6,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [135518] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5967), 1,
      sym__binary_star_star,
    STATE(4012), 1,
      sym_heredoc_body,
    ACTIONS(5961), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 21,
      sym__line_break,
      sym__binary_minus,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [135568] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5967), 1,
      sym__binary_star_star,
    STATE(4013), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [135616] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5967), 1,
      sym__binary_star_star,
    STATE(4014), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 24,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [135664] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5949), 1,
      anon_sym_AMP,
    ACTIONS(5967), 1,
      sym__binary_star_star,
    STATE(4015), 1,
      sym_heredoc_body,
    ACTIONS(5955), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5959), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5961), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 17,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [135720] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5756), 1,
      anon_sym_QMARK,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(4016), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4386), 6,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [135796] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5967), 1,
      sym__binary_star_star,
    STATE(4017), 1,
      sym_heredoc_body,
    ACTIONS(5955), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5959), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5961), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 17,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [135850] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(4018), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4376), 6,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [135926] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym_PIPE,
    ACTIONS(5949), 1,
      anon_sym_AMP,
    ACTIONS(5953), 1,
      anon_sym_CARET,
    ACTIONS(5967), 1,
      sym__binary_star_star,
    STATE(4019), 1,
      sym_heredoc_body,
    ACTIONS(5955), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5959), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5961), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 5,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 16,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [135986] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5947), 1,
      anon_sym_PIPE,
    ACTIONS(5949), 1,
      anon_sym_AMP,
    ACTIONS(5953), 1,
      anon_sym_CARET,
    ACTIONS(5957), 1,
      anon_sym_GT_EQ,
    ACTIONS(5963), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5967), 1,
      sym__binary_star_star,
    ACTIONS(6007), 1,
      anon_sym_AMP_AMP,
    STATE(4020), 1,
      sym_heredoc_body,
    ACTIONS(5955), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5959), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5951), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5961), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5965), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 9,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [136056] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5969), 1,
      anon_sym_PIPE,
    ACTIONS(5973), 1,
      anon_sym_AMP,
    ACTIONS(5979), 1,
      anon_sym_CARET,
    ACTIONS(5989), 1,
      anon_sym_GT_EQ,
    ACTIONS(5995), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(4021), 1,
      sym_heredoc_body,
    ACTIONS(5987), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5991), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5975), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5997), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 10,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [136124] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6009), 1,
      anon_sym_rescue,
    ACTIONS(6011), 1,
      anon_sym_COMMA,
    ACTIONS(6013), 1,
      anon_sym_PIPE,
    ACTIONS(6015), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6017), 1,
      anon_sym_AMP,
    ACTIONS(6021), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6023), 1,
      anon_sym_CARET,
    ACTIONS(6025), 1,
      anon_sym_QMARK,
    ACTIONS(6027), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6033), 1,
      anon_sym_GT_EQ,
    ACTIONS(6039), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    STATE(4022), 1,
      sym_heredoc_body,
    STATE(4103), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(6031), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6035), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3593), 3,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6019), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6041), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [136206] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_PIPE,
    ACTIONS(6015), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6017), 1,
      anon_sym_AMP,
    ACTIONS(6021), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6023), 1,
      anon_sym_CARET,
    ACTIONS(6025), 1,
      anon_sym_QMARK,
    ACTIONS(6027), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6033), 1,
      anon_sym_GT_EQ,
    ACTIONS(6039), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    ACTIONS(6045), 1,
      anon_sym_rescue,
    STATE(4004), 1,
      aux_sym_exceptions_repeat1,
    STATE(4023), 1,
      sym_heredoc_body,
    ACTIONS(6031), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6035), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6019), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3593), 4,
      anon_sym_COMMA,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6041), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [136286] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym_PIPE,
    ACTIONS(5949), 1,
      anon_sym_AMP,
    ACTIONS(5953), 1,
      anon_sym_CARET,
    ACTIONS(5957), 1,
      anon_sym_GT_EQ,
    ACTIONS(5963), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5967), 1,
      sym__binary_star_star,
    ACTIONS(6007), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6047), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6049), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6051), 1,
      anon_sym_QMARK,
    ACTIONS(6053), 1,
      anon_sym_PIPE_PIPE,
    STATE(4024), 1,
      sym_heredoc_body,
    ACTIONS(5955), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5959), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5951), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5961), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5965), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3789), 6,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [136362] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5947), 1,
      anon_sym_PIPE,
    ACTIONS(5949), 1,
      anon_sym_AMP,
    ACTIONS(5953), 1,
      anon_sym_CARET,
    ACTIONS(5957), 1,
      anon_sym_GT_EQ,
    ACTIONS(5963), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5967), 1,
      sym__binary_star_star,
    STATE(4025), 1,
      sym_heredoc_body,
    ACTIONS(5955), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5959), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5951), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5961), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5965), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 10,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [136430] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5844), 1,
      anon_sym_rescue,
    ACTIONS(5969), 1,
      anon_sym_PIPE,
    ACTIONS(5971), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5973), 1,
      anon_sym_AMP,
    ACTIONS(5977), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5979), 1,
      anon_sym_CARET,
    ACTIONS(5981), 1,
      anon_sym_QMARK,
    ACTIONS(5983), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5989), 1,
      anon_sym_GT_EQ,
    ACTIONS(5995), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(4026), 1,
      sym_heredoc_body,
    ACTIONS(5987), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5991), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3601), 3,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5975), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5997), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [136512] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5967), 1,
      sym__binary_star_star,
    STATE(4027), 1,
      sym_heredoc_body,
    ACTIONS(4034), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 24,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [136560] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(4028), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4370), 6,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [136636] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5969), 1,
      anon_sym_PIPE,
    ACTIONS(5971), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5973), 1,
      anon_sym_AMP,
    ACTIONS(5977), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5979), 1,
      anon_sym_CARET,
    ACTIONS(5981), 1,
      anon_sym_QMARK,
    ACTIONS(5983), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5989), 1,
      anon_sym_GT_EQ,
    ACTIONS(5995), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(4029), 1,
      sym_heredoc_body,
    ACTIONS(5987), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5991), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5975), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3379), 4,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5997), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [136716] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5969), 1,
      anon_sym_PIPE,
    ACTIONS(5971), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5973), 1,
      anon_sym_AMP,
    ACTIONS(5977), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5979), 1,
      anon_sym_CARET,
    ACTIONS(5981), 1,
      anon_sym_QMARK,
    ACTIONS(5983), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5989), 1,
      anon_sym_GT_EQ,
    ACTIONS(5995), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(4030), 1,
      sym_heredoc_body,
    ACTIONS(5987), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5991), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5975), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3379), 4,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5997), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [136796] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4031), 1,
      sym_heredoc_body,
    ACTIONS(2564), 13,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_EQ_GT,
    ACTIONS(2562), 19,
      anon_sym_DOT,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
      sym_identifier,
  [136842] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5361), 1,
      anon_sym_PIPE,
    ACTIONS(5363), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5365), 1,
      anon_sym_AMP,
    ACTIONS(5369), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5371), 1,
      anon_sym_CARET,
    ACTIONS(5373), 1,
      anon_sym_QMARK,
    ACTIONS(5375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5381), 1,
      anon_sym_GT_EQ,
    ACTIONS(5387), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5391), 1,
      sym__binary_star_star,
    STATE(4032), 1,
      sym_heredoc_body,
    ACTIONS(5379), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5383), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5367), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5385), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5389), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4374), 6,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [136918] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6055), 1,
      anon_sym_COMMA,
    STATE(4033), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 23,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [136966] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_DOT,
    ACTIONS(5660), 1,
      anon_sym_PIPE,
    ACTIONS(5662), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5664), 1,
      anon_sym_AMP,
    ACTIONS(5668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5670), 1,
      anon_sym_CARET,
    ACTIONS(5672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5674), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5678), 1,
      anon_sym_GT_EQ,
    ACTIONS(5684), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5688), 1,
      sym__binary_star_star,
    ACTIONS(5733), 1,
      anon_sym_QMARK,
    STATE(4034), 1,
      sym_heredoc_body,
    ACTIONS(5676), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5680), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6058), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(4004), 3,
      sym__element_reference_bracket,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
    ACTIONS(5666), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5682), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5686), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [137046] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym_PIPE,
    ACTIONS(5949), 1,
      anon_sym_AMP,
    ACTIONS(5953), 1,
      anon_sym_CARET,
    ACTIONS(5957), 1,
      anon_sym_GT_EQ,
    ACTIONS(5963), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5967), 1,
      sym__binary_star_star,
    ACTIONS(6007), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6047), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6049), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6051), 1,
      anon_sym_QMARK,
    ACTIONS(6053), 1,
      anon_sym_PIPE_PIPE,
    STATE(4035), 1,
      sym_heredoc_body,
    ACTIONS(5955), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5959), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5951), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5961), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5965), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 6,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [137122] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym_PIPE,
    ACTIONS(5949), 1,
      anon_sym_AMP,
    ACTIONS(5953), 1,
      anon_sym_CARET,
    ACTIONS(5957), 1,
      anon_sym_GT_EQ,
    ACTIONS(5963), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5967), 1,
      sym__binary_star_star,
    ACTIONS(6007), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6047), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6049), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6051), 1,
      anon_sym_QMARK,
    ACTIONS(6053), 1,
      anon_sym_PIPE_PIPE,
    STATE(4036), 1,
      sym_heredoc_body,
    ACTIONS(5955), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5959), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5951), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5961), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5965), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3379), 6,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [137198] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym_PIPE,
    ACTIONS(5949), 1,
      anon_sym_AMP,
    ACTIONS(5953), 1,
      anon_sym_CARET,
    ACTIONS(5957), 1,
      anon_sym_GT_EQ,
    ACTIONS(5963), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5967), 1,
      sym__binary_star_star,
    ACTIONS(6007), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6047), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6049), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6053), 1,
      anon_sym_PIPE_PIPE,
    STATE(4037), 1,
      sym_heredoc_body,
    ACTIONS(5955), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5959), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5951), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5961), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5965), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 7,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [137272] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5969), 1,
      anon_sym_PIPE,
    ACTIONS(5971), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5973), 1,
      anon_sym_AMP,
    ACTIONS(5977), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5979), 1,
      anon_sym_CARET,
    ACTIONS(5983), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5989), 1,
      anon_sym_GT_EQ,
    ACTIONS(5995), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(4038), 1,
      sym_heredoc_body,
    ACTIONS(5987), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5991), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5975), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5997), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 7,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [137346] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym_PIPE,
    ACTIONS(5949), 1,
      anon_sym_AMP,
    ACTIONS(5953), 1,
      anon_sym_CARET,
    ACTIONS(5957), 1,
      anon_sym_GT_EQ,
    ACTIONS(5963), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5967), 1,
      sym__binary_star_star,
    ACTIONS(6007), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6047), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6049), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6051), 1,
      anon_sym_QMARK,
    ACTIONS(6053), 1,
      anon_sym_PIPE_PIPE,
    STATE(4039), 1,
      sym_heredoc_body,
    ACTIONS(5955), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5959), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5951), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5961), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5965), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3996), 6,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [137422] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym_PIPE,
    ACTIONS(5949), 1,
      anon_sym_AMP,
    ACTIONS(5953), 1,
      anon_sym_CARET,
    ACTIONS(5957), 1,
      anon_sym_GT_EQ,
    ACTIONS(5963), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5967), 1,
      sym__binary_star_star,
    ACTIONS(6007), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6047), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6049), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6051), 1,
      anon_sym_QMARK,
    ACTIONS(6053), 1,
      anon_sym_PIPE_PIPE,
    STATE(4040), 1,
      sym_heredoc_body,
    ACTIONS(5955), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5959), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5951), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5961), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5965), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 6,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [137498] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(4041), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 24,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [137546] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym_PIPE,
    ACTIONS(5949), 1,
      anon_sym_AMP,
    ACTIONS(5953), 1,
      anon_sym_CARET,
    ACTIONS(5957), 1,
      anon_sym_GT_EQ,
    ACTIONS(5963), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5967), 1,
      sym__binary_star_star,
    ACTIONS(6007), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6047), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6049), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6051), 1,
      anon_sym_QMARK,
    ACTIONS(6053), 1,
      anon_sym_PIPE_PIPE,
    STATE(4042), 1,
      sym_heredoc_body,
    ACTIONS(5955), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5959), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5951), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5961), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5965), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4026), 6,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [137622] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5844), 1,
      anon_sym_rescue,
    ACTIONS(5969), 1,
      anon_sym_PIPE,
    ACTIONS(5971), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5973), 1,
      anon_sym_AMP,
    ACTIONS(5977), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5979), 1,
      anon_sym_CARET,
    ACTIONS(5981), 1,
      anon_sym_QMARK,
    ACTIONS(5983), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5989), 1,
      anon_sym_GT_EQ,
    ACTIONS(5995), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(4043), 1,
      sym_heredoc_body,
    ACTIONS(5987), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5991), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5975), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3601), 5,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5997), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [137700] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5969), 1,
      anon_sym_PIPE,
    ACTIONS(5973), 1,
      anon_sym_AMP,
    ACTIONS(5979), 1,
      anon_sym_CARET,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(4044), 1,
      sym_heredoc_body,
    ACTIONS(5987), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5991), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 5,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 16,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [137760] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(4045), 1,
      sym_heredoc_body,
    ACTIONS(4034), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 24,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [137808] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym_PIPE,
    ACTIONS(5949), 1,
      anon_sym_AMP,
    ACTIONS(5953), 1,
      anon_sym_CARET,
    ACTIONS(5957), 1,
      anon_sym_GT_EQ,
    ACTIONS(5963), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5967), 1,
      sym__binary_star_star,
    ACTIONS(6007), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6047), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6049), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6051), 1,
      anon_sym_QMARK,
    ACTIONS(6053), 1,
      anon_sym_PIPE_PIPE,
    STATE(4046), 1,
      sym_heredoc_body,
    ACTIONS(5955), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5959), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5951), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5961), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5965), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 6,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [137884] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6003), 1,
      anon_sym_COMMA,
    ACTIONS(6013), 1,
      anon_sym_PIPE,
    ACTIONS(6015), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6017), 1,
      anon_sym_AMP,
    ACTIONS(6021), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6023), 1,
      anon_sym_CARET,
    ACTIONS(6025), 1,
      anon_sym_QMARK,
    ACTIONS(6027), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6033), 1,
      anon_sym_GT_EQ,
    ACTIONS(6039), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    ACTIONS(6060), 1,
      anon_sym_rescue,
    STATE(4004), 1,
      aux_sym_exceptions_repeat1,
    STATE(4047), 1,
      sym_heredoc_body,
    ACTIONS(6031), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6035), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3593), 3,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6019), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6041), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [137966] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6003), 1,
      anon_sym_COMMA,
    STATE(4004), 1,
      aux_sym_exceptions_repeat1,
    STATE(4048), 1,
      sym_heredoc_body,
    ACTIONS(3595), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 23,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [138016] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5969), 1,
      anon_sym_PIPE,
    ACTIONS(5971), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5973), 1,
      anon_sym_AMP,
    ACTIONS(5977), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5979), 1,
      anon_sym_CARET,
    ACTIONS(5981), 1,
      anon_sym_QMARK,
    ACTIONS(5983), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5989), 1,
      anon_sym_GT_EQ,
    ACTIONS(5995), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(4049), 1,
      sym_heredoc_body,
    ACTIONS(5987), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5991), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5975), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5997), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4004), 6,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [138092] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_PIPE,
    ACTIONS(6015), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6017), 1,
      anon_sym_AMP,
    ACTIONS(6021), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6023), 1,
      anon_sym_CARET,
    ACTIONS(6025), 1,
      anon_sym_QMARK,
    ACTIONS(6027), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6033), 1,
      anon_sym_GT_EQ,
    ACTIONS(6039), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    ACTIONS(6062), 1,
      anon_sym_rescue,
    STATE(4050), 1,
      sym_heredoc_body,
    STATE(4103), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(6031), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6035), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6019), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3593), 4,
      anon_sym_COMMA,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6041), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [138172] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5947), 1,
      anon_sym_PIPE,
    ACTIONS(5949), 1,
      anon_sym_AMP,
    ACTIONS(5953), 1,
      anon_sym_CARET,
    ACTIONS(5957), 1,
      anon_sym_GT_EQ,
    ACTIONS(5963), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5967), 1,
      sym__binary_star_star,
    ACTIONS(6007), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6047), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6049), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6053), 1,
      anon_sym_PIPE_PIPE,
    STATE(4051), 1,
      sym_heredoc_body,
    ACTIONS(5955), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5959), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5951), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5961), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5965), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 7,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [138246] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(4052), 1,
      sym_heredoc_body,
    ACTIONS(5987), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5991), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 17,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [138300] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5967), 1,
      sym__binary_star_star,
    STATE(4053), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 24,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [138348] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(4054), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6005), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4327), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [138426] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5969), 1,
      anon_sym_PIPE,
    ACTIONS(5973), 1,
      anon_sym_AMP,
    ACTIONS(5979), 1,
      anon_sym_CARET,
    ACTIONS(5989), 1,
      anon_sym_GT_EQ,
    ACTIONS(5995), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(4055), 1,
      sym_heredoc_body,
    ACTIONS(5987), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5991), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5975), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5997), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 10,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [138494] = 23,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_in,
    ACTIONS(5327), 1,
      anon_sym_EQ_GT,
    ACTIONS(5854), 1,
      anon_sym_rescue,
    ACTIONS(5969), 1,
      anon_sym_PIPE,
    ACTIONS(5971), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5973), 1,
      anon_sym_AMP,
    ACTIONS(5977), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5979), 1,
      anon_sym_CARET,
    ACTIONS(5981), 1,
      anon_sym_QMARK,
    ACTIONS(5983), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5989), 1,
      anon_sym_GT_EQ,
    ACTIONS(5995), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(4056), 1,
      sym_heredoc_body,
    ACTIONS(5987), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5991), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3601), 3,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5975), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5997), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [138576] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(4057), 1,
      sym_heredoc_body,
    ACTIONS(5991), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 19,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [138628] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5969), 1,
      anon_sym_PIPE,
    ACTIONS(5973), 1,
      anon_sym_AMP,
    ACTIONS(5979), 1,
      anon_sym_CARET,
    ACTIONS(5985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5989), 1,
      anon_sym_GT_EQ,
    ACTIONS(5995), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(4058), 1,
      sym_heredoc_body,
    ACTIONS(5987), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5991), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5975), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5997), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 9,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [138698] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_PIPE,
    ACTIONS(6015), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6017), 1,
      anon_sym_AMP,
    ACTIONS(6021), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6023), 1,
      anon_sym_CARET,
    ACTIONS(6025), 1,
      anon_sym_QMARK,
    ACTIONS(6027), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6033), 1,
      anon_sym_GT_EQ,
    ACTIONS(6039), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    STATE(4059), 1,
      sym_heredoc_body,
    ACTIONS(6031), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6035), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6019), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4026), 5,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6041), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [138773] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5724), 1,
      anon_sym_in,
    ACTIONS(5739), 1,
      anon_sym_EQ_GT,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4060), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4269), 3,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [138852] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4061), 1,
      sym_heredoc_body,
    ACTIONS(3559), 12,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_EQ_GT,
    ACTIONS(3561), 19,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_DOT_DOT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
      sym_identifier,
  [138897] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6098), 1,
      sym__binary_star_star,
    STATE(4062), 1,
      sym_heredoc_body,
    ACTIONS(6096), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 20,
      sym__line_break,
      sym__binary_minus,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [138946] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(4063), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6005), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(3996), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [139023] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5724), 1,
      anon_sym_in,
    ACTIONS(5739), 1,
      anon_sym_EQ_GT,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4064), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3379), 3,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [139102] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6098), 1,
      sym__binary_star_star,
    ACTIONS(6100), 1,
      anon_sym_PIPE,
    ACTIONS(6102), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6104), 1,
      anon_sym_AMP,
    ACTIONS(6108), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6110), 1,
      anon_sym_CARET,
    ACTIONS(6112), 1,
      anon_sym_QMARK,
    ACTIONS(6114), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6120), 1,
      anon_sym_GT_EQ,
    ACTIONS(6124), 1,
      anon_sym_EQ_EQ,
    STATE(4065), 1,
      sym_heredoc_body,
    ACTIONS(6118), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6122), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6096), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6106), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4004), 5,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6126), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [139177] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5724), 1,
      anon_sym_in,
    ACTIONS(5739), 1,
      anon_sym_EQ_GT,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4066), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3379), 3,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [139256] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6098), 1,
      sym__binary_star_star,
    STATE(4067), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [139303] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6098), 1,
      sym__binary_star_star,
    STATE(4068), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [139350] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6098), 1,
      sym__binary_star_star,
    ACTIONS(6100), 1,
      anon_sym_PIPE,
    ACTIONS(6102), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6104), 1,
      anon_sym_AMP,
    ACTIONS(6108), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6110), 1,
      anon_sym_CARET,
    ACTIONS(6112), 1,
      anon_sym_QMARK,
    ACTIONS(6114), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6120), 1,
      anon_sym_GT_EQ,
    ACTIONS(6124), 1,
      anon_sym_EQ_EQ,
    STATE(4069), 1,
      sym_heredoc_body,
    ACTIONS(6118), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6122), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6096), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6106), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3379), 5,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6126), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [139425] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4070), 1,
      sym_heredoc_body,
    ACTIONS(3617), 12,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      anon_sym_EQ_GT,
    ACTIONS(3619), 19,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_DOT_DOT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
      sym_identifier,
  [139470] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5756), 1,
      anon_sym_QMARK,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(4071), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5850), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6128), 3,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [139547] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(4072), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4374), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [139622] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5724), 1,
      anon_sym_in,
    ACTIONS(5739), 1,
      anon_sym_EQ_GT,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4073), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 21,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [139673] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_PIPE,
    ACTIONS(6015), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6017), 1,
      anon_sym_AMP,
    ACTIONS(6021), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6023), 1,
      anon_sym_CARET,
    ACTIONS(6025), 1,
      anon_sym_QMARK,
    ACTIONS(6027), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6033), 1,
      anon_sym_GT_EQ,
    ACTIONS(6039), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    STATE(4074), 1,
      sym_heredoc_body,
    ACTIONS(6031), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6035), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6019), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3789), 5,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6041), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [139748] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_PIPE,
    ACTIONS(5746), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5754), 1,
      anon_sym_CARET,
    ACTIONS(5756), 1,
      anon_sym_QMARK,
    ACTIONS(5758), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5760), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5764), 1,
      anon_sym_GT_EQ,
    ACTIONS(5770), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5774), 1,
      sym__binary_star_star,
    STATE(4075), 1,
      sym_heredoc_body,
    ACTIONS(5762), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5766), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5850), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5750), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5768), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6130), 3,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(5772), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [139825] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5874), 1,
      anon_sym_AMP,
    ACTIONS(5878), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_QMARK,
    ACTIONS(5884), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5886), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5890), 1,
      anon_sym_GT_EQ,
    ACTIONS(5896), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(192), 1,
      sym__terminator,
    STATE(4076), 1,
      sym_heredoc_body,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5892), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6132), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5876), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5894), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5898), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [139904] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4077), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3982), 5,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [139979] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6098), 1,
      sym__binary_star_star,
    ACTIONS(6100), 1,
      anon_sym_PIPE,
    ACTIONS(6102), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6104), 1,
      anon_sym_AMP,
    ACTIONS(6108), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6110), 1,
      anon_sym_CARET,
    ACTIONS(6112), 1,
      anon_sym_QMARK,
    ACTIONS(6114), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6120), 1,
      anon_sym_GT_EQ,
    ACTIONS(6124), 1,
      anon_sym_EQ_EQ,
    STATE(4078), 1,
      sym_heredoc_body,
    ACTIONS(6118), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6122), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6096), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6106), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3379), 5,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6126), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [140054] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(4079), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6005), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(4376), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [140131] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6098), 1,
      sym__binary_star_star,
    ACTIONS(6104), 1,
      anon_sym_AMP,
    STATE(4080), 1,
      sym_heredoc_body,
    ACTIONS(6118), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6122), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6096), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 16,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [140186] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6098), 1,
      sym__binary_star_star,
    STATE(4081), 1,
      sym_heredoc_body,
    ACTIONS(6118), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6122), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6096), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 16,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [140239] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6098), 1,
      sym__binary_star_star,
    ACTIONS(6100), 1,
      anon_sym_PIPE,
    ACTIONS(6104), 1,
      anon_sym_AMP,
    ACTIONS(6110), 1,
      anon_sym_CARET,
    ACTIONS(6116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6120), 1,
      anon_sym_GT_EQ,
    ACTIONS(6124), 1,
      anon_sym_EQ_EQ,
    STATE(4082), 1,
      sym_heredoc_body,
    ACTIONS(6118), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6122), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6096), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6106), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6126), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 8,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [140308] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(4083), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4386), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [140383] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(4084), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4327), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [140458] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(4085), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4376), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [140533] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4086), 1,
      sym_heredoc_body,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 20,
      sym__binary_minus,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [140582] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5874), 1,
      anon_sym_AMP,
    ACTIONS(5878), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_QMARK,
    ACTIONS(5884), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5886), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5890), 1,
      anon_sym_GT_EQ,
    ACTIONS(5896), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(220), 1,
      sym__terminator,
    STATE(4087), 1,
      sym_heredoc_body,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5892), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6132), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5876), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5894), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5898), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [140661] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6098), 1,
      sym__binary_star_star,
    ACTIONS(6100), 1,
      anon_sym_PIPE,
    ACTIONS(6104), 1,
      anon_sym_AMP,
    ACTIONS(6110), 1,
      anon_sym_CARET,
    ACTIONS(6120), 1,
      anon_sym_GT_EQ,
    ACTIONS(6124), 1,
      anon_sym_EQ_EQ,
    STATE(4088), 1,
      sym_heredoc_body,
    ACTIONS(6118), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6122), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6096), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6106), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6126), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 9,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [140728] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6134), 1,
      anon_sym_COMMA,
    STATE(4089), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3791), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3789), 22,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [140775] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6098), 1,
      sym__binary_star_star,
    ACTIONS(6100), 1,
      anon_sym_PIPE,
    ACTIONS(6104), 1,
      anon_sym_AMP,
    ACTIONS(6110), 1,
      anon_sym_CARET,
    STATE(4090), 1,
      sym_heredoc_body,
    ACTIONS(6118), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6122), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6096), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 5,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 15,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [140834] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4091), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 6,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [140907] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_PIPE,
    ACTIONS(6015), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6017), 1,
      anon_sym_AMP,
    ACTIONS(6021), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6023), 1,
      anon_sym_CARET,
    ACTIONS(6025), 1,
      anon_sym_QMARK,
    ACTIONS(6027), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6033), 1,
      anon_sym_GT_EQ,
    ACTIONS(6039), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    STATE(4092), 1,
      sym_heredoc_body,
    ACTIONS(6031), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6035), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6019), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3996), 5,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6041), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [140982] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4093), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 6,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [141055] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    STATE(4094), 1,
      sym_heredoc_body,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 20,
      sym__binary_minus,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [141104] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6098), 1,
      sym__binary_star_star,
    ACTIONS(6100), 1,
      anon_sym_PIPE,
    ACTIONS(6104), 1,
      anon_sym_AMP,
    ACTIONS(6110), 1,
      anon_sym_CARET,
    ACTIONS(6120), 1,
      anon_sym_GT_EQ,
    ACTIONS(6124), 1,
      anon_sym_EQ_EQ,
    STATE(4095), 1,
      sym_heredoc_body,
    ACTIONS(6118), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6122), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6096), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6106), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6126), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 9,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [141171] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_QMARK,
    ACTIONS(5640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(4096), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6137), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6130), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_do,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [141248] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6098), 1,
      sym__binary_star_star,
    STATE(4097), 1,
      sym_heredoc_body,
    ACTIONS(4034), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 23,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [141295] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    STATE(4098), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [141342] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    STATE(4099), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [141389] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4100), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 16,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [141444] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_PIPE,
    ACTIONS(6015), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6017), 1,
      anon_sym_AMP,
    ACTIONS(6021), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6023), 1,
      anon_sym_CARET,
    ACTIONS(6025), 1,
      anon_sym_QMARK,
    ACTIONS(6027), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6033), 1,
      anon_sym_GT_EQ,
    ACTIONS(6039), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    STATE(4101), 1,
      sym_heredoc_body,
    ACTIONS(6031), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6035), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6019), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4004), 5,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6041), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [141519] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4102), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [141566] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6011), 1,
      anon_sym_COMMA,
    STATE(4089), 1,
      aux_sym_exceptions_repeat1,
    STATE(4103), 1,
      sym_heredoc_body,
    ACTIONS(3950), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3948), 22,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [141615] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6017), 1,
      anon_sym_AMP,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    STATE(4104), 1,
      sym_heredoc_body,
    ACTIONS(6031), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6035), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 16,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [141670] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_ri,
    STATE(4105), 1,
      sym_heredoc_body,
    ACTIONS(3135), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3137), 2,
      anon_sym_i,
      anon_sym_r,
    ACTIONS(3133), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [141719] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4106), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 23,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [141766] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6098), 1,
      sym__binary_star_star,
    ACTIONS(6100), 1,
      anon_sym_PIPE,
    ACTIONS(6102), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6104), 1,
      anon_sym_AMP,
    ACTIONS(6108), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6110), 1,
      anon_sym_CARET,
    ACTIONS(6112), 1,
      anon_sym_QMARK,
    ACTIONS(6114), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6120), 1,
      anon_sym_GT_EQ,
    ACTIONS(6124), 1,
      anon_sym_EQ_EQ,
    STATE(4107), 1,
      sym_heredoc_body,
    ACTIONS(6118), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6122), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6096), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6106), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4026), 5,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6126), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [141841] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    STATE(4108), 1,
      sym_heredoc_body,
    ACTIONS(6031), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6035), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 16,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [141894] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_PIPE,
    ACTIONS(6017), 1,
      anon_sym_AMP,
    ACTIONS(6023), 1,
      anon_sym_CARET,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    STATE(4109), 1,
      sym_heredoc_body,
    ACTIONS(6031), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6035), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 5,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 15,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [141953] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_PIPE,
    ACTIONS(6015), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6017), 1,
      anon_sym_AMP,
    ACTIONS(6021), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6023), 1,
      anon_sym_CARET,
    ACTIONS(6025), 1,
      anon_sym_QMARK,
    ACTIONS(6027), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6033), 1,
      anon_sym_GT_EQ,
    ACTIONS(6039), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    STATE(4110), 1,
      sym_heredoc_body,
    ACTIONS(6031), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6035), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6019), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3982), 5,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6041), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [142028] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6013), 1,
      anon_sym_PIPE,
    ACTIONS(6017), 1,
      anon_sym_AMP,
    ACTIONS(6023), 1,
      anon_sym_CARET,
    ACTIONS(6029), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6033), 1,
      anon_sym_GT_EQ,
    ACTIONS(6039), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    STATE(4111), 1,
      sym_heredoc_body,
    ACTIONS(6031), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6035), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6019), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6041), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 8,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [142097] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5634), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5636), 1,
      anon_sym_CARET,
    ACTIONS(5638), 1,
      anon_sym_QMARK,
    ACTIONS(5640), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5646), 1,
      anon_sym_GT_EQ,
    ACTIONS(5652), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5656), 1,
      sym__binary_star_star,
    STATE(4112), 1,
      sym_heredoc_body,
    ACTIONS(5644), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5648), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6137), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5632), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5650), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6128), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_do,
    ACTIONS(5654), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [142174] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6013), 1,
      anon_sym_PIPE,
    ACTIONS(6017), 1,
      anon_sym_AMP,
    ACTIONS(6023), 1,
      anon_sym_CARET,
    ACTIONS(6033), 1,
      anon_sym_GT_EQ,
    ACTIONS(6039), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    STATE(4113), 1,
      sym_heredoc_body,
    ACTIONS(6031), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6035), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6019), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6041), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 9,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [142241] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    STATE(4114), 1,
      sym_heredoc_body,
    ACTIONS(6035), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 18,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [142292] = 22,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5874), 1,
      anon_sym_AMP,
    ACTIONS(5878), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_QMARK,
    ACTIONS(5884), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5886), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5890), 1,
      anon_sym_GT_EQ,
    ACTIONS(5896), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(216), 1,
      sym__terminator,
    STATE(4115), 1,
      sym_heredoc_body,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5892), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6132), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5876), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5894), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5898), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [142371] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_PIPE,
    ACTIONS(6015), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6017), 1,
      anon_sym_AMP,
    ACTIONS(6021), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6023), 1,
      anon_sym_CARET,
    ACTIONS(6027), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6033), 1,
      anon_sym_GT_EQ,
    ACTIONS(6039), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    STATE(4116), 1,
      sym_heredoc_body,
    ACTIONS(6031), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6035), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6019), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6041), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 6,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
  [142444] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6013), 1,
      anon_sym_PIPE,
    ACTIONS(6017), 1,
      anon_sym_AMP,
    ACTIONS(6023), 1,
      anon_sym_CARET,
    ACTIONS(6033), 1,
      anon_sym_GT_EQ,
    ACTIONS(6039), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    STATE(4117), 1,
      sym_heredoc_body,
    ACTIONS(6031), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6035), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6019), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6041), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 9,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [142511] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4118), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 16,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [142564] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_PIPE,
    ACTIONS(6015), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6017), 1,
      anon_sym_AMP,
    ACTIONS(6021), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6023), 1,
      anon_sym_CARET,
    ACTIONS(6025), 1,
      anon_sym_QMARK,
    ACTIONS(6027), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6033), 1,
      anon_sym_GT_EQ,
    ACTIONS(6039), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    ACTIONS(6045), 1,
      anon_sym_rescue,
    STATE(4119), 1,
      sym_heredoc_body,
    ACTIONS(6031), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6035), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6019), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3601), 4,
      anon_sym_COMMA,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6041), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [142641] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    STATE(4120), 1,
      sym_heredoc_body,
    ACTIONS(4034), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 23,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [142688] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_PIPE,
    ACTIONS(6015), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6017), 1,
      anon_sym_AMP,
    ACTIONS(6021), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6023), 1,
      anon_sym_CARET,
    ACTIONS(6025), 1,
      anon_sym_QMARK,
    ACTIONS(6027), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6033), 1,
      anon_sym_GT_EQ,
    ACTIONS(6039), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    STATE(4121), 1,
      sym_heredoc_body,
    ACTIONS(6031), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6035), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6019), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3379), 5,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6041), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [142763] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6098), 1,
      sym__binary_star_star,
    STATE(4122), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 23,
      sym__line_break,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [142810] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6011), 1,
      anon_sym_COMMA,
    STATE(4103), 1,
      aux_sym_exceptions_repeat1,
    STATE(4123), 1,
      sym_heredoc_body,
    ACTIONS(3595), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 22,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [142859] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_PIPE,
    ACTIONS(6015), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6017), 1,
      anon_sym_AMP,
    ACTIONS(6021), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6023), 1,
      anon_sym_CARET,
    ACTIONS(6025), 1,
      anon_sym_QMARK,
    ACTIONS(6027), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6033), 1,
      anon_sym_GT_EQ,
    ACTIONS(6039), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    STATE(4124), 1,
      sym_heredoc_body,
    ACTIONS(6031), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6035), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6019), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3379), 5,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6041), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [142934] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4125), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 5,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 15,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [142993] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4126), 1,
      sym_heredoc_body,
    ACTIONS(4034), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 23,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [143040] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_PIPE,
    ACTIONS(6015), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6017), 1,
      anon_sym_AMP,
    ACTIONS(6021), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6023), 1,
      anon_sym_CARET,
    ACTIONS(6025), 1,
      anon_sym_QMARK,
    ACTIONS(6027), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6033), 1,
      anon_sym_GT_EQ,
    ACTIONS(6039), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    ACTIONS(6062), 1,
      anon_sym_rescue,
    STATE(4127), 1,
      sym_heredoc_body,
    ACTIONS(6031), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6035), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6019), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3601), 4,
      anon_sym_COMMA,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6041), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [143117] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4103), 1,
      aux_sym_exceptions_repeat1,
    STATE(4128), 1,
      sym_heredoc_body,
    ACTIONS(3595), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3593), 23,
      sym__binary_minus,
      sym__binary_star,
      sym__binary_star_star,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [143164] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4129), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4026), 5,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [143239] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4130), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 23,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [143286] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4131), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4004), 5,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [143361] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4132), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3379), 5,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [143436] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_PIPE,
    ACTIONS(6015), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6017), 1,
      anon_sym_AMP,
    ACTIONS(6021), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6023), 1,
      anon_sym_CARET,
    ACTIONS(6027), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6029), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6033), 1,
      anon_sym_GT_EQ,
    ACTIONS(6039), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    STATE(4133), 1,
      sym_heredoc_body,
    ACTIONS(6031), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6035), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6019), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6037), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6041), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 6,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
  [143509] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6043), 1,
      sym__binary_star_star,
    STATE(4134), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 23,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [143556] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6098), 1,
      sym__binary_star_star,
    ACTIONS(6100), 1,
      anon_sym_PIPE,
    ACTIONS(6102), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6104), 1,
      anon_sym_AMP,
    ACTIONS(6108), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6110), 1,
      anon_sym_CARET,
    ACTIONS(6112), 1,
      anon_sym_QMARK,
    ACTIONS(6114), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6120), 1,
      anon_sym_GT_EQ,
    ACTIONS(6124), 1,
      anon_sym_EQ_EQ,
    STATE(4135), 1,
      sym_heredoc_body,
    ACTIONS(6118), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6122), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6096), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6106), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3982), 5,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6126), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [143631] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5874), 1,
      anon_sym_AMP,
    ACTIONS(5878), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5880), 1,
      anon_sym_CARET,
    ACTIONS(5882), 1,
      anon_sym_QMARK,
    ACTIONS(5884), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5886), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5890), 1,
      anon_sym_GT_EQ,
    ACTIONS(5896), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5900), 1,
      sym__binary_star_star,
    STATE(4136), 1,
      sym_heredoc_body,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5892), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5876), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5894), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4386), 5,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5898), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [143706] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4137), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 9,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [143773] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4138), 1,
      sym_heredoc_body,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 18,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [143824] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(4139), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4370), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [143899] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4140), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3379), 5,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [143974] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6098), 1,
      sym__binary_star_star,
    ACTIONS(6100), 1,
      anon_sym_PIPE,
    ACTIONS(6102), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6104), 1,
      anon_sym_AMP,
    ACTIONS(6108), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6110), 1,
      anon_sym_CARET,
    ACTIONS(6114), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6120), 1,
      anon_sym_GT_EQ,
    ACTIONS(6124), 1,
      anon_sym_EQ_EQ,
    STATE(4141), 1,
      sym_heredoc_body,
    ACTIONS(6118), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6122), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6096), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6106), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6126), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4018), 6,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [144047] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6098), 1,
      sym__binary_star_star,
    STATE(4142), 1,
      sym_heredoc_body,
    ACTIONS(6122), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6096), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 18,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [144098] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6098), 1,
      sym__binary_star_star,
    ACTIONS(6100), 1,
      anon_sym_PIPE,
    ACTIONS(6102), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6104), 1,
      anon_sym_AMP,
    ACTIONS(6108), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6110), 1,
      anon_sym_CARET,
    ACTIONS(6114), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6120), 1,
      anon_sym_GT_EQ,
    ACTIONS(6124), 1,
      anon_sym_EQ_EQ,
    STATE(4143), 1,
      sym_heredoc_body,
    ACTIONS(6118), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6122), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6096), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6106), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6126), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(4000), 6,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
  [144171] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6098), 1,
      sym__binary_star_star,
    ACTIONS(6100), 1,
      anon_sym_PIPE,
    ACTIONS(6102), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6104), 1,
      anon_sym_AMP,
    ACTIONS(6108), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6110), 1,
      anon_sym_CARET,
    ACTIONS(6112), 1,
      anon_sym_QMARK,
    ACTIONS(6114), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6120), 1,
      anon_sym_GT_EQ,
    ACTIONS(6124), 1,
      anon_sym_EQ_EQ,
    STATE(4144), 1,
      sym_heredoc_body,
    ACTIONS(6118), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6122), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6141), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6096), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6106), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6139), 3,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(6126), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [144248] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4145), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 9,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [144315] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4146), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 8,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [144384] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6149), 1,
      sym__binary_star_star,
    STATE(4147), 1,
      sym_heredoc_body,
    ACTIONS(6143), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6145), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6147), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 15,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [144436] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym_PIPE,
    ACTIONS(6153), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6155), 1,
      anon_sym_AMP,
    ACTIONS(6159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6161), 1,
      anon_sym_CARET,
    ACTIONS(6163), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6169), 1,
      anon_sym_GT_EQ,
    ACTIONS(6175), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6179), 1,
      sym__binary_star_star,
    STATE(4148), 1,
      sym_heredoc_body,
    ACTIONS(6167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6171), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6157), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6173), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4018), 5,
      anon_sym_rescue,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6177), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [144508] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2834), 1,
      sym__string_start,
    STATE(4149), 1,
      sym_heredoc_body,
    STATE(4424), 1,
      sym_keyword_pattern,
    STATE(4429), 1,
      sym__hash_pattern_any_rest,
    STATE(5665), 1,
      sym_string,
    ACTIONS(2826), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(2828), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(6181), 2,
      sym_constant,
      sym_identifier,
    STATE(4409), 2,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
    STATE(5761), 2,
      sym_constant_suffix,
      sym_identifier_suffix,
    ACTIONS(5586), 6,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(5588), 9,
      anon_sym___END__,
      anon_sym_rescue,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [144572] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6009), 1,
      anon_sym_rescue,
    ACTIONS(6151), 1,
      anon_sym_PIPE,
    ACTIONS(6153), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6155), 1,
      anon_sym_AMP,
    ACTIONS(6159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6161), 1,
      anon_sym_CARET,
    ACTIONS(6163), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6169), 1,
      anon_sym_GT_EQ,
    ACTIONS(6175), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6179), 1,
      sym__binary_star_star,
    ACTIONS(6183), 1,
      anon_sym_QMARK,
    STATE(4150), 1,
      sym_heredoc_body,
    ACTIONS(6167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6171), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3601), 3,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6157), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6173), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6177), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [144648] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6179), 1,
      sym__binary_star_star,
    STATE(4151), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 22,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [144694] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6149), 1,
      sym__binary_star_star,
    STATE(4152), 1,
      sym_heredoc_body,
    ACTIONS(6147), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 19,
      sym__binary_minus,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [144742] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6060), 1,
      anon_sym_rescue,
    ACTIONS(6151), 1,
      anon_sym_PIPE,
    ACTIONS(6153), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6155), 1,
      anon_sym_AMP,
    ACTIONS(6159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6161), 1,
      anon_sym_CARET,
    ACTIONS(6163), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6169), 1,
      anon_sym_GT_EQ,
    ACTIONS(6175), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6179), 1,
      sym__binary_star_star,
    ACTIONS(6183), 1,
      anon_sym_QMARK,
    STATE(4153), 1,
      sym_heredoc_body,
    ACTIONS(6167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6171), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3601), 3,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6157), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6173), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6177), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [144818] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym_PIPE,
    ACTIONS(6153), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6155), 1,
      anon_sym_AMP,
    ACTIONS(6159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6161), 1,
      anon_sym_CARET,
    ACTIONS(6163), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6169), 1,
      anon_sym_GT_EQ,
    ACTIONS(6175), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6179), 1,
      sym__binary_star_star,
    ACTIONS(6183), 1,
      anon_sym_QMARK,
    STATE(4154), 1,
      sym_heredoc_body,
    ACTIONS(6167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6171), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6157), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6173), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4004), 4,
      anon_sym_rescue,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6177), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [144892] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6149), 1,
      sym__binary_star_star,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6187), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6189), 1,
      anon_sym_AMP,
    ACTIONS(6193), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6201), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6203), 1,
      anon_sym_GT_EQ,
    ACTIONS(6205), 1,
      anon_sym_EQ_EQ,
    STATE(4155), 1,
      sym_heredoc_body,
    ACTIONS(6143), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6145), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6147), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6191), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3379), 4,
      anon_sym_COMMA,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6207), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [144966] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6149), 1,
      sym__binary_star_star,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6187), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6189), 1,
      anon_sym_AMP,
    ACTIONS(6193), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6201), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6203), 1,
      anon_sym_GT_EQ,
    ACTIONS(6205), 1,
      anon_sym_EQ_EQ,
    STATE(4156), 1,
      sym_heredoc_body,
    ACTIONS(6143), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6145), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6147), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6191), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3379), 4,
      anon_sym_COMMA,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6207), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [145040] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2834), 1,
      sym__string_start,
    STATE(4157), 1,
      sym_heredoc_body,
    STATE(4424), 1,
      sym_keyword_pattern,
    STATE(4427), 1,
      sym__hash_pattern_any_rest,
    STATE(5665), 1,
      sym_string,
    ACTIONS(2826), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(2828), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(6181), 2,
      sym_constant,
      sym_identifier,
    STATE(4409), 2,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
    STATE(5761), 2,
      sym_constant_suffix,
      sym_identifier_suffix,
    ACTIONS(5578), 6,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(5580), 9,
      anon_sym___END__,
      anon_sym_rescue,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [145104] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5969), 1,
      anon_sym_PIPE,
    ACTIONS(5971), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5973), 1,
      anon_sym_AMP,
    ACTIONS(5977), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5979), 1,
      anon_sym_CARET,
    ACTIONS(5981), 1,
      anon_sym_QMARK,
    ACTIONS(5983), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5985), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5989), 1,
      anon_sym_GT_EQ,
    ACTIONS(5995), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5999), 1,
      sym__binary_star_star,
    STATE(4158), 1,
      sym_heredoc_body,
    ACTIONS(5987), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5991), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(5975), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5993), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4386), 4,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5997), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [145178] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym_PIPE,
    ACTIONS(6153), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6155), 1,
      anon_sym_AMP,
    ACTIONS(6159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6161), 1,
      anon_sym_CARET,
    ACTIONS(6163), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6169), 1,
      anon_sym_GT_EQ,
    ACTIONS(6175), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6179), 1,
      sym__binary_star_star,
    ACTIONS(6183), 1,
      anon_sym_QMARK,
    STATE(4159), 1,
      sym_heredoc_body,
    ACTIONS(6167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6171), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6157), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6173), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4026), 4,
      anon_sym_rescue,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6177), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [145252] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym_PIPE,
    ACTIONS(6153), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6155), 1,
      anon_sym_AMP,
    ACTIONS(6159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6161), 1,
      anon_sym_CARET,
    ACTIONS(6163), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6169), 1,
      anon_sym_GT_EQ,
    ACTIONS(6175), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6179), 1,
      sym__binary_star_star,
    ACTIONS(6183), 1,
      anon_sym_QMARK,
    STATE(4160), 1,
      sym_heredoc_body,
    ACTIONS(6167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6171), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6157), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6173), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3982), 4,
      anon_sym_rescue,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6177), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [145326] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym_PIPE,
    ACTIONS(6153), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6155), 1,
      anon_sym_AMP,
    ACTIONS(6159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6161), 1,
      anon_sym_CARET,
    ACTIONS(6163), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6169), 1,
      anon_sym_GT_EQ,
    ACTIONS(6175), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6179), 1,
      sym__binary_star_star,
    STATE(4161), 1,
      sym_heredoc_body,
    ACTIONS(6167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6171), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6157), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6173), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4000), 5,
      anon_sym_rescue,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6177), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [145398] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym_PIPE,
    ACTIONS(6153), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6155), 1,
      anon_sym_AMP,
    ACTIONS(6159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6161), 1,
      anon_sym_CARET,
    ACTIONS(6163), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6169), 1,
      anon_sym_GT_EQ,
    ACTIONS(6175), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6179), 1,
      sym__binary_star_star,
    ACTIONS(6183), 1,
      anon_sym_QMARK,
    STATE(4162), 1,
      sym_heredoc_body,
    ACTIONS(6167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6171), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6157), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6173), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3379), 4,
      anon_sym_rescue,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6177), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [145472] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym_PIPE,
    ACTIONS(6153), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6155), 1,
      anon_sym_AMP,
    ACTIONS(6159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6161), 1,
      anon_sym_CARET,
    ACTIONS(6163), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6169), 1,
      anon_sym_GT_EQ,
    ACTIONS(6175), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6179), 1,
      sym__binary_star_star,
    ACTIONS(6183), 1,
      anon_sym_QMARK,
    STATE(4163), 1,
      sym_heredoc_body,
    ACTIONS(6167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6171), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6157), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6173), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3379), 4,
      anon_sym_rescue,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6177), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [145546] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(6211), 1,
      anon_sym___END__,
    STATE(4164), 1,
      sym_heredoc_body,
    ACTIONS(745), 9,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
    ACTIONS(6209), 20,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [145592] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(4165), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6005), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6130), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [145668] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6149), 1,
      sym__binary_star_star,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6187), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6189), 1,
      anon_sym_AMP,
    ACTIONS(6193), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6201), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6203), 1,
      anon_sym_GT_EQ,
    ACTIONS(6205), 1,
      anon_sym_EQ_EQ,
    STATE(4166), 1,
      sym_heredoc_body,
    ACTIONS(6143), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6145), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6147), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6191), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3789), 4,
      anon_sym_COMMA,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6207), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [145742] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6149), 1,
      sym__binary_star_star,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6187), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6189), 1,
      anon_sym_AMP,
    ACTIONS(6193), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6201), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6203), 1,
      anon_sym_GT_EQ,
    ACTIONS(6205), 1,
      anon_sym_EQ_EQ,
    STATE(4167), 1,
      sym_heredoc_body,
    ACTIONS(6143), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6145), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6147), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6191), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3996), 4,
      anon_sym_COMMA,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6207), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [145816] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_PIPE,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    STATE(4168), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6005), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6128), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [145892] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6179), 1,
      sym__binary_star_star,
    STATE(4169), 1,
      sym_heredoc_body,
    ACTIONS(4034), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 22,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [145938] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6151), 1,
      anon_sym_PIPE,
    ACTIONS(6155), 1,
      anon_sym_AMP,
    ACTIONS(6161), 1,
      anon_sym_CARET,
    ACTIONS(6169), 1,
      anon_sym_GT_EQ,
    ACTIONS(6175), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6179), 1,
      sym__binary_star_star,
    STATE(4170), 1,
      sym_heredoc_body,
    ACTIONS(6167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6171), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6157), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6173), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6177), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 8,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [146004] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6179), 1,
      sym__binary_star_star,
    STATE(4171), 1,
      sym_heredoc_body,
    ACTIONS(6171), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6173), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 17,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [146054] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6151), 1,
      anon_sym_PIPE,
    ACTIONS(6155), 1,
      anon_sym_AMP,
    ACTIONS(6161), 1,
      anon_sym_CARET,
    ACTIONS(6169), 1,
      anon_sym_GT_EQ,
    ACTIONS(6175), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6179), 1,
      sym__binary_star_star,
    STATE(4172), 1,
      sym_heredoc_body,
    ACTIONS(6167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6171), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6157), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6173), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6177), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 8,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [146120] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6151), 1,
      anon_sym_PIPE,
    ACTIONS(6155), 1,
      anon_sym_AMP,
    ACTIONS(6161), 1,
      anon_sym_CARET,
    ACTIONS(6165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6169), 1,
      anon_sym_GT_EQ,
    ACTIONS(6175), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6179), 1,
      sym__binary_star_star,
    STATE(4173), 1,
      sym_heredoc_body,
    ACTIONS(6167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6171), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6157), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6173), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6177), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 7,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [146188] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym_PIPE,
    ACTIONS(6155), 1,
      anon_sym_AMP,
    ACTIONS(6161), 1,
      anon_sym_CARET,
    ACTIONS(6179), 1,
      sym__binary_star_star,
    STATE(4174), 1,
      sym_heredoc_body,
    ACTIONS(6167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6171), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6173), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 5,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 14,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [146246] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6149), 1,
      sym__binary_star_star,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6187), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6189), 1,
      anon_sym_AMP,
    ACTIONS(6193), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6201), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6203), 1,
      anon_sym_GT_EQ,
    ACTIONS(6205), 1,
      anon_sym_EQ_EQ,
    STATE(4175), 1,
      sym_heredoc_body,
    ACTIONS(6143), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6145), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6147), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6191), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4018), 5,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6207), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [146318] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6179), 1,
      sym__binary_star_star,
    STATE(4176), 1,
      sym_heredoc_body,
    ACTIONS(6167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6171), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6173), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 15,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [146370] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6149), 1,
      sym__binary_star_star,
    STATE(4177), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 22,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [146416] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6155), 1,
      anon_sym_AMP,
    ACTIONS(6179), 1,
      sym__binary_star_star,
    STATE(4178), 1,
      sym_heredoc_body,
    ACTIONS(6167), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6171), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6173), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 15,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [146470] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6179), 1,
      sym__binary_star_star,
    STATE(4179), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 22,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [146516] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6179), 1,
      sym__binary_star_star,
    STATE(4180), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 22,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [146562] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6179), 1,
      sym__binary_star_star,
    STATE(4181), 1,
      sym_heredoc_body,
    ACTIONS(6173), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 19,
      sym__binary_minus,
      anon_sym_rescue,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [146610] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    ACTIONS(6213), 1,
      anon_sym_PIPE,
    STATE(4182), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6005), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6130), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [146686] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5694), 1,
      anon_sym_AMP,
    ACTIONS(5698), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5702), 1,
      anon_sym_QMARK,
    ACTIONS(5704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5710), 1,
      anon_sym_GT_EQ,
    ACTIONS(5716), 1,
      anon_sym_EQ_EQ,
    ACTIONS(5720), 1,
      sym__binary_star_star,
    ACTIONS(6215), 1,
      anon_sym_PIPE,
    STATE(4183), 1,
      sym_heredoc_body,
    ACTIONS(5708), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5712), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6005), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6128), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(5696), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(5714), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5718), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [146762] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6149), 1,
      sym__binary_star_star,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6187), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6189), 1,
      anon_sym_AMP,
    ACTIONS(6193), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6201), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6203), 1,
      anon_sym_GT_EQ,
    ACTIONS(6205), 1,
      anon_sym_EQ_EQ,
    STATE(4184), 1,
      sym_heredoc_body,
    ACTIONS(6143), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6145), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6147), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6191), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4004), 4,
      anon_sym_COMMA,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6207), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [146836] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6149), 1,
      sym__binary_star_star,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6187), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6189), 1,
      anon_sym_AMP,
    ACTIONS(6193), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6201), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6203), 1,
      anon_sym_GT_EQ,
    ACTIONS(6205), 1,
      anon_sym_EQ_EQ,
    STATE(4185), 1,
      sym_heredoc_body,
    ACTIONS(6143), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6145), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6147), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6191), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4026), 4,
      anon_sym_COMMA,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6207), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [146910] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6149), 1,
      sym__binary_star_star,
    STATE(4186), 1,
      sym_heredoc_body,
    ACTIONS(4034), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 22,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [146956] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6149), 1,
      sym__binary_star_star,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6189), 1,
      anon_sym_AMP,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6203), 1,
      anon_sym_GT_EQ,
    ACTIONS(6205), 1,
      anon_sym_EQ_EQ,
    STATE(4187), 1,
      sym_heredoc_body,
    ACTIONS(6143), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6145), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6147), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6191), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6207), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 8,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [147022] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6149), 1,
      sym__binary_star_star,
    STATE(4188), 1,
      sym_heredoc_body,
    ACTIONS(6145), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6147), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 17,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [147072] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6149), 1,
      sym__binary_star_star,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6189), 1,
      anon_sym_AMP,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6203), 1,
      anon_sym_GT_EQ,
    ACTIONS(6205), 1,
      anon_sym_EQ_EQ,
    STATE(4189), 1,
      sym_heredoc_body,
    ACTIONS(6143), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6145), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6147), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6191), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6207), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 8,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [147138] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6149), 1,
      sym__binary_star_star,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6189), 1,
      anon_sym_AMP,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6201), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6203), 1,
      anon_sym_GT_EQ,
    ACTIONS(6205), 1,
      anon_sym_EQ_EQ,
    STATE(4190), 1,
      sym_heredoc_body,
    ACTIONS(6143), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6145), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6147), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6191), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6207), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 7,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [147206] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6149), 1,
      sym__binary_star_star,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6187), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6189), 1,
      anon_sym_AMP,
    ACTIONS(6193), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6201), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6203), 1,
      anon_sym_GT_EQ,
    ACTIONS(6205), 1,
      anon_sym_EQ_EQ,
    STATE(4191), 1,
      sym_heredoc_body,
    ACTIONS(6143), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6145), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6147), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6191), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(3982), 4,
      anon_sym_COMMA,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6207), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [147280] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6149), 1,
      sym__binary_star_star,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6189), 1,
      anon_sym_AMP,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    STATE(4192), 1,
      sym_heredoc_body,
    ACTIONS(6143), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6145), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6147), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 5,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 14,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [147338] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6149), 1,
      sym__binary_star_star,
    ACTIONS(6185), 1,
      anon_sym_PIPE,
    ACTIONS(6187), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6189), 1,
      anon_sym_AMP,
    ACTIONS(6193), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6195), 1,
      anon_sym_CARET,
    ACTIONS(6199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6201), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6203), 1,
      anon_sym_GT_EQ,
    ACTIONS(6205), 1,
      anon_sym_EQ_EQ,
    STATE(4193), 1,
      sym_heredoc_body,
    ACTIONS(6143), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6145), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6147), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6191), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(4000), 5,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6207), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [147410] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6149), 1,
      sym__binary_star_star,
    ACTIONS(6189), 1,
      anon_sym_AMP,
    STATE(4194), 1,
      sym_heredoc_body,
    ACTIONS(6143), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6145), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6147), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 15,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [147464] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6149), 1,
      sym__binary_star_star,
    STATE(4195), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 22,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [147510] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6149), 1,
      sym__binary_star_star,
    STATE(4196), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 22,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [147556] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6217), 1,
      anon_sym_RPAREN,
    STATE(4197), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [147631] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6235), 1,
      anon_sym_COLON2,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    STATE(4198), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [147706] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6257), 1,
      anon_sym_COLON2,
    STATE(4199), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [147781] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6259), 1,
      anon_sym_COLON2,
    STATE(4200), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [147856] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6261), 1,
      anon_sym_COLON2,
    STATE(4201), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [147931] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6263), 1,
      anon_sym_COLON2,
    STATE(4202), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [148006] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6265), 1,
      anon_sym_COLON2,
    STATE(4203), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [148081] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6267), 1,
      anon_sym_COLON2,
    STATE(4204), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [148156] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6269), 1,
      anon_sym_COLON2,
    STATE(4205), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [148231] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6271), 1,
      anon_sym_COLON2,
    STATE(4206), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [148306] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6273), 1,
      anon_sym_COLON2,
    STATE(4207), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [148381] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3767), 1,
      anon_sym___END__,
    STATE(4208), 1,
      sym_heredoc_body,
    ACTIONS(3765), 28,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [148424] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6275), 1,
      anon_sym_COLON2,
    STATE(4209), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [148499] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3747), 1,
      anon_sym___END__,
    STATE(4210), 1,
      sym_heredoc_body,
    ACTIONS(3745), 28,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [148542] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6277), 1,
      anon_sym_COLON2,
    STATE(4211), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [148617] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6279), 1,
      anon_sym_COLON2,
    STATE(4212), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [148692] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6281), 1,
      anon_sym_COLON2,
    STATE(4213), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [148767] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym___END__,
    STATE(4214), 1,
      sym_heredoc_body,
    ACTIONS(3423), 28,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [148810] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4215), 1,
      sym_heredoc_body,
    ACTIONS(3189), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3187), 27,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [148853] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6283), 1,
      anon_sym_COLON2,
    STATE(4216), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [148928] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3405), 1,
      anon_sym___END__,
    STATE(4217), 1,
      sym_heredoc_body,
    ACTIONS(3403), 28,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [148971] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6285), 1,
      anon_sym_COLON2,
    STATE(4218), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [149046] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    STATE(4219), 1,
      sym_heredoc_body,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4018), 4,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [149117] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    STATE(4220), 1,
      sym_heredoc_body,
    ACTIONS(3381), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3379), 21,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [149162] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6287), 1,
      anon_sym_COLON2,
    STATE(4221), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [149237] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6289), 1,
      anon_sym_COLON2,
    STATE(4222), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [149312] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6291), 1,
      anon_sym_COLON2,
    STATE(4223), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [149387] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym___END__,
    STATE(4224), 1,
      sym_heredoc_body,
    ACTIONS(3355), 28,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [149430] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6293), 1,
      anon_sym_COLON2,
    STATE(4225), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [149505] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym___END__,
    STATE(4226), 1,
      sym_heredoc_body,
    ACTIONS(3339), 28,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [149548] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym___END__,
    STATE(4227), 1,
      sym_heredoc_body,
    ACTIONS(3335), 28,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [149591] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6295), 1,
      anon_sym_COLON2,
    STATE(4228), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [149666] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6297), 1,
      anon_sym_EQ_GT,
    STATE(4229), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [149741] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3659), 1,
      anon_sym___END__,
    STATE(4230), 1,
      sym_heredoc_body,
    ACTIONS(3657), 28,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [149784] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6299), 1,
      anon_sym_RPAREN,
    STATE(4231), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [149859] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6301), 1,
      anon_sym_RPAREN,
    STATE(4232), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [149934] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3771), 1,
      anon_sym___END__,
    STATE(4233), 1,
      sym_heredoc_body,
    ACTIONS(3769), 28,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [149977] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3225), 1,
      anon_sym___END__,
    STATE(4234), 1,
      sym_heredoc_body,
    ACTIONS(3223), 28,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [150020] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym___END__,
    STATE(4235), 1,
      sym_heredoc_body,
    ACTIONS(3563), 28,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [150063] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6303), 1,
      anon_sym_COLON2,
    STATE(4236), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [150138] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6305), 1,
      anon_sym_RPAREN,
    STATE(4237), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [150213] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    STATE(4238), 1,
      sym_heredoc_body,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4004), 3,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [150286] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    STATE(4239), 1,
      sym_heredoc_body,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4026), 3,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [150359] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    STATE(4240), 1,
      sym_heredoc_body,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3379), 3,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [150432] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6307), 1,
      anon_sym_RPAREN,
    STATE(4241), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [150507] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    STATE(4242), 1,
      sym_heredoc_body,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3379), 3,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [150580] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6309), 1,
      anon_sym_RPAREN,
    STATE(4243), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [150655] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6311), 1,
      anon_sym_RPAREN,
    STATE(4244), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [150730] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6313), 1,
      anon_sym_RPAREN,
    STATE(4245), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [150805] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4246), 1,
      sym_heredoc_body,
    ACTIONS(3161), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3159), 27,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [150848] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6315), 1,
      anon_sym_COLON2,
    STATE(4247), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [150923] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6317), 1,
      anon_sym_RPAREN,
    STATE(4248), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [150998] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6319), 1,
      anon_sym_COLON2,
    STATE(4249), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [151073] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6321), 1,
      anon_sym_COLON2,
    STATE(4250), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [151148] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6323), 1,
      anon_sym_COLON2,
    STATE(4251), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [151223] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    STATE(4252), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(4386), 3,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [151296] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6325), 1,
      anon_sym_RPAREN,
    STATE(4253), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [151371] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6327), 1,
      anon_sym_COLON2,
    STATE(4254), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [151446] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6329), 1,
      anon_sym_RPAREN,
    STATE(4255), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [151521] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6331), 1,
      anon_sym_RPAREN,
    STATE(4256), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [151596] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6333), 1,
      anon_sym_COLON2,
    STATE(4257), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [151671] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2914), 1,
      anon_sym___END__,
    STATE(4258), 1,
      sym_heredoc_body,
    ACTIONS(2916), 28,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_LBRACK2,
      anon_sym_LPAREN2,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [151714] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6335), 1,
      anon_sym_COLON2,
    STATE(4259), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [151789] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6337), 1,
      anon_sym_RPAREN,
    STATE(4260), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [151864] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    STATE(4261), 1,
      sym_heredoc_body,
    ACTIONS(4034), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4032), 21,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [151909] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6339), 1,
      anon_sym_RPAREN,
    STATE(4262), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [151984] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6341), 1,
      anon_sym_COLON2,
    STATE(4263), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [152059] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6343), 1,
      anon_sym_COLON2,
    STATE(4264), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [152134] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2926), 1,
      anon_sym___END__,
    STATE(4265), 1,
      sym_heredoc_body,
    ACTIONS(2688), 28,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_LBRACK2,
      anon_sym_LPAREN2,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [152177] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    STATE(4266), 1,
      sym_heredoc_body,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [152242] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    STATE(4267), 1,
      sym_heredoc_body,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [152291] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6345), 1,
      anon_sym_COLON2,
    STATE(4268), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [152366] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6347), 1,
      anon_sym_COLON2,
    STATE(4269), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [152441] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6349), 1,
      anon_sym_COLON2,
    STATE(4270), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [152516] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6351), 1,
      anon_sym_RPAREN,
    STATE(4271), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [152591] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    STATE(4272), 1,
      sym_heredoc_body,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [152656] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6353), 1,
      anon_sym_RPAREN,
    STATE(4273), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [152731] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6355), 1,
      anon_sym_RPAREN,
    STATE(4274), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [152806] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6357), 1,
      anon_sym_COLON2,
    STATE(4275), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [152881] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6359), 1,
      anon_sym_COLON2,
    STATE(4276), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [152956] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6361), 1,
      anon_sym_COLON2,
    STATE(4277), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [153031] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6363), 1,
      anon_sym_RPAREN,
    STATE(4278), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [153106] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6365), 1,
      anon_sym_RPAREN,
    STATE(4279), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [153181] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6367), 1,
      anon_sym_COLON2,
    STATE(4280), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [153256] = 17,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    STATE(4281), 1,
      sym_heredoc_body,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
    ACTIONS(3982), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
  [153323] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6369), 1,
      anon_sym_COLON2,
    STATE(4282), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [153398] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3245), 1,
      anon_sym___END__,
    STATE(4283), 1,
      sym_heredoc_body,
    ACTIONS(3243), 28,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [153441] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6371), 1,
      anon_sym_RPAREN,
    STATE(4284), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [153516] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6373), 1,
      anon_sym_COLON2,
    STATE(4285), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [153591] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6377), 1,
      anon_sym___END__,
    STATE(4286), 1,
      sym_heredoc_body,
    ACTIONS(6375), 28,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_LBRACK2,
      anon_sym_LPAREN2,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [153634] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6381), 1,
      anon_sym___END__,
    ACTIONS(6383), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6385), 1,
      anon_sym_LBRACK2,
    ACTIONS(6387), 1,
      anon_sym_LPAREN2,
    STATE(4287), 1,
      sym_heredoc_body,
    ACTIONS(6379), 25,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [153683] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6389), 1,
      anon_sym_RPAREN,
    STATE(4288), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [153758] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6391), 1,
      anon_sym_RPAREN,
    STATE(4289), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [153833] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6393), 1,
      anon_sym_RPAREN,
    STATE(4290), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [153908] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_PIPE,
    ACTIONS(6066), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6068), 1,
      anon_sym_AMP,
    ACTIONS(6072), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6074), 1,
      anon_sym_CARET,
    ACTIONS(6076), 1,
      anon_sym_QMARK,
    ACTIONS(6078), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6080), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6084), 1,
      anon_sym_GT_EQ,
    ACTIONS(6090), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6094), 1,
      sym__binary_star_star,
    ACTIONS(6395), 1,
      anon_sym_RPAREN,
    STATE(4291), 1,
      sym_heredoc_body,
    ACTIONS(6082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6086), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6219), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6070), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6088), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6092), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [153983] = 20,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    STATE(4292), 1,
      sym_heredoc_body,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(3982), 3,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [154056] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    STATE(4293), 1,
      sym_heredoc_body,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 5,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [154113] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6399), 1,
      anon_sym___END__,
    STATE(4294), 1,
      sym_heredoc_body,
    ACTIONS(6397), 28,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_LBRACK2,
      anon_sym_LPAREN2,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [154156] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6401), 1,
      anon_sym_COLON2,
    STATE(4295), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [154231] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6403), 1,
      anon_sym_COLON2,
    STATE(4296), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [154306] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym___END__,
    STATE(4297), 1,
      sym_heredoc_body,
    ACTIONS(3239), 28,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [154349] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym___END__,
    STATE(4298), 1,
      sym_heredoc_body,
    ACTIONS(3227), 28,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [154392] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    STATE(4299), 1,
      sym_heredoc_body,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [154443] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym___END__,
    STATE(4300), 1,
      sym_heredoc_body,
    ACTIONS(3371), 28,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [154486] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3393), 1,
      anon_sym___END__,
    STATE(4301), 1,
      sym_heredoc_body,
    ACTIONS(3391), 28,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [154529] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6405), 1,
      anon_sym_COLON2,
    STATE(4302), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [154604] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6407), 1,
      anon_sym_COLON2,
    STATE(4303), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [154679] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6409), 1,
      anon_sym_COLON2,
    STATE(4304), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [154754] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    STATE(4305), 1,
      sym_heredoc_body,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4000), 4,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [154825] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    STATE(4306), 1,
      sym_heredoc_body,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 6,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [154878] = 21,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_PIPE,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6225), 1,
      anon_sym_AMP,
    ACTIONS(6229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    ACTIONS(6239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6245), 1,
      anon_sym_GT_EQ,
    ACTIONS(6251), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    ACTIONS(6411), 1,
      anon_sym_COLON2,
    STATE(4307), 1,
      sym_heredoc_body,
    ACTIONS(6237), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6243), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6247), 2,
      sym__binary_minus,
      anon_sym_PLUS,
    ACTIONS(6227), 3,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6253), 5,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [154953] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    STATE(4308), 1,
      sym_heredoc_body,
    ACTIONS(6249), 3,
      sym__binary_star,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 18,
      sym__binary_minus,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [155000] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    STATE(4309), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 21,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [155045] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6255), 1,
      sym__binary_star_star,
    STATE(4310), 1,
      sym_heredoc_body,
    ACTIONS(3984), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 21,
      sym__binary_minus,
      sym__binary_star,
      anon_sym_DOT_DOT_DOT,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_COLON2,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [155090] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4311), 1,
      sym_heredoc_body,
    ACTIONS(6413), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3591), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [155132] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4312), 1,
      sym_heredoc_body,
    ACTIONS(3357), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3355), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [155174] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4313), 1,
      sym_heredoc_body,
    ACTIONS(3771), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3769), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [155216] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4314), 1,
      sym_heredoc_body,
    ACTIONS(6417), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(6415), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [155258] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4315), 1,
      sym_heredoc_body,
    ACTIONS(3683), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3681), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [155300] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4316), 1,
      sym_heredoc_body,
    ACTIONS(3763), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3761), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [155342] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4317), 1,
      sym_heredoc_body,
    ACTIONS(3433), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3431), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [155384] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4318), 1,
      sym_heredoc_body,
    ACTIONS(3549), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3547), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [155426] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4319), 1,
      sym_heredoc_body,
    ACTIONS(3719), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3717), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [155468] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4320), 1,
      sym_heredoc_body,
    ACTIONS(3599), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3597), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [155510] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4321), 1,
      sym_heredoc_body,
    ACTIONS(3393), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3391), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [155552] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4322), 1,
      sym_heredoc_body,
    ACTIONS(3565), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3563), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [155594] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4323), 1,
      sym_heredoc_body,
    ACTIONS(3237), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3235), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [155636] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4324), 1,
      sym_heredoc_body,
    ACTIONS(3767), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3765), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [155678] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4325), 1,
      sym_heredoc_body,
    ACTIONS(3253), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3251), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [155720] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4326), 1,
      sym_heredoc_body,
    ACTIONS(3225), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3223), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [155762] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4327), 1,
      sym_heredoc_body,
    ACTIONS(3261), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3259), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [155804] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4328), 1,
      sym_heredoc_body,
    ACTIONS(3581), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3579), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [155846] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4329), 1,
      sym_heredoc_body,
    ACTIONS(3425), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3423), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [155888] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4330), 1,
      sym_heredoc_body,
    ACTIONS(3373), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3371), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [155930] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4331), 1,
      sym_heredoc_body,
    ACTIONS(3333), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3331), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [155972] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4332), 1,
      sym_heredoc_body,
    ACTIONS(3517), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3515), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156014] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4333), 1,
      sym_heredoc_body,
    ACTIONS(3329), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3327), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156056] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4334), 1,
      sym_heredoc_body,
    ACTIONS(6419), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(2930), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156098] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4335), 1,
      sym_heredoc_body,
    ACTIONS(3445), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3443), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156140] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4336), 1,
      sym_heredoc_body,
    ACTIONS(3287), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3285), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156182] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4337), 1,
      sym_heredoc_body,
    ACTIONS(3501), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3499), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156224] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4338), 1,
      sym_heredoc_body,
    ACTIONS(3679), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3677), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156266] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4339), 1,
      sym_heredoc_body,
    ACTIONS(3759), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3757), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156308] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4340), 1,
      sym_heredoc_body,
    ACTIONS(3787), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3785), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156350] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4341), 1,
      sym_heredoc_body,
    ACTIONS(2940), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(2938), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156392] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4342), 1,
      sym_heredoc_body,
    ACTIONS(3747), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3745), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156434] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4343), 1,
      sym_heredoc_body,
    ACTIONS(3509), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3507), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156476] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4344), 1,
      sym_heredoc_body,
    ACTIONS(3341), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3339), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156518] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4345), 1,
      sym_heredoc_body,
    ACTIONS(3751), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3749), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156560] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4346), 1,
      sym_heredoc_body,
    ACTIONS(3135), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3133), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156602] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4347), 1,
      sym_heredoc_body,
    ACTIONS(3337), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3335), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156644] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4348), 1,
      sym_heredoc_body,
    ACTIONS(3611), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3609), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156686] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4349), 1,
      sym_heredoc_body,
    ACTIONS(3687), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3685), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156728] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4350), 1,
      sym_heredoc_body,
    ACTIONS(3735), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3733), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156770] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4351), 1,
      sym_heredoc_body,
    ACTIONS(3659), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3657), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156812] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4352), 1,
      sym_heredoc_body,
    ACTIONS(3405), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3403), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156854] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4353), 1,
      sym_heredoc_body,
    ACTIONS(3743), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3741), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156896] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4354), 1,
      sym_heredoc_body,
    ACTIONS(3663), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3661), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156938] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4355), 1,
      sym_heredoc_body,
    ACTIONS(3245), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3243), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [156980] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4356), 1,
      sym_heredoc_body,
    ACTIONS(3775), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3773), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [157022] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4357), 1,
      sym_heredoc_body,
    ACTIONS(6421), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3153), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [157064] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4358), 1,
      sym_heredoc_body,
    ACTIONS(3241), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3239), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [157106] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4359), 1,
      sym_heredoc_body,
    ACTIONS(3553), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3551), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [157148] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4360), 1,
      sym_heredoc_body,
    ACTIONS(3703), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3701), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [157190] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4361), 1,
      sym_heredoc_body,
    ACTIONS(3217), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3215), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [157232] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4362), 1,
      sym_heredoc_body,
    ACTIONS(3229), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3227), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [157274] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_COLON,
    STATE(4363), 1,
      sym_heredoc_body,
    ACTIONS(2688), 26,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_LBRACK2,
      anon_sym_LPAREN2,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [157315] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6425), 1,
      anon_sym___END__,
    STATE(4364), 1,
      sym_heredoc_body,
    ACTIONS(6423), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [157356] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6425), 1,
      anon_sym___END__,
    STATE(4365), 1,
      sym_heredoc_body,
    ACTIONS(6423), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [157397] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6429), 1,
      anon_sym___END__,
    STATE(4366), 1,
      sym_heredoc_body,
    ACTIONS(6427), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [157438] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6429), 1,
      anon_sym___END__,
    STATE(4367), 1,
      sym_heredoc_body,
    ACTIONS(6427), 26,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [157479] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6381), 1,
      anon_sym___END__,
    STATE(4368), 1,
      sym_heredoc_body,
    ACTIONS(6379), 25,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [157519] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6433), 1,
      anon_sym___END__,
    ACTIONS(6435), 1,
      anon_sym_LBRACE,
    STATE(4364), 1,
      sym_block,
    STATE(4365), 1,
      sym_do_block,
    STATE(4369), 1,
      sym_heredoc_body,
    ACTIONS(6431), 22,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [157565] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6421), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6437), 1,
      anon_sym_COLON,
    STATE(4370), 1,
      sym_heredoc_body,
    ACTIONS(3153), 24,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [157607] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6433), 1,
      anon_sym___END__,
    ACTIONS(6435), 1,
      anon_sym_LBRACE,
    ACTIONS(6439), 1,
      anon_sym_do,
    STATE(4364), 1,
      sym_block,
    STATE(4365), 1,
      sym_do_block,
    STATE(4371), 1,
      sym_heredoc_body,
    ACTIONS(6431), 21,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [157655] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6443), 1,
      anon_sym___END__,
    STATE(4372), 1,
      sym_heredoc_body,
    ACTIONS(6441), 25,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [157695] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6447), 1,
      anon_sym___END__,
    STATE(4373), 1,
      sym_heredoc_body,
    ACTIONS(6445), 25,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [157735] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6451), 1,
      anon_sym___END__,
    STATE(4374), 1,
      sym_heredoc_body,
    ACTIONS(6449), 25,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [157775] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6455), 1,
      anon_sym___END__,
    STATE(4375), 1,
      sym_heredoc_body,
    ACTIONS(6453), 25,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [157815] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6435), 1,
      anon_sym_LBRACE,
    ACTIONS(6459), 1,
      anon_sym___END__,
    STATE(4366), 1,
      sym_block,
    STATE(4367), 1,
      sym_do_block,
    STATE(4376), 1,
      sym_heredoc_body,
    ACTIONS(6457), 22,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [157861] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6463), 1,
      anon_sym___END__,
    STATE(4377), 1,
      sym_heredoc_body,
    ACTIONS(6461), 25,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [157901] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6465), 1,
      anon_sym___END__,
    STATE(4378), 1,
      sym_heredoc_body,
    ACTIONS(2948), 25,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [157941] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6469), 1,
      anon_sym___END__,
    STATE(4379), 1,
      sym_heredoc_body,
    ACTIONS(6467), 25,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [157981] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6435), 1,
      anon_sym_LBRACE,
    ACTIONS(6439), 1,
      anon_sym_do,
    ACTIONS(6459), 1,
      anon_sym___END__,
    STATE(4366), 1,
      sym_block,
    STATE(4367), 1,
      sym_do_block,
    STATE(4380), 1,
      sym_heredoc_body,
    ACTIONS(6457), 21,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [158029] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6471), 1,
      anon_sym___END__,
    STATE(4381), 1,
      sym_heredoc_body,
    ACTIONS(3313), 25,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [158069] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6475), 1,
      anon_sym___END__,
    STATE(4382), 1,
      sym_heredoc_body,
    ACTIONS(6473), 25,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [158109] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym___END__,
    STATE(4383), 1,
      sym_heredoc_body,
    ACTIONS(6477), 25,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [158149] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6483), 1,
      anon_sym___END__,
    STATE(4384), 1,
      sym_heredoc_body,
    ACTIONS(6481), 25,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [158189] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6487), 1,
      anon_sym___END__,
    STATE(4385), 1,
      sym_heredoc_body,
    ACTIONS(6485), 25,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [158229] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6489), 1,
      anon_sym___END__,
    STATE(4386), 1,
      sym_heredoc_body,
    ACTIONS(3271), 25,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [158269] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6493), 1,
      anon_sym___END__,
    STATE(4387), 1,
      sym_heredoc_body,
    ACTIONS(6491), 25,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [158309] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym___END__,
    STATE(4388), 1,
      sym_heredoc_body,
    ACTIONS(6495), 25,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [158349] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6501), 1,
      anon_sym___END__,
    STATE(4389), 1,
      sym_heredoc_body,
    ACTIONS(6499), 25,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [158389] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6505), 1,
      anon_sym___END__,
    STATE(4390), 1,
      sym_heredoc_body,
    ACTIONS(6503), 25,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [158429] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6507), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6509), 1,
      anon_sym_DOT_DOT,
    STATE(4391), 1,
      sym_heredoc_body,
    ACTIONS(6379), 23,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [158470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4392), 1,
      sym_heredoc_body,
    ACTIONS(2568), 10,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
    ACTIONS(2566), 15,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      sym_identifier,
  [158509] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4393), 1,
      sym_heredoc_body,
    ACTIONS(2592), 10,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
    ACTIONS(2590), 15,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      sym_identifier,
  [158548] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2834), 1,
      sym__string_start,
    STATE(4394), 1,
      sym_heredoc_body,
    STATE(4424), 1,
      sym_keyword_pattern,
    STATE(4429), 1,
      sym__hash_pattern_any_rest,
    STATE(5730), 1,
      sym_string,
    ACTIONS(2826), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(2828), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(6511), 2,
      sym_constant,
      sym_identifier,
    STATE(4409), 2,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
    STATE(5612), 2,
      sym_constant_suffix,
      sym_identifier_suffix,
    ACTIONS(5586), 4,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(5588), 6,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [158607] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2834), 1,
      sym__string_start,
    STATE(4395), 1,
      sym_heredoc_body,
    STATE(4424), 1,
      sym_keyword_pattern,
    STATE(4427), 1,
      sym__hash_pattern_any_rest,
    STATE(5730), 1,
      sym_string,
    ACTIONS(2826), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(2828), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(6511), 2,
      sym_constant,
      sym_identifier,
    STATE(4409), 2,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
    STATE(5612), 2,
      sym_constant_suffix,
      sym_identifier_suffix,
    ACTIONS(5578), 4,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(5580), 6,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [158666] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6515), 1,
      anon_sym___END__,
    STATE(4396), 1,
      sym_heredoc_body,
    ACTIONS(6513), 24,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [158705] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6519), 1,
      anon_sym___END__,
    STATE(4397), 1,
      sym_heredoc_body,
    ACTIONS(6517), 24,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [158744] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6523), 1,
      anon_sym___END__,
    ACTIONS(6525), 1,
      anon_sym_EQ_GT,
    STATE(4398), 1,
      sym_heredoc_body,
    ACTIONS(6521), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [158785] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6525), 1,
      anon_sym_EQ_GT,
    ACTIONS(6529), 1,
      anon_sym___END__,
    STATE(4399), 1,
      sym_heredoc_body,
    ACTIONS(6527), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [158826] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4400), 1,
      sym_heredoc_body,
    ACTIONS(4909), 10,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
    ACTIONS(4907), 15,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      sym_identifier,
  [158865] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4401), 1,
      sym_heredoc_body,
    ACTIONS(2584), 10,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
    ACTIONS(2582), 15,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      sym_identifier,
  [158904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4402), 1,
      sym_heredoc_body,
    ACTIONS(2572), 10,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
    ACTIONS(2570), 15,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      sym_identifier,
  [158943] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4403), 1,
      sym_heredoc_body,
    ACTIONS(2588), 10,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
    ACTIONS(2586), 15,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      sym_identifier,
  [158982] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6533), 1,
      anon_sym___END__,
    STATE(4404), 1,
      sym_heredoc_body,
    ACTIONS(6531), 24,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4405), 1,
      sym_heredoc_body,
    ACTIONS(5069), 10,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
    ACTIONS(5067), 15,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      sym_identifier,
  [159060] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6525), 1,
      anon_sym_EQ_GT,
    ACTIONS(6537), 1,
      anon_sym___END__,
    STATE(4406), 1,
      sym_heredoc_body,
    ACTIONS(6535), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159101] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym___END__,
    STATE(4407), 1,
      sym_heredoc_body,
    ACTIONS(6539), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159139] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6545), 1,
      anon_sym___END__,
    STATE(4408), 1,
      sym_heredoc_body,
    ACTIONS(6543), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159177] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6549), 1,
      anon_sym___END__,
    STATE(4409), 1,
      sym_heredoc_body,
    ACTIONS(6547), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159215] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6553), 1,
      anon_sym___END__,
    STATE(4410), 1,
      sym_heredoc_body,
    ACTIONS(6551), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159253] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6557), 1,
      anon_sym___END__,
    STATE(4411), 1,
      sym_heredoc_body,
    ACTIONS(6555), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159291] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6561), 1,
      anon_sym_PIPE,
    STATE(4412), 2,
      sym_heredoc_body,
      aux_sym_alternative_pattern_repeat1,
    ACTIONS(6559), 22,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159329] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4413), 1,
      sym_heredoc_body,
    ACTIONS(6566), 3,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
    ACTIONS(6564), 21,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159367] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6570), 1,
      anon_sym___END__,
    STATE(4414), 1,
      sym_heredoc_body,
    ACTIONS(6568), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159405] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6211), 1,
      anon_sym___END__,
    STATE(4415), 1,
      sym_heredoc_body,
    ACTIONS(6209), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159443] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6574), 1,
      anon_sym___END__,
    STATE(4416), 1,
      sym_heredoc_body,
    ACTIONS(6572), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159481] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4604), 1,
      anon_sym___END__,
    STATE(4417), 1,
      sym_heredoc_body,
    ACTIONS(4269), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159519] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6578), 1,
      anon_sym___END__,
    STATE(4418), 1,
      sym_heredoc_body,
    ACTIONS(6576), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159557] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6582), 1,
      anon_sym___END__,
    STATE(4419), 1,
      sym_heredoc_body,
    ACTIONS(6580), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159595] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6584), 1,
      anon_sym___END__,
    STATE(4420), 1,
      sym_heredoc_body,
    ACTIONS(6564), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159633] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym___END__,
    STATE(4421), 1,
      sym_heredoc_body,
    ACTIONS(6586), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159671] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6590), 1,
      anon_sym_COLON,
    STATE(4422), 1,
      sym_heredoc_body,
    ACTIONS(2948), 23,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159709] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym___END__,
    STATE(4423), 1,
      sym_heredoc_body,
    ACTIONS(6539), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159747] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___END__,
    STATE(4424), 1,
      sym_heredoc_body,
    ACTIONS(6592), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159785] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_PIPE,
    STATE(4425), 1,
      sym_heredoc_body,
    STATE(4430), 1,
      aux_sym_alternative_pattern_repeat1,
    ACTIONS(6513), 22,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159825] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6600), 1,
      anon_sym___END__,
    STATE(4426), 1,
      sym_heredoc_body,
    ACTIONS(6598), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159863] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5588), 1,
      anon_sym___END__,
    STATE(4427), 1,
      sym_heredoc_body,
    ACTIONS(5586), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159901] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym___END__,
    STATE(4428), 1,
      sym_heredoc_body,
    ACTIONS(6539), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159939] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6604), 1,
      anon_sym___END__,
    STATE(4429), 1,
      sym_heredoc_body,
    ACTIONS(6602), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [159977] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_PIPE,
    STATE(4412), 1,
      aux_sym_alternative_pattern_repeat1,
    STATE(4430), 1,
      sym_heredoc_body,
    ACTIONS(6606), 22,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_EQ_GT,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [160017] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym___END__,
    STATE(4431), 1,
      sym_heredoc_body,
    ACTIONS(6539), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [160055] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6610), 1,
      anon_sym___END__,
    STATE(4432), 1,
      sym_heredoc_body,
    ACTIONS(6608), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [160093] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym___END__,
    STATE(4433), 1,
      sym_heredoc_body,
    ACTIONS(6612), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [160131] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6459), 1,
      anon_sym___END__,
    STATE(4434), 1,
      sym_heredoc_body,
    ACTIONS(6457), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [160169] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6618), 1,
      anon_sym___END__,
    STATE(4435), 1,
      sym_heredoc_body,
    ACTIONS(6616), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [160207] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6622), 1,
      anon_sym___END__,
    STATE(4436), 1,
      sym_heredoc_body,
    ACTIONS(6620), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [160245] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6626), 1,
      anon_sym___END__,
    STATE(4437), 1,
      sym_heredoc_body,
    ACTIONS(6624), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [160283] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6578), 1,
      anon_sym___END__,
    STATE(4438), 1,
      sym_heredoc_body,
    ACTIONS(6576), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [160321] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym___END__,
    STATE(4439), 1,
      sym_heredoc_body,
    ACTIONS(6628), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [160359] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6634), 1,
      anon_sym___END__,
    STATE(4440), 1,
      sym_heredoc_body,
    ACTIONS(6632), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [160397] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6638), 1,
      anon_sym___END__,
    STATE(4441), 1,
      sym_heredoc_body,
    ACTIONS(6636), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [160435] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym___END__,
    STATE(4442), 1,
      sym_heredoc_body,
    ACTIONS(6640), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [160473] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6646), 1,
      anon_sym___END__,
    STATE(4443), 1,
      sym_heredoc_body,
    ACTIONS(6644), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [160511] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6650), 1,
      anon_sym___END__,
    STATE(4444), 1,
      sym_heredoc_body,
    ACTIONS(6648), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [160549] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6654), 1,
      anon_sym___END__,
    STATE(4445), 1,
      sym_heredoc_body,
    ACTIONS(6652), 23,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [160587] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6656), 1,
      sym_identifier,
    ACTIONS(6662), 1,
      anon_sym_nil,
    STATE(4446), 1,
      sym_heredoc_body,
    ACTIONS(6658), 6,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(6660), 15,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [160628] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2834), 1,
      sym__string_start,
    STATE(4447), 1,
      sym_heredoc_body,
    STATE(4837), 1,
      sym__hash_pattern_any_rest,
    STATE(4838), 1,
      sym_keyword_pattern,
    STATE(5808), 1,
      sym_string,
    ACTIONS(2826), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(2828), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(6664), 2,
      sym_constant,
      sym_identifier,
    STATE(4828), 2,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
    STATE(5712), 2,
      sym_constant_suffix,
      sym_identifier_suffix,
    ACTIONS(5578), 4,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5580), 4,
      anon_sym_rescue,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [160685] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2834), 1,
      sym__string_start,
    STATE(4448), 1,
      sym_heredoc_body,
    STATE(4816), 1,
      sym__hash_pattern_any_rest,
    STATE(4838), 1,
      sym_keyword_pattern,
    STATE(5808), 1,
      sym_string,
    ACTIONS(2826), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(2828), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(6664), 2,
      sym_constant,
      sym_identifier,
    STATE(4828), 2,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
    STATE(5712), 2,
      sym_constant_suffix,
      sym_identifier_suffix,
    ACTIONS(5586), 4,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5588), 4,
      anon_sym_rescue,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [160742] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2834), 1,
      sym__string_start,
    STATE(4449), 1,
      sym_heredoc_body,
    STATE(4837), 1,
      sym__hash_pattern_any_rest,
    STATE(4838), 1,
      sym_keyword_pattern,
    STATE(5678), 1,
      sym_string,
    ACTIONS(2826), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(2828), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(6666), 2,
      sym_constant,
      sym_identifier,
    STATE(4828), 2,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
    STATE(5794), 2,
      sym_constant_suffix,
      sym_identifier_suffix,
    ACTIONS(5580), 3,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5578), 5,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [160799] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2834), 1,
      sym__string_start,
    STATE(4450), 1,
      sym_heredoc_body,
    STATE(4816), 1,
      sym__hash_pattern_any_rest,
    STATE(4838), 1,
      sym_keyword_pattern,
    STATE(5678), 1,
      sym_string,
    ACTIONS(2826), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(2828), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(6666), 2,
      sym_constant,
      sym_identifier,
    STATE(4828), 2,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
    STATE(5794), 2,
      sym_constant_suffix,
      sym_identifier_suffix,
    ACTIONS(5588), 3,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5586), 5,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [160856] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6670), 1,
      anon_sym_COMMA,
    STATE(4451), 1,
      sym_heredoc_body,
    STATE(4463), 1,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6668), 20,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [160894] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6672), 1,
      anon_sym_COMMA,
    STATE(4452), 2,
      sym_heredoc_body,
      aux_sym__hash_pattern_body_repeat1,
    ACTIONS(6592), 20,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [160930] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6677), 1,
      anon_sym_COMMA,
    STATE(4453), 1,
      sym_heredoc_body,
    STATE(4464), 1,
      aux_sym__array_pattern_n_repeat1,
    ACTIONS(6675), 20,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [160968] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6679), 1,
      sym_identifier,
    STATE(4454), 1,
      sym_heredoc_body,
    ACTIONS(2598), 6,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2606), 15,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [161006] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6681), 1,
      anon_sym_COMMA,
    STATE(4455), 1,
      sym_heredoc_body,
    STATE(4464), 1,
      aux_sym__array_pattern_n_repeat1,
    ACTIONS(6675), 20,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [161044] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6525), 1,
      anon_sym_EQ_GT,
    ACTIONS(6683), 1,
      anon_sym_COMMA,
    STATE(4456), 1,
      sym_heredoc_body,
    ACTIONS(6543), 20,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [161082] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6685), 1,
      anon_sym_COMMA,
    STATE(4452), 1,
      aux_sym__hash_pattern_body_repeat1,
    STATE(4457), 1,
      sym_heredoc_body,
    ACTIONS(5578), 20,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [161120] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_COMMA,
    STATE(4457), 1,
      aux_sym__hash_pattern_body_repeat1,
    STATE(4458), 1,
      sym_heredoc_body,
    ACTIONS(6586), 20,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [161158] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6681), 1,
      anon_sym_COMMA,
    STATE(4455), 1,
      aux_sym__array_pattern_n_repeat1,
    STATE(4459), 1,
      sym_heredoc_body,
    ACTIONS(6689), 20,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [161196] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6525), 1,
      anon_sym_EQ_GT,
    ACTIONS(6683), 1,
      anon_sym_COMMA,
    STATE(4460), 1,
      sym_heredoc_body,
    ACTIONS(6691), 20,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [161234] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6681), 1,
      anon_sym_COMMA,
    STATE(4453), 1,
      aux_sym__array_pattern_n_repeat1,
    STATE(4461), 1,
      sym_heredoc_body,
    ACTIONS(6689), 20,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [161272] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6693), 1,
      anon_sym_COMMA,
    STATE(4462), 2,
      sym_heredoc_body,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6652), 20,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [161308] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6670), 1,
      anon_sym_COMMA,
    STATE(4462), 1,
      aux_sym_command_argument_list_repeat1,
    STATE(4463), 1,
      sym_heredoc_body,
    ACTIONS(6696), 20,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [161346] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_COMMA,
    STATE(4464), 2,
      sym_heredoc_body,
      aux_sym__array_pattern_n_repeat1,
    ACTIONS(6521), 20,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [161382] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(767), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(135), 1,
      sym_parameters,
    STATE(217), 1,
      sym__terminator,
    STATE(2308), 1,
      sym__body_expr,
    STATE(4465), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5454), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [161441] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(827), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(162), 1,
      sym_parameters,
    STATE(217), 1,
      sym__terminator,
    STATE(2308), 1,
      sym__body_expr,
    STATE(4466), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5454), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [161500] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(817), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(157), 1,
      sym_parameters,
    STATE(200), 1,
      sym__terminator,
    STATE(2917), 1,
      sym__body_expr,
    STATE(4467), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5429), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [161559] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(773), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(137), 1,
      sym_parameters,
    STATE(217), 1,
      sym__terminator,
    STATE(2308), 1,
      sym__body_expr,
    STATE(4468), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5454), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [161618] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(795), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(147), 1,
      sym_parameters,
    STATE(200), 1,
      sym__terminator,
    STATE(2917), 1,
      sym__body_expr,
    STATE(4469), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5429), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [161677] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(819), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(158), 1,
      sym_parameters,
    STATE(217), 1,
      sym__terminator,
    STATE(2308), 1,
      sym__body_expr,
    STATE(4470), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5454), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [161736] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(151), 1,
      sym_parameters,
    STATE(217), 1,
      sym__terminator,
    STATE(2308), 1,
      sym__body_expr,
    STATE(4471), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5454), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [161795] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(789), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(144), 1,
      sym_parameters,
    STATE(217), 1,
      sym__terminator,
    STATE(2308), 1,
      sym__body_expr,
    STATE(4472), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5454), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [161854] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(809), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(153), 1,
      sym_parameters,
    STATE(195), 1,
      sym__terminator,
    STATE(4473), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5316), 1,
      sym__body_expr,
    STATE(5458), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [161913] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6709), 1,
      anon_sym_rescue,
    STATE(4474), 1,
      sym_heredoc_body,
    ACTIONS(6598), 20,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [161948] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(783), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(141), 1,
      sym_parameters,
    STATE(217), 1,
      sym__terminator,
    STATE(2308), 1,
      sym__body_expr,
    STATE(4475), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5454), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [162007] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(797), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(148), 1,
      sym_parameters,
    STATE(200), 1,
      sym__terminator,
    STATE(2917), 1,
      sym__body_expr,
    STATE(4476), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5429), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [162066] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(811), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(154), 1,
      sym_parameters,
    STATE(217), 1,
      sym__terminator,
    STATE(2308), 1,
      sym__body_expr,
    STATE(4477), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5454), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [162125] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(815), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(156), 1,
      sym_parameters,
    STATE(200), 1,
      sym__terminator,
    STATE(2917), 1,
      sym__body_expr,
    STATE(4478), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5429), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [162184] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6709), 1,
      anon_sym_rescue,
    STATE(4479), 1,
      sym_heredoc_body,
    ACTIONS(6628), 20,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [162219] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2926), 1,
      anon_sym___END__,
    ACTIONS(3056), 1,
      anon_sym_COLON,
    STATE(4480), 1,
      sym_heredoc_body,
    ACTIONS(2688), 19,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_LBRACK2,
      anon_sym_LPAREN2,
      anon_sym_and,
      anon_sym_or,
  [162256] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(775), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(138), 1,
      sym_parameters,
    STATE(217), 1,
      sym__terminator,
    STATE(2308), 1,
      sym__body_expr,
    STATE(4481), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5454), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [162315] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(829), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(163), 1,
      sym_parameters,
    STATE(217), 1,
      sym__terminator,
    STATE(2308), 1,
      sym__body_expr,
    STATE(4482), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5454), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [162374] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(799), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(149), 1,
      sym_parameters,
    STATE(217), 1,
      sym__terminator,
    STATE(2308), 1,
      sym__body_expr,
    STATE(4483), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5454), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [162433] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(781), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(140), 1,
      sym_parameters,
    STATE(200), 1,
      sym__terminator,
    STATE(2917), 1,
      sym__body_expr,
    STATE(4484), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5429), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [162492] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(771), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(136), 1,
      sym_parameters,
    STATE(200), 1,
      sym__terminator,
    STATE(2917), 1,
      sym__body_expr,
    STATE(4485), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5429), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [162551] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(833), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(165), 1,
      sym_parameters,
    STATE(200), 1,
      sym__terminator,
    STATE(2917), 1,
      sym__body_expr,
    STATE(4486), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5429), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [162610] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(825), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(161), 1,
      sym_parameters,
    STATE(200), 1,
      sym__terminator,
    STATE(2917), 1,
      sym__body_expr,
    STATE(4487), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5429), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [162669] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(785), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(142), 1,
      sym_parameters,
    STATE(200), 1,
      sym__terminator,
    STATE(2917), 1,
      sym__body_expr,
    STATE(4488), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5429), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [162728] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6713), 1,
      anon_sym___END__,
    STATE(4489), 1,
      sym_heredoc_body,
    ACTIONS(6711), 20,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
  [162763] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(813), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(155), 1,
      sym_parameters,
    STATE(217), 1,
      sym__terminator,
    STATE(2308), 1,
      sym__body_expr,
    STATE(4490), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5454), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [162822] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(164), 1,
      sym_parameters,
    STATE(200), 1,
      sym__terminator,
    STATE(2917), 1,
      sym__body_expr,
    STATE(4491), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5429), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [162881] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(805), 1,
      anon_sym_EQ,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    STATE(152), 1,
      sym_parameters,
    STATE(217), 1,
      sym__terminator,
    STATE(2308), 1,
      sym__body_expr,
    STATE(4492), 1,
      sym_heredoc_body,
    STATE(5291), 1,
      sym__simple_formal_parameter,
    STATE(5454), 1,
      sym_bare_parameters,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [162940] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(143), 1,
      anon_sym_do,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2812), 1,
      anon_sym_STAR,
    ACTIONS(2898), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      sym_identifier,
    ACTIONS(6717), 1,
      anon_sym_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6721), 1,
      anon_sym_AMP,
    STATE(4493), 1,
      sym_heredoc_body,
    STATE(5363), 1,
      sym__simple_formal_parameter,
    STATE(2224), 2,
      sym_do_block,
      sym_block,
    STATE(5232), 2,
      sym_parameters,
      sym_bare_parameters,
    STATE(5161), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [162994] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6725), 1,
      anon_sym___END__,
    STATE(4494), 1,
      sym_heredoc_body,
    ACTIONS(6723), 19,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
  [163028] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6729), 1,
      anon_sym___END__,
    STATE(4495), 1,
      sym_heredoc_body,
    ACTIONS(6727), 19,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
  [163062] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6731), 1,
      anon_sym_COMMA,
    STATE(4496), 1,
      sym_heredoc_body,
    STATE(4508), 1,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6696), 18,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [163098] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6731), 1,
      anon_sym_COMMA,
    STATE(4496), 1,
      aux_sym_command_argument_list_repeat1,
    STATE(4497), 1,
      sym_heredoc_body,
    ACTIONS(6668), 18,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [163134] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6735), 1,
      anon_sym___END__,
    STATE(4498), 1,
      sym_heredoc_body,
    ACTIONS(6733), 19,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
  [163168] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2812), 1,
      anon_sym_STAR,
    ACTIONS(6715), 1,
      sym_identifier,
    ACTIONS(6717), 1,
      anon_sym_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6721), 1,
      anon_sym_AMP,
    ACTIONS(6737), 1,
      anon_sym_LBRACE,
    ACTIONS(6739), 1,
      anon_sym_do,
    STATE(4499), 1,
      sym_heredoc_body,
    STATE(5363), 1,
      sym__simple_formal_parameter,
    STATE(5240), 2,
      sym_do_block,
      sym_block,
    STATE(5400), 2,
      sym_parameters,
      sym_bare_parameters,
    STATE(5161), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [163222] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym___END__,
    STATE(4500), 1,
      sym_heredoc_body,
    ACTIONS(6741), 19,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
  [163256] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2812), 1,
      anon_sym_STAR,
    ACTIONS(6435), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      sym_identifier,
    ACTIONS(6717), 1,
      anon_sym_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6721), 1,
      anon_sym_AMP,
    ACTIONS(6745), 1,
      anon_sym_do,
    STATE(4501), 1,
      sym_heredoc_body,
    STATE(5363), 1,
      sym__simple_formal_parameter,
    STATE(4336), 2,
      sym_do_block,
      sym_block,
    STATE(5387), 2,
      sym_parameters,
      sym_bare_parameters,
    STATE(5161), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [163310] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_do,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2812), 1,
      anon_sym_STAR,
    ACTIONS(3078), 1,
      anon_sym_LBRACE,
    ACTIONS(6715), 1,
      sym_identifier,
    ACTIONS(6717), 1,
      anon_sym_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6721), 1,
      anon_sym_AMP,
    STATE(4502), 1,
      sym_heredoc_body,
    STATE(5363), 1,
      sym__simple_formal_parameter,
    STATE(2874), 2,
      sym_do_block,
      sym_block,
    STATE(5228), 2,
      sym_parameters,
      sym_bare_parameters,
    STATE(5161), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [163364] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2812), 1,
      anon_sym_STAR,
    ACTIONS(6715), 1,
      sym_identifier,
    ACTIONS(6717), 1,
      anon_sym_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6721), 1,
      anon_sym_AMP,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6749), 1,
      anon_sym_do,
    STATE(4503), 1,
      sym_heredoc_body,
    STATE(5363), 1,
      sym__simple_formal_parameter,
    STATE(4336), 2,
      sym_do_block,
      sym_block,
    STATE(5303), 2,
      sym_parameters,
      sym_bare_parameters,
    STATE(5161), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [163418] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6751), 1,
      anon_sym_COLON,
    STATE(4504), 1,
      sym_heredoc_body,
    ACTIONS(6421), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3153), 17,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [163454] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6755), 1,
      anon_sym___END__,
    STATE(4505), 1,
      sym_heredoc_body,
    ACTIONS(6753), 19,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
  [163488] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2812), 1,
      anon_sym_STAR,
    ACTIONS(6715), 1,
      sym_identifier,
    ACTIONS(6717), 1,
      anon_sym_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6721), 1,
      anon_sym_AMP,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    ACTIONS(6759), 1,
      anon_sym_do,
    STATE(4506), 1,
      sym_heredoc_body,
    STATE(5363), 1,
      sym__simple_formal_parameter,
    STATE(4645), 2,
      sym_do_block,
      sym_block,
    STATE(5239), 2,
      sym_parameters,
      sym_bare_parameters,
    STATE(5161), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [163542] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym___END__,
    STATE(4507), 1,
      sym_heredoc_body,
    ACTIONS(6761), 19,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
  [163576] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6765), 1,
      anon_sym_COMMA,
    STATE(4508), 2,
      sym_heredoc_body,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6652), 18,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [163610] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2812), 1,
      anon_sym_STAR,
    ACTIONS(6715), 1,
      sym_identifier,
    ACTIONS(6717), 1,
      anon_sym_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6721), 1,
      anon_sym_AMP,
    ACTIONS(6768), 1,
      anon_sym_LBRACE,
    ACTIONS(6770), 1,
      anon_sym_do,
    STATE(4509), 1,
      sym_heredoc_body,
    STATE(5363), 1,
      sym__simple_formal_parameter,
    STATE(4645), 2,
      sym_do_block,
      sym_block,
    STATE(5265), 2,
      sym_parameters,
      sym_bare_parameters,
    STATE(5161), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [163664] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4510), 1,
      sym_heredoc_body,
    ACTIONS(3619), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3617), 17,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [163697] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2812), 1,
      anon_sym_STAR,
    ACTIONS(6717), 1,
      anon_sym_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6721), 1,
      anon_sym_AMP,
    ACTIONS(6772), 1,
      sym_identifier,
    ACTIONS(6774), 1,
      anon_sym_COMMA,
    ACTIONS(6776), 1,
      anon_sym_PIPE,
    ACTIONS(6778), 1,
      anon_sym_SEMI,
    STATE(4511), 1,
      sym_heredoc_body,
    STATE(5141), 1,
      sym_parameters,
    STATE(5144), 1,
      sym__simple_formal_parameter,
    STATE(5329), 1,
      sym__formal_parameter,
    STATE(5161), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [163752] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_rescue,
    STATE(4512), 1,
      sym_heredoc_body,
    ACTIONS(6598), 18,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [163785] = 16,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2812), 1,
      anon_sym_STAR,
    ACTIONS(6717), 1,
      anon_sym_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6721), 1,
      anon_sym_AMP,
    ACTIONS(6772), 1,
      sym_identifier,
    ACTIONS(6782), 1,
      anon_sym_COMMA,
    ACTIONS(6784), 1,
      anon_sym_PIPE,
    ACTIONS(6786), 1,
      anon_sym_SEMI,
    STATE(4513), 1,
      sym_heredoc_body,
    STATE(5141), 1,
      sym_parameters,
    STATE(5144), 1,
      sym__simple_formal_parameter,
    STATE(5242), 1,
      sym__formal_parameter,
    STATE(5161), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [163840] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6381), 1,
      anon_sym___END__,
    ACTIONS(6788), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6790), 1,
      anon_sym_DOT_DOT,
    STATE(4514), 1,
      sym_heredoc_body,
    ACTIONS(6379), 16,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [163877] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6792), 1,
      anon_sym_COMMA,
    STATE(4515), 2,
      sym_heredoc_body,
      aux_sym_undef_repeat1,
    ACTIONS(6711), 17,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
  [163910] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4516), 1,
      sym_heredoc_body,
    ACTIONS(3561), 2,
      anon_sym___END__,
      anon_sym_DOT_DOT,
    ACTIONS(3559), 17,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [163943] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6797), 1,
      anon_sym_COMMA,
    STATE(4517), 1,
      sym_heredoc_body,
    STATE(4520), 1,
      aux_sym_undef_repeat1,
    ACTIONS(6795), 17,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
  [163978] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6780), 1,
      anon_sym_rescue,
    STATE(4518), 1,
      sym_heredoc_body,
    ACTIONS(6628), 18,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [164011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(6799), 1,
      anon_sym_EQ2,
    STATE(4519), 1,
      sym_heredoc_body,
    ACTIONS(4909), 18,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
  [164044] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6797), 1,
      anon_sym_COMMA,
    STATE(4515), 1,
      aux_sym_undef_repeat1,
    STATE(4520), 1,
      sym_heredoc_body,
    ACTIONS(6801), 17,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_do,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
  [164079] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4521), 1,
      sym_heredoc_body,
    ACTIONS(6805), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6803), 16,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
  [164111] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6807), 1,
      anon_sym_rescue,
    STATE(4522), 1,
      sym_heredoc_body,
    ACTIONS(6598), 17,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [164143] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2812), 1,
      anon_sym_STAR,
    ACTIONS(6717), 1,
      anon_sym_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6721), 1,
      anon_sym_AMP,
    ACTIONS(6772), 1,
      sym_identifier,
    ACTIONS(6809), 1,
      anon_sym_PIPE,
    ACTIONS(6811), 1,
      anon_sym_SEMI,
    STATE(4523), 1,
      sym_heredoc_body,
    STATE(5141), 1,
      sym_parameters,
    STATE(5144), 1,
      sym__simple_formal_parameter,
    STATE(5169), 1,
      sym__formal_parameter,
    STATE(5161), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [164195] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6515), 1,
      anon_sym___END__,
    ACTIONS(6813), 1,
      anon_sym_PIPE,
    STATE(4524), 1,
      sym_heredoc_body,
    STATE(4534), 1,
      aux_sym_alternative_pattern_repeat1,
    ACTIONS(6513), 15,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [164231] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4525), 1,
      sym_heredoc_body,
    ACTIONS(6805), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6815), 16,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
  [164263] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4526), 1,
      sym_heredoc_body,
    ACTIONS(6805), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6817), 16,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
  [164295] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6807), 1,
      anon_sym_rescue,
    STATE(4527), 1,
      sym_heredoc_body,
    ACTIONS(6628), 17,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
      anon_sym_and,
      anon_sym_or,
  [164327] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2812), 1,
      anon_sym_STAR,
    ACTIONS(6717), 1,
      anon_sym_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6721), 1,
      anon_sym_AMP,
    ACTIONS(6772), 1,
      sym_identifier,
    ACTIONS(6819), 1,
      anon_sym_PIPE,
    ACTIONS(6821), 1,
      anon_sym_SEMI,
    STATE(4528), 1,
      sym_heredoc_body,
    STATE(5141), 1,
      sym_parameters,
    STATE(5144), 1,
      sym__simple_formal_parameter,
    STATE(5169), 1,
      sym__formal_parameter,
    STATE(5161), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [164379] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4529), 1,
      sym_heredoc_body,
    ACTIONS(6805), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6823), 16,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
  [164411] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6825), 1,
      anon_sym___END__,
    ACTIONS(6827), 1,
      anon_sym_PIPE,
    STATE(4530), 2,
      sym_heredoc_body,
      aux_sym_alternative_pattern_repeat1,
    ACTIONS(6559), 15,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [164445] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4531), 1,
      sym_heredoc_body,
    ACTIONS(6805), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6830), 16,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
  [164477] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2812), 1,
      anon_sym_STAR,
    ACTIONS(6717), 1,
      anon_sym_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6721), 1,
      anon_sym_AMP,
    ACTIONS(6772), 1,
      sym_identifier,
    ACTIONS(6832), 1,
      anon_sym_PIPE,
    ACTIONS(6834), 1,
      anon_sym_SEMI,
    STATE(4532), 1,
      sym_heredoc_body,
    STATE(5141), 1,
      sym_parameters,
    STATE(5144), 1,
      sym__simple_formal_parameter,
    STATE(5169), 1,
      sym__formal_parameter,
    STATE(5161), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [164529] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6465), 1,
      anon_sym___END__,
    ACTIONS(6836), 1,
      anon_sym_COLON,
    STATE(4533), 1,
      sym_heredoc_body,
    ACTIONS(2948), 16,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [164563] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6813), 1,
      anon_sym_PIPE,
    ACTIONS(6838), 1,
      anon_sym___END__,
    STATE(4530), 1,
      aux_sym_alternative_pattern_repeat1,
    STATE(4534), 1,
      sym_heredoc_body,
    ACTIONS(6606), 15,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [164599] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4535), 1,
      sym_heredoc_body,
    ACTIONS(6805), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6741), 16,
      sym__line_break,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_then,
      anon_sym_ensure,
  [164631] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2812), 1,
      anon_sym_STAR,
    ACTIONS(6717), 1,
      anon_sym_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6721), 1,
      anon_sym_AMP,
    ACTIONS(6772), 1,
      sym_identifier,
    ACTIONS(6840), 1,
      anon_sym_PIPE,
    ACTIONS(6842), 1,
      anon_sym_SEMI,
    STATE(4536), 1,
      sym_heredoc_body,
    STATE(5141), 1,
      sym_parameters,
    STATE(5144), 1,
      sym__simple_formal_parameter,
    STATE(5169), 1,
      sym__formal_parameter,
    STATE(5161), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [164683] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6584), 1,
      anon_sym___END__,
    STATE(4537), 1,
      sym_heredoc_body,
    ACTIONS(6844), 3,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
    ACTIONS(6564), 14,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [164717] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6846), 1,
      anon_sym_end,
    ACTIONS(6848), 1,
      anon_sym_rescue,
    ACTIONS(6850), 1,
      anon_sym_if,
    ACTIONS(6852), 1,
      anon_sym_unless,
    ACTIONS(6854), 1,
      anon_sym_while,
    ACTIONS(6856), 1,
      anon_sym_until,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    STATE(4538), 1,
      sym_heredoc_body,
    STATE(4857), 1,
      sym__terminator,
    STATE(5114), 1,
      aux_sym_case_repeat1,
    STATE(5136), 1,
      aux_sym_case_match_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5766), 1,
      sym_else,
    ACTIONS(1305), 2,
      sym__line_break,
      anon_sym_SEMI,
  [164776] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3135), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3139), 1,
      anon_sym_ri,
    STATE(4539), 1,
      sym_heredoc_body,
    ACTIONS(3137), 2,
      anon_sym_i,
      anon_sym_r,
    ACTIONS(3133), 13,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [164811] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2834), 1,
      sym__string_start,
    ACTIONS(6864), 1,
      anon_sym_RBRACE,
    STATE(4540), 1,
      sym_heredoc_body,
    STATE(4822), 1,
      sym_keyword_pattern,
    STATE(4833), 1,
      sym__hash_pattern_any_rest,
    STATE(5666), 1,
      sym__hash_pattern_body,
    STATE(5678), 1,
      sym_string,
    ACTIONS(2826), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(2828), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(6666), 2,
      sym_constant,
      sym_identifier,
    STATE(4828), 2,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
    STATE(5794), 2,
      sym_constant_suffix,
      sym_identifier_suffix,
  [164862] = 14,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2812), 1,
      anon_sym_STAR,
    ACTIONS(6717), 1,
      anon_sym_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6721), 1,
      anon_sym_AMP,
    ACTIONS(6866), 1,
      sym_identifier,
    ACTIONS(6868), 1,
      anon_sym_RPAREN,
    STATE(4541), 1,
      sym_heredoc_body,
    STATE(5141), 1,
      sym_parameters,
    STATE(5144), 1,
      sym__simple_formal_parameter,
    STATE(5441), 1,
      sym__formal_parameter,
    STATE(5161), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [164911] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6656), 1,
      sym_identifier,
    ACTIONS(6662), 1,
      anon_sym_nil,
    STATE(4542), 1,
      sym_heredoc_body,
    ACTIONS(6658), 6,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(6660), 9,
      anon_sym___END__,
      anon_sym_rescue,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [164946] = 14,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2812), 1,
      anon_sym_STAR,
    ACTIONS(6717), 1,
      anon_sym_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6721), 1,
      anon_sym_AMP,
    ACTIONS(6866), 1,
      sym_identifier,
    ACTIONS(6870), 1,
      anon_sym_RPAREN,
    STATE(4543), 1,
      sym_heredoc_body,
    STATE(5141), 1,
      sym_parameters,
    STATE(5144), 1,
      sym__simple_formal_parameter,
    STATE(5464), 1,
      sym__formal_parameter,
    STATE(5161), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [164995] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_rescue,
    ACTIONS(6850), 1,
      anon_sym_if,
    ACTIONS(6852), 1,
      anon_sym_unless,
    ACTIONS(6854), 1,
      anon_sym_while,
    ACTIONS(6856), 1,
      anon_sym_until,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(6872), 1,
      anon_sym_end,
    STATE(4544), 1,
      sym_heredoc_body,
    STATE(4859), 1,
      sym__terminator,
    STATE(5110), 1,
      aux_sym_case_repeat1,
    STATE(5166), 1,
      aux_sym_case_match_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5680), 1,
      sym_else,
    ACTIONS(1305), 2,
      sym__line_break,
      anon_sym_SEMI,
  [165054] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_rescue,
    ACTIONS(6850), 1,
      anon_sym_if,
    ACTIONS(6852), 1,
      anon_sym_unless,
    ACTIONS(6854), 1,
      anon_sym_while,
    ACTIONS(6856), 1,
      anon_sym_until,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(6874), 1,
      anon_sym_end,
    STATE(4545), 1,
      sym_heredoc_body,
    STATE(4823), 1,
      sym__terminator,
    STATE(5123), 1,
      aux_sym_case_match_repeat1,
    STATE(5153), 1,
      aux_sym_case_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5597), 1,
      sym_else,
    ACTIONS(1305), 2,
      sym__line_break,
      anon_sym_SEMI,
  [165113] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_rescue,
    ACTIONS(6850), 1,
      anon_sym_if,
    ACTIONS(6852), 1,
      anon_sym_unless,
    ACTIONS(6854), 1,
      anon_sym_while,
    ACTIONS(6856), 1,
      anon_sym_until,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(6876), 1,
      anon_sym_end,
    STATE(4546), 1,
      sym_heredoc_body,
    STATE(4814), 1,
      sym__terminator,
    STATE(5120), 1,
      aux_sym_case_match_repeat1,
    STATE(5145), 1,
      aux_sym_case_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5805), 1,
      sym_else,
    ACTIONS(1305), 2,
      sym__line_break,
      anon_sym_SEMI,
  [165172] = 15,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2834), 1,
      sym__string_start,
    ACTIONS(6878), 1,
      anon_sym_RBRACE,
    STATE(4547), 1,
      sym_heredoc_body,
    STATE(4822), 1,
      sym_keyword_pattern,
    STATE(4833), 1,
      sym__hash_pattern_any_rest,
    STATE(5663), 1,
      sym__hash_pattern_body,
    STATE(5678), 1,
      sym_string,
    ACTIONS(2826), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(2828), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(6666), 2,
      sym_constant,
      sym_identifier,
    STATE(4828), 2,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
    STATE(5794), 2,
      sym_constant_suffix,
      sym_identifier_suffix,
  [165223] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_rescue,
    ACTIONS(6850), 1,
      anon_sym_if,
    ACTIONS(6852), 1,
      anon_sym_unless,
    ACTIONS(6854), 1,
      anon_sym_while,
    ACTIONS(6856), 1,
      anon_sym_until,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(6880), 1,
      anon_sym_end,
    STATE(4548), 1,
      sym_heredoc_body,
    STATE(4842), 1,
      sym__terminator,
    STATE(5134), 1,
      aux_sym_case_repeat1,
    STATE(5135), 1,
      aux_sym_case_match_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5716), 1,
      sym_else,
    ACTIONS(1305), 2,
      sym__line_break,
      anon_sym_SEMI,
  [165282] = 14,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2812), 1,
      anon_sym_STAR,
    ACTIONS(6717), 1,
      anon_sym_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6721), 1,
      anon_sym_AMP,
    ACTIONS(6866), 1,
      sym_identifier,
    ACTIONS(6882), 1,
      anon_sym_RPAREN,
    STATE(4549), 1,
      sym_heredoc_body,
    STATE(5141), 1,
      sym_parameters,
    STATE(5144), 1,
      sym__simple_formal_parameter,
    STATE(5456), 1,
      sym__formal_parameter,
    STATE(5161), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [165331] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym___END__,
    STATE(4550), 1,
      sym_heredoc_body,
    ACTIONS(2564), 16,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
  [165362] = 19,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_rescue,
    ACTIONS(6850), 1,
      anon_sym_if,
    ACTIONS(6852), 1,
      anon_sym_unless,
    ACTIONS(6854), 1,
      anon_sym_while,
    ACTIONS(6856), 1,
      anon_sym_until,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(6884), 1,
      anon_sym_end,
    STATE(4551), 1,
      sym_heredoc_body,
    STATE(4847), 1,
      sym__terminator,
    STATE(5131), 1,
      aux_sym_case_repeat1,
    STATE(5132), 1,
      aux_sym_case_match_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5638), 1,
      sym_else,
    ACTIONS(1305), 2,
      sym__line_break,
      anon_sym_SEMI,
  [165421] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6886), 1,
      anon_sym___END__,
    ACTIONS(6888), 1,
      anon_sym_COMMA,
    STATE(4552), 1,
      sym_heredoc_body,
    STATE(4560), 1,
      aux_sym__array_pattern_n_repeat1,
    ACTIONS(6675), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [165455] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6525), 1,
      anon_sym_EQ_GT,
    ACTIONS(6890), 1,
      anon_sym___END__,
    ACTIONS(6892), 1,
      anon_sym_COMMA,
    STATE(4553), 1,
      sym_heredoc_body,
    ACTIONS(6691), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [165489] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6654), 1,
      anon_sym___END__,
    ACTIONS(6894), 1,
      anon_sym_COMMA,
    STATE(4554), 2,
      sym_heredoc_body,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6652), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [165521] = 11,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_rescue,
    ACTIONS(6850), 1,
      anon_sym_if,
    ACTIONS(6852), 1,
      anon_sym_unless,
    ACTIONS(6854), 1,
      anon_sym_while,
    ACTIONS(6856), 1,
      anon_sym_until,
    STATE(2026), 1,
      sym__terminator,
    STATE(4555), 1,
      sym_heredoc_body,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    ACTIONS(1229), 8,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_ensure,
  [165563] = 13,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_STAR,
    ACTIONS(6701), 1,
      sym_identifier,
    ACTIONS(6705), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6707), 1,
      anon_sym_AMP,
    ACTIONS(6897), 1,
      anon_sym_LPAREN,
    STATE(4556), 1,
      sym_heredoc_body,
    STATE(5421), 1,
      sym__simple_formal_parameter,
    STATE(5424), 1,
      sym_parameters,
    STATE(5461), 1,
      sym__formal_parameter,
    STATE(5451), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [165609] = 13,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2812), 1,
      anon_sym_STAR,
    ACTIONS(6717), 1,
      anon_sym_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6721), 1,
      anon_sym_AMP,
    ACTIONS(6772), 1,
      sym_identifier,
    STATE(4557), 1,
      sym_heredoc_body,
    STATE(5141), 1,
      sym_parameters,
    STATE(5144), 1,
      sym__simple_formal_parameter,
    STATE(5169), 1,
      sym__formal_parameter,
    STATE(5161), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [165655] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6888), 1,
      anon_sym_COMMA,
    ACTIONS(6899), 1,
      anon_sym___END__,
    STATE(4558), 1,
      sym_heredoc_body,
    STATE(4563), 1,
      aux_sym__array_pattern_n_repeat1,
    ACTIONS(6689), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [165689] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6679), 1,
      sym_identifier,
    STATE(4559), 1,
      sym_heredoc_body,
    ACTIONS(2598), 6,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2606), 9,
      anon_sym___END__,
      anon_sym_rescue,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [165721] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6523), 1,
      anon_sym___END__,
    ACTIONS(6901), 1,
      anon_sym_COMMA,
    STATE(4560), 2,
      sym_heredoc_body,
      aux_sym__array_pattern_n_repeat1,
    ACTIONS(6521), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [165753] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6904), 1,
      anon_sym___END__,
    ACTIONS(6906), 1,
      anon_sym_COMMA,
    STATE(4554), 1,
      aux_sym_command_argument_list_repeat1,
    STATE(4561), 1,
      sym_heredoc_body,
    ACTIONS(6696), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [165787] = 13,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2812), 1,
      anon_sym_STAR,
    ACTIONS(6717), 1,
      anon_sym_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6721), 1,
      anon_sym_AMP,
    ACTIONS(6866), 1,
      sym_identifier,
    STATE(4562), 1,
      sym_heredoc_body,
    STATE(5141), 1,
      sym_parameters,
    STATE(5144), 1,
      sym__simple_formal_parameter,
    STATE(5169), 1,
      sym__formal_parameter,
    STATE(5161), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [165833] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6886), 1,
      anon_sym___END__,
    ACTIONS(6908), 1,
      anon_sym_COMMA,
    STATE(4560), 1,
      aux_sym__array_pattern_n_repeat1,
    STATE(4563), 1,
      sym_heredoc_body,
    ACTIONS(6675), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [165867] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6888), 1,
      anon_sym_COMMA,
    ACTIONS(6899), 1,
      anon_sym___END__,
    STATE(4552), 1,
      aux_sym__array_pattern_n_repeat1,
    STATE(4564), 1,
      sym_heredoc_body,
    ACTIONS(6689), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [165901] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6906), 1,
      anon_sym_COMMA,
    ACTIONS(6910), 1,
      anon_sym___END__,
    STATE(4561), 1,
      aux_sym_command_argument_list_repeat1,
    STATE(4565), 1,
      sym_heredoc_body,
    ACTIONS(6668), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [165935] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6525), 1,
      anon_sym_EQ_GT,
    ACTIONS(6545), 1,
      anon_sym___END__,
    ACTIONS(6892), 1,
      anon_sym_COMMA,
    STATE(4566), 1,
      sym_heredoc_body,
    ACTIONS(6543), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [165969] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5580), 1,
      anon_sym___END__,
    ACTIONS(6912), 1,
      anon_sym_COMMA,
    STATE(4567), 1,
      sym_heredoc_body,
    STATE(4569), 1,
      aux_sym__hash_pattern_body_repeat1,
    ACTIONS(5578), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [166003] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3185), 1,
      anon_sym_COLON,
    STATE(4568), 1,
      sym_heredoc_body,
    ACTIONS(2688), 15,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_LBRACK2,
      anon_sym_LPAREN2,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [166033] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___END__,
    ACTIONS(6914), 1,
      anon_sym_COMMA,
    STATE(4569), 2,
      sym_heredoc_body,
      aux_sym__hash_pattern_body_repeat1,
    ACTIONS(6592), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [166065] = 11,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_rescue,
    ACTIONS(6850), 1,
      anon_sym_if,
    ACTIONS(6852), 1,
      anon_sym_unless,
    ACTIONS(6854), 1,
      anon_sym_while,
    ACTIONS(6856), 1,
      anon_sym_until,
    STATE(2026), 1,
      sym__terminator,
    STATE(4570), 1,
      sym_heredoc_body,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    ACTIONS(6917), 8,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_end,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_ensure,
  [166107] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym___END__,
    ACTIONS(6919), 1,
      anon_sym_COMMA,
    STATE(4567), 1,
      aux_sym__hash_pattern_body_repeat1,
    STATE(4571), 1,
      sym_heredoc_body,
    ACTIONS(6586), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [166141] = 13,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2812), 1,
      anon_sym_STAR,
    ACTIONS(6717), 1,
      anon_sym_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6721), 1,
      anon_sym_AMP,
    ACTIONS(6921), 1,
      sym_identifier,
    STATE(4572), 1,
      sym_heredoc_body,
    STATE(5141), 1,
      sym_parameters,
    STATE(5144), 1,
      sym__simple_formal_parameter,
    STATE(5169), 1,
      sym__formal_parameter,
    STATE(5161), 7,
      sym_forward_parameter,
      sym_splat_parameter,
      sym_hash_splat_parameter,
      sym_hash_splat_nil,
      sym_block_parameter,
      sym_keyword_parameter,
      sym_optional_parameter,
  [166187] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3135), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3137), 1,
      anon_sym_r,
    STATE(4573), 1,
      sym_heredoc_body,
    ACTIONS(3139), 2,
      anon_sym_i,
      anon_sym_ri,
    ACTIONS(3133), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [166220] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3135), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3137), 1,
      anon_sym_r,
    STATE(4574), 1,
      sym_heredoc_body,
    ACTIONS(3139), 2,
      anon_sym_i,
      anon_sym_ri,
    ACTIONS(3133), 11,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [166253] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6600), 1,
      anon_sym___END__,
    ACTIONS(6923), 1,
      anon_sym_rescue,
    STATE(4575), 1,
      sym_heredoc_body,
    ACTIONS(6598), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [166284] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym___END__,
    ACTIONS(6923), 1,
      anon_sym_rescue,
    STATE(4576), 1,
      sym_heredoc_body,
    ACTIONS(6628), 13,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [166315] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6421), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6925), 1,
      anon_sym_COLON,
    STATE(4577), 1,
      sym_heredoc_body,
    ACTIONS(3153), 13,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [166346] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6654), 1,
      anon_sym___END__,
    ACTIONS(6927), 1,
      anon_sym_COMMA,
    STATE(4578), 2,
      sym_heredoc_body,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6652), 11,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [166376] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6910), 1,
      anon_sym___END__,
    ACTIONS(6930), 1,
      anon_sym_COMMA,
    STATE(4579), 1,
      sym_heredoc_body,
    STATE(4594), 1,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6668), 11,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [166408] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4580), 1,
      sym_heredoc_body,
    ACTIONS(3769), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [166434] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4581), 1,
      sym_heredoc_body,
    ACTIONS(3243), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [166460] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4582), 1,
      sym_heredoc_body,
    ACTIONS(3563), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [166486] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(4805), 1,
      anon_sym_LPAREN2,
    ACTIONS(6737), 1,
      anon_sym_LBRACE,
    ACTIONS(6932), 1,
      anon_sym_do,
    STATE(4583), 1,
      sym_heredoc_body,
    STATE(4914), 1,
      sym_argument_list,
    STATE(5268), 1,
      sym_do_block,
    STATE(5271), 1,
      sym_block,
    ACTIONS(123), 8,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [166524] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6934), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6936), 1,
      anon_sym_DOT_DOT,
    STATE(4584), 1,
      sym_heredoc_body,
    ACTIONS(6379), 12,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [166554] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4585), 1,
      sym_heredoc_body,
    ACTIONS(3765), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [166580] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4586), 1,
      sym_heredoc_body,
    ACTIONS(3657), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [166606] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4587), 1,
      sym_heredoc_body,
    ACTIONS(3227), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [166632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4588), 1,
      sym_heredoc_body,
    ACTIONS(6209), 5,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(745), 9,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [166660] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4589), 1,
      sym_heredoc_body,
    ACTIONS(2688), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK2,
      anon_sym_LPAREN2,
      anon_sym_and,
      anon_sym_or,
  [166686] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(4805), 1,
      anon_sym_LPAREN2,
    ACTIONS(6737), 1,
      anon_sym_LBRACE,
    ACTIONS(6932), 1,
      anon_sym_do,
    STATE(4590), 1,
      sym_heredoc_body,
    STATE(4893), 1,
      sym_argument_list,
    STATE(5257), 1,
      sym_do_block,
    STATE(5260), 1,
      sym_block,
    ACTIONS(179), 8,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [166724] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4591), 1,
      sym_heredoc_body,
    ACTIONS(3223), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [166750] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4592), 1,
      sym_heredoc_body,
    ACTIONS(2916), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK2,
      anon_sym_LPAREN2,
      anon_sym_and,
      anon_sym_or,
  [166776] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4593), 1,
      sym_heredoc_body,
    ACTIONS(3239), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [166802] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6904), 1,
      anon_sym___END__,
    ACTIONS(6930), 1,
      anon_sym_COMMA,
    STATE(4578), 1,
      aux_sym_command_argument_list_repeat1,
    STATE(4594), 1,
      sym_heredoc_body,
    ACTIONS(6696), 11,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [166834] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4595), 1,
      sym_heredoc_body,
    ACTIONS(3391), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [166860] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4596), 1,
      sym_heredoc_body,
    ACTIONS(3335), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [166886] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4597), 1,
      sym_heredoc_body,
    ACTIONS(3339), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [166912] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4598), 1,
      sym_heredoc_body,
    ACTIONS(6375), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK2,
      anon_sym_LPAREN2,
      anon_sym_and,
      anon_sym_or,
  [166938] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4599), 1,
      sym_heredoc_body,
    ACTIONS(3355), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [166964] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4600), 1,
      sym_heredoc_body,
    ACTIONS(3403), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [166990] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6940), 1,
      anon_sym_LBRACK2,
    ACTIONS(6942), 1,
      anon_sym_LPAREN2,
    STATE(4601), 1,
      sym_heredoc_body,
    ACTIONS(6379), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167022] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3167), 1,
      anon_sym_COLON,
    STATE(4602), 1,
      sym_heredoc_body,
    ACTIONS(2688), 13,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK2,
      anon_sym_LPAREN2,
      anon_sym_and,
      anon_sym_or,
  [167050] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4603), 1,
      sym_heredoc_body,
    ACTIONS(3423), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [167076] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3161), 1,
      anon_sym_DOT_DOT,
    STATE(4604), 1,
      sym_heredoc_body,
    ACTIONS(3159), 13,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167104] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4605), 1,
      sym_heredoc_body,
    ACTIONS(6397), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK2,
      anon_sym_LPAREN2,
      anon_sym_and,
      anon_sym_or,
  [167130] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4606), 1,
      sym_heredoc_body,
    ACTIONS(3371), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [167156] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4607), 1,
      sym_heredoc_body,
    ACTIONS(3745), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [167182] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3189), 1,
      anon_sym_DOT_DOT,
    STATE(4608), 1,
      sym_heredoc_body,
    ACTIONS(3187), 13,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167210] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym___END__,
    ACTIONS(6944), 1,
      anon_sym_rescue,
    STATE(4609), 1,
      sym_heredoc_body,
    ACTIONS(6628), 11,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [167239] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6421), 1,
      anon_sym_DOT_DOT,
    STATE(4610), 1,
      sym_heredoc_body,
    ACTIONS(3153), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167266] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_DOT_DOT,
    STATE(4611), 1,
      sym_heredoc_body,
    ACTIONS(3335), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167293] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3393), 1,
      anon_sym_DOT_DOT,
    STATE(4612), 1,
      sym_heredoc_body,
    ACTIONS(3391), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167320] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6946), 1,
      sym_identifier,
    ACTIONS(6948), 1,
      anon_sym_nil,
    STATE(4613), 1,
      sym_heredoc_body,
    ACTIONS(6660), 4,
      anon_sym_rescue,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6658), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [167351] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2940), 1,
      anon_sym_DOT_DOT,
    STATE(4614), 1,
      sym_heredoc_body,
    ACTIONS(2938), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167378] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_DOT_DOT,
    STATE(4615), 1,
      sym_heredoc_body,
    ACTIONS(3339), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167405] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3333), 1,
      anon_sym_DOT_DOT,
    STATE(4616), 1,
      sym_heredoc_body,
    ACTIONS(3331), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167432] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_DOT_DOT,
    STATE(4617), 1,
      sym_heredoc_body,
    ACTIONS(3371), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167459] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_DOT_DOT,
    STATE(4618), 1,
      sym_heredoc_body,
    ACTIONS(3227), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167486] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_DOT_DOT,
    STATE(4619), 1,
      sym_heredoc_body,
    ACTIONS(3239), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167513] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6950), 1,
      anon_sym_PIPE,
    STATE(4620), 1,
      sym_heredoc_body,
    STATE(4669), 1,
      aux_sym_alternative_pattern_repeat1,
    ACTIONS(6606), 11,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [167542] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3759), 1,
      anon_sym_DOT_DOT,
    STATE(4621), 1,
      sym_heredoc_body,
    ACTIONS(3757), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167569] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_DOT_DOT,
    STATE(4622), 1,
      sym_heredoc_body,
    ACTIONS(3785), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167596] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3763), 1,
      anon_sym_DOT_DOT,
    STATE(4623), 1,
      sym_heredoc_body,
    ACTIONS(3761), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167623] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3245), 1,
      anon_sym_DOT_DOT,
    STATE(4624), 1,
      sym_heredoc_body,
    ACTIONS(3243), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167650] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3549), 1,
      anon_sym_DOT_DOT,
    STATE(4625), 1,
      sym_heredoc_body,
    ACTIONS(3547), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167677] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_DOT_DOT,
    STATE(4626), 1,
      sym_heredoc_body,
    ACTIONS(3773), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167704] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3659), 1,
      anon_sym_DOT_DOT,
    STATE(4627), 1,
      sym_heredoc_body,
    ACTIONS(3657), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167731] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_DOT_DOT,
    STATE(4628), 1,
      sym_heredoc_body,
    ACTIONS(3355), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167758] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3405), 1,
      anon_sym_DOT_DOT,
    STATE(4629), 1,
      sym_heredoc_body,
    ACTIONS(3403), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167785] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3225), 1,
      anon_sym_DOT_DOT,
    STATE(4630), 1,
      sym_heredoc_body,
    ACTIONS(3223), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167812] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_DOT_DOT,
    STATE(4631), 1,
      sym_heredoc_body,
    ACTIONS(3235), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167839] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3743), 1,
      anon_sym_DOT_DOT,
    STATE(4632), 1,
      sym_heredoc_body,
    ACTIONS(3741), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167866] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_DOT_DOT,
    STATE(4633), 1,
      sym_heredoc_body,
    ACTIONS(3327), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167893] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_DOT_DOT,
    STATE(4634), 1,
      sym_heredoc_body,
    ACTIONS(3251), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167920] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_DOT_DOT,
    STATE(4635), 1,
      sym_heredoc_body,
    ACTIONS(3559), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [167947] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6952), 1,
      anon_sym_COLON,
    STATE(4636), 1,
      sym_heredoc_body,
    ACTIONS(2948), 12,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [167974] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_DOT_DOT,
    STATE(4637), 1,
      sym_heredoc_body,
    ACTIONS(3259), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168001] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_DOT_DOT,
    STATE(4638), 1,
      sym_heredoc_body,
    ACTIONS(3423), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168028] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3747), 1,
      anon_sym_DOT_DOT,
    STATE(4639), 1,
      sym_heredoc_body,
    ACTIONS(3745), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168055] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_DOT_DOT,
    STATE(4640), 1,
      sym_heredoc_body,
    ACTIONS(3617), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168082] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3683), 1,
      anon_sym_DOT_DOT,
    STATE(4641), 1,
      sym_heredoc_body,
    ACTIONS(3681), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168109] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_DOT_DOT,
    STATE(4642), 1,
      sym_heredoc_body,
    ACTIONS(3701), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168136] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3581), 1,
      anon_sym_DOT_DOT,
    STATE(4643), 1,
      sym_heredoc_body,
    ACTIONS(3579), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168163] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3767), 1,
      anon_sym_DOT_DOT,
    STATE(4644), 1,
      sym_heredoc_body,
    ACTIONS(3765), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168190] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_DOT_DOT,
    STATE(4645), 1,
      sym_heredoc_body,
    ACTIONS(3285), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168217] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3771), 1,
      anon_sym_DOT_DOT,
    STATE(4646), 1,
      sym_heredoc_body,
    ACTIONS(3769), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168244] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_DOT_DOT,
    STATE(4647), 1,
      sym_heredoc_body,
    ACTIONS(3515), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168271] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_DOT_DOT,
    STATE(4648), 1,
      sym_heredoc_body,
    ACTIONS(2930), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168298] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4805), 1,
      anon_sym_LPAREN2,
    ACTIONS(6737), 1,
      anon_sym_LBRACE,
    ACTIONS(6932), 1,
      anon_sym_do,
    STATE(4649), 1,
      sym_heredoc_body,
    STATE(4914), 1,
      sym_argument_list,
    STATE(5268), 1,
      sym_do_block,
    STATE(5271), 1,
      sym_block,
    ACTIONS(123), 7,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [168335] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_DOT_DOT,
    STATE(4650), 1,
      sym_heredoc_body,
    ACTIONS(3507), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168362] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3599), 1,
      anon_sym_DOT_DOT,
    STATE(4651), 1,
      sym_heredoc_body,
    ACTIONS(3597), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168389] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6413), 1,
      anon_sym_DOT_DOT,
    STATE(4652), 1,
      sym_heredoc_body,
    ACTIONS(3591), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168416] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_COLON,
    STATE(4653), 1,
      sym_heredoc_body,
    ACTIONS(2688), 12,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LBRACK2,
      anon_sym_LPAREN2,
      anon_sym_and,
      anon_sym_or,
  [168443] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3735), 1,
      anon_sym_DOT_DOT,
    STATE(4654), 1,
      sym_heredoc_body,
    ACTIONS(3733), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168470] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_DOT_DOT,
    STATE(4655), 1,
      sym_heredoc_body,
    ACTIONS(3499), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168497] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3445), 1,
      anon_sym_DOT_DOT,
    STATE(4656), 1,
      sym_heredoc_body,
    ACTIONS(3443), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168524] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3751), 1,
      anon_sym_DOT_DOT,
    STATE(4657), 1,
      sym_heredoc_body,
    ACTIONS(3749), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168551] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4805), 1,
      anon_sym_LPAREN2,
    ACTIONS(6737), 1,
      anon_sym_LBRACE,
    ACTIONS(6932), 1,
      anon_sym_do,
    STATE(4658), 1,
      sym_heredoc_body,
    STATE(4893), 1,
      sym_argument_list,
    STATE(5257), 1,
      sym_do_block,
    STATE(5260), 1,
      sym_block,
    ACTIONS(179), 7,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [168588] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_DOT_DOT,
    STATE(4659), 1,
      sym_heredoc_body,
    ACTIONS(3431), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168615] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3719), 1,
      anon_sym_DOT_DOT,
    STATE(4660), 1,
      sym_heredoc_body,
    ACTIONS(3717), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168642] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_DOT_DOT,
    STATE(4661), 1,
      sym_heredoc_body,
    ACTIONS(3563), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168669] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6600), 1,
      anon_sym___END__,
    ACTIONS(6944), 1,
      anon_sym_rescue,
    STATE(4662), 1,
      sym_heredoc_body,
    ACTIONS(6598), 11,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [168698] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6421), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6954), 1,
      anon_sym_COLON,
    STATE(4663), 1,
      sym_heredoc_body,
    ACTIONS(3153), 11,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168727] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3217), 1,
      anon_sym_DOT_DOT,
    STATE(4664), 1,
      sym_heredoc_body,
    ACTIONS(3215), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168754] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3135), 1,
      anon_sym_DOT_DOT,
    STATE(4665), 1,
      sym_heredoc_body,
    ACTIONS(3133), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168781] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6417), 1,
      anon_sym_DOT_DOT,
    STATE(4666), 1,
      sym_heredoc_body,
    ACTIONS(6415), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168808] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3679), 1,
      anon_sym_DOT_DOT,
    STATE(4667), 1,
      sym_heredoc_body,
    ACTIONS(3677), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168835] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6950), 1,
      anon_sym_PIPE,
    STATE(4620), 1,
      aux_sym_alternative_pattern_repeat1,
    STATE(4668), 1,
      sym_heredoc_body,
    ACTIONS(6513), 11,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [168864] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6956), 1,
      anon_sym_PIPE,
    STATE(4669), 2,
      sym_heredoc_body,
      aux_sym_alternative_pattern_repeat1,
    ACTIONS(6559), 11,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [168891] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3611), 1,
      anon_sym_DOT_DOT,
    STATE(4670), 1,
      sym_heredoc_body,
    ACTIONS(3609), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168918] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3663), 1,
      anon_sym_DOT_DOT,
    STATE(4671), 1,
      sym_heredoc_body,
    ACTIONS(3661), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168945] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_DOT_DOT,
    STATE(4672), 1,
      sym_heredoc_body,
    ACTIONS(3685), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168972] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_DOT_DOT,
    STATE(4673), 1,
      sym_heredoc_body,
    ACTIONS(3551), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [168999] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(733), 1,
      anon_sym_DOT,
    ACTIONS(745), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6799), 1,
      anon_sym_EQ2,
    STATE(4674), 1,
      sym_heredoc_body,
    ACTIONS(4907), 2,
      anon_sym_EQ,
      anon_sym_STAR,
    ACTIONS(4909), 7,
      sym__line_break,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      sym_identifier,
  [169031] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6600), 1,
      anon_sym___END__,
    ACTIONS(6959), 1,
      anon_sym_rescue,
    STATE(4675), 1,
      sym_heredoc_body,
    ACTIONS(6598), 10,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [169059] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6961), 1,
      anon_sym___END__,
    STATE(4676), 1,
      sym_heredoc_body,
    ACTIONS(6963), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6815), 9,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [169087] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym___END__,
    ACTIONS(6967), 1,
      anon_sym_COMMA,
    STATE(4677), 1,
      sym_heredoc_body,
    STATE(4679), 1,
      aux_sym_undef_repeat1,
    ACTIONS(6795), 9,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [169117] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(4907), 1,
      anon_sym___END__,
    ACTIONS(6969), 1,
      anon_sym_EQ2,
    STATE(4678), 1,
      sym_heredoc_body,
    ACTIONS(4909), 10,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [169145] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6967), 1,
      anon_sym_COMMA,
    ACTIONS(6971), 1,
      anon_sym___END__,
    STATE(4679), 1,
      sym_heredoc_body,
    STATE(4689), 1,
      aux_sym_undef_repeat1,
    ACTIONS(6801), 9,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [169175] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_COMMA,
    STATE(4680), 1,
      sym_heredoc_body,
    STATE(4686), 1,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6696), 10,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [169203] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6975), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6977), 1,
      anon_sym_DOT_DOT,
    STATE(4681), 1,
      sym_heredoc_body,
    ACTIONS(6379), 10,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [169231] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym___END__,
    ACTIONS(6959), 1,
      anon_sym_rescue,
    STATE(4682), 1,
      sym_heredoc_body,
    ACTIONS(6628), 10,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_and,
      anon_sym_or,
  [169259] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_COMMA,
    STATE(4680), 1,
      aux_sym_command_argument_list_repeat1,
    STATE(4683), 1,
      sym_heredoc_body,
    ACTIONS(6668), 10,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [169287] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6979), 1,
      anon_sym___END__,
    STATE(4684), 1,
      sym_heredoc_body,
    ACTIONS(6963), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6823), 9,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [169315] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6981), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6983), 1,
      anon_sym_DOT_DOT,
    STATE(4685), 1,
      sym_heredoc_body,
    ACTIONS(6379), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [169343] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6985), 1,
      anon_sym_COMMA,
    STATE(4686), 2,
      sym_heredoc_body,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6652), 10,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [169369] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6988), 1,
      anon_sym___END__,
    STATE(4687), 1,
      sym_heredoc_body,
    ACTIONS(6963), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6817), 9,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [169397] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6990), 1,
      anon_sym___END__,
    STATE(4688), 1,
      sym_heredoc_body,
    ACTIONS(6963), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6803), 9,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [169425] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6713), 1,
      anon_sym___END__,
    ACTIONS(6992), 1,
      anon_sym_COMMA,
    STATE(4689), 2,
      sym_heredoc_body,
      aux_sym_undef_repeat1,
    ACTIONS(6711), 9,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [169453] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6995), 1,
      anon_sym___END__,
    STATE(4690), 1,
      sym_heredoc_body,
    ACTIONS(6963), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6830), 9,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [169481] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6743), 1,
      anon_sym___END__,
    STATE(4691), 1,
      sym_heredoc_body,
    ACTIONS(6963), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6741), 9,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [169509] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6421), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6997), 1,
      anon_sym_COLON,
    STATE(4692), 1,
      sym_heredoc_body,
    ACTIONS(3153), 10,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [169537] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6999), 1,
      anon_sym_PIPE,
    STATE(4693), 1,
      sym_heredoc_body,
    STATE(4735), 1,
      aux_sym_alternative_pattern_repeat1,
    ACTIONS(6606), 9,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [169564] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4694), 1,
      sym_heredoc_body,
    ACTIONS(6449), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [169587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4695), 1,
      sym_heredoc_body,
    ACTIONS(2572), 11,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [169610] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4696), 1,
      sym_heredoc_body,
    ACTIONS(6477), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [169633] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4697), 1,
      sym_heredoc_body,
    ACTIONS(6453), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [169656] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2590), 1,
      anon_sym___END__,
    STATE(4698), 1,
      sym_heredoc_body,
    ACTIONS(2592), 10,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [169681] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4699), 1,
      sym_heredoc_body,
    ACTIONS(6467), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [169704] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7001), 1,
      sym_identifier,
    STATE(4700), 1,
      sym_heredoc_body,
    ACTIONS(2606), 4,
      anon_sym_rescue,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2598), 6,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [169731] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2834), 1,
      sym__string_start,
    STATE(4424), 1,
      sym_keyword_pattern,
    STATE(4701), 1,
      sym_heredoc_body,
    STATE(5665), 1,
      sym_string,
    ACTIONS(2826), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(2828), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(6181), 2,
      sym_constant,
      sym_identifier,
    STATE(5761), 2,
      sym_constant_suffix,
      sym_identifier_suffix,
  [169766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4702), 1,
      sym_heredoc_body,
    ACTIONS(2564), 11,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [169789] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7003), 1,
      anon_sym___END__,
    ACTIONS(7005), 1,
      anon_sym_rescue,
    ACTIONS(7009), 1,
      anon_sym_if,
    ACTIONS(7011), 1,
      anon_sym_unless,
    ACTIONS(7013), 1,
      anon_sym_while,
    ACTIONS(7015), 1,
      anon_sym_until,
    STATE(2096), 1,
      sym__terminator,
    STATE(4703), 1,
      sym_heredoc_body,
    ACTIONS(6917), 2,
      ts_builtin_sym_end,
      aux_sym_program_token1,
    ACTIONS(7007), 2,
      sym__line_break,
      anon_sym_SEMI,
  [169828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4704), 1,
      sym_heredoc_body,
    ACTIONS(745), 11,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [169851] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2586), 1,
      anon_sym___END__,
    STATE(4705), 1,
      sym_heredoc_body,
    ACTIONS(2588), 10,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [169876] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2834), 1,
      sym__string_start,
    STATE(4424), 1,
      sym_keyword_pattern,
    STATE(4706), 1,
      sym_heredoc_body,
    STATE(5730), 1,
      sym_string,
    ACTIONS(2826), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(2828), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(6511), 2,
      sym_constant,
      sym_identifier,
    STATE(5612), 2,
      sym_constant_suffix,
      sym_identifier_suffix,
  [169911] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7017), 1,
      anon_sym_PIPE,
    STATE(4707), 1,
      sym_heredoc_body,
    STATE(4748), 1,
      aux_sym_alternative_pattern_repeat1,
    ACTIONS(6513), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [169938] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    STATE(4708), 1,
      sym_heredoc_body,
    STATE(4715), 1,
      aux_sym__array_pattern_n_repeat1,
    ACTIONS(6675), 9,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [169965] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2834), 1,
      sym__string_start,
    STATE(4709), 1,
      sym_heredoc_body,
    STATE(4838), 1,
      sym_keyword_pattern,
    STATE(5678), 1,
      sym_string,
    ACTIONS(2826), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(2828), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(6666), 2,
      sym_constant,
      sym_identifier,
    STATE(5794), 2,
      sym_constant_suffix,
      sym_identifier_suffix,
  [170000] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7021), 1,
      anon_sym_rescue,
    STATE(4710), 1,
      sym_heredoc_body,
    ACTIONS(6598), 10,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [170025] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7021), 1,
      anon_sym_rescue,
    STATE(4711), 1,
      sym_heredoc_body,
    ACTIONS(6628), 10,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [170050] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4712), 1,
      sym_heredoc_body,
    ACTIONS(6379), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [170073] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    STATE(4708), 1,
      aux_sym__array_pattern_n_repeat1,
    STATE(4713), 1,
      sym_heredoc_body,
    ACTIONS(6689), 9,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [170100] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4714), 1,
      sym_heredoc_body,
    ACTIONS(6461), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [170123] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7023), 1,
      anon_sym_COMMA,
    STATE(4715), 2,
      sym_heredoc_body,
      aux_sym__array_pattern_n_repeat1,
    ACTIONS(6521), 9,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [170148] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4716), 1,
      sym_heredoc_body,
    ACTIONS(6473), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [170171] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(733), 1,
      anon_sym_DOT,
    ACTIONS(745), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4907), 1,
      anon_sym_STAR,
    STATE(4717), 1,
      sym_heredoc_body,
    ACTIONS(4909), 8,
      sym__line_break,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      sym_identifier,
  [170200] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7026), 1,
      anon_sym_PIPE,
    STATE(4718), 2,
      sym_heredoc_body,
      aux_sym_alternative_pattern_repeat1,
    ACTIONS(6559), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [170225] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4719), 1,
      sym_heredoc_body,
    ACTIONS(6499), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [170248] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4720), 1,
      sym_heredoc_body,
    ACTIONS(6445), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [170271] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4721), 1,
      sym_heredoc_body,
    ACTIONS(6495), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [170294] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4722), 1,
      sym_heredoc_body,
    ACTIONS(6485), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [170317] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4723), 1,
      sym_heredoc_body,
    ACTIONS(6491), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [170340] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2834), 1,
      sym__string_start,
    STATE(4424), 1,
      sym_keyword_pattern,
    STATE(4724), 1,
      sym_heredoc_body,
    STATE(5728), 1,
      sym_string,
    ACTIONS(2826), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(2828), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(5576), 2,
      sym_constant,
      sym_identifier,
    STATE(5608), 2,
      sym_constant_suffix,
      sym_identifier_suffix,
  [170375] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4725), 1,
      sym_heredoc_body,
    ACTIONS(2580), 3,
      anon_sym_LBRACE,
      anon_sym_do,
      anon_sym_LPAREN2,
    ACTIONS(2576), 8,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [170400] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7029), 1,
      anon_sym_COMMA,
    STATE(4726), 1,
      sym_heredoc_body,
    STATE(4729), 1,
      aux_sym__hash_pattern_body_repeat1,
    ACTIONS(6586), 9,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [170427] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4727), 1,
      sym_heredoc_body,
    ACTIONS(2564), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [170450] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4728), 1,
      sym_heredoc_body,
    ACTIONS(6441), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [170473] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7031), 1,
      anon_sym_COMMA,
    STATE(4729), 1,
      sym_heredoc_body,
    STATE(4739), 1,
      aux_sym__hash_pattern_body_repeat1,
    ACTIONS(5578), 9,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [170500] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4730), 1,
      sym_heredoc_body,
    ACTIONS(6427), 11,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [170523] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6525), 1,
      anon_sym_EQ_GT,
    ACTIONS(7033), 1,
      anon_sym_COMMA,
    STATE(4731), 1,
      sym_heredoc_body,
    ACTIONS(6543), 9,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [170550] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4732), 1,
      sym_heredoc_body,
    ACTIONS(6427), 11,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [170573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4733), 1,
      sym_heredoc_body,
    ACTIONS(2584), 11,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [170596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4734), 1,
      sym_heredoc_body,
    ACTIONS(2568), 11,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [170619] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7035), 1,
      anon_sym_PIPE,
    STATE(4735), 2,
      sym_heredoc_body,
      aux_sym_alternative_pattern_repeat1,
    ACTIONS(6559), 9,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [170644] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7019), 1,
      anon_sym_COMMA,
    STATE(4736), 1,
      sym_heredoc_body,
    STATE(4737), 1,
      aux_sym__array_pattern_n_repeat1,
    ACTIONS(6689), 9,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [170671] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7038), 1,
      anon_sym_COMMA,
    STATE(4715), 1,
      aux_sym__array_pattern_n_repeat1,
    STATE(4737), 1,
      sym_heredoc_body,
    ACTIONS(6675), 9,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [170698] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4738), 1,
      sym_heredoc_body,
    ACTIONS(6636), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [170721] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7040), 1,
      anon_sym_COMMA,
    STATE(4739), 2,
      sym_heredoc_body,
      aux_sym__hash_pattern_body_repeat1,
    ACTIONS(6592), 9,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [170746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4740), 1,
      sym_heredoc_body,
    ACTIONS(2588), 11,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [170769] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4741), 1,
      sym_heredoc_body,
    ACTIONS(6423), 11,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [170792] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4742), 1,
      sym_heredoc_body,
    ACTIONS(6423), 11,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
      anon_sym_and,
      anon_sym_or,
  [170815] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4743), 1,
      sym_heredoc_body,
    ACTIONS(6612), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [170838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4744), 1,
      sym_heredoc_body,
    ACTIONS(2592), 11,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [170861] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6525), 1,
      anon_sym_EQ_GT,
    ACTIONS(7033), 1,
      anon_sym_COMMA,
    STATE(4745), 1,
      sym_heredoc_body,
    ACTIONS(6691), 9,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [170888] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6999), 1,
      anon_sym_PIPE,
    STATE(4693), 1,
      aux_sym_alternative_pattern_repeat1,
    STATE(4746), 1,
      sym_heredoc_body,
    ACTIONS(6513), 9,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [170915] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7043), 1,
      anon_sym_COLON,
    STATE(4747), 1,
      sym_heredoc_body,
    ACTIONS(2948), 10,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [170940] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7017), 1,
      anon_sym_PIPE,
    STATE(4718), 1,
      aux_sym_alternative_pattern_repeat1,
    STATE(4748), 1,
      sym_heredoc_body,
    ACTIONS(6606), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [170967] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2582), 1,
      anon_sym___END__,
    STATE(4749), 1,
      sym_heredoc_body,
    ACTIONS(2584), 10,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [170992] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1231), 1,
      anon_sym___END__,
    ACTIONS(7005), 1,
      anon_sym_rescue,
    ACTIONS(7009), 1,
      anon_sym_if,
    ACTIONS(7011), 1,
      anon_sym_unless,
    ACTIONS(7013), 1,
      anon_sym_while,
    ACTIONS(7015), 1,
      anon_sym_until,
    STATE(2096), 1,
      sym__terminator,
    STATE(4750), 1,
      sym_heredoc_body,
    ACTIONS(1229), 2,
      ts_builtin_sym_end,
      aux_sym_program_token1,
    ACTIONS(7007), 2,
      sym__line_break,
      anon_sym_SEMI,
  [171031] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2834), 1,
      sym__string_start,
    STATE(4751), 1,
      sym_heredoc_body,
    STATE(4838), 1,
      sym_keyword_pattern,
    STATE(5808), 1,
      sym_string,
    ACTIONS(2826), 2,
      sym__constant_suffix,
      aux_sym_constant_suffix_token1,
    ACTIONS(2828), 2,
      sym__identifier_suffix,
      aux_sym_identifier_suffix_token1,
    ACTIONS(6664), 2,
      sym_constant,
      sym_identifier,
    STATE(5712), 2,
      sym_constant_suffix,
      sym_identifier_suffix,
  [171066] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4907), 1,
      anon_sym___END__,
    STATE(4752), 1,
      sym_heredoc_body,
    ACTIONS(4909), 10,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [171091] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4753), 1,
      sym_heredoc_body,
    ACTIONS(2948), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [171114] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5067), 1,
      anon_sym___END__,
    STATE(4754), 1,
      sym_heredoc_body,
    ACTIONS(5069), 10,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [171139] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2570), 1,
      anon_sym___END__,
    STATE(4755), 1,
      sym_heredoc_body,
    ACTIONS(2572), 10,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [171164] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4756), 1,
      sym_heredoc_body,
    ACTIONS(3313), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [171187] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4757), 1,
      sym_heredoc_body,
    ACTIONS(7045), 3,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
    ACTIONS(6564), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [171212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4758), 1,
      sym_heredoc_body,
    ACTIONS(2580), 11,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [171235] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym___END__,
    STATE(4759), 1,
      sym_heredoc_body,
    ACTIONS(2568), 10,
      sym__line_break,
      ts_builtin_sym_end,
      aux_sym_program_token1,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [171260] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4760), 1,
      sym_heredoc_body,
    ACTIONS(6503), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [171283] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4761), 1,
      sym_heredoc_body,
    ACTIONS(6481), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [171306] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4762), 1,
      sym_heredoc_body,
    ACTIONS(3271), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [171329] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7047), 1,
      anon_sym_rescue,
    ACTIONS(7049), 1,
      anon_sym_if,
    ACTIONS(7051), 1,
      anon_sym_unless,
    ACTIONS(7053), 1,
      anon_sym_while,
    ACTIONS(7055), 1,
      anon_sym_until,
    ACTIONS(7057), 1,
      anon_sym_do,
    STATE(330), 1,
      sym__terminator,
    STATE(2329), 1,
      sym_do,
    STATE(4763), 1,
      sym_heredoc_body,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [171367] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7059), 1,
      anon_sym_rescue,
    STATE(4764), 1,
      sym_heredoc_body,
    ACTIONS(6598), 9,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [171391] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4765), 1,
      sym_heredoc_body,
    ACTIONS(6513), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [171413] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4766), 1,
      sym_heredoc_body,
    ACTIONS(6517), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [171435] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_EQ_GT,
    STATE(4767), 1,
      sym_heredoc_body,
    ACTIONS(6527), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [171459] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_rescue,
    ACTIONS(6850), 1,
      anon_sym_if,
    ACTIONS(6852), 1,
      anon_sym_unless,
    ACTIONS(6854), 1,
      anon_sym_while,
    ACTIONS(6856), 1,
      anon_sym_until,
    ACTIONS(7063), 1,
      anon_sym_then,
    STATE(249), 1,
      sym__terminator,
    STATE(4768), 1,
      sym_heredoc_body,
    STATE(5206), 1,
      sym_then,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [171497] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7047), 1,
      anon_sym_rescue,
    ACTIONS(7049), 1,
      anon_sym_if,
    ACTIONS(7051), 1,
      anon_sym_unless,
    ACTIONS(7053), 1,
      anon_sym_while,
    ACTIONS(7055), 1,
      anon_sym_until,
    ACTIONS(7057), 1,
      anon_sym_do,
    STATE(330), 1,
      sym__terminator,
    STATE(2304), 1,
      sym_do,
    STATE(4769), 1,
      sym_heredoc_body,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [171535] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4770), 1,
      sym_heredoc_body,
    ACTIONS(2564), 10,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [171557] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4771), 1,
      sym_heredoc_body,
    ACTIONS(2572), 10,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [171579] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4772), 1,
      sym_heredoc_body,
    ACTIONS(7065), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6823), 8,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
  [171603] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4773), 1,
      sym_heredoc_body,
    ACTIONS(7065), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6817), 8,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
  [171627] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_rescue,
    ACTIONS(6850), 1,
      anon_sym_if,
    ACTIONS(6852), 1,
      anon_sym_unless,
    ACTIONS(6854), 1,
      anon_sym_while,
    ACTIONS(6856), 1,
      anon_sym_until,
    ACTIONS(7063), 1,
      anon_sym_then,
    STATE(253), 1,
      sym__terminator,
    STATE(4774), 1,
      sym_heredoc_body,
    STATE(5187), 1,
      sym_then,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [171665] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_rescue,
    ACTIONS(6850), 1,
      anon_sym_if,
    ACTIONS(6852), 1,
      anon_sym_unless,
    ACTIONS(6854), 1,
      anon_sym_while,
    ACTIONS(6856), 1,
      anon_sym_until,
    ACTIONS(7063), 1,
      anon_sym_then,
    STATE(248), 1,
      sym__terminator,
    STATE(4775), 1,
      sym_heredoc_body,
    STATE(5189), 1,
      sym_then,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [171703] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4776), 1,
      sym_heredoc_body,
    ACTIONS(7065), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6815), 8,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
  [171727] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4777), 1,
      sym_heredoc_body,
    ACTIONS(7065), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6803), 8,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
  [171751] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4778), 1,
      sym_heredoc_body,
    ACTIONS(7065), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6830), 8,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
  [171775] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4779), 1,
      sym_heredoc_body,
    ACTIONS(6531), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [171797] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_EQ_GT,
    STATE(4780), 1,
      sym_heredoc_body,
    ACTIONS(6535), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [171821] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7067), 1,
      anon_sym_COLON,
    STATE(4781), 1,
      sym_heredoc_body,
    ACTIONS(2948), 9,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_do,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [171845] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7069), 1,
      anon_sym_COMMA,
    STATE(4782), 1,
      sym_heredoc_body,
    STATE(4785), 1,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6668), 8,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [171871] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    ACTIONS(7071), 1,
      anon_sym_do,
    STATE(4741), 1,
      sym_do_block,
    STATE(4742), 1,
      sym_block,
    STATE(4783), 1,
      sym_heredoc_body,
    ACTIONS(6431), 6,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [171901] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7047), 1,
      anon_sym_rescue,
    ACTIONS(7049), 1,
      anon_sym_if,
    ACTIONS(7051), 1,
      anon_sym_unless,
    ACTIONS(7053), 1,
      anon_sym_while,
    ACTIONS(7055), 1,
      anon_sym_until,
    ACTIONS(7073), 1,
      anon_sym_do,
    STATE(329), 1,
      sym__terminator,
    STATE(2925), 1,
      sym_do,
    STATE(4784), 1,
      sym_heredoc_body,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [171939] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7069), 1,
      anon_sym_COMMA,
    STATE(4785), 1,
      sym_heredoc_body,
    STATE(4797), 1,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6696), 8,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [171965] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7047), 1,
      anon_sym_rescue,
    ACTIONS(7049), 1,
      anon_sym_if,
    ACTIONS(7051), 1,
      anon_sym_unless,
    ACTIONS(7053), 1,
      anon_sym_while,
    ACTIONS(7055), 1,
      anon_sym_until,
    ACTIONS(7075), 1,
      anon_sym_do,
    STATE(315), 1,
      sym__terminator,
    STATE(4786), 1,
      sym_heredoc_body,
    STATE(5352), 1,
      sym_do,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [172003] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7047), 1,
      anon_sym_rescue,
    ACTIONS(7049), 1,
      anon_sym_if,
    ACTIONS(7051), 1,
      anon_sym_unless,
    ACTIONS(7053), 1,
      anon_sym_while,
    ACTIONS(7055), 1,
      anon_sym_until,
    ACTIONS(7075), 1,
      anon_sym_do,
    STATE(315), 1,
      sym__terminator,
    STATE(4787), 1,
      sym_heredoc_body,
    STATE(5351), 1,
      sym_do,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [172041] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    ACTIONS(7071), 1,
      anon_sym_do,
    STATE(4730), 1,
      sym_do_block,
    STATE(4732), 1,
      sym_block,
    STATE(4788), 1,
      sym_heredoc_body,
    ACTIONS(6457), 6,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [172071] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7047), 1,
      anon_sym_rescue,
    ACTIONS(7049), 1,
      anon_sym_if,
    ACTIONS(7051), 1,
      anon_sym_unless,
    ACTIONS(7053), 1,
      anon_sym_while,
    ACTIONS(7055), 1,
      anon_sym_until,
    ACTIONS(7073), 1,
      anon_sym_do,
    STATE(329), 1,
      sym__terminator,
    STATE(2926), 1,
      sym_do,
    STATE(4789), 1,
      sym_heredoc_body,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [172109] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    STATE(4741), 1,
      sym_do_block,
    STATE(4742), 1,
      sym_block,
    STATE(4790), 1,
      sym_heredoc_body,
    ACTIONS(6431), 7,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [172137] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4791), 1,
      sym_heredoc_body,
    ACTIONS(2580), 3,
      anon_sym_LBRACE,
      anon_sym_do,
      anon_sym_LPAREN2,
    ACTIONS(2576), 7,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [172161] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4792), 1,
      sym_heredoc_body,
    ACTIONS(2592), 10,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [172183] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(6799), 1,
      anon_sym_EQ2,
    STATE(4793), 1,
      sym_heredoc_body,
    ACTIONS(4907), 2,
      anon_sym_EQ,
      anon_sym_STAR,
    ACTIONS(4909), 7,
      sym__line_break,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR_STAR,
      anon_sym_AMP,
      sym_identifier,
  [172209] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4794), 1,
      sym_heredoc_body,
    ACTIONS(2588), 10,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [172231] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4795), 1,
      sym_heredoc_body,
    ACTIONS(2568), 10,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [172253] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_rescue,
    ACTIONS(6850), 1,
      anon_sym_if,
    ACTIONS(6852), 1,
      anon_sym_unless,
    ACTIONS(6854), 1,
      anon_sym_while,
    ACTIONS(6856), 1,
      anon_sym_until,
    ACTIONS(7063), 1,
      anon_sym_then,
    STATE(255), 1,
      sym__terminator,
    STATE(4796), 1,
      sym_heredoc_body,
    STATE(5197), 1,
      sym_then,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [172291] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7077), 1,
      anon_sym_COMMA,
    STATE(4797), 2,
      sym_heredoc_body,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6652), 8,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [172315] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_rescue,
    ACTIONS(6850), 1,
      anon_sym_if,
    ACTIONS(6852), 1,
      anon_sym_unless,
    ACTIONS(6854), 1,
      anon_sym_while,
    ACTIONS(6856), 1,
      anon_sym_until,
    ACTIONS(7063), 1,
      anon_sym_then,
    STATE(257), 1,
      sym__terminator,
    STATE(4798), 1,
      sym_heredoc_body,
    STATE(5191), 1,
      sym_then,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [172353] = 11,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7063), 1,
      anon_sym_then,
    ACTIONS(7080), 1,
      anon_sym_if,
    ACTIONS(7082), 1,
      anon_sym_unless,
    STATE(283), 1,
      sym__terminator,
    STATE(4799), 1,
      sym_heredoc_body,
    STATE(5211), 1,
      sym__guard,
    STATE(5419), 1,
      sym_then,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5420), 2,
      sym_if_guard,
      sym_unless_guard,
  [172389] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4800), 1,
      sym_heredoc_body,
    ACTIONS(2584), 10,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [172411] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7059), 1,
      anon_sym_rescue,
    STATE(4801), 1,
      sym_heredoc_body,
    ACTIONS(6628), 9,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_and,
      anon_sym_or,
  [172435] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4802), 1,
      sym_heredoc_body,
    ACTIONS(2580), 10,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [172457] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4803), 1,
      sym_heredoc_body,
    ACTIONS(7065), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6741), 8,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
  [172481] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_rescue,
    ACTIONS(6850), 1,
      anon_sym_if,
    ACTIONS(6852), 1,
      anon_sym_unless,
    ACTIONS(6854), 1,
      anon_sym_while,
    ACTIONS(6856), 1,
      anon_sym_until,
    ACTIONS(7063), 1,
      anon_sym_then,
    STATE(250), 1,
      sym__terminator,
    STATE(4804), 1,
      sym_heredoc_body,
    STATE(5220), 1,
      sym_then,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [172519] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4805), 1,
      sym_heredoc_body,
    ACTIONS(6209), 10,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [172541] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4806), 1,
      sym_heredoc_body,
    ACTIONS(745), 10,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_LPAREN2,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [172563] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4805), 1,
      anon_sym_LPAREN2,
    ACTIONS(6737), 1,
      anon_sym_LBRACE,
    ACTIONS(6932), 1,
      anon_sym_do,
    STATE(4807), 1,
      sym_heredoc_body,
    STATE(4914), 1,
      sym_argument_list,
    STATE(5268), 1,
      sym_do_block,
    STATE(5271), 1,
      sym_block,
    ACTIONS(411), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [172597] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_rescue,
    ACTIONS(6850), 1,
      anon_sym_if,
    ACTIONS(6852), 1,
      anon_sym_unless,
    ACTIONS(6854), 1,
      anon_sym_while,
    ACTIONS(6856), 1,
      anon_sym_until,
    ACTIONS(7063), 1,
      anon_sym_then,
    STATE(256), 1,
      sym__terminator,
    STATE(4808), 1,
      sym_heredoc_body,
    STATE(5199), 1,
      sym_then,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [172635] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    STATE(4730), 1,
      sym_do_block,
    STATE(4732), 1,
      sym_block,
    STATE(4809), 1,
      sym_heredoc_body,
    ACTIONS(6457), 7,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [172663] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7084), 1,
      anon_sym_COMMA,
    STATE(4810), 1,
      sym_heredoc_body,
    STATE(4843), 1,
      aux_sym__hash_pattern_body_repeat1,
    ACTIONS(6586), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [172688] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_COMMA,
    STATE(4811), 1,
      sym_heredoc_body,
    STATE(4856), 1,
      aux_sym__array_pattern_n_repeat1,
    ACTIONS(6689), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [172713] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7090), 1,
      aux_sym_string_array_token1,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7096), 1,
      sym__string_end,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    STATE(4812), 1,
      sym_heredoc_body,
    STATE(4939), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
    STATE(5449), 1,
      aux_sym_symbol_array_repeat1,
  [172750] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7100), 1,
      anon_sym_COMMA,
    STATE(4813), 1,
      sym_heredoc_body,
    STATE(4863), 1,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6668), 7,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [172775] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7102), 1,
      anon_sym_end,
    STATE(4814), 1,
      sym_heredoc_body,
    STATE(5121), 1,
      aux_sym_case_repeat1,
    STATE(5127), 1,
      aux_sym_case_match_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5624), 1,
      sym_else,
  [172812] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7104), 1,
      anon_sym_COMMA,
    STATE(4815), 1,
      sym_heredoc_body,
    STATE(4846), 1,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6696), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [172837] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4816), 1,
      sym_heredoc_body,
    ACTIONS(6602), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [172858] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7106), 1,
      aux_sym_string_array_token1,
    ACTIONS(7108), 1,
      sym__string_end,
    STATE(4817), 1,
      sym_heredoc_body,
    STATE(4939), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
    STATE(5443), 1,
      aux_sym_symbol_array_repeat1,
  [172895] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7110), 1,
      anon_sym_rescue,
    STATE(4818), 1,
      sym_heredoc_body,
    ACTIONS(6628), 8,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [172918] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7112), 1,
      aux_sym_string_array_token1,
    ACTIONS(7114), 1,
      sym__string_end,
    STATE(4819), 1,
      sym_heredoc_body,
    STATE(4939), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
    STATE(5438), 1,
      aux_sym_symbol_array_repeat1,
  [172955] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7116), 1,
      aux_sym_string_array_token1,
    ACTIONS(7118), 1,
      sym__string_end,
    STATE(4820), 1,
      sym_heredoc_body,
    STATE(4939), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
    STATE(5432), 1,
      aux_sym_string_array_repeat1,
  [172992] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7110), 1,
      anon_sym_rescue,
    STATE(4821), 1,
      sym_heredoc_body,
    ACTIONS(6598), 8,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [173015] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7120), 1,
      anon_sym_COMMA,
    STATE(4822), 1,
      sym_heredoc_body,
    STATE(4826), 1,
      aux_sym__hash_pattern_body_repeat1,
    ACTIONS(6586), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [173040] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7122), 1,
      anon_sym_end,
    STATE(4823), 1,
      sym_heredoc_body,
    STATE(5128), 1,
      aux_sym_case_match_repeat1,
    STATE(5133), 1,
      aux_sym_case_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5642), 1,
      sym_else,
  [173077] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7124), 1,
      aux_sym_string_array_token1,
    ACTIONS(7126), 1,
      sym__string_end,
    STATE(4824), 1,
      sym_heredoc_body,
    STATE(4939), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
    STATE(5412), 1,
      aux_sym_symbol_array_repeat1,
  [173114] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7128), 1,
      aux_sym_string_array_token1,
    ACTIONS(7130), 1,
      sym__string_end,
    STATE(4825), 1,
      sym_heredoc_body,
    STATE(4939), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
    STATE(5437), 1,
      aux_sym_symbol_array_repeat1,
  [173151] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7132), 1,
      anon_sym_COMMA,
    STATE(4826), 1,
      sym_heredoc_body,
    STATE(4836), 1,
      aux_sym__hash_pattern_body_repeat1,
    ACTIONS(5578), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [173176] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7134), 1,
      aux_sym_string_array_token1,
    ACTIONS(7136), 1,
      sym__string_end,
    STATE(4827), 1,
      sym_heredoc_body,
    STATE(4939), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
    STATE(5445), 1,
      aux_sym_string_array_repeat1,
  [173213] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4828), 1,
      sym_heredoc_body,
    ACTIONS(6547), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [173234] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7138), 1,
      aux_sym_string_array_token1,
    ACTIONS(7140), 1,
      sym__string_end,
    STATE(4829), 1,
      sym_heredoc_body,
    STATE(4939), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
    STATE(5410), 1,
      aux_sym_string_array_repeat1,
  [173271] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7142), 1,
      aux_sym_string_array_token1,
    ACTIONS(7144), 1,
      sym__string_end,
    STATE(4830), 1,
      sym_heredoc_body,
    STATE(4939), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
    STATE(5425), 1,
      aux_sym_string_array_repeat1,
  [173308] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_COMMA,
    STATE(4831), 1,
      sym_heredoc_body,
    STATE(4848), 1,
      aux_sym__array_pattern_n_repeat1,
    ACTIONS(6689), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [173333] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_EQ_GT,
    ACTIONS(7146), 1,
      anon_sym_COMMA,
    STATE(4832), 1,
      sym_heredoc_body,
    ACTIONS(6691), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [173358] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4833), 1,
      sym_heredoc_body,
    ACTIONS(6586), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [173379] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4834), 1,
      sym_heredoc_body,
    ACTIONS(6572), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [173400] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7148), 1,
      aux_sym_string_array_token1,
    ACTIONS(7150), 1,
      sym__string_end,
    STATE(4835), 1,
      sym_heredoc_body,
    STATE(4939), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
    STATE(5422), 1,
      aux_sym_symbol_array_repeat1,
  [173437] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7152), 1,
      anon_sym_COMMA,
    STATE(4836), 2,
      sym_heredoc_body,
      aux_sym__hash_pattern_body_repeat1,
    ACTIONS(6592), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [173460] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4837), 1,
      sym_heredoc_body,
    ACTIONS(5586), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [173481] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4838), 1,
      sym_heredoc_body,
    ACTIONS(6592), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [173502] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_EQ_GT,
    STATE(4839), 1,
      sym_heredoc_body,
    ACTIONS(6521), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [173525] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7104), 1,
      anon_sym_COMMA,
    STATE(4815), 1,
      aux_sym_command_argument_list_repeat1,
    STATE(4840), 1,
      sym_heredoc_body,
    ACTIONS(6668), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [173550] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7155), 1,
      aux_sym_string_array_token1,
    ACTIONS(7157), 1,
      sym__string_end,
    STATE(4841), 1,
      sym_heredoc_body,
    STATE(4939), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
    STATE(5431), 1,
      aux_sym_string_array_repeat1,
  [173587] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7159), 1,
      anon_sym_end,
    STATE(4842), 1,
      sym_heredoc_body,
    STATE(5116), 1,
      aux_sym_case_match_repeat1,
    STATE(5167), 1,
      aux_sym_case_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5711), 1,
      sym_else,
  [173624] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7161), 1,
      anon_sym_COMMA,
    STATE(4843), 1,
      sym_heredoc_body,
    STATE(4852), 1,
      aux_sym__hash_pattern_body_repeat1,
    ACTIONS(5578), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [173649] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7163), 1,
      aux_sym_string_array_token1,
    ACTIONS(7165), 1,
      sym__string_end,
    STATE(4844), 1,
      sym_heredoc_body,
    STATE(4939), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
    STATE(5433), 1,
      aux_sym_string_array_repeat1,
  [173686] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7167), 1,
      aux_sym_string_array_token1,
    ACTIONS(7169), 1,
      sym__string_end,
    STATE(4845), 1,
      sym_heredoc_body,
    STATE(4939), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
    STATE(5436), 1,
      aux_sym_symbol_array_repeat1,
  [173723] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7171), 1,
      anon_sym_COMMA,
    STATE(4846), 2,
      sym_heredoc_body,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6652), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [173746] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7174), 1,
      anon_sym_end,
    STATE(4847), 1,
      sym_heredoc_body,
    STATE(5175), 1,
      aux_sym_case_repeat1,
    STATE(5180), 1,
      aux_sym_case_match_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5682), 1,
      sym_else,
  [173783] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7176), 1,
      anon_sym_COMMA,
    STATE(4848), 1,
      sym_heredoc_body,
    STATE(4860), 1,
      aux_sym__array_pattern_n_repeat1,
    ACTIONS(6675), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [173808] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7178), 1,
      aux_sym_string_array_token1,
    ACTIONS(7180), 1,
      sym__string_end,
    STATE(4849), 1,
      sym_heredoc_body,
    STATE(4939), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
    STATE(5467), 1,
      aux_sym_string_array_repeat1,
  [173845] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7182), 1,
      anon_sym_COMMA,
    STATE(4850), 2,
      sym_heredoc_body,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6652), 7,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [173868] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7185), 1,
      aux_sym_string_array_token1,
    ACTIONS(7187), 1,
      sym__string_end,
    STATE(4851), 1,
      sym_heredoc_body,
    STATE(4939), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
    STATE(5479), 1,
      aux_sym_symbol_array_repeat1,
  [173905] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym_COMMA,
    STATE(4852), 2,
      sym_heredoc_body,
      aux_sym__hash_pattern_body_repeat1,
    ACTIONS(6592), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [173928] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7192), 1,
      aux_sym_string_array_token1,
    ACTIONS(7194), 1,
      sym__string_end,
    STATE(4853), 1,
      sym_heredoc_body,
    STATE(4939), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
    STATE(5417), 1,
      aux_sym_symbol_array_repeat1,
  [173965] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7196), 1,
      aux_sym_string_array_token1,
    ACTIONS(7198), 1,
      sym__string_end,
    STATE(4854), 1,
      sym_heredoc_body,
    STATE(4939), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
    STATE(5460), 1,
      aux_sym_string_array_repeat1,
  [174002] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4855), 1,
      sym_heredoc_body,
    ACTIONS(6580), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [174023] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_COMMA,
    STATE(4856), 1,
      sym_heredoc_body,
    STATE(4860), 1,
      aux_sym__array_pattern_n_repeat1,
    ACTIONS(6675), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [174048] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7200), 1,
      anon_sym_end,
    STATE(4857), 1,
      sym_heredoc_body,
    STATE(5157), 1,
      aux_sym_case_repeat1,
    STATE(5162), 1,
      aux_sym_case_match_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5782), 1,
      sym_else,
  [174085] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7202), 1,
      aux_sym_string_array_token1,
    ACTIONS(7204), 1,
      sym__string_end,
    STATE(4858), 1,
      sym_heredoc_body,
    STATE(4939), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
    STATE(5480), 1,
      aux_sym_string_array_repeat1,
  [174122] = 12,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7206), 1,
      anon_sym_end,
    STATE(4859), 1,
      sym_heredoc_body,
    STATE(5147), 1,
      aux_sym_case_repeat1,
    STATE(5171), 1,
      aux_sym_case_match_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5605), 1,
      sym_else,
  [174159] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7208), 1,
      anon_sym_COMMA,
    STATE(4860), 2,
      sym_heredoc_body,
      aux_sym__array_pattern_n_repeat1,
    ACTIONS(6521), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [174182] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7211), 1,
      aux_sym_string_array_token1,
    ACTIONS(7213), 1,
      sym__string_end,
    STATE(4861), 1,
      sym_heredoc_body,
    STATE(4939), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
    STATE(5407), 1,
      aux_sym_string_array_repeat1,
  [174219] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7215), 1,
      aux_sym_string_array_token1,
    ACTIONS(7217), 1,
      sym__string_end,
    STATE(4862), 1,
      sym_heredoc_body,
    STATE(4939), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
    STATE(5474), 1,
      aux_sym_symbol_array_repeat1,
  [174256] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7100), 1,
      anon_sym_COMMA,
    STATE(4850), 1,
      aux_sym_command_argument_list_repeat1,
    STATE(4863), 1,
      sym_heredoc_body,
    ACTIONS(6696), 7,
      sym__line_break,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [174281] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_EQ_GT,
    ACTIONS(7146), 1,
      anon_sym_COMMA,
    STATE(4864), 1,
      sym_heredoc_body,
    ACTIONS(6543), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [174306] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4865), 1,
      sym_heredoc_body,
    ACTIONS(6598), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [174326] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7219), 1,
      anon_sym_COMMA,
    STATE(4866), 2,
      sym_heredoc_body,
      aux_sym__array_pattern_n_repeat1,
    ACTIONS(6521), 6,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [174348] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7222), 1,
      aux_sym_string_array_token1,
    ACTIONS(7224), 1,
      sym__string_end,
    STATE(4835), 1,
      aux_sym__literal_contents,
    STATE(4867), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
  [174382] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7226), 1,
      aux_sym_string_array_token1,
    ACTIONS(7228), 1,
      sym__string_end,
    STATE(4830), 1,
      aux_sym__literal_contents,
    STATE(4868), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
  [174416] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4869), 1,
      sym_heredoc_body,
    ACTIONS(6539), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [174436] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7230), 1,
      anon_sym_COMMA,
    STATE(4870), 2,
      sym_heredoc_body,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6652), 6,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [174458] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(7233), 1,
      anon_sym_in,
    STATE(4871), 1,
      sym_heredoc_body,
    STATE(5188), 1,
      sym_in,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(2986), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [174486] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4872), 1,
      sym_heredoc_body,
    ACTIONS(6620), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [174506] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7235), 1,
      aux_sym_string_array_token1,
    ACTIONS(7237), 1,
      sym__string_end,
    STATE(4827), 1,
      aux_sym__literal_contents,
    STATE(4873), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
  [174540] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7239), 1,
      aux_sym_string_array_token1,
    ACTIONS(7241), 1,
      sym__string_end,
    STATE(4825), 1,
      aux_sym__literal_contents,
    STATE(4874), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
  [174574] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4875), 1,
      sym_heredoc_body,
    ACTIONS(6628), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [174594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4876), 1,
      sym_heredoc_body,
    ACTIONS(123), 8,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [174614] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7243), 1,
      aux_sym_string_array_token1,
    ACTIONS(7245), 1,
      sym__string_end,
    STATE(4841), 1,
      aux_sym__literal_contents,
    STATE(4877), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
  [174648] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7247), 1,
      aux_sym_string_array_token1,
    ACTIONS(7249), 1,
      sym__string_end,
    STATE(4878), 1,
      sym_heredoc_body,
    STATE(4939), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
  [174682] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4879), 1,
      sym_heredoc_body,
    ACTIONS(6576), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [174702] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7251), 1,
      anon_sym_rescue,
    STATE(4880), 1,
      sym_heredoc_body,
    ACTIONS(6628), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [174724] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4881), 1,
      sym_heredoc_body,
    ACTIONS(6608), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [174744] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7253), 1,
      anon_sym_COMMA,
    STATE(4882), 2,
      sym_heredoc_body,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6652), 6,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [174766] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_rescue,
    ACTIONS(6850), 1,
      anon_sym_if,
    ACTIONS(6852), 1,
      anon_sym_unless,
    ACTIONS(6854), 1,
      anon_sym_while,
    ACTIONS(6856), 1,
      anon_sym_until,
    STATE(2096), 1,
      sym__terminator,
    STATE(4883), 1,
      sym_heredoc_body,
    ACTIONS(7007), 2,
      sym__line_break,
      anon_sym_SEMI,
  [174798] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7256), 1,
      aux_sym_string_array_token1,
    ACTIONS(7258), 1,
      sym__string_end,
    STATE(4884), 1,
      sym_heredoc_body,
    STATE(4939), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
  [174832] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(7233), 1,
      anon_sym_in,
    STATE(4885), 1,
      sym_heredoc_body,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    STATE(5214), 1,
      sym_in,
    ACTIONS(2986), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [174860] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_EQ_GT,
    ACTIONS(7260), 1,
      anon_sym_COMMA,
    STATE(4886), 1,
      sym_heredoc_body,
    ACTIONS(6543), 6,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [174884] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7262), 1,
      anon_sym_end,
    ACTIONS(7264), 1,
      anon_sym_rescue,
    ACTIONS(7266), 1,
      anon_sym_ensure,
    STATE(4887), 1,
      sym_heredoc_body,
    STATE(4903), 1,
      aux_sym__body_statement_repeat1,
    STATE(5259), 3,
      sym_else,
      sym_ensure,
      sym_rescue,
  [174914] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4888), 1,
      sym_heredoc_body,
    ACTIONS(6539), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [174934] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4889), 1,
      sym_heredoc_body,
    ACTIONS(6648), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [174954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4890), 1,
      sym_heredoc_body,
    ACTIONS(2938), 8,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [174974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4891), 1,
      sym_heredoc_body,
    ACTIONS(2934), 8,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [174994] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4892), 1,
      sym_heredoc_body,
    ACTIONS(6616), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [175014] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6737), 1,
      anon_sym_LBRACE,
    ACTIONS(6932), 1,
      anon_sym_do,
    STATE(4893), 1,
      sym_heredoc_body,
    STATE(5227), 1,
      sym_block,
    STATE(5405), 1,
      sym_do_block,
    ACTIONS(3169), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [175042] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7262), 1,
      anon_sym_end,
    ACTIONS(7264), 1,
      anon_sym_rescue,
    ACTIONS(7266), 1,
      anon_sym_ensure,
    STATE(4894), 1,
      sym_heredoc_body,
    STATE(4924), 1,
      aux_sym__body_statement_repeat1,
    STATE(5259), 3,
      sym_else,
      sym_ensure,
      sym_rescue,
  [175072] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4895), 1,
      sym_heredoc_body,
    ACTIONS(2942), 8,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [175092] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7268), 1,
      aux_sym_string_array_token1,
    ACTIONS(7270), 1,
      sym__string_end,
    STATE(4862), 1,
      aux_sym__literal_contents,
    STATE(4896), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
  [175126] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4897), 1,
      sym_heredoc_body,
    ACTIONS(6652), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [175146] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7272), 1,
      aux_sym_string_array_token1,
    ACTIONS(7274), 1,
      sym__string_end,
    STATE(4829), 1,
      aux_sym__literal_contents,
    STATE(4898), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
  [175180] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_COMMA,
    STATE(4882), 1,
      aux_sym_command_argument_list_repeat1,
    STATE(4899), 1,
      sym_heredoc_body,
    ACTIONS(6696), 6,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [175204] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7278), 1,
      aux_sym_string_array_token1,
    ACTIONS(7280), 1,
      sym__string_end,
    STATE(4824), 1,
      aux_sym__literal_contents,
    STATE(4900), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
  [175238] = 10,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6848), 1,
      anon_sym_rescue,
    ACTIONS(6850), 1,
      anon_sym_if,
    ACTIONS(6852), 1,
      anon_sym_unless,
    ACTIONS(6854), 1,
      anon_sym_while,
    ACTIONS(6856), 1,
      anon_sym_until,
    STATE(2026), 1,
      sym__terminator,
    STATE(4901), 1,
      sym_heredoc_body,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [175270] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7282), 1,
      anon_sym_COMMA,
    STATE(4870), 1,
      aux_sym_command_argument_list_repeat1,
    STATE(4902), 1,
      sym_heredoc_body,
    ACTIONS(6696), 6,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [175294] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7284), 1,
      anon_sym_end,
    ACTIONS(7286), 1,
      anon_sym_rescue,
    ACTIONS(7289), 1,
      anon_sym_else,
    ACTIONS(7292), 1,
      anon_sym_ensure,
    STATE(4903), 2,
      sym_heredoc_body,
      aux_sym__body_statement_repeat1,
    STATE(5259), 3,
      sym_else,
      sym_ensure,
      sym_rescue,
  [175322] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7295), 1,
      aux_sym_string_array_token1,
    ACTIONS(7297), 1,
      sym__string_end,
    STATE(4817), 1,
      aux_sym__literal_contents,
    STATE(4904), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
  [175356] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4905), 1,
      sym_heredoc_body,
    ACTIONS(6576), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [175376] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4906), 1,
      sym_heredoc_body,
    ACTIONS(6539), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [175396] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7299), 1,
      anon_sym_COMMA,
    STATE(4907), 1,
      sym_heredoc_body,
    STATE(4944), 1,
      aux_sym__array_pattern_n_repeat1,
    ACTIONS(6689), 6,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [175420] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4908), 1,
      sym_heredoc_body,
    ACTIONS(6543), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [175440] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7301), 1,
      aux_sym_string_array_token1,
    ACTIONS(7303), 1,
      sym__string_end,
    STATE(4854), 1,
      aux_sym__literal_contents,
    STATE(4909), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
  [175474] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4910), 1,
      sym_heredoc_body,
    ACTIONS(6457), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [175494] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7305), 1,
      aux_sym_string_array_token1,
    ACTIONS(7307), 1,
      sym__string_end,
    STATE(4851), 1,
      aux_sym__literal_contents,
    STATE(4911), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
  [175528] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7309), 1,
      anon_sym_rescue,
    STATE(4912), 1,
      sym_heredoc_body,
    ACTIONS(6598), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [175550] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7299), 1,
      anon_sym_COMMA,
    STATE(4913), 1,
      sym_heredoc_body,
    STATE(4923), 1,
      aux_sym__array_pattern_n_repeat1,
    ACTIONS(6689), 6,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [175574] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6737), 1,
      anon_sym_LBRACE,
    ACTIONS(6932), 1,
      anon_sym_do,
    STATE(4914), 1,
      sym_heredoc_body,
    STATE(5359), 1,
      sym_block,
    STATE(5360), 1,
      sym_do_block,
    ACTIONS(3177), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [175602] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7311), 1,
      aux_sym_string_array_token1,
    ACTIONS(7313), 1,
      sym__string_end,
    STATE(4849), 1,
      aux_sym__literal_contents,
    STATE(4915), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
  [175636] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4916), 1,
      sym_heredoc_body,
    ACTIONS(6564), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [175656] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(7233), 1,
      anon_sym_in,
    STATE(4917), 1,
      sym_heredoc_body,
    STATE(5190), 1,
      sym_in,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(2986), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [175684] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7315), 1,
      aux_sym_string_array_token1,
    ACTIONS(7317), 1,
      sym__string_end,
    STATE(4858), 1,
      aux_sym__literal_contents,
    STATE(4918), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
  [175718] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7309), 1,
      anon_sym_rescue,
    STATE(4919), 1,
      sym_heredoc_body,
    ACTIONS(6628), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [175740] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7319), 1,
      aux_sym_string_array_token1,
    ACTIONS(7321), 1,
      sym__string_end,
    STATE(4812), 1,
      aux_sym__literal_contents,
    STATE(4920), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
  [175774] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4921), 1,
      sym_heredoc_body,
    ACTIONS(6555), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [175794] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7323), 1,
      aux_sym_string_array_token1,
    ACTIONS(7325), 1,
      sym__string_end,
    STATE(4820), 1,
      aux_sym__literal_contents,
    STATE(4922), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
  [175828] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7327), 1,
      anon_sym_COMMA,
    STATE(4866), 1,
      aux_sym__array_pattern_n_repeat1,
    STATE(4923), 1,
      sym_heredoc_body,
    ACTIONS(6675), 6,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [175852] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7264), 1,
      anon_sym_rescue,
    ACTIONS(7266), 1,
      anon_sym_ensure,
    ACTIONS(7329), 1,
      anon_sym_end,
    STATE(4903), 1,
      aux_sym__body_statement_repeat1,
    STATE(4924), 1,
      sym_heredoc_body,
    STATE(5259), 3,
      sym_else,
      sym_ensure,
      sym_rescue,
  [175882] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4925), 1,
      sym_heredoc_body,
    ACTIONS(6551), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [175902] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4926), 1,
      sym_heredoc_body,
    ACTIONS(6539), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [175922] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6737), 1,
      anon_sym_LBRACE,
    ACTIONS(6932), 1,
      anon_sym_do,
    STATE(4927), 1,
      sym_heredoc_body,
    STATE(5300), 1,
      sym_do_block,
    STATE(5302), 1,
      sym_block,
    ACTIONS(3181), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [175950] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4928), 1,
      sym_heredoc_body,
    ACTIONS(6568), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [175970] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4929), 1,
      sym_heredoc_body,
    ACTIONS(2986), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
    ACTIONS(7331), 4,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
  [175992] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4930), 1,
      sym_heredoc_body,
    ACTIONS(6624), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [176012] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7282), 1,
      anon_sym_COMMA,
    STATE(4902), 1,
      aux_sym_command_argument_list_repeat1,
    STATE(4931), 1,
      sym_heredoc_body,
    ACTIONS(6668), 6,
      sym__line_break,
      anon_sym_rescue,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [176036] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_EQ_GT,
    ACTIONS(7260), 1,
      anon_sym_COMMA,
    STATE(4932), 1,
      sym_heredoc_body,
    ACTIONS(6691), 6,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [176060] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7276), 1,
      anon_sym_COMMA,
    STATE(4899), 1,
      aux_sym_command_argument_list_repeat1,
    STATE(4933), 1,
      sym_heredoc_body,
    ACTIONS(6668), 6,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [176084] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4934), 1,
      sym_heredoc_body,
    ACTIONS(6644), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [176104] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7251), 1,
      anon_sym_rescue,
    STATE(4935), 1,
      sym_heredoc_body,
    ACTIONS(6598), 7,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [176126] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7333), 1,
      aux_sym_string_array_token1,
    ACTIONS(7335), 1,
      sym__string_end,
    STATE(4861), 1,
      aux_sym__literal_contents,
    STATE(4936), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
  [176160] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7337), 1,
      aux_sym_string_array_token1,
    ACTIONS(7339), 1,
      sym__string_end,
    STATE(4819), 1,
      aux_sym__literal_contents,
    STATE(4937), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
  [176194] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4938), 1,
      sym_heredoc_body,
    ACTIONS(4269), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [176214] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7341), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7344), 1,
      aux_sym_string_array_token1,
    ACTIONS(7346), 1,
      sym_escape_sequence,
    ACTIONS(7349), 1,
      sym_string_content,
    ACTIONS(7352), 1,
      sym__string_end,
    ACTIONS(7354), 1,
      sym__short_interpolation,
    STATE(5113), 1,
      sym_interpolation,
    STATE(4939), 2,
      sym_heredoc_body,
      aux_sym__literal_contents,
  [176246] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7357), 1,
      aux_sym_string_array_token1,
    ACTIONS(7359), 1,
      sym__string_end,
    STATE(4853), 1,
      aux_sym__literal_contents,
    STATE(4940), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
  [176280] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7361), 1,
      aux_sym_string_array_token1,
    ACTIONS(7363), 1,
      sym__string_end,
    STATE(4845), 1,
      aux_sym__literal_contents,
    STATE(4941), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
  [176314] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7092), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      sym_string_content,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7365), 1,
      aux_sym_string_array_token1,
    ACTIONS(7367), 1,
      sym__string_end,
    STATE(4844), 1,
      aux_sym__literal_contents,
    STATE(4942), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
  [176348] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4943), 1,
      sym_heredoc_body,
    ACTIONS(6640), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [176368] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7299), 1,
      anon_sym_COMMA,
    STATE(4866), 1,
      aux_sym__array_pattern_n_repeat1,
    STATE(4944), 1,
      sym_heredoc_body,
    ACTIONS(6675), 6,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [176392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4945), 1,
      sym_heredoc_body,
    ACTIONS(2986), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
    ACTIONS(7369), 4,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
  [176414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(4946), 1,
      sym_heredoc_body,
    ACTIONS(2910), 8,
      sym__element_reference_bracket,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [176434] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4947), 1,
      sym_heredoc_body,
    ACTIONS(6632), 8,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [176454] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7371), 1,
      sym__string_end,
    STATE(4878), 1,
      aux_sym__literal_contents,
    STATE(4948), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [176483] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7373), 1,
      sym__string_end,
    STATE(4878), 1,
      aux_sym__literal_contents,
    STATE(4949), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [176512] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7375), 1,
      sym__string_end,
    STATE(4884), 1,
      aux_sym__literal_contents,
    STATE(4950), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [176541] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2243), 1,
      sym__pow,
    STATE(2823), 1,
      sym__simple_numeric,
    STATE(4951), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(83), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [176568] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7377), 1,
      sym__string_end,
    STATE(4878), 1,
      aux_sym__literal_contents,
    STATE(4952), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [176597] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7379), 1,
      sym__string_end,
    STATE(4884), 1,
      aux_sym__literal_contents,
    STATE(4953), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [176626] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7385), 1,
      sym__string_end,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    STATE(4954), 1,
      sym_heredoc_body,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [176655] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2462), 1,
      sym__pow,
    STATE(3044), 1,
      sym__simple_numeric,
    STATE(4955), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(83), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [176682] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7063), 1,
      anon_sym_then,
    ACTIONS(7389), 1,
      anon_sym_COMMA,
    STATE(278), 1,
      sym__terminator,
    STATE(4956), 1,
      sym_heredoc_body,
    STATE(5008), 1,
      aux_sym_when_repeat1,
    STATE(5482), 1,
      sym_then,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [176711] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7391), 1,
      sym__string_end,
    STATE(4878), 1,
      aux_sym__literal_contents,
    STATE(4957), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [176740] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7393), 1,
      sym__string_end,
    STATE(4958), 1,
      sym_heredoc_body,
    STATE(5004), 1,
      aux_sym__literal_contents,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [176769] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4959), 1,
      sym_heredoc_body,
    ACTIONS(7395), 7,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_ensure,
  [176788] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7397), 1,
      sym__string_end,
    STATE(4960), 1,
      sym_heredoc_body,
    STATE(4980), 1,
      aux_sym__literal_contents,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [176817] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7399), 1,
      sym__string_end,
    STATE(4884), 1,
      aux_sym__literal_contents,
    STATE(4961), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [176846] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2462), 1,
      sym__pow,
    STATE(2555), 1,
      sym__simple_numeric,
    STATE(4962), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(83), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [176873] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7401), 1,
      sym__string_end,
    STATE(4884), 1,
      aux_sym__literal_contents,
    STATE(4963), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [176902] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2462), 1,
      sym__pow,
    STATE(3785), 1,
      sym__simple_numeric,
    STATE(4964), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(255), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [176929] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4965), 1,
      sym_heredoc_body,
    ACTIONS(2910), 7,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [176948] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2855), 1,
      sym__pow,
    STATE(3674), 1,
      sym__simple_numeric,
    STATE(4966), 1,
      sym_heredoc_body,
    STATE(5483), 1,
      sym__int_or_float,
    ACTIONS(323), 2,
      sym_integer,
      sym_float,
    STATE(2877), 2,
      sym_complex,
      sym_rational,
  [176975] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7403), 1,
      sym__string_end,
    STATE(4967), 1,
      sym_heredoc_body,
    STATE(5082), 1,
      aux_sym__literal_contents,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [177004] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_COMMA,
    STATE(4968), 2,
      sym_heredoc_body,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6652), 5,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [177025] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7408), 1,
      sym_identifier,
    ACTIONS(7412), 1,
      anon_sym_do,
    STATE(4969), 1,
      sym_heredoc_body,
    ACTIONS(7410), 5,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
  [177048] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2855), 1,
      sym__pow,
    STATE(3693), 1,
      sym__simple_numeric,
    STATE(4970), 1,
      sym_heredoc_body,
    STATE(5483), 1,
      sym__int_or_float,
    ACTIONS(397), 2,
      sym_integer,
      sym_float,
    STATE(2877), 2,
      sym_complex,
      sym_rational,
  [177075] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7414), 1,
      sym__string_end,
    STATE(4971), 1,
      sym_heredoc_body,
    STATE(4981), 1,
      aux_sym__literal_contents,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [177104] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7416), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7422), 1,
      sym_heredoc_end,
    ACTIONS(7424), 1,
      sym__short_interpolation,
    STATE(5200), 1,
      sym_interpolation,
    ACTIONS(7419), 2,
      sym_heredoc_content,
      sym_escape_sequence,
    STATE(4972), 2,
      sym_heredoc_body,
      aux_sym_heredoc_body_repeat1,
  [177131] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2462), 1,
      sym__pow,
    STATE(2764), 1,
      sym__simple_numeric,
    STATE(4973), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(83), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [177158] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7427), 1,
      sym__string_end,
    STATE(4884), 1,
      aux_sym__literal_contents,
    STATE(4974), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [177187] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7429), 1,
      sym__string_end,
    STATE(4975), 1,
      sym_heredoc_body,
    STATE(5010), 1,
      aux_sym__literal_contents,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [177216] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3323), 1,
      sym__pow,
    STATE(3582), 1,
      sym__simple_numeric,
    STATE(4976), 1,
      sym_heredoc_body,
    STATE(5483), 1,
      sym__int_or_float,
    ACTIONS(323), 2,
      sym_integer,
      sym_float,
    STATE(2877), 2,
      sym_complex,
      sym_rational,
  [177243] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7352), 1,
      sym__string_end,
    ACTIONS(7431), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7437), 1,
      sym__short_interpolation,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7434), 2,
      sym_string_content,
      sym_escape_sequence,
    STATE(4977), 2,
      sym_heredoc_body,
      aux_sym__literal_contents,
  [177270] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7440), 1,
      sym__string_end,
    STATE(4878), 1,
      aux_sym__literal_contents,
    STATE(4978), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [177299] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2488), 1,
      anon_sym_EQ_GT,
    ACTIONS(7063), 1,
      anon_sym_then,
    STATE(264), 1,
      sym__terminator,
    STATE(4979), 1,
      sym_heredoc_body,
    STATE(5202), 1,
      sym_exception_variable,
    STATE(5281), 1,
      sym_then,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [177328] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7442), 1,
      sym__string_end,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(4980), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [177357] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7444), 1,
      sym__string_end,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(4981), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [177386] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7446), 1,
      anon_sym_COMMA,
    STATE(4982), 1,
      sym_heredoc_body,
    STATE(5092), 1,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6668), 5,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [177409] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7448), 1,
      sym__string_end,
    STATE(4878), 1,
      aux_sym__literal_contents,
    STATE(4983), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [177438] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4984), 1,
      sym_heredoc_body,
    ACTIONS(7450), 7,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_in,
      anon_sym_when,
      anon_sym_elsif,
      anon_sym_else,
      anon_sym_ensure,
  [177457] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7452), 1,
      sym__string_end,
    STATE(4878), 1,
      aux_sym__literal_contents,
    STATE(4985), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [177486] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7454), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7458), 1,
      sym_heredoc_end,
    ACTIONS(7460), 1,
      sym__short_interpolation,
    STATE(4986), 1,
      sym_heredoc_body,
    STATE(5096), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(5200), 1,
      sym_interpolation,
    ACTIONS(7456), 2,
      sym_heredoc_content,
      sym_escape_sequence,
  [177515] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2243), 1,
      sym__pow,
    STATE(3504), 1,
      sym__simple_numeric,
    STATE(4987), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(255), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [177542] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2462), 1,
      sym__pow,
    STATE(3455), 1,
      sym__simple_numeric,
    STATE(4988), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(255), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [177569] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7462), 1,
      sym__string_end,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(4989), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [177598] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2243), 1,
      sym__pow,
    STATE(3421), 1,
      sym__simple_numeric,
    STATE(4990), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(255), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [177625] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3285), 1,
      sym__simple_numeric,
    STATE(3323), 1,
      sym__pow,
    STATE(4991), 1,
      sym_heredoc_body,
    STATE(5483), 1,
      sym__int_or_float,
    ACTIONS(323), 2,
      sym_integer,
      sym_float,
    STATE(2877), 2,
      sym_complex,
      sym_rational,
  [177652] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3323), 1,
      sym__pow,
    STATE(3985), 1,
      sym__simple_numeric,
    STATE(4992), 1,
      sym_heredoc_body,
    STATE(5483), 1,
      sym__int_or_float,
    ACTIONS(397), 2,
      sym_integer,
      sym_float,
    STATE(2877), 2,
      sym_complex,
      sym_rational,
  [177679] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7464), 1,
      sym__string_end,
    STATE(4878), 1,
      aux_sym__literal_contents,
    STATE(4993), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [177708] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7466), 1,
      sym__string_end,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(4994), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [177737] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2243), 1,
      sym__pow,
    STATE(2845), 1,
      sym__simple_numeric,
    STATE(4995), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(83), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [177764] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7468), 1,
      sym__string_end,
    STATE(4989), 1,
      aux_sym__literal_contents,
    STATE(4996), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [177793] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7470), 1,
      sym__string_end,
    STATE(4878), 1,
      aux_sym__literal_contents,
    STATE(4997), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [177822] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7472), 1,
      sym__string_end,
    STATE(4878), 1,
      aux_sym__literal_contents,
    STATE(4998), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [177851] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2462), 1,
      sym__pow,
    STATE(2864), 1,
      sym__simple_numeric,
    STATE(4999), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(83), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [177878] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2243), 1,
      sym__pow,
    STATE(2451), 1,
      sym__simple_numeric,
    STATE(5000), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(83), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [177905] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7474), 1,
      sym__string_end,
    STATE(4884), 1,
      aux_sym__literal_contents,
    STATE(5001), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [177934] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2243), 1,
      sym__pow,
    STATE(2529), 1,
      sym__simple_numeric,
    STATE(5002), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(83), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [177961] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7476), 1,
      sym__string_end,
    STATE(4884), 1,
      aux_sym__literal_contents,
    STATE(5003), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [177990] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7478), 1,
      sym__string_end,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(5004), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [178019] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3323), 1,
      sym__pow,
    STATE(3337), 1,
      sym__simple_numeric,
    STATE(5005), 1,
      sym_heredoc_body,
    STATE(5483), 1,
      sym__int_or_float,
    ACTIONS(397), 2,
      sym_integer,
      sym_float,
    STATE(2877), 2,
      sym_complex,
      sym_rational,
  [178046] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2438), 1,
      sym__simple_numeric,
    STATE(2462), 1,
      sym__pow,
    STATE(5006), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(83), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [178073] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7480), 1,
      sym__string_end,
    STATE(4884), 1,
      aux_sym__literal_contents,
    STATE(5007), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [178102] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7063), 1,
      anon_sym_then,
    ACTIONS(7389), 1,
      anon_sym_COMMA,
    STATE(269), 1,
      sym__terminator,
    STATE(5008), 1,
      sym_heredoc_body,
    STATE(5192), 1,
      aux_sym_when_repeat1,
    STATE(5468), 1,
      sym_then,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [178131] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7482), 1,
      sym__string_end,
    STATE(4878), 1,
      aux_sym__literal_contents,
    STATE(5009), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [178160] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7484), 1,
      sym__string_end,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(5010), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [178189] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7486), 1,
      sym__string_end,
    STATE(4878), 1,
      aux_sym__literal_contents,
    STATE(5011), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [178218] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2855), 1,
      sym__pow,
    STATE(3225), 1,
      sym__simple_numeric,
    STATE(5012), 1,
      sym_heredoc_body,
    STATE(5483), 1,
      sym__int_or_float,
    ACTIONS(323), 2,
      sym_integer,
      sym_float,
    STATE(2877), 2,
      sym_complex,
      sym_rational,
  [178245] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3323), 1,
      sym__pow,
    STATE(3334), 1,
      sym__simple_numeric,
    STATE(5013), 1,
      sym_heredoc_body,
    STATE(5483), 1,
      sym__int_or_float,
    ACTIONS(397), 2,
      sym_integer,
      sym_float,
    STATE(2877), 2,
      sym_complex,
      sym_rational,
  [178272] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2243), 1,
      sym__pow,
    STATE(2742), 1,
      sym__simple_numeric,
    STATE(5014), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(83), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [178299] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2855), 1,
      sym__pow,
    STATE(3377), 1,
      sym__simple_numeric,
    STATE(5015), 1,
      sym_heredoc_body,
    STATE(5483), 1,
      sym__int_or_float,
    ACTIONS(397), 2,
      sym_integer,
      sym_float,
    STATE(2877), 2,
      sym_complex,
      sym_rational,
  [178326] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7488), 1,
      sym__string_end,
    STATE(4954), 1,
      aux_sym__literal_contents,
    STATE(5016), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [178355] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7490), 1,
      sym__string_end,
    STATE(4884), 1,
      aux_sym__literal_contents,
    STATE(5017), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [178384] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5018), 1,
      sym_heredoc_body,
    ACTIONS(2938), 7,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [178403] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7492), 1,
      sym__string_end,
    STATE(4878), 1,
      aux_sym__literal_contents,
    STATE(5019), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [178432] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7494), 1,
      sym__string_end,
    STATE(4884), 1,
      aux_sym__literal_contents,
    STATE(5020), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [178461] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3137), 1,
      anon_sym_r,
    STATE(5021), 1,
      sym_heredoc_body,
    ACTIONS(3139), 2,
      anon_sym_i,
      anon_sym_ri,
    ACTIONS(3133), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [178484] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7496), 1,
      sym__string_end,
    STATE(4884), 1,
      aux_sym__literal_contents,
    STATE(5022), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [178513] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7498), 1,
      sym__string_end,
    STATE(5023), 1,
      sym_heredoc_body,
    STATE(5081), 1,
      aux_sym__literal_contents,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [178542] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5024), 1,
      sym_heredoc_body,
    ACTIONS(2942), 7,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [178561] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7500), 1,
      sym__string_end,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(5025), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [178590] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7502), 1,
      sym__string_end,
    STATE(4884), 1,
      aux_sym__literal_contents,
    STATE(5026), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [178619] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7504), 1,
      anon_sym_COMMA,
    STATE(5027), 2,
      sym_heredoc_body,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6652), 5,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [178640] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2462), 1,
      sym__pow,
    STATE(2821), 1,
      sym__simple_numeric,
    STATE(5028), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(83), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [178667] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2668), 1,
      sym__string_start,
    STATE(5029), 1,
      sym_heredoc_body,
    STATE(5099), 1,
      aux_sym_chained_string_repeat1,
    STATE(5207), 1,
      sym_string,
    ACTIONS(2986), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [178692] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7507), 1,
      sym__string_end,
    STATE(4884), 1,
      aux_sym__literal_contents,
    STATE(5030), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [178721] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2243), 1,
      sym__pow,
    STATE(2496), 1,
      sym__simple_numeric,
    STATE(5031), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(83), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [178748] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    STATE(5032), 1,
      sym_heredoc_body,
    STATE(5071), 1,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6668), 5,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [178771] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2855), 1,
      sym__pow,
    STATE(3788), 1,
      sym__simple_numeric,
    STATE(5033), 1,
      sym_heredoc_body,
    STATE(5483), 1,
      sym__int_or_float,
    ACTIONS(323), 2,
      sym_integer,
      sym_float,
    STATE(2877), 2,
      sym_complex,
      sym_rational,
  [178798] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7511), 1,
      sym__string_end,
    STATE(4878), 1,
      aux_sym__literal_contents,
    STATE(5034), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [178827] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7513), 1,
      sym__string_end,
    STATE(5025), 1,
      aux_sym__literal_contents,
    STATE(5035), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [178856] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2243), 1,
      sym__pow,
    STATE(3746), 1,
      sym__simple_numeric,
    STATE(5036), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(255), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [178883] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7515), 1,
      sym__string_end,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(5037), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [178912] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3048), 1,
      sym__simple_numeric,
    STATE(3323), 1,
      sym__pow,
    STATE(5038), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(83), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [178939] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7517), 1,
      sym__string_start,
    STATE(5207), 1,
      sym_string,
    STATE(5039), 2,
      sym_heredoc_body,
      aux_sym_chained_string_repeat1,
    ACTIONS(3110), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [178962] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2855), 1,
      sym__pow,
    STATE(3269), 1,
      sym__simple_numeric,
    STATE(5040), 1,
      sym_heredoc_body,
    STATE(5483), 1,
      sym__int_or_float,
    ACTIONS(323), 2,
      sym_integer,
      sym_float,
    STATE(2877), 2,
      sym_complex,
      sym_rational,
  [178989] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2243), 1,
      sym__pow,
    STATE(3257), 1,
      sym__simple_numeric,
    STATE(5041), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(255), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [179016] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2855), 1,
      sym__pow,
    STATE(3827), 1,
      sym__simple_numeric,
    STATE(5042), 1,
      sym_heredoc_body,
    STATE(5483), 1,
      sym__int_or_float,
    ACTIONS(323), 2,
      sym_integer,
      sym_float,
    STATE(2877), 2,
      sym_complex,
      sym_rational,
  [179043] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7520), 1,
      sym__string_end,
    STATE(4878), 1,
      aux_sym__literal_contents,
    STATE(5043), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [179072] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7522), 1,
      sym__string_end,
    STATE(4994), 1,
      aux_sym__literal_contents,
    STATE(5044), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [179101] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7524), 1,
      sym__string_end,
    STATE(5045), 1,
      sym_heredoc_body,
    STATE(5078), 1,
      aux_sym__literal_contents,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [179130] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7526), 1,
      sym__string_end,
    STATE(5046), 1,
      sym_heredoc_body,
    STATE(5076), 1,
      aux_sym__literal_contents,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [179159] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7528), 1,
      sym__string_end,
    STATE(5047), 1,
      sym_heredoc_body,
    STATE(5073), 1,
      aux_sym__literal_contents,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [179188] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7530), 1,
      sym__string_end,
    STATE(5048), 1,
      sym_heredoc_body,
    STATE(5055), 1,
      aux_sym__literal_contents,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [179217] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5049), 1,
      sym_heredoc_body,
    ACTIONS(2934), 7,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [179236] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5050), 1,
      sym_heredoc_body,
    ACTIONS(7532), 3,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(2986), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [179257] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7534), 1,
      sym__string_end,
    STATE(5051), 1,
      sym_heredoc_body,
    STATE(5074), 1,
      aux_sym__literal_contents,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [179286] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7536), 1,
      sym__string_end,
    STATE(4878), 1,
      aux_sym__literal_contents,
    STATE(5052), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [179315] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7538), 1,
      sym__string_end,
    STATE(5053), 1,
      sym_heredoc_body,
    STATE(5075), 1,
      aux_sym__literal_contents,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [179344] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7540), 1,
      sym__string_end,
    STATE(4878), 1,
      aux_sym__literal_contents,
    STATE(5054), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [179373] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7542), 1,
      sym__string_end,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(5055), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [179402] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2243), 1,
      sym__pow,
    STATE(3069), 1,
      sym__simple_numeric,
    STATE(5056), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(83), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [179429] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2243), 1,
      sym__pow,
    STATE(3581), 1,
      sym__simple_numeric,
    STATE(5057), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(255), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [179456] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7544), 1,
      sym__string_end,
    STATE(4884), 1,
      aux_sym__literal_contents,
    STATE(5058), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [179485] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7546), 1,
      sym__string_end,
    STATE(5059), 1,
      sym_heredoc_body,
    STATE(5077), 1,
      aux_sym__literal_contents,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [179514] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2462), 1,
      sym__pow,
    STATE(3522), 1,
      sym__simple_numeric,
    STATE(5060), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(255), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [179541] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3323), 1,
      sym__pow,
    STATE(3917), 1,
      sym__simple_numeric,
    STATE(5061), 1,
      sym_heredoc_body,
    STATE(5483), 1,
      sym__int_or_float,
    ACTIONS(323), 2,
      sym_integer,
      sym_float,
    STATE(2877), 2,
      sym_complex,
      sym_rational,
  [179568] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7548), 1,
      sym__string_end,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(5062), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [179597] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7550), 1,
      sym__string_end,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(5063), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [179626] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7552), 1,
      sym__string_end,
    STATE(4884), 1,
      aux_sym__literal_contents,
    STATE(5064), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [179655] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3323), 1,
      sym__pow,
    STATE(3716), 1,
      sym__simple_numeric,
    STATE(5065), 1,
      sym_heredoc_body,
    STATE(5483), 1,
      sym__int_or_float,
    ACTIONS(397), 2,
      sym_integer,
      sym_float,
    STATE(2877), 2,
      sym_complex,
      sym_rational,
  [179682] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7554), 1,
      sym__string_end,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(5066), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [179711] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7556), 1,
      sym__string_end,
    STATE(4884), 1,
      aux_sym__literal_contents,
    STATE(5067), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [179740] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2855), 1,
      sym__pow,
    STATE(3386), 1,
      sym__simple_numeric,
    STATE(5068), 1,
      sym_heredoc_body,
    STATE(5483), 1,
      sym__int_or_float,
    ACTIONS(397), 2,
      sym_integer,
      sym_float,
    STATE(2877), 2,
      sym_complex,
      sym_rational,
  [179767] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2855), 1,
      sym__pow,
    STATE(3949), 1,
      sym__simple_numeric,
    STATE(5069), 1,
      sym_heredoc_body,
    STATE(5483), 1,
      sym__int_or_float,
    ACTIONS(397), 2,
      sym_integer,
      sym_float,
    STATE(2877), 2,
      sym_complex,
      sym_rational,
  [179794] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7558), 1,
      sym__string_end,
    STATE(4884), 1,
      aux_sym__literal_contents,
    STATE(5070), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [179823] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    STATE(4968), 1,
      aux_sym_command_argument_list_repeat1,
    STATE(5071), 1,
      sym_heredoc_body,
    ACTIONS(6696), 5,
      anon_sym_RPAREN,
      anon_sym_rescue,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [179846] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7560), 1,
      anon_sym_rescue,
    STATE(5072), 1,
      sym_heredoc_body,
    ACTIONS(6598), 6,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [179867] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7562), 1,
      sym__string_end,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(5073), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [179896] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7564), 1,
      sym__string_end,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(5074), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [179925] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7566), 1,
      sym__string_end,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(5075), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [179954] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7568), 1,
      sym__string_end,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(5076), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [179983] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7570), 1,
      sym__string_end,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(5077), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [180012] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7572), 1,
      sym__string_end,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(5078), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [180041] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7574), 1,
      sym__string_end,
    STATE(4878), 1,
      aux_sym__literal_contents,
    STATE(5079), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [180070] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7560), 1,
      anon_sym_rescue,
    STATE(5080), 1,
      sym_heredoc_body,
    ACTIONS(6628), 6,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [180091] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7576), 1,
      sym__string_end,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(5081), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [180120] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7578), 1,
      sym__string_end,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(5082), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [180149] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7580), 1,
      sym__string_end,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(5083), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [180178] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3323), 1,
      sym__pow,
    STATE(3719), 1,
      sym__simple_numeric,
    STATE(5084), 1,
      sym_heredoc_body,
    STATE(5483), 1,
      sym__int_or_float,
    ACTIONS(323), 2,
      sym_integer,
      sym_float,
    STATE(2877), 2,
      sym_complex,
      sym_rational,
  [180205] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5085), 1,
      sym_heredoc_body,
    ACTIONS(123), 7,
      sym__line_break,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [180224] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7582), 1,
      sym__string_end,
    STATE(5062), 1,
      aux_sym__literal_contents,
    STATE(5086), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [180253] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7584), 1,
      sym__string_end,
    STATE(4977), 1,
      aux_sym__literal_contents,
    STATE(5087), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [180282] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2462), 1,
      sym__pow,
    STATE(2500), 1,
      sym__simple_numeric,
    STATE(5088), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(83), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [180309] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7586), 1,
      sym__string_end,
    STATE(5063), 1,
      aux_sym__literal_contents,
    STATE(5089), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [180338] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2462), 1,
      sym__pow,
    STATE(2669), 1,
      sym__simple_numeric,
    STATE(5090), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(83), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [180365] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7588), 1,
      sym__string_end,
    STATE(5037), 1,
      aux_sym__literal_contents,
    STATE(5091), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [180394] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7446), 1,
      anon_sym_COMMA,
    STATE(5027), 1,
      aux_sym_command_argument_list_repeat1,
    STATE(5092), 1,
      sym_heredoc_body,
    ACTIONS(6696), 5,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [180417] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3288), 1,
      sym__simple_numeric,
    STATE(3323), 1,
      sym__pow,
    STATE(5093), 1,
      sym_heredoc_body,
    STATE(5483), 1,
      sym__int_or_float,
    ACTIONS(323), 2,
      sym_integer,
      sym_float,
    STATE(2877), 2,
      sym_complex,
      sym_rational,
  [180444] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7590), 1,
      sym__string_end,
    STATE(4884), 1,
      aux_sym__literal_contents,
    STATE(5094), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [180473] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(3323), 1,
      sym__pow,
    STATE(3864), 1,
      sym__simple_numeric,
    STATE(5095), 1,
      sym_heredoc_body,
    STATE(5483), 1,
      sym__int_or_float,
    ACTIONS(397), 2,
      sym_integer,
      sym_float,
    STATE(2877), 2,
      sym_complex,
      sym_rational,
  [180500] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7454), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7460), 1,
      sym__short_interpolation,
    ACTIONS(7592), 1,
      sym_heredoc_end,
    STATE(4972), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(5096), 1,
      sym_heredoc_body,
    STATE(5200), 1,
      sym_interpolation,
    ACTIONS(7456), 2,
      sym_heredoc_content,
      sym_escape_sequence,
  [180529] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7594), 1,
      sym__string_end,
    STATE(5087), 1,
      aux_sym__literal_contents,
    STATE(5097), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [180558] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7596), 1,
      sym__string_end,
    STATE(5083), 1,
      aux_sym__literal_contents,
    STATE(5098), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [180587] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2668), 1,
      sym__string_start,
    STATE(5039), 1,
      aux_sym_chained_string_repeat1,
    STATE(5099), 1,
      sym_heredoc_body,
    STATE(5207), 1,
      sym_string,
    ACTIONS(3149), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [180612] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2462), 1,
      sym__pow,
    STATE(3547), 1,
      sym__simple_numeric,
    STATE(5100), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(255), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [180639] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7381), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7387), 1,
      sym__short_interpolation,
    ACTIONS(7598), 1,
      sym__string_end,
    STATE(5066), 1,
      aux_sym__literal_contents,
    STATE(5101), 1,
      sym_heredoc_body,
    STATE(5218), 1,
      sym_interpolation,
    ACTIONS(7383), 2,
      sym_string_content,
      sym_escape_sequence,
  [180668] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7600), 1,
      sym__string_end,
    STATE(4878), 1,
      aux_sym__literal_contents,
    STATE(5102), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [180697] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2462), 1,
      sym__pow,
    STATE(3193), 1,
      sym__simple_numeric,
    STATE(5103), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(255), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [180724] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7602), 1,
      sym__string_end,
    STATE(4878), 1,
      aux_sym__literal_contents,
    STATE(5104), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [180753] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7604), 1,
      sym__string_end,
    STATE(4884), 1,
      aux_sym__literal_contents,
    STATE(5105), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [180782] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2243), 1,
      sym__pow,
    STATE(2637), 1,
      sym__simple_numeric,
    STATE(5106), 1,
      sym_heredoc_body,
    STATE(5471), 1,
      sym__int_or_float,
    ACTIONS(83), 2,
      sym_integer,
      sym_float,
    STATE(2208), 2,
      sym_complex,
      sym_rational,
  [180809] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    ACTIONS(7606), 1,
      sym__string_end,
    STATE(4884), 1,
      aux_sym__literal_contents,
    STATE(5107), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [180838] = 8,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2855), 1,
      sym__pow,
    STATE(3829), 1,
      sym__simple_numeric,
    STATE(5108), 1,
      sym_heredoc_body,
    STATE(5483), 1,
      sym__int_or_float,
    ACTIONS(397), 2,
      sym_integer,
      sym_float,
    STATE(2877), 2,
      sym_complex,
      sym_rational,
  [180865] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    STATE(4878), 1,
      aux_sym__literal_contents,
    STATE(5109), 1,
      sym_heredoc_body,
    STATE(5113), 1,
      sym_interpolation,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [180891] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7206), 1,
      anon_sym_end,
    STATE(5110), 1,
      sym_heredoc_body,
    STATE(5195), 1,
      aux_sym_case_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5605), 1,
      sym_else,
  [180919] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4805), 1,
      anon_sym_LPAREN2,
    STATE(5111), 1,
      sym_heredoc_body,
    STATE(5225), 1,
      sym_argument_list,
    ACTIONS(415), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [180941] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5112), 1,
      sym_heredoc_body,
    ACTIONS(7608), 6,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_do,
  [180959] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(5113), 1,
      sym_heredoc_body,
    ACTIONS(7610), 3,
      anon_sym_POUND_LBRACE,
      aux_sym_string_array_token1,
      sym_escape_sequence,
    ACTIONS(7612), 3,
      sym_string_content,
      sym__string_end,
      sym__short_interpolation,
  [180979] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7200), 1,
      anon_sym_end,
    STATE(5114), 1,
      sym_heredoc_body,
    STATE(5195), 1,
      aux_sym_case_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5782), 1,
      sym_else,
  [181007] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4805), 1,
      anon_sym_LPAREN2,
    STATE(5115), 1,
      sym_heredoc_body,
    STATE(5223), 1,
      sym_argument_list,
    ACTIONS(423), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [181029] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7614), 1,
      anon_sym_end,
    STATE(5116), 1,
      sym_heredoc_body,
    STATE(5219), 1,
      aux_sym_case_match_repeat1,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5835), 1,
      sym_else,
  [181057] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7616), 1,
      anon_sym_end,
    STATE(5117), 1,
      sym_heredoc_body,
    STATE(5195), 1,
      aux_sym_case_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5604), 1,
      sym_else,
  [181085] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7618), 1,
      anon_sym_COMMA,
    STATE(5118), 2,
      sym_heredoc_body,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(6652), 4,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [181105] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5119), 1,
      sym_heredoc_body,
    ACTIONS(2956), 6,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_do,
  [181123] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7621), 1,
      anon_sym_end,
    STATE(5120), 1,
      sym_heredoc_body,
    STATE(5219), 1,
      aux_sym_case_match_repeat1,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5621), 1,
      sym_else,
  [181151] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7623), 1,
      anon_sym_end,
    STATE(5121), 1,
      sym_heredoc_body,
    STATE(5195), 1,
      aux_sym_case_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5554), 1,
      sym_else,
  [181179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(5122), 1,
      sym_heredoc_body,
    ACTIONS(7625), 3,
      anon_sym_POUND_LBRACE,
      aux_sym_string_array_token1,
      sym_escape_sequence,
    ACTIONS(7627), 3,
      sym_string_content,
      sym__string_end,
      sym__short_interpolation,
  [181199] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7629), 1,
      anon_sym_end,
    STATE(5123), 1,
      sym_heredoc_body,
    STATE(5219), 1,
      aux_sym_case_match_repeat1,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5643), 1,
      sym_else,
  [181227] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7631), 1,
      anon_sym_rescue,
    STATE(5124), 1,
      sym_heredoc_body,
    ACTIONS(6598), 5,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [181247] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4805), 1,
      anon_sym_LPAREN2,
    STATE(5125), 1,
      sym_heredoc_body,
    STATE(5224), 1,
      sym_argument_list,
    ACTIONS(419), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [181269] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7631), 1,
      anon_sym_rescue,
    STATE(5126), 1,
      sym_heredoc_body,
    ACTIONS(6628), 5,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_and,
      anon_sym_or,
  [181289] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7633), 1,
      anon_sym_end,
    STATE(5127), 1,
      sym_heredoc_body,
    STATE(5219), 1,
      aux_sym_case_match_repeat1,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5555), 1,
      sym_else,
  [181317] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7635), 1,
      anon_sym_end,
    STATE(5128), 1,
      sym_heredoc_body,
    STATE(5219), 1,
      aux_sym_case_match_repeat1,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5687), 1,
      sym_else,
  [181345] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5129), 1,
      sym_heredoc_body,
    STATE(5350), 1,
      sym__simple_numeric,
    STATE(5469), 1,
      sym__int_or_float,
    ACTIONS(2650), 2,
      sym_integer,
      sym_float,
    STATE(5314), 2,
      sym_complex,
      sym_rational,
  [181369] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7637), 1,
      sym_identifier,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    STATE(4694), 1,
      sym__nonlocal_variable,
    STATE(5130), 1,
      sym_heredoc_body,
    ACTIONS(7641), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
  [181393] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7174), 1,
      anon_sym_end,
    STATE(5131), 1,
      sym_heredoc_body,
    STATE(5195), 1,
      aux_sym_case_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5682), 1,
      sym_else,
  [181421] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7643), 1,
      anon_sym_end,
    STATE(5132), 1,
      sym_heredoc_body,
    STATE(5219), 1,
      aux_sym_case_match_repeat1,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5683), 1,
      sym_else,
  [181449] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7645), 1,
      anon_sym_end,
    STATE(5133), 1,
      sym_heredoc_body,
    STATE(5195), 1,
      aux_sym_case_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5684), 1,
      sym_else,
  [181477] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7159), 1,
      anon_sym_end,
    STATE(5134), 1,
      sym_heredoc_body,
    STATE(5195), 1,
      aux_sym_case_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5711), 1,
      sym_else,
  [181505] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7647), 1,
      anon_sym_end,
    STATE(5135), 1,
      sym_heredoc_body,
    STATE(5219), 1,
      aux_sym_case_match_repeat1,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5705), 1,
      sym_else,
  [181533] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7649), 1,
      anon_sym_end,
    STATE(5136), 1,
      sym_heredoc_body,
    STATE(5219), 1,
      aux_sym_case_match_repeat1,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5650), 1,
      sym_else,
  [181561] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7651), 1,
      sym_identifier,
    ACTIONS(7653), 1,
      anon_sym_LPAREN,
    STATE(4374), 1,
      sym__nonlocal_variable,
    STATE(5137), 1,
      sym_heredoc_body,
    ACTIONS(3855), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
  [181585] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7655), 1,
      anon_sym_rescue,
    STATE(5138), 1,
      sym_heredoc_body,
    ACTIONS(6598), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [181605] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7657), 1,
      anon_sym_rescue,
    STATE(5139), 1,
      sym_heredoc_body,
    ACTIONS(6628), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [181625] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4633), 1,
      sym__simple_numeric,
    STATE(5140), 1,
      sym_heredoc_body,
    STATE(5446), 1,
      sym__int_or_float,
    ACTIONS(2822), 2,
      sym_integer,
      sym_float,
    STATE(4665), 2,
      sym_complex,
      sym_rational,
  [181649] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5141), 1,
      sym_heredoc_body,
    ACTIONS(7659), 6,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_do,
  [181667] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5142), 1,
      sym_heredoc_body,
    ACTIONS(7661), 6,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_do,
  [181685] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5143), 1,
      sym_heredoc_body,
    ACTIONS(3495), 6,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [181703] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5144), 1,
      sym_heredoc_body,
    ACTIONS(7663), 6,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_do,
  [181721] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7102), 1,
      anon_sym_end,
    STATE(5145), 1,
      sym_heredoc_body,
    STATE(5195), 1,
      aux_sym_case_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5624), 1,
      sym_else,
  [181749] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7665), 1,
      anon_sym_COMMA,
    STATE(5118), 1,
      aux_sym_command_argument_list_repeat1,
    STATE(5146), 1,
      sym_heredoc_body,
    ACTIONS(6696), 4,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [181771] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7667), 1,
      anon_sym_end,
    STATE(5147), 1,
      sym_heredoc_body,
    STATE(5195), 1,
      aux_sym_case_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5837), 1,
      sym_else,
  [181799] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4805), 1,
      anon_sym_LPAREN2,
    STATE(5148), 1,
      sym_heredoc_body,
    STATE(5226), 1,
      sym_argument_list,
    ACTIONS(427), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [181821] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7655), 1,
      anon_sym_rescue,
    STATE(5149), 1,
      sym_heredoc_body,
    ACTIONS(6628), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [181841] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7669), 1,
      anon_sym_end,
    STATE(5150), 1,
      sym_heredoc_body,
    STATE(5195), 1,
      aux_sym_case_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5644), 1,
      sym_else,
  [181869] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5846), 1,
      anon_sym_COMMA,
    STATE(5151), 1,
      sym_heredoc_body,
    STATE(5173), 1,
      aux_sym_exceptions_repeat1,
    ACTIONS(5848), 4,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_then,
  [181891] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4333), 1,
      sym__simple_numeric,
    STATE(5152), 1,
      sym_heredoc_body,
    STATE(5416), 1,
      sym__int_or_float,
    ACTIONS(2772), 2,
      sym_integer,
      sym_float,
    STATE(4346), 2,
      sym_complex,
      sym_rational,
  [181915] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7122), 1,
      anon_sym_end,
    STATE(5153), 1,
      sym_heredoc_body,
    STATE(5195), 1,
      aux_sym_case_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5642), 1,
      sym_else,
  [181943] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5154), 1,
      sym_heredoc_body,
    ACTIONS(2960), 6,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_do,
  [181961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(5155), 1,
      sym_heredoc_body,
    ACTIONS(7671), 3,
      anon_sym_POUND_LBRACE,
      aux_sym_string_array_token1,
      sym_escape_sequence,
    ACTIONS(7673), 3,
      sym_string_content,
      sym__string_end,
      sym__short_interpolation,
  [181981] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4633), 1,
      sym__simple_numeric,
    STATE(5156), 1,
      sym_heredoc_body,
    STATE(5446), 1,
      sym__int_or_float,
    ACTIONS(2876), 2,
      sym_integer,
      sym_float,
    STATE(4665), 2,
      sym_complex,
      sym_rational,
  [182005] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7675), 1,
      anon_sym_end,
    STATE(5157), 1,
      sym_heredoc_body,
    STATE(5195), 1,
      aux_sym_case_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5812), 1,
      sym_else,
  [182033] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5158), 1,
      sym_heredoc_body,
    ACTIONS(2952), 6,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_do,
  [182051] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7651), 1,
      sym_identifier,
    ACTIONS(7653), 1,
      anon_sym_LPAREN,
    STATE(4374), 1,
      sym__nonlocal_variable,
    STATE(5159), 1,
      sym_heredoc_body,
    ACTIONS(4265), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
  [182075] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7677), 1,
      anon_sym_end,
    STATE(5160), 1,
      sym_heredoc_body,
    STATE(5195), 1,
      aux_sym_case_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5685), 1,
      sym_else,
  [182103] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5161), 1,
      sym_heredoc_body,
    ACTIONS(7679), 6,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_do,
  [182121] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7681), 1,
      anon_sym_end,
    STATE(5162), 1,
      sym_heredoc_body,
    STATE(5219), 1,
      aux_sym_case_match_repeat1,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5799), 1,
      sym_else,
  [182149] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5163), 1,
      sym_heredoc_body,
    ACTIONS(3471), 6,
      sym__element_reference_bracket,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [182167] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7657), 1,
      anon_sym_rescue,
    STATE(5164), 1,
      sym_heredoc_body,
    ACTIONS(6598), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [182187] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7088), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7098), 1,
      sym__short_interpolation,
    STATE(4884), 1,
      aux_sym__literal_contents,
    STATE(5113), 1,
      sym_interpolation,
    STATE(5165), 1,
      sym_heredoc_body,
    ACTIONS(7094), 2,
      sym_string_content,
      sym_escape_sequence,
  [182213] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7683), 1,
      anon_sym_end,
    STATE(5166), 1,
      sym_heredoc_body,
    STATE(5219), 1,
      aux_sym_case_match_repeat1,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5660), 1,
      sym_else,
  [182241] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7685), 1,
      anon_sym_end,
    STATE(5167), 1,
      sym_heredoc_body,
    STATE(5195), 1,
      aux_sym_case_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5827), 1,
      sym_else,
  [182269] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7687), 1,
      anon_sym_end,
    STATE(5168), 1,
      sym_heredoc_body,
    STATE(5195), 1,
      aux_sym_case_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5676), 1,
      sym_else,
  [182297] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5169), 1,
      sym_heredoc_body,
    ACTIONS(7689), 6,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_do,
  [182315] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7691), 1,
      anon_sym_COMMA,
    STATE(5170), 2,
      sym_heredoc_body,
      aux_sym_exceptions_repeat1,
    ACTIONS(3789), 4,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_then,
  [182335] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7694), 1,
      anon_sym_end,
    STATE(5171), 1,
      sym_heredoc_body,
    STATE(5219), 1,
      aux_sym_case_match_repeat1,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5818), 1,
      sym_else,
  [182363] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(4333), 1,
      sym__simple_numeric,
    STATE(5172), 1,
      sym_heredoc_body,
    STATE(5416), 1,
      sym__int_or_float,
    ACTIONS(2864), 2,
      sym_integer,
      sym_float,
    STATE(4346), 2,
      sym_complex,
      sym_rational,
  [182387] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(5846), 1,
      anon_sym_COMMA,
    STATE(5170), 1,
      aux_sym_exceptions_repeat1,
    STATE(5173), 1,
      sym_heredoc_body,
    ACTIONS(7696), 4,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_then,
  [182409] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7698), 1,
      anon_sym_end,
    STATE(5174), 1,
      sym_heredoc_body,
    STATE(5195), 1,
      aux_sym_case_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5598), 1,
      sym_else,
  [182437] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7700), 1,
      anon_sym_end,
    STATE(5175), 1,
      sym_heredoc_body,
    STATE(5195), 1,
      aux_sym_case_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5701), 1,
      sym_else,
  [182465] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4805), 1,
      anon_sym_LPAREN2,
    STATE(5176), 1,
      sym_heredoc_body,
    STATE(5234), 1,
      sym_argument_list,
    ACTIONS(3173), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [182487] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7687), 1,
      anon_sym_end,
    STATE(5160), 1,
      aux_sym_case_repeat1,
    STATE(5177), 1,
      sym_heredoc_body,
    STATE(5435), 1,
      sym_when,
    STATE(5676), 1,
      sym_else,
  [182515] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7698), 1,
      anon_sym_end,
    STATE(5150), 1,
      aux_sym_case_repeat1,
    STATE(5178), 1,
      sym_heredoc_body,
    STATE(5435), 1,
      sym_when,
    STATE(5598), 1,
      sym_else,
  [182543] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7665), 1,
      anon_sym_COMMA,
    STATE(5146), 1,
      aux_sym_command_argument_list_repeat1,
    STATE(5179), 1,
      sym_heredoc_body,
    ACTIONS(6668), 4,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [182565] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_in,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7702), 1,
      anon_sym_end,
    STATE(5180), 1,
      sym_heredoc_body,
    STATE(5219), 1,
      aux_sym_case_match_repeat1,
    STATE(5450), 1,
      sym_in_clause,
    STATE(5703), 1,
      sym_else,
  [182593] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7704), 1,
      anon_sym_end,
    STATE(5181), 1,
      sym_heredoc_body,
    STATE(5195), 1,
      aux_sym_case_repeat1,
    STATE(5435), 1,
      sym_when,
    STATE(5814), 1,
      sym_else,
  [182621] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4805), 1,
      anon_sym_LPAREN2,
    STATE(5182), 1,
      sym_heredoc_body,
    STATE(5233), 1,
      sym_argument_list,
    ACTIONS(3163), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [182643] = 9,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6860), 1,
      anon_sym_when,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7704), 1,
      anon_sym_end,
    STATE(5117), 1,
      aux_sym_case_repeat1,
    STATE(5183), 1,
      sym_heredoc_body,
    STATE(5435), 1,
      sym_when,
    STATE(5814), 1,
      sym_else,
  [182671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(5184), 1,
      sym_heredoc_body,
    ACTIONS(2562), 3,
      anon_sym_POUND_LBRACE,
      aux_sym_string_array_token1,
      sym_escape_sequence,
    ACTIONS(2564), 3,
      sym_string_content,
      sym__string_end,
      sym__short_interpolation,
  [182691] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5185), 1,
      sym_heredoc_body,
    ACTIONS(7708), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(7706), 3,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_then,
  [182710] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7625), 1,
      anon_sym_POUND_LBRACE,
    STATE(5186), 1,
      sym_heredoc_body,
    ACTIONS(7627), 4,
      sym_string_content,
      sym__string_end,
      sym__short_interpolation,
      sym_escape_sequence,
  [182729] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7710), 1,
      anon_sym_end,
    ACTIONS(7712), 1,
      anon_sym_elsif,
    STATE(5187), 1,
      sym_heredoc_body,
    STATE(5625), 2,
      sym_elsif,
      sym_else,
  [182752] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7075), 1,
      anon_sym_do,
    STATE(315), 1,
      sym__terminator,
    STATE(5188), 1,
      sym_heredoc_body,
    STATE(5236), 1,
      sym_do,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [182775] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7712), 1,
      anon_sym_elsif,
    ACTIONS(7714), 1,
      anon_sym_end,
    STATE(5189), 1,
      sym_heredoc_body,
    STATE(5630), 2,
      sym_elsif,
      sym_else,
  [182798] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7073), 1,
      anon_sym_do,
    STATE(329), 1,
      sym__terminator,
    STATE(3021), 1,
      sym_do,
    STATE(5190), 1,
      sym_heredoc_body,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [182821] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7712), 1,
      anon_sym_elsif,
    ACTIONS(7716), 1,
      anon_sym_end,
    STATE(5191), 1,
      sym_heredoc_body,
    STATE(5573), 2,
      sym_elsif,
      sym_else,
  [182844] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7718), 1,
      anon_sym_COMMA,
    STATE(5192), 2,
      sym_heredoc_body,
      aux_sym_when_repeat1,
    ACTIONS(7721), 3,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_then,
  [182863] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5193), 1,
      sym_heredoc_body,
    ACTIONS(3789), 5,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_then,
  [182880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7671), 1,
      anon_sym_POUND_LBRACE,
    STATE(5194), 1,
      sym_heredoc_body,
    ACTIONS(7673), 4,
      sym_heredoc_content,
      sym_heredoc_end,
      sym__short_interpolation,
      sym_escape_sequence,
  [182899] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7725), 1,
      anon_sym_when,
    STATE(5435), 1,
      sym_when,
    ACTIONS(7723), 2,
      anon_sym_end,
      anon_sym_else,
    STATE(5195), 2,
      sym_heredoc_body,
      aux_sym_case_repeat1,
  [182920] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7728), 1,
      anon_sym_EQ,
    ACTIONS(7730), 1,
      anon_sym_COLON,
    STATE(5196), 1,
      sym_heredoc_body,
    ACTIONS(7679), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_do,
  [182941] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7712), 1,
      anon_sym_elsif,
    ACTIONS(7732), 1,
      anon_sym_end,
    STATE(5197), 1,
      sym_heredoc_body,
    STATE(5580), 2,
      sym_elsif,
      sym_else,
  [182964] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7063), 1,
      anon_sym_then,
    STATE(266), 1,
      sym__terminator,
    STATE(5198), 1,
      sym_heredoc_body,
    STATE(5252), 1,
      sym_then,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [182987] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7712), 1,
      anon_sym_elsif,
    ACTIONS(7734), 1,
      anon_sym_end,
    STATE(5199), 1,
      sym_heredoc_body,
    STATE(5658), 2,
      sym_elsif,
      sym_else,
  [183010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7736), 1,
      anon_sym_POUND_LBRACE,
    STATE(5200), 1,
      sym_heredoc_body,
    ACTIONS(7738), 4,
      sym_heredoc_content,
      sym_heredoc_end,
      sym__short_interpolation,
      sym_escape_sequence,
  [183029] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7740), 1,
      anon_sym_COMMA,
    STATE(5201), 1,
      sym_heredoc_body,
    STATE(5203), 1,
      aux_sym__mlhs_repeat1,
    ACTIONS(2708), 3,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_in,
  [183050] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7063), 1,
      anon_sym_then,
    STATE(260), 1,
      sym__terminator,
    STATE(5202), 1,
      sym_heredoc_body,
    STATE(5241), 1,
      sym_then,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [183073] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7742), 1,
      anon_sym_COMMA,
    STATE(5203), 2,
      sym_heredoc_body,
      aux_sym__mlhs_repeat1,
    ACTIONS(7369), 3,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_in,
  [183092] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7625), 1,
      anon_sym_POUND_LBRACE,
    STATE(5204), 1,
      sym_heredoc_body,
    ACTIONS(7627), 4,
      sym_heredoc_content,
      sym_heredoc_end,
      sym__short_interpolation,
      sym_escape_sequence,
  [183111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(2562), 1,
      anon_sym_POUND_LBRACE,
    STATE(5205), 1,
      sym_heredoc_body,
    ACTIONS(2564), 4,
      sym_string_content,
      sym__string_end,
      sym__short_interpolation,
      sym_escape_sequence,
  [183130] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7712), 1,
      anon_sym_elsif,
    ACTIONS(7745), 1,
      anon_sym_end,
    STATE(5206), 1,
      sym_heredoc_body,
    STATE(5722), 2,
      sym_elsif,
      sym_else,
  [183153] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5207), 1,
      sym_heredoc_body,
    ACTIONS(3201), 5,
      sym__string_start,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183170] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7747), 1,
      anon_sym_EQ,
    ACTIONS(7749), 1,
      anon_sym_COLON,
    STATE(5208), 1,
      sym_heredoc_body,
    ACTIONS(7679), 3,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_SEMI,
  [183191] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    STATE(5201), 1,
      aux_sym__mlhs_repeat1,
    STATE(5209), 1,
      sym_heredoc_body,
    ACTIONS(7751), 3,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_in,
  [183212] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5210), 1,
      sym_heredoc_body,
    ACTIONS(3159), 5,
      sym__string_start,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183229] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7063), 1,
      anon_sym_then,
    STATE(281), 1,
      sym__terminator,
    STATE(5211), 1,
      sym_heredoc_body,
    STATE(5423), 1,
      sym_then,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [183252] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5212), 1,
      sym_heredoc_body,
    ACTIONS(7753), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(6576), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [183271] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(2562), 1,
      anon_sym_POUND_LBRACE,
    STATE(5213), 1,
      sym_heredoc_body,
    ACTIONS(2564), 4,
      sym_heredoc_content,
      sym_heredoc_end,
      sym__short_interpolation,
      sym_escape_sequence,
  [183290] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7057), 1,
      anon_sym_do,
    STATE(330), 1,
      sym__terminator,
    STATE(2352), 1,
      sym_do,
    STATE(5214), 1,
      sym_heredoc_body,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [183313] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7671), 1,
      anon_sym_POUND_LBRACE,
    STATE(5215), 1,
      sym_heredoc_body,
    ACTIONS(7673), 4,
      sym_string_content,
      sym__string_end,
      sym__short_interpolation,
      sym_escape_sequence,
  [183332] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5216), 1,
      sym_heredoc_body,
    ACTIONS(7708), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(7755), 3,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_then,
  [183351] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5217), 1,
      sym_heredoc_body,
    ACTIONS(3187), 5,
      sym__string_start,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7610), 1,
      anon_sym_POUND_LBRACE,
    STATE(5218), 1,
      sym_heredoc_body,
    ACTIONS(7612), 4,
      sym_string_content,
      sym__string_end,
      sym__short_interpolation,
      sym_escape_sequence,
  [183387] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7759), 1,
      anon_sym_in,
    STATE(5450), 1,
      sym_in_clause,
    ACTIONS(7757), 2,
      anon_sym_end,
      anon_sym_else,
    STATE(5219), 2,
      sym_heredoc_body,
      aux_sym_case_match_repeat1,
  [183408] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6862), 1,
      anon_sym_else,
    ACTIONS(7712), 1,
      anon_sym_elsif,
    ACTIONS(7762), 1,
      anon_sym_end,
    STATE(5220), 1,
      sym_heredoc_body,
    STATE(5653), 2,
      sym_elsif,
      sym_else,
  [183431] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7764), 1,
      anon_sym_EQ,
    ACTIONS(7766), 1,
      anon_sym_COLON,
    STATE(5221), 1,
      sym_heredoc_body,
    ACTIONS(7679), 3,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183452] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5222), 1,
      sym_heredoc_body,
    ACTIONS(3415), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183468] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5223), 1,
      sym_heredoc_body,
    ACTIONS(3637), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183484] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5224), 1,
      sym_heredoc_body,
    ACTIONS(3649), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183500] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5225), 1,
      sym_heredoc_body,
    ACTIONS(3629), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183516] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5226), 1,
      sym_heredoc_body,
    ACTIONS(3781), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183532] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5227), 1,
      sym_heredoc_body,
    ACTIONS(3583), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183548] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3078), 1,
      anon_sym_LBRACE,
    ACTIONS(3080), 1,
      anon_sym_do,
    STATE(5228), 1,
      sym_heredoc_body,
    STATE(2939), 2,
      sym_do_block,
      sym_block,
  [183568] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_COMMA,
    ACTIONS(6652), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(5229), 2,
      sym_heredoc_body,
      aux_sym_command_argument_list_repeat1,
  [183586] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5230), 1,
      sym_heredoc_body,
    ACTIONS(3689), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183602] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5231), 1,
      sym_heredoc_body,
    ACTIONS(2908), 4,
      anon_sym_end,
      anon_sym_in,
      anon_sym_when,
      anon_sym_else,
  [183618] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_LBRACE,
    ACTIONS(2900), 1,
      anon_sym_do,
    STATE(5232), 1,
      sym_heredoc_body,
    STATE(2312), 2,
      sym_do_block,
      sym_block,
  [183638] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5233), 1,
      sym_heredoc_body,
    ACTIONS(3797), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183654] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5234), 1,
      sym_heredoc_body,
    ACTIONS(3801), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183670] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5235), 1,
      sym_heredoc_body,
    ACTIONS(3709), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183686] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5236), 1,
      sym_heredoc_body,
    ACTIONS(3737), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183702] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5237), 1,
      sym_heredoc_body,
    ACTIONS(3267), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183718] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5238), 1,
      sym_heredoc_body,
    ACTIONS(3463), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183734] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    ACTIONS(7071), 1,
      anon_sym_do,
    STATE(5239), 1,
      sym_heredoc_body,
    STATE(4651), 2,
      sym_do_block,
      sym_block,
  [183754] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5240), 1,
      sym_heredoc_body,
    ACTIONS(3285), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183770] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5241), 1,
      sym_heredoc_body,
    ACTIONS(7771), 4,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_else,
      anon_sym_ensure,
  [183786] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7773), 1,
      anon_sym_COMMA,
    ACTIONS(7775), 1,
      anon_sym_PIPE,
    ACTIONS(7777), 1,
      anon_sym_SEMI,
    STATE(5242), 1,
      sym_heredoc_body,
    STATE(5290), 1,
      aux_sym_parameters_repeat1,
  [183808] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5243), 1,
      sym_heredoc_body,
    ACTIONS(3625), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183824] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5244), 1,
      sym_heredoc_body,
    ACTIONS(3669), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183840] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5245), 1,
      sym_heredoc_body,
    ACTIONS(3613), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(5246), 1,
      sym_heredoc_body,
    ACTIONS(7369), 4,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
  [183872] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5247), 1,
      sym_heredoc_body,
    ACTIONS(3633), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183888] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5248), 1,
      sym_heredoc_body,
    ACTIONS(3605), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183904] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5249), 1,
      sym_heredoc_body,
    ACTIONS(3753), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183920] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5250), 1,
      sym_heredoc_body,
    ACTIONS(3535), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [183936] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7781), 1,
      anon_sym_COMMA,
    STATE(5251), 1,
      sym_heredoc_body,
    STATE(5264), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(7779), 2,
      anon_sym_LBRACE,
      anon_sym_do,
  [183956] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5252), 1,
      sym_heredoc_body,
    ACTIONS(7783), 4,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_else,
      anon_sym_ensure,
  [183972] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7785), 1,
      anon_sym_COMMA,
    STATE(5253), 1,
      sym_heredoc_body,
    STATE(5273), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(7779), 2,
      sym__line_break,
      anon_sym_SEMI,
  [183992] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5254), 1,
      sym_heredoc_body,
    ACTIONS(3467), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184008] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5255), 1,
      sym_heredoc_body,
    ACTIONS(3455), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184024] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5256), 1,
      sym_heredoc_body,
    ACTIONS(3309), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184040] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5257), 1,
      sym_heredoc_body,
    ACTIONS(3475), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184056] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5258), 1,
      sym_heredoc_body,
    ACTIONS(3693), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184072] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5259), 1,
      sym_heredoc_body,
    ACTIONS(7787), 4,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_else,
      anon_sym_ensure,
  [184088] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5260), 1,
      sym_heredoc_body,
    ACTIONS(3475), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184104] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5261), 1,
      sym_heredoc_body,
    ACTIONS(3391), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184120] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5262), 1,
      sym_heredoc_body,
    ACTIONS(3371), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184136] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5263), 1,
      sym_heredoc_body,
    ACTIONS(3227), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184152] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7789), 1,
      anon_sym_COMMA,
    ACTIONS(7689), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    STATE(5264), 2,
      sym_heredoc_body,
      aux_sym_parameters_repeat1,
  [184170] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6768), 1,
      anon_sym_LBRACE,
    ACTIONS(7792), 1,
      anon_sym_do,
    STATE(5265), 1,
      sym_heredoc_body,
    STATE(4651), 2,
      sym_do_block,
      sym_block,
  [184190] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5266), 1,
      sym_heredoc_body,
    ACTIONS(3343), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184206] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5267), 1,
      sym_heredoc_body,
    ACTIONS(3713), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184222] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5268), 1,
      sym_heredoc_body,
    ACTIONS(3263), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7794), 1,
      anon_sym_EQ,
    ACTIONS(7796), 1,
      anon_sym_COLON,
    STATE(5269), 1,
      sym_heredoc_body,
    ACTIONS(7679), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [184258] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7800), 1,
      anon_sym_COMMA,
    STATE(5270), 1,
      sym_heredoc_body,
    STATE(5304), 1,
      aux_sym_command_argument_list_repeat1,
    ACTIONS(7798), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [184278] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5271), 1,
      sym_heredoc_body,
    ACTIONS(3263), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184294] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5272), 1,
      sym_heredoc_body,
    ACTIONS(3259), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184310] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7802), 1,
      anon_sym_COMMA,
    ACTIONS(7689), 2,
      sym__line_break,
      anon_sym_SEMI,
    STATE(5273), 2,
      sym_heredoc_body,
      aux_sym_parameters_repeat1,
  [184328] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5274), 1,
      sym_heredoc_body,
    ACTIONS(7805), 4,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
  [184344] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5275), 1,
      sym_heredoc_body,
    ACTIONS(3251), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184360] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5122), 1,
      sym__nonlocal_variable,
    STATE(5276), 1,
      sym_heredoc_body,
    ACTIONS(7807), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
  [184378] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5277), 1,
      sym_heredoc_body,
    ACTIONS(3235), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184394] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5278), 1,
      sym_heredoc_body,
    ACTIONS(3323), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184410] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5279), 1,
      sym_heredoc_body,
    ACTIONS(3239), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184426] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5280), 1,
      sym_heredoc_body,
    ACTIONS(3243), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184442] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5281), 1,
      sym_heredoc_body,
    ACTIONS(7809), 4,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_else,
      anon_sym_ensure,
  [184458] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5282), 1,
      sym_heredoc_body,
    ACTIONS(3383), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184474] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5283), 1,
      sym_heredoc_body,
    ACTIONS(3697), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184490] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5284), 1,
      sym_heredoc_body,
    ACTIONS(3431), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184506] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5285), 1,
      sym_heredoc_body,
    ACTIONS(3677), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184522] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5286), 1,
      sym_heredoc_body,
    ACTIONS(3681), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184538] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5287), 1,
      sym_heredoc_body,
    ACTIONS(3701), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184554] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5288), 1,
      sym_heredoc_body,
    ACTIONS(3749), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184570] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5289), 1,
      sym_heredoc_body,
    ACTIONS(3761), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184586] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_PIPE,
    ACTIONS(6821), 1,
      anon_sym_SEMI,
    ACTIONS(7811), 1,
      anon_sym_COMMA,
    STATE(5290), 1,
      sym_heredoc_body,
    STATE(5309), 1,
      aux_sym_parameters_repeat1,
  [184608] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7785), 1,
      anon_sym_COMMA,
    STATE(5253), 1,
      aux_sym_parameters_repeat1,
    STATE(5291), 1,
      sym_heredoc_body,
    ACTIONS(7813), 2,
      sym__line_break,
      anon_sym_SEMI,
  [184628] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7815), 1,
      sym_identifier,
    STATE(5292), 1,
      sym_heredoc_body,
    ACTIONS(7410), 3,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [184646] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5293), 1,
      sym_heredoc_body,
    ACTIONS(3319), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184662] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym_rescue,
    STATE(5294), 1,
      sym_heredoc_body,
    ACTIONS(6598), 3,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
  [184680] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym_rescue,
    STATE(5295), 1,
      sym_heredoc_body,
    ACTIONS(6628), 3,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
  [184698] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5296), 1,
      sym_heredoc_body,
    ACTIONS(3685), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184714] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5297), 1,
      sym_heredoc_body,
    ACTIONS(3315), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184730] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7821), 1,
      anon_sym_COLON_COLON2,
    ACTIONS(7823), 1,
      sym__element_reference_bracket,
    STATE(5298), 1,
      sym_heredoc_body,
    ACTIONS(7819), 2,
      anon_sym_DOT,
      anon_sym_AMP_DOT,
  [184750] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5299), 1,
      sym_heredoc_body,
    ACTIONS(3301), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184766] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5300), 1,
      sym_heredoc_body,
    ACTIONS(3539), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(5301), 1,
      sym_heredoc_body,
    ACTIONS(7825), 4,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
  [184798] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5302), 1,
      sym_heredoc_body,
    ACTIONS(3539), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184814] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(7827), 1,
      anon_sym_do,
    STATE(5303), 1,
      sym_heredoc_body,
    STATE(4320), 2,
      sym_do_block,
      sym_block,
  [184834] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7829), 1,
      anon_sym_COMMA,
    STATE(5229), 1,
      aux_sym_command_argument_list_repeat1,
    STATE(5304), 1,
      sym_heredoc_body,
    ACTIONS(2254), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [184854] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5305), 1,
      sym_heredoc_body,
    ACTIONS(3661), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184870] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5306), 1,
      sym_heredoc_body,
    ACTIONS(3609), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184886] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5307), 1,
      sym_heredoc_body,
    ACTIONS(3515), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184902] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5308), 1,
      sym_heredoc_body,
    ACTIONS(3793), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184918] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7831), 1,
      anon_sym_COMMA,
    ACTIONS(7689), 2,
      anon_sym_PIPE,
      anon_sym_SEMI,
    STATE(5309), 2,
      sym_heredoc_body,
      aux_sym_parameters_repeat1,
  [184936] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5310), 1,
      sym_heredoc_body,
    ACTIONS(3507), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184952] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5311), 1,
      sym_heredoc_body,
    ACTIONS(3579), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184968] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5312), 1,
      sym_heredoc_body,
    ACTIONS(3499), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [184984] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5186), 1,
      sym__nonlocal_variable,
    STATE(5313), 1,
      sym_heredoc_body,
    ACTIONS(7834), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
  [185002] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5314), 1,
      sym_heredoc_body,
    ACTIONS(3133), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185018] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5315), 1,
      sym_heredoc_body,
    ACTIONS(3297), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185034] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5316), 1,
      sym_heredoc_body,
    ACTIONS(3587), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185050] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5317), 1,
      sym_heredoc_body,
    ACTIONS(3293), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185066] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5318), 1,
      sym_heredoc_body,
    ACTIONS(3451), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185082] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_EQ_GT,
    ACTIONS(7260), 1,
      anon_sym_COMMA,
    STATE(5319), 1,
      sym_heredoc_body,
    ACTIONS(7836), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [185102] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5320), 1,
      sym_heredoc_body,
    ACTIONS(3277), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185118] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5321), 1,
      sym_heredoc_body,
    ACTIONS(3273), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185134] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5322), 1,
      sym_heredoc_body,
    ACTIONS(3479), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185150] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5323), 1,
      sym_heredoc_body,
    ACTIONS(3443), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185166] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5324), 1,
      sym_heredoc_body,
    ACTIONS(3375), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185182] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5325), 1,
      sym_heredoc_body,
    ACTIONS(3427), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185198] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5326), 1,
      sym_heredoc_body,
    ACTIONS(3219), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185214] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5327), 1,
      sym_heredoc_body,
    ACTIONS(7838), 4,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_else,
      anon_sym_ensure,
  [185230] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5328), 1,
      sym_heredoc_body,
    ACTIONS(3419), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185246] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7840), 1,
      anon_sym_COMMA,
    ACTIONS(7842), 1,
      anon_sym_PIPE,
    ACTIONS(7844), 1,
      anon_sym_SEMI,
    STATE(5329), 1,
      sym_heredoc_body,
    STATE(5370), 1,
      aux_sym_parameters_repeat1,
  [185268] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5330), 1,
      sym_heredoc_body,
    ACTIONS(3407), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185284] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5331), 1,
      sym_heredoc_body,
    ACTIONS(3215), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185300] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5332), 1,
      sym_heredoc_body,
    ACTIONS(3567), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185316] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5333), 1,
      sym_heredoc_body,
    ACTIONS(3395), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185332] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5334), 1,
      sym_heredoc_body,
    ACTIONS(7708), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(7846), 2,
      sym__line_break,
      anon_sym_SEMI,
  [185350] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7850), 1,
      anon_sym_COLON_COLON2,
    ACTIONS(7852), 1,
      sym__element_reference_bracket,
    STATE(5335), 1,
      sym_heredoc_body,
    ACTIONS(7848), 2,
      anon_sym_DOT,
      anon_sym_AMP_DOT,
  [185370] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5336), 1,
      sym_heredoc_body,
    ACTIONS(7854), 4,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_else,
      anon_sym_ensure,
  [185386] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5337), 1,
      sym_heredoc_body,
    ACTIONS(3757), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185402] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5338), 1,
      sym_heredoc_body,
    ACTIONS(3785), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185418] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5339), 1,
      sym_heredoc_body,
    ACTIONS(3387), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185434] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5340), 1,
      sym_heredoc_body,
    ACTIONS(3773), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185450] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5341), 1,
      sym_heredoc_body,
    ACTIONS(3459), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185466] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5342), 1,
      sym_heredoc_body,
    ACTIONS(3741), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185482] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5343), 1,
      sym_heredoc_body,
    ACTIONS(7856), 4,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_else,
      anon_sym_ensure,
  [185498] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5344), 1,
      sym_heredoc_body,
    ACTIONS(3487), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185514] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5345), 1,
      sym_heredoc_body,
    ACTIONS(3733), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185530] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5346), 1,
      sym_heredoc_body,
    ACTIONS(3491), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185546] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5347), 1,
      sym_heredoc_body,
    ACTIONS(3511), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185562] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5348), 1,
      sym_heredoc_body,
    ACTIONS(3717), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185578] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5349), 1,
      sym_heredoc_body,
    ACTIONS(3519), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185594] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5350), 1,
      sym_heredoc_body,
    ACTIONS(3327), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185610] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5351), 1,
      sym_heredoc_body,
    ACTIONS(3575), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185626] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5352), 1,
      sym_heredoc_body,
    ACTIONS(3665), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185642] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5353), 1,
      sym_heredoc_body,
    ACTIONS(3523), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185658] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5354), 1,
      sym_heredoc_body,
    ACTIONS(3555), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185674] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5355), 1,
      sym_heredoc_body,
    ACTIONS(3207), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185690] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5356), 1,
      sym_heredoc_body,
    ACTIONS(3721), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185706] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5357), 1,
      sym_heredoc_body,
    ACTIONS(3725), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185722] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5358), 1,
      sym_heredoc_body,
    ACTIONS(3729), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185738] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5359), 1,
      sym_heredoc_body,
    ACTIONS(3673), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185754] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5360), 1,
      sym_heredoc_body,
    ACTIONS(3673), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185770] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5361), 1,
      sym_heredoc_body,
    ACTIONS(3617), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185786] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5362), 1,
      sym_heredoc_body,
    ACTIONS(3335), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185802] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7781), 1,
      anon_sym_COMMA,
    STATE(5251), 1,
      aux_sym_parameters_repeat1,
    STATE(5363), 1,
      sym_heredoc_body,
    ACTIONS(7813), 2,
      anon_sym_LBRACE,
      anon_sym_do,
  [185822] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5364), 1,
      sym_heredoc_body,
    ACTIONS(3447), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185838] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5365), 1,
      sym_heredoc_body,
    ACTIONS(3339), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185854] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5366), 1,
      sym_heredoc_body,
    ACTIONS(3355), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185870] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5367), 1,
      sym_heredoc_body,
    ACTIONS(3403), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185886] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5368), 1,
      sym_heredoc_body,
    ACTIONS(3423), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185902] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5369), 1,
      sym_heredoc_body,
    ACTIONS(3551), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185918] = 7,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6809), 1,
      anon_sym_PIPE,
    ACTIONS(6811), 1,
      anon_sym_SEMI,
    ACTIONS(7858), 1,
      anon_sym_COMMA,
    STATE(5309), 1,
      aux_sym_parameters_repeat1,
    STATE(5370), 1,
      sym_heredoc_body,
  [185940] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5371), 1,
      sym_heredoc_body,
    ACTIONS(3547), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185956] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5372), 1,
      sym_heredoc_body,
    ACTIONS(3543), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185972] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5373), 1,
      sym_heredoc_body,
    ACTIONS(3281), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [185988] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5374), 1,
      sym_heredoc_body,
    ACTIONS(3559), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186004] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5375), 1,
      sym_heredoc_body,
    ACTIONS(3247), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186020] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5376), 1,
      sym_heredoc_body,
    ACTIONS(3231), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186036] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5377), 1,
      sym_heredoc_body,
    ACTIONS(3705), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186052] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5378), 1,
      sym_heredoc_body,
    ACTIONS(3363), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186068] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7860), 1,
      anon_sym_rescue,
    STATE(5379), 1,
      sym_heredoc_body,
    ACTIONS(6598), 3,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
  [186086] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7860), 1,
      anon_sym_rescue,
    STATE(5380), 1,
      sym_heredoc_body,
    ACTIONS(6628), 3,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
  [186104] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5381), 1,
      sym_heredoc_body,
    ACTIONS(3653), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186120] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5382), 1,
      sym_heredoc_body,
    ACTIONS(3571), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186136] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5383), 1,
      sym_heredoc_body,
    ACTIONS(3483), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186152] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5384), 1,
      sym_heredoc_body,
    ACTIONS(3223), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186168] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5385), 1,
      sym_heredoc_body,
    ACTIONS(3657), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186184] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5386), 1,
      sym_heredoc_body,
    ACTIONS(3597), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186200] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6435), 1,
      anon_sym_LBRACE,
    ACTIONS(6439), 1,
      anon_sym_do,
    STATE(5387), 1,
      sym_heredoc_body,
    STATE(4320), 2,
      sym_do_block,
      sym_block,
  [186220] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5388), 1,
      sym_heredoc_body,
    ACTIONS(3399), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186236] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5389), 1,
      sym_heredoc_body,
    ACTIONS(3531), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186252] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5390), 1,
      sym_heredoc_body,
    ACTIONS(3621), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186268] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5391), 1,
      sym_heredoc_body,
    ACTIONS(3439), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186284] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5392), 1,
      sym_heredoc_body,
    ACTIONS(3745), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186300] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5393), 1,
      sym_heredoc_body,
    ACTIONS(2986), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186316] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5394), 1,
      sym_heredoc_body,
    ACTIONS(3765), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186332] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5395), 1,
      sym_heredoc_body,
    ACTIONS(3769), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186348] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5396), 1,
      sym_heredoc_body,
    ACTIONS(3527), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186364] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5397), 1,
      sym_heredoc_body,
    ACTIONS(3503), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186380] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5398), 1,
      sym_heredoc_body,
    ACTIONS(3563), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186396] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5399), 1,
      sym_heredoc_body,
    ACTIONS(3331), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186412] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6737), 1,
      anon_sym_LBRACE,
    ACTIONS(6932), 1,
      anon_sym_do,
    STATE(5400), 1,
      sym_heredoc_body,
    STATE(5386), 2,
      sym_do_block,
      sym_block,
  [186432] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5204), 1,
      sym__nonlocal_variable,
    STATE(5401), 1,
      sym_heredoc_body,
    ACTIONS(7862), 3,
      sym_instance_variable,
      sym_class_variable,
      sym_global_variable,
  [186450] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5402), 1,
      sym_heredoc_body,
    ACTIONS(6001), 4,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
  [186466] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5403), 1,
      sym_heredoc_body,
    ACTIONS(7864), 4,
      anon_sym_end,
      anon_sym_rescue,
      anon_sym_else,
      anon_sym_ensure,
  [186482] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7823), 1,
      sym__element_reference_bracket,
    ACTIONS(7866), 1,
      anon_sym_COLON_COLON2,
    STATE(5404), 1,
      sym_heredoc_body,
    ACTIONS(7819), 2,
      anon_sym_DOT,
      anon_sym_AMP_DOT,
  [186502] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5405), 1,
      sym_heredoc_body,
    ACTIONS(3583), 4,
      sym__element_reference_bracket,
      anon_sym_DOT,
      anon_sym_COLON_COLON2,
      anon_sym_AMP_DOT,
  [186518] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7868), 1,
      anon_sym_RBRACE,
    ACTIONS(7870), 1,
      anon_sym_COMMA,
    STATE(5406), 1,
      sym_heredoc_body,
    STATE(5411), 1,
      aux_sym_hash_repeat1,
  [186537] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7606), 1,
      sym__string_end,
    ACTIONS(7872), 1,
      aux_sym_string_array_token1,
    STATE(5407), 1,
      sym_heredoc_body,
    STATE(5427), 1,
      aux_sym_string_array_repeat1,
  [186556] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5408), 1,
      sym_heredoc_body,
    ACTIONS(2960), 3,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186571] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2518), 1,
      anon_sym_RBRACE,
    ACTIONS(7874), 1,
      anon_sym_COMMA,
    STATE(5409), 1,
      sym_heredoc_body,
    STATE(5463), 1,
      aux_sym_hash_repeat1,
  [186590] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7476), 1,
      sym__string_end,
    ACTIONS(7876), 1,
      aux_sym_string_array_token1,
    STATE(5410), 1,
      sym_heredoc_body,
    STATE(5427), 1,
      aux_sym_string_array_repeat1,
  [186609] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2504), 1,
      anon_sym_RBRACE,
    ACTIONS(7878), 1,
      anon_sym_COMMA,
    STATE(5411), 1,
      sym_heredoc_body,
    STATE(5463), 1,
      aux_sym_hash_repeat1,
  [186628] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7470), 1,
      sym__string_end,
    ACTIONS(7880), 1,
      aux_sym_string_array_token1,
    STATE(5412), 1,
      sym_heredoc_body,
    STATE(5428), 1,
      aux_sym_symbol_array_repeat1,
  [186647] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7882), 1,
      anon_sym_RPAREN,
    ACTIONS(7884), 1,
      anon_sym_COMMA,
    STATE(5413), 1,
      sym_heredoc_body,
    STATE(5444), 1,
      aux_sym_parameters_repeat1,
  [186666] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5414), 1,
      sym_heredoc_body,
    ACTIONS(2952), 3,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186681] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_COMMA,
    ACTIONS(7888), 1,
      anon_sym_PIPE,
    STATE(5415), 1,
      sym_heredoc_body,
    STATE(5459), 1,
      aux_sym_block_parameters_repeat1,
  [186700] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7890), 1,
      anon_sym_i,
    ACTIONS(7892), 1,
      anon_sym_ri,
    ACTIONS(7894), 1,
      anon_sym_r,
    STATE(5416), 1,
      sym_heredoc_body,
  [186719] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7574), 1,
      sym__string_end,
    ACTIONS(7896), 1,
      aux_sym_string_array_token1,
    STATE(5417), 1,
      sym_heredoc_body,
    STATE(5428), 1,
      aux_sym_symbol_array_repeat1,
  [186738] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7898), 1,
      anon_sym_RBRACE,
    ACTIONS(7900), 1,
      anon_sym_COMMA,
    STATE(5409), 1,
      aux_sym_hash_repeat1,
    STATE(5418), 1,
      sym_heredoc_body,
  [186757] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5419), 1,
      sym_heredoc_body,
    ACTIONS(7902), 3,
      anon_sym_end,
      anon_sym_in,
      anon_sym_else,
  [186772] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5420), 1,
      sym_heredoc_body,
    ACTIONS(7904), 3,
      sym__line_break,
      anon_sym_SEMI,
      anon_sym_then,
  [186787] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5421), 1,
      sym_heredoc_body,
    ACTIONS(7663), 3,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186802] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7440), 1,
      sym__string_end,
    ACTIONS(7906), 1,
      aux_sym_string_array_token1,
    STATE(5422), 1,
      sym_heredoc_body,
    STATE(5428), 1,
      aux_sym_symbol_array_repeat1,
  [186821] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5423), 1,
      sym_heredoc_body,
    ACTIONS(7908), 3,
      anon_sym_end,
      anon_sym_in,
      anon_sym_else,
  [186836] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5424), 1,
      sym_heredoc_body,
    ACTIONS(7659), 3,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186851] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7427), 1,
      sym__string_end,
    ACTIONS(7910), 1,
      aux_sym_string_array_token1,
    STATE(5425), 1,
      sym_heredoc_body,
    STATE(5427), 1,
      aux_sym_string_array_repeat1,
  [186870] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_COMMA,
    ACTIONS(7912), 1,
      anon_sym_PIPE,
    STATE(5426), 1,
      sym_heredoc_body,
    STATE(5485), 1,
      aux_sym_block_parameters_repeat1,
  [186889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7914), 1,
      aux_sym_string_array_token1,
    ACTIONS(7917), 1,
      sym__string_end,
    STATE(5427), 2,
      sym_heredoc_body,
      aux_sym_string_array_repeat1,
  [186906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7919), 1,
      aux_sym_string_array_token1,
    ACTIONS(7922), 1,
      sym__string_end,
    STATE(5428), 2,
      sym_heredoc_body,
      aux_sym_symbol_array_repeat1,
  [186923] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(222), 1,
      sym__terminator,
    STATE(5429), 1,
      sym_heredoc_body,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [186940] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(215), 1,
      sym__terminator,
    STATE(5430), 1,
      sym_heredoc_body,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [186957] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7496), 1,
      sym__string_end,
    ACTIONS(7924), 1,
      aux_sym_string_array_token1,
    STATE(5427), 1,
      aux_sym_string_array_repeat1,
    STATE(5431), 1,
      sym_heredoc_body,
  [186976] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7401), 1,
      sym__string_end,
    ACTIONS(7926), 1,
      aux_sym_string_array_token1,
    STATE(5427), 1,
      aux_sym_string_array_repeat1,
    STATE(5432), 1,
      sym_heredoc_body,
  [186995] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7490), 1,
      sym__string_end,
    ACTIONS(7928), 1,
      aux_sym_string_array_token1,
    STATE(5427), 1,
      aux_sym_string_array_repeat1,
    STATE(5433), 1,
      sym_heredoc_body,
  [187014] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_COMMA,
    ACTIONS(7930), 1,
      anon_sym_PIPE,
    STATE(5434), 1,
      sym_heredoc_body,
    STATE(5452), 1,
      aux_sym_block_parameters_repeat1,
  [187033] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5435), 1,
      sym_heredoc_body,
    ACTIONS(7932), 3,
      anon_sym_end,
      anon_sym_when,
      anon_sym_else,
  [187048] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7472), 1,
      sym__string_end,
    ACTIONS(7934), 1,
      aux_sym_string_array_token1,
    STATE(5428), 1,
      aux_sym_symbol_array_repeat1,
    STATE(5436), 1,
      sym_heredoc_body,
  [187067] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7511), 1,
      sym__string_end,
    ACTIONS(7936), 1,
      aux_sym_string_array_token1,
    STATE(5428), 1,
      aux_sym_symbol_array_repeat1,
    STATE(5437), 1,
      sym_heredoc_body,
  [187086] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7371), 1,
      sym__string_end,
    ACTIONS(7938), 1,
      aux_sym_string_array_token1,
    STATE(5428), 1,
      aux_sym_symbol_array_repeat1,
    STATE(5438), 1,
      sym_heredoc_body,
  [187105] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5439), 1,
      sym_heredoc_body,
    ACTIONS(7661), 3,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187120] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_COMMA,
    ACTIONS(7940), 1,
      anon_sym_PIPE,
    STATE(5440), 1,
      sym_heredoc_body,
    STATE(5442), 1,
      aux_sym_block_parameters_repeat1,
  [187139] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7884), 1,
      anon_sym_COMMA,
    ACTIONS(7942), 1,
      anon_sym_RPAREN,
    STATE(5441), 1,
      sym_heredoc_body,
    STATE(5462), 1,
      aux_sym_parameters_repeat1,
  [187158] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_COMMA,
    ACTIONS(7944), 1,
      anon_sym_PIPE,
    STATE(5442), 1,
      sym_heredoc_body,
    STATE(5485), 1,
      aux_sym_block_parameters_repeat1,
  [187177] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7452), 1,
      sym__string_end,
    ACTIONS(7946), 1,
      aux_sym_string_array_token1,
    STATE(5428), 1,
      aux_sym_symbol_array_repeat1,
    STATE(5443), 1,
      sym_heredoc_body,
  [187196] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7689), 1,
      anon_sym_RPAREN,
    ACTIONS(7948), 1,
      anon_sym_COMMA,
    STATE(5444), 2,
      sym_heredoc_body,
      aux_sym_parameters_repeat1,
  [187213] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7558), 1,
      sym__string_end,
    ACTIONS(7951), 1,
      aux_sym_string_array_token1,
    STATE(5427), 1,
      aux_sym_string_array_repeat1,
    STATE(5445), 1,
      sym_heredoc_body,
  [187232] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7953), 1,
      anon_sym_i,
    ACTIONS(7955), 1,
      anon_sym_ri,
    ACTIONS(7957), 1,
      anon_sym_r,
    STATE(5446), 1,
      sym_heredoc_body,
  [187251] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_COMMA,
    ACTIONS(7959), 1,
      anon_sym_PIPE,
    STATE(5447), 1,
      sym_heredoc_body,
    STATE(5488), 1,
      aux_sym_block_parameters_repeat1,
  [187270] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7961), 1,
      ts_builtin_sym_end,
    ACTIONS(7963), 1,
      aux_sym_program_token1,
    ACTIONS(7965), 1,
      anon_sym___END__,
    STATE(5448), 1,
      sym_heredoc_body,
  [187289] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7602), 1,
      sym__string_end,
    ACTIONS(7967), 1,
      aux_sym_string_array_token1,
    STATE(5428), 1,
      aux_sym_symbol_array_repeat1,
    STATE(5449), 1,
      sym_heredoc_body,
  [187308] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5450), 1,
      sym_heredoc_body,
    ACTIONS(7969), 3,
      anon_sym_end,
      anon_sym_in,
      anon_sym_else,
  [187323] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5451), 1,
      sym_heredoc_body,
    ACTIONS(7679), 3,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187338] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_COMMA,
    ACTIONS(7971), 1,
      anon_sym_PIPE,
    STATE(5452), 1,
      sym_heredoc_body,
    STATE(5485), 1,
      aux_sym_block_parameters_repeat1,
  [187357] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5453), 1,
      sym_heredoc_body,
    ACTIONS(7608), 3,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187372] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(194), 1,
      sym__terminator,
    STATE(5454), 1,
      sym_heredoc_body,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [187389] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7973), 1,
      anon_sym_RPAREN,
    STATE(5455), 1,
      sym_heredoc_body,
    ACTIONS(7975), 2,
      anon_sym_and,
      anon_sym_or,
  [187406] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7884), 1,
      anon_sym_COMMA,
    ACTIONS(7977), 1,
      anon_sym_RPAREN,
    STATE(5456), 1,
      sym_heredoc_body,
    STATE(5476), 1,
      aux_sym_parameters_repeat1,
  [187425] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(204), 1,
      sym__terminator,
    STATE(5457), 1,
      sym_heredoc_body,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [187442] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(202), 1,
      sym__terminator,
    STATE(5458), 1,
      sym_heredoc_body,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [187459] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_COMMA,
    ACTIONS(7979), 1,
      anon_sym_PIPE,
    STATE(5459), 1,
      sym_heredoc_body,
    STATE(5485), 1,
      aux_sym_block_parameters_repeat1,
  [187478] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7502), 1,
      sym__string_end,
    ACTIONS(7981), 1,
      aux_sym_string_array_token1,
    STATE(5427), 1,
      aux_sym_string_array_repeat1,
    STATE(5460), 1,
      sym_heredoc_body,
  [187497] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5461), 1,
      sym_heredoc_body,
    ACTIONS(7689), 3,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187512] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7884), 1,
      anon_sym_COMMA,
    ACTIONS(7983), 1,
      anon_sym_RPAREN,
    STATE(5444), 1,
      aux_sym_parameters_repeat1,
    STATE(5462), 1,
      sym_heredoc_body,
  [187531] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7985), 1,
      anon_sym_RBRACE,
    ACTIONS(7987), 1,
      anon_sym_COMMA,
    STATE(5463), 2,
      sym_heredoc_body,
      aux_sym_hash_repeat1,
  [187548] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7884), 1,
      anon_sym_COMMA,
    ACTIONS(7990), 1,
      anon_sym_RPAREN,
    STATE(5413), 1,
      aux_sym_parameters_repeat1,
    STATE(5464), 1,
      sym_heredoc_body,
  [187567] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5465), 1,
      sym_heredoc_body,
    ACTIONS(2956), 3,
      sym__line_break,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187582] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(205), 1,
      sym__terminator,
    STATE(5466), 1,
      sym_heredoc_body,
    ACTIONS(753), 2,
      sym__line_break,
      anon_sym_SEMI,
  [187599] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7552), 1,
      sym__string_end,
    ACTIONS(7992), 1,
      aux_sym_string_array_token1,
    STATE(5427), 1,
      aux_sym_string_array_repeat1,
    STATE(5467), 1,
      sym_heredoc_body,
  [187618] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5468), 1,
      sym_heredoc_body,
    ACTIONS(7994), 3,
      anon_sym_end,
      anon_sym_when,
      anon_sym_else,
  [187633] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7996), 1,
      anon_sym_i,
    ACTIONS(7998), 1,
      anon_sym_ri,
    ACTIONS(8000), 1,
      anon_sym_r,
    STATE(5469), 1,
      sym_heredoc_body,
  [187652] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_COMMA,
    ACTIONS(8002), 1,
      anon_sym_PIPE,
    STATE(5470), 1,
      sym_heredoc_body,
    STATE(5475), 1,
      aux_sym_block_parameters_repeat1,
  [187671] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8004), 1,
      anon_sym_i,
    ACTIONS(8006), 1,
      anon_sym_ri,
    ACTIONS(8008), 1,
      anon_sym_r,
    STATE(5471), 1,
      sym_heredoc_body,
  [187690] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8010), 1,
      anon_sym_RPAREN,
    STATE(5472), 1,
      sym_heredoc_body,
    ACTIONS(7975), 2,
      anon_sym_and,
      anon_sym_or,
  [187707] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_COMMA,
    ACTIONS(8012), 1,
      anon_sym_PIPE,
    STATE(5473), 1,
      sym_heredoc_body,
    STATE(5478), 1,
      aux_sym_block_parameters_repeat1,
  [187726] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7536), 1,
      sym__string_end,
    ACTIONS(8014), 1,
      aux_sym_string_array_token1,
    STATE(5428), 1,
      aux_sym_symbol_array_repeat1,
    STATE(5474), 1,
      sym_heredoc_body,
  [187745] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_COMMA,
    ACTIONS(8016), 1,
      anon_sym_PIPE,
    STATE(5475), 1,
      sym_heredoc_body,
    STATE(5485), 1,
      aux_sym_block_parameters_repeat1,
  [187764] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7884), 1,
      anon_sym_COMMA,
    ACTIONS(8018), 1,
      anon_sym_RPAREN,
    STATE(5444), 1,
      aux_sym_parameters_repeat1,
    STATE(5476), 1,
      sym_heredoc_body,
  [187783] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8020), 1,
      anon_sym_RBRACE,
    ACTIONS(8022), 1,
      anon_sym_COMMA,
    STATE(5477), 1,
      sym_heredoc_body,
    STATE(5481), 1,
      aux_sym_hash_repeat1,
  [187802] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_COMMA,
    ACTIONS(8024), 1,
      anon_sym_PIPE,
    STATE(5478), 1,
      sym_heredoc_body,
    STATE(5485), 1,
      aux_sym_block_parameters_repeat1,
  [187821] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7377), 1,
      sym__string_end,
    ACTIONS(8026), 1,
      aux_sym_string_array_token1,
    STATE(5428), 1,
      aux_sym_symbol_array_repeat1,
    STATE(5479), 1,
      sym_heredoc_body,
  [187840] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(7375), 1,
      sym__string_end,
    ACTIONS(8028), 1,
      aux_sym_string_array_token1,
    STATE(5427), 1,
      aux_sym_string_array_repeat1,
    STATE(5480), 1,
      sym_heredoc_body,
  [187859] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_RBRACE,
    ACTIONS(8030), 1,
      anon_sym_COMMA,
    STATE(5463), 1,
      aux_sym_hash_repeat1,
    STATE(5481), 1,
      sym_heredoc_body,
  [187878] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5482), 1,
      sym_heredoc_body,
    ACTIONS(8032), 3,
      anon_sym_end,
      anon_sym_when,
      anon_sym_else,
  [187893] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8034), 1,
      anon_sym_i,
    ACTIONS(8036), 1,
      anon_sym_ri,
    ACTIONS(8038), 1,
      anon_sym_r,
    STATE(5483), 1,
      sym_heredoc_body,
  [187912] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_COMMA,
    ACTIONS(8040), 1,
      anon_sym_PIPE,
    STATE(5484), 1,
      sym_heredoc_body,
    STATE(5485), 1,
      aux_sym_block_parameters_repeat1,
  [187931] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(8045), 1,
      anon_sym_PIPE,
    STATE(5485), 2,
      sym_heredoc_body,
      aux_sym_block_parameters_repeat1,
  [187948] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_COMMA,
    ACTIONS(8047), 1,
      anon_sym_PIPE,
    STATE(5426), 1,
      aux_sym_block_parameters_repeat1,
    STATE(5486), 1,
      sym_heredoc_body,
  [187967] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_COMMA,
    ACTIONS(8049), 1,
      anon_sym_PIPE,
    STATE(5484), 1,
      aux_sym_block_parameters_repeat1,
    STATE(5487), 1,
      sym_heredoc_body,
  [187986] = 6,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_COMMA,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    STATE(5485), 1,
      aux_sym_block_parameters_repeat1,
    STATE(5488), 1,
      sym_heredoc_body,
  [188005] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5489), 1,
      sym_heredoc_body,
    ACTIONS(8053), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188019] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5490), 1,
      sym_heredoc_body,
    ACTIONS(7836), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [188033] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7775), 1,
      anon_sym_PIPE,
    ACTIONS(7777), 1,
      anon_sym_SEMI,
    STATE(5491), 1,
      sym_heredoc_body,
  [188049] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5492), 1,
      sym_heredoc_body,
    ACTIONS(8055), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188063] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5493), 1,
      sym_heredoc_body,
    ACTIONS(8057), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188077] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5494), 1,
      sym_heredoc_body,
    ACTIONS(8059), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188091] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5495), 1,
      sym_heredoc_body,
    ACTIONS(8061), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188105] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    STATE(5364), 1,
      sym_parenthesized_statements,
    STATE(5496), 1,
      sym_heredoc_body,
  [188121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    STATE(5497), 1,
      sym_heredoc_body,
    ACTIONS(8063), 2,
      anon_sym_EQ,
      anon_sym_in,
  [188135] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5498), 1,
      sym_heredoc_body,
    ACTIONS(8065), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188149] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5499), 1,
      sym_heredoc_body,
    ACTIONS(8067), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188163] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5500), 1,
      sym_heredoc_body,
    ACTIONS(8069), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188177] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5501), 1,
      sym_heredoc_body,
    ACTIONS(8071), 2,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [188191] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5502), 1,
      sym_heredoc_body,
    ACTIONS(8073), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188205] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5503), 1,
      sym_heredoc_body,
    ACTIONS(8075), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188219] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_EQ_GT,
    ACTIONS(8077), 1,
      anon_sym_RPAREN,
    STATE(5504), 1,
      sym_heredoc_body,
  [188235] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5505), 1,
      sym_heredoc_body,
    ACTIONS(8079), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188249] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_EQ_GT,
    ACTIONS(8081), 1,
      anon_sym_RPAREN,
    STATE(5506), 1,
      sym_heredoc_body,
  [188265] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5507), 1,
      sym_heredoc_body,
    ACTIONS(8083), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188279] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7233), 1,
      anon_sym_in,
    STATE(5188), 1,
      sym_in,
    STATE(5508), 1,
      sym_heredoc_body,
  [188295] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5509), 1,
      sym_heredoc_body,
    ACTIONS(8085), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188309] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5510), 1,
      sym_heredoc_body,
    ACTIONS(8087), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188323] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5511), 1,
      sym_heredoc_body,
    ACTIONS(8089), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188337] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5512), 1,
      sym_heredoc_body,
    ACTIONS(8091), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188351] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5513), 1,
      sym_heredoc_body,
    ACTIONS(8093), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188365] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5514), 1,
      sym_heredoc_body,
    ACTIONS(8095), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188379] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5515), 1,
      sym_heredoc_body,
    ACTIONS(8097), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188393] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5516), 1,
      sym_heredoc_body,
    ACTIONS(8099), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188407] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5517), 1,
      sym_heredoc_body,
    ACTIONS(8101), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188421] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5518), 1,
      sym_heredoc_body,
    ACTIONS(8103), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188435] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7842), 1,
      anon_sym_PIPE,
    ACTIONS(7844), 1,
      anon_sym_SEMI,
    STATE(5519), 1,
      sym_heredoc_body,
  [188451] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5520), 1,
      sym_heredoc_body,
    ACTIONS(8105), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188465] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5521), 1,
      sym_heredoc_body,
    ACTIONS(8107), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188479] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5522), 1,
      sym_heredoc_body,
    ACTIONS(8109), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188493] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5523), 1,
      sym_heredoc_body,
    ACTIONS(8111), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188507] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5524), 1,
      sym_heredoc_body,
    ACTIONS(7985), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [188521] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5525), 1,
      sym_heredoc_body,
    ACTIONS(8113), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188535] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5526), 1,
      sym_heredoc_body,
    ACTIONS(8115), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188549] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5527), 1,
      sym_heredoc_body,
    ACTIONS(8117), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188563] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5528), 1,
      sym_heredoc_body,
    ACTIONS(8119), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188577] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5529), 1,
      sym_heredoc_body,
    ACTIONS(8121), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188591] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5530), 1,
      sym_heredoc_body,
    ACTIONS(8123), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188605] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5531), 1,
      sym_heredoc_body,
    ACTIONS(8125), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188619] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5532), 1,
      sym_heredoc_body,
    ACTIONS(8127), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188633] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5533), 1,
      sym_heredoc_body,
    ACTIONS(8129), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188647] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5534), 1,
      sym_heredoc_body,
    ACTIONS(8131), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188661] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5535), 1,
      sym_heredoc_body,
    ACTIONS(745), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188675] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5536), 1,
      sym_heredoc_body,
    ACTIONS(8133), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188689] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5537), 1,
      sym_heredoc_body,
    ACTIONS(8135), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188703] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7233), 1,
      anon_sym_in,
    STATE(5214), 1,
      sym_in,
    STATE(5538), 1,
      sym_heredoc_body,
  [188719] = 5,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7233), 1,
      anon_sym_in,
    STATE(5190), 1,
      sym_in,
    STATE(5539), 1,
      sym_heredoc_body,
  [188735] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5540), 1,
      sym_heredoc_body,
    ACTIONS(8137), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188749] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5541), 1,
      sym_heredoc_body,
    ACTIONS(8139), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188763] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5542), 1,
      sym_heredoc_body,
    ACTIONS(8141), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188777] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5543), 1,
      sym_heredoc_body,
    ACTIONS(8143), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188791] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5544), 1,
      sym_heredoc_body,
    ACTIONS(8145), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188805] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5545), 1,
      sym_heredoc_body,
    ACTIONS(8147), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188819] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5546), 1,
      sym_heredoc_body,
    ACTIONS(8149), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188833] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8063), 1,
      anon_sym_EQ,
    ACTIONS(8151), 1,
      anon_sym_RPAREN,
    STATE(5547), 1,
      sym_heredoc_body,
  [188849] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5548), 1,
      sym_heredoc_body,
    ACTIONS(8153), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188863] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5549), 1,
      sym_heredoc_body,
    ACTIONS(8155), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188877] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    STATE(5550), 1,
      sym_heredoc_body,
    ACTIONS(8157), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [188891] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8159), 1,
      anon_sym_end,
    STATE(5551), 1,
      sym_heredoc_body,
  [188904] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8161), 1,
      anon_sym_RPAREN,
    STATE(5552), 1,
      sym_heredoc_body,
  [188917] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8163), 1,
      anon_sym_COLON,
    STATE(5553), 1,
      sym_heredoc_body,
  [188930] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8165), 1,
      anon_sym_end,
    STATE(5554), 1,
      sym_heredoc_body,
  [188943] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8167), 1,
      anon_sym_end,
    STATE(5555), 1,
      sym_heredoc_body,
  [188956] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8169), 1,
      anon_sym_end,
    STATE(5556), 1,
      sym_heredoc_body,
  [188969] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8171), 1,
      anon_sym_RBRACE,
    STATE(5557), 1,
      sym_heredoc_body,
  [188982] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8173), 1,
      sym__string_end,
    STATE(5558), 1,
      sym_heredoc_body,
  [188995] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8175), 1,
      anon_sym_RBRACE,
    STATE(5559), 1,
      sym_heredoc_body,
  [189008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8177), 1,
      anon_sym_EQ,
    STATE(5560), 1,
      sym_heredoc_body,
  [189021] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8179), 1,
      sym_identifier,
    STATE(5561), 1,
      sym_heredoc_body,
  [189034] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8181), 1,
      anon_sym_end,
    STATE(5562), 1,
      sym_heredoc_body,
  [189047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8183), 1,
      anon_sym_EQ,
    STATE(5563), 1,
      sym_heredoc_body,
  [189060] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8185), 1,
      sym_identifier,
    STATE(5564), 1,
      sym_heredoc_body,
  [189073] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8187), 1,
      anon_sym_end,
    STATE(5565), 1,
      sym_heredoc_body,
  [189086] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8189), 1,
      anon_sym_end,
    STATE(5566), 1,
      sym_heredoc_body,
  [189099] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8191), 1,
      anon_sym_end,
    STATE(5567), 1,
      sym_heredoc_body,
  [189112] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8193), 1,
      anon_sym_end,
    STATE(5568), 1,
      sym_heredoc_body,
  [189125] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8195), 1,
      sym__string_end,
    STATE(5569), 1,
      sym_heredoc_body,
  [189138] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8197), 1,
      anon_sym_RBRACE,
    STATE(5570), 1,
      sym_heredoc_body,
  [189151] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8199), 1,
      anon_sym_RPAREN,
    STATE(5571), 1,
      sym_heredoc_body,
  [189164] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8201), 1,
      anon_sym_end,
    STATE(5572), 1,
      sym_heredoc_body,
  [189177] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8203), 1,
      anon_sym_end,
    STATE(5573), 1,
      sym_heredoc_body,
  [189190] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8205), 1,
      sym__string_end,
    STATE(5574), 1,
      sym_heredoc_body,
  [189203] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8207), 1,
      sym__string_end,
    STATE(5575), 1,
      sym_heredoc_body,
  [189216] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8209), 1,
      anon_sym_RBRACE,
    STATE(5576), 1,
      sym_heredoc_body,
  [189229] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8211), 1,
      anon_sym_end,
    STATE(5577), 1,
      sym_heredoc_body,
  [189242] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8213), 1,
      anon_sym_COLON,
    STATE(5578), 1,
      sym_heredoc_body,
  [189255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8215), 1,
      anon_sym_EQ,
    STATE(5579), 1,
      sym_heredoc_body,
  [189268] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8217), 1,
      anon_sym_end,
    STATE(5580), 1,
      sym_heredoc_body,
  [189281] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8219), 1,
      sym_constant,
    STATE(5581), 1,
      sym_heredoc_body,
  [189294] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8221), 1,
      anon_sym_end,
    STATE(5582), 1,
      sym_heredoc_body,
  [189307] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8223), 1,
      anon_sym_end,
    STATE(5583), 1,
      sym_heredoc_body,
  [189320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8225), 1,
      anon_sym_EQ,
    STATE(5584), 1,
      sym_heredoc_body,
  [189333] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8227), 1,
      anon_sym_COLON,
    STATE(5585), 1,
      sym_heredoc_body,
  [189346] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8229), 1,
      anon_sym_end,
    STATE(5586), 1,
      sym_heredoc_body,
  [189359] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8231), 1,
      anon_sym_RBRACE,
    STATE(5587), 1,
      sym_heredoc_body,
  [189372] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8233), 1,
      anon_sym_RBRACE,
    STATE(5588), 1,
      sym_heredoc_body,
  [189385] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8235), 1,
      anon_sym_end,
    STATE(5589), 1,
      sym_heredoc_body,
  [189398] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8237), 1,
      anon_sym_RPAREN,
    STATE(5590), 1,
      sym_heredoc_body,
  [189411] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8239), 1,
      anon_sym_RBRACE,
    STATE(5591), 1,
      sym_heredoc_body,
  [189424] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8241), 1,
      anon_sym_end,
    STATE(5592), 1,
      sym_heredoc_body,
  [189437] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8243), 1,
      anon_sym_LBRACE,
    STATE(5593), 1,
      sym_heredoc_body,
  [189450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8245), 1,
      anon_sym_EQ,
    STATE(5594), 1,
      sym_heredoc_body,
  [189463] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8247), 1,
      anon_sym_COLON,
    STATE(5595), 1,
      sym_heredoc_body,
  [189476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8249), 1,
      anon_sym_EQ,
    STATE(5596), 1,
      sym_heredoc_body,
  [189489] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7122), 1,
      anon_sym_end,
    STATE(5597), 1,
      sym_heredoc_body,
  [189502] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7669), 1,
      anon_sym_end,
    STATE(5598), 1,
      sym_heredoc_body,
  [189515] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8251), 1,
      ts_builtin_sym_end,
    STATE(5599), 1,
      sym_heredoc_body,
  [189528] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8253), 1,
      anon_sym_end,
    STATE(5600), 1,
      sym_heredoc_body,
  [189541] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8255), 1,
      anon_sym_RBRACE,
    STATE(5601), 1,
      sym_heredoc_body,
  [189554] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8257), 1,
      anon_sym_end,
    STATE(5602), 1,
      sym_heredoc_body,
  [189567] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8259), 1,
      anon_sym_end,
    STATE(5603), 1,
      sym_heredoc_body,
  [189580] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8261), 1,
      anon_sym_end,
    STATE(5604), 1,
      sym_heredoc_body,
  [189593] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7667), 1,
      anon_sym_end,
    STATE(5605), 1,
      sym_heredoc_body,
  [189606] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8263), 1,
      sym_constant,
    STATE(5606), 1,
      sym_heredoc_body,
  [189619] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8265), 1,
      anon_sym_RBRACK,
    STATE(5607), 1,
      sym_heredoc_body,
  [189632] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6590), 1,
      anon_sym_COLON,
    STATE(5608), 1,
      sym_heredoc_body,
  [189645] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8267), 1,
      sym_constant,
    STATE(5609), 1,
      sym_heredoc_body,
  [189658] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8269), 1,
      sym_identifier,
    STATE(5610), 1,
      sym_heredoc_body,
  [189671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8271), 1,
      anon_sym_EQ,
    STATE(5611), 1,
      sym_heredoc_body,
  [189684] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6952), 1,
      anon_sym_COLON,
    STATE(5612), 1,
      sym_heredoc_body,
  [189697] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8273), 1,
      sym_constant,
    STATE(5613), 1,
      sym_heredoc_body,
  [189710] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8275), 1,
      anon_sym_RBRACE,
    STATE(5614), 1,
      sym_heredoc_body,
  [189723] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8277), 1,
      anon_sym_end,
    STATE(5615), 1,
      sym_heredoc_body,
  [189736] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8279), 1,
      anon_sym_RBRACK,
    STATE(5616), 1,
      sym_heredoc_body,
  [189749] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8281), 1,
      anon_sym_end,
    STATE(5617), 1,
      sym_heredoc_body,
  [189762] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8283), 1,
      sym_constant,
    STATE(5618), 1,
      sym_heredoc_body,
  [189775] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8285), 1,
      anon_sym_RBRACE,
    STATE(5619), 1,
      sym_heredoc_body,
  [189788] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8287), 1,
      anon_sym_end,
    STATE(5620), 1,
      sym_heredoc_body,
  [189801] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8289), 1,
      anon_sym_end,
    STATE(5621), 1,
      sym_heredoc_body,
  [189814] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8291), 1,
      anon_sym_end,
    STATE(5622), 1,
      sym_heredoc_body,
  [189827] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8293), 1,
      anon_sym_end,
    STATE(5623), 1,
      sym_heredoc_body,
  [189840] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7623), 1,
      anon_sym_end,
    STATE(5624), 1,
      sym_heredoc_body,
  [189853] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8295), 1,
      anon_sym_end,
    STATE(5625), 1,
      sym_heredoc_body,
  [189866] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8297), 1,
      anon_sym_end,
    STATE(5626), 1,
      sym_heredoc_body,
  [189879] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8299), 1,
      anon_sym_RBRACE,
    STATE(5627), 1,
      sym_heredoc_body,
  [189892] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8301), 1,
      anon_sym_end,
    STATE(5628), 1,
      sym_heredoc_body,
  [189905] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8303), 1,
      anon_sym_end,
    STATE(5629), 1,
      sym_heredoc_body,
  [189918] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8305), 1,
      anon_sym_end,
    STATE(5630), 1,
      sym_heredoc_body,
  [189931] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8307), 1,
      anon_sym_end,
    STATE(5631), 1,
      sym_heredoc_body,
  [189944] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8309), 1,
      anon_sym_RBRACE,
    STATE(5632), 1,
      sym_heredoc_body,
  [189957] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8311), 1,
      anon_sym_RBRACK,
    STATE(5633), 1,
      sym_heredoc_body,
  [189970] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8313), 1,
      sym__string_end,
    STATE(5634), 1,
      sym_heredoc_body,
  [189983] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8315), 1,
      anon_sym_end,
    STATE(5635), 1,
      sym_heredoc_body,
  [189996] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8317), 1,
      anon_sym_end,
    STATE(5636), 1,
      sym_heredoc_body,
  [190009] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8319), 1,
      anon_sym_end,
    STATE(5637), 1,
      sym_heredoc_body,
  [190022] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7174), 1,
      anon_sym_end,
    STATE(5638), 1,
      sym_heredoc_body,
  [190035] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8321), 1,
      anon_sym_end,
    STATE(5639), 1,
      sym_heredoc_body,
  [190048] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8323), 1,
      anon_sym_end,
    STATE(5640), 1,
      sym_heredoc_body,
  [190061] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8325), 1,
      anon_sym_end,
    STATE(5641), 1,
      sym_heredoc_body,
  [190074] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_end,
    STATE(5642), 1,
      sym_heredoc_body,
  [190087] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8327), 1,
      anon_sym_end,
    STATE(5643), 1,
      sym_heredoc_body,
  [190100] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8329), 1,
      anon_sym_end,
    STATE(5644), 1,
      sym_heredoc_body,
  [190113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8331), 1,
      anon_sym_EQ,
    STATE(5645), 1,
      sym_heredoc_body,
  [190126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8333), 1,
      anon_sym_EQ,
    STATE(5646), 1,
      sym_heredoc_body,
  [190139] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7698), 1,
      anon_sym_end,
    STATE(5647), 1,
      sym_heredoc_body,
  [190152] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8335), 1,
      anon_sym_COLON,
    STATE(5648), 1,
      sym_heredoc_body,
  [190165] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8337), 1,
      anon_sym_end,
    STATE(5649), 1,
      sym_heredoc_body,
  [190178] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8339), 1,
      anon_sym_end,
    STATE(5650), 1,
      sym_heredoc_body,
  [190191] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8341), 1,
      anon_sym_end,
    STATE(5651), 1,
      sym_heredoc_body,
  [190204] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8343), 1,
      anon_sym_end,
    STATE(5652), 1,
      sym_heredoc_body,
  [190217] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8345), 1,
      anon_sym_end,
    STATE(5653), 1,
      sym_heredoc_body,
  [190230] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8347), 1,
      sym_constant,
    STATE(5654), 1,
      sym_heredoc_body,
  [190243] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8349), 1,
      anon_sym_end,
    STATE(5655), 1,
      sym_heredoc_body,
  [190256] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8351), 1,
      sym_identifier,
    STATE(5656), 1,
      sym_heredoc_body,
  [190269] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8353), 1,
      anon_sym_end,
    STATE(5657), 1,
      sym_heredoc_body,
  [190282] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8355), 1,
      anon_sym_end,
    STATE(5658), 1,
      sym_heredoc_body,
  [190295] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8357), 1,
      sym_constant,
    STATE(5659), 1,
      sym_heredoc_body,
  [190308] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8359), 1,
      anon_sym_end,
    STATE(5660), 1,
      sym_heredoc_body,
  [190321] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8361), 1,
      anon_sym_end,
    STATE(5661), 1,
      sym_heredoc_body,
  [190334] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8363), 1,
      anon_sym_COLON,
    STATE(5662), 1,
      sym_heredoc_body,
  [190347] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8365), 1,
      anon_sym_RBRACE,
    STATE(5663), 1,
      sym_heredoc_body,
  [190360] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8367), 1,
      anon_sym_EQ,
    STATE(5664), 1,
      sym_heredoc_body,
  [190373] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6751), 1,
      anon_sym_COLON,
    STATE(5665), 1,
      sym_heredoc_body,
  [190386] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8369), 1,
      anon_sym_RBRACE,
    STATE(5666), 1,
      sym_heredoc_body,
  [190399] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8371), 1,
      anon_sym_RBRACK,
    STATE(5667), 1,
      sym_heredoc_body,
  [190412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8373), 1,
      anon_sym_EQ,
    STATE(5668), 1,
      sym_heredoc_body,
  [190425] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8375), 1,
      anon_sym_RBRACK,
    STATE(5669), 1,
      sym_heredoc_body,
  [190438] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8377), 1,
      sym_identifier,
    STATE(5670), 1,
      sym_heredoc_body,
  [190451] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8379), 1,
      anon_sym_RBRACE,
    STATE(5671), 1,
      sym_heredoc_body,
  [190464] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8381), 1,
      anon_sym_end,
    STATE(5672), 1,
      sym_heredoc_body,
  [190477] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8383), 1,
      sym_constant,
    STATE(5673), 1,
      sym_heredoc_body,
  [190490] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8385), 1,
      anon_sym_,
    STATE(5674), 1,
      sym_heredoc_body,
  [190503] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8385), 1,
      sym_uninterpreted,
    STATE(5675), 1,
      sym_heredoc_body,
  [190516] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7677), 1,
      anon_sym_end,
    STATE(5676), 1,
      sym_heredoc_body,
  [190529] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8387), 1,
      anon_sym_end,
    STATE(5677), 1,
      sym_heredoc_body,
  [190542] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6997), 1,
      anon_sym_COLON,
    STATE(5678), 1,
      sym_heredoc_body,
  [190555] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8389), 1,
      anon_sym_end,
    STATE(5679), 1,
      sym_heredoc_body,
  [190568] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7206), 1,
      anon_sym_end,
    STATE(5680), 1,
      sym_heredoc_body,
  [190581] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8391), 1,
      anon_sym_end,
    STATE(5681), 1,
      sym_heredoc_body,
  [190594] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_end,
    STATE(5682), 1,
      sym_heredoc_body,
  [190607] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8393), 1,
      anon_sym_end,
    STATE(5683), 1,
      sym_heredoc_body,
  [190620] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8395), 1,
      anon_sym_end,
    STATE(5684), 1,
      sym_heredoc_body,
  [190633] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8397), 1,
      anon_sym_end,
    STATE(5685), 1,
      sym_heredoc_body,
  [190646] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8399), 1,
      sym_identifier,
    STATE(5686), 1,
      sym_heredoc_body,
  [190659] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8401), 1,
      anon_sym_end,
    STATE(5687), 1,
      sym_heredoc_body,
  [190672] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8403), 1,
      anon_sym_RPAREN,
    STATE(5688), 1,
      sym_heredoc_body,
  [190685] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8405), 1,
      anon_sym_end,
    STATE(5689), 1,
      sym_heredoc_body,
  [190698] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8407), 1,
      anon_sym_end,
    STATE(5690), 1,
      sym_heredoc_body,
  [190711] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8409), 1,
      anon_sym_COLON,
    STATE(5691), 1,
      sym_heredoc_body,
  [190724] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8411), 1,
      sym_constant,
    STATE(5692), 1,
      sym_heredoc_body,
  [190737] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8413), 1,
      anon_sym_RBRACK,
    STATE(5693), 1,
      sym_heredoc_body,
  [190750] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8415), 1,
      anon_sym_RBRACK,
    STATE(5694), 1,
      sym_heredoc_body,
  [190763] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8417), 1,
      anon_sym_RBRACK,
    STATE(5695), 1,
      sym_heredoc_body,
  [190776] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8419), 1,
      anon_sym_end,
    STATE(5696), 1,
      sym_heredoc_body,
  [190789] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8413), 1,
      anon_sym_RPAREN,
    STATE(5697), 1,
      sym_heredoc_body,
  [190802] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8415), 1,
      anon_sym_RPAREN,
    STATE(5698), 1,
      sym_heredoc_body,
  [190815] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8417), 1,
      anon_sym_RPAREN,
    STATE(5699), 1,
      sym_heredoc_body,
  [190828] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8421), 1,
      anon_sym_end,
    STATE(5700), 1,
      sym_heredoc_body,
  [190841] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8423), 1,
      anon_sym_end,
    STATE(5701), 1,
      sym_heredoc_body,
  [190854] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8425), 1,
      anon_sym_end,
    STATE(5702), 1,
      sym_heredoc_body,
  [190867] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8427), 1,
      anon_sym_end,
    STATE(5703), 1,
      sym_heredoc_body,
  [190880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8429), 1,
      anon_sym_EQ,
    STATE(5704), 1,
      sym_heredoc_body,
  [190893] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8431), 1,
      anon_sym_end,
    STATE(5705), 1,
      sym_heredoc_body,
  [190906] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8433), 1,
      anon_sym_RPAREN,
    STATE(5706), 1,
      sym_heredoc_body,
  [190919] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8435), 1,
      anon_sym_end,
    STATE(5707), 1,
      sym_heredoc_body,
  [190932] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8437), 1,
      anon_sym_RBRACE,
    STATE(5708), 1,
      sym_heredoc_body,
  [190945] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8439), 1,
      anon_sym_end,
    STATE(5709), 1,
      sym_heredoc_body,
  [190958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8441), 1,
      anon_sym_EQ,
    STATE(5710), 1,
      sym_heredoc_body,
  [190971] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7685), 1,
      anon_sym_end,
    STATE(5711), 1,
      sym_heredoc_body,
  [190984] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7043), 1,
      anon_sym_COLON,
    STATE(5712), 1,
      sym_heredoc_body,
  [190997] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8443), 1,
      anon_sym_end,
    STATE(5713), 1,
      sym_heredoc_body,
  [191010] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8445), 1,
      sym__string_end,
    STATE(5714), 1,
      sym_heredoc_body,
  [191023] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8447), 1,
      anon_sym_end,
    STATE(5715), 1,
      sym_heredoc_body,
  [191036] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7159), 1,
      anon_sym_end,
    STATE(5716), 1,
      sym_heredoc_body,
  [191049] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8449), 1,
      anon_sym_end,
    STATE(5717), 1,
      sym_heredoc_body,
  [191062] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_end,
    STATE(5718), 1,
      sym_heredoc_body,
  [191075] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8453), 1,
      anon_sym_end,
    STATE(5719), 1,
      sym_heredoc_body,
  [191088] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8455), 1,
      anon_sym_EQ,
    STATE(5720), 1,
      sym_heredoc_body,
  [191101] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8457), 1,
      anon_sym_end,
    STATE(5721), 1,
      sym_heredoc_body,
  [191114] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8459), 1,
      anon_sym_end,
    STATE(5722), 1,
      sym_heredoc_body,
  [191127] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8461), 1,
      anon_sym_end,
    STATE(5723), 1,
      sym_heredoc_body,
  [191140] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8463), 1,
      anon_sym_end,
    STATE(5724), 1,
      sym_heredoc_body,
  [191153] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8465), 1,
      anon_sym_end,
    STATE(5725), 1,
      sym_heredoc_body,
  [191166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8467), 1,
      anon_sym_EQ,
    STATE(5726), 1,
      sym_heredoc_body,
  [191179] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8469), 1,
      anon_sym_EQ,
    STATE(5727), 1,
      sym_heredoc_body,
  [191192] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6437), 1,
      anon_sym_COLON,
    STATE(5728), 1,
      sym_heredoc_body,
  [191205] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8471), 1,
      anon_sym_RBRACK,
    STATE(5729), 1,
      sym_heredoc_body,
  [191218] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6925), 1,
      anon_sym_COLON,
    STATE(5730), 1,
      sym_heredoc_body,
  [191231] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8473), 1,
      anon_sym_end,
    STATE(5731), 1,
      sym_heredoc_body,
  [191244] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8475), 1,
      sym__string_end,
    STATE(5732), 1,
      sym_heredoc_body,
  [191257] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8477), 1,
      anon_sym_end,
    STATE(5733), 1,
      sym_heredoc_body,
  [191270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8479), 1,
      anon_sym_EQ,
    STATE(5734), 1,
      sym_heredoc_body,
  [191283] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8481), 1,
      anon_sym_end,
    STATE(5735), 1,
      sym_heredoc_body,
  [191296] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8483), 1,
      anon_sym_end,
    STATE(5736), 1,
      sym_heredoc_body,
  [191309] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8485), 1,
      anon_sym_RBRACE,
    STATE(5737), 1,
      sym_heredoc_body,
  [191322] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8487), 1,
      sym__string_end,
    STATE(5738), 1,
      sym_heredoc_body,
  [191335] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8489), 1,
      anon_sym_RBRACE,
    STATE(5739), 1,
      sym_heredoc_body,
  [191348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8491), 1,
      anon_sym_EQ,
    STATE(5740), 1,
      sym_heredoc_body,
  [191361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8493), 1,
      anon_sym_EQ,
    STATE(5741), 1,
      sym_heredoc_body,
  [191374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8495), 1,
      anon_sym_EQ,
    STATE(5742), 1,
      sym_heredoc_body,
  [191387] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8497), 1,
      anon_sym_RPAREN,
    STATE(5743), 1,
      sym_heredoc_body,
  [191400] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8499), 1,
      sym_constant,
    STATE(5744), 1,
      sym_heredoc_body,
  [191413] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8501), 1,
      sym_constant,
    STATE(5745), 1,
      sym_heredoc_body,
  [191426] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8503), 1,
      anon_sym_EQ,
    STATE(5746), 1,
      sym_heredoc_body,
  [191439] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8505), 1,
      anon_sym_LBRACE,
    STATE(5747), 1,
      sym_heredoc_body,
  [191452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8507), 1,
      anon_sym_EQ,
    STATE(5748), 1,
      sym_heredoc_body,
  [191465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8509), 1,
      anon_sym_EQ,
    STATE(5749), 1,
      sym_heredoc_body,
  [191478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8511), 1,
      anon_sym_EQ,
    STATE(5750), 1,
      sym_heredoc_body,
  [191491] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8513), 1,
      anon_sym_RBRACK,
    STATE(5751), 1,
      sym_heredoc_body,
  [191504] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8515), 1,
      anon_sym_RBRACK,
    STATE(5752), 1,
      sym_heredoc_body,
  [191517] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7687), 1,
      anon_sym_end,
    STATE(5753), 1,
      sym_heredoc_body,
  [191530] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8497), 1,
      anon_sym_RBRACK,
    STATE(5754), 1,
      sym_heredoc_body,
  [191543] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8517), 1,
      sym_identifier,
    STATE(5755), 1,
      sym_heredoc_body,
  [191556] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8237), 1,
      anon_sym_RBRACK,
    STATE(5756), 1,
      sym_heredoc_body,
  [191569] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8519), 1,
      anon_sym_end,
    STATE(5757), 1,
      sym_heredoc_body,
  [191582] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8521), 1,
      anon_sym_RPAREN,
    STATE(5758), 1,
      sym_heredoc_body,
  [191595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8523), 1,
      anon_sym_EQ,
    STATE(5759), 1,
      sym_heredoc_body,
  [191608] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_end,
    STATE(5760), 1,
      sym_heredoc_body,
  [191621] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6836), 1,
      anon_sym_COLON,
    STATE(5761), 1,
      sym_heredoc_body,
  [191634] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8527), 1,
      anon_sym_COLON,
    STATE(5762), 1,
      sym_heredoc_body,
  [191647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8529), 1,
      anon_sym_EQ,
    STATE(5763), 1,
      sym_heredoc_body,
  [191660] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym_end,
    STATE(5764), 1,
      sym_heredoc_body,
  [191673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8533), 1,
      anon_sym_EQ,
    STATE(5765), 1,
      sym_heredoc_body,
  [191686] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7200), 1,
      anon_sym_end,
    STATE(5766), 1,
      sym_heredoc_body,
  [191699] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8535), 1,
      anon_sym_end,
    STATE(5767), 1,
      sym_heredoc_body,
  [191712] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8537), 1,
      anon_sym_end,
    STATE(5768), 1,
      sym_heredoc_body,
  [191725] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8539), 1,
      anon_sym_end,
    STATE(5769), 1,
      sym_heredoc_body,
  [191738] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8541), 1,
      anon_sym_end,
    STATE(5770), 1,
      sym_heredoc_body,
  [191751] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8543), 1,
      anon_sym_end,
    STATE(5771), 1,
      sym_heredoc_body,
  [191764] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8545), 1,
      anon_sym_end,
    STATE(5772), 1,
      sym_heredoc_body,
  [191777] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8547), 1,
      anon_sym_end,
    STATE(5773), 1,
      sym_heredoc_body,
  [191790] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8549), 1,
      anon_sym_end,
    STATE(5774), 1,
      sym_heredoc_body,
  [191803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8551), 1,
      anon_sym_EQ,
    STATE(5775), 1,
      sym_heredoc_body,
  [191816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8553), 1,
      anon_sym_EQ,
    STATE(5776), 1,
      sym_heredoc_body,
  [191829] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8555), 1,
      anon_sym_end,
    STATE(5777), 1,
      sym_heredoc_body,
  [191842] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8557), 1,
      sym_constant,
    STATE(5778), 1,
      sym_heredoc_body,
  [191855] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8559), 1,
      sym_constant,
    STATE(5779), 1,
      sym_heredoc_body,
  [191868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8561), 1,
      anon_sym_EQ,
    STATE(5780), 1,
      sym_heredoc_body,
  [191881] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8563), 1,
      anon_sym_end,
    STATE(5781), 1,
      sym_heredoc_body,
  [191894] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7675), 1,
      anon_sym_end,
    STATE(5782), 1,
      sym_heredoc_body,
  [191907] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8565), 1,
      anon_sym_RBRACK,
    STATE(5783), 1,
      sym_heredoc_body,
  [191920] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8567), 1,
      anon_sym_end,
    STATE(5784), 1,
      sym_heredoc_body,
  [191933] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8569), 1,
      anon_sym_RBRACK,
    STATE(5785), 1,
      sym_heredoc_body,
  [191946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8571), 1,
      anon_sym_EQ,
    STATE(5786), 1,
      sym_heredoc_body,
  [191959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8573), 1,
      anon_sym_EQ,
    STATE(5787), 1,
      sym_heredoc_body,
  [191972] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8575), 1,
      anon_sym_RBRACK,
    STATE(5788), 1,
      sym_heredoc_body,
  [191985] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8577), 1,
      anon_sym_RBRACE,
    STATE(5789), 1,
      sym_heredoc_body,
  [191998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8579), 1,
      anon_sym_EQ,
    STATE(5790), 1,
      sym_heredoc_body,
  [192011] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8581), 1,
      sym_identifier,
    STATE(5791), 1,
      sym_heredoc_body,
  [192024] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8583), 1,
      sym_identifier,
    STATE(5792), 1,
      sym_heredoc_body,
  [192037] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8585), 1,
      anon_sym_RBRACK,
    STATE(5793), 1,
      sym_heredoc_body,
  [192050] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7067), 1,
      anon_sym_COLON,
    STATE(5794), 1,
      sym_heredoc_body,
  [192063] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8587), 1,
      anon_sym_end,
    STATE(5795), 1,
      sym_heredoc_body,
  [192076] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8589), 1,
      anon_sym_end,
    STATE(5796), 1,
      sym_heredoc_body,
  [192089] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8591), 1,
      sym_identifier,
    STATE(5797), 1,
      sym_heredoc_body,
  [192102] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_end,
    STATE(5798), 1,
      sym_heredoc_body,
  [192115] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8595), 1,
      anon_sym_end,
    STATE(5799), 1,
      sym_heredoc_body,
  [192128] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8597), 1,
      anon_sym_end,
    STATE(5800), 1,
      sym_heredoc_body,
  [192141] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8599), 1,
      ts_builtin_sym_end,
    STATE(5801), 1,
      sym_heredoc_body,
  [192154] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_COLON,
    STATE(5802), 1,
      sym_heredoc_body,
  [192167] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8601), 1,
      anon_sym_RBRACE,
    STATE(5803), 1,
      sym_heredoc_body,
  [192180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8603), 1,
      anon_sym_EQ,
    STATE(5804), 1,
      sym_heredoc_body,
  [192193] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7102), 1,
      anon_sym_end,
    STATE(5805), 1,
      sym_heredoc_body,
  [192206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8605), 1,
      anon_sym_EQ,
    STATE(5806), 1,
      sym_heredoc_body,
  [192219] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_COLON,
    STATE(5807), 1,
      sym_heredoc_body,
  [192232] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(6954), 1,
      anon_sym_COLON,
    STATE(5808), 1,
      sym_heredoc_body,
  [192245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8607), 1,
      anon_sym_EQ,
    STATE(5809), 1,
      sym_heredoc_body,
  [192258] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8609), 1,
      anon_sym_end,
    STATE(5810), 1,
      sym_heredoc_body,
  [192271] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8611), 1,
      sym_identifier,
    STATE(5811), 1,
      sym_heredoc_body,
  [192284] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8613), 1,
      anon_sym_end,
    STATE(5812), 1,
      sym_heredoc_body,
  [192297] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_end,
    STATE(5813), 1,
      sym_heredoc_body,
  [192310] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_end,
    STATE(5814), 1,
      sym_heredoc_body,
  [192323] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8615), 1,
      anon_sym_end,
    STATE(5815), 1,
      sym_heredoc_body,
  [192336] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8617), 1,
      anon_sym_end,
    STATE(5816), 1,
      sym_heredoc_body,
  [192349] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8619), 1,
      anon_sym_EQ,
    STATE(5817), 1,
      sym_heredoc_body,
  [192362] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8621), 1,
      anon_sym_end,
    STATE(5818), 1,
      sym_heredoc_body,
  [192375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8623), 1,
      anon_sym_EQ,
    STATE(5819), 1,
      sym_heredoc_body,
  [192388] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8625), 1,
      sym__string_end,
    STATE(5820), 1,
      sym_heredoc_body,
  [192401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8627), 1,
      anon_sym_EQ,
    STATE(5821), 1,
      sym_heredoc_body,
  [192414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8629), 1,
      anon_sym_EQ,
    STATE(5822), 1,
      sym_heredoc_body,
  [192427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8631), 1,
      anon_sym_EQ,
    STATE(5823), 1,
      sym_heredoc_body,
  [192440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8633), 1,
      anon_sym_EQ,
    STATE(5824), 1,
      sym_heredoc_body,
  [192453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8635), 1,
      anon_sym_,
    STATE(5825), 1,
      sym_heredoc_body,
  [192466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8635), 1,
      sym_uninterpreted,
    STATE(5826), 1,
      sym_heredoc_body,
  [192479] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8637), 1,
      anon_sym_end,
    STATE(5827), 1,
      sym_heredoc_body,
  [192492] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8639), 1,
      sym__string_end,
    STATE(5828), 1,
      sym_heredoc_body,
  [192505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8641), 1,
      anon_sym_EQ,
    STATE(5829), 1,
      sym_heredoc_body,
  [192518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8643), 1,
      anon_sym_EQ,
    STATE(5830), 1,
      sym_heredoc_body,
  [192531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8645), 1,
      anon_sym_EQ,
    STATE(5831), 1,
      sym_heredoc_body,
  [192544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8647), 1,
      anon_sym_EQ,
    STATE(5832), 1,
      sym_heredoc_body,
  [192557] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8649), 1,
      anon_sym_COLON,
    STATE(5833), 1,
      sym_heredoc_body,
  [192570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8651), 1,
      anon_sym_EQ,
    STATE(5834), 1,
      sym_heredoc_body,
  [192583] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8653), 1,
      anon_sym_end,
    STATE(5835), 1,
      sym_heredoc_body,
  [192596] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8655), 1,
      ts_builtin_sym_end,
    STATE(5836), 1,
      sym_heredoc_body,
  [192609] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8657), 1,
      anon_sym_end,
    STATE(5837), 1,
      sym_heredoc_body,
  [192622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8659), 1,
      anon_sym_EQ,
    STATE(5838), 1,
      sym_heredoc_body,
  [192635] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8661), 1,
      anon_sym_EQ,
    STATE(5839), 1,
      sym_heredoc_body,
  [192648] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8663), 1,
      anon_sym_COLON,
    STATE(5840), 1,
      sym_heredoc_body,
  [192661] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8665), 1,
      anon_sym_end,
    STATE(5841), 1,
      sym_heredoc_body,
  [192674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8667), 1,
      anon_sym_EQ,
    STATE(5842), 1,
      sym_heredoc_body,
  [192687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8669), 1,
      anon_sym_EQ,
    STATE(5843), 1,
      sym_heredoc_body,
  [192700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8671), 1,
      anon_sym_EQ,
    STATE(5844), 1,
      sym_heredoc_body,
  [192713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8673), 1,
      anon_sym_EQ,
    STATE(5845), 1,
      sym_heredoc_body,
  [192726] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8675), 1,
      anon_sym_end,
    STATE(5846), 1,
      sym_heredoc_body,
  [192739] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8677), 1,
      anon_sym_COLON,
    STATE(5847), 1,
      sym_heredoc_body,
  [192752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8679), 1,
      anon_sym_EQ,
    STATE(5848), 1,
      sym_heredoc_body,
  [192765] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8681), 1,
      anon_sym_RBRACE,
    STATE(5849), 1,
      sym_heredoc_body,
  [192778] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8683), 1,
      anon_sym_RBRACE,
    STATE(5850), 1,
      sym_heredoc_body,
  [192791] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8685), 1,
      anon_sym_COLON,
    STATE(5851), 1,
      sym_heredoc_body,
  [192804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8687), 1,
      anon_sym_EQ,
    STATE(5852), 1,
      sym_heredoc_body,
  [192817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8689), 1,
      anon_sym_EQ,
    STATE(5853), 1,
      sym_heredoc_body,
  [192830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8691), 1,
      anon_sym_EQ,
    STATE(5854), 1,
      sym_heredoc_body,
  [192843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8693), 1,
      anon_sym_EQ,
    STATE(5855), 1,
      sym_heredoc_body,
  [192856] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8513), 1,
      anon_sym_RPAREN,
    STATE(5856), 1,
      sym_heredoc_body,
  [192869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8695), 1,
      anon_sym_EQ,
    STATE(5857), 1,
      sym_heredoc_body,
  [192882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8697), 1,
      anon_sym_EQ,
    STATE(5858), 1,
      sym_heredoc_body,
  [192895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8699), 1,
      anon_sym_EQ,
    STATE(5859), 1,
      sym_heredoc_body,
  [192908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8701), 1,
      anon_sym_EQ,
    STATE(5860), 1,
      sym_heredoc_body,
  [192921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8703), 1,
      anon_sym_EQ,
    STATE(5861), 1,
      sym_heredoc_body,
  [192934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8705), 1,
      anon_sym_EQ,
    STATE(5862), 1,
      sym_heredoc_body,
  [192947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8707), 1,
      anon_sym_EQ,
    STATE(5863), 1,
      sym_heredoc_body,
  [192960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8709), 1,
      anon_sym_EQ,
    STATE(5864), 1,
      sym_heredoc_body,
  [192973] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8711), 1,
      anon_sym_EQ,
    STATE(5865), 1,
      sym_heredoc_body,
  [192986] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8713), 1,
      sym_constant,
    STATE(5866), 1,
      sym_heredoc_body,
  [192999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8715), 1,
      anon_sym_EQ,
    STATE(5867), 1,
      sym_heredoc_body,
  [193012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8717), 1,
      anon_sym_EQ,
    STATE(5868), 1,
      sym_heredoc_body,
  [193025] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_RPAREN,
    STATE(5869), 1,
      sym_heredoc_body,
  [193038] = 4,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(8721), 1,
      anon_sym_end,
    STATE(5870), 1,
      sym_heredoc_body,
  [193051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8723), 1,
      anon_sym_EQ,
    STATE(5871), 1,
      sym_heredoc_body,
  [193064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__heredoc_body_start,
    ACTIONS(8725), 1,
      anon_sym_EQ,
    STATE(5872), 1,
      sym_heredoc_body,
  [193077] = 1,
    ACTIONS(8727), 1,
      ts_builtin_sym_end,
  [193081] = 1,
    ACTIONS(8729), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2125)] = 0,
  [SMALL_STATE(2126)] = 87,
  [SMALL_STATE(2127)] = 174,
  [SMALL_STATE(2128)] = 256,
  [SMALL_STATE(2129)] = 336,
  [SMALL_STATE(2130)] = 416,
  [SMALL_STATE(2131)] = 494,
  [SMALL_STATE(2132)] = 574,
  [SMALL_STATE(2133)] = 648,
  [SMALL_STATE(2134)] = 730,
  [SMALL_STATE(2135)] = 808,
  [SMALL_STATE(2136)] = 890,
  [SMALL_STATE(2137)] = 970,
  [SMALL_STATE(2138)] = 1053,
  [SMALL_STATE(2139)] = 1138,
  [SMALL_STATE(2140)] = 1281,
  [SMALL_STATE(2141)] = 1424,
  [SMALL_STATE(2142)] = 1567,
  [SMALL_STATE(2143)] = 1710,
  [SMALL_STATE(2144)] = 1787,
  [SMALL_STATE(2145)] = 1862,
  [SMALL_STATE(2146)] = 2005,
  [SMALL_STATE(2147)] = 2080,
  [SMALL_STATE(2148)] = 2162,
  [SMALL_STATE(2149)] = 2234,
  [SMALL_STATE(2150)] = 2306,
  [SMALL_STATE(2151)] = 2378,
  [SMALL_STATE(2152)] = 2454,
  [SMALL_STATE(2153)] = 2532,
  [SMALL_STATE(2154)] = 2610,
  [SMALL_STATE(2155)] = 2688,
  [SMALL_STATE(2156)] = 2760,
  [SMALL_STATE(2157)] = 2834,
  [SMALL_STATE(2158)] = 2906,
  [SMALL_STATE(2159)] = 2978,
  [SMALL_STATE(2160)] = 3058,
  [SMALL_STATE(2161)] = 3136,
  [SMALL_STATE(2162)] = 3212,
  [SMALL_STATE(2163)] = 3290,
  [SMALL_STATE(2164)] = 3370,
  [SMALL_STATE(2165)] = 3448,
  [SMALL_STATE(2166)] = 3528,
  [SMALL_STATE(2167)] = 3610,
  [SMALL_STATE(2168)] = 3690,
  [SMALL_STATE(2169)] = 3762,
  [SMALL_STATE(2170)] = 3834,
  [SMALL_STATE(2171)] = 3905,
  [SMALL_STATE(2172)] = 3980,
  [SMALL_STATE(2173)] = 4051,
  [SMALL_STATE(2174)] = 4126,
  [SMALL_STATE(2175)] = 4197,
  [SMALL_STATE(2176)] = 4272,
  [SMALL_STATE(2177)] = 4343,
  [SMALL_STATE(2178)] = 4418,
  [SMALL_STATE(2179)] = 4493,
  [SMALL_STATE(2180)] = 4570,
  [SMALL_STATE(2181)] = 4641,
  [SMALL_STATE(2182)] = 4720,
  [SMALL_STATE(2183)] = 4795,
  [SMALL_STATE(2184)] = 4872,
  [SMALL_STATE(2185)] = 4949,
  [SMALL_STATE(2186)] = 5020,
  [SMALL_STATE(2187)] = 5099,
  [SMALL_STATE(2188)] = 5170,
  [SMALL_STATE(2189)] = 5241,
  [SMALL_STATE(2190)] = 5318,
  [SMALL_STATE(2191)] = 5395,
  [SMALL_STATE(2192)] = 5470,
  [SMALL_STATE(2193)] = 5541,
  [SMALL_STATE(2194)] = 5612,
  [SMALL_STATE(2195)] = 5691,
  [SMALL_STATE(2196)] = 5771,
  [SMALL_STATE(2197)] = 5841,
  [SMALL_STATE(2198)] = 5911,
  [SMALL_STATE(2199)] = 5987,
  [SMALL_STATE(2200)] = 6063,
  [SMALL_STATE(2201)] = 6135,
  [SMALL_STATE(2202)] = 6249,
  [SMALL_STATE(2203)] = 6319,
  [SMALL_STATE(2204)] = 6397,
  [SMALL_STATE(2205)] = 6466,
  [SMALL_STATE(2206)] = 6541,
  [SMALL_STATE(2207)] = 6610,
  [SMALL_STATE(2208)] = 6679,
  [SMALL_STATE(2209)] = 6748,
  [SMALL_STATE(2210)] = 6817,
  [SMALL_STATE(2211)] = 6886,
  [SMALL_STATE(2212)] = 6955,
  [SMALL_STATE(2213)] = 7024,
  [SMALL_STATE(2214)] = 7093,
  [SMALL_STATE(2215)] = 7162,
  [SMALL_STATE(2216)] = 7231,
  [SMALL_STATE(2217)] = 7300,
  [SMALL_STATE(2218)] = 7369,
  [SMALL_STATE(2219)] = 7438,
  [SMALL_STATE(2220)] = 7507,
  [SMALL_STATE(2221)] = 7578,
  [SMALL_STATE(2222)] = 7647,
  [SMALL_STATE(2223)] = 7716,
  [SMALL_STATE(2224)] = 7785,
  [SMALL_STATE(2225)] = 7854,
  [SMALL_STATE(2226)] = 7927,
  [SMALL_STATE(2227)] = 7996,
  [SMALL_STATE(2228)] = 8065,
  [SMALL_STATE(2229)] = 8134,
  [SMALL_STATE(2230)] = 8203,
  [SMALL_STATE(2231)] = 8278,
  [SMALL_STATE(2232)] = 8349,
  [SMALL_STATE(2233)] = 8418,
  [SMALL_STATE(2234)] = 8487,
  [SMALL_STATE(2235)] = 8556,
  [SMALL_STATE(2236)] = 8625,
  [SMALL_STATE(2237)] = 8694,
  [SMALL_STATE(2238)] = 8763,
  [SMALL_STATE(2239)] = 8832,
  [SMALL_STATE(2240)] = 8901,
  [SMALL_STATE(2241)] = 8970,
  [SMALL_STATE(2242)] = 9039,
  [SMALL_STATE(2243)] = 9114,
  [SMALL_STATE(2244)] = 9183,
  [SMALL_STATE(2245)] = 9252,
  [SMALL_STATE(2246)] = 9327,
  [SMALL_STATE(2247)] = 9396,
  [SMALL_STATE(2248)] = 9471,
  [SMALL_STATE(2249)] = 9540,
  [SMALL_STATE(2250)] = 9609,
  [SMALL_STATE(2251)] = 9678,
  [SMALL_STATE(2252)] = 9747,
  [SMALL_STATE(2253)] = 9816,
  [SMALL_STATE(2254)] = 9885,
  [SMALL_STATE(2255)] = 9954,
  [SMALL_STATE(2256)] = 10023,
  [SMALL_STATE(2257)] = 10092,
  [SMALL_STATE(2258)] = 10161,
  [SMALL_STATE(2259)] = 10236,
  [SMALL_STATE(2260)] = 10305,
  [SMALL_STATE(2261)] = 10374,
  [SMALL_STATE(2262)] = 10443,
  [SMALL_STATE(2263)] = 10512,
  [SMALL_STATE(2264)] = 10581,
  [SMALL_STATE(2265)] = 10650,
  [SMALL_STATE(2266)] = 10725,
  [SMALL_STATE(2267)] = 10794,
  [SMALL_STATE(2268)] = 10863,
  [SMALL_STATE(2269)] = 10932,
  [SMALL_STATE(2270)] = 11001,
  [SMALL_STATE(2271)] = 11070,
  [SMALL_STATE(2272)] = 11139,
  [SMALL_STATE(2273)] = 11208,
  [SMALL_STATE(2274)] = 11277,
  [SMALL_STATE(2275)] = 11346,
  [SMALL_STATE(2276)] = 11415,
  [SMALL_STATE(2277)] = 11486,
  [SMALL_STATE(2278)] = 11555,
  [SMALL_STATE(2279)] = 11624,
  [SMALL_STATE(2280)] = 11693,
  [SMALL_STATE(2281)] = 11762,
  [SMALL_STATE(2282)] = 11831,
  [SMALL_STATE(2283)] = 11900,
  [SMALL_STATE(2284)] = 11969,
  [SMALL_STATE(2285)] = 12038,
  [SMALL_STATE(2286)] = 12107,
  [SMALL_STATE(2287)] = 12176,
  [SMALL_STATE(2288)] = 12245,
  [SMALL_STATE(2289)] = 12314,
  [SMALL_STATE(2290)] = 12383,
  [SMALL_STATE(2291)] = 12452,
  [SMALL_STATE(2292)] = 12521,
  [SMALL_STATE(2293)] = 12590,
  [SMALL_STATE(2294)] = 12659,
  [SMALL_STATE(2295)] = 12728,
  [SMALL_STATE(2296)] = 12797,
  [SMALL_STATE(2297)] = 12866,
  [SMALL_STATE(2298)] = 12935,
  [SMALL_STATE(2299)] = 13004,
  [SMALL_STATE(2300)] = 13073,
  [SMALL_STATE(2301)] = 13142,
  [SMALL_STATE(2302)] = 13211,
  [SMALL_STATE(2303)] = 13282,
  [SMALL_STATE(2304)] = 13351,
  [SMALL_STATE(2305)] = 13420,
  [SMALL_STATE(2306)] = 13489,
  [SMALL_STATE(2307)] = 13558,
  [SMALL_STATE(2308)] = 13627,
  [SMALL_STATE(2309)] = 13696,
  [SMALL_STATE(2310)] = 13767,
  [SMALL_STATE(2311)] = 13836,
  [SMALL_STATE(2312)] = 13909,
  [SMALL_STATE(2313)] = 13978,
  [SMALL_STATE(2314)] = 14047,
  [SMALL_STATE(2315)] = 14116,
  [SMALL_STATE(2316)] = 14185,
  [SMALL_STATE(2317)] = 14254,
  [SMALL_STATE(2318)] = 14323,
  [SMALL_STATE(2319)] = 14392,
  [SMALL_STATE(2320)] = 14461,
  [SMALL_STATE(2321)] = 14530,
  [SMALL_STATE(2322)] = 14599,
  [SMALL_STATE(2323)] = 14668,
  [SMALL_STATE(2324)] = 14737,
  [SMALL_STATE(2325)] = 14814,
  [SMALL_STATE(2326)] = 14883,
  [SMALL_STATE(2327)] = 14952,
  [SMALL_STATE(2328)] = 15021,
  [SMALL_STATE(2329)] = 15090,
  [SMALL_STATE(2330)] = 15159,
  [SMALL_STATE(2331)] = 15228,
  [SMALL_STATE(2332)] = 15297,
  [SMALL_STATE(2333)] = 15366,
  [SMALL_STATE(2334)] = 15435,
  [SMALL_STATE(2335)] = 15504,
  [SMALL_STATE(2336)] = 15573,
  [SMALL_STATE(2337)] = 15642,
  [SMALL_STATE(2338)] = 15711,
  [SMALL_STATE(2339)] = 15780,
  [SMALL_STATE(2340)] = 15849,
  [SMALL_STATE(2341)] = 15918,
  [SMALL_STATE(2342)] = 15987,
  [SMALL_STATE(2343)] = 16056,
  [SMALL_STATE(2344)] = 16127,
  [SMALL_STATE(2345)] = 16196,
  [SMALL_STATE(2346)] = 16267,
  [SMALL_STATE(2347)] = 16338,
  [SMALL_STATE(2348)] = 16407,
  [SMALL_STATE(2349)] = 16476,
  [SMALL_STATE(2350)] = 16545,
  [SMALL_STATE(2351)] = 16614,
  [SMALL_STATE(2352)] = 16683,
  [SMALL_STATE(2353)] = 16752,
  [SMALL_STATE(2354)] = 16821,
  [SMALL_STATE(2355)] = 16890,
  [SMALL_STATE(2356)] = 16959,
  [SMALL_STATE(2357)] = 17028,
  [SMALL_STATE(2358)] = 17097,
  [SMALL_STATE(2359)] = 17166,
  [SMALL_STATE(2360)] = 17235,
  [SMALL_STATE(2361)] = 17304,
  [SMALL_STATE(2362)] = 17373,
  [SMALL_STATE(2363)] = 17448,
  [SMALL_STATE(2364)] = 17517,
  [SMALL_STATE(2365)] = 17586,
  [SMALL_STATE(2366)] = 17655,
  [SMALL_STATE(2367)] = 17724,
  [SMALL_STATE(2368)] = 17793,
  [SMALL_STATE(2369)] = 17862,
  [SMALL_STATE(2370)] = 17934,
  [SMALL_STATE(2371)] = 18008,
  [SMALL_STATE(2372)] = 18082,
  [SMALL_STATE(2373)] = 18154,
  [SMALL_STATE(2374)] = 18228,
  [SMALL_STATE(2375)] = 18302,
  [SMALL_STATE(2376)] = 18378,
  [SMALL_STATE(2377)] = 18448,
  [SMALL_STATE(2378)] = 18522,
  [SMALL_STATE(2379)] = 18598,
  [SMALL_STATE(2380)] = 18672,
  [SMALL_STATE(2381)] = 18746,
  [SMALL_STATE(2382)] = 18845,
  [SMALL_STATE(2383)] = 18944,
  [SMALL_STATE(2384)] = 19043,
  [SMALL_STATE(2385)] = 19118,
  [SMALL_STATE(2386)] = 19217,
  [SMALL_STATE(2387)] = 19316,
  [SMALL_STATE(2388)] = 19415,
  [SMALL_STATE(2389)] = 19488,
  [SMALL_STATE(2390)] = 19587,
  [SMALL_STATE(2391)] = 19686,
  [SMALL_STATE(2392)] = 19785,
  [SMALL_STATE(2393)] = 19884,
  [SMALL_STATE(2394)] = 19983,
  [SMALL_STATE(2395)] = 20086,
  [SMALL_STATE(2396)] = 20159,
  [SMALL_STATE(2397)] = 20258,
  [SMALL_STATE(2398)] = 20357,
  [SMALL_STATE(2399)] = 20430,
  [SMALL_STATE(2400)] = 20529,
  [SMALL_STATE(2401)] = 20628,
  [SMALL_STATE(2402)] = 20727,
  [SMALL_STATE(2403)] = 20826,
  [SMALL_STATE(2404)] = 20925,
  [SMALL_STATE(2405)] = 20994,
  [SMALL_STATE(2406)] = 21093,
  [SMALL_STATE(2407)] = 21164,
  [SMALL_STATE(2408)] = 21233,
  [SMALL_STATE(2409)] = 21308,
  [SMALL_STATE(2410)] = 21375,
  [SMALL_STATE(2411)] = 21450,
  [SMALL_STATE(2412)] = 21549,
  [SMALL_STATE(2413)] = 21618,
  [SMALL_STATE(2414)] = 21687,
  [SMALL_STATE(2415)] = 21760,
  [SMALL_STATE(2416)] = 21831,
  [SMALL_STATE(2417)] = 21906,
  [SMALL_STATE(2418)] = 22005,
  [SMALL_STATE(2419)] = 22104,
  [SMALL_STATE(2420)] = 22203,
  [SMALL_STATE(2421)] = 22302,
  [SMALL_STATE(2422)] = 22372,
  [SMALL_STATE(2423)] = 22440,
  [SMALL_STATE(2424)] = 22538,
  [SMALL_STATE(2425)] = 22638,
  [SMALL_STATE(2426)] = 22712,
  [SMALL_STATE(2427)] = 22786,
  [SMALL_STATE(2428)] = 22860,
  [SMALL_STATE(2429)] = 22958,
  [SMALL_STATE(2430)] = 23048,
  [SMALL_STATE(2431)] = 23124,
  [SMALL_STATE(2432)] = 23192,
  [SMALL_STATE(2433)] = 23290,
  [SMALL_STATE(2434)] = 23358,
  [SMALL_STATE(2435)] = 23456,
  [SMALL_STATE(2436)] = 23536,
  [SMALL_STATE(2437)] = 23632,
  [SMALL_STATE(2438)] = 23730,
  [SMALL_STATE(2439)] = 23798,
  [SMALL_STATE(2440)] = 23866,
  [SMALL_STATE(2441)] = 23938,
  [SMALL_STATE(2442)] = 24006,
  [SMALL_STATE(2443)] = 24080,
  [SMALL_STATE(2444)] = 24178,
  [SMALL_STATE(2445)] = 24274,
  [SMALL_STATE(2446)] = 24346,
  [SMALL_STATE(2447)] = 24444,
  [SMALL_STATE(2448)] = 24512,
  [SMALL_STATE(2449)] = 24580,
  [SMALL_STATE(2450)] = 24668,
  [SMALL_STATE(2451)] = 24742,
  [SMALL_STATE(2452)] = 24810,
  [SMALL_STATE(2453)] = 24882,
  [SMALL_STATE(2454)] = 24970,
  [SMALL_STATE(2455)] = 25070,
  [SMALL_STATE(2456)] = 25173,
  [SMALL_STATE(2457)] = 25246,
  [SMALL_STATE(2458)] = 25313,
  [SMALL_STATE(2459)] = 25382,
  [SMALL_STATE(2460)] = 25447,
  [SMALL_STATE(2461)] = 25520,
  [SMALL_STATE(2462)] = 25589,
  [SMALL_STATE(2463)] = 25654,
  [SMALL_STATE(2464)] = 25719,
  [SMALL_STATE(2465)] = 25792,
  [SMALL_STATE(2466)] = 25899,
  [SMALL_STATE(2467)] = 25964,
  [SMALL_STATE(2468)] = 26037,
  [SMALL_STATE(2469)] = 26104,
  [SMALL_STATE(2470)] = 26169,
  [SMALL_STATE(2471)] = 26242,
  [SMALL_STATE(2472)] = 26307,
  [SMALL_STATE(2473)] = 26380,
  [SMALL_STATE(2474)] = 26451,
  [SMALL_STATE(2475)] = 26516,
  [SMALL_STATE(2476)] = 26587,
  [SMALL_STATE(2477)] = 26688,
  [SMALL_STATE(2478)] = 26784,
  [SMALL_STATE(2479)] = 26880,
  [SMALL_STATE(2480)] = 26954,
  [SMALL_STATE(2481)] = 27050,
  [SMALL_STATE(2482)] = 27116,
  [SMALL_STATE(2483)] = 27214,
  [SMALL_STATE(2484)] = 27284,
  [SMALL_STATE(2485)] = 27370,
  [SMALL_STATE(2486)] = 27440,
  [SMALL_STATE(2487)] = 27536,
  [SMALL_STATE(2488)] = 27622,
  [SMALL_STATE(2489)] = 27710,
  [SMALL_STATE(2490)] = 27788,
  [SMALL_STATE(2491)] = 27886,
  [SMALL_STATE(2492)] = 27958,
  [SMALL_STATE(2493)] = 28032,
  [SMALL_STATE(2494)] = 28098,
  [SMALL_STATE(2495)] = 28164,
  [SMALL_STATE(2496)] = 28236,
  [SMALL_STATE(2497)] = 28302,
  [SMALL_STATE(2498)] = 28370,
  [SMALL_STATE(2499)] = 28436,
  [SMALL_STATE(2500)] = 28508,
  [SMALL_STATE(2501)] = 28574,
  [SMALL_STATE(2502)] = 28670,
  [SMALL_STATE(2503)] = 28742,
  [SMALL_STATE(2504)] = 28806,
  [SMALL_STATE(2505)] = 28902,
  [SMALL_STATE(2506)] = 28972,
  [SMALL_STATE(2507)] = 29066,
  [SMALL_STATE(2508)] = 29162,
  [SMALL_STATE(2509)] = 29256,
  [SMALL_STATE(2510)] = 29327,
  [SMALL_STATE(2511)] = 29414,
  [SMALL_STATE(2512)] = 29485,
  [SMALL_STATE(2513)] = 29572,
  [SMALL_STATE(2514)] = 29659,
  [SMALL_STATE(2515)] = 29746,
  [SMALL_STATE(2516)] = 29833,
  [SMALL_STATE(2517)] = 29920,
  [SMALL_STATE(2518)] = 30007,
  [SMALL_STATE(2519)] = 30094,
  [SMALL_STATE(2520)] = 30189,
  [SMALL_STATE(2521)] = 30284,
  [SMALL_STATE(2522)] = 30377,
  [SMALL_STATE(2523)] = 30464,
  [SMALL_STATE(2524)] = 30533,
  [SMALL_STATE(2525)] = 30620,
  [SMALL_STATE(2526)] = 30707,
  [SMALL_STATE(2527)] = 30802,
  [SMALL_STATE(2528)] = 30889,
  [SMALL_STATE(2529)] = 30976,
  [SMALL_STATE(2530)] = 31041,
  [SMALL_STATE(2531)] = 31128,
  [SMALL_STATE(2532)] = 31215,
  [SMALL_STATE(2533)] = 31302,
  [SMALL_STATE(2534)] = 31389,
  [SMALL_STATE(2535)] = 31476,
  [SMALL_STATE(2536)] = 31563,
  [SMALL_STATE(2537)] = 31650,
  [SMALL_STATE(2538)] = 31737,
  [SMALL_STATE(2539)] = 31802,
  [SMALL_STATE(2540)] = 31889,
  [SMALL_STATE(2541)] = 31976,
  [SMALL_STATE(2542)] = 32041,
  [SMALL_STATE(2543)] = 32106,
  [SMALL_STATE(2544)] = 32171,
  [SMALL_STATE(2545)] = 32258,
  [SMALL_STATE(2546)] = 32345,
  [SMALL_STATE(2547)] = 32442,
  [SMALL_STATE(2548)] = 32543,
  [SMALL_STATE(2549)] = 32630,
  [SMALL_STATE(2550)] = 32717,
  [SMALL_STATE(2551)] = 32802,
  [SMALL_STATE(2552)] = 32871,
  [SMALL_STATE(2553)] = 32956,
  [SMALL_STATE(2554)] = 33043,
  [SMALL_STATE(2555)] = 33120,
  [SMALL_STATE(2556)] = 33185,
  [SMALL_STATE(2557)] = 33278,
  [SMALL_STATE(2558)] = 33383,
  [SMALL_STATE(2559)] = 33480,
  [SMALL_STATE(2560)] = 33551,
  [SMALL_STATE(2561)] = 33624,
  [SMALL_STATE(2562)] = 33689,
  [SMALL_STATE(2563)] = 33754,
  [SMALL_STATE(2564)] = 33821,
  [SMALL_STATE(2565)] = 33908,
  [SMALL_STATE(2566)] = 33995,
  [SMALL_STATE(2567)] = 34082,
  [SMALL_STATE(2568)] = 34169,
  [SMALL_STATE(2569)] = 34256,
  [SMALL_STATE(2570)] = 34343,
  [SMALL_STATE(2571)] = 34430,
  [SMALL_STATE(2572)] = 34517,
  [SMALL_STATE(2573)] = 34614,
  [SMALL_STATE(2574)] = 34701,
  [SMALL_STATE(2575)] = 34788,
  [SMALL_STATE(2576)] = 34893,
  [SMALL_STATE(2577)] = 34988,
  [SMALL_STATE(2578)] = 35075,
  [SMALL_STATE(2579)] = 35162,
  [SMALL_STATE(2580)] = 35249,
  [SMALL_STATE(2581)] = 35336,
  [SMALL_STATE(2582)] = 35423,
  [SMALL_STATE(2583)] = 35494,
  [SMALL_STATE(2584)] = 35581,
  [SMALL_STATE(2585)] = 35650,
  [SMALL_STATE(2586)] = 35717,
  [SMALL_STATE(2587)] = 35804,
  [SMALL_STATE(2588)] = 35891,
  [SMALL_STATE(2589)] = 35978,
  [SMALL_STATE(2590)] = 36073,
  [SMALL_STATE(2591)] = 36160,
  [SMALL_STATE(2592)] = 36247,
  [SMALL_STATE(2593)] = 36345,
  [SMALL_STATE(2594)] = 36409,
  [SMALL_STATE(2595)] = 36493,
  [SMALL_STATE(2596)] = 36579,
  [SMALL_STATE(2597)] = 36643,
  [SMALL_STATE(2598)] = 36735,
  [SMALL_STATE(2599)] = 36819,
  [SMALL_STATE(2600)] = 36883,
  [SMALL_STATE(2601)] = 36959,
  [SMALL_STATE(2602)] = 37043,
  [SMALL_STATE(2603)] = 37139,
  [SMALL_STATE(2604)] = 37209,
  [SMALL_STATE(2605)] = 37275,
  [SMALL_STATE(2606)] = 37347,
  [SMALL_STATE(2607)] = 37439,
  [SMALL_STATE(2608)] = 37523,
  [SMALL_STATE(2609)] = 37617,
  [SMALL_STATE(2610)] = 37709,
  [SMALL_STATE(2611)] = 37793,
  [SMALL_STATE(2612)] = 37861,
  [SMALL_STATE(2613)] = 37951,
  [SMALL_STATE(2614)] = 38035,
  [SMALL_STATE(2615)] = 38101,
  [SMALL_STATE(2616)] = 38185,
  [SMALL_STATE(2617)] = 38277,
  [SMALL_STATE(2618)] = 38341,
  [SMALL_STATE(2619)] = 38433,
  [SMALL_STATE(2620)] = 38497,
  [SMALL_STATE(2621)] = 38589,
  [SMALL_STATE(2622)] = 38685,
  [SMALL_STATE(2623)] = 38749,
  [SMALL_STATE(2624)] = 38833,
  [SMALL_STATE(2625)] = 38917,
  [SMALL_STATE(2626)] = 39015,
  [SMALL_STATE(2627)] = 39111,
  [SMALL_STATE(2628)] = 39203,
  [SMALL_STATE(2629)] = 39293,
  [SMALL_STATE(2630)] = 39361,
  [SMALL_STATE(2631)] = 39427,
  [SMALL_STATE(2632)] = 39511,
  [SMALL_STATE(2633)] = 39607,
  [SMALL_STATE(2634)] = 39698,
  [SMALL_STATE(2635)] = 39795,
  [SMALL_STATE(2636)] = 39858,
  [SMALL_STATE(2637)] = 39951,
  [SMALL_STATE(2638)] = 40014,
  [SMALL_STATE(2639)] = 40083,
  [SMALL_STATE(2640)] = 40174,
  [SMALL_STATE(2641)] = 40245,
  [SMALL_STATE(2642)] = 40308,
  [SMALL_STATE(2643)] = 40373,
  [SMALL_STATE(2644)] = 40436,
  [SMALL_STATE(2645)] = 40499,
  [SMALL_STATE(2646)] = 40566,
  [SMALL_STATE(2647)] = 40657,
  [SMALL_STATE(2648)] = 40756,
  [SMALL_STATE(2649)] = 40839,
  [SMALL_STATE(2650)] = 40930,
  [SMALL_STATE(2651)] = 41023,
  [SMALL_STATE(2652)] = 41086,
  [SMALL_STATE(2653)] = 41177,
  [SMALL_STATE(2654)] = 41262,
  [SMALL_STATE(2655)] = 41357,
  [SMALL_STATE(2656)] = 41426,
  [SMALL_STATE(2657)] = 41509,
  [SMALL_STATE(2658)] = 41600,
  [SMALL_STATE(2659)] = 41665,
  [SMALL_STATE(2660)] = 41730,
  [SMALL_STATE(2661)] = 41805,
  [SMALL_STATE(2662)] = 41898,
  [SMALL_STATE(2663)] = 41961,
  [SMALL_STATE(2664)] = 42030,
  [SMALL_STATE(2665)] = 42123,
  [SMALL_STATE(2666)] = 42216,
  [SMALL_STATE(2667)] = 42289,
  [SMALL_STATE(2668)] = 42382,
  [SMALL_STATE(2669)] = 42473,
  [SMALL_STATE(2670)] = 42536,
  [SMALL_STATE(2671)] = 42599,
  [SMALL_STATE(2672)] = 42662,
  [SMALL_STATE(2673)] = 42755,
  [SMALL_STATE(2674)] = 42850,
  [SMALL_STATE(2675)] = 42951,
  [SMALL_STATE(2676)] = 43046,
  [SMALL_STATE(2677)] = 43110,
  [SMALL_STATE(2678)] = 43204,
  [SMALL_STATE(2679)] = 43272,
  [SMALL_STATE(2680)] = 43362,
  [SMALL_STATE(2681)] = 43424,
  [SMALL_STATE(2682)] = 43514,
  [SMALL_STATE(2683)] = 43584,
  [SMALL_STATE(2684)] = 43650,
  [SMALL_STATE(2685)] = 43720,
  [SMALL_STATE(2686)] = 43782,
  [SMALL_STATE(2687)] = 43876,
  [SMALL_STATE(2688)] = 43950,
  [SMALL_STATE(2689)] = 44012,
  [SMALL_STATE(2690)] = 44074,
  [SMALL_STATE(2691)] = 44158,
  [SMALL_STATE(2692)] = 44248,
  [SMALL_STATE(2693)] = 44330,
  [SMALL_STATE(2694)] = 44396,
  [SMALL_STATE(2695)] = 44458,
  [SMALL_STATE(2696)] = 44552,
  [SMALL_STATE(2697)] = 44640,
  [SMALL_STATE(2698)] = 44734,
  [SMALL_STATE(2699)] = 44830,
  [SMALL_STATE(2700)] = 44926,
  [SMALL_STATE(2701)] = 45016,
  [SMALL_STATE(2702)] = 45106,
  [SMALL_STATE(2703)] = 45188,
  [SMALL_STATE(2704)] = 45250,
  [SMALL_STATE(2705)] = 45348,
  [SMALL_STATE(2706)] = 45412,
  [SMALL_STATE(2707)] = 45500,
  [SMALL_STATE(2708)] = 45564,
  [SMALL_STATE(2709)] = 45628,
  [SMALL_STATE(2710)] = 45718,
  [SMALL_STATE(2711)] = 45786,
  [SMALL_STATE(2712)] = 45876,
  [SMALL_STATE(2713)] = 45968,
  [SMALL_STATE(2714)] = 46031,
  [SMALL_STATE(2715)] = 46092,
  [SMALL_STATE(2716)] = 46181,
  [SMALL_STATE(2717)] = 46246,
  [SMALL_STATE(2718)] = 46337,
  [SMALL_STATE(2719)] = 46424,
  [SMALL_STATE(2720)] = 46485,
  [SMALL_STATE(2721)] = 46550,
  [SMALL_STATE(2722)] = 46613,
  [SMALL_STATE(2723)] = 46676,
  [SMALL_STATE(2724)] = 46765,
  [SMALL_STATE(2725)] = 46854,
  [SMALL_STATE(2726)] = 46943,
  [SMALL_STATE(2727)] = 47030,
  [SMALL_STATE(2728)] = 47121,
  [SMALL_STATE(2729)] = 47214,
  [SMALL_STATE(2730)] = 47281,
  [SMALL_STATE(2731)] = 47344,
  [SMALL_STATE(2732)] = 47407,
  [SMALL_STATE(2733)] = 47500,
  [SMALL_STATE(2734)] = 47565,
  [SMALL_STATE(2735)] = 47628,
  [SMALL_STATE(2736)] = 47721,
  [SMALL_STATE(2737)] = 47810,
  [SMALL_STATE(2738)] = 47871,
  [SMALL_STATE(2739)] = 47932,
  [SMALL_STATE(2740)] = 47997,
  [SMALL_STATE(2741)] = 48066,
  [SMALL_STATE(2742)] = 48155,
  [SMALL_STATE(2743)] = 48216,
  [SMALL_STATE(2744)] = 48283,
  [SMALL_STATE(2745)] = 48376,
  [SMALL_STATE(2746)] = 48471,
  [SMALL_STATE(2747)] = 48534,
  [SMALL_STATE(2748)] = 48625,
  [SMALL_STATE(2749)] = 48692,
  [SMALL_STATE(2750)] = 48783,
  [SMALL_STATE(2751)] = 48874,
  [SMALL_STATE(2752)] = 48963,
  [SMALL_STATE(2753)] = 49054,
  [SMALL_STATE(2754)] = 49145,
  [SMALL_STATE(2755)] = 49208,
  [SMALL_STATE(2756)] = 49275,
  [SMALL_STATE(2757)] = 49348,
  [SMALL_STATE(2758)] = 49409,
  [SMALL_STATE(2759)] = 49492,
  [SMALL_STATE(2760)] = 49581,
  [SMALL_STATE(2761)] = 49662,
  [SMALL_STATE(2762)] = 49727,
  [SMALL_STATE(2763)] = 49790,
  [SMALL_STATE(2764)] = 49883,
  [SMALL_STATE(2765)] = 49944,
  [SMALL_STATE(2766)] = 50033,
  [SMALL_STATE(2767)] = 50100,
  [SMALL_STATE(2768)] = 50189,
  [SMALL_STATE(2769)] = 50270,
  [SMALL_STATE(2770)] = 50359,
  [SMALL_STATE(2771)] = 50440,
  [SMALL_STATE(2772)] = 50505,
  [SMALL_STATE(2773)] = 50594,
  [SMALL_STATE(2774)] = 50675,
  [SMALL_STATE(2775)] = 50758,
  [SMALL_STATE(2776)] = 50831,
  [SMALL_STATE(2777)] = 50898,
  [SMALL_STATE(2778)] = 50967,
  [SMALL_STATE(2779)] = 51034,
  [SMALL_STATE(2780)] = 51125,
  [SMALL_STATE(2781)] = 51186,
  [SMALL_STATE(2782)] = 51247,
  [SMALL_STATE(2783)] = 51310,
  [SMALL_STATE(2784)] = 51371,
  [SMALL_STATE(2785)] = 51451,
  [SMALL_STATE(2786)] = 51541,
  [SMALL_STATE(2787)] = 51603,
  [SMALL_STATE(2788)] = 51697,
  [SMALL_STATE(2789)] = 51757,
  [SMALL_STATE(2790)] = 51855,
  [SMALL_STATE(2791)] = 51915,
  [SMALL_STATE(2792)] = 51975,
  [SMALL_STATE(2793)] = 52063,
  [SMALL_STATE(2794)] = 52123,
  [SMALL_STATE(2795)] = 52183,
  [SMALL_STATE(2796)] = 52251,
  [SMALL_STATE(2797)] = 52313,
  [SMALL_STATE(2798)] = 52381,
  [SMALL_STATE(2799)] = 52471,
  [SMALL_STATE(2800)] = 52537,
  [SMALL_STATE(2801)] = 52609,
  [SMALL_STATE(2802)] = 52701,
  [SMALL_STATE(2803)] = 52797,
  [SMALL_STATE(2804)] = 52887,
  [SMALL_STATE(2805)] = 52977,
  [SMALL_STATE(2806)] = 53037,
  [SMALL_STATE(2807)] = 53095,
  [SMALL_STATE(2808)] = 53153,
  [SMALL_STATE(2809)] = 53217,
  [SMALL_STATE(2810)] = 53309,
  [SMALL_STATE(2811)] = 53389,
  [SMALL_STATE(2812)] = 53449,
  [SMALL_STATE(2813)] = 53537,
  [SMALL_STATE(2814)] = 53597,
  [SMALL_STATE(2815)] = 53687,
  [SMALL_STATE(2816)] = 53747,
  [SMALL_STATE(2817)] = 53813,
  [SMALL_STATE(2818)] = 53875,
  [SMALL_STATE(2819)] = 53933,
  [SMALL_STATE(2820)] = 53991,
  [SMALL_STATE(2821)] = 54073,
  [SMALL_STATE(2822)] = 54133,
  [SMALL_STATE(2823)] = 54195,
  [SMALL_STATE(2824)] = 54255,
  [SMALL_STATE(2825)] = 54315,
  [SMALL_STATE(2826)] = 54381,
  [SMALL_STATE(2827)] = 54469,
  [SMALL_STATE(2828)] = 54527,
  [SMALL_STATE(2829)] = 54585,
  [SMALL_STATE(2830)] = 54643,
  [SMALL_STATE(2831)] = 54737,
  [SMALL_STATE(2832)] = 54794,
  [SMALL_STATE(2833)] = 54887,
  [SMALL_STATE(2834)] = 54944,
  [SMALL_STATE(2835)] = 55001,
  [SMALL_STATE(2836)] = 55058,
  [SMALL_STATE(2837)] = 55147,
  [SMALL_STATE(2838)] = 55204,
  [SMALL_STATE(2839)] = 55261,
  [SMALL_STATE(2840)] = 55328,
  [SMALL_STATE(2841)] = 55385,
  [SMALL_STATE(2842)] = 55442,
  [SMALL_STATE(2843)] = 55499,
  [SMALL_STATE(2844)] = 55556,
  [SMALL_STATE(2845)] = 55613,
  [SMALL_STATE(2846)] = 55672,
  [SMALL_STATE(2847)] = 55729,
  [SMALL_STATE(2848)] = 55786,
  [SMALL_STATE(2849)] = 55843,
  [SMALL_STATE(2850)] = 55902,
  [SMALL_STATE(2851)] = 55981,
  [SMALL_STATE(2852)] = 56042,
  [SMALL_STATE(2853)] = 56105,
  [SMALL_STATE(2854)] = 56184,
  [SMALL_STATE(2855)] = 56265,
  [SMALL_STATE(2856)] = 56322,
  [SMALL_STATE(2857)] = 56393,
  [SMALL_STATE(2858)] = 56458,
  [SMALL_STATE(2859)] = 56525,
  [SMALL_STATE(2860)] = 56584,
  [SMALL_STATE(2861)] = 56643,
  [SMALL_STATE(2862)] = 56704,
  [SMALL_STATE(2863)] = 56763,
  [SMALL_STATE(2864)] = 56852,
  [SMALL_STATE(2865)] = 56911,
  [SMALL_STATE(2866)] = 56968,
  [SMALL_STATE(2867)] = 57025,
  [SMALL_STATE(2868)] = 57082,
  [SMALL_STATE(2869)] = 57139,
  [SMALL_STATE(2870)] = 57196,
  [SMALL_STATE(2871)] = 57253,
  [SMALL_STATE(2872)] = 57310,
  [SMALL_STATE(2873)] = 57375,
  [SMALL_STATE(2874)] = 57432,
  [SMALL_STATE(2875)] = 57489,
  [SMALL_STATE(2876)] = 57546,
  [SMALL_STATE(2877)] = 57639,
  [SMALL_STATE(2878)] = 57696,
  [SMALL_STATE(2879)] = 57753,
  [SMALL_STATE(2880)] = 57810,
  [SMALL_STATE(2881)] = 57867,
  [SMALL_STATE(2882)] = 57924,
  [SMALL_STATE(2883)] = 57981,
  [SMALL_STATE(2884)] = 58038,
  [SMALL_STATE(2885)] = 58095,
  [SMALL_STATE(2886)] = 58152,
  [SMALL_STATE(2887)] = 58209,
  [SMALL_STATE(2888)] = 58266,
  [SMALL_STATE(2889)] = 58323,
  [SMALL_STATE(2890)] = 58380,
  [SMALL_STATE(2891)] = 58437,
  [SMALL_STATE(2892)] = 58494,
  [SMALL_STATE(2893)] = 58555,
  [SMALL_STATE(2894)] = 58614,
  [SMALL_STATE(2895)] = 58673,
  [SMALL_STATE(2896)] = 58740,
  [SMALL_STATE(2897)] = 58805,
  [SMALL_STATE(2898)] = 58876,
  [SMALL_STATE(2899)] = 58957,
  [SMALL_STATE(2900)] = 59036,
  [SMALL_STATE(2901)] = 59099,
  [SMALL_STATE(2902)] = 59178,
  [SMALL_STATE(2903)] = 59237,
  [SMALL_STATE(2904)] = 59294,
  [SMALL_STATE(2905)] = 59351,
  [SMALL_STATE(2906)] = 59442,
  [SMALL_STATE(2907)] = 59531,
  [SMALL_STATE(2908)] = 59618,
  [SMALL_STATE(2909)] = 59709,
  [SMALL_STATE(2910)] = 59798,
  [SMALL_STATE(2911)] = 59887,
  [SMALL_STATE(2912)] = 59974,
  [SMALL_STATE(2913)] = 60063,
  [SMALL_STATE(2914)] = 60152,
  [SMALL_STATE(2915)] = 60209,
  [SMALL_STATE(2916)] = 60266,
  [SMALL_STATE(2917)] = 60323,
  [SMALL_STATE(2918)] = 60380,
  [SMALL_STATE(2919)] = 60437,
  [SMALL_STATE(2920)] = 60494,
  [SMALL_STATE(2921)] = 60551,
  [SMALL_STATE(2922)] = 60608,
  [SMALL_STATE(2923)] = 60665,
  [SMALL_STATE(2924)] = 60722,
  [SMALL_STATE(2925)] = 60779,
  [SMALL_STATE(2926)] = 60836,
  [SMALL_STATE(2927)] = 60893,
  [SMALL_STATE(2928)] = 60982,
  [SMALL_STATE(2929)] = 61071,
  [SMALL_STATE(2930)] = 61128,
  [SMALL_STATE(2931)] = 61185,
  [SMALL_STATE(2932)] = 61242,
  [SMALL_STATE(2933)] = 61299,
  [SMALL_STATE(2934)] = 61356,
  [SMALL_STATE(2935)] = 61413,
  [SMALL_STATE(2936)] = 61470,
  [SMALL_STATE(2937)] = 61527,
  [SMALL_STATE(2938)] = 61594,
  [SMALL_STATE(2939)] = 61685,
  [SMALL_STATE(2940)] = 61742,
  [SMALL_STATE(2941)] = 61807,
  [SMALL_STATE(2942)] = 61864,
  [SMALL_STATE(2943)] = 61921,
  [SMALL_STATE(2944)] = 61978,
  [SMALL_STATE(2945)] = 62035,
  [SMALL_STATE(2946)] = 62130,
  [SMALL_STATE(2947)] = 62187,
  [SMALL_STATE(2948)] = 62246,
  [SMALL_STATE(2949)] = 62303,
  [SMALL_STATE(2950)] = 62366,
  [SMALL_STATE(2951)] = 62455,
  [SMALL_STATE(2952)] = 62512,
  [SMALL_STATE(2953)] = 62601,
  [SMALL_STATE(2954)] = 62688,
  [SMALL_STATE(2955)] = 62777,
  [SMALL_STATE(2956)] = 62834,
  [SMALL_STATE(2957)] = 62891,
  [SMALL_STATE(2958)] = 62948,
  [SMALL_STATE(2959)] = 63005,
  [SMALL_STATE(2960)] = 63070,
  [SMALL_STATE(2961)] = 63127,
  [SMALL_STATE(2962)] = 63184,
  [SMALL_STATE(2963)] = 63241,
  [SMALL_STATE(2964)] = 63298,
  [SMALL_STATE(2965)] = 63387,
  [SMALL_STATE(2966)] = 63476,
  [SMALL_STATE(2967)] = 63533,
  [SMALL_STATE(2968)] = 63590,
  [SMALL_STATE(2969)] = 63647,
  [SMALL_STATE(2970)] = 63704,
  [SMALL_STATE(2971)] = 63761,
  [SMALL_STATE(2972)] = 63818,
  [SMALL_STATE(2973)] = 63875,
  [SMALL_STATE(2974)] = 63932,
  [SMALL_STATE(2975)] = 63989,
  [SMALL_STATE(2976)] = 64046,
  [SMALL_STATE(2977)] = 64103,
  [SMALL_STATE(2978)] = 64160,
  [SMALL_STATE(2979)] = 64217,
  [SMALL_STATE(2980)] = 64274,
  [SMALL_STATE(2981)] = 64331,
  [SMALL_STATE(2982)] = 64388,
  [SMALL_STATE(2983)] = 64445,
  [SMALL_STATE(2984)] = 64502,
  [SMALL_STATE(2985)] = 64559,
  [SMALL_STATE(2986)] = 64616,
  [SMALL_STATE(2987)] = 64673,
  [SMALL_STATE(2988)] = 64734,
  [SMALL_STATE(2989)] = 64791,
  [SMALL_STATE(2990)] = 64848,
  [SMALL_STATE(2991)] = 64905,
  [SMALL_STATE(2992)] = 64962,
  [SMALL_STATE(2993)] = 65019,
  [SMALL_STATE(2994)] = 65076,
  [SMALL_STATE(2995)] = 65133,
  [SMALL_STATE(2996)] = 65190,
  [SMALL_STATE(2997)] = 65247,
  [SMALL_STATE(2998)] = 65304,
  [SMALL_STATE(2999)] = 65361,
  [SMALL_STATE(3000)] = 65418,
  [SMALL_STATE(3001)] = 65475,
  [SMALL_STATE(3002)] = 65532,
  [SMALL_STATE(3003)] = 65589,
  [SMALL_STATE(3004)] = 65646,
  [SMALL_STATE(3005)] = 65703,
  [SMALL_STATE(3006)] = 65760,
  [SMALL_STATE(3007)] = 65817,
  [SMALL_STATE(3008)] = 65874,
  [SMALL_STATE(3009)] = 65931,
  [SMALL_STATE(3010)] = 65988,
  [SMALL_STATE(3011)] = 66045,
  [SMALL_STATE(3012)] = 66110,
  [SMALL_STATE(3013)] = 66167,
  [SMALL_STATE(3014)] = 66254,
  [SMALL_STATE(3015)] = 66347,
  [SMALL_STATE(3016)] = 66404,
  [SMALL_STATE(3017)] = 66461,
  [SMALL_STATE(3018)] = 66518,
  [SMALL_STATE(3019)] = 66575,
  [SMALL_STATE(3020)] = 66632,
  [SMALL_STATE(3021)] = 66689,
  [SMALL_STATE(3022)] = 66746,
  [SMALL_STATE(3023)] = 66803,
  [SMALL_STATE(3024)] = 66860,
  [SMALL_STATE(3025)] = 66917,
  [SMALL_STATE(3026)] = 66974,
  [SMALL_STATE(3027)] = 67031,
  [SMALL_STATE(3028)] = 67124,
  [SMALL_STATE(3029)] = 67181,
  [SMALL_STATE(3030)] = 67238,
  [SMALL_STATE(3031)] = 67295,
  [SMALL_STATE(3032)] = 67352,
  [SMALL_STATE(3033)] = 67409,
  [SMALL_STATE(3034)] = 67466,
  [SMALL_STATE(3035)] = 67523,
  [SMALL_STATE(3036)] = 67580,
  [SMALL_STATE(3037)] = 67637,
  [SMALL_STATE(3038)] = 67695,
  [SMALL_STATE(3039)] = 67787,
  [SMALL_STATE(3040)] = 67875,
  [SMALL_STATE(3041)] = 67963,
  [SMALL_STATE(3042)] = 68049,
  [SMALL_STATE(3043)] = 68137,
  [SMALL_STATE(3044)] = 68199,
  [SMALL_STATE(3045)] = 68257,
  [SMALL_STATE(3046)] = 68321,
  [SMALL_STATE(3047)] = 68409,
  [SMALL_STATE(3048)] = 68469,
  [SMALL_STATE(3049)] = 68527,
  [SMALL_STATE(3050)] = 68585,
  [SMALL_STATE(3051)] = 68643,
  [SMALL_STATE(3052)] = 68703,
  [SMALL_STATE(3053)] = 68759,
  [SMALL_STATE(3054)] = 68847,
  [SMALL_STATE(3055)] = 68905,
  [SMALL_STATE(3056)] = 68961,
  [SMALL_STATE(3057)] = 69019,
  [SMALL_STATE(3058)] = 69085,
  [SMALL_STATE(3059)] = 69143,
  [SMALL_STATE(3060)] = 69201,
  [SMALL_STATE(3061)] = 69265,
  [SMALL_STATE(3062)] = 69335,
  [SMALL_STATE(3063)] = 69431,
  [SMALL_STATE(3064)] = 69489,
  [SMALL_STATE(3065)] = 69569,
  [SMALL_STATE(3066)] = 69633,
  [SMALL_STATE(3067)] = 69725,
  [SMALL_STATE(3068)] = 69823,
  [SMALL_STATE(3069)] = 69879,
  [SMALL_STATE(3070)] = 69937,
  [SMALL_STATE(3071)] = 70015,
  [SMALL_STATE(3072)] = 70077,
  [SMALL_STATE(3073)] = 70155,
  [SMALL_STATE(3074)] = 70217,
  [SMALL_STATE(3075)] = 70275,
  [SMALL_STATE(3076)] = 70333,
  [SMALL_STATE(3077)] = 70393,
  [SMALL_STATE(3078)] = 70449,
  [SMALL_STATE(3079)] = 70511,
  [SMALL_STATE(3080)] = 70577,
  [SMALL_STATE(3081)] = 70663,
  [SMALL_STATE(3082)] = 70753,
  [SMALL_STATE(3083)] = 70847,
  [SMALL_STATE(3084)] = 70937,
  [SMALL_STATE(3085)] = 71010,
  [SMALL_STATE(3086)] = 71083,
  [SMALL_STATE(3087)] = 71170,
  [SMALL_STATE(3088)] = 71261,
  [SMALL_STATE(3089)] = 71334,
  [SMALL_STATE(3090)] = 71405,
  [SMALL_STATE(3091)] = 71468,
  [SMALL_STATE(3092)] = 71559,
  [SMALL_STATE(3093)] = 71646,
  [SMALL_STATE(3094)] = 71717,
  [SMALL_STATE(3095)] = 71790,
  [SMALL_STATE(3096)] = 71847,
  [SMALL_STATE(3097)] = 71938,
  [SMALL_STATE(3098)] = 72029,
  [SMALL_STATE(3099)] = 72102,
  [SMALL_STATE(3100)] = 72173,
  [SMALL_STATE(3101)] = 72244,
  [SMALL_STATE(3102)] = 72315,
  [SMALL_STATE(3103)] = 72388,
  [SMALL_STATE(3104)] = 72461,
  [SMALL_STATE(3105)] = 72538,
  [SMALL_STATE(3106)] = 72599,
  [SMALL_STATE(3107)] = 72676,
  [SMALL_STATE(3108)] = 72755,
  [SMALL_STATE(3109)] = 72826,
  [SMALL_STATE(3110)] = 72919,
  [SMALL_STATE(3111)] = 73010,
  [SMALL_STATE(3112)] = 73099,
  [SMALL_STATE(3113)] = 73184,
  [SMALL_STATE(3114)] = 73253,
  [SMALL_STATE(3115)] = 73316,
  [SMALL_STATE(3116)] = 73405,
  [SMALL_STATE(3117)] = 73478,
  [SMALL_STATE(3118)] = 73549,
  [SMALL_STATE(3119)] = 73614,
  [SMALL_STATE(3120)] = 73671,
  [SMALL_STATE(3121)] = 73758,
  [SMALL_STATE(3122)] = 73815,
  [SMALL_STATE(3123)] = 73874,
  [SMALL_STATE(3124)] = 73947,
  [SMALL_STATE(3125)] = 74018,
  [SMALL_STATE(3126)] = 74105,
  [SMALL_STATE(3127)] = 74178,
  [SMALL_STATE(3128)] = 74269,
  [SMALL_STATE(3129)] = 74356,
  [SMALL_STATE(3130)] = 74427,
  [SMALL_STATE(3131)] = 74500,
  [SMALL_STATE(3132)] = 74571,
  [SMALL_STATE(3133)] = 74658,
  [SMALL_STATE(3134)] = 74731,
  [SMALL_STATE(3135)] = 74794,
  [SMALL_STATE(3136)] = 74853,
  [SMALL_STATE(3137)] = 74926,
  [SMALL_STATE(3138)] = 74999,
  [SMALL_STATE(3139)] = 75056,
  [SMALL_STATE(3140)] = 75113,
  [SMALL_STATE(3141)] = 75170,
  [SMALL_STATE(3142)] = 75233,
  [SMALL_STATE(3143)] = 75292,
  [SMALL_STATE(3144)] = 75351,
  [SMALL_STATE(3145)] = 75442,
  [SMALL_STATE(3146)] = 75499,
  [SMALL_STATE(3147)] = 75560,
  [SMALL_STATE(3148)] = 75617,
  [SMALL_STATE(3149)] = 75674,
  [SMALL_STATE(3150)] = 75765,
  [SMALL_STATE(3151)] = 75850,
  [SMALL_STATE(3152)] = 75937,
  [SMALL_STATE(3153)] = 76008,
  [SMALL_STATE(3154)] = 76081,
  [SMALL_STATE(3155)] = 76170,
  [SMALL_STATE(3156)] = 76257,
  [SMALL_STATE(3157)] = 76344,
  [SMALL_STATE(3158)] = 76407,
  [SMALL_STATE(3159)] = 76464,
  [SMALL_STATE(3160)] = 76521,
  [SMALL_STATE(3161)] = 76608,
  [SMALL_STATE(3162)] = 76695,
  [SMALL_STATE(3163)] = 76782,
  [SMALL_STATE(3164)] = 76853,
  [SMALL_STATE(3165)] = 76926,
  [SMALL_STATE(3166)] = 76999,
  [SMALL_STATE(3167)] = 77085,
  [SMALL_STATE(3168)] = 77141,
  [SMALL_STATE(3169)] = 77227,
  [SMALL_STATE(3170)] = 77287,
  [SMALL_STATE(3171)] = 77341,
  [SMALL_STATE(3172)] = 77395,
  [SMALL_STATE(3173)] = 77481,
  [SMALL_STATE(3174)] = 77537,
  [SMALL_STATE(3175)] = 77621,
  [SMALL_STATE(3176)] = 77707,
  [SMALL_STATE(3177)] = 77771,
  [SMALL_STATE(3178)] = 77833,
  [SMALL_STATE(3179)] = 77919,
  [SMALL_STATE(3180)] = 77975,
  [SMALL_STATE(3181)] = 78031,
  [SMALL_STATE(3182)] = 78087,
  [SMALL_STATE(3183)] = 78141,
  [SMALL_STATE(3184)] = 78195,
  [SMALL_STATE(3185)] = 78287,
  [SMALL_STATE(3186)] = 78345,
  [SMALL_STATE(3187)] = 78431,
  [SMALL_STATE(3188)] = 78523,
  [SMALL_STATE(3189)] = 78611,
  [SMALL_STATE(3190)] = 78697,
  [SMALL_STATE(3191)] = 78787,
  [SMALL_STATE(3192)] = 78875,
  [SMALL_STATE(3193)] = 78961,
  [SMALL_STATE(3194)] = 79017,
  [SMALL_STATE(3195)] = 79073,
  [SMALL_STATE(3196)] = 79127,
  [SMALL_STATE(3197)] = 79211,
  [SMALL_STATE(3198)] = 79287,
  [SMALL_STATE(3199)] = 79373,
  [SMALL_STATE(3200)] = 79429,
  [SMALL_STATE(3201)] = 79513,
  [SMALL_STATE(3202)] = 79599,
  [SMALL_STATE(3203)] = 79657,
  [SMALL_STATE(3204)] = 79713,
  [SMALL_STATE(3205)] = 79769,
  [SMALL_STATE(3206)] = 79833,
  [SMALL_STATE(3207)] = 79895,
  [SMALL_STATE(3208)] = 79955,
  [SMALL_STATE(3209)] = 80031,
  [SMALL_STATE(3210)] = 80121,
  [SMALL_STATE(3211)] = 80205,
  [SMALL_STATE(3212)] = 80261,
  [SMALL_STATE(3213)] = 80315,
  [SMALL_STATE(3214)] = 80383,
  [SMALL_STATE(3215)] = 80441,
  [SMALL_STATE(3216)] = 80509,
  [SMALL_STATE(3217)] = 80587,
  [SMALL_STATE(3218)] = 80663,
  [SMALL_STATE(3219)] = 80723,
  [SMALL_STATE(3220)] = 80799,
  [SMALL_STATE(3221)] = 80855,
  [SMALL_STATE(3222)] = 80945,
  [SMALL_STATE(3223)] = 81023,
  [SMALL_STATE(3224)] = 81079,
  [SMALL_STATE(3225)] = 81173,
  [SMALL_STATE(3226)] = 81229,
  [SMALL_STATE(3227)] = 81315,
  [SMALL_STATE(3228)] = 81403,
  [SMALL_STATE(3229)] = 81471,
  [SMALL_STATE(3230)] = 81557,
  [SMALL_STATE(3231)] = 81613,
  [SMALL_STATE(3232)] = 81669,
  [SMALL_STATE(3233)] = 81731,
  [SMALL_STATE(3234)] = 81821,
  [SMALL_STATE(3235)] = 81913,
  [SMALL_STATE(3236)] = 81977,
  [SMALL_STATE(3237)] = 82033,
  [SMALL_STATE(3238)] = 82095,
  [SMALL_STATE(3239)] = 82163,
  [SMALL_STATE(3240)] = 82219,
  [SMALL_STATE(3241)] = 82305,
  [SMALL_STATE(3242)] = 82367,
  [SMALL_STATE(3243)] = 82423,
  [SMALL_STATE(3244)] = 82507,
  [SMALL_STATE(3245)] = 82571,
  [SMALL_STATE(3246)] = 82657,
  [SMALL_STATE(3247)] = 82713,
  [SMALL_STATE(3248)] = 82769,
  [SMALL_STATE(3249)] = 82825,
  [SMALL_STATE(3250)] = 82881,
  [SMALL_STATE(3251)] = 82939,
  [SMALL_STATE(3252)] = 83025,
  [SMALL_STATE(3253)] = 83103,
  [SMALL_STATE(3254)] = 83159,
  [SMALL_STATE(3255)] = 83215,
  [SMALL_STATE(3256)] = 83291,
  [SMALL_STATE(3257)] = 83379,
  [SMALL_STATE(3258)] = 83435,
  [SMALL_STATE(3259)] = 83489,
  [SMALL_STATE(3260)] = 83543,
  [SMALL_STATE(3261)] = 83603,
  [SMALL_STATE(3262)] = 83679,
  [SMALL_STATE(3263)] = 83763,
  [SMALL_STATE(3264)] = 83849,
  [SMALL_STATE(3265)] = 83907,
  [SMALL_STATE(3266)] = 83985,
  [SMALL_STATE(3267)] = 84061,
  [SMALL_STATE(3268)] = 84121,
  [SMALL_STATE(3269)] = 84197,
  [SMALL_STATE(3270)] = 84253,
  [SMALL_STATE(3271)] = 84341,
  [SMALL_STATE(3272)] = 84397,
  [SMALL_STATE(3273)] = 84453,
  [SMALL_STATE(3274)] = 84509,
  [SMALL_STATE(3275)] = 84593,
  [SMALL_STATE(3276)] = 84649,
  [SMALL_STATE(3277)] = 84737,
  [SMALL_STATE(3278)] = 84825,
  [SMALL_STATE(3279)] = 84881,
  [SMALL_STATE(3280)] = 84943,
  [SMALL_STATE(3281)] = 85031,
  [SMALL_STATE(3282)] = 85085,
  [SMALL_STATE(3283)] = 85143,
  [SMALL_STATE(3284)] = 85199,
  [SMALL_STATE(3285)] = 85285,
  [SMALL_STATE(3286)] = 85341,
  [SMALL_STATE(3287)] = 85427,
  [SMALL_STATE(3288)] = 85483,
  [SMALL_STATE(3289)] = 85539,
  [SMALL_STATE(3290)] = 85625,
  [SMALL_STATE(3291)] = 85709,
  [SMALL_STATE(3292)] = 85795,
  [SMALL_STATE(3293)] = 85853,
  [SMALL_STATE(3294)] = 85907,
  [SMALL_STATE(3295)] = 85961,
  [SMALL_STATE(3296)] = 86019,
  [SMALL_STATE(3297)] = 86105,
  [SMALL_STATE(3298)] = 86191,
  [SMALL_STATE(3299)] = 86277,
  [SMALL_STATE(3300)] = 86333,
  [SMALL_STATE(3301)] = 86421,
  [SMALL_STATE(3302)] = 86507,
  [SMALL_STATE(3303)] = 86569,
  [SMALL_STATE(3304)] = 86655,
  [SMALL_STATE(3305)] = 86745,
  [SMALL_STATE(3306)] = 86833,
  [SMALL_STATE(3307)] = 86919,
  [SMALL_STATE(3308)] = 86994,
  [SMALL_STATE(3309)] = 87049,
  [SMALL_STATE(3310)] = 87102,
  [SMALL_STATE(3311)] = 87187,
  [SMALL_STATE(3312)] = 87272,
  [SMALL_STATE(3313)] = 87327,
  [SMALL_STATE(3314)] = 87390,
  [SMALL_STATE(3315)] = 87445,
  [SMALL_STATE(3316)] = 87502,
  [SMALL_STATE(3317)] = 87589,
  [SMALL_STATE(3318)] = 87682,
  [SMALL_STATE(3319)] = 87767,
  [SMALL_STATE(3320)] = 87828,
  [SMALL_STATE(3321)] = 87911,
  [SMALL_STATE(3322)] = 87964,
  [SMALL_STATE(3323)] = 88017,
  [SMALL_STATE(3324)] = 88070,
  [SMALL_STATE(3325)] = 88137,
  [SMALL_STATE(3326)] = 88192,
  [SMALL_STATE(3327)] = 88277,
  [SMALL_STATE(3328)] = 88362,
  [SMALL_STATE(3329)] = 88447,
  [SMALL_STATE(3330)] = 88530,
  [SMALL_STATE(3331)] = 88615,
  [SMALL_STATE(3332)] = 88700,
  [SMALL_STATE(3333)] = 88757,
  [SMALL_STATE(3334)] = 88810,
  [SMALL_STATE(3335)] = 88865,
  [SMALL_STATE(3336)] = 88920,
  [SMALL_STATE(3337)] = 88973,
  [SMALL_STATE(3338)] = 89028,
  [SMALL_STATE(3339)] = 89111,
  [SMALL_STATE(3340)] = 89170,
  [SMALL_STATE(3341)] = 89255,
  [SMALL_STATE(3342)] = 89338,
  [SMALL_STATE(3343)] = 89393,
  [SMALL_STATE(3344)] = 89476,
  [SMALL_STATE(3345)] = 89557,
  [SMALL_STATE(3346)] = 89640,
  [SMALL_STATE(3347)] = 89707,
  [SMALL_STATE(3348)] = 89790,
  [SMALL_STATE(3349)] = 89873,
  [SMALL_STATE(3350)] = 89966,
  [SMALL_STATE(3351)] = 90021,
  [SMALL_STATE(3352)] = 90076,
  [SMALL_STATE(3353)] = 90169,
  [SMALL_STATE(3354)] = 90224,
  [SMALL_STATE(3355)] = 90309,
  [SMALL_STATE(3356)] = 90394,
  [SMALL_STATE(3357)] = 90475,
  [SMALL_STATE(3358)] = 90562,
  [SMALL_STATE(3359)] = 90649,
  [SMALL_STATE(3360)] = 90732,
  [SMALL_STATE(3361)] = 90817,
  [SMALL_STATE(3362)] = 90874,
  [SMALL_STATE(3363)] = 90939,
  [SMALL_STATE(3364)] = 91000,
  [SMALL_STATE(3365)] = 91059,
  [SMALL_STATE(3366)] = 91148,
  [SMALL_STATE(3367)] = 91235,
  [SMALL_STATE(3368)] = 91290,
  [SMALL_STATE(3369)] = 91373,
  [SMALL_STATE(3370)] = 91460,
  [SMALL_STATE(3371)] = 91545,
  [SMALL_STATE(3372)] = 91630,
  [SMALL_STATE(3373)] = 91687,
  [SMALL_STATE(3374)] = 91772,
  [SMALL_STATE(3375)] = 91827,
  [SMALL_STATE(3376)] = 91920,
  [SMALL_STATE(3377)] = 92003,
  [SMALL_STATE(3378)] = 92058,
  [SMALL_STATE(3379)] = 92151,
  [SMALL_STATE(3380)] = 92228,
  [SMALL_STATE(3381)] = 92313,
  [SMALL_STATE(3382)] = 92398,
  [SMALL_STATE(3383)] = 92451,
  [SMALL_STATE(3384)] = 92518,
  [SMALL_STATE(3385)] = 92573,
  [SMALL_STATE(3386)] = 92648,
  [SMALL_STATE(3387)] = 92703,
  [SMALL_STATE(3388)] = 92762,
  [SMALL_STATE(3389)] = 92837,
  [SMALL_STATE(3390)] = 92892,
  [SMALL_STATE(3391)] = 92955,
  [SMALL_STATE(3392)] = 93040,
  [SMALL_STATE(3393)] = 93125,
  [SMALL_STATE(3394)] = 93182,
  [SMALL_STATE(3395)] = 93243,
  [SMALL_STATE(3396)] = 93298,
  [SMALL_STATE(3397)] = 93385,
  [SMALL_STATE(3398)] = 93440,
  [SMALL_STATE(3399)] = 93505,
  [SMALL_STATE(3400)] = 93568,
  [SMALL_STATE(3401)] = 93629,
  [SMALL_STATE(3402)] = 93694,
  [SMALL_STATE(3403)] = 93771,
  [SMALL_STATE(3404)] = 93846,
  [SMALL_STATE(3405)] = 93923,
  [SMALL_STATE(3406)] = 93998,
  [SMALL_STATE(3407)] = 94057,
  [SMALL_STATE(3408)] = 94142,
  [SMALL_STATE(3409)] = 94201,
  [SMALL_STATE(3410)] = 94276,
  [SMALL_STATE(3411)] = 94331,
  [SMALL_STATE(3412)] = 94386,
  [SMALL_STATE(3413)] = 94444,
  [SMALL_STATE(3414)] = 94504,
  [SMALL_STATE(3415)] = 94588,
  [SMALL_STATE(3416)] = 94674,
  [SMALL_STATE(3417)] = 94764,
  [SMALL_STATE(3418)] = 94844,
  [SMALL_STATE(3419)] = 94898,
  [SMALL_STATE(3420)] = 94952,
  [SMALL_STATE(3421)] = 95018,
  [SMALL_STATE(3422)] = 95072,
  [SMALL_STATE(3423)] = 95130,
  [SMALL_STATE(3424)] = 95188,
  [SMALL_STATE(3425)] = 95244,
  [SMALL_STATE(3426)] = 95320,
  [SMALL_STATE(3427)] = 95406,
  [SMALL_STATE(3428)] = 95490,
  [SMALL_STATE(3429)] = 95580,
  [SMALL_STATE(3430)] = 95662,
  [SMALL_STATE(3431)] = 95752,
  [SMALL_STATE(3432)] = 95836,
  [SMALL_STATE(3433)] = 95920,
  [SMALL_STATE(3434)] = 96002,
  [SMALL_STATE(3435)] = 96060,
  [SMALL_STATE(3436)] = 96144,
  [SMALL_STATE(3437)] = 96198,
  [SMALL_STATE(3438)] = 96282,
  [SMALL_STATE(3439)] = 96356,
  [SMALL_STATE(3440)] = 96438,
  [SMALL_STATE(3441)] = 96522,
  [SMALL_STATE(3442)] = 96606,
  [SMALL_STATE(3443)] = 96660,
  [SMALL_STATE(3444)] = 96742,
  [SMALL_STATE(3445)] = 96802,
  [SMALL_STATE(3446)] = 96854,
  [SMALL_STATE(3447)] = 96928,
  [SMALL_STATE(3448)] = 96990,
  [SMALL_STATE(3449)] = 97072,
  [SMALL_STATE(3450)] = 97126,
  [SMALL_STATE(3451)] = 97210,
  [SMALL_STATE(3452)] = 97292,
  [SMALL_STATE(3453)] = 97378,
  [SMALL_STATE(3454)] = 97468,
  [SMALL_STATE(3455)] = 97524,
  [SMALL_STATE(3456)] = 97578,
  [SMALL_STATE(3457)] = 97666,
  [SMALL_STATE(3458)] = 97722,
  [SMALL_STATE(3459)] = 97808,
  [SMALL_STATE(3460)] = 97896,
  [SMALL_STATE(3461)] = 97976,
  [SMALL_STATE(3462)] = 98058,
  [SMALL_STATE(3463)] = 98114,
  [SMALL_STATE(3464)] = 98200,
  [SMALL_STATE(3465)] = 98254,
  [SMALL_STATE(3466)] = 98308,
  [SMALL_STATE(3467)] = 98362,
  [SMALL_STATE(3468)] = 98448,
  [SMALL_STATE(3469)] = 98502,
  [SMALL_STATE(3470)] = 98576,
  [SMALL_STATE(3471)] = 98634,
  [SMALL_STATE(3472)] = 98708,
  [SMALL_STATE(3473)] = 98784,
  [SMALL_STATE(3474)] = 98850,
  [SMALL_STATE(3475)] = 98910,
  [SMALL_STATE(3476)] = 98962,
  [SMALL_STATE(3477)] = 99048,
  [SMALL_STATE(3478)] = 99110,
  [SMALL_STATE(3479)] = 99164,
  [SMALL_STATE(3480)] = 99245,
  [SMALL_STATE(3481)] = 99298,
  [SMALL_STATE(3482)] = 99357,
  [SMALL_STATE(3483)] = 99410,
  [SMALL_STATE(3484)] = 99497,
  [SMALL_STATE(3485)] = 99578,
  [SMALL_STATE(3486)] = 99661,
  [SMALL_STATE(3487)] = 99742,
  [SMALL_STATE(3488)] = 99795,
  [SMALL_STATE(3489)] = 99848,
  [SMALL_STATE(3490)] = 99901,
  [SMALL_STATE(3491)] = 99956,
  [SMALL_STATE(3492)] = 100045,
  [SMALL_STATE(3493)] = 100128,
  [SMALL_STATE(3494)] = 100201,
  [SMALL_STATE(3495)] = 100286,
  [SMALL_STATE(3496)] = 100375,
  [SMALL_STATE(3497)] = 100428,
  [SMALL_STATE(3498)] = 100509,
  [SMALL_STATE(3499)] = 100566,
  [SMALL_STATE(3500)] = 100649,
  [SMALL_STATE(3501)] = 100704,
  [SMALL_STATE(3502)] = 100777,
  [SMALL_STATE(3503)] = 100830,
  [SMALL_STATE(3504)] = 100905,
  [SMALL_STATE(3505)] = 100958,
  [SMALL_STATE(3506)] = 101011,
  [SMALL_STATE(3507)] = 101066,
  [SMALL_STATE(3508)] = 101151,
  [SMALL_STATE(3509)] = 101236,
  [SMALL_STATE(3510)] = 101319,
  [SMALL_STATE(3511)] = 101384,
  [SMALL_STATE(3512)] = 101469,
  [SMALL_STATE(3513)] = 101522,
  [SMALL_STATE(3514)] = 101577,
  [SMALL_STATE(3515)] = 101658,
  [SMALL_STATE(3516)] = 101711,
  [SMALL_STATE(3517)] = 101764,
  [SMALL_STATE(3518)] = 101845,
  [SMALL_STATE(3519)] = 101926,
  [SMALL_STATE(3520)] = 101981,
  [SMALL_STATE(3521)] = 102040,
  [SMALL_STATE(3522)] = 102123,
  [SMALL_STATE(3523)] = 102176,
  [SMALL_STATE(3524)] = 102237,
  [SMALL_STATE(3525)] = 102290,
  [SMALL_STATE(3526)] = 102375,
  [SMALL_STATE(3527)] = 102428,
  [SMALL_STATE(3528)] = 102483,
  [SMALL_STATE(3529)] = 102536,
  [SMALL_STATE(3530)] = 102591,
  [SMALL_STATE(3531)] = 102644,
  [SMALL_STATE(3532)] = 102697,
  [SMALL_STATE(3533)] = 102782,
  [SMALL_STATE(3534)] = 102865,
  [SMALL_STATE(3535)] = 102949,
  [SMALL_STATE(3536)] = 103031,
  [SMALL_STATE(3537)] = 103115,
  [SMALL_STATE(3538)] = 103179,
  [SMALL_STATE(3539)] = 103237,
  [SMALL_STATE(3540)] = 103319,
  [SMALL_STATE(3541)] = 103401,
  [SMALL_STATE(3542)] = 103481,
  [SMALL_STATE(3543)] = 103563,
  [SMALL_STATE(3544)] = 103623,
  [SMALL_STATE(3545)] = 103705,
  [SMALL_STATE(3546)] = 103785,
  [SMALL_STATE(3547)] = 103867,
  [SMALL_STATE(3548)] = 103919,
  [SMALL_STATE(3549)] = 103971,
  [SMALL_STATE(3550)] = 104053,
  [SMALL_STATE(3551)] = 104105,
  [SMALL_STATE(3552)] = 104155,
  [SMALL_STATE(3553)] = 104209,
  [SMALL_STATE(3554)] = 104297,
  [SMALL_STATE(3555)] = 104381,
  [SMALL_STATE(3556)] = 104431,
  [SMALL_STATE(3557)] = 104511,
  [SMALL_STATE(3558)] = 104595,
  [SMALL_STATE(3559)] = 104647,
  [SMALL_STATE(3560)] = 104721,
  [SMALL_STATE(3561)] = 104807,
  [SMALL_STATE(3562)] = 104859,
  [SMALL_STATE(3563)] = 104931,
  [SMALL_STATE(3564)] = 105015,
  [SMALL_STATE(3565)] = 105071,
  [SMALL_STATE(3566)] = 105143,
  [SMALL_STATE(3567)] = 105225,
  [SMALL_STATE(3568)] = 105305,
  [SMALL_STATE(3569)] = 105361,
  [SMALL_STATE(3570)] = 105415,
  [SMALL_STATE(3571)] = 105495,
  [SMALL_STATE(3572)] = 105559,
  [SMALL_STATE(3573)] = 105639,
  [SMALL_STATE(3574)] = 105691,
  [SMALL_STATE(3575)] = 105775,
  [SMALL_STATE(3576)] = 105827,
  [SMALL_STATE(3577)] = 105911,
  [SMALL_STATE(3578)] = 105995,
  [SMALL_STATE(3579)] = 106075,
  [SMALL_STATE(3580)] = 106157,
  [SMALL_STATE(3581)] = 106239,
  [SMALL_STATE(3582)] = 106291,
  [SMALL_STATE(3583)] = 106343,
  [SMALL_STATE(3584)] = 106399,
  [SMALL_STATE(3585)] = 106483,
  [SMALL_STATE(3586)] = 106535,
  [SMALL_STATE(3587)] = 106621,
  [SMALL_STATE(3588)] = 106703,
  [SMALL_STATE(3589)] = 106783,
  [SMALL_STATE(3590)] = 106863,
  [SMALL_STATE(3591)] = 106951,
  [SMALL_STATE(3592)] = 107039,
  [SMALL_STATE(3593)] = 107125,
  [SMALL_STATE(3594)] = 107211,
  [SMALL_STATE(3595)] = 107263,
  [SMALL_STATE(3596)] = 107343,
  [SMALL_STATE(3597)] = 107423,
  [SMALL_STATE(3598)] = 107501,
  [SMALL_STATE(3599)] = 107581,
  [SMALL_STATE(3600)] = 107635,
  [SMALL_STATE(3601)] = 107713,
  [SMALL_STATE(3602)] = 107793,
  [SMALL_STATE(3603)] = 107873,
  [SMALL_STATE(3604)] = 107953,
  [SMALL_STATE(3605)] = 108007,
  [SMALL_STATE(3606)] = 108087,
  [SMALL_STATE(3607)] = 108139,
  [SMALL_STATE(3608)] = 108209,
  [SMALL_STATE(3609)] = 108289,
  [SMALL_STATE(3610)] = 108341,
  [SMALL_STATE(3611)] = 108413,
  [SMALL_STATE(3612)] = 108469,
  [SMALL_STATE(3613)] = 108541,
  [SMALL_STATE(3614)] = 108595,
  [SMALL_STATE(3615)] = 108675,
  [SMALL_STATE(3616)] = 108757,
  [SMALL_STATE(3617)] = 108837,
  [SMALL_STATE(3618)] = 108911,
  [SMALL_STATE(3619)] = 108961,
  [SMALL_STATE(3620)] = 109015,
  [SMALL_STATE(3621)] = 109095,
  [SMALL_STATE(3622)] = 109159,
  [SMALL_STATE(3623)] = 109237,
  [SMALL_STATE(3624)] = 109295,
  [SMALL_STATE(3625)] = 109375,
  [SMALL_STATE(3626)] = 109455,
  [SMALL_STATE(3627)] = 109507,
  [SMALL_STATE(3628)] = 109593,
  [SMALL_STATE(3629)] = 109653,
  [SMALL_STATE(3630)] = 109733,
  [SMALL_STATE(3631)] = 109785,
  [SMALL_STATE(3632)] = 109837,
  [SMALL_STATE(3633)] = 109891,
  [SMALL_STATE(3634)] = 109971,
  [SMALL_STATE(3635)] = 110055,
  [SMALL_STATE(3636)] = 110107,
  [SMALL_STATE(3637)] = 110159,
  [SMALL_STATE(3638)] = 110249,
  [SMALL_STATE(3639)] = 110327,
  [SMALL_STATE(3640)] = 110399,
  [SMALL_STATE(3641)] = 110455,
  [SMALL_STATE(3642)] = 110527,
  [SMALL_STATE(3643)] = 110601,
  [SMALL_STATE(3644)] = 110665,
  [SMALL_STATE(3645)] = 110723,
  [SMALL_STATE(3646)] = 110777,
  [SMALL_STATE(3647)] = 110837,
  [SMALL_STATE(3648)] = 110889,
  [SMALL_STATE(3649)] = 110941,
  [SMALL_STATE(3650)] = 110993,
  [SMALL_STATE(3651)] = 111047,
  [SMALL_STATE(3652)] = 111099,
  [SMALL_STATE(3653)] = 111151,
  [SMALL_STATE(3654)] = 111203,
  [SMALL_STATE(3655)] = 111283,
  [SMALL_STATE(3656)] = 111365,
  [SMALL_STATE(3657)] = 111435,
  [SMALL_STATE(3658)] = 111519,
  [SMALL_STATE(3659)] = 111573,
  [SMALL_STATE(3660)] = 111655,
  [SMALL_STATE(3661)] = 111735,
  [SMALL_STATE(3662)] = 111787,
  [SMALL_STATE(3663)] = 111841,
  [SMALL_STATE(3664)] = 111923,
  [SMALL_STATE(3665)] = 112005,
  [SMALL_STATE(3666)] = 112055,
  [SMALL_STATE(3667)] = 112127,
  [SMALL_STATE(3668)] = 112183,
  [SMALL_STATE(3669)] = 112255,
  [SMALL_STATE(3670)] = 112333,
  [SMALL_STATE(3671)] = 112385,
  [SMALL_STATE(3672)] = 112469,
  [SMALL_STATE(3673)] = 112519,
  [SMALL_STATE(3674)] = 112569,
  [SMALL_STATE(3675)] = 112621,
  [SMALL_STATE(3676)] = 112695,
  [SMALL_STATE(3677)] = 112747,
  [SMALL_STATE(3678)] = 112825,
  [SMALL_STATE(3679)] = 112909,
  [SMALL_STATE(3680)] = 112993,
  [SMALL_STATE(3681)] = 113045,
  [SMALL_STATE(3682)] = 113117,
  [SMALL_STATE(3683)] = 113173,
  [SMALL_STATE(3684)] = 113245,
  [SMALL_STATE(3685)] = 113319,
  [SMALL_STATE(3686)] = 113377,
  [SMALL_STATE(3687)] = 113441,
  [SMALL_STATE(3688)] = 113525,
  [SMALL_STATE(3689)] = 113583,
  [SMALL_STATE(3690)] = 113643,
  [SMALL_STATE(3691)] = 113703,
  [SMALL_STATE(3692)] = 113755,
  [SMALL_STATE(3693)] = 113806,
  [SMALL_STATE(3694)] = 113857,
  [SMALL_STATE(3695)] = 113912,
  [SMALL_STATE(3696)] = 113983,
  [SMALL_STATE(3697)] = 114036,
  [SMALL_STATE(3698)] = 114117,
  [SMALL_STATE(3699)] = 114168,
  [SMALL_STATE(3700)] = 114219,
  [SMALL_STATE(3701)] = 114302,
  [SMALL_STATE(3702)] = 114383,
  [SMALL_STATE(3703)] = 114462,
  [SMALL_STATE(3704)] = 114521,
  [SMALL_STATE(3705)] = 114600,
  [SMALL_STATE(3706)] = 114679,
  [SMALL_STATE(3707)] = 114736,
  [SMALL_STATE(3708)] = 114799,
  [SMALL_STATE(3709)] = 114878,
  [SMALL_STATE(3710)] = 114957,
  [SMALL_STATE(3711)] = 115030,
  [SMALL_STATE(3712)] = 115081,
  [SMALL_STATE(3713)] = 115162,
  [SMALL_STATE(3714)] = 115243,
  [SMALL_STATE(3715)] = 115324,
  [SMALL_STATE(3716)] = 115375,
  [SMALL_STATE(3717)] = 115426,
  [SMALL_STATE(3718)] = 115505,
  [SMALL_STATE(3719)] = 115584,
  [SMALL_STATE(3720)] = 115635,
  [SMALL_STATE(3721)] = 115686,
  [SMALL_STATE(3722)] = 115763,
  [SMALL_STATE(3723)] = 115846,
  [SMALL_STATE(3724)] = 115929,
  [SMALL_STATE(3725)] = 116008,
  [SMALL_STATE(3726)] = 116059,
  [SMALL_STATE(3727)] = 116112,
  [SMALL_STATE(3728)] = 116183,
  [SMALL_STATE(3729)] = 116262,
  [SMALL_STATE(3730)] = 116317,
  [SMALL_STATE(3731)] = 116370,
  [SMALL_STATE(3732)] = 116421,
  [SMALL_STATE(3733)] = 116472,
  [SMALL_STATE(3734)] = 116553,
  [SMALL_STATE(3735)] = 116612,
  [SMALL_STATE(3736)] = 116689,
  [SMALL_STATE(3737)] = 116742,
  [SMALL_STATE(3738)] = 116793,
  [SMALL_STATE(3739)] = 116850,
  [SMALL_STATE(3740)] = 116913,
  [SMALL_STATE(3741)] = 116992,
  [SMALL_STATE(3742)] = 117065,
  [SMALL_STATE(3743)] = 117136,
  [SMALL_STATE(3744)] = 117191,
  [SMALL_STATE(3745)] = 117262,
  [SMALL_STATE(3746)] = 117313,
  [SMALL_STATE(3747)] = 117364,
  [SMALL_STATE(3748)] = 117423,
  [SMALL_STATE(3749)] = 117480,
  [SMALL_STATE(3750)] = 117559,
  [SMALL_STATE(3751)] = 117610,
  [SMALL_STATE(3752)] = 117673,
  [SMALL_STATE(3753)] = 117746,
  [SMALL_STATE(3754)] = 117831,
  [SMALL_STATE(3755)] = 117882,
  [SMALL_STATE(3756)] = 117953,
  [SMALL_STATE(3757)] = 118032,
  [SMALL_STATE(3758)] = 118103,
  [SMALL_STATE(3759)] = 118158,
  [SMALL_STATE(3760)] = 118229,
  [SMALL_STATE(3761)] = 118280,
  [SMALL_STATE(3762)] = 118359,
  [SMALL_STATE(3763)] = 118422,
  [SMALL_STATE(3764)] = 118501,
  [SMALL_STATE(3765)] = 118580,
  [SMALL_STATE(3766)] = 118637,
  [SMALL_STATE(3767)] = 118714,
  [SMALL_STATE(3768)] = 118773,
  [SMALL_STATE(3769)] = 118824,
  [SMALL_STATE(3770)] = 118875,
  [SMALL_STATE(3771)] = 118956,
  [SMALL_STATE(3772)] = 119039,
  [SMALL_STATE(3773)] = 119090,
  [SMALL_STATE(3774)] = 119143,
  [SMALL_STATE(3775)] = 119196,
  [SMALL_STATE(3776)] = 119247,
  [SMALL_STATE(3777)] = 119334,
  [SMALL_STATE(3778)] = 119413,
  [SMALL_STATE(3779)] = 119464,
  [SMALL_STATE(3780)] = 119523,
  [SMALL_STATE(3781)] = 119580,
  [SMALL_STATE(3782)] = 119643,
  [SMALL_STATE(3783)] = 119716,
  [SMALL_STATE(3784)] = 119795,
  [SMALL_STATE(3785)] = 119866,
  [SMALL_STATE(3786)] = 119917,
  [SMALL_STATE(3787)] = 119972,
  [SMALL_STATE(3788)] = 120043,
  [SMALL_STATE(3789)] = 120094,
  [SMALL_STATE(3790)] = 120181,
  [SMALL_STATE(3791)] = 120232,
  [SMALL_STATE(3792)] = 120285,
  [SMALL_STATE(3793)] = 120368,
  [SMALL_STATE(3794)] = 120449,
  [SMALL_STATE(3795)] = 120530,
  [SMALL_STATE(3796)] = 120585,
  [SMALL_STATE(3797)] = 120664,
  [SMALL_STATE(3798)] = 120743,
  [SMALL_STATE(3799)] = 120824,
  [SMALL_STATE(3800)] = 120875,
  [SMALL_STATE(3801)] = 120926,
  [SMALL_STATE(3802)] = 120977,
  [SMALL_STATE(3803)] = 121060,
  [SMALL_STATE(3804)] = 121141,
  [SMALL_STATE(3805)] = 121224,
  [SMALL_STATE(3806)] = 121305,
  [SMALL_STATE(3807)] = 121378,
  [SMALL_STATE(3808)] = 121461,
  [SMALL_STATE(3809)] = 121532,
  [SMALL_STATE(3810)] = 121613,
  [SMALL_STATE(3811)] = 121690,
  [SMALL_STATE(3812)] = 121771,
  [SMALL_STATE(3813)] = 121850,
  [SMALL_STATE(3814)] = 121931,
  [SMALL_STATE(3815)] = 122012,
  [SMALL_STATE(3816)] = 122063,
  [SMALL_STATE(3817)] = 122144,
  [SMALL_STATE(3818)] = 122197,
  [SMALL_STATE(3819)] = 122278,
  [SMALL_STATE(3820)] = 122331,
  [SMALL_STATE(3821)] = 122384,
  [SMALL_STATE(3822)] = 122462,
  [SMALL_STATE(3823)] = 122540,
  [SMALL_STATE(3824)] = 122620,
  [SMALL_STATE(3825)] = 122700,
  [SMALL_STATE(3826)] = 122770,
  [SMALL_STATE(3827)] = 122842,
  [SMALL_STATE(3828)] = 122892,
  [SMALL_STATE(3829)] = 122972,
  [SMALL_STATE(3830)] = 123022,
  [SMALL_STATE(3831)] = 123092,
  [SMALL_STATE(3832)] = 123172,
  [SMALL_STATE(3833)] = 123252,
  [SMALL_STATE(3834)] = 123302,
  [SMALL_STATE(3835)] = 123382,
  [SMALL_STATE(3836)] = 123464,
  [SMALL_STATE(3837)] = 123552,
  [SMALL_STATE(3838)] = 123632,
  [SMALL_STATE(3839)] = 123712,
  [SMALL_STATE(3840)] = 123790,
  [SMALL_STATE(3841)] = 123868,
  [SMALL_STATE(3842)] = 123952,
  [SMALL_STATE(3843)] = 124022,
  [SMALL_STATE(3844)] = 124102,
  [SMALL_STATE(3845)] = 124184,
  [SMALL_STATE(3846)] = 124264,
  [SMALL_STATE(3847)] = 124318,
  [SMALL_STATE(3848)] = 124368,
  [SMALL_STATE(3849)] = 124452,
  [SMALL_STATE(3850)] = 124522,
  [SMALL_STATE(3851)] = 124594,
  [SMALL_STATE(3852)] = 124656,
  [SMALL_STATE(3853)] = 124734,
  [SMALL_STATE(3854)] = 124818,
  [SMALL_STATE(3855)] = 124874,
  [SMALL_STATE(3856)] = 124954,
  [SMALL_STATE(3857)] = 125034,
  [SMALL_STATE(3858)] = 125092,
  [SMALL_STATE(3859)] = 125180,
  [SMALL_STATE(3860)] = 125230,
  [SMALL_STATE(3861)] = 125280,
  [SMALL_STATE(3862)] = 125342,
  [SMALL_STATE(3863)] = 125394,
  [SMALL_STATE(3864)] = 125444,
  [SMALL_STATE(3865)] = 125494,
  [SMALL_STATE(3866)] = 125544,
  [SMALL_STATE(3867)] = 125622,
  [SMALL_STATE(3868)] = 125700,
  [SMALL_STATE(3869)] = 125782,
  [SMALL_STATE(3870)] = 125860,
  [SMALL_STATE(3871)] = 125942,
  [SMALL_STATE(3872)] = 126022,
  [SMALL_STATE(3873)] = 126076,
  [SMALL_STATE(3874)] = 126130,
  [SMALL_STATE(3875)] = 126188,
  [SMALL_STATE(3876)] = 126266,
  [SMALL_STATE(3877)] = 126316,
  [SMALL_STATE(3878)] = 126388,
  [SMALL_STATE(3879)] = 126466,
  [SMALL_STATE(3880)] = 126548,
  [SMALL_STATE(3881)] = 126632,
  [SMALL_STATE(3882)] = 126710,
  [SMALL_STATE(3883)] = 126760,
  [SMALL_STATE(3884)] = 126838,
  [SMALL_STATE(3885)] = 126888,
  [SMALL_STATE(3886)] = 126940,
  [SMALL_STATE(3887)] = 127022,
  [SMALL_STATE(3888)] = 127100,
  [SMALL_STATE(3889)] = 127182,
  [SMALL_STATE(3890)] = 127260,
  [SMALL_STATE(3891)] = 127336,
  [SMALL_STATE(3892)] = 127386,
  [SMALL_STATE(3893)] = 127456,
  [SMALL_STATE(3894)] = 127538,
  [SMALL_STATE(3895)] = 127592,
  [SMALL_STATE(3896)] = 127676,
  [SMALL_STATE(3897)] = 127754,
  [SMALL_STATE(3898)] = 127832,
  [SMALL_STATE(3899)] = 127902,
  [SMALL_STATE(3900)] = 127980,
  [SMALL_STATE(3901)] = 128032,
  [SMALL_STATE(3902)] = 128094,
  [SMALL_STATE(3903)] = 128150,
  [SMALL_STATE(3904)] = 128202,
  [SMALL_STATE(3905)] = 128260,
  [SMALL_STATE(3906)] = 128338,
  [SMALL_STATE(3907)] = 128422,
  [SMALL_STATE(3908)] = 128498,
  [SMALL_STATE(3909)] = 128554,
  [SMALL_STATE(3910)] = 128604,
  [SMALL_STATE(3911)] = 128686,
  [SMALL_STATE(3912)] = 128764,
  [SMALL_STATE(3913)] = 128848,
  [SMALL_STATE(3914)] = 128926,
  [SMALL_STATE(3915)] = 128976,
  [SMALL_STATE(3916)] = 129058,
  [SMALL_STATE(3917)] = 129140,
  [SMALL_STATE(3918)] = 129190,
  [SMALL_STATE(3919)] = 129272,
  [SMALL_STATE(3920)] = 129326,
  [SMALL_STATE(3921)] = 129408,
  [SMALL_STATE(3922)] = 129486,
  [SMALL_STATE(3923)] = 129567,
  [SMALL_STATE(3924)] = 129648,
  [SMALL_STATE(3925)] = 129729,
  [SMALL_STATE(3926)] = 129804,
  [SMALL_STATE(3927)] = 129879,
  [SMALL_STATE(3928)] = 129936,
  [SMALL_STATE(3929)] = 129991,
  [SMALL_STATE(3930)] = 130052,
  [SMALL_STATE(3931)] = 130105,
  [SMALL_STATE(3932)] = 130176,
  [SMALL_STATE(3933)] = 130255,
  [SMALL_STATE(3934)] = 130324,
  [SMALL_STATE(3935)] = 130377,
  [SMALL_STATE(3936)] = 130446,
  [SMALL_STATE(3937)] = 130495,
  [SMALL_STATE(3938)] = 130574,
  [SMALL_STATE(3939)] = 130623,
  [SMALL_STATE(3940)] = 130700,
  [SMALL_STATE(3941)] = 130751,
  [SMALL_STATE(3942)] = 130832,
  [SMALL_STATE(3943)] = 130881,
  [SMALL_STATE(3944)] = 130934,
  [SMALL_STATE(3945)] = 130983,
  [SMALL_STATE(3946)] = 131034,
  [SMALL_STATE(3947)] = 131113,
  [SMALL_STATE(3948)] = 131190,
  [SMALL_STATE(3949)] = 131271,
  [SMALL_STATE(3950)] = 131320,
  [SMALL_STATE(3951)] = 131397,
  [SMALL_STATE(3952)] = 131448,
  [SMALL_STATE(3953)] = 131525,
  [SMALL_STATE(3954)] = 131606,
  [SMALL_STATE(3955)] = 131655,
  [SMALL_STATE(3956)] = 131732,
  [SMALL_STATE(3957)] = 131811,
  [SMALL_STATE(3958)] = 131860,
  [SMALL_STATE(3959)] = 131937,
  [SMALL_STATE(3960)] = 132014,
  [SMALL_STATE(3961)] = 132093,
  [SMALL_STATE(3962)] = 132170,
  [SMALL_STATE(3963)] = 132247,
  [SMALL_STATE(3964)] = 132324,
  [SMALL_STATE(3965)] = 132375,
  [SMALL_STATE(3966)] = 132454,
  [SMALL_STATE(3967)] = 132523,
  [SMALL_STATE(3968)] = 132576,
  [SMALL_STATE(3969)] = 132659,
  [SMALL_STATE(3970)] = 132736,
  [SMALL_STATE(3971)] = 132815,
  [SMALL_STATE(3972)] = 132892,
  [SMALL_STATE(3973)] = 132961,
  [SMALL_STATE(3974)] = 133032,
  [SMALL_STATE(3975)] = 133111,
  [SMALL_STATE(3976)] = 133172,
  [SMALL_STATE(3977)] = 133227,
  [SMALL_STATE(3978)] = 133308,
  [SMALL_STATE(3979)] = 133389,
  [SMALL_STATE(3980)] = 133446,
  [SMALL_STATE(3981)] = 133495,
  [SMALL_STATE(3982)] = 133544,
  [SMALL_STATE(3983)] = 133595,
  [SMALL_STATE(3984)] = 133644,
  [SMALL_STATE(3985)] = 133693,
  [SMALL_STATE(3986)] = 133742,
  [SMALL_STATE(3987)] = 133810,
  [SMALL_STATE(3988)] = 133886,
  [SMALL_STATE(3989)] = 133962,
  [SMALL_STATE(3990)] = 134038,
  [SMALL_STATE(3991)] = 134114,
  [SMALL_STATE(3992)] = 134162,
  [SMALL_STATE(3993)] = 134240,
  [SMALL_STATE(3994)] = 134318,
  [SMALL_STATE(3995)] = 134396,
  [SMALL_STATE(3996)] = 134448,
  [SMALL_STATE(3997)] = 134524,
  [SMALL_STATE(3998)] = 134598,
  [SMALL_STATE(3999)] = 134648,
  [SMALL_STATE(4000)] = 134724,
  [SMALL_STATE(4001)] = 134800,
  [SMALL_STATE(4002)] = 134876,
  [SMALL_STATE(4003)] = 134956,
  [SMALL_STATE(4004)] = 135008,
  [SMALL_STATE(4005)] = 135058,
  [SMALL_STATE(4006)] = 135106,
  [SMALL_STATE(4007)] = 135154,
  [SMALL_STATE(4008)] = 135232,
  [SMALL_STATE(4009)] = 135310,
  [SMALL_STATE(4010)] = 135366,
  [SMALL_STATE(4011)] = 135442,
  [SMALL_STATE(4012)] = 135518,
  [SMALL_STATE(4013)] = 135568,
  [SMALL_STATE(4014)] = 135616,
  [SMALL_STATE(4015)] = 135664,
  [SMALL_STATE(4016)] = 135720,
  [SMALL_STATE(4017)] = 135796,
  [SMALL_STATE(4018)] = 135850,
  [SMALL_STATE(4019)] = 135926,
  [SMALL_STATE(4020)] = 135986,
  [SMALL_STATE(4021)] = 136056,
  [SMALL_STATE(4022)] = 136124,
  [SMALL_STATE(4023)] = 136206,
  [SMALL_STATE(4024)] = 136286,
  [SMALL_STATE(4025)] = 136362,
  [SMALL_STATE(4026)] = 136430,
  [SMALL_STATE(4027)] = 136512,
  [SMALL_STATE(4028)] = 136560,
  [SMALL_STATE(4029)] = 136636,
  [SMALL_STATE(4030)] = 136716,
  [SMALL_STATE(4031)] = 136796,
  [SMALL_STATE(4032)] = 136842,
  [SMALL_STATE(4033)] = 136918,
  [SMALL_STATE(4034)] = 136966,
  [SMALL_STATE(4035)] = 137046,
  [SMALL_STATE(4036)] = 137122,
  [SMALL_STATE(4037)] = 137198,
  [SMALL_STATE(4038)] = 137272,
  [SMALL_STATE(4039)] = 137346,
  [SMALL_STATE(4040)] = 137422,
  [SMALL_STATE(4041)] = 137498,
  [SMALL_STATE(4042)] = 137546,
  [SMALL_STATE(4043)] = 137622,
  [SMALL_STATE(4044)] = 137700,
  [SMALL_STATE(4045)] = 137760,
  [SMALL_STATE(4046)] = 137808,
  [SMALL_STATE(4047)] = 137884,
  [SMALL_STATE(4048)] = 137966,
  [SMALL_STATE(4049)] = 138016,
  [SMALL_STATE(4050)] = 138092,
  [SMALL_STATE(4051)] = 138172,
  [SMALL_STATE(4052)] = 138246,
  [SMALL_STATE(4053)] = 138300,
  [SMALL_STATE(4054)] = 138348,
  [SMALL_STATE(4055)] = 138426,
  [SMALL_STATE(4056)] = 138494,
  [SMALL_STATE(4057)] = 138576,
  [SMALL_STATE(4058)] = 138628,
  [SMALL_STATE(4059)] = 138698,
  [SMALL_STATE(4060)] = 138773,
  [SMALL_STATE(4061)] = 138852,
  [SMALL_STATE(4062)] = 138897,
  [SMALL_STATE(4063)] = 138946,
  [SMALL_STATE(4064)] = 139023,
  [SMALL_STATE(4065)] = 139102,
  [SMALL_STATE(4066)] = 139177,
  [SMALL_STATE(4067)] = 139256,
  [SMALL_STATE(4068)] = 139303,
  [SMALL_STATE(4069)] = 139350,
  [SMALL_STATE(4070)] = 139425,
  [SMALL_STATE(4071)] = 139470,
  [SMALL_STATE(4072)] = 139547,
  [SMALL_STATE(4073)] = 139622,
  [SMALL_STATE(4074)] = 139673,
  [SMALL_STATE(4075)] = 139748,
  [SMALL_STATE(4076)] = 139825,
  [SMALL_STATE(4077)] = 139904,
  [SMALL_STATE(4078)] = 139979,
  [SMALL_STATE(4079)] = 140054,
  [SMALL_STATE(4080)] = 140131,
  [SMALL_STATE(4081)] = 140186,
  [SMALL_STATE(4082)] = 140239,
  [SMALL_STATE(4083)] = 140308,
  [SMALL_STATE(4084)] = 140383,
  [SMALL_STATE(4085)] = 140458,
  [SMALL_STATE(4086)] = 140533,
  [SMALL_STATE(4087)] = 140582,
  [SMALL_STATE(4088)] = 140661,
  [SMALL_STATE(4089)] = 140728,
  [SMALL_STATE(4090)] = 140775,
  [SMALL_STATE(4091)] = 140834,
  [SMALL_STATE(4092)] = 140907,
  [SMALL_STATE(4093)] = 140982,
  [SMALL_STATE(4094)] = 141055,
  [SMALL_STATE(4095)] = 141104,
  [SMALL_STATE(4096)] = 141171,
  [SMALL_STATE(4097)] = 141248,
  [SMALL_STATE(4098)] = 141295,
  [SMALL_STATE(4099)] = 141342,
  [SMALL_STATE(4100)] = 141389,
  [SMALL_STATE(4101)] = 141444,
  [SMALL_STATE(4102)] = 141519,
  [SMALL_STATE(4103)] = 141566,
  [SMALL_STATE(4104)] = 141615,
  [SMALL_STATE(4105)] = 141670,
  [SMALL_STATE(4106)] = 141719,
  [SMALL_STATE(4107)] = 141766,
  [SMALL_STATE(4108)] = 141841,
  [SMALL_STATE(4109)] = 141894,
  [SMALL_STATE(4110)] = 141953,
  [SMALL_STATE(4111)] = 142028,
  [SMALL_STATE(4112)] = 142097,
  [SMALL_STATE(4113)] = 142174,
  [SMALL_STATE(4114)] = 142241,
  [SMALL_STATE(4115)] = 142292,
  [SMALL_STATE(4116)] = 142371,
  [SMALL_STATE(4117)] = 142444,
  [SMALL_STATE(4118)] = 142511,
  [SMALL_STATE(4119)] = 142564,
  [SMALL_STATE(4120)] = 142641,
  [SMALL_STATE(4121)] = 142688,
  [SMALL_STATE(4122)] = 142763,
  [SMALL_STATE(4123)] = 142810,
  [SMALL_STATE(4124)] = 142859,
  [SMALL_STATE(4125)] = 142934,
  [SMALL_STATE(4126)] = 142993,
  [SMALL_STATE(4127)] = 143040,
  [SMALL_STATE(4128)] = 143117,
  [SMALL_STATE(4129)] = 143164,
  [SMALL_STATE(4130)] = 143239,
  [SMALL_STATE(4131)] = 143286,
  [SMALL_STATE(4132)] = 143361,
  [SMALL_STATE(4133)] = 143436,
  [SMALL_STATE(4134)] = 143509,
  [SMALL_STATE(4135)] = 143556,
  [SMALL_STATE(4136)] = 143631,
  [SMALL_STATE(4137)] = 143706,
  [SMALL_STATE(4138)] = 143773,
  [SMALL_STATE(4139)] = 143824,
  [SMALL_STATE(4140)] = 143899,
  [SMALL_STATE(4141)] = 143974,
  [SMALL_STATE(4142)] = 144047,
  [SMALL_STATE(4143)] = 144098,
  [SMALL_STATE(4144)] = 144171,
  [SMALL_STATE(4145)] = 144248,
  [SMALL_STATE(4146)] = 144315,
  [SMALL_STATE(4147)] = 144384,
  [SMALL_STATE(4148)] = 144436,
  [SMALL_STATE(4149)] = 144508,
  [SMALL_STATE(4150)] = 144572,
  [SMALL_STATE(4151)] = 144648,
  [SMALL_STATE(4152)] = 144694,
  [SMALL_STATE(4153)] = 144742,
  [SMALL_STATE(4154)] = 144818,
  [SMALL_STATE(4155)] = 144892,
  [SMALL_STATE(4156)] = 144966,
  [SMALL_STATE(4157)] = 145040,
  [SMALL_STATE(4158)] = 145104,
  [SMALL_STATE(4159)] = 145178,
  [SMALL_STATE(4160)] = 145252,
  [SMALL_STATE(4161)] = 145326,
  [SMALL_STATE(4162)] = 145398,
  [SMALL_STATE(4163)] = 145472,
  [SMALL_STATE(4164)] = 145546,
  [SMALL_STATE(4165)] = 145592,
  [SMALL_STATE(4166)] = 145668,
  [SMALL_STATE(4167)] = 145742,
  [SMALL_STATE(4168)] = 145816,
  [SMALL_STATE(4169)] = 145892,
  [SMALL_STATE(4170)] = 145938,
  [SMALL_STATE(4171)] = 146004,
  [SMALL_STATE(4172)] = 146054,
  [SMALL_STATE(4173)] = 146120,
  [SMALL_STATE(4174)] = 146188,
  [SMALL_STATE(4175)] = 146246,
  [SMALL_STATE(4176)] = 146318,
  [SMALL_STATE(4177)] = 146370,
  [SMALL_STATE(4178)] = 146416,
  [SMALL_STATE(4179)] = 146470,
  [SMALL_STATE(4180)] = 146516,
  [SMALL_STATE(4181)] = 146562,
  [SMALL_STATE(4182)] = 146610,
  [SMALL_STATE(4183)] = 146686,
  [SMALL_STATE(4184)] = 146762,
  [SMALL_STATE(4185)] = 146836,
  [SMALL_STATE(4186)] = 146910,
  [SMALL_STATE(4187)] = 146956,
  [SMALL_STATE(4188)] = 147022,
  [SMALL_STATE(4189)] = 147072,
  [SMALL_STATE(4190)] = 147138,
  [SMALL_STATE(4191)] = 147206,
  [SMALL_STATE(4192)] = 147280,
  [SMALL_STATE(4193)] = 147338,
  [SMALL_STATE(4194)] = 147410,
  [SMALL_STATE(4195)] = 147464,
  [SMALL_STATE(4196)] = 147510,
  [SMALL_STATE(4197)] = 147556,
  [SMALL_STATE(4198)] = 147631,
  [SMALL_STATE(4199)] = 147706,
  [SMALL_STATE(4200)] = 147781,
  [SMALL_STATE(4201)] = 147856,
  [SMALL_STATE(4202)] = 147931,
  [SMALL_STATE(4203)] = 148006,
  [SMALL_STATE(4204)] = 148081,
  [SMALL_STATE(4205)] = 148156,
  [SMALL_STATE(4206)] = 148231,
  [SMALL_STATE(4207)] = 148306,
  [SMALL_STATE(4208)] = 148381,
  [SMALL_STATE(4209)] = 148424,
  [SMALL_STATE(4210)] = 148499,
  [SMALL_STATE(4211)] = 148542,
  [SMALL_STATE(4212)] = 148617,
  [SMALL_STATE(4213)] = 148692,
  [SMALL_STATE(4214)] = 148767,
  [SMALL_STATE(4215)] = 148810,
  [SMALL_STATE(4216)] = 148853,
  [SMALL_STATE(4217)] = 148928,
  [SMALL_STATE(4218)] = 148971,
  [SMALL_STATE(4219)] = 149046,
  [SMALL_STATE(4220)] = 149117,
  [SMALL_STATE(4221)] = 149162,
  [SMALL_STATE(4222)] = 149237,
  [SMALL_STATE(4223)] = 149312,
  [SMALL_STATE(4224)] = 149387,
  [SMALL_STATE(4225)] = 149430,
  [SMALL_STATE(4226)] = 149505,
  [SMALL_STATE(4227)] = 149548,
  [SMALL_STATE(4228)] = 149591,
  [SMALL_STATE(4229)] = 149666,
  [SMALL_STATE(4230)] = 149741,
  [SMALL_STATE(4231)] = 149784,
  [SMALL_STATE(4232)] = 149859,
  [SMALL_STATE(4233)] = 149934,
  [SMALL_STATE(4234)] = 149977,
  [SMALL_STATE(4235)] = 150020,
  [SMALL_STATE(4236)] = 150063,
  [SMALL_STATE(4237)] = 150138,
  [SMALL_STATE(4238)] = 150213,
  [SMALL_STATE(4239)] = 150286,
  [SMALL_STATE(4240)] = 150359,
  [SMALL_STATE(4241)] = 150432,
  [SMALL_STATE(4242)] = 150507,
  [SMALL_STATE(4243)] = 150580,
  [SMALL_STATE(4244)] = 150655,
  [SMALL_STATE(4245)] = 150730,
  [SMALL_STATE(4246)] = 150805,
  [SMALL_STATE(4247)] = 150848,
  [SMALL_STATE(4248)] = 150923,
  [SMALL_STATE(4249)] = 150998,
  [SMALL_STATE(4250)] = 151073,
  [SMALL_STATE(4251)] = 151148,
  [SMALL_STATE(4252)] = 151223,
  [SMALL_STATE(4253)] = 151296,
  [SMALL_STATE(4254)] = 151371,
  [SMALL_STATE(4255)] = 151446,
  [SMALL_STATE(4256)] = 151521,
  [SMALL_STATE(4257)] = 151596,
  [SMALL_STATE(4258)] = 151671,
  [SMALL_STATE(4259)] = 151714,
  [SMALL_STATE(4260)] = 151789,
  [SMALL_STATE(4261)] = 151864,
  [SMALL_STATE(4262)] = 151909,
  [SMALL_STATE(4263)] = 151984,
  [SMALL_STATE(4264)] = 152059,
  [SMALL_STATE(4265)] = 152134,
  [SMALL_STATE(4266)] = 152177,
  [SMALL_STATE(4267)] = 152242,
  [SMALL_STATE(4268)] = 152291,
  [SMALL_STATE(4269)] = 152366,
  [SMALL_STATE(4270)] = 152441,
  [SMALL_STATE(4271)] = 152516,
  [SMALL_STATE(4272)] = 152591,
  [SMALL_STATE(4273)] = 152656,
  [SMALL_STATE(4274)] = 152731,
  [SMALL_STATE(4275)] = 152806,
  [SMALL_STATE(4276)] = 152881,
  [SMALL_STATE(4277)] = 152956,
  [SMALL_STATE(4278)] = 153031,
  [SMALL_STATE(4279)] = 153106,
  [SMALL_STATE(4280)] = 153181,
  [SMALL_STATE(4281)] = 153256,
  [SMALL_STATE(4282)] = 153323,
  [SMALL_STATE(4283)] = 153398,
  [SMALL_STATE(4284)] = 153441,
  [SMALL_STATE(4285)] = 153516,
  [SMALL_STATE(4286)] = 153591,
  [SMALL_STATE(4287)] = 153634,
  [SMALL_STATE(4288)] = 153683,
  [SMALL_STATE(4289)] = 153758,
  [SMALL_STATE(4290)] = 153833,
  [SMALL_STATE(4291)] = 153908,
  [SMALL_STATE(4292)] = 153983,
  [SMALL_STATE(4293)] = 154056,
  [SMALL_STATE(4294)] = 154113,
  [SMALL_STATE(4295)] = 154156,
  [SMALL_STATE(4296)] = 154231,
  [SMALL_STATE(4297)] = 154306,
  [SMALL_STATE(4298)] = 154349,
  [SMALL_STATE(4299)] = 154392,
  [SMALL_STATE(4300)] = 154443,
  [SMALL_STATE(4301)] = 154486,
  [SMALL_STATE(4302)] = 154529,
  [SMALL_STATE(4303)] = 154604,
  [SMALL_STATE(4304)] = 154679,
  [SMALL_STATE(4305)] = 154754,
  [SMALL_STATE(4306)] = 154825,
  [SMALL_STATE(4307)] = 154878,
  [SMALL_STATE(4308)] = 154953,
  [SMALL_STATE(4309)] = 155000,
  [SMALL_STATE(4310)] = 155045,
  [SMALL_STATE(4311)] = 155090,
  [SMALL_STATE(4312)] = 155132,
  [SMALL_STATE(4313)] = 155174,
  [SMALL_STATE(4314)] = 155216,
  [SMALL_STATE(4315)] = 155258,
  [SMALL_STATE(4316)] = 155300,
  [SMALL_STATE(4317)] = 155342,
  [SMALL_STATE(4318)] = 155384,
  [SMALL_STATE(4319)] = 155426,
  [SMALL_STATE(4320)] = 155468,
  [SMALL_STATE(4321)] = 155510,
  [SMALL_STATE(4322)] = 155552,
  [SMALL_STATE(4323)] = 155594,
  [SMALL_STATE(4324)] = 155636,
  [SMALL_STATE(4325)] = 155678,
  [SMALL_STATE(4326)] = 155720,
  [SMALL_STATE(4327)] = 155762,
  [SMALL_STATE(4328)] = 155804,
  [SMALL_STATE(4329)] = 155846,
  [SMALL_STATE(4330)] = 155888,
  [SMALL_STATE(4331)] = 155930,
  [SMALL_STATE(4332)] = 155972,
  [SMALL_STATE(4333)] = 156014,
  [SMALL_STATE(4334)] = 156056,
  [SMALL_STATE(4335)] = 156098,
  [SMALL_STATE(4336)] = 156140,
  [SMALL_STATE(4337)] = 156182,
  [SMALL_STATE(4338)] = 156224,
  [SMALL_STATE(4339)] = 156266,
  [SMALL_STATE(4340)] = 156308,
  [SMALL_STATE(4341)] = 156350,
  [SMALL_STATE(4342)] = 156392,
  [SMALL_STATE(4343)] = 156434,
  [SMALL_STATE(4344)] = 156476,
  [SMALL_STATE(4345)] = 156518,
  [SMALL_STATE(4346)] = 156560,
  [SMALL_STATE(4347)] = 156602,
  [SMALL_STATE(4348)] = 156644,
  [SMALL_STATE(4349)] = 156686,
  [SMALL_STATE(4350)] = 156728,
  [SMALL_STATE(4351)] = 156770,
  [SMALL_STATE(4352)] = 156812,
  [SMALL_STATE(4353)] = 156854,
  [SMALL_STATE(4354)] = 156896,
  [SMALL_STATE(4355)] = 156938,
  [SMALL_STATE(4356)] = 156980,
  [SMALL_STATE(4357)] = 157022,
  [SMALL_STATE(4358)] = 157064,
  [SMALL_STATE(4359)] = 157106,
  [SMALL_STATE(4360)] = 157148,
  [SMALL_STATE(4361)] = 157190,
  [SMALL_STATE(4362)] = 157232,
  [SMALL_STATE(4363)] = 157274,
  [SMALL_STATE(4364)] = 157315,
  [SMALL_STATE(4365)] = 157356,
  [SMALL_STATE(4366)] = 157397,
  [SMALL_STATE(4367)] = 157438,
  [SMALL_STATE(4368)] = 157479,
  [SMALL_STATE(4369)] = 157519,
  [SMALL_STATE(4370)] = 157565,
  [SMALL_STATE(4371)] = 157607,
  [SMALL_STATE(4372)] = 157655,
  [SMALL_STATE(4373)] = 157695,
  [SMALL_STATE(4374)] = 157735,
  [SMALL_STATE(4375)] = 157775,
  [SMALL_STATE(4376)] = 157815,
  [SMALL_STATE(4377)] = 157861,
  [SMALL_STATE(4378)] = 157901,
  [SMALL_STATE(4379)] = 157941,
  [SMALL_STATE(4380)] = 157981,
  [SMALL_STATE(4381)] = 158029,
  [SMALL_STATE(4382)] = 158069,
  [SMALL_STATE(4383)] = 158109,
  [SMALL_STATE(4384)] = 158149,
  [SMALL_STATE(4385)] = 158189,
  [SMALL_STATE(4386)] = 158229,
  [SMALL_STATE(4387)] = 158269,
  [SMALL_STATE(4388)] = 158309,
  [SMALL_STATE(4389)] = 158349,
  [SMALL_STATE(4390)] = 158389,
  [SMALL_STATE(4391)] = 158429,
  [SMALL_STATE(4392)] = 158470,
  [SMALL_STATE(4393)] = 158509,
  [SMALL_STATE(4394)] = 158548,
  [SMALL_STATE(4395)] = 158607,
  [SMALL_STATE(4396)] = 158666,
  [SMALL_STATE(4397)] = 158705,
  [SMALL_STATE(4398)] = 158744,
  [SMALL_STATE(4399)] = 158785,
  [SMALL_STATE(4400)] = 158826,
  [SMALL_STATE(4401)] = 158865,
  [SMALL_STATE(4402)] = 158904,
  [SMALL_STATE(4403)] = 158943,
  [SMALL_STATE(4404)] = 158982,
  [SMALL_STATE(4405)] = 159021,
  [SMALL_STATE(4406)] = 159060,
  [SMALL_STATE(4407)] = 159101,
  [SMALL_STATE(4408)] = 159139,
  [SMALL_STATE(4409)] = 159177,
  [SMALL_STATE(4410)] = 159215,
  [SMALL_STATE(4411)] = 159253,
  [SMALL_STATE(4412)] = 159291,
  [SMALL_STATE(4413)] = 159329,
  [SMALL_STATE(4414)] = 159367,
  [SMALL_STATE(4415)] = 159405,
  [SMALL_STATE(4416)] = 159443,
  [SMALL_STATE(4417)] = 159481,
  [SMALL_STATE(4418)] = 159519,
  [SMALL_STATE(4419)] = 159557,
  [SMALL_STATE(4420)] = 159595,
  [SMALL_STATE(4421)] = 159633,
  [SMALL_STATE(4422)] = 159671,
  [SMALL_STATE(4423)] = 159709,
  [SMALL_STATE(4424)] = 159747,
  [SMALL_STATE(4425)] = 159785,
  [SMALL_STATE(4426)] = 159825,
  [SMALL_STATE(4427)] = 159863,
  [SMALL_STATE(4428)] = 159901,
  [SMALL_STATE(4429)] = 159939,
  [SMALL_STATE(4430)] = 159977,
  [SMALL_STATE(4431)] = 160017,
  [SMALL_STATE(4432)] = 160055,
  [SMALL_STATE(4433)] = 160093,
  [SMALL_STATE(4434)] = 160131,
  [SMALL_STATE(4435)] = 160169,
  [SMALL_STATE(4436)] = 160207,
  [SMALL_STATE(4437)] = 160245,
  [SMALL_STATE(4438)] = 160283,
  [SMALL_STATE(4439)] = 160321,
  [SMALL_STATE(4440)] = 160359,
  [SMALL_STATE(4441)] = 160397,
  [SMALL_STATE(4442)] = 160435,
  [SMALL_STATE(4443)] = 160473,
  [SMALL_STATE(4444)] = 160511,
  [SMALL_STATE(4445)] = 160549,
  [SMALL_STATE(4446)] = 160587,
  [SMALL_STATE(4447)] = 160628,
  [SMALL_STATE(4448)] = 160685,
  [SMALL_STATE(4449)] = 160742,
  [SMALL_STATE(4450)] = 160799,
  [SMALL_STATE(4451)] = 160856,
  [SMALL_STATE(4452)] = 160894,
  [SMALL_STATE(4453)] = 160930,
  [SMALL_STATE(4454)] = 160968,
  [SMALL_STATE(4455)] = 161006,
  [SMALL_STATE(4456)] = 161044,
  [SMALL_STATE(4457)] = 161082,
  [SMALL_STATE(4458)] = 161120,
  [SMALL_STATE(4459)] = 161158,
  [SMALL_STATE(4460)] = 161196,
  [SMALL_STATE(4461)] = 161234,
  [SMALL_STATE(4462)] = 161272,
  [SMALL_STATE(4463)] = 161308,
  [SMALL_STATE(4464)] = 161346,
  [SMALL_STATE(4465)] = 161382,
  [SMALL_STATE(4466)] = 161441,
  [SMALL_STATE(4467)] = 161500,
  [SMALL_STATE(4468)] = 161559,
  [SMALL_STATE(4469)] = 161618,
  [SMALL_STATE(4470)] = 161677,
  [SMALL_STATE(4471)] = 161736,
  [SMALL_STATE(4472)] = 161795,
  [SMALL_STATE(4473)] = 161854,
  [SMALL_STATE(4474)] = 161913,
  [SMALL_STATE(4475)] = 161948,
  [SMALL_STATE(4476)] = 162007,
  [SMALL_STATE(4477)] = 162066,
  [SMALL_STATE(4478)] = 162125,
  [SMALL_STATE(4479)] = 162184,
  [SMALL_STATE(4480)] = 162219,
  [SMALL_STATE(4481)] = 162256,
  [SMALL_STATE(4482)] = 162315,
  [SMALL_STATE(4483)] = 162374,
  [SMALL_STATE(4484)] = 162433,
  [SMALL_STATE(4485)] = 162492,
  [SMALL_STATE(4486)] = 162551,
  [SMALL_STATE(4487)] = 162610,
  [SMALL_STATE(4488)] = 162669,
  [SMALL_STATE(4489)] = 162728,
  [SMALL_STATE(4490)] = 162763,
  [SMALL_STATE(4491)] = 162822,
  [SMALL_STATE(4492)] = 162881,
  [SMALL_STATE(4493)] = 162940,
  [SMALL_STATE(4494)] = 162994,
  [SMALL_STATE(4495)] = 163028,
  [SMALL_STATE(4496)] = 163062,
  [SMALL_STATE(4497)] = 163098,
  [SMALL_STATE(4498)] = 163134,
  [SMALL_STATE(4499)] = 163168,
  [SMALL_STATE(4500)] = 163222,
  [SMALL_STATE(4501)] = 163256,
  [SMALL_STATE(4502)] = 163310,
  [SMALL_STATE(4503)] = 163364,
  [SMALL_STATE(4504)] = 163418,
  [SMALL_STATE(4505)] = 163454,
  [SMALL_STATE(4506)] = 163488,
  [SMALL_STATE(4507)] = 163542,
  [SMALL_STATE(4508)] = 163576,
  [SMALL_STATE(4509)] = 163610,
  [SMALL_STATE(4510)] = 163664,
  [SMALL_STATE(4511)] = 163697,
  [SMALL_STATE(4512)] = 163752,
  [SMALL_STATE(4513)] = 163785,
  [SMALL_STATE(4514)] = 163840,
  [SMALL_STATE(4515)] = 163877,
  [SMALL_STATE(4516)] = 163910,
  [SMALL_STATE(4517)] = 163943,
  [SMALL_STATE(4518)] = 163978,
  [SMALL_STATE(4519)] = 164011,
  [SMALL_STATE(4520)] = 164044,
  [SMALL_STATE(4521)] = 164079,
  [SMALL_STATE(4522)] = 164111,
  [SMALL_STATE(4523)] = 164143,
  [SMALL_STATE(4524)] = 164195,
  [SMALL_STATE(4525)] = 164231,
  [SMALL_STATE(4526)] = 164263,
  [SMALL_STATE(4527)] = 164295,
  [SMALL_STATE(4528)] = 164327,
  [SMALL_STATE(4529)] = 164379,
  [SMALL_STATE(4530)] = 164411,
  [SMALL_STATE(4531)] = 164445,
  [SMALL_STATE(4532)] = 164477,
  [SMALL_STATE(4533)] = 164529,
  [SMALL_STATE(4534)] = 164563,
  [SMALL_STATE(4535)] = 164599,
  [SMALL_STATE(4536)] = 164631,
  [SMALL_STATE(4537)] = 164683,
  [SMALL_STATE(4538)] = 164717,
  [SMALL_STATE(4539)] = 164776,
  [SMALL_STATE(4540)] = 164811,
  [SMALL_STATE(4541)] = 164862,
  [SMALL_STATE(4542)] = 164911,
  [SMALL_STATE(4543)] = 164946,
  [SMALL_STATE(4544)] = 164995,
  [SMALL_STATE(4545)] = 165054,
  [SMALL_STATE(4546)] = 165113,
  [SMALL_STATE(4547)] = 165172,
  [SMALL_STATE(4548)] = 165223,
  [SMALL_STATE(4549)] = 165282,
  [SMALL_STATE(4550)] = 165331,
  [SMALL_STATE(4551)] = 165362,
  [SMALL_STATE(4552)] = 165421,
  [SMALL_STATE(4553)] = 165455,
  [SMALL_STATE(4554)] = 165489,
  [SMALL_STATE(4555)] = 165521,
  [SMALL_STATE(4556)] = 165563,
  [SMALL_STATE(4557)] = 165609,
  [SMALL_STATE(4558)] = 165655,
  [SMALL_STATE(4559)] = 165689,
  [SMALL_STATE(4560)] = 165721,
  [SMALL_STATE(4561)] = 165753,
  [SMALL_STATE(4562)] = 165787,
  [SMALL_STATE(4563)] = 165833,
  [SMALL_STATE(4564)] = 165867,
  [SMALL_STATE(4565)] = 165901,
  [SMALL_STATE(4566)] = 165935,
  [SMALL_STATE(4567)] = 165969,
  [SMALL_STATE(4568)] = 166003,
  [SMALL_STATE(4569)] = 166033,
  [SMALL_STATE(4570)] = 166065,
  [SMALL_STATE(4571)] = 166107,
  [SMALL_STATE(4572)] = 166141,
  [SMALL_STATE(4573)] = 166187,
  [SMALL_STATE(4574)] = 166220,
  [SMALL_STATE(4575)] = 166253,
  [SMALL_STATE(4576)] = 166284,
  [SMALL_STATE(4577)] = 166315,
  [SMALL_STATE(4578)] = 166346,
  [SMALL_STATE(4579)] = 166376,
  [SMALL_STATE(4580)] = 166408,
  [SMALL_STATE(4581)] = 166434,
  [SMALL_STATE(4582)] = 166460,
  [SMALL_STATE(4583)] = 166486,
  [SMALL_STATE(4584)] = 166524,
  [SMALL_STATE(4585)] = 166554,
  [SMALL_STATE(4586)] = 166580,
  [SMALL_STATE(4587)] = 166606,
  [SMALL_STATE(4588)] = 166632,
  [SMALL_STATE(4589)] = 166660,
  [SMALL_STATE(4590)] = 166686,
  [SMALL_STATE(4591)] = 166724,
  [SMALL_STATE(4592)] = 166750,
  [SMALL_STATE(4593)] = 166776,
  [SMALL_STATE(4594)] = 166802,
  [SMALL_STATE(4595)] = 166834,
  [SMALL_STATE(4596)] = 166860,
  [SMALL_STATE(4597)] = 166886,
  [SMALL_STATE(4598)] = 166912,
  [SMALL_STATE(4599)] = 166938,
  [SMALL_STATE(4600)] = 166964,
  [SMALL_STATE(4601)] = 166990,
  [SMALL_STATE(4602)] = 167022,
  [SMALL_STATE(4603)] = 167050,
  [SMALL_STATE(4604)] = 167076,
  [SMALL_STATE(4605)] = 167104,
  [SMALL_STATE(4606)] = 167130,
  [SMALL_STATE(4607)] = 167156,
  [SMALL_STATE(4608)] = 167182,
  [SMALL_STATE(4609)] = 167210,
  [SMALL_STATE(4610)] = 167239,
  [SMALL_STATE(4611)] = 167266,
  [SMALL_STATE(4612)] = 167293,
  [SMALL_STATE(4613)] = 167320,
  [SMALL_STATE(4614)] = 167351,
  [SMALL_STATE(4615)] = 167378,
  [SMALL_STATE(4616)] = 167405,
  [SMALL_STATE(4617)] = 167432,
  [SMALL_STATE(4618)] = 167459,
  [SMALL_STATE(4619)] = 167486,
  [SMALL_STATE(4620)] = 167513,
  [SMALL_STATE(4621)] = 167542,
  [SMALL_STATE(4622)] = 167569,
  [SMALL_STATE(4623)] = 167596,
  [SMALL_STATE(4624)] = 167623,
  [SMALL_STATE(4625)] = 167650,
  [SMALL_STATE(4626)] = 167677,
  [SMALL_STATE(4627)] = 167704,
  [SMALL_STATE(4628)] = 167731,
  [SMALL_STATE(4629)] = 167758,
  [SMALL_STATE(4630)] = 167785,
  [SMALL_STATE(4631)] = 167812,
  [SMALL_STATE(4632)] = 167839,
  [SMALL_STATE(4633)] = 167866,
  [SMALL_STATE(4634)] = 167893,
  [SMALL_STATE(4635)] = 167920,
  [SMALL_STATE(4636)] = 167947,
  [SMALL_STATE(4637)] = 167974,
  [SMALL_STATE(4638)] = 168001,
  [SMALL_STATE(4639)] = 168028,
  [SMALL_STATE(4640)] = 168055,
  [SMALL_STATE(4641)] = 168082,
  [SMALL_STATE(4642)] = 168109,
  [SMALL_STATE(4643)] = 168136,
  [SMALL_STATE(4644)] = 168163,
  [SMALL_STATE(4645)] = 168190,
  [SMALL_STATE(4646)] = 168217,
  [SMALL_STATE(4647)] = 168244,
  [SMALL_STATE(4648)] = 168271,
  [SMALL_STATE(4649)] = 168298,
  [SMALL_STATE(4650)] = 168335,
  [SMALL_STATE(4651)] = 168362,
  [SMALL_STATE(4652)] = 168389,
  [SMALL_STATE(4653)] = 168416,
  [SMALL_STATE(4654)] = 168443,
  [SMALL_STATE(4655)] = 168470,
  [SMALL_STATE(4656)] = 168497,
  [SMALL_STATE(4657)] = 168524,
  [SMALL_STATE(4658)] = 168551,
  [SMALL_STATE(4659)] = 168588,
  [SMALL_STATE(4660)] = 168615,
  [SMALL_STATE(4661)] = 168642,
  [SMALL_STATE(4662)] = 168669,
  [SMALL_STATE(4663)] = 168698,
  [SMALL_STATE(4664)] = 168727,
  [SMALL_STATE(4665)] = 168754,
  [SMALL_STATE(4666)] = 168781,
  [SMALL_STATE(4667)] = 168808,
  [SMALL_STATE(4668)] = 168835,
  [SMALL_STATE(4669)] = 168864,
  [SMALL_STATE(4670)] = 168891,
  [SMALL_STATE(4671)] = 168918,
  [SMALL_STATE(4672)] = 168945,
  [SMALL_STATE(4673)] = 168972,
  [SMALL_STATE(4674)] = 168999,
  [SMALL_STATE(4675)] = 169031,
  [SMALL_STATE(4676)] = 169059,
  [SMALL_STATE(4677)] = 169087,
  [SMALL_STATE(4678)] = 169117,
  [SMALL_STATE(4679)] = 169145,
  [SMALL_STATE(4680)] = 169175,
  [SMALL_STATE(4681)] = 169203,
  [SMALL_STATE(4682)] = 169231,
  [SMALL_STATE(4683)] = 169259,
  [SMALL_STATE(4684)] = 169287,
  [SMALL_STATE(4685)] = 169315,
  [SMALL_STATE(4686)] = 169343,
  [SMALL_STATE(4687)] = 169369,
  [SMALL_STATE(4688)] = 169397,
  [SMALL_STATE(4689)] = 169425,
  [SMALL_STATE(4690)] = 169453,
  [SMALL_STATE(4691)] = 169481,
  [SMALL_STATE(4692)] = 169509,
  [SMALL_STATE(4693)] = 169537,
  [SMALL_STATE(4694)] = 169564,
  [SMALL_STATE(4695)] = 169587,
  [SMALL_STATE(4696)] = 169610,
  [SMALL_STATE(4697)] = 169633,
  [SMALL_STATE(4698)] = 169656,
  [SMALL_STATE(4699)] = 169681,
  [SMALL_STATE(4700)] = 169704,
  [SMALL_STATE(4701)] = 169731,
  [SMALL_STATE(4702)] = 169766,
  [SMALL_STATE(4703)] = 169789,
  [SMALL_STATE(4704)] = 169828,
  [SMALL_STATE(4705)] = 169851,
  [SMALL_STATE(4706)] = 169876,
  [SMALL_STATE(4707)] = 169911,
  [SMALL_STATE(4708)] = 169938,
  [SMALL_STATE(4709)] = 169965,
  [SMALL_STATE(4710)] = 170000,
  [SMALL_STATE(4711)] = 170025,
  [SMALL_STATE(4712)] = 170050,
  [SMALL_STATE(4713)] = 170073,
  [SMALL_STATE(4714)] = 170100,
  [SMALL_STATE(4715)] = 170123,
  [SMALL_STATE(4716)] = 170148,
  [SMALL_STATE(4717)] = 170171,
  [SMALL_STATE(4718)] = 170200,
  [SMALL_STATE(4719)] = 170225,
  [SMALL_STATE(4720)] = 170248,
  [SMALL_STATE(4721)] = 170271,
  [SMALL_STATE(4722)] = 170294,
  [SMALL_STATE(4723)] = 170317,
  [SMALL_STATE(4724)] = 170340,
  [SMALL_STATE(4725)] = 170375,
  [SMALL_STATE(4726)] = 170400,
  [SMALL_STATE(4727)] = 170427,
  [SMALL_STATE(4728)] = 170450,
  [SMALL_STATE(4729)] = 170473,
  [SMALL_STATE(4730)] = 170500,
  [SMALL_STATE(4731)] = 170523,
  [SMALL_STATE(4732)] = 170550,
  [SMALL_STATE(4733)] = 170573,
  [SMALL_STATE(4734)] = 170596,
  [SMALL_STATE(4735)] = 170619,
  [SMALL_STATE(4736)] = 170644,
  [SMALL_STATE(4737)] = 170671,
  [SMALL_STATE(4738)] = 170698,
  [SMALL_STATE(4739)] = 170721,
  [SMALL_STATE(4740)] = 170746,
  [SMALL_STATE(4741)] = 170769,
  [SMALL_STATE(4742)] = 170792,
  [SMALL_STATE(4743)] = 170815,
  [SMALL_STATE(4744)] = 170838,
  [SMALL_STATE(4745)] = 170861,
  [SMALL_STATE(4746)] = 170888,
  [SMALL_STATE(4747)] = 170915,
  [SMALL_STATE(4748)] = 170940,
  [SMALL_STATE(4749)] = 170967,
  [SMALL_STATE(4750)] = 170992,
  [SMALL_STATE(4751)] = 171031,
  [SMALL_STATE(4752)] = 171066,
  [SMALL_STATE(4753)] = 171091,
  [SMALL_STATE(4754)] = 171114,
  [SMALL_STATE(4755)] = 171139,
  [SMALL_STATE(4756)] = 171164,
  [SMALL_STATE(4757)] = 171187,
  [SMALL_STATE(4758)] = 171212,
  [SMALL_STATE(4759)] = 171235,
  [SMALL_STATE(4760)] = 171260,
  [SMALL_STATE(4761)] = 171283,
  [SMALL_STATE(4762)] = 171306,
  [SMALL_STATE(4763)] = 171329,
  [SMALL_STATE(4764)] = 171367,
  [SMALL_STATE(4765)] = 171391,
  [SMALL_STATE(4766)] = 171413,
  [SMALL_STATE(4767)] = 171435,
  [SMALL_STATE(4768)] = 171459,
  [SMALL_STATE(4769)] = 171497,
  [SMALL_STATE(4770)] = 171535,
  [SMALL_STATE(4771)] = 171557,
  [SMALL_STATE(4772)] = 171579,
  [SMALL_STATE(4773)] = 171603,
  [SMALL_STATE(4774)] = 171627,
  [SMALL_STATE(4775)] = 171665,
  [SMALL_STATE(4776)] = 171703,
  [SMALL_STATE(4777)] = 171727,
  [SMALL_STATE(4778)] = 171751,
  [SMALL_STATE(4779)] = 171775,
  [SMALL_STATE(4780)] = 171797,
  [SMALL_STATE(4781)] = 171821,
  [SMALL_STATE(4782)] = 171845,
  [SMALL_STATE(4783)] = 171871,
  [SMALL_STATE(4784)] = 171901,
  [SMALL_STATE(4785)] = 171939,
  [SMALL_STATE(4786)] = 171965,
  [SMALL_STATE(4787)] = 172003,
  [SMALL_STATE(4788)] = 172041,
  [SMALL_STATE(4789)] = 172071,
  [SMALL_STATE(4790)] = 172109,
  [SMALL_STATE(4791)] = 172137,
  [SMALL_STATE(4792)] = 172161,
  [SMALL_STATE(4793)] = 172183,
  [SMALL_STATE(4794)] = 172209,
  [SMALL_STATE(4795)] = 172231,
  [SMALL_STATE(4796)] = 172253,
  [SMALL_STATE(4797)] = 172291,
  [SMALL_STATE(4798)] = 172315,
  [SMALL_STATE(4799)] = 172353,
  [SMALL_STATE(4800)] = 172389,
  [SMALL_STATE(4801)] = 172411,
  [SMALL_STATE(4802)] = 172435,
  [SMALL_STATE(4803)] = 172457,
  [SMALL_STATE(4804)] = 172481,
  [SMALL_STATE(4805)] = 172519,
  [SMALL_STATE(4806)] = 172541,
  [SMALL_STATE(4807)] = 172563,
  [SMALL_STATE(4808)] = 172597,
  [SMALL_STATE(4809)] = 172635,
  [SMALL_STATE(4810)] = 172663,
  [SMALL_STATE(4811)] = 172688,
  [SMALL_STATE(4812)] = 172713,
  [SMALL_STATE(4813)] = 172750,
  [SMALL_STATE(4814)] = 172775,
  [SMALL_STATE(4815)] = 172812,
  [SMALL_STATE(4816)] = 172837,
  [SMALL_STATE(4817)] = 172858,
  [SMALL_STATE(4818)] = 172895,
  [SMALL_STATE(4819)] = 172918,
  [SMALL_STATE(4820)] = 172955,
  [SMALL_STATE(4821)] = 172992,
  [SMALL_STATE(4822)] = 173015,
  [SMALL_STATE(4823)] = 173040,
  [SMALL_STATE(4824)] = 173077,
  [SMALL_STATE(4825)] = 173114,
  [SMALL_STATE(4826)] = 173151,
  [SMALL_STATE(4827)] = 173176,
  [SMALL_STATE(4828)] = 173213,
  [SMALL_STATE(4829)] = 173234,
  [SMALL_STATE(4830)] = 173271,
  [SMALL_STATE(4831)] = 173308,
  [SMALL_STATE(4832)] = 173333,
  [SMALL_STATE(4833)] = 173358,
  [SMALL_STATE(4834)] = 173379,
  [SMALL_STATE(4835)] = 173400,
  [SMALL_STATE(4836)] = 173437,
  [SMALL_STATE(4837)] = 173460,
  [SMALL_STATE(4838)] = 173481,
  [SMALL_STATE(4839)] = 173502,
  [SMALL_STATE(4840)] = 173525,
  [SMALL_STATE(4841)] = 173550,
  [SMALL_STATE(4842)] = 173587,
  [SMALL_STATE(4843)] = 173624,
  [SMALL_STATE(4844)] = 173649,
  [SMALL_STATE(4845)] = 173686,
  [SMALL_STATE(4846)] = 173723,
  [SMALL_STATE(4847)] = 173746,
  [SMALL_STATE(4848)] = 173783,
  [SMALL_STATE(4849)] = 173808,
  [SMALL_STATE(4850)] = 173845,
  [SMALL_STATE(4851)] = 173868,
  [SMALL_STATE(4852)] = 173905,
  [SMALL_STATE(4853)] = 173928,
  [SMALL_STATE(4854)] = 173965,
  [SMALL_STATE(4855)] = 174002,
  [SMALL_STATE(4856)] = 174023,
  [SMALL_STATE(4857)] = 174048,
  [SMALL_STATE(4858)] = 174085,
  [SMALL_STATE(4859)] = 174122,
  [SMALL_STATE(4860)] = 174159,
  [SMALL_STATE(4861)] = 174182,
  [SMALL_STATE(4862)] = 174219,
  [SMALL_STATE(4863)] = 174256,
  [SMALL_STATE(4864)] = 174281,
  [SMALL_STATE(4865)] = 174306,
  [SMALL_STATE(4866)] = 174326,
  [SMALL_STATE(4867)] = 174348,
  [SMALL_STATE(4868)] = 174382,
  [SMALL_STATE(4869)] = 174416,
  [SMALL_STATE(4870)] = 174436,
  [SMALL_STATE(4871)] = 174458,
  [SMALL_STATE(4872)] = 174486,
  [SMALL_STATE(4873)] = 174506,
  [SMALL_STATE(4874)] = 174540,
  [SMALL_STATE(4875)] = 174574,
  [SMALL_STATE(4876)] = 174594,
  [SMALL_STATE(4877)] = 174614,
  [SMALL_STATE(4878)] = 174648,
  [SMALL_STATE(4879)] = 174682,
  [SMALL_STATE(4880)] = 174702,
  [SMALL_STATE(4881)] = 174724,
  [SMALL_STATE(4882)] = 174744,
  [SMALL_STATE(4883)] = 174766,
  [SMALL_STATE(4884)] = 174798,
  [SMALL_STATE(4885)] = 174832,
  [SMALL_STATE(4886)] = 174860,
  [SMALL_STATE(4887)] = 174884,
  [SMALL_STATE(4888)] = 174914,
  [SMALL_STATE(4889)] = 174934,
  [SMALL_STATE(4890)] = 174954,
  [SMALL_STATE(4891)] = 174974,
  [SMALL_STATE(4892)] = 174994,
  [SMALL_STATE(4893)] = 175014,
  [SMALL_STATE(4894)] = 175042,
  [SMALL_STATE(4895)] = 175072,
  [SMALL_STATE(4896)] = 175092,
  [SMALL_STATE(4897)] = 175126,
  [SMALL_STATE(4898)] = 175146,
  [SMALL_STATE(4899)] = 175180,
  [SMALL_STATE(4900)] = 175204,
  [SMALL_STATE(4901)] = 175238,
  [SMALL_STATE(4902)] = 175270,
  [SMALL_STATE(4903)] = 175294,
  [SMALL_STATE(4904)] = 175322,
  [SMALL_STATE(4905)] = 175356,
  [SMALL_STATE(4906)] = 175376,
  [SMALL_STATE(4907)] = 175396,
  [SMALL_STATE(4908)] = 175420,
  [SMALL_STATE(4909)] = 175440,
  [SMALL_STATE(4910)] = 175474,
  [SMALL_STATE(4911)] = 175494,
  [SMALL_STATE(4912)] = 175528,
  [SMALL_STATE(4913)] = 175550,
  [SMALL_STATE(4914)] = 175574,
  [SMALL_STATE(4915)] = 175602,
  [SMALL_STATE(4916)] = 175636,
  [SMALL_STATE(4917)] = 175656,
  [SMALL_STATE(4918)] = 175684,
  [SMALL_STATE(4919)] = 175718,
  [SMALL_STATE(4920)] = 175740,
  [SMALL_STATE(4921)] = 175774,
  [SMALL_STATE(4922)] = 175794,
  [SMALL_STATE(4923)] = 175828,
  [SMALL_STATE(4924)] = 175852,
  [SMALL_STATE(4925)] = 175882,
  [SMALL_STATE(4926)] = 175902,
  [SMALL_STATE(4927)] = 175922,
  [SMALL_STATE(4928)] = 175950,
  [SMALL_STATE(4929)] = 175970,
  [SMALL_STATE(4930)] = 175992,
  [SMALL_STATE(4931)] = 176012,
  [SMALL_STATE(4932)] = 176036,
  [SMALL_STATE(4933)] = 176060,
  [SMALL_STATE(4934)] = 176084,
  [SMALL_STATE(4935)] = 176104,
  [SMALL_STATE(4936)] = 176126,
  [SMALL_STATE(4937)] = 176160,
  [SMALL_STATE(4938)] = 176194,
  [SMALL_STATE(4939)] = 176214,
  [SMALL_STATE(4940)] = 176246,
  [SMALL_STATE(4941)] = 176280,
  [SMALL_STATE(4942)] = 176314,
  [SMALL_STATE(4943)] = 176348,
  [SMALL_STATE(4944)] = 176368,
  [SMALL_STATE(4945)] = 176392,
  [SMALL_STATE(4946)] = 176414,
  [SMALL_STATE(4947)] = 176434,
  [SMALL_STATE(4948)] = 176454,
  [SMALL_STATE(4949)] = 176483,
  [SMALL_STATE(4950)] = 176512,
  [SMALL_STATE(4951)] = 176541,
  [SMALL_STATE(4952)] = 176568,
  [SMALL_STATE(4953)] = 176597,
  [SMALL_STATE(4954)] = 176626,
  [SMALL_STATE(4955)] = 176655,
  [SMALL_STATE(4956)] = 176682,
  [SMALL_STATE(4957)] = 176711,
  [SMALL_STATE(4958)] = 176740,
  [SMALL_STATE(4959)] = 176769,
  [SMALL_STATE(4960)] = 176788,
  [SMALL_STATE(4961)] = 176817,
  [SMALL_STATE(4962)] = 176846,
  [SMALL_STATE(4963)] = 176873,
  [SMALL_STATE(4964)] = 176902,
  [SMALL_STATE(4965)] = 176929,
  [SMALL_STATE(4966)] = 176948,
  [SMALL_STATE(4967)] = 176975,
  [SMALL_STATE(4968)] = 177004,
  [SMALL_STATE(4969)] = 177025,
  [SMALL_STATE(4970)] = 177048,
  [SMALL_STATE(4971)] = 177075,
  [SMALL_STATE(4972)] = 177104,
  [SMALL_STATE(4973)] = 177131,
  [SMALL_STATE(4974)] = 177158,
  [SMALL_STATE(4975)] = 177187,
  [SMALL_STATE(4976)] = 177216,
  [SMALL_STATE(4977)] = 177243,
  [SMALL_STATE(4978)] = 177270,
  [SMALL_STATE(4979)] = 177299,
  [SMALL_STATE(4980)] = 177328,
  [SMALL_STATE(4981)] = 177357,
  [SMALL_STATE(4982)] = 177386,
  [SMALL_STATE(4983)] = 177409,
  [SMALL_STATE(4984)] = 177438,
  [SMALL_STATE(4985)] = 177457,
  [SMALL_STATE(4986)] = 177486,
  [SMALL_STATE(4987)] = 177515,
  [SMALL_STATE(4988)] = 177542,
  [SMALL_STATE(4989)] = 177569,
  [SMALL_STATE(4990)] = 177598,
  [SMALL_STATE(4991)] = 177625,
  [SMALL_STATE(4992)] = 177652,
  [SMALL_STATE(4993)] = 177679,
  [SMALL_STATE(4994)] = 177708,
  [SMALL_STATE(4995)] = 177737,
  [SMALL_STATE(4996)] = 177764,
  [SMALL_STATE(4997)] = 177793,
  [SMALL_STATE(4998)] = 177822,
  [SMALL_STATE(4999)] = 177851,
  [SMALL_STATE(5000)] = 177878,
  [SMALL_STATE(5001)] = 177905,
  [SMALL_STATE(5002)] = 177934,
  [SMALL_STATE(5003)] = 177961,
  [SMALL_STATE(5004)] = 177990,
  [SMALL_STATE(5005)] = 178019,
  [SMALL_STATE(5006)] = 178046,
  [SMALL_STATE(5007)] = 178073,
  [SMALL_STATE(5008)] = 178102,
  [SMALL_STATE(5009)] = 178131,
  [SMALL_STATE(5010)] = 178160,
  [SMALL_STATE(5011)] = 178189,
  [SMALL_STATE(5012)] = 178218,
  [SMALL_STATE(5013)] = 178245,
  [SMALL_STATE(5014)] = 178272,
  [SMALL_STATE(5015)] = 178299,
  [SMALL_STATE(5016)] = 178326,
  [SMALL_STATE(5017)] = 178355,
  [SMALL_STATE(5018)] = 178384,
  [SMALL_STATE(5019)] = 178403,
  [SMALL_STATE(5020)] = 178432,
  [SMALL_STATE(5021)] = 178461,
  [SMALL_STATE(5022)] = 178484,
  [SMALL_STATE(5023)] = 178513,
  [SMALL_STATE(5024)] = 178542,
  [SMALL_STATE(5025)] = 178561,
  [SMALL_STATE(5026)] = 178590,
  [SMALL_STATE(5027)] = 178619,
  [SMALL_STATE(5028)] = 178640,
  [SMALL_STATE(5029)] = 178667,
  [SMALL_STATE(5030)] = 178692,
  [SMALL_STATE(5031)] = 178721,
  [SMALL_STATE(5032)] = 178748,
  [SMALL_STATE(5033)] = 178771,
  [SMALL_STATE(5034)] = 178798,
  [SMALL_STATE(5035)] = 178827,
  [SMALL_STATE(5036)] = 178856,
  [SMALL_STATE(5037)] = 178883,
  [SMALL_STATE(5038)] = 178912,
  [SMALL_STATE(5039)] = 178939,
  [SMALL_STATE(5040)] = 178962,
  [SMALL_STATE(5041)] = 178989,
  [SMALL_STATE(5042)] = 179016,
  [SMALL_STATE(5043)] = 179043,
  [SMALL_STATE(5044)] = 179072,
  [SMALL_STATE(5045)] = 179101,
  [SMALL_STATE(5046)] = 179130,
  [SMALL_STATE(5047)] = 179159,
  [SMALL_STATE(5048)] = 179188,
  [SMALL_STATE(5049)] = 179217,
  [SMALL_STATE(5050)] = 179236,
  [SMALL_STATE(5051)] = 179257,
  [SMALL_STATE(5052)] = 179286,
  [SMALL_STATE(5053)] = 179315,
  [SMALL_STATE(5054)] = 179344,
  [SMALL_STATE(5055)] = 179373,
  [SMALL_STATE(5056)] = 179402,
  [SMALL_STATE(5057)] = 179429,
  [SMALL_STATE(5058)] = 179456,
  [SMALL_STATE(5059)] = 179485,
  [SMALL_STATE(5060)] = 179514,
  [SMALL_STATE(5061)] = 179541,
  [SMALL_STATE(5062)] = 179568,
  [SMALL_STATE(5063)] = 179597,
  [SMALL_STATE(5064)] = 179626,
  [SMALL_STATE(5065)] = 179655,
  [SMALL_STATE(5066)] = 179682,
  [SMALL_STATE(5067)] = 179711,
  [SMALL_STATE(5068)] = 179740,
  [SMALL_STATE(5069)] = 179767,
  [SMALL_STATE(5070)] = 179794,
  [SMALL_STATE(5071)] = 179823,
  [SMALL_STATE(5072)] = 179846,
  [SMALL_STATE(5073)] = 179867,
  [SMALL_STATE(5074)] = 179896,
  [SMALL_STATE(5075)] = 179925,
  [SMALL_STATE(5076)] = 179954,
  [SMALL_STATE(5077)] = 179983,
  [SMALL_STATE(5078)] = 180012,
  [SMALL_STATE(5079)] = 180041,
  [SMALL_STATE(5080)] = 180070,
  [SMALL_STATE(5081)] = 180091,
  [SMALL_STATE(5082)] = 180120,
  [SMALL_STATE(5083)] = 180149,
  [SMALL_STATE(5084)] = 180178,
  [SMALL_STATE(5085)] = 180205,
  [SMALL_STATE(5086)] = 180224,
  [SMALL_STATE(5087)] = 180253,
  [SMALL_STATE(5088)] = 180282,
  [SMALL_STATE(5089)] = 180309,
  [SMALL_STATE(5090)] = 180338,
  [SMALL_STATE(5091)] = 180365,
  [SMALL_STATE(5092)] = 180394,
  [SMALL_STATE(5093)] = 180417,
  [SMALL_STATE(5094)] = 180444,
  [SMALL_STATE(5095)] = 180473,
  [SMALL_STATE(5096)] = 180500,
  [SMALL_STATE(5097)] = 180529,
  [SMALL_STATE(5098)] = 180558,
  [SMALL_STATE(5099)] = 180587,
  [SMALL_STATE(5100)] = 180612,
  [SMALL_STATE(5101)] = 180639,
  [SMALL_STATE(5102)] = 180668,
  [SMALL_STATE(5103)] = 180697,
  [SMALL_STATE(5104)] = 180724,
  [SMALL_STATE(5105)] = 180753,
  [SMALL_STATE(5106)] = 180782,
  [SMALL_STATE(5107)] = 180809,
  [SMALL_STATE(5108)] = 180838,
  [SMALL_STATE(5109)] = 180865,
  [SMALL_STATE(5110)] = 180891,
  [SMALL_STATE(5111)] = 180919,
  [SMALL_STATE(5112)] = 180941,
  [SMALL_STATE(5113)] = 180959,
  [SMALL_STATE(5114)] = 180979,
  [SMALL_STATE(5115)] = 181007,
  [SMALL_STATE(5116)] = 181029,
  [SMALL_STATE(5117)] = 181057,
  [SMALL_STATE(5118)] = 181085,
  [SMALL_STATE(5119)] = 181105,
  [SMALL_STATE(5120)] = 181123,
  [SMALL_STATE(5121)] = 181151,
  [SMALL_STATE(5122)] = 181179,
  [SMALL_STATE(5123)] = 181199,
  [SMALL_STATE(5124)] = 181227,
  [SMALL_STATE(5125)] = 181247,
  [SMALL_STATE(5126)] = 181269,
  [SMALL_STATE(5127)] = 181289,
  [SMALL_STATE(5128)] = 181317,
  [SMALL_STATE(5129)] = 181345,
  [SMALL_STATE(5130)] = 181369,
  [SMALL_STATE(5131)] = 181393,
  [SMALL_STATE(5132)] = 181421,
  [SMALL_STATE(5133)] = 181449,
  [SMALL_STATE(5134)] = 181477,
  [SMALL_STATE(5135)] = 181505,
  [SMALL_STATE(5136)] = 181533,
  [SMALL_STATE(5137)] = 181561,
  [SMALL_STATE(5138)] = 181585,
  [SMALL_STATE(5139)] = 181605,
  [SMALL_STATE(5140)] = 181625,
  [SMALL_STATE(5141)] = 181649,
  [SMALL_STATE(5142)] = 181667,
  [SMALL_STATE(5143)] = 181685,
  [SMALL_STATE(5144)] = 181703,
  [SMALL_STATE(5145)] = 181721,
  [SMALL_STATE(5146)] = 181749,
  [SMALL_STATE(5147)] = 181771,
  [SMALL_STATE(5148)] = 181799,
  [SMALL_STATE(5149)] = 181821,
  [SMALL_STATE(5150)] = 181841,
  [SMALL_STATE(5151)] = 181869,
  [SMALL_STATE(5152)] = 181891,
  [SMALL_STATE(5153)] = 181915,
  [SMALL_STATE(5154)] = 181943,
  [SMALL_STATE(5155)] = 181961,
  [SMALL_STATE(5156)] = 181981,
  [SMALL_STATE(5157)] = 182005,
  [SMALL_STATE(5158)] = 182033,
  [SMALL_STATE(5159)] = 182051,
  [SMALL_STATE(5160)] = 182075,
  [SMALL_STATE(5161)] = 182103,
  [SMALL_STATE(5162)] = 182121,
  [SMALL_STATE(5163)] = 182149,
  [SMALL_STATE(5164)] = 182167,
  [SMALL_STATE(5165)] = 182187,
  [SMALL_STATE(5166)] = 182213,
  [SMALL_STATE(5167)] = 182241,
  [SMALL_STATE(5168)] = 182269,
  [SMALL_STATE(5169)] = 182297,
  [SMALL_STATE(5170)] = 182315,
  [SMALL_STATE(5171)] = 182335,
  [SMALL_STATE(5172)] = 182363,
  [SMALL_STATE(5173)] = 182387,
  [SMALL_STATE(5174)] = 182409,
  [SMALL_STATE(5175)] = 182437,
  [SMALL_STATE(5176)] = 182465,
  [SMALL_STATE(5177)] = 182487,
  [SMALL_STATE(5178)] = 182515,
  [SMALL_STATE(5179)] = 182543,
  [SMALL_STATE(5180)] = 182565,
  [SMALL_STATE(5181)] = 182593,
  [SMALL_STATE(5182)] = 182621,
  [SMALL_STATE(5183)] = 182643,
  [SMALL_STATE(5184)] = 182671,
  [SMALL_STATE(5185)] = 182691,
  [SMALL_STATE(5186)] = 182710,
  [SMALL_STATE(5187)] = 182729,
  [SMALL_STATE(5188)] = 182752,
  [SMALL_STATE(5189)] = 182775,
  [SMALL_STATE(5190)] = 182798,
  [SMALL_STATE(5191)] = 182821,
  [SMALL_STATE(5192)] = 182844,
  [SMALL_STATE(5193)] = 182863,
  [SMALL_STATE(5194)] = 182880,
  [SMALL_STATE(5195)] = 182899,
  [SMALL_STATE(5196)] = 182920,
  [SMALL_STATE(5197)] = 182941,
  [SMALL_STATE(5198)] = 182964,
  [SMALL_STATE(5199)] = 182987,
  [SMALL_STATE(5200)] = 183010,
  [SMALL_STATE(5201)] = 183029,
  [SMALL_STATE(5202)] = 183050,
  [SMALL_STATE(5203)] = 183073,
  [SMALL_STATE(5204)] = 183092,
  [SMALL_STATE(5205)] = 183111,
  [SMALL_STATE(5206)] = 183130,
  [SMALL_STATE(5207)] = 183153,
  [SMALL_STATE(5208)] = 183170,
  [SMALL_STATE(5209)] = 183191,
  [SMALL_STATE(5210)] = 183212,
  [SMALL_STATE(5211)] = 183229,
  [SMALL_STATE(5212)] = 183252,
  [SMALL_STATE(5213)] = 183271,
  [SMALL_STATE(5214)] = 183290,
  [SMALL_STATE(5215)] = 183313,
  [SMALL_STATE(5216)] = 183332,
  [SMALL_STATE(5217)] = 183351,
  [SMALL_STATE(5218)] = 183368,
  [SMALL_STATE(5219)] = 183387,
  [SMALL_STATE(5220)] = 183408,
  [SMALL_STATE(5221)] = 183431,
  [SMALL_STATE(5222)] = 183452,
  [SMALL_STATE(5223)] = 183468,
  [SMALL_STATE(5224)] = 183484,
  [SMALL_STATE(5225)] = 183500,
  [SMALL_STATE(5226)] = 183516,
  [SMALL_STATE(5227)] = 183532,
  [SMALL_STATE(5228)] = 183548,
  [SMALL_STATE(5229)] = 183568,
  [SMALL_STATE(5230)] = 183586,
  [SMALL_STATE(5231)] = 183602,
  [SMALL_STATE(5232)] = 183618,
  [SMALL_STATE(5233)] = 183638,
  [SMALL_STATE(5234)] = 183654,
  [SMALL_STATE(5235)] = 183670,
  [SMALL_STATE(5236)] = 183686,
  [SMALL_STATE(5237)] = 183702,
  [SMALL_STATE(5238)] = 183718,
  [SMALL_STATE(5239)] = 183734,
  [SMALL_STATE(5240)] = 183754,
  [SMALL_STATE(5241)] = 183770,
  [SMALL_STATE(5242)] = 183786,
  [SMALL_STATE(5243)] = 183808,
  [SMALL_STATE(5244)] = 183824,
  [SMALL_STATE(5245)] = 183840,
  [SMALL_STATE(5246)] = 183856,
  [SMALL_STATE(5247)] = 183872,
  [SMALL_STATE(5248)] = 183888,
  [SMALL_STATE(5249)] = 183904,
  [SMALL_STATE(5250)] = 183920,
  [SMALL_STATE(5251)] = 183936,
  [SMALL_STATE(5252)] = 183956,
  [SMALL_STATE(5253)] = 183972,
  [SMALL_STATE(5254)] = 183992,
  [SMALL_STATE(5255)] = 184008,
  [SMALL_STATE(5256)] = 184024,
  [SMALL_STATE(5257)] = 184040,
  [SMALL_STATE(5258)] = 184056,
  [SMALL_STATE(5259)] = 184072,
  [SMALL_STATE(5260)] = 184088,
  [SMALL_STATE(5261)] = 184104,
  [SMALL_STATE(5262)] = 184120,
  [SMALL_STATE(5263)] = 184136,
  [SMALL_STATE(5264)] = 184152,
  [SMALL_STATE(5265)] = 184170,
  [SMALL_STATE(5266)] = 184190,
  [SMALL_STATE(5267)] = 184206,
  [SMALL_STATE(5268)] = 184222,
  [SMALL_STATE(5269)] = 184238,
  [SMALL_STATE(5270)] = 184258,
  [SMALL_STATE(5271)] = 184278,
  [SMALL_STATE(5272)] = 184294,
  [SMALL_STATE(5273)] = 184310,
  [SMALL_STATE(5274)] = 184328,
  [SMALL_STATE(5275)] = 184344,
  [SMALL_STATE(5276)] = 184360,
  [SMALL_STATE(5277)] = 184378,
  [SMALL_STATE(5278)] = 184394,
  [SMALL_STATE(5279)] = 184410,
  [SMALL_STATE(5280)] = 184426,
  [SMALL_STATE(5281)] = 184442,
  [SMALL_STATE(5282)] = 184458,
  [SMALL_STATE(5283)] = 184474,
  [SMALL_STATE(5284)] = 184490,
  [SMALL_STATE(5285)] = 184506,
  [SMALL_STATE(5286)] = 184522,
  [SMALL_STATE(5287)] = 184538,
  [SMALL_STATE(5288)] = 184554,
  [SMALL_STATE(5289)] = 184570,
  [SMALL_STATE(5290)] = 184586,
  [SMALL_STATE(5291)] = 184608,
  [SMALL_STATE(5292)] = 184628,
  [SMALL_STATE(5293)] = 184646,
  [SMALL_STATE(5294)] = 184662,
  [SMALL_STATE(5295)] = 184680,
  [SMALL_STATE(5296)] = 184698,
  [SMALL_STATE(5297)] = 184714,
  [SMALL_STATE(5298)] = 184730,
  [SMALL_STATE(5299)] = 184750,
  [SMALL_STATE(5300)] = 184766,
  [SMALL_STATE(5301)] = 184782,
  [SMALL_STATE(5302)] = 184798,
  [SMALL_STATE(5303)] = 184814,
  [SMALL_STATE(5304)] = 184834,
  [SMALL_STATE(5305)] = 184854,
  [SMALL_STATE(5306)] = 184870,
  [SMALL_STATE(5307)] = 184886,
  [SMALL_STATE(5308)] = 184902,
  [SMALL_STATE(5309)] = 184918,
  [SMALL_STATE(5310)] = 184936,
  [SMALL_STATE(5311)] = 184952,
  [SMALL_STATE(5312)] = 184968,
  [SMALL_STATE(5313)] = 184984,
  [SMALL_STATE(5314)] = 185002,
  [SMALL_STATE(5315)] = 185018,
  [SMALL_STATE(5316)] = 185034,
  [SMALL_STATE(5317)] = 185050,
  [SMALL_STATE(5318)] = 185066,
  [SMALL_STATE(5319)] = 185082,
  [SMALL_STATE(5320)] = 185102,
  [SMALL_STATE(5321)] = 185118,
  [SMALL_STATE(5322)] = 185134,
  [SMALL_STATE(5323)] = 185150,
  [SMALL_STATE(5324)] = 185166,
  [SMALL_STATE(5325)] = 185182,
  [SMALL_STATE(5326)] = 185198,
  [SMALL_STATE(5327)] = 185214,
  [SMALL_STATE(5328)] = 185230,
  [SMALL_STATE(5329)] = 185246,
  [SMALL_STATE(5330)] = 185268,
  [SMALL_STATE(5331)] = 185284,
  [SMALL_STATE(5332)] = 185300,
  [SMALL_STATE(5333)] = 185316,
  [SMALL_STATE(5334)] = 185332,
  [SMALL_STATE(5335)] = 185350,
  [SMALL_STATE(5336)] = 185370,
  [SMALL_STATE(5337)] = 185386,
  [SMALL_STATE(5338)] = 185402,
  [SMALL_STATE(5339)] = 185418,
  [SMALL_STATE(5340)] = 185434,
  [SMALL_STATE(5341)] = 185450,
  [SMALL_STATE(5342)] = 185466,
  [SMALL_STATE(5343)] = 185482,
  [SMALL_STATE(5344)] = 185498,
  [SMALL_STATE(5345)] = 185514,
  [SMALL_STATE(5346)] = 185530,
  [SMALL_STATE(5347)] = 185546,
  [SMALL_STATE(5348)] = 185562,
  [SMALL_STATE(5349)] = 185578,
  [SMALL_STATE(5350)] = 185594,
  [SMALL_STATE(5351)] = 185610,
  [SMALL_STATE(5352)] = 185626,
  [SMALL_STATE(5353)] = 185642,
  [SMALL_STATE(5354)] = 185658,
  [SMALL_STATE(5355)] = 185674,
  [SMALL_STATE(5356)] = 185690,
  [SMALL_STATE(5357)] = 185706,
  [SMALL_STATE(5358)] = 185722,
  [SMALL_STATE(5359)] = 185738,
  [SMALL_STATE(5360)] = 185754,
  [SMALL_STATE(5361)] = 185770,
  [SMALL_STATE(5362)] = 185786,
  [SMALL_STATE(5363)] = 185802,
  [SMALL_STATE(5364)] = 185822,
  [SMALL_STATE(5365)] = 185838,
  [SMALL_STATE(5366)] = 185854,
  [SMALL_STATE(5367)] = 185870,
  [SMALL_STATE(5368)] = 185886,
  [SMALL_STATE(5369)] = 185902,
  [SMALL_STATE(5370)] = 185918,
  [SMALL_STATE(5371)] = 185940,
  [SMALL_STATE(5372)] = 185956,
  [SMALL_STATE(5373)] = 185972,
  [SMALL_STATE(5374)] = 185988,
  [SMALL_STATE(5375)] = 186004,
  [SMALL_STATE(5376)] = 186020,
  [SMALL_STATE(5377)] = 186036,
  [SMALL_STATE(5378)] = 186052,
  [SMALL_STATE(5379)] = 186068,
  [SMALL_STATE(5380)] = 186086,
  [SMALL_STATE(5381)] = 186104,
  [SMALL_STATE(5382)] = 186120,
  [SMALL_STATE(5383)] = 186136,
  [SMALL_STATE(5384)] = 186152,
  [SMALL_STATE(5385)] = 186168,
  [SMALL_STATE(5386)] = 186184,
  [SMALL_STATE(5387)] = 186200,
  [SMALL_STATE(5388)] = 186220,
  [SMALL_STATE(5389)] = 186236,
  [SMALL_STATE(5390)] = 186252,
  [SMALL_STATE(5391)] = 186268,
  [SMALL_STATE(5392)] = 186284,
  [SMALL_STATE(5393)] = 186300,
  [SMALL_STATE(5394)] = 186316,
  [SMALL_STATE(5395)] = 186332,
  [SMALL_STATE(5396)] = 186348,
  [SMALL_STATE(5397)] = 186364,
  [SMALL_STATE(5398)] = 186380,
  [SMALL_STATE(5399)] = 186396,
  [SMALL_STATE(5400)] = 186412,
  [SMALL_STATE(5401)] = 186432,
  [SMALL_STATE(5402)] = 186450,
  [SMALL_STATE(5403)] = 186466,
  [SMALL_STATE(5404)] = 186482,
  [SMALL_STATE(5405)] = 186502,
  [SMALL_STATE(5406)] = 186518,
  [SMALL_STATE(5407)] = 186537,
  [SMALL_STATE(5408)] = 186556,
  [SMALL_STATE(5409)] = 186571,
  [SMALL_STATE(5410)] = 186590,
  [SMALL_STATE(5411)] = 186609,
  [SMALL_STATE(5412)] = 186628,
  [SMALL_STATE(5413)] = 186647,
  [SMALL_STATE(5414)] = 186666,
  [SMALL_STATE(5415)] = 186681,
  [SMALL_STATE(5416)] = 186700,
  [SMALL_STATE(5417)] = 186719,
  [SMALL_STATE(5418)] = 186738,
  [SMALL_STATE(5419)] = 186757,
  [SMALL_STATE(5420)] = 186772,
  [SMALL_STATE(5421)] = 186787,
  [SMALL_STATE(5422)] = 186802,
  [SMALL_STATE(5423)] = 186821,
  [SMALL_STATE(5424)] = 186836,
  [SMALL_STATE(5425)] = 186851,
  [SMALL_STATE(5426)] = 186870,
  [SMALL_STATE(5427)] = 186889,
  [SMALL_STATE(5428)] = 186906,
  [SMALL_STATE(5429)] = 186923,
  [SMALL_STATE(5430)] = 186940,
  [SMALL_STATE(5431)] = 186957,
  [SMALL_STATE(5432)] = 186976,
  [SMALL_STATE(5433)] = 186995,
  [SMALL_STATE(5434)] = 187014,
  [SMALL_STATE(5435)] = 187033,
  [SMALL_STATE(5436)] = 187048,
  [SMALL_STATE(5437)] = 187067,
  [SMALL_STATE(5438)] = 187086,
  [SMALL_STATE(5439)] = 187105,
  [SMALL_STATE(5440)] = 187120,
  [SMALL_STATE(5441)] = 187139,
  [SMALL_STATE(5442)] = 187158,
  [SMALL_STATE(5443)] = 187177,
  [SMALL_STATE(5444)] = 187196,
  [SMALL_STATE(5445)] = 187213,
  [SMALL_STATE(5446)] = 187232,
  [SMALL_STATE(5447)] = 187251,
  [SMALL_STATE(5448)] = 187270,
  [SMALL_STATE(5449)] = 187289,
  [SMALL_STATE(5450)] = 187308,
  [SMALL_STATE(5451)] = 187323,
  [SMALL_STATE(5452)] = 187338,
  [SMALL_STATE(5453)] = 187357,
  [SMALL_STATE(5454)] = 187372,
  [SMALL_STATE(5455)] = 187389,
  [SMALL_STATE(5456)] = 187406,
  [SMALL_STATE(5457)] = 187425,
  [SMALL_STATE(5458)] = 187442,
  [SMALL_STATE(5459)] = 187459,
  [SMALL_STATE(5460)] = 187478,
  [SMALL_STATE(5461)] = 187497,
  [SMALL_STATE(5462)] = 187512,
  [SMALL_STATE(5463)] = 187531,
  [SMALL_STATE(5464)] = 187548,
  [SMALL_STATE(5465)] = 187567,
  [SMALL_STATE(5466)] = 187582,
  [SMALL_STATE(5467)] = 187599,
  [SMALL_STATE(5468)] = 187618,
  [SMALL_STATE(5469)] = 187633,
  [SMALL_STATE(5470)] = 187652,
  [SMALL_STATE(5471)] = 187671,
  [SMALL_STATE(5472)] = 187690,
  [SMALL_STATE(5473)] = 187707,
  [SMALL_STATE(5474)] = 187726,
  [SMALL_STATE(5475)] = 187745,
  [SMALL_STATE(5476)] = 187764,
  [SMALL_STATE(5477)] = 187783,
  [SMALL_STATE(5478)] = 187802,
  [SMALL_STATE(5479)] = 187821,
  [SMALL_STATE(5480)] = 187840,
  [SMALL_STATE(5481)] = 187859,
  [SMALL_STATE(5482)] = 187878,
  [SMALL_STATE(5483)] = 187893,
  [SMALL_STATE(5484)] = 187912,
  [SMALL_STATE(5485)] = 187931,
  [SMALL_STATE(5486)] = 187948,
  [SMALL_STATE(5487)] = 187967,
  [SMALL_STATE(5488)] = 187986,
  [SMALL_STATE(5489)] = 188005,
  [SMALL_STATE(5490)] = 188019,
  [SMALL_STATE(5491)] = 188033,
  [SMALL_STATE(5492)] = 188049,
  [SMALL_STATE(5493)] = 188063,
  [SMALL_STATE(5494)] = 188077,
  [SMALL_STATE(5495)] = 188091,
  [SMALL_STATE(5496)] = 188105,
  [SMALL_STATE(5497)] = 188121,
  [SMALL_STATE(5498)] = 188135,
  [SMALL_STATE(5499)] = 188149,
  [SMALL_STATE(5500)] = 188163,
  [SMALL_STATE(5501)] = 188177,
  [SMALL_STATE(5502)] = 188191,
  [SMALL_STATE(5503)] = 188205,
  [SMALL_STATE(5504)] = 188219,
  [SMALL_STATE(5505)] = 188235,
  [SMALL_STATE(5506)] = 188249,
  [SMALL_STATE(5507)] = 188265,
  [SMALL_STATE(5508)] = 188279,
  [SMALL_STATE(5509)] = 188295,
  [SMALL_STATE(5510)] = 188309,
  [SMALL_STATE(5511)] = 188323,
  [SMALL_STATE(5512)] = 188337,
  [SMALL_STATE(5513)] = 188351,
  [SMALL_STATE(5514)] = 188365,
  [SMALL_STATE(5515)] = 188379,
  [SMALL_STATE(5516)] = 188393,
  [SMALL_STATE(5517)] = 188407,
  [SMALL_STATE(5518)] = 188421,
  [SMALL_STATE(5519)] = 188435,
  [SMALL_STATE(5520)] = 188451,
  [SMALL_STATE(5521)] = 188465,
  [SMALL_STATE(5522)] = 188479,
  [SMALL_STATE(5523)] = 188493,
  [SMALL_STATE(5524)] = 188507,
  [SMALL_STATE(5525)] = 188521,
  [SMALL_STATE(5526)] = 188535,
  [SMALL_STATE(5527)] = 188549,
  [SMALL_STATE(5528)] = 188563,
  [SMALL_STATE(5529)] = 188577,
  [SMALL_STATE(5530)] = 188591,
  [SMALL_STATE(5531)] = 188605,
  [SMALL_STATE(5532)] = 188619,
  [SMALL_STATE(5533)] = 188633,
  [SMALL_STATE(5534)] = 188647,
  [SMALL_STATE(5535)] = 188661,
  [SMALL_STATE(5536)] = 188675,
  [SMALL_STATE(5537)] = 188689,
  [SMALL_STATE(5538)] = 188703,
  [SMALL_STATE(5539)] = 188719,
  [SMALL_STATE(5540)] = 188735,
  [SMALL_STATE(5541)] = 188749,
  [SMALL_STATE(5542)] = 188763,
  [SMALL_STATE(5543)] = 188777,
  [SMALL_STATE(5544)] = 188791,
  [SMALL_STATE(5545)] = 188805,
  [SMALL_STATE(5546)] = 188819,
  [SMALL_STATE(5547)] = 188833,
  [SMALL_STATE(5548)] = 188849,
  [SMALL_STATE(5549)] = 188863,
  [SMALL_STATE(5550)] = 188877,
  [SMALL_STATE(5551)] = 188891,
  [SMALL_STATE(5552)] = 188904,
  [SMALL_STATE(5553)] = 188917,
  [SMALL_STATE(5554)] = 188930,
  [SMALL_STATE(5555)] = 188943,
  [SMALL_STATE(5556)] = 188956,
  [SMALL_STATE(5557)] = 188969,
  [SMALL_STATE(5558)] = 188982,
  [SMALL_STATE(5559)] = 188995,
  [SMALL_STATE(5560)] = 189008,
  [SMALL_STATE(5561)] = 189021,
  [SMALL_STATE(5562)] = 189034,
  [SMALL_STATE(5563)] = 189047,
  [SMALL_STATE(5564)] = 189060,
  [SMALL_STATE(5565)] = 189073,
  [SMALL_STATE(5566)] = 189086,
  [SMALL_STATE(5567)] = 189099,
  [SMALL_STATE(5568)] = 189112,
  [SMALL_STATE(5569)] = 189125,
  [SMALL_STATE(5570)] = 189138,
  [SMALL_STATE(5571)] = 189151,
  [SMALL_STATE(5572)] = 189164,
  [SMALL_STATE(5573)] = 189177,
  [SMALL_STATE(5574)] = 189190,
  [SMALL_STATE(5575)] = 189203,
  [SMALL_STATE(5576)] = 189216,
  [SMALL_STATE(5577)] = 189229,
  [SMALL_STATE(5578)] = 189242,
  [SMALL_STATE(5579)] = 189255,
  [SMALL_STATE(5580)] = 189268,
  [SMALL_STATE(5581)] = 189281,
  [SMALL_STATE(5582)] = 189294,
  [SMALL_STATE(5583)] = 189307,
  [SMALL_STATE(5584)] = 189320,
  [SMALL_STATE(5585)] = 189333,
  [SMALL_STATE(5586)] = 189346,
  [SMALL_STATE(5587)] = 189359,
  [SMALL_STATE(5588)] = 189372,
  [SMALL_STATE(5589)] = 189385,
  [SMALL_STATE(5590)] = 189398,
  [SMALL_STATE(5591)] = 189411,
  [SMALL_STATE(5592)] = 189424,
  [SMALL_STATE(5593)] = 189437,
  [SMALL_STATE(5594)] = 189450,
  [SMALL_STATE(5595)] = 189463,
  [SMALL_STATE(5596)] = 189476,
  [SMALL_STATE(5597)] = 189489,
  [SMALL_STATE(5598)] = 189502,
  [SMALL_STATE(5599)] = 189515,
  [SMALL_STATE(5600)] = 189528,
  [SMALL_STATE(5601)] = 189541,
  [SMALL_STATE(5602)] = 189554,
  [SMALL_STATE(5603)] = 189567,
  [SMALL_STATE(5604)] = 189580,
  [SMALL_STATE(5605)] = 189593,
  [SMALL_STATE(5606)] = 189606,
  [SMALL_STATE(5607)] = 189619,
  [SMALL_STATE(5608)] = 189632,
  [SMALL_STATE(5609)] = 189645,
  [SMALL_STATE(5610)] = 189658,
  [SMALL_STATE(5611)] = 189671,
  [SMALL_STATE(5612)] = 189684,
  [SMALL_STATE(5613)] = 189697,
  [SMALL_STATE(5614)] = 189710,
  [SMALL_STATE(5615)] = 189723,
  [SMALL_STATE(5616)] = 189736,
  [SMALL_STATE(5617)] = 189749,
  [SMALL_STATE(5618)] = 189762,
  [SMALL_STATE(5619)] = 189775,
  [SMALL_STATE(5620)] = 189788,
  [SMALL_STATE(5621)] = 189801,
  [SMALL_STATE(5622)] = 189814,
  [SMALL_STATE(5623)] = 189827,
  [SMALL_STATE(5624)] = 189840,
  [SMALL_STATE(5625)] = 189853,
  [SMALL_STATE(5626)] = 189866,
  [SMALL_STATE(5627)] = 189879,
  [SMALL_STATE(5628)] = 189892,
  [SMALL_STATE(5629)] = 189905,
  [SMALL_STATE(5630)] = 189918,
  [SMALL_STATE(5631)] = 189931,
  [SMALL_STATE(5632)] = 189944,
  [SMALL_STATE(5633)] = 189957,
  [SMALL_STATE(5634)] = 189970,
  [SMALL_STATE(5635)] = 189983,
  [SMALL_STATE(5636)] = 189996,
  [SMALL_STATE(5637)] = 190009,
  [SMALL_STATE(5638)] = 190022,
  [SMALL_STATE(5639)] = 190035,
  [SMALL_STATE(5640)] = 190048,
  [SMALL_STATE(5641)] = 190061,
  [SMALL_STATE(5642)] = 190074,
  [SMALL_STATE(5643)] = 190087,
  [SMALL_STATE(5644)] = 190100,
  [SMALL_STATE(5645)] = 190113,
  [SMALL_STATE(5646)] = 190126,
  [SMALL_STATE(5647)] = 190139,
  [SMALL_STATE(5648)] = 190152,
  [SMALL_STATE(5649)] = 190165,
  [SMALL_STATE(5650)] = 190178,
  [SMALL_STATE(5651)] = 190191,
  [SMALL_STATE(5652)] = 190204,
  [SMALL_STATE(5653)] = 190217,
  [SMALL_STATE(5654)] = 190230,
  [SMALL_STATE(5655)] = 190243,
  [SMALL_STATE(5656)] = 190256,
  [SMALL_STATE(5657)] = 190269,
  [SMALL_STATE(5658)] = 190282,
  [SMALL_STATE(5659)] = 190295,
  [SMALL_STATE(5660)] = 190308,
  [SMALL_STATE(5661)] = 190321,
  [SMALL_STATE(5662)] = 190334,
  [SMALL_STATE(5663)] = 190347,
  [SMALL_STATE(5664)] = 190360,
  [SMALL_STATE(5665)] = 190373,
  [SMALL_STATE(5666)] = 190386,
  [SMALL_STATE(5667)] = 190399,
  [SMALL_STATE(5668)] = 190412,
  [SMALL_STATE(5669)] = 190425,
  [SMALL_STATE(5670)] = 190438,
  [SMALL_STATE(5671)] = 190451,
  [SMALL_STATE(5672)] = 190464,
  [SMALL_STATE(5673)] = 190477,
  [SMALL_STATE(5674)] = 190490,
  [SMALL_STATE(5675)] = 190503,
  [SMALL_STATE(5676)] = 190516,
  [SMALL_STATE(5677)] = 190529,
  [SMALL_STATE(5678)] = 190542,
  [SMALL_STATE(5679)] = 190555,
  [SMALL_STATE(5680)] = 190568,
  [SMALL_STATE(5681)] = 190581,
  [SMALL_STATE(5682)] = 190594,
  [SMALL_STATE(5683)] = 190607,
  [SMALL_STATE(5684)] = 190620,
  [SMALL_STATE(5685)] = 190633,
  [SMALL_STATE(5686)] = 190646,
  [SMALL_STATE(5687)] = 190659,
  [SMALL_STATE(5688)] = 190672,
  [SMALL_STATE(5689)] = 190685,
  [SMALL_STATE(5690)] = 190698,
  [SMALL_STATE(5691)] = 190711,
  [SMALL_STATE(5692)] = 190724,
  [SMALL_STATE(5693)] = 190737,
  [SMALL_STATE(5694)] = 190750,
  [SMALL_STATE(5695)] = 190763,
  [SMALL_STATE(5696)] = 190776,
  [SMALL_STATE(5697)] = 190789,
  [SMALL_STATE(5698)] = 190802,
  [SMALL_STATE(5699)] = 190815,
  [SMALL_STATE(5700)] = 190828,
  [SMALL_STATE(5701)] = 190841,
  [SMALL_STATE(5702)] = 190854,
  [SMALL_STATE(5703)] = 190867,
  [SMALL_STATE(5704)] = 190880,
  [SMALL_STATE(5705)] = 190893,
  [SMALL_STATE(5706)] = 190906,
  [SMALL_STATE(5707)] = 190919,
  [SMALL_STATE(5708)] = 190932,
  [SMALL_STATE(5709)] = 190945,
  [SMALL_STATE(5710)] = 190958,
  [SMALL_STATE(5711)] = 190971,
  [SMALL_STATE(5712)] = 190984,
  [SMALL_STATE(5713)] = 190997,
  [SMALL_STATE(5714)] = 191010,
  [SMALL_STATE(5715)] = 191023,
  [SMALL_STATE(5716)] = 191036,
  [SMALL_STATE(5717)] = 191049,
  [SMALL_STATE(5718)] = 191062,
  [SMALL_STATE(5719)] = 191075,
  [SMALL_STATE(5720)] = 191088,
  [SMALL_STATE(5721)] = 191101,
  [SMALL_STATE(5722)] = 191114,
  [SMALL_STATE(5723)] = 191127,
  [SMALL_STATE(5724)] = 191140,
  [SMALL_STATE(5725)] = 191153,
  [SMALL_STATE(5726)] = 191166,
  [SMALL_STATE(5727)] = 191179,
  [SMALL_STATE(5728)] = 191192,
  [SMALL_STATE(5729)] = 191205,
  [SMALL_STATE(5730)] = 191218,
  [SMALL_STATE(5731)] = 191231,
  [SMALL_STATE(5732)] = 191244,
  [SMALL_STATE(5733)] = 191257,
  [SMALL_STATE(5734)] = 191270,
  [SMALL_STATE(5735)] = 191283,
  [SMALL_STATE(5736)] = 191296,
  [SMALL_STATE(5737)] = 191309,
  [SMALL_STATE(5738)] = 191322,
  [SMALL_STATE(5739)] = 191335,
  [SMALL_STATE(5740)] = 191348,
  [SMALL_STATE(5741)] = 191361,
  [SMALL_STATE(5742)] = 191374,
  [SMALL_STATE(5743)] = 191387,
  [SMALL_STATE(5744)] = 191400,
  [SMALL_STATE(5745)] = 191413,
  [SMALL_STATE(5746)] = 191426,
  [SMALL_STATE(5747)] = 191439,
  [SMALL_STATE(5748)] = 191452,
  [SMALL_STATE(5749)] = 191465,
  [SMALL_STATE(5750)] = 191478,
  [SMALL_STATE(5751)] = 191491,
  [SMALL_STATE(5752)] = 191504,
  [SMALL_STATE(5753)] = 191517,
  [SMALL_STATE(5754)] = 191530,
  [SMALL_STATE(5755)] = 191543,
  [SMALL_STATE(5756)] = 191556,
  [SMALL_STATE(5757)] = 191569,
  [SMALL_STATE(5758)] = 191582,
  [SMALL_STATE(5759)] = 191595,
  [SMALL_STATE(5760)] = 191608,
  [SMALL_STATE(5761)] = 191621,
  [SMALL_STATE(5762)] = 191634,
  [SMALL_STATE(5763)] = 191647,
  [SMALL_STATE(5764)] = 191660,
  [SMALL_STATE(5765)] = 191673,
  [SMALL_STATE(5766)] = 191686,
  [SMALL_STATE(5767)] = 191699,
  [SMALL_STATE(5768)] = 191712,
  [SMALL_STATE(5769)] = 191725,
  [SMALL_STATE(5770)] = 191738,
  [SMALL_STATE(5771)] = 191751,
  [SMALL_STATE(5772)] = 191764,
  [SMALL_STATE(5773)] = 191777,
  [SMALL_STATE(5774)] = 191790,
  [SMALL_STATE(5775)] = 191803,
  [SMALL_STATE(5776)] = 191816,
  [SMALL_STATE(5777)] = 191829,
  [SMALL_STATE(5778)] = 191842,
  [SMALL_STATE(5779)] = 191855,
  [SMALL_STATE(5780)] = 191868,
  [SMALL_STATE(5781)] = 191881,
  [SMALL_STATE(5782)] = 191894,
  [SMALL_STATE(5783)] = 191907,
  [SMALL_STATE(5784)] = 191920,
  [SMALL_STATE(5785)] = 191933,
  [SMALL_STATE(5786)] = 191946,
  [SMALL_STATE(5787)] = 191959,
  [SMALL_STATE(5788)] = 191972,
  [SMALL_STATE(5789)] = 191985,
  [SMALL_STATE(5790)] = 191998,
  [SMALL_STATE(5791)] = 192011,
  [SMALL_STATE(5792)] = 192024,
  [SMALL_STATE(5793)] = 192037,
  [SMALL_STATE(5794)] = 192050,
  [SMALL_STATE(5795)] = 192063,
  [SMALL_STATE(5796)] = 192076,
  [SMALL_STATE(5797)] = 192089,
  [SMALL_STATE(5798)] = 192102,
  [SMALL_STATE(5799)] = 192115,
  [SMALL_STATE(5800)] = 192128,
  [SMALL_STATE(5801)] = 192141,
  [SMALL_STATE(5802)] = 192154,
  [SMALL_STATE(5803)] = 192167,
  [SMALL_STATE(5804)] = 192180,
  [SMALL_STATE(5805)] = 192193,
  [SMALL_STATE(5806)] = 192206,
  [SMALL_STATE(5807)] = 192219,
  [SMALL_STATE(5808)] = 192232,
  [SMALL_STATE(5809)] = 192245,
  [SMALL_STATE(5810)] = 192258,
  [SMALL_STATE(5811)] = 192271,
  [SMALL_STATE(5812)] = 192284,
  [SMALL_STATE(5813)] = 192297,
  [SMALL_STATE(5814)] = 192310,
  [SMALL_STATE(5815)] = 192323,
  [SMALL_STATE(5816)] = 192336,
  [SMALL_STATE(5817)] = 192349,
  [SMALL_STATE(5818)] = 192362,
  [SMALL_STATE(5819)] = 192375,
  [SMALL_STATE(5820)] = 192388,
  [SMALL_STATE(5821)] = 192401,
  [SMALL_STATE(5822)] = 192414,
  [SMALL_STATE(5823)] = 192427,
  [SMALL_STATE(5824)] = 192440,
  [SMALL_STATE(5825)] = 192453,
  [SMALL_STATE(5826)] = 192466,
  [SMALL_STATE(5827)] = 192479,
  [SMALL_STATE(5828)] = 192492,
  [SMALL_STATE(5829)] = 192505,
  [SMALL_STATE(5830)] = 192518,
  [SMALL_STATE(5831)] = 192531,
  [SMALL_STATE(5832)] = 192544,
  [SMALL_STATE(5833)] = 192557,
  [SMALL_STATE(5834)] = 192570,
  [SMALL_STATE(5835)] = 192583,
  [SMALL_STATE(5836)] = 192596,
  [SMALL_STATE(5837)] = 192609,
  [SMALL_STATE(5838)] = 192622,
  [SMALL_STATE(5839)] = 192635,
  [SMALL_STATE(5840)] = 192648,
  [SMALL_STATE(5841)] = 192661,
  [SMALL_STATE(5842)] = 192674,
  [SMALL_STATE(5843)] = 192687,
  [SMALL_STATE(5844)] = 192700,
  [SMALL_STATE(5845)] = 192713,
  [SMALL_STATE(5846)] = 192726,
  [SMALL_STATE(5847)] = 192739,
  [SMALL_STATE(5848)] = 192752,
  [SMALL_STATE(5849)] = 192765,
  [SMALL_STATE(5850)] = 192778,
  [SMALL_STATE(5851)] = 192791,
  [SMALL_STATE(5852)] = 192804,
  [SMALL_STATE(5853)] = 192817,
  [SMALL_STATE(5854)] = 192830,
  [SMALL_STATE(5855)] = 192843,
  [SMALL_STATE(5856)] = 192856,
  [SMALL_STATE(5857)] = 192869,
  [SMALL_STATE(5858)] = 192882,
  [SMALL_STATE(5859)] = 192895,
  [SMALL_STATE(5860)] = 192908,
  [SMALL_STATE(5861)] = 192921,
  [SMALL_STATE(5862)] = 192934,
  [SMALL_STATE(5863)] = 192947,
  [SMALL_STATE(5864)] = 192960,
  [SMALL_STATE(5865)] = 192973,
  [SMALL_STATE(5866)] = 192986,
  [SMALL_STATE(5867)] = 192999,
  [SMALL_STATE(5868)] = 193012,
  [SMALL_STATE(5869)] = 193025,
  [SMALL_STATE(5870)] = 193038,
  [SMALL_STATE(5871)] = 193051,
  [SMALL_STATE(5872)] = 193064,
  [SMALL_STATE(5873)] = 193077,
  [SMALL_STATE(5874)] = 193081,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5825),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5747),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5593),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4904),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lhs, 1, 0, 0),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__lhs, 1, 0, 0),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5654),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5006),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5595),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lhs, 1, 0, 2),
  [181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__lhs, 1, 0, 2),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2420),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5090),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2851),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5103),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5618),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5053),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5648),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5662),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_identifier_call, 1, 0, 4),
  [413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_identifier_call, 1, 0, 4),
  [415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return, 1, 0, 0),
  [417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return, 1, 0, 0),
  [419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break, 1, 0, 0),
  [421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break, 1, 0, 0),
  [423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 1, 0, 0),
  [425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield, 1, 0, 0),
  [427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_next, 1, 0, 0),
  [429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_next, 1, 0, 0),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5851),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4999),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5833),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5840),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2387),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4648),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable, 1, 0, 0),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2919),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable, 1, 0, 0),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5318),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5322),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2923),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2963),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4230),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4511),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2936),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4627),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4586),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5315),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5385),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4351),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3012),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5263),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4600),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2989),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5367),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4618),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4624),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4629),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4217),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4283),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4362),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5280),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4355),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4298),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4587),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4581),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4352),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2870),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5238),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splat_argument, 1, 0, 0),
  [885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splat_argument, 1, 0, 0),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range, 2, 0, 17),
  [923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range, 2, 0, 17),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5332),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4313),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5297),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5278),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5266),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4599),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2967),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4628),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5222),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4580),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5333),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5366),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5395),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4233),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2969),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5031),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2972),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4312),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4646),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4224),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5383),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [1031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 2),
  [1033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 2),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2934),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [1061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(1879),
  [1064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(5747),
  [1067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(723),
  [1070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0),
  [1072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(5593),
  [1075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(2387),
  [1078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(321),
  [1081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(5654),
  [1084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0),
  [1086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(2025),
  [1089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(1065),
  [1092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(1943),
  [1095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(2052),
  [1098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(1947),
  [1101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(1951),
  [1104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(49),
  [1107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(50),
  [1110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(51),
  [1113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(52),
  [1116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(2173),
  [1119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(2182),
  [1122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(387),
  [1125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(386),
  [1128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(385),
  [1131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(380),
  [1134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(1941),
  [1137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(262),
  [1140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [1143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(1065),
  [1146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(191),
  [1149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(539),
  [1152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(545),
  [1155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(562),
  [1158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(563),
  [1161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(2624),
  [1164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(2623),
  [1167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(2161),
  [1170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(2055),
  [1173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(1934),
  [1176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(1939),
  [1179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(1880),
  [1182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(2238),
  [1185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(4493),
  [1188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(2237),
  [1191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(5086),
  [1194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(5089),
  [1197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(5091),
  [1200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(5035),
  [1203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(4909),
  [1206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(4904),
  [1209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(638),
  [1212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(4962),
  [1215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(1066),
  [1218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(1939),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [1229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 1, 0, 0),
  [1231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 1, 0, 0),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [1249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_then, 2, 0, 0),
  [1251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_then, 1, 0, 0),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3018),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [1293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else, 1, 0, 0),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5247),
  [1299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsif, 3, 0, 64),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5230),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2868),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [1329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rescue, 4, 0, 93),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5283),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [1349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rescue, 3, 0, 72),
  [1351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rescue, 2, 0, 0),
  [1353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rescue, 3, 0, 74),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [1357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_when, 4, 0, 88),
  [1359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else, 2, 0, 0),
  [1361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ensure, 1, 0, 0),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2827),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [1427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_when, 3, 0, 68),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [1431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_in_clause, 4, 0, 109),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [1435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_in_clause, 3, 0, 68),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [1439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4995),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5012),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [1543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(2091),
  [1546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [1548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [1550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [1552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [1554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [1556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [1558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [1562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [1564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [1566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [1568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [1570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [1572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [1574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [1576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [1578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4990),
  [1580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [1582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [1584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [1588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [1590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [1594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [1596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [1598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [1600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [1604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [1606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [1610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [1612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [1614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [1616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [1618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [1620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [1622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [1626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [1632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [1636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [1656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [1658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [1662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4334),
  [1664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [1666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [1668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [1672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [1678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [1680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [1682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [1684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2369),
  [1686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [1696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [1698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [1700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [1702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [1704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5235),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [1712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [1714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [1716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [1728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [1778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [1782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5609),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [1798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [1802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [1808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [1812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [1828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [1832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [1840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5204),
  [1844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [1848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [1850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [1860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [1862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [1866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [1872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [1874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [1876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [1916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [1922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [1924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [1926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [1932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [1938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [1940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [1946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [1948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [1950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [1954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [1958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [1964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [1966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [1974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3445),
  [1976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [1984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__terminator, 1, 0, 0),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [1988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [1990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [2004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [2008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [2014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [2020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [2022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [2034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4970),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [2050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [2052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [2054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [2056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [2060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [2062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [2064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [2066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [2070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [2074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [2080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [2082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [2086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5108),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2418),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [2136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [2140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [2144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5060),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [2164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [2166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [2170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [2178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [2182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [2184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [2188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [2200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [2204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [2206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [2208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [2218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [2254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_list_with_trailing_comma, 2, 0, 0),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [2264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 2, 0, 29),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [2286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [2318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_list_with_trailing_comma, 3, 0, 0),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [2324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [2330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [2332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [2340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_pattern, 2, 0, 28),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [2382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [2406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pair, 2, 0, 29),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [2418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 2, 0, 28),
  [2420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pair, 2, 0, 28),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [2428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_splat_argument, 1, 0, 0),
  [2436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_splat_argument, 1, 0, 0),
  [2438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_argument, 1, 0, 0),
  [2440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_argument, 1, 0, 0),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [2452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_argument, 1, 0, 0),
  [2454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_argument, 1, 0, 0),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [2460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2447),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [2490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [2494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [2498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [2500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_parameter, 2, 0, 30),
  [2556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_parameter, 2, 0, 30),
  [2558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [2560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [2562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__nonlocal_variable, 1, 0, 0),
  [2564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__nonlocal_variable, 1, 0, 0),
  [2566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier_suffix, 1, 0, 0),
  [2568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier_suffix, 1, 0, 0),
  [2570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator, 1, 0, 0),
  [2572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator, 1, 0, 0),
  [2574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__call, 3, 0, 49),
  [2576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scope_resolution, 3, 0, 51),
  [2578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scope_resolution, 3, 0, 51),
  [2580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call, 3, 0, 49),
  [2582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_suffix, 1, 0, 0),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_suffix, 1, 0, 0),
  [2586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_identifier, 1, 0, 7),
  [2588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_identifier, 1, 0, 7),
  [2590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_identifier, 1, 0, 6),
  [2592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_identifier, 1, 0, 6),
  [2594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4164),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [2598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splat_parameter, 1, 0, 0),
  [2600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [2606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splat_parameter, 1, 0, 0),
  [2608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_assignment, 1, 0, 0),
  [2610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4890),
  [2612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [2614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [2616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5111),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5115),
  [2620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5125),
  [2622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5148),
  [2624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5182),
  [2626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5176),
  [2628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [2630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [2632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [2634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [2638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [2648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5496),
  [2650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5021),
  [2652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4704),
  [2654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4876),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4733),
  [2658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4734),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4702),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [2682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [2684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [2686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [2688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_constant, 1, 0, 0),
  [2690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [2692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [2694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [2696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [2698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [2700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [2702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [2704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4588),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mlhs, 2, 0, 0),
  [2710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__mlhs, 2, 0, 0),
  [2712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mlhs, 3, 0, 0),
  [2714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__mlhs, 3, 0, 0),
  [2716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_assignment, 1, 0, 0),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5866),
  [2720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [2724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [2728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4806),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [2738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5018),
  [2740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5085),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4770),
  [2744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [2746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [2748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4378),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4540),
  [2752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_pattern_n, 2, 0, 77),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5659),
  [2758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_pattern_n, 2, 0, 77),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [2764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4341),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [2768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3352),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [2772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4105),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [2782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4975),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [2794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_pattern, 2, 0, 28),
  [2796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_pattern, 2, 0, 29),
  [2798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_pattern, 2, 0, 29),
  [2800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4781),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [2812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4700),
  [2814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4614),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [2818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3378),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [2822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4573),
  [2824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4653),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5807),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4960),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4377),
  [2850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4422),
  [2852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4454),
  [2854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4363),
  [2856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4636),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [2860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3349),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [2864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4539),
  [2866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4568),
  [2868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4747),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [2872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3375),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [2876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4574),
  [2878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4602),
  [2880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4533),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [2884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4559),
  [2886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3317),
  [2888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4480),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [2894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__chained_command_call, 3, 0, 49),
  [2896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__chained_command_call, 3, 0, 49),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [2902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4753),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4700),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [2908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__terminator, 1, 0, 0),
  [2910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scope_resolution, 2, 0, 14),
  [2912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scope_resolution, 2, 0, 14),
  [2914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern_constant_resolution, 2, 0, 14),
  [2916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_constant_resolution, 2, 0, 14),
  [2918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [2920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [2922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 1, 0, 0),
  [2924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 1, 0, 0),
  [2926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern_constant, 1, 0, 0),
  [2928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [2930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__keyword_variable, 1, 0, 0),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4762),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_reference, 3, 0, 48),
  [2936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element_reference, 3, 0, 48),
  [2938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nil, 1, 0, 0),
  [2940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nil, 1, 0, 0),
  [2942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_reference, 4, 0, 48),
  [2944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element_reference, 4, 0, 48),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [2948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_expr_basic, 1, 0, 0),
  [2950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 2, 0, 0),
  [2952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0),
  [2954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 4, 0, 0),
  [2956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 4, 0, 0),
  [2958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 3, 0, 0),
  [2960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [2962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_parameters, 6, 0, 121),
  [2964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_parameters, 6, 0, 121),
  [2966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_parameters, 2, 0, 0),
  [2968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_parameters, 2, 0, 0),
  [2970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_parameters, 3, 0, 0),
  [2972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_parameters, 3, 0, 0),
  [2974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_parameters, 4, 0, 0),
  [2976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_parameters, 4, 0, 0),
  [2978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_parameters, 7, 0, 122),
  [2980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_parameters, 7, 0, 122),
  [2982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_parameters, 7, 0, 123),
  [2984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_parameters, 7, 0, 123),
  [2986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary, 1, 0, 0),
  [2988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary, 1, 0, 0),
  [2990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [2994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_parameters, 8, 0, 124),
  [2996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_parameters, 8, 0, 124),
  [2998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_parameters, 5, 0, 117),
  [3000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_parameters, 5, 0, 117),
  [3002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [3006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_parameters, 6, 0, 120),
  [3008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_parameters, 6, 0, 120),
  [3010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [3014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_parameters, 5, 0, 0),
  [3016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_parameters, 5, 0, 0),
  [3018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_parameters, 4, 0, 111),
  [3020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_parameters, 4, 0, 111),
  [3022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_parameters, 5, 0, 115),
  [3024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_parameters, 5, 0, 115),
  [3026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [3032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [3036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [3040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [3044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [3048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [3052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [3056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [3058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [3062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [3066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_range, 2, 0, 17),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [3082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [3086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [3090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [3094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [3098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [3102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [3106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [3110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_chained_string_repeat1, 2, 0, 0),
  [3112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_chained_string_repeat1, 2, 0, 0),
  [3114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chained_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5086),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [3125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [3129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [3133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_numeric, 1, 0, 0),
  [3135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_numeric, 1, 0, 0),
  [3137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__int_or_float, 1, 0, 0),
  [3139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__int_or_float, 1, 0, 0),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [3149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chained_string, 2, 0, 0),
  [3151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_chained_string, 2, 0, 0),
  [3153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_literal, 1, 0, 0),
  [3155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [3159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 8),
  [3161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 8),
  [3163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redo, 1, 0, 0),
  [3165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redo, 1, 0, 0),
  [3167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [3169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, 0, 18),
  [3171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, 0, 18),
  [3173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_retry, 1, 0, 0),
  [3175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_retry, 1, 0, 0),
  [3177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, 0, 20),
  [3179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, 0, 20),
  [3181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 3, 0, 50),
  [3183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 3, 0, 50),
  [3185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [3187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 23),
  [3189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 23),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [3193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [3195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [3199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern_range, 2, 0, 17),
  [3201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_chained_string_repeat1, 1, 0, 0),
  [3203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_chained_string_repeat1, 1, 0, 0),
  [3205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [3207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 5, 0, 33),
  [3209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 5, 0, 33),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [3215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__numeric, 1, 0, 0),
  [3217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__numeric, 1, 0, 0),
  [3219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary, 1, 0, 5),
  [3221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary, 1, 0, 5),
  [3223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [3225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [3227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_block, 3, 0, 75),
  [3229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_block, 3, 0, 75),
  [3231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 6, 0, 105),
  [3233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 6, 0, 105),
  [3235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rational, 2, 0, 0),
  [3237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rational, 2, 0, 0),
  [3239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_block, 3, 0, 16),
  [3241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_block, 3, 0, 16),
  [3243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_block, 3, 0, 0),
  [3245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_block, 3, 0, 0),
  [3247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_singleton_class, 6, 0, 104),
  [3249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_singleton_class, 6, 0, 104),
  [3251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex, 2, 0, 22),
  [3253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_complex, 2, 0, 22),
  [3255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arg, 1, 0, 1),
  [3257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arg, 1, 0, 1),
  [3259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex, 2, 0, 0),
  [3261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_complex, 2, 0, 0),
  [3263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, 0, 21),
  [3265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, 0, 21),
  [3267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [3269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [3271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [3273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_singleton_method, 4, 0, 59),
  [3275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_singleton_method, 4, 0, 59),
  [3277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__body_expr, 2, 0, 16),
  [3279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__body_expr, 2, 0, 16),
  [3281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_rest, 5, 0, 103),
  [3283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__method_rest, 5, 0, 103),
  [3285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 2, 0, 16),
  [3287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 2, 0, 16),
  [3289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arg, 1, 0, 0),
  [3291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arg, 1, 0, 0),
  [3293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_statements, 3, 0, 0),
  [3295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_statements, 3, 0, 0),
  [3297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_rest, 3, 0, 60),
  [3299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__method_rest, 3, 0, 60),
  [3301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_rest, 3, 0, 61),
  [3303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__method_rest, 3, 0, 61),
  [3305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [3309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash, 2, 0, 0),
  [3311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash, 2, 0, 0),
  [3313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_pattern, 2, 0, 0),
  [3315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_rest, 3, 0, 30),
  [3317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__method_rest, 3, 0, 30),
  [3319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 62),
  [3321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 62),
  [3323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 14),
  [3325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 14),
  [3327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_literal, 2, 0, 11),
  [3329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_literal, 2, 0, 11),
  [3331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__literal, 1, 0, 0),
  [3333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__literal, 1, 0, 0),
  [3335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 4, 0, 94),
  [3337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 4, 0, 94),
  [3339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_block, 4, 0, 94),
  [3341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_block, 4, 0, 94),
  [3343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 4, 0, 14),
  [3345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 4, 0, 14),
  [3347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [3351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_minus_pow, 2, 0, 12),
  [3353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unary_minus_pow, 2, 0, 12),
  [3355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_block, 4, 0, 75),
  [3357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_block, 4, 0, 75),
  [3359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [3363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 6, 0, 66),
  [3365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 6, 0, 66),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [3371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 75),
  [3373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 75),
  [3375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash, 4, 0, 0),
  [3377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash, 4, 0, 0),
  [3379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary, 2, 0, 11),
  [3381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary, 2, 0, 11),
  [3383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 5, 0, 83),
  [3385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 5, 0, 83),
  [3387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 83),
  [3389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 83),
  [3391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 16),
  [3393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 16),
  [3395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 82),
  [3397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 82),
  [3399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_match, 6, 0, 106),
  [3401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_match, 6, 0, 106),
  [3403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_block, 4, 0, 95),
  [3405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_block, 4, 0, 95),
  [3407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_rest, 4, 0, 81),
  [3409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__method_rest, 4, 0, 81),
  [3411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [3415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_rest, 4, 0, 60),
  [3417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__method_rest, 4, 0, 60),
  [3419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_rest, 4, 0, 80),
  [3421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__method_rest, 4, 0, 80),
  [3423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_block, 4, 0, 96),
  [3425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_block, 4, 0, 96),
  [3427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash, 5, 0, 0),
  [3429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash, 5, 0, 0),
  [3431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subshell, 3, 0, 24),
  [3433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subshell, 3, 0, 24),
  [3435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [3439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_match, 6, 0, 110),
  [3441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_match, 6, 0, 110),
  [3443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_symbol_array, 5, 0, 27),
  [3445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_symbol_array, 5, 0, 27),
  [3447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_unary, 2, 0, 11),
  [3449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_unary, 2, 0, 11),
  [3451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 14),
  [3453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 14),
  [3455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 4, 0, 0),
  [3457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 4, 0, 0),
  [3459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if, 5, 0, 84),
  [3461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if, 5, 0, 84),
  [3463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_begin, 2, 0, 0),
  [3465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_begin, 2, 0, 0),
  [3467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_match, 4, 0, 69),
  [3469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_match, 4, 0, 69),
  [3471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [3473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [3475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, 0, 19),
  [3477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, 0, 19),
  [3479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 3, 0, 14),
  [3481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 3, 0, 14),
  [3483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_begin, 3, 0, 0),
  [3485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_begin, 3, 0, 0),
  [3487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if, 5, 0, 85),
  [3489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if, 5, 0, 85),
  [3491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unless, 5, 0, 84),
  [3493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unless, 5, 0, 84),
  [3495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [3497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [3499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_symbol_array, 5, 0, 56),
  [3501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_symbol_array, 5, 0, 56),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_match, 7, 0, 114),
  [3505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_match, 7, 0, 114),
  [3507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_array, 5, 0, 26),
  [3509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_array, 5, 0, 26),
  [3511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unless, 5, 0, 85),
  [3513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unless, 5, 0, 85),
  [3515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_array, 5, 0, 55),
  [3517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_array, 5, 0, 55),
  [3519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do, 3, 0, 0),
  [3521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do, 3, 0, 0),
  [3523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 5, 0, 66),
  [3525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 5, 0, 66),
  [3527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 7, 0, 66),
  [3529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 7, 0, 66),
  [3531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_match, 6, 0, 107),
  [3533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_match, 6, 0, 107),
  [3535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 4, 0, 33),
  [3537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 4, 0, 33),
  [3539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 4, 0, 79),
  [3541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 4, 0, 79),
  [3543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_singleton_method, 6, 0, 102),
  [3545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_singleton_method, 6, 0, 102),
  [3547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_symbol_array, 6, 0, 56),
  [3549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_symbol_array, 6, 0, 56),
  [3551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_array, 6, 0, 55),
  [3553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_array, 6, 0, 55),
  [3555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_match, 5, 0, 86),
  [3557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_match, 5, 0, 86),
  [3559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delimited_symbol, 2, 0, 8),
  [3561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delimited_symbol, 2, 0, 8),
  [3563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_block, 6, 0, 119),
  [3565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_block, 6, 0, 119),
  [3567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_singleton_class, 5, 0, 66),
  [3569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_singleton_class, 5, 0, 66),
  [3571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [3573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [3575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while, 3, 0, 32),
  [3577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while, 3, 0, 32),
  [3579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subshell, 2, 0, 9),
  [3581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subshell, 2, 0, 9),
  [3583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 3, 0, 52),
  [3585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 3, 0, 52),
  [3587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_rest, 2, 0, 31),
  [3589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__method_rest, 2, 0, 31),
  [3591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_lambda, 1, 0, 0),
  [3593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 53),
  [3595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment, 3, 0, 53),
  [3597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, 0, 37),
  [3599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 3, 0, 37),
  [3601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_assignment, 3, 0, 40),
  [3603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_assignment, 3, 0, 40),
  [3605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if, 4, 0, 63),
  [3607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if, 4, 0, 63),
  [3609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 2, 0, 10),
  [3611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 2, 0, 10),
  [3613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method, 2, 0, 13),
  [3615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 2, 0, 13),
  [3617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delimited_symbol, 3, 0, 23),
  [3619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delimited_symbol, 3, 0, 23),
  [3621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 6, 0, 33),
  [3623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 6, 0, 33),
  [3625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_statements, 2, 0, 0),
  [3627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_statements, 2, 0, 0),
  [3629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return, 2, 0, 0),
  [3631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return, 2, 0, 0),
  [3633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if, 4, 0, 64),
  [3635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if, 4, 0, 64),
  [3637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 2, 0, 0),
  [3639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield, 2, 0, 0),
  [3641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3117),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [3649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break, 2, 0, 0),
  [3651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break, 2, 0, 0),
  [3653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 3, 0, 0),
  [3655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 3, 0, 0),
  [3657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_block, 2, 0, 0),
  [3659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_block, 2, 0, 0),
  [3661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_array, 2, 0, 0),
  [3663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_array, 2, 0, 0),
  [3665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_until, 3, 0, 32),
  [3667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_until, 3, 0, 32),
  [3669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unless, 4, 0, 63),
  [3671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unless, 4, 0, 63),
  [3673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 3, 0, 54),
  [3675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 3, 0, 54),
  [3677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, 0, 25),
  [3679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, 0, 25),
  [3681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_array, 3, 0, 0),
  [3683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_array, 3, 0, 0),
  [3685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_symbol_array, 2, 0, 0),
  [3687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_symbol_array, 2, 0, 0),
  [3689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unless, 4, 0, 64),
  [3691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unless, 4, 0, 64),
  [3693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_begin, 4, 0, 0),
  [3695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_begin, 4, 0, 0),
  [3697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 2, 0, 0),
  [3699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 2, 0, 0),
  [3701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_array, 3, 0, 26),
  [3703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_array, 3, 0, 26),
  [3705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 3, 0, 33),
  [3707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 3, 0, 33),
  [3709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do, 2, 0, 0),
  [3711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do, 2, 0, 0),
  [3713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 4, 0, 62),
  [3715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 4, 0, 62),
  [3717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_array, 4, 0, 0),
  [3719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_array, 4, 0, 0),
  [3721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_match, 5, 0, 90),
  [3723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_match, 5, 0, 90),
  [3725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_match, 5, 0, 91),
  [3727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_match, 5, 0, 91),
  [3729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 5, 0, 0),
  [3731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 5, 0, 0),
  [3733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_array, 4, 0, 55),
  [3735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_array, 4, 0, 55),
  [3737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for, 4, 0, 65),
  [3739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for, 4, 0, 65),
  [3741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_array, 4, 0, 26),
  [3743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_array, 4, 0, 26),
  [3745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_block, 5, 0, 112),
  [3747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_block, 5, 0, 112),
  [3749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_symbol_array, 3, 0, 0),
  [3751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_symbol_array, 3, 0, 0),
  [3753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 4, 0, 66),
  [3755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 4, 0, 66),
  [3757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_symbol_array, 4, 0, 27),
  [3759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_symbol_array, 4, 0, 27),
  [3761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_symbol_array, 3, 0, 27),
  [3763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_symbol_array, 3, 0, 27),
  [3765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_block, 5, 0, 113),
  [3767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_block, 5, 0, 113),
  [3769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_block, 5, 0, 95),
  [3771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_block, 5, 0, 95),
  [3773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_symbol_array, 4, 0, 0),
  [3775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_symbol_array, 4, 0, 0),
  [3777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [3781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_next, 2, 0, 0),
  [3783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_next, 2, 0, 0),
  [3785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_symbol_array, 4, 0, 56),
  [3787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_symbol_array, 4, 0, 56),
  [3789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0),
  [3791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0),
  [3793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash, 3, 0, 0),
  [3795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash, 3, 0, 0),
  [3797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redo, 2, 0, 0),
  [3799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redo, 2, 0, 0),
  [3801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_retry, 2, 0, 0),
  [3803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_retry, 2, 0, 0),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [3809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [3817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [3821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [3827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [3831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [3835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [3839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4674),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4402),
  [3845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4402),
  [3847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5535),
  [3849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4717),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4400),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [3863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [3873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [3889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [3893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [3895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [3897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [3915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [3921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [3943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(789),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [3948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_right_assignment_list, 2, 0, 0),
  [3950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_right_assignment_list, 2, 0, 0),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [3954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [3958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3129),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [3970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [3982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary, 3, 0, 40),
  [3984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary, 3, 0, 40),
  [3986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [3992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [3996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splat_argument, 2, 0, 0),
  [3998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splat_argument, 2, 0, 0),
  [4000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range, 3, 0, 41),
  [4002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range, 3, 0, 41),
  [4004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rescue_modifier_arg, 3, 0, 38),
  [4006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rescue_modifier_arg, 3, 0, 38),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [4010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [4014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [4018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range, 2, 0, 15),
  [4020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range, 2, 0, 15),
  [4022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [4026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional, 5, 0, 101),
  [4028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional, 5, 0, 101),
  [4030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [4032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pow, 3, 0, 40),
  [4034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pow, 3, 0, 40),
  [4036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [4046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [4050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [4052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [4054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [4072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [4078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [4082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(791),
  [4085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [4093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [4101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [4103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [4107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [4113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [4115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [4119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3099),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [4127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [4133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [4137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [4149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4793),
  [4151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4400),
  [4153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [4157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [4161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [4163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [4165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [4177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [4181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [4187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(803),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [4192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [4196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [4198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [4204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [4222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [4236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [4238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [4242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [4248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4519),
  [4250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(801),
  [4253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4678),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [4257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4755),
  [4259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4752),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4759),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4752),
  [4269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [4271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3147),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [4275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3259),
  [4277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3258),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [4291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [4297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [4299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [4317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [4327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_splat_argument, 2, 0, 0),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [4333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [4339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [4341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [4359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [4367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(800),
  [4370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 58),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [4374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 57),
  [4376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_argument, 2, 0, 0),
  [4378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3163),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [4384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [4386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rescue_modifier_expression, 3, 0, 38),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [4392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(788),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [4399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [4403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [4405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [4407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [4425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [4433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [4437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [4441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [4443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [4445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [4463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [4469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3089),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [4475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chained_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5047),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [4480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [4482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [4484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [4496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [4504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [4516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [4522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [4524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [4542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [4550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [4554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [4556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [4562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [4580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [4586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(797),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [4591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(804),
  [4594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [4602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [4604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [4626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [4630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [4632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [4634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [4652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [4658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [4666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [4670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [4672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [4674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [4692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [4698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [4704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(798),
  [4707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [4709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [4713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [4715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [4721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [4725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [4727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [4733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pair, 3, 0, 58),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [4737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [4741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [4743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [4749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [4753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [4761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [4765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [4767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [4769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [4787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [4793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pair, 3, 0, 57),
  [4795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [4799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4758),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4695),
  [4803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4695),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [4807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4725),
  [4809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [4811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [4815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [4817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [4825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [4829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [4831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [4833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [4851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [4857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [4859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4802),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4771),
  [4863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4771),
  [4865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4791),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4800),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4795),
  [4871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [4875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_argument, 2, 0, 0),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [4879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [4885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [4887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [4889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(813),
  [4892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(784),
  [4895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3152),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [4907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__method_name, 1, 0, 0),
  [4909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_name, 1, 0, 0),
  [4911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3281),
  [4913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_splat_argument, 2, 0, 0),
  [4915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [4917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [4919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(794),
  [4922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rescue_modifier_expression, 3, 0, 38),
  [4924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [4926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [4928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [4932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [4934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [4936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [4954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [4960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(795),
  [4963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [4967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [4969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [4971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [4989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [4995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3101),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [5003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [5007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [5009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [5011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [5029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [5051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(805),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [5058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(807),
  [5061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3124),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [5067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setter, 2, 0, 30),
  [5069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter, 2, 0, 30),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [5077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [5081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [5083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [5085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [5103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [5111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [5119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [5125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [5127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [5137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [5143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [5147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [5157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(799),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [5164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [5166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [5168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [5170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [5174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [5178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [5184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3093),
  [5186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [5188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [5192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [5196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [5198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [5200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [5202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [5206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [5210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [5212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [5216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [5218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [5220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [5222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [5224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [5226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [5228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [5230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [5236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [5238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [5240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [5242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [5244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [5246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [5248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [5250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [5252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [5254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [5256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [5258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [5266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [5270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chained_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5097),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [5275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(790),
  [5278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [5280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(811),
  [5283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [5285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [5287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [5289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [5291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [5295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [5297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [5299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [5303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [5305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [5307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [5317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [5321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [5323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [5329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [5347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [5353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [5357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [5361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [5365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [5367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [5369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [5373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [5387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [5391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [5393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [5395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(793),
  [5398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [5400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(808),
  [5403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [5405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [5407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [5411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [5413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [5419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [5433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [5435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [5437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [5441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [5443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [5447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [5449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [5451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [5453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [5455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [5457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [5459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [5461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [5463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [5465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [5467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [5469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [5471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [5473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [5475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [5477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [5479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [5481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [5483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [5485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [5487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [5489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [5491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [5493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [5495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [5497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [5499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [5501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [5503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [5505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [5507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [5509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [5511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [5513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [5515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [5517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [5519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(810),
  [5522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [5524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [5528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(806),
  [5531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [5533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [5535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [5537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [5539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [5541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [5543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [5545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [5549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [5553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [5555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [5557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [5559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [5561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [5563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [5567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [5569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [5571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [5573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(809),
  [5576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5608),
  [5578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__hash_pattern_body, 2, 0, 0),
  [5580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__hash_pattern_body, 2, 0, 0),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [5586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__hash_pattern_body, 3, 0, 0),
  [5588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__hash_pattern_body, 3, 0, 0),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [5594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [5596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [5600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [5602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [5604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [5620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [5622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [5624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [5626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [5630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [5632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [5634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [5644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [5650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [5652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [5654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [5660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [5664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [5666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [5668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [5684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [5690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [5694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [5696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [5698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [5716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [5730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(792),
  [5733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [5735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [5737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [5739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [5741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(785),
  [5744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [5748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [5750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [5752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [5770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [5774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [5776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [5778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [5780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [5782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [5784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [5802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [5812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [5816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [5818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [5820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [5838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [5840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [5848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exceptions, 1, 0, 0),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [5870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [5874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [5876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [5878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [5884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [5896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [5906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [5910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [5912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [5914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [5924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [5932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [5938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [5942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(802),
  [5945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [5947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [5949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [5951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [5953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [5955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [5957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [5959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [5961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [5963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [5965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [5967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [5969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [5971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [5973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [5975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [5977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [5979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [5981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [5983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [5985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [5987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [5989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [5991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [5993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [5995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [5997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [5999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [6001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0),
  [6003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [6005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [6007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [6013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [6015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [6017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [6019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [6021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [6023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [6025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [6027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [6029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [6031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [6033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [6035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [6039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [6041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [6043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [6045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [6047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [6049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [6051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [6053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [6055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(814),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [6064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [6068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [6070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [6072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [6074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [6076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [6080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [6082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [6084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [6086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [6088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [6090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [6094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [6096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [6098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [6100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [6104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [6106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [6108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [6112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [6114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [6116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [6118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [6124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [6128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, 0, 76),
  [6130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_parameter, 3, 0, 76),
  [6132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [6134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(796),
  [6137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [6139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_in, 2, 0, 0),
  [6141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [6143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [6145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [6147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [6149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [6151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [6153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [6155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [6157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [6159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [6161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [6165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [6169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [6173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [6175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [6181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5761),
  [6183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [6185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [6187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [6189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [6191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [6193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [6205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [6209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splat_parameter, 2, 0, 14),
  [6211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splat_parameter, 2, 0, 14),
  [6213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_parameter, 3, 0, 76),
  [6215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_parameter, 3, 0, 76),
  [6217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5515),
  [6219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [6221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [6225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [6227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [6229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [6231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [6235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [6237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [6241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [6243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [6245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [6247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [6251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [6253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [6255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [6257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [6259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [6261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [6263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [6267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [6269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [6271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [6273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [6275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [6277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [6279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [6281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [6283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [6285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [6291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [6297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5531),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5529),
  [6311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5527),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5521),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [6319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [6321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [6323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [6325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [6327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [6329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [6331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5505),
  [6333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [6335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [6337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [6339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [6341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [6343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [6347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [6349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [6351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [6353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5522),
  [6355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [6357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [6359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [6361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [6363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5549),
  [6365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [6369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [6371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5500),
  [6373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [6375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_constant, 1, 0, 47),
  [6377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern_constant, 1, 0, 47),
  [6379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_value, 1, 0, 0),
  [6381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern_value, 1, 0, 0),
  [6383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [6395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5520),
  [6397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_constant_resolution, 3, 0, 51),
  [6399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern_constant_resolution, 3, 0, 51),
  [6401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [6403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [6405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [6407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [6409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [6413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern_lambda, 1, 0, 0),
  [6415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_primitive, 1, 0, 0),
  [6417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern_primitive, 1, 0, 0),
  [6419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__keyword_variable, 1, 0, 0),
  [6421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern_literal, 1, 0, 0),
  [6423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_call_with_block, 3, 0, 54),
  [6425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_call_with_block, 3, 0, 54),
  [6427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_call_with_block, 3, 0, 52),
  [6429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_call_with_block, 3, 0, 52),
  [6431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_call, 2, 0, 20),
  [6433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_call, 2, 0, 20),
  [6435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [6437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [6439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [6441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_pattern, 4, 0, 100),
  [6443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_pattern, 4, 0, 100),
  [6445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_find_pattern, 3, 0, 0),
  [6447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_find_pattern, 3, 0, 0),
  [6449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_reference_pattern, 2, 0, 14),
  [6451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_reference_pattern, 2, 0, 14),
  [6453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 100),
  [6455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 4, 0, 100),
  [6457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_call, 2, 0, 18),
  [6459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_call, 2, 0, 18),
  [6461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 100),
  [6463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 3, 0, 100),
  [6465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern_expr_basic, 1, 0, 0),
  [6467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_reference_pattern, 4, 0, 66),
  [6469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_reference_pattern, 4, 0, 66),
  [6471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_pattern, 2, 0, 0),
  [6473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_range, 3, 0, 41),
  [6475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern_range, 3, 0, 41),
  [6477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_find_pattern, 4, 0, 100),
  [6479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_find_pattern, 4, 0, 100),
  [6481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_range, 2, 0, 15),
  [6483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern_range, 2, 0, 15),
  [6485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [6487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [6489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [6491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_pattern, 3, 0, 0),
  [6493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_pattern, 3, 0, 0),
  [6495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [6497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [6499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alternative_pattern_repeat1, 2, 0, 98),
  [6501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_alternative_pattern_repeat1, 2, 0, 98),
  [6503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_value, 1, 0, 46),
  [6505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern_value, 1, 0, 46),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [6509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [6511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5612),
  [6513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_expr_alt, 1, 0, 0),
  [6515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern_expr_alt, 1, 0, 0),
  [6517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_expr, 1, 0, 0),
  [6519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern_expr, 1, 0, 0),
  [6521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_pattern_n_repeat1, 2, 0, 0),
  [6523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__array_pattern_n_repeat1, 2, 0, 0),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [6527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_pattern, 3, 0, 57),
  [6529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_pattern, 3, 0, 57),
  [6531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_pattern, 3, 0, 97),
  [6533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_pattern, 3, 0, 97),
  [6535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_pattern, 3, 0, 58),
  [6537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_pattern, 3, 0, 58),
  [6539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_unary, 2, 0, 11),
  [6541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_unary, 2, 0, 11),
  [6543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_pattern_n, 3, 0, 0),
  [6545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_pattern_n, 3, 0, 0),
  [6547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__hash_pattern_any_rest, 1, 0, 0),
  [6549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__hash_pattern_any_rest, 1, 0, 0),
  [6551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_pattern, 3, 0, 42),
  [6553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_test_pattern, 3, 0, 42),
  [6555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_next_command, 2, 0, 0),
  [6557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_next_command, 2, 0, 0),
  [6559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alternative_pattern_repeat1, 2, 0, 99),
  [6561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alternative_pattern_repeat1, 2, 0, 99), SHIFT_REPEAT(2140),
  [6564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 3),
  [6566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [6568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_top_expr_body, 1, 0, 43),
  [6570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern_top_expr_body, 1, 0, 43),
  [6572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 28),
  [6574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pair, 3, 0, 28),
  [6576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument, 1, 0, 0),
  [6578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument, 1, 0, 0),
  [6580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 29),
  [6582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pair, 3, 0, 29),
  [6584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 3),
  [6586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__hash_pattern_body, 1, 0, 0),
  [6588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__hash_pattern_body, 1, 0, 0),
  [6590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [6592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__hash_pattern_body_repeat1, 2, 0, 0),
  [6594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__hash_pattern_body_repeat1, 2, 0, 0),
  [6596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [6598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_operator_assignment, 3, 0, 40),
  [6600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_operator_assignment, 3, 0, 40),
  [6602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__hash_pattern_body, 4, 0, 0),
  [6604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__hash_pattern_body, 4, 0, 0),
  [6606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alternative_pattern, 2, 0, 78),
  [6608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_command, 2, 0, 0),
  [6610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_command, 2, 0, 0),
  [6612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_splat_nil, 2, 0, 0),
  [6614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_splat_nil, 2, 0, 0),
  [6616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_command, 2, 0, 0),
  [6618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_command, 2, 0, 0),
  [6620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_binary, 3, 0, 40),
  [6622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_binary, 3, 0, 40),
  [6624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_pattern, 3, 0, 42),
  [6626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_pattern, 3, 0, 42),
  [6628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_assignment, 3, 0, 53),
  [6630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_assignment, 3, 0, 53),
  [6632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_top_expr_body, 1, 0, 44),
  [6634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern_top_expr_body, 1, 0, 44),
  [6636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_splat_parameter, 2, 0, 14),
  [6638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_splat_parameter, 2, 0, 14),
  [6640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__find_pattern_body, 4, 0, 0),
  [6642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__find_pattern_body, 4, 0, 0),
  [6644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_top_expr_body, 1, 0, 45),
  [6646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern_top_expr_body, 1, 0, 45),
  [6648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_command, 2, 0, 0),
  [6650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_command, 2, 0, 0),
  [6652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_argument_list_repeat1, 2, 0, 0),
  [6654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_argument_list_repeat1, 2, 0, 0),
  [6656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4441),
  [6658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_splat_parameter, 1, 0, 0),
  [6660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_splat_parameter, 1, 0, 0),
  [6662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4433),
  [6664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5712),
  [6666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5794),
  [6668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_argument_list, 1, 0, 0),
  [6670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [6672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__hash_pattern_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4724),
  [6675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_pattern_n, 2, 0, 0),
  [6677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [6679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4415),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [6683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [6689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_pattern_n, 1, 0, 0),
  [6691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_top_expr_body, 1, 0, 0),
  [6693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(417),
  [6696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_argument_list, 2, 0, 0),
  [6698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_pattern_n_repeat1, 2, 0, 0), SHIFT_REPEAT(2103),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5453),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [6711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_undef_repeat1, 2, 0, 0),
  [6713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_undef_repeat1, 2, 0, 0),
  [6715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5196),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [6723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block, 3, 0, 0),
  [6725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_block, 3, 0, 0),
  [6727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_begin_block, 4, 0, 0),
  [6729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_begin_block, 4, 0, 0),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [6733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block, 4, 0, 0),
  [6735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_block, 4, 0, 0),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [6739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [6741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1, 0, 0),
  [6743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1, 0, 0),
  [6745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [6749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [6751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [6753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias, 3, 0, 35),
  [6755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias, 3, 0, 35),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [6759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [6761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_begin_block, 3, 0, 0),
  [6763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_begin_block, 3, 0, 0),
  [6765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(421),
  [6768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [6770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [6772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [6774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [6776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [6778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5811),
  [6780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [6782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [6784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [6786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [6788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [6790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [6792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_undef_repeat1, 2, 0, 0), SHIFT_REPEAT(2631),
  [6795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_undef, 2, 0, 0),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [6801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_undef, 3, 0, 0),
  [6803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_modifier, 3, 0, 39),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [6815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unless_modifier, 3, 0, 39),
  [6817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_modifier, 3, 0, 39),
  [6819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5686),
  [6823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rescue_modifier, 3, 0, 38),
  [6825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_alternative_pattern_repeat1, 2, 0, 99),
  [6827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alternative_pattern_repeat1, 2, 0, 99), SHIFT_REPEAT(2145),
  [6830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_until_modifier, 3, 0, 39),
  [6832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [6834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5656),
  [6836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [6838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alternative_pattern, 2, 0, 78),
  [6840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [6842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [6844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [6846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [6848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [6850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [6852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [6854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [6856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [6858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [6860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [6864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [6868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [6870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5158),
  [6872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5377),
  [6874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [6876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [6878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [6880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [6884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [6886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_pattern_n, 2, 0, 0),
  [6888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [6890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern_top_expr_body, 1, 0, 0),
  [6892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [6894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(420),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [6899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_pattern_n, 1, 0, 0),
  [6901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_pattern_n_repeat1, 2, 0, 0), SHIFT_REPEAT(2118),
  [6904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_argument_list, 2, 0, 0),
  [6906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [6908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [6910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_argument_list, 1, 0, 0),
  [6912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [6914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__hash_pattern_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4701),
  [6917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 2, 0, 0),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [6927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(429),
  [6930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [6932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [6934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [6936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [6938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [6940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [6942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [6944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [6946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4738),
  [6948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4743),
  [6950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [6954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [6956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alternative_pattern_repeat1, 2, 0, 99), SHIFT_REPEAT(2141),
  [6959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [6961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unless_modifier, 3, 0, 39),
  [6963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [6965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_undef, 2, 0, 0),
  [6967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [6969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4754),
  [6971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_undef, 3, 0, 0),
  [6973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [6975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [6977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [6979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rescue_modifier, 3, 0, 38),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [6983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [6985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(428),
  [6988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_modifier, 3, 0, 39),
  [6990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_modifier, 3, 0, 39),
  [6992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_undef_repeat1, 2, 0, 0), SHIFT_REPEAT(2613),
  [6995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_until_modifier, 3, 0, 39),
  [6997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [6999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [7001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4805),
  [7003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 2, 0, 0),
  [7005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [7009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [7011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [7013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [7015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [7021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [7023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_pattern_n_repeat1, 2, 0, 0), SHIFT_REPEAT(2105),
  [7026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alternative_pattern_repeat1, 2, 0, 99), SHIFT_REPEAT(2142),
  [7029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [7031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [7033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [7035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alternative_pattern_repeat1, 2, 0, 99), SHIFT_REPEAT(2139),
  [7038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [7040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__hash_pattern_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4706),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [7045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [7047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [7061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [7077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(427),
  [7080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [7082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [7084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [7086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [7088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [7090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5104),
  [7092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5113),
  [7094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5113),
  [7096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [7098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [7100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [7102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [7104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [7106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4985),
  [7108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [7110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [7112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4948),
  [7114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [7116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4963),
  [7118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [7120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4449),
  [7122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [7124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4997),
  [7126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4623),
  [7128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5034),
  [7130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [7132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [7134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5070),
  [7136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [7138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5003),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4642),
  [7142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4974),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [7148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4978),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [7152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__hash_pattern_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4709),
  [7155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5022),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [7163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5017),
  [7165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [7167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4998),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [7171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(423),
  [7174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [7178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5064),
  [7180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [7182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(416),
  [7185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4952),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5289),
  [7189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__hash_pattern_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4751),
  [7192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5079),
  [7194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [7196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5026),
  [7198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [7200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [7202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4950),
  [7204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5250),
  [7208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_pattern_n_repeat1, 2, 0, 0), SHIFT_REPEAT(2113),
  [7211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5107),
  [7213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [7215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5052),
  [7217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [7219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_pattern_n_repeat1, 2, 0, 0), SHIFT_REPEAT(2108),
  [7222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4920),
  [7224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [7226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4936),
  [7228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [7230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(418),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [7235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5738),
  [7237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [7239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5732),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [7243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5714),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [7247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_symbol_array_repeat1, 2, 0, 27),
  [7249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_symbol_array_repeat1, 2, 0, 27),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [7253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(425),
  [7256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_array_repeat1, 2, 0, 26),
  [7258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_array_repeat1, 2, 0, 26),
  [7260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [7262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__body_statement, 1, 0, 0),
  [7264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [7268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5820),
  [7270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [7272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4922),
  [7274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4671),
  [7276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [7278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4937),
  [7280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [7282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [7284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__body_statement_repeat1, 2, 0, 0),
  [7286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__body_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(654),
  [7289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__body_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(252),
  [7292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__body_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(271),
  [7295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4940),
  [7297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [7299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [7301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4877),
  [7303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [7305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4874),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [7309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [7311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5828),
  [7313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [7315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4873),
  [7317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [7319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5575),
  [7321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [7323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5574),
  [7325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [7329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__body_statement, 2, 0, 0),
  [7331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_assignment, 2, 0, 0),
  [7333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5558),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [7337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5569),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [7341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_contents, 2, 0, 0), SHIFT_REPEAT(320),
  [7344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__literal_contents, 2, 0, 0),
  [7346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_contents, 2, 0, 0), SHIFT_REPEAT(5113),
  [7349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_contents, 2, 0, 0), SHIFT_REPEAT(5113),
  [7352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__literal_contents, 2, 0, 0),
  [7354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_contents, 2, 0, 0), SHIFT_REPEAT(5276),
  [7357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5634),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [7361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4896),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [7365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4915),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [7369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__mlhs_repeat1, 2, 0, 0),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5337),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [7381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4640),
  [7387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [7389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [7391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [7395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_then, 2, 0, 0),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [7401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [7405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(422),
  [7408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5142),
  [7410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_parameter, 1, 0, 0),
  [7412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_parameter, 1, 0, 0),
  [7414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [7416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(334),
  [7419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(5200),
  [7422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0),
  [7424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(5401),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [7429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [7431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_contents, 2, 0, 0), SHIFT_REPEAT(314),
  [7434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_contents, 2, 0, 0), SHIFT_REPEAT(5218),
  [7437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_contents, 2, 0, 0), SHIFT_REPEAT(5313),
  [7440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4608),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [7448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4656),
  [7450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_then, 3, 0, 0),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [7454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [7458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5874),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [7464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [7468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4246),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [7472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [7474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [7490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [7494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [7498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5210),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [7504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(424),
  [7507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [7517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_chained_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5023),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5374),
  [7524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5311),
  [7528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [7532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_variable, 2, 0, 0),
  [7534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4337),
  [7538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [7540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5371),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [7550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5307),
  [7560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [7564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [7566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [7568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5284),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [7574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5217),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [7584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [7588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [7590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [7594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4516),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [7600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [7608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_parameter, 1, 0, 0),
  [7610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__literal_contents, 1, 0, 0),
  [7612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__literal_contents, 1, 0, 0),
  [7614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [7618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(419),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [7625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 2, 0, 0),
  [7627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 2, 0, 0),
  [7629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [7631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [7633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [7635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [7637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4694),
  [7639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [7641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4727),
  [7643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [7645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [7647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [7649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5354),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [7653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [7655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [7657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [7659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__formal_parameter, 1, 0, 36),
  [7661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_parameter, 2, 0, 14),
  [7663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__formal_parameter, 1, 0, 0),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5355),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [7671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, 0, 0),
  [7673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3, 0, 0),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5378),
  [7677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [7679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_formal_parameter, 1, 0, 0),
  [7681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [7685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [7689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [7691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exceptions_repeat1, 2, 0, 0), SHIFT_REPEAT(786),
  [7694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5356),
  [7696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exceptions, 2, 0, 0),
  [7698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [7700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [7706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_guard, 2, 0, 64),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [7714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [7716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [7718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_when_repeat1, 2, 0, 89), SHIFT_REPEAT(783),
  [7721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_when_repeat1, 2, 0, 89),
  [7723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_repeat1, 2, 0, 0),
  [7725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_repeat1, 2, 0, 0), SHIFT_REPEAT(780),
  [7728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [7734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elsif, 3, 0, 63),
  [7736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 1, 0, 0),
  [7738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1, 0, 0),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [7742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mlhs_repeat1, 2, 0, 0), SHIFT_REPEAT(1946),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [7751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mlhs, 1, 0, 0),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [7755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unless_guard, 2, 0, 64),
  [7757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_match_repeat1, 2, 0, 70),
  [7759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_match_repeat1, 2, 0, 70), SHIFT_REPEAT(1992),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [7768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(426),
  [7771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rescue, 4, 0, 92),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [7779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bare_parameters, 2, 0, 0),
  [7781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [7783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rescue, 3, 0, 73),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [7787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__body_statement_repeat1, 1, 0, 0),
  [7789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4572),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [7794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [7798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_list_with_trailing_comma, 1, 0, 0),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [7802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4556),
  [7805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_when_repeat1, 2, 0, 68),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [7809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rescue, 3, 0, 71),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [7813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bare_parameters, 1, 0, 0),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [7825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destructured_left_assignment, 3, 0, 0),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [7829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [7831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4557),
  [7834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [7836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_pattern_body, 1, 0, 0),
  [7838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ensure, 2, 0, 0),
  [7840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [7846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_superclass, 2, 0, 0),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [7850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [7854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else, 3, 0, 0),
  [7856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rescue, 2, 0, 16),
  [7858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [7862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [7864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else, 2, 0, 0),
  [7866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [7868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [7870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [7872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [7874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4961),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [7884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [7894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4323),
  [7896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [7898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [7900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [7902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_in_clause, 3, 0, 67),
  [7904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__guard, 1, 0, 0),
  [7906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [7908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_in_clause, 4, 0, 108),
  [7910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5105),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [7914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_array_repeat1, 2, 0, 0), SHIFT_REPEAT(5165),
  [7917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_array_repeat1, 2, 0, 0),
  [7919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_symbol_array_repeat1, 2, 0, 0), SHIFT_REPEAT(5109),
  [7922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_symbol_array_repeat1, 2, 0, 0),
  [7924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5007),
  [7928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [7932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_repeat1, 1, 0, 0),
  [7934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5011),
  [7936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5054),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [7940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [7944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [7946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [7948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4562),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [7957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4631),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [7961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5675),
  [7965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5674),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5019),
  [7969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_match_repeat1, 1, 0, 34),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [7985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_hash_repeat1, 2, 0, 0),
  [7987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_repeat1, 2, 0, 0), SHIFT_REPEAT(768),
  [7990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5154),
  [7992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [7994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when, 4, 0, 87),
  [7996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [7998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [8000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5277),
  [8002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [8004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [8006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [8008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4699),
  [8012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [8016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [8018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [8020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5308),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [8024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [8026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [8028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [8030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [8032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when, 3, 0, 67),
  [8034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [8036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [8038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2885),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [8042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_parameters_repeat1, 2, 0, 118), SHIFT_REPEAT(5610),
  [8045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_parameters_repeat1, 2, 0, 118),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [8051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [8053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [8055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [8061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [8063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_left_assignment_list, 1, 0, 0),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [8071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_parameters_repeat1, 2, 0, 116),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [8081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [8083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [8085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [8091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [8099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [8101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [8103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [8115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [8127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [8129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [8133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [8135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [8137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [8139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [8141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [8143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [8145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [8147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [8157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [8161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [8163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [8167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5434),
  [8181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [8189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4626),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4595),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5347),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4660),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [8213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5341),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [8225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [8227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [8229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [8231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [8235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5328),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4612),
  [8241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [8251] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4965),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4611),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [8281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [8283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [8289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [8293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [8295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [8297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [8299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_body, 1, 0, 0),
  [8301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [8303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [8305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [8307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [8309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [8311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [8313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [8315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [8319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4639),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [8333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5389),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [8355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elsif, 4, 0, 84),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5357),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4723),
  [8367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4387),
  [8371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4721),
  [8373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [8377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [8379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [8383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [8391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [8395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [8397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5358),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4697),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4696),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4728),
  [8419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [8421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_body_statement, 1, 0, 0),
  [8423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [8425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [8427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [8429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [8433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5365),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [8447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elsif, 4, 0, 85),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [8453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [8455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [8457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [8463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [8467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [8469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [8473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [8485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [8495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [8499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [8501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [8503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [8505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [8511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [8513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [8547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [8599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [8603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [8605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [8607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [8609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [8613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [8617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [8621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5391),
  [8623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [8647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [8655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5390),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [8727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 3, 0, 0),
  [8729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__line_break = 0,
  ts_external_token__no_line_break = 1,
  ts_external_token_simple_symbol = 2,
  ts_external_token__string_start = 3,
  ts_external_token__symbol_start = 4,
  ts_external_token__subshell_start = 5,
  ts_external_token__regex_start = 6,
  ts_external_token__string_array_start = 7,
  ts_external_token__symbol_array_start = 8,
  ts_external_token__heredoc_body_start = 9,
  ts_external_token_string_content = 10,
  ts_external_token_heredoc_content = 11,
  ts_external_token__string_end = 12,
  ts_external_token_heredoc_end = 13,
  ts_external_token_heredoc_beginning = 14,
  ts_external_token_SLASH = 15,
  ts_external_token__block_ampersand = 16,
  ts_external_token__splat_star = 17,
  ts_external_token__unary_minus = 18,
  ts_external_token__unary_minus_num = 19,
  ts_external_token__binary_minus = 20,
  ts_external_token__binary_star = 21,
  ts_external_token__singleton_class_left_angle_left_langle = 22,
  ts_external_token_hash_key_symbol = 23,
  ts_external_token__identifier_suffix = 24,
  ts_external_token__constant_suffix = 25,
  ts_external_token__hash_splat_star_star = 26,
  ts_external_token__binary_star_star = 27,
  ts_external_token__element_reference_bracket = 28,
  ts_external_token__short_interpolation = 29,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__line_break] = sym__line_break,
  [ts_external_token__no_line_break] = sym__no_line_break,
  [ts_external_token_simple_symbol] = sym_simple_symbol,
  [ts_external_token__string_start] = sym__string_start,
  [ts_external_token__symbol_start] = sym__symbol_start,
  [ts_external_token__subshell_start] = sym__subshell_start,
  [ts_external_token__regex_start] = sym__regex_start,
  [ts_external_token__string_array_start] = sym__string_array_start,
  [ts_external_token__symbol_array_start] = sym__symbol_array_start,
  [ts_external_token__heredoc_body_start] = sym__heredoc_body_start,
  [ts_external_token_string_content] = sym_string_content,
  [ts_external_token_heredoc_content] = sym_heredoc_content,
  [ts_external_token__string_end] = sym__string_end,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_heredoc_beginning] = sym_heredoc_beginning,
  [ts_external_token_SLASH] = anon_sym_SLASH,
  [ts_external_token__block_ampersand] = sym__block_ampersand,
  [ts_external_token__splat_star] = sym__splat_star,
  [ts_external_token__unary_minus] = sym__unary_minus,
  [ts_external_token__unary_minus_num] = sym__unary_minus_num,
  [ts_external_token__binary_minus] = sym__binary_minus,
  [ts_external_token__binary_star] = sym__binary_star,
  [ts_external_token__singleton_class_left_angle_left_langle] = sym__singleton_class_left_angle_left_langle,
  [ts_external_token_hash_key_symbol] = sym_hash_key_symbol,
  [ts_external_token__identifier_suffix] = sym__identifier_suffix,
  [ts_external_token__constant_suffix] = sym__constant_suffix,
  [ts_external_token__hash_splat_star_star] = sym__hash_splat_star_star,
  [ts_external_token__binary_star_star] = sym__binary_star_star,
  [ts_external_token__element_reference_bracket] = sym__element_reference_bracket,
  [ts_external_token__short_interpolation] = sym__short_interpolation,
};

static const bool ts_external_scanner_states[42][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__line_break] = true,
    [ts_external_token__no_line_break] = true,
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_string_content] = true,
    [ts_external_token_heredoc_content] = true,
    [ts_external_token__string_end] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__block_ampersand] = true,
    [ts_external_token__splat_star] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__unary_minus_num] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
    [ts_external_token__singleton_class_left_angle_left_langle] = true,
    [ts_external_token_hash_key_symbol] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
    [ts_external_token__hash_splat_star_star] = true,
    [ts_external_token__binary_star_star] = true,
    [ts_external_token__element_reference_bracket] = true,
    [ts_external_token__short_interpolation] = true,
  },
  [2] = {
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__unary_minus_num] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
  },
  [3] = {
    [ts_external_token__line_break] = true,
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__block_ampersand] = true,
    [ts_external_token__splat_star] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__unary_minus_num] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
    [ts_external_token_hash_key_symbol] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
    [ts_external_token__hash_splat_star_star] = true,
    [ts_external_token__binary_star_star] = true,
    [ts_external_token__element_reference_bracket] = true,
  },
  [4] = {
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__block_ampersand] = true,
    [ts_external_token__splat_star] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__unary_minus_num] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
    [ts_external_token_hash_key_symbol] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
    [ts_external_token__hash_splat_star_star] = true,
    [ts_external_token__binary_star_star] = true,
    [ts_external_token__element_reference_bracket] = true,
  },
  [5] = {
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__block_ampersand] = true,
    [ts_external_token__splat_star] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__unary_minus_num] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token_hash_key_symbol] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
    [ts_external_token__hash_splat_star_star] = true,
  },
  [6] = {
    [ts_external_token__line_break] = true,
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__unary_minus_num] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
    [ts_external_token__element_reference_bracket] = true,
  },
  [7] = {
    [ts_external_token__line_break] = true,
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__unary_minus_num] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
  },
  [8] = {
    [ts_external_token__line_break] = true,
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__unary_minus_num] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
    [ts_external_token__binary_star_star] = true,
    [ts_external_token__element_reference_bracket] = true,
  },
  [9] = {
    [ts_external_token__line_break] = true,
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__block_ampersand] = true,
    [ts_external_token__splat_star] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__unary_minus_num] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token_hash_key_symbol] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
    [ts_external_token__hash_splat_star_star] = true,
  },
  [10] = {
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__unary_minus_num] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token_hash_key_symbol] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
    [ts_external_token__hash_splat_star_star] = true,
  },
  [11] = {
    [ts_external_token__line_break] = true,
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__unary_minus_num] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
    [ts_external_token__binary_star_star] = true,
  },
  [12] = {
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__unary_minus_num] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
    [ts_external_token__binary_star_star] = true,
    [ts_external_token__element_reference_bracket] = true,
  },
  [13] = {
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__unary_minus_num] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
    [ts_external_token__binary_star_star] = true,
  },
  [14] = {
    [ts_external_token__no_line_break] = true,
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__unary_minus_num] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
  },
  [15] = {
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__splat_star] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__unary_minus_num] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
  },
  [16] = {
    [ts_external_token__line_break] = true,
    [ts_external_token__no_line_break] = true,
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__unary_minus_num] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
  },
  [17] = {
    [ts_external_token__line_break] = true,
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__splat_star] = true,
    [ts_external_token__unary_minus] = true,
    [ts_external_token__unary_minus_num] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
  },
  [18] = {
    [ts_external_token__line_break] = true,
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__unary_minus_num] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
  },
  [19] = {
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__unary_minus_num] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
  },
  [20] = {
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__unary_minus_num] = true,
    [ts_external_token__singleton_class_left_angle_left_langle] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
  },
  [21] = {
    [ts_external_token__line_break] = true,
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__unary_minus_num] = true,
  },
  [22] = {
    [ts_external_token__line_break] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
    [ts_external_token__binary_star_star] = true,
    [ts_external_token__element_reference_bracket] = true,
  },
  [23] = {
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__subshell_start] = true,
    [ts_external_token__regex_start] = true,
    [ts_external_token__string_array_start] = true,
    [ts_external_token__symbol_array_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_beginning] = true,
    [ts_external_token__unary_minus_num] = true,
  },
  [24] = {
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
    [ts_external_token__binary_star_star] = true,
    [ts_external_token__element_reference_bracket] = true,
  },
  [25] = {
    [ts_external_token__line_break] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
    [ts_external_token__binary_star_star] = true,
    [ts_external_token__element_reference_bracket] = true,
  },
  [26] = {
    [ts_external_token_simple_symbol] = true,
    [ts_external_token__symbol_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
  },
  [27] = {
    [ts_external_token__line_break] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
    [ts_external_token__binary_star_star] = true,
  },
  [28] = {
    [ts_external_token__string_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
    [ts_external_token__binary_star_star] = true,
    [ts_external_token__element_reference_bracket] = true,
  },
  [29] = {
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
  },
  [30] = {
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_SLASH] = true,
    [ts_external_token__binary_minus] = true,
    [ts_external_token__binary_star] = true,
    [ts_external_token__binary_star_star] = true,
  },
  [31] = {
    [ts_external_token__line_break] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
  },
  [32] = {
    [ts_external_token__line_break] = true,
    [ts_external_token__heredoc_body_start] = true,
  },
  [33] = {
    [ts_external_token__line_break] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token__element_reference_bracket] = true,
  },
  [34] = {
    [ts_external_token__string_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token__identifier_suffix] = true,
    [ts_external_token__constant_suffix] = true,
  },
  [35] = {
    [ts_external_token__heredoc_body_start] = true,
  },
  [36] = {
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token__element_reference_bracket] = true,
  },
  [37] = {
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_string_content] = true,
    [ts_external_token__string_end] = true,
    [ts_external_token__short_interpolation] = true,
  },
  [38] = {
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_heredoc_content] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token__short_interpolation] = true,
  },
  [39] = {
    [ts_external_token__string_start] = true,
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token__element_reference_bracket] = true,
  },
  [40] = {
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token_string_content] = true,
    [ts_external_token__short_interpolation] = true,
  },
  [41] = {
    [ts_external_token__heredoc_body_start] = true,
    [ts_external_token__string_end] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_ruby_external_scanner_create(void);
void tree_sitter_ruby_external_scanner_destroy(void *);
bool tree_sitter_ruby_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_ruby_external_scanner_serialize(void *, char *);
void tree_sitter_ruby_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_ruby(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_ruby_external_scanner_create,
      tree_sitter_ruby_external_scanner_destroy,
      tree_sitter_ruby_external_scanner_scan,
      tree_sitter_ruby_external_scanner_serialize,
      tree_sitter_ruby_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
